# Copyright 2017 Google Inc.
#
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

# This file is generated semi-automatically with this command:
#   $ src/jumper/build_stages.py

#if defined(__MACH__)
    #define HIDDEN .private_extern
    #define FUNCTION(name)
    #define BALIGN4  .align 2
    #define BALIGN8  .align 3
    #define BALIGN16 .align 4
    #define BALIGN32 .align 5
#else
    .section .note.GNU-stack,"",%progbits
    #define HIDDEN .hidden
    #define FUNCTION(name) .type name,%function
    #define BALIGN4  .balign 4
    #define BALIGN8  .balign 8
    #define BALIGN16 .balign 16
    #define BALIGN32 .balign 32
#endif
.text
#if defined(__arm__)
BALIGN4

HIDDEN _sk_start_pipeline_vfp4
.globl _sk_start_pipeline_vfp4
FUNCTION(_sk_start_pipeline_vfp4)
_sk_start_pipeline_vfp4:
  .long  0xe92d4ff0                          // push          {r4, r5, r6, r7, r8, r9, sl, fp, lr}
  .long  0xe28db01c                          // add           fp, sp, #28
  .long  0xe24dd06c                          // sub           sp, sp, #108
  .long  0xe7c3d01f                          // bfc           sp, #0, #4
  .long  0xe1a0a001                          // mov           sl, r1
  .long  0xe1a05002                          // mov           r5, r2
  .long  0xe1a09000                          // mov           r9, r0
  .long  0xe15a0003                          // cmp           sl, r3
  .long  0xe58d300c                          // str           r3, [sp, #12]
  .long  0x2a00001d                          // bcs           a0 <sk_start_pipeline_vfp4+0xa0>
  .long  0xe59b4008                          // ldr           r4, [fp, #8]
  .long  0xe2898004                          // add           r8, r9, #4
  .long  0xe28d7010                          // add           r7, sp, #16
  .long  0xe4946004                          // ldr           r6, [r4], #4
  .long  0xe3a00000                          // mov           r0, #0
  .long  0xe58d9010                          // str           r9, [sp, #16]
  .long  0xe58da014                          // str           sl, [sp, #20]
  .long  0xe1580005                          // cmp           r8, r5
  .long  0xe58d0018                          // str           r0, [sp, #24]
  .long  0xe1a00009                          // mov           r0, r9
  .long  0x8a000008                          // bhi           78 <sk_start_pipeline_vfp4+0x78>
  .long  0xe1a00007                          // mov           r0, r7
  .long  0xe1a01004                          // mov           r1, r4
  .long  0xe12fff36                          // blx           r6
  .long  0xe59d1010                          // ldr           r1, [sp, #16]
  .long  0xe2810004                          // add           r0, r1, #4
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe1510005                          // cmp           r1, r5
  .long  0xe58d0010                          // str           r0, [sp, #16]
  .long  0x9afffff6                          // bls           54 <sk_start_pipeline_vfp4+0x54>
  .long  0xe0550000                          // subs          r0, r5, r0
  .long  0x0a000003                          // beq           90 <sk_start_pipeline_vfp4+0x90>
  .long  0xe58d0018                          // str           r0, [sp, #24]
  .long  0xe1a00007                          // mov           r0, r7
  .long  0xe1a01004                          // mov           r1, r4
  .long  0xe12fff36                          // blx           r6
  .long  0xe59d000c                          // ldr           r0, [sp, #12]
  .long  0xe28aa001                          // add           sl, sl, #1
  .long  0xe15a0000                          // cmp           sl, r0
  .long  0x1affffe5                          // bne           38 <sk_start_pipeline_vfp4+0x38>
  .long  0xe24bd01c                          // sub           sp, fp, #28
  .long  0xe8bd8ff0                          // pop           {r4, r5, r6, r7, r8, r9, sl, fp, pc}

HIDDEN _sk_just_return_vfp4
.globl _sk_just_return_vfp4
FUNCTION(_sk_just_return_vfp4)
_sk_just_return_vfp4:
  .long  0xe12fff1e                          // bx            lr
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_seed_shader_vfp4
.globl _sk_seed_shader_vfp4
FUNCTION(_sk_seed_shader_vfp4)
_sk_seed_shader_vfp4:
  .long  0xe1a02000                          // mov           r2, r0
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf4e20cbd                          // vld1.32       {d16[]-d17[]}, [r2 :32]!
  .long  0xe28f3054                          // add           r3, pc, #84
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xf4234acf                          // vld1.64       {d4-d5}, [r3]
  .long  0xe28f3054                          // add           r3, pc, #84
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf2400de2                          // vadd.f32      q8, q8, q9
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2806050                          // vmov.i32      q3, #0
  .long  0xf2082de2                          // vadd.f32      q1, q12, q9
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2000de4                          // vadd.f32      q0, q8, q10
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x00000000                          // .word         0x00000000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x40000000                          // .word         0x40000000
  .long  0x40400000                          // .word         0x40400000

HIDDEN _sk_dither_vfp4
.globl _sk_dither_vfp4
FUNCTION(_sk_dither_vfp4)
_sk_dither_vfp4:
  .long  0xe1a02000                          // mov           r2, r0
  .long  0xf2c04051                          // vmov.i32      q10, #1
  .long  0xf4e20cbd                          // vld1.32       {d16[]-d17[]}, [r2 :32]!
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf2c06054                          // vmov.i32      q11, #4
  .long  0xf4e2acbf                          // vld1.32       {d26[]-d27[]}, [r2 :32]
  .long  0xe3a025f2                          // mov           r2, #1015021568
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xf24081f4                          // vand          q12, q8, q10
  .long  0xf240c1f2                          // vand          q14, q8, q9
  .long  0xf34aa1f0                          // veor          q13, q13, q8
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf2e48578                          // vshl.s32      q12, q12, #4
  .long  0xf2e1c57c                          // vshl.s32      q14, q14, #1
  .long  0xf24a41f4                          // vand          q10, q13, q10
  .long  0xf3fe0070                          // vshr.u32      q8, q8, #2
  .long  0xf26c81f8                          // vorr          q12, q14, q12
  .long  0xf24a21f2                          // vand          q9, q13, q9
  .long  0xf2e54574                          // vshl.s32      q10, q10, #5
  .long  0xf26801f0                          // vorr          q8, q12, q8
  .long  0xf24a61f6                          // vand          q11, q13, q11
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0xf2e22572                          // vshl.s32      q9, q9, #2
  .long  0xf3ff4076                          // vshr.u32      q10, q11, #1
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe28f2060                          // add           r2, pc, #96
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf2400de2                          // vadd.f32      q8, q8, q9
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf2402dc0                          // vadd.f32      q9, q8, q0
  .long  0xf2404dc2                          // vadd.f32      q10, q8, q1
  .long  0xf2400dc4                          // vadd.f32      q8, q8, q2
  .long  0xf2622fc6                          // vmin.f32      q9, q9, q3
  .long  0xf2644fc6                          // vmin.f32      q10, q10, q3
  .long  0xf2600fc6                          // vmin.f32      q8, q8, q3
  .long  0xf2060fe2                          // vmax.f32      q0, q11, q9
  .long  0xf2062fe4                          // vmax.f32      q1, q11, q10
  .long  0xf2064fe0                          // vmax.f32      q2, q11, q8
  .long  0xe12fff12                          // bx            r2
  .long  0x00000000                          // .word         0x00000000
  .long  0x00000001                          // .word         0x00000001
  .long  0x00000002                          // .word         0x00000002
  .long  0x00000003                          // .word         0x00000003
  .long  0xbefc0000                          // .word         0xbefc0000
  .long  0xbefc0000                          // .word         0xbefc0000
  .long  0xbefc0000                          // .word         0xbefc0000
  .long  0xbefc0000                          // .word         0xbefc0000

HIDDEN _sk_uniform_color_vfp4
.globl _sk_uniform_color_vfp4
FUNCTION(_sk_uniform_color_vfp4)
_sk_uniform_color_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4ae0cbd                          // vld1.32       {d0[]-d1[]}, [lr :32]!
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xf4ae2cbf                          // vld1.32       {d2[]-d3[]}, [lr :32]
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_black_color_vfp4
.globl _sk_black_color_vfp4
FUNCTION(_sk_black_color_vfp4)
_sk_black_color_vfp4:
  .long  0xe28f2018                          // add           r2, pc, #24
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_white_color_vfp4
.globl _sk_white_color_vfp4
FUNCTION(_sk_white_color_vfp4)
_sk_white_color_vfp4:
  .long  0xe28f2018                          // add           r2, pc, #24
  .long  0xf4220acf                          // vld1.64       {d0-d1}, [r2]
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xf2206150                          // vorr          q3, q0, q0
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_rgba_vfp4
.globl _sk_load_rgba_vfp4
FUNCTION(_sk_load_rgba_vfp4)
_sk_load_rgba_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832030                          // add           r2, r3, #48
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4226a8f                          // vld1.32       {d6-d7}, [r2]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf42e0a8d                          // vld1.32       {d0-d1}, [lr]!
  .long  0xf4224a8f                          // vld1.32       {d4-d5}, [r2]
  .long  0xf42e2a8f                          // vld1.32       {d2-d3}, [lr]
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_store_rgba_vfp4
.globl _sk_store_rgba_vfp4
FUNCTION(_sk_store_rgba_vfp4)
_sk_store_rgba_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4030a8d                          // vst1.32       {d0-d1}, [r3]!
  .long  0xf4032a8f                          // vst1.32       {d2-d3}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe2822030                          // add           r2, r2, #48
  .long  0xf4034a8f                          // vst1.32       {d4-d5}, [r3]
  .long  0xf4026a8f                          // vst1.32       {d6-d7}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_clear_vfp4
.globl _sk_clear_vfp4
FUNCTION(_sk_clear_vfp4)
_sk_clear_vfp4:
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf2806050                          // vmov.i32      q3, #0
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcatop_vfp4
.globl _sk_srcatop_vfp4
FUNCTION(_sk_srcatop_vfp4)
_sk_srcatop_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2602dc6                          // vsub.f32      q9, q8, q3
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3046dd6                          // vmul.f32      q3, q10, q3
  .long  0xf3042dd2                          // vmul.f32      q1, q10, q1
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xf3044dd4                          // vmul.f32      q2, q10, q2
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf2026cf4                          // vfma.f32      q3, q9, q10
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2022cf6                          // vfma.f32      q1, q9, q11
  .long  0xf2440cd0                          // vfma.f32      q8, q10, q0
  .long  0xf2024cf8                          // vfma.f32      q2, q9, q12
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstatop_vfp4
.globl _sk_dstatop_vfp4
FUNCTION(_sk_dstatop_vfp4)
_sk_dstatop_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2606de4                          // vsub.f32      q11, q8, q10
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3400dd6                          // vmul.f32      q8, q8, q3
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3444dd6                          // vmul.f32      q10, q10, q3
  .long  0xf3422dd6                          // vmul.f32      q9, q9, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3064dd4                          // vmul.f32      q2, q11, q2
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf2460cd0                          // vfma.f32      q8, q11, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2462cd2                          // vfma.f32      q9, q11, q1
  .long  0xf2464cd6                          // vfma.f32      q10, q11, q3
  .long  0xf2084cd6                          // vfma.f32      q2, q12, q3
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22461f4                          // vorr          q3, q10, q10
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcin_vfp4
.globl _sk_srcin_vfp4
FUNCTION(_sk_srcin_vfp4)
_sk_srcin_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstin_vfp4
.globl _sk_dstin_vfp4
FUNCTION(_sk_dstin_vfp4)
_sk_dstin_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3000dd6                          // vmul.f32      q0, q8, q3
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3024dd6                          // vmul.f32      q2, q9, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3042dd6                          // vmul.f32      q1, q10, q3
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcout_vfp4
.globl _sk_srcout_vfp4
FUNCTION(_sk_srcout_vfp4)
_sk_srcout_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstout_vfp4
.globl _sk_dstout_vfp4
FUNCTION(_sk_dstout_vfp4)
_sk_dstout_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2600dc6                          // vsub.f32      q8, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3002df6                          // vmul.f32      q1, q8, q11
  .long  0xf3004df4                          // vmul.f32      q2, q8, q10
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_srcover_vfp4
.globl _sk_srcover_vfp4
FUNCTION(_sk_srcover_vfp4)
_sk_srcover_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2600dc6                          // vsub.f32      q8, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2020cf0                          // vfma.f32      q0, q9, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2042cf0                          // vfma.f32      q1, q10, q8
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf2024cf0                          // vfma.f32      q2, q9, q8
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2046cf0                          // vfma.f32      q3, q10, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_dstover_vfp4
.globl _sk_dstover_vfp4
FUNCTION(_sk_dstover_vfp4)
_sk_dstover_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2628de0                          // vsub.f32      q12, q9, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xf2402c78                          // vfma.f32      q9, q0, q12
  .long  0xf2424c78                          // vfma.f32      q10, q1, q12
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2446c78                          // vfma.f32      q11, q2, q12
  .long  0xf2460c78                          // vfma.f32      q8, q3, q12
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xf22421f4                          // vorr          q1, q10, q10
  .long  0xf22641f6                          // vorr          q2, q11, q11
  .long  0xf22061f0                          // vorr          q3, q8, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_modulate_vfp4
.globl _sk_modulate_vfp4
FUNCTION(_sk_modulate_vfp4)
_sk_modulate_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3024dd4                          // vmul.f32      q2, q9, q2
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3042dd2                          // vmul.f32      q1, q10, q1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_multiply_vfp4
.globl _sk_multiply_vfp4
FUNCTION(_sk_multiply_vfp4)
_sk_multiply_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf260ade8                          // vsub.f32      q13, q8, q12
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2606dc6                          // vsub.f32      q11, q8, q3
  .long  0xf4228aef                          // vld1.64       {d8-d9}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf34a2dd4                          // vmul.f32      q9, q13, q2
  .long  0xf34aedd6                          // vmul.f32      q15, q13, q3
  .long  0xf3460dfc                          // vmul.f32      q8, q11, q14
  .long  0xf3464df8                          // vmul.f32      q10, q11, q12
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf2442dee                          // vadd.f32      q9, q10, q15
  .long  0xf34aedd0                          // vmul.f32      q15, q13, q0
  .long  0xf3464dd8                          // vmul.f32      q10, q11, q4
  .long  0xf34aadd2                          // vmul.f32      q13, q13, q1
  .long  0xf24c0cd4                          // vfma.f32      q8, q14, q2
  .long  0xf2482cd6                          // vfma.f32      q9, q12, q3
  .long  0xf2444dee                          // vadd.f32      q10, q10, q15
  .long  0xf462eaef                          // vld1.64       {d30-d31}, [r2 :128]
  .long  0xf3466dfe                          // vmul.f32      q11, q11, q15
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2484c50                          // vfma.f32      q10, q4, q0
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xf2466dea                          // vadd.f32      q11, q11, q13
  .long  0xf22261f2                          // vorr          q3, q9, q9
  .long  0xf24e6cd2                          // vfma.f32      q11, q15, q1
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22621f6                          // vorr          q1, q11, q11
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_plus__vfp4
.globl _sk_plus__vfp4
FUNCTION(_sk_plus__vfp4)
_sk_plus__vfp4:
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2400dc2                          // vadd.f32      q8, q8, q1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2444dc4                          // vadd.f32      q10, q10, q2
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf2488dc6                          // vadd.f32      q12, q12, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2220fe6                          // vmin.f32      q0, q9, q11
  .long  0xf2202fe6                          // vmin.f32      q1, q8, q11
  .long  0xf2244fe6                          // vmin.f32      q2, q10, q11
  .long  0xf2286fe6                          // vmin.f32      q3, q12, q11
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_screen_vfp4
.globl _sk_screen_vfp4
FUNCTION(_sk_screen_vfp4)
_sk_screen_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2460dc0                          // vadd.f32      q8, q11, q0
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2482dc2                          // vadd.f32      q9, q12, q1
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf24a4dc4                          // vadd.f32      q10, q13, q2
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf2660cd0                          // vfms.f32      q8, q11, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf24c6dc6                          // vadd.f32      q11, q14, q3
  .long  0xf2682cd2                          // vfms.f32      q9, q12, q1
  .long  0xf26a4cd4                          // vfms.f32      q10, q13, q2
  .long  0xf26c6cd6                          // vfms.f32      q11, q14, q3
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22441f4                          // vorr          q2, q10, q10
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_xor__vfp4
.globl _sk_xor__vfp4
FUNCTION(_sk_xor__vfp4)
_sk_xor__vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2606dc6                          // vsub.f32      q11, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2608de4                          // vsub.f32      q12, q8, q10
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3460df2                          // vmul.f32      q8, q11, q9
  .long  0xf3462dfa                          // vmul.f32      q9, q11, q13
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf3464df4                          // vmul.f32      q10, q11, q10
  .long  0xf3084dd4                          // vmul.f32      q2, q12, q2
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2480cd0                          // vfma.f32      q8, q12, q0
  .long  0xf2482cd2                          // vfma.f32      q9, q12, q1
  .long  0xf2484cd6                          // vfma.f32      q10, q12, q3
  .long  0xf2064cfa                          // vfma.f32      q2, q11, q13
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22461f4                          // vorr          q3, q10, q10
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_darken_vfp4
.globl _sk_darken_vfp4
FUNCTION(_sk_darken_vfp4)
_sk_darken_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf340add0                          // vmul.f32      q13, q8, q0
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3446dd6                          // vmul.f32      q11, q10, q3
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf340edd2                          // vmul.f32      q15, q8, q1
  .long  0xf348cdd6                          // vmul.f32      q14, q12, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2444dc0                          // vadd.f32      q10, q10, q0
  .long  0xf24a6fe6                          // vmax.f32      q11, q13, q11
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf24ecfec                          // vmax.f32      q14, q15, q14
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf24aedc4                          // vadd.f32      q15, q13, q2
  .long  0xf34aadd6                          // vmul.f32      q13, q13, q3
  .long  0xf3000dd4                          // vmul.f32      q0, q8, q2
  .long  0xf2622dc6                          // vsub.f32      q9, q9, q3
  .long  0xf2488dc2                          // vadd.f32      q12, q12, q1
  .long  0xf240af6a                          // vmax.f32      q13, q0, q13
  .long  0xf2006cf2                          // vfma.f32      q3, q8, q9
  .long  0xf2240de6                          // vsub.f32      q0, q10, q11
  .long  0xf2282dec                          // vsub.f32      q1, q12, q14
  .long  0xf22e4dea                          // vsub.f32      q2, q15, q13
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_lighten_vfp4
.globl _sk_lighten_vfp4
FUNCTION(_sk_lighten_vfp4)
_sk_lighten_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf340add0                          // vmul.f32      q13, q8, q0
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3446dd6                          // vmul.f32      q11, q10, q3
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf340edd2                          // vmul.f32      q15, q8, q1
  .long  0xf348cdd6                          // vmul.f32      q14, q12, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf2444dc0                          // vadd.f32      q10, q10, q0
  .long  0xf26a6fe6                          // vmin.f32      q11, q13, q11
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf26ecfec                          // vmin.f32      q14, q15, q14
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf24aedc4                          // vadd.f32      q15, q13, q2
  .long  0xf34aadd6                          // vmul.f32      q13, q13, q3
  .long  0xf3000dd4                          // vmul.f32      q0, q8, q2
  .long  0xf2622dc6                          // vsub.f32      q9, q9, q3
  .long  0xf2488dc2                          // vadd.f32      q12, q12, q1
  .long  0xf260af6a                          // vmin.f32      q13, q0, q13
  .long  0xf2006cf2                          // vfma.f32      q3, q8, q9
  .long  0xf2240de6                          // vsub.f32      q0, q10, q11
  .long  0xf2282dec                          // vsub.f32      q1, q12, q14
  .long  0xf22e4dea                          // vsub.f32      q2, q15, q13
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_difference_vfp4
.globl _sk_difference_vfp4
FUNCTION(_sk_difference_vfp4)
_sk_difference_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3404dd6                          // vmul.f32      q10, q8, q3
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3426dd0                          // vmul.f32      q11, q9, q0
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xf342cdd4                          // vmul.f32      q14, q9, q2
  .long  0xf348add6                          // vmul.f32      q13, q12, q3
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf342edd2                          // vmul.f32      q15, q9, q1
  .long  0xf2400dc0                          // vadd.f32      q8, q8, q0
  .long  0xf2664fe4                          // vmin.f32      q10, q11, q10
  .long  0xf26c6fea                          // vmin.f32      q11, q14, q13
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf34acdd6                          // vmul.f32      q14, q13, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2444de4                          // vadd.f32      q10, q10, q10
  .long  0xf24aadc2                          // vadd.f32      q13, q13, q1
  .long  0xf26ecfec                          // vmin.f32      q14, q15, q14
  .long  0xf2c7ef50                          // vmov.f32      q15, #1
  .long  0xf2488dc4                          // vadd.f32      q12, q12, q2
  .long  0xf26eedc6                          // vsub.f32      q15, q15, q3
  .long  0xf24ccdec                          // vadd.f32      q14, q14, q14
  .long  0xf2466de6                          // vadd.f32      q11, q11, q11
  .long  0xf2026cfe                          // vfma.f32      q3, q9, q15
  .long  0xf2200de4                          // vsub.f32      q0, q8, q10
  .long  0xf22a2dec                          // vsub.f32      q1, q13, q14
  .long  0xf2284de6                          // vsub.f32      q2, q12, q11
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_exclusion_vfp4
.globl _sk_exclusion_vfp4
FUNCTION(_sk_exclusion_vfp4)
_sk_exclusion_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3424dd0                          // vmul.f32      q10, q9, q0
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3468dd2                          // vmul.f32      q12, q11, q1
  .long  0xf462aaef                          // vld1.64       {d26-d27}, [r2 :128]
  .long  0xf2600dc6                          // vsub.f32      q8, q8, q3
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf34acdd4                          // vmul.f32      q14, q13, q2
  .long  0xf462eaef                          // vld1.64       {d30-d31}, [r2 :128]
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2444de4                          // vadd.f32      q10, q10, q10
  .long  0xf2466dc2                          // vadd.f32      q11, q11, q1
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf24aadc4                          // vadd.f32      q13, q13, q2
  .long  0xf24ccdec                          // vadd.f32      q14, q14, q14
  .long  0xf20e6cf0                          // vfma.f32      q3, q15, q8
  .long  0xf2220de4                          // vsub.f32      q0, q9, q10
  .long  0xf2262de8                          // vsub.f32      q1, q11, q12
  .long  0xf22a4dec                          // vsub.f32      q2, q13, q14
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_colorburn_vfp4
.globl _sk_colorburn_vfp4
FUNCTION(_sk_colorburn_vfp4)
_sk_colorburn_vfp4:
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xf3fb4544                          // vrecpe.f32    q10, q2
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3b9a542                          // vceq.f32      q5, q1, #0
  .long  0xf3b9e540                          // vceq.f32      q7, q0, #0
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2608de2                          // vsub.f32      q12, q8, q9
  .long  0xf2446f74                          // vrecps.f32    q11, q2, q10
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3486dd6                          // vmul.f32      q11, q12, q3
  .long  0xf3464df4                          // vmul.f32      q10, q11, q10
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf266ade0                          // vsub.f32      q13, q11, q8
  .long  0xf2604fe4                          // vmin.f32      q10, q8, q10
  .long  0xf2668dc6                          // vsub.f32      q12, q11, q3
  .long  0xf34a6dd4                          // vmul.f32      q11, q13, q2
  .long  0xf2604de4                          // vsub.f32      q10, q8, q10
  .long  0xf348cdf2                          // vmul.f32      q14, q12, q9
  .long  0xf30a8dd2                          // vmul.f32      q4, q13, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf3444dd6                          // vmul.f32      q10, q10, q3
  .long  0xf2464de4                          // vadd.f32      q10, q11, q10
  .long  0xf24cede4                          // vadd.f32      q15, q14, q10
  .long  0xf3f94544                          // vceq.f32      q10, q2, #0
  .long  0xf3bb4542                          // vrecpe.f32    q2, q1
  .long  0xf35c41fe                          // vbsl          q10, q14, q15
  .long  0xf242cf54                          // vrecps.f32    q14, q1, q2
  .long  0xf344ed7c                          // vmul.f32      q15, q2, q14
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf2204dec                          // vsub.f32      q2, q8, q14
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf422caef                          // vld1.64       {d12-d13}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3044d56                          // vmul.f32      q2, q2, q3
  .long  0xf344ed7e                          // vmul.f32      q15, q2, q15
  .long  0xf3084dfc                          // vmul.f32      q2, q12, q14
  .long  0xf260efee                          // vmin.f32      q15, q8, q15
  .long  0xf260edee                          // vsub.f32      q15, q8, q15
  .long  0xf34eedd6                          // vmul.f32      q15, q15, q3
  .long  0xf248ed6e                          // vadd.f32      q15, q4, q15
  .long  0xf244ed6e                          // vadd.f32      q15, q2, q15
  .long  0xf314a17e                          // vbsl          q5, q2, q15
  .long  0xf3fbe540                          // vrecpe.f32    q15, q0
  .long  0xf2024ee0                          // vceq.f32      q2, q9, q8
  .long  0xf2462de2                          // vadd.f32      q9, q11, q9
  .long  0xf2002f7e                          // vrecps.f32    q1, q0, q15
  .long  0xf2486d6c                          // vadd.f32      q11, q4, q14
  .long  0xf20c0e60                          // vceq.f32      q0, q6, q8
  .long  0xf31241f4                          // vbsl          q2, q9, q10
  .long  0xf34eedd2                          // vmul.f32      q15, q15, q1
  .long  0xf2202dcc                          // vsub.f32      q1, q8, q6
  .long  0xf3022d56                          // vmul.f32      q1, q1, q3
  .long  0xf342ed7e                          // vmul.f32      q15, q1, q15
  .long  0xf3082ddc                          // vmul.f32      q1, q12, q6
  .long  0xf260efee                          // vmin.f32      q15, q8, q15
  .long  0xf260edee                          // vsub.f32      q15, q8, q15
  .long  0xf34eedd6                          // vmul.f32      q15, q15, q3
  .long  0xf2006cf8                          // vfma.f32      q3, q8, q12
  .long  0xf24aedee                          // vadd.f32      q15, q13, q15
  .long  0xf242ed6e                          // vadd.f32      q15, q1, q15
  .long  0xf312e17e                          // vbsl          q7, q1, q15
  .long  0xf20c2ee0                          // vceq.f32      q1, q14, q8
  .long  0xf24c0d6a                          // vadd.f32      q8, q6, q13
  .long  0xf31621da                          // vbsl          q1, q11, q5
  .long  0xf31001de                          // vbsl          q0, q8, q7
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_colordodge_vfp4
.globl _sk_colordodge_vfp4
FUNCTION(_sk_colordodge_vfp4)
_sk_colordodge_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2660d44                          // vsub.f32      q8, q3, q2
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf202ae46                          // vceq.f32      q5, q1, q3
  .long  0xf200ce46                          // vceq.f32      q6, q0, q3
  .long  0xf3fb2560                          // vrecpe.f32    q9, q8
  .long  0xf2404ff2                          // vrecps.f32    q10, q8, q9
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf3404dd6                          // vmul.f32      q10, q8, q3
  .long  0xf3442df2                          // vmul.f32      q9, q10, q9
  .long  0xf2c74f50                          // vmov.f32      q10, #1
  .long  0xf264ade6                          // vsub.f32      q13, q10, q11
  .long  0xf266cfe2                          // vmin.f32      q14, q11, q9
  .long  0xf2648dc6                          // vsub.f32      q12, q10, q3
  .long  0xf34a2dd4                          // vmul.f32      q9, q13, q2
  .long  0xf34c4dd6                          // vmul.f32      q10, q14, q3
  .long  0xf348cdf0                          // vmul.f32      q14, q12, q8
  .long  0xf242ede4                          // vadd.f32      q15, q9, q10
  .long  0xf2444e46                          // vceq.f32      q10, q2, q3
  .long  0xf20c4dc4                          // vadd.f32      q2, q14, q2
  .long  0xf24ccdee                          // vadd.f32      q14, q14, q15
  .long  0xf266ed42                          // vsub.f32      q15, q3, q1
  .long  0xf354417c                          // vbsl          q10, q2, q14
  .long  0xf3fbc56e                          // vrecpe.f32    q14, q15
  .long  0xf24eeffc                          // vrecps.f32    q15, q15, q14
  .long  0xf34cedfe                          // vmul.f32      q15, q14, q15
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf30c4dd6                          // vmul.f32      q2, q14, q3
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf3088dfc                          // vmul.f32      q4, q12, q14
  .long  0xf344ed7e                          // vmul.f32      q15, q2, q15
  .long  0xf266efee                          // vmin.f32      q15, q11, q15
  .long  0xf30e4dd6                          // vmul.f32      q2, q15, q3
  .long  0xf34aedd2                          // vmul.f32      q15, q13, q1
  .long  0xf2082d42                          // vadd.f32      q1, q4, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf20e4dc4                          // vadd.f32      q2, q15, q2
  .long  0xf2084d44                          // vadd.f32      q2, q4, q2
  .long  0xf312a154                          // vbsl          q5, q1, q2
  .long  0xf2262d40                          // vsub.f32      q1, q3, q0
  .long  0xf3bb4542                          // vrecpe.f32    q2, q1
  .long  0xf2022f54                          // vrecps.f32    q1, q1, q2
  .long  0xf3042d52                          // vmul.f32      q1, q2, q1
  .long  0xf4224aef                          // vld1.64       {d4-d5}, [r2 :128]
  .long  0xf3048d56                          // vmul.f32      q4, q2, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3082d52                          // vmul.f32      q1, q4, q1
  .long  0xf3088dd4                          // vmul.f32      q4, q12, q2
  .long  0xf2262fc2                          // vmin.f32      q1, q11, q1
  .long  0xf2080d40                          // vadd.f32      q0, q4, q0
  .long  0xf3022d56                          // vmul.f32      q1, q1, q3
  .long  0xf2066cf8                          // vfma.f32      q3, q11, q12
  .long  0xf20a2dc2                          // vadd.f32      q1, q13, q1
  .long  0xf2082d42                          // vadd.f32      q1, q4, q1
  .long  0xf310c152                          // vbsl          q6, q0, q1
  .long  0xf3b90544                          // vceq.f32      q0, q2, #0
  .long  0xf3b9256c                          // vceq.f32      q1, q14, #0
  .long  0xf3b94560                          // vceq.f32      q2, q8, #0
  .long  0xf31a01dc                          // vbsl          q0, q13, q6
  .long  0xf31e21da                          // vbsl          q1, q15, q5
  .long  0xf31241f4                          // vbsl          q2, q9, q10
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_hardlight_vfp4
.globl _sk_hardlight_vfp4
FUNCTION(_sk_hardlight_vfp4)
_sk_hardlight_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2c74f50                          // vmov.f32      q10, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf264ade2                          // vsub.f32      q13, q10, q9
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2640dc6                          // vsub.f32      q8, q10, q3
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf266ed42                          // vsub.f32      q15, q3, q1
  .long  0xf34a8dd4                          // vmul.f32      q12, q13, q2
  .long  0xf3404df6                          // vmul.f32      q10, q8, q11
  .long  0xf30cadd2                          // vmul.f32      q5, q14, q1
  .long  0xf2484de4                          // vadd.f32      q10, q12, q10
  .long  0xf2628dec                          // vsub.f32      q12, q9, q14
  .long  0xf340cdfc                          // vmul.f32      q14, q8, q14
  .long  0xf20aad4a                          // vadd.f32      q5, q5, q5
  .long  0xf34e8df8                          // vmul.f32      q12, q15, q12
  .long  0xf342edd6                          // vmul.f32      q15, q9, q3
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf22e8de8                          // vsub.f32      q4, q15, q12
  .long  0xf2428d42                          // vadd.f32      q12, q1, q1
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf3468e68                          // vcge.f32      q12, q3, q12
  .long  0xf242cd6c                          // vadd.f32      q14, q1, q14
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xf302cd50                          // vmul.f32      q6, q1, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf35a8158                          // vbsl          q12, q5, q4
  .long  0xf2228dc2                          // vsub.f32      q4, q9, q1
  .long  0xf226ad40                          // vsub.f32      q5, q3, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf20ccd4c                          // vadd.f32      q6, q6, q6
  .long  0xf30a8d58                          // vmul.f32      q4, q5, q4
  .long  0xf200ad40                          // vadd.f32      q5, q0, q0
  .long  0xf2220de6                          // vsub.f32      q0, q9, q11
  .long  0xf242ad6a                          // vadd.f32      q13, q1, q13
  .long  0xf2262d44                          // vsub.f32      q1, q3, q2
  .long  0xf2088d48                          // vadd.f32      q4, q4, q4
  .long  0xf3466dd4                          // vmul.f32      q11, q11, q2
  .long  0xf3020d50                          // vmul.f32      q0, q1, q0
  .long  0xf306ae4a                          // vcge.f32      q5, q3, q5
  .long  0xf22e8dc8                          // vsub.f32      q4, q15, q4
  .long  0xf2000d40                          // vadd.f32      q0, q0, q0
  .long  0xf31ca158                          // vbsl          q5, q6, q4
  .long  0xf2466de6                          // vadd.f32      q11, q11, q11
  .long  0xf26eedc0                          // vsub.f32      q15, q15, q0
  .long  0xf2040d44                          // vadd.f32      q0, q2, q2
  .long  0xf2082dec                          // vadd.f32      q1, q12, q14
  .long  0xf3068e40                          // vcge.f32      q4, q3, q0
  .long  0xf2026cf0                          // vfma.f32      q3, q9, q8
  .long  0xf20a0d6a                          // vadd.f32      q0, q5, q13
  .long  0xf31681fe                          // vbsl          q4, q11, q15
  .long  0xf2084d64                          // vadd.f32      q2, q4, q10
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_overlay_vfp4
.globl _sk_overlay_vfp4
FUNCTION(_sk_overlay_vfp4)
_sk_overlay_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2c74f50                          // vmov.f32      q10, #1
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf264ade2                          // vsub.f32      q13, q10, q9
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2640dc6                          // vsub.f32      q8, q10, q3
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf266ed42                          // vsub.f32      q15, q3, q1
  .long  0xf34a8dd4                          // vmul.f32      q12, q13, q2
  .long  0xf3404df6                          // vmul.f32      q10, q8, q11
  .long  0xf30cadd2                          // vmul.f32      q5, q14, q1
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xf2484de4                          // vadd.f32      q10, q12, q10
  .long  0xf2628dec                          // vsub.f32      q12, q9, q14
  .long  0xf20aad4a                          // vadd.f32      q5, q5, q5
  .long  0xf34e8df8                          // vmul.f32      q12, q15, q12
  .long  0xf342edd6                          // vmul.f32      q15, q9, q3
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf22e8de8                          // vsub.f32      q4, q15, q12
  .long  0xf24c8dec                          // vadd.f32      q12, q14, q14
  .long  0xf340cdfc                          // vmul.f32      q14, q8, q14
  .long  0xf3428ee8                          // vcge.f32      q12, q9, q12
  .long  0xf242cd6c                          // vadd.f32      q14, q1, q14
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xf302cd50                          // vmul.f32      q6, q1, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf35a8158                          // vbsl          q12, q5, q4
  .long  0xf2228dc2                          // vsub.f32      q4, q9, q1
  .long  0xf226ad40                          // vsub.f32      q5, q3, q0
  .long  0xf2220de6                          // vsub.f32      q0, q9, q11
  .long  0xf20ccd4c                          // vadd.f32      q6, q6, q6
  .long  0xf30a8d58                          // vmul.f32      q4, q5, q4
  .long  0xf202ad42                          // vadd.f32      q5, q1, q1
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf2088d48                          // vadd.f32      q4, q4, q4
  .long  0xf302aeca                          // vcge.f32      q5, q9, q5
  .long  0xf242ad6a                          // vadd.f32      q13, q1, q13
  .long  0xf2262d44                          // vsub.f32      q1, q3, q2
  .long  0xf22e8dc8                          // vsub.f32      q4, q15, q4
  .long  0xf31ca158                          // vbsl          q5, q6, q4
  .long  0xf3020d50                          // vmul.f32      q0, q1, q0
  .long  0xf2026cf0                          // vfma.f32      q3, q9, q8
  .long  0xf2082dec                          // vadd.f32      q1, q12, q14
  .long  0xf2000d40                          // vadd.f32      q0, q0, q0
  .long  0xf26eedc0                          // vsub.f32      q15, q15, q0
  .long  0xf2060de6                          // vadd.f32      q0, q11, q11
  .long  0xf3466dd4                          // vmul.f32      q11, q11, q2
  .long  0xf3028ec0                          // vcge.f32      q4, q9, q0
  .long  0xf2466de6                          // vadd.f32      q11, q11, q11
  .long  0xf20a0d6a                          // vadd.f32      q0, q5, q13
  .long  0xf31681fe                          // vbsl          q4, q11, q15
  .long  0xf2084d64                          // vadd.f32      q2, q4, q10
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_softlight_vfp4
.globl _sk_softlight_vfp4
FUNCTION(_sk_softlight_vfp4)
_sk_softlight_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd028                          // sub           sp, sp, #40
  .long  0xf2624152                          // vorr          q10, q1, q1
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xf3872f50                          // vmov.f32      q1, #-1
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xeccd4b04                          // vstmia        sp, {d20-d21}
  .long  0xf4228aef                          // vld1.64       {d8-d9}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf422aaef                          // vld1.64       {d10-d11}, [r2 :128]
  .long  0xf3f90448                          // vcgt.f32      q8, q4, #0
  .long  0xf26021f0                          // vorr          q9, q8, q8
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xeecbdaa9                          // vdiv.f32      s27, s23, s19
  .long  0xee8bda09                          // vdiv.f32      s26, s22, s18
  .long  0xeecacaa8                          // vdiv.f32      s25, s21, s17
  .long  0xee8aca08                          // vdiv.f32      s24, s20, s16
  .long  0xf35c2176                          // vbsl          q9, q6, q11
  .long  0xf3fb65e2                          // vrsqrte.f32   q11, q9
  .long  0xf242ade2                          // vadd.f32      q13, q9, q9
  .long  0xf242cdc2                          // vadd.f32      q14, q9, q1
  .long  0xf3468df6                          // vmul.f32      q12, q11, q11
  .long  0xf24aadea                          // vadd.f32      q13, q13, q13
  .long  0xf2628ff8                          // vrsqrts.f32   q12, q9, q12
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3fb8566                          // vrecpe.f32    q12, q11
  .long  0xf2466ff8                          // vrecps.f32    q11, q11, q12
  .long  0xf3486df6                          // vmul.f32      q11, q12, q11
  .long  0xf34a8dfa                          // vmul.f32      q12, q13, q13
  .long  0xf2666de2                          // vsub.f32      q11, q11, q9
  .long  0xf24aade8                          // vadd.f32      q13, q13, q12
  .long  0xf34ccdfa                          // vmul.f32      q14, q14, q13
  .long  0xf2c1af5c                          // vmov.f32      q13, #7
  .long  0xf342edfa                          // vmul.f32      q15, q9, q13
  .long  0xf24ecdec                          // vadd.f32      q14, q15, q14
  .long  0xf24aed4a                          // vadd.f32      q15, q5, q5
  .long  0xf24eedee                          // vadd.f32      q15, q15, q15
  .long  0xf348ee6e                          // vcge.f32      q15, q4, q15
  .long  0xf35ce1f6                          // vbsl          q15, q14, q11
  .long  0xf244cde4                          // vadd.f32      q14, q10, q10
  .long  0xf22ccdc6                          // vsub.f32      q6, q14, q3
  .long  0xf34c6d58                          // vmul.f32      q11, q6, q4
  .long  0xf3466dfe                          // vmul.f32      q11, q11, q15
  .long  0xf34aed56                          // vmul.f32      q15, q5, q3
  .long  0xf24eede6                          // vadd.f32      q15, q15, q11
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf2662de2                          // vsub.f32      q9, q11, q9
  .long  0xf34c2d72                          // vmul.f32      q9, q6, q9
  .long  0xf2422dc6                          // vadd.f32      q9, q9, q3
  .long  0xf30acd72                          // vmul.f32      q6, q5, q9
  .long  0xf3462e6c                          // vcge.f32      q9, q3, q14
  .long  0xf260c1f0                          // vorr          q14, q8, q8
  .long  0xf35c217e                          // vbsl          q9, q6, q15
  .long  0xf422caef                          // vld1.64       {d12-d13}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xeecdfaa9                          // vdiv.f32      s31, s27, s19
  .long  0xee8dfa09                          // vdiv.f32      s30, s26, s18
  .long  0xeecceaa8                          // vdiv.f32      s29, s25, s17
  .long  0xee8cea08                          // vdiv.f32      s28, s24, s16
  .long  0xf35ec154                          // vbsl          q14, q7, q2
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xf3fbe5ec                          // vrsqrte.f32   q15, q14
  .long  0xf30eedfe                          // vmul.f32      q7, q15, q15
  .long  0xf22cefde                          // vrsqrts.f32   q7, q14, q7
  .long  0xf34eedde                          // vmul.f32      q15, q15, q7
  .long  0xf3bbe56e                          // vrecpe.f32    q7, q15
  .long  0xf24eefde                          // vrecps.f32    q15, q15, q7
  .long  0xf34eed7e                          // vmul.f32      q15, q7, q15
  .long  0xf20cedec                          // vadd.f32      q7, q14, q14
  .long  0xf26eedec                          // vsub.f32      q15, q15, q14
  .long  0xf20eed4e                          // vadd.f32      q7, q7, q7
  .long  0xf34e4d5e                          // vmul.f32      q10, q7, q7
  .long  0xf24e4d64                          // vadd.f32      q10, q7, q10
  .long  0xf20cedc2                          // vadd.f32      q7, q14, q1
  .long  0xf34e4d74                          // vmul.f32      q10, q7, q10
  .long  0xf30cedfa                          // vmul.f32      q7, q14, q13
  .long  0xf266cdec                          // vsub.f32      q14, q11, q14
  .long  0xf24e4d64                          // vadd.f32      q10, q7, q10
  .long  0xf20ced4c                          // vadd.f32      q7, q6, q6
  .long  0xf20eed4e                          // vadd.f32      q7, q7, q7
  .long  0xf308ee4e                          // vcge.f32      q7, q4, q7
  .long  0xf314e1fe                          // vbsl          q7, q10, q15
  .long  0xf2404d40                          // vadd.f32      q10, q0, q0
  .long  0xf264edc6                          // vsub.f32      q15, q10, q3
  .long  0xf34e8dd8                          // vmul.f32      q12, q15, q4
  .long  0xf34ecdfc                          // vmul.f32      q14, q15, q14
  .long  0xf3488dde                          // vmul.f32      q12, q12, q7
  .long  0xf30ced56                          // vmul.f32      q7, q6, q3
  .long  0xf24ccdc6                          // vadd.f32      q14, q14, q3
  .long  0xf24e8d68                          // vadd.f32      q12, q7, q12
  .long  0xf422eaef                          // vld1.64       {d14-d15}, [r2 :128]
  .long  0xe28d2010                          // add           r2, sp, #16
  .long  0xeecf1aa9                          // vdiv.f32      s3, s31, s19
  .long  0xee8f1a09                          // vdiv.f32      s2, s30, s18
  .long  0xeece0aa8                          // vdiv.f32      s1, s29, s17
  .long  0xee8e0a08                          // vdiv.f32      s0, s28, s16
  .long  0xf34ced7c                          // vmul.f32      q15, q6, q14
  .long  0xf346ce64                          // vcge.f32      q14, q3, q10
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf3500174                          // vbsl          q8, q0, q10
  .long  0xec920b04                          // vldmia        r2, {d0-d1}
  .long  0xf35ec1f8                          // vbsl          q14, q15, q12
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3fb45e0                          // vrsqrte.f32   q10, q8
  .long  0xf340adfa                          // vmul.f32      q13, q8, q13
  .long  0xf3448df4                          // vmul.f32      q12, q10, q10
  .long  0xf2608ff8                          // vrsqrts.f32   q12, q8, q12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3fb8564                          // vrecpe.f32    q12, q10
  .long  0xf2444ff8                          // vrecps.f32    q10, q10, q12
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xf2408de0                          // vadd.f32      q12, q8, q8
  .long  0xf2644de0                          // vsub.f32      q10, q10, q8
  .long  0xf2488de8                          // vadd.f32      q12, q12, q12
  .long  0xf348edf8                          // vmul.f32      q15, q12, q12
  .long  0xf2488dee                          // vadd.f32      q12, q12, q15
  .long  0xf240edc2                          // vadd.f32      q15, q8, q1
  .long  0xec9d2b04                          // vldmia        sp, {d2-d3}
  .long  0xf2660de0                          // vsub.f32      q8, q11, q8
  .long  0xf34e8df8                          // vmul.f32      q12, q15, q12
  .long  0xf24a8de8                          // vadd.f32      q12, q13, q12
  .long  0xf24ead4e                          // vadd.f32      q13, q7, q7
  .long  0xf24aadea                          // vadd.f32      q13, q13, q13
  .long  0xf348ae6a                          // vcge.f32      q13, q4, q13
  .long  0xf358a1f4                          // vbsl          q13, q12, q10
  .long  0xf2404d40                          // vadd.f32      q10, q0, q0
  .long  0xf2648dc6                          // vsub.f32      q12, q10, q3
  .long  0xf3464e64                          // vcge.f32      q10, q3, q10
  .long  0xf348edd8                          // vmul.f32      q15, q12, q4
  .long  0xf3480df0                          // vmul.f32      q8, q12, q8
  .long  0xf2668dc6                          // vsub.f32      q12, q11, q3
  .long  0xf2666dc8                          // vsub.f32      q11, q11, q4
  .long  0xf34eadfa                          // vmul.f32      q13, q15, q13
  .long  0xf34eed56                          // vmul.f32      q15, q7, q3
  .long  0xf2400dc6                          // vadd.f32      q8, q8, q3
  .long  0xf3060dd0                          // vmul.f32      q0, q11, q0
  .long  0xf3062dd2                          // vmul.f32      q1, q11, q1
  .long  0xf24eadea                          // vadd.f32      q13, q15, q13
  .long  0xf348edde                          // vmul.f32      q15, q12, q7
  .long  0xf3466dd4                          // vmul.f32      q11, q11, q2
  .long  0xf34e0d70                          // vmul.f32      q8, q7, q8
  .long  0xf2086c78                          // vfma.f32      q3, q4, q12
  .long  0xf240ed6e                          // vadd.f32      q15, q0, q15
  .long  0xf3080dda                          // vmul.f32      q0, q12, q5
  .long  0xf35041fa                          // vbsl          q10, q8, q13
  .long  0xf20e4de4                          // vadd.f32      q2, q15, q10
  .long  0xf2022d40                          // vadd.f32      q1, q1, q0
  .long  0xf3080ddc                          // vmul.f32      q0, q12, q6
  .long  0xf2022d62                          // vadd.f32      q1, q1, q9
  .long  0xf2406d66                          // vadd.f32      q11, q0, q11
  .long  0xf2060dec                          // vadd.f32      q0, q11, q14
  .long  0xe28dd028                          // add           sp, sp, #40
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_hue_vfp4
.globl _sk_hue_vfp4
FUNCTION(_sk_hue_vfp4)
_sk_hue_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xf3440d56                          // vmul.f32      q8, q2, q3
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf342ed56                          // vmul.f32      q15, q1, q3
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3404d56                          // vmul.f32      q10, q0, q3
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf26e2fe0                          // vmin.f32      q9, q15, q8
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf24e6fe0                          // vmax.f32      q11, q15, q8
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf2642fe2                          // vmin.f32      q9, q10, q9
  .long  0xf2446fe6                          // vmax.f32      q11, q10, q11
  .long  0xf2648de2                          // vsub.f32      q12, q10, q9
  .long  0xf2260de2                          // vsub.f32      q0, q11, q9
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf266afc2                          // vmin.f32      q13, q11, q1
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf246cfc2                          // vmax.f32      q14, q11, q1
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf26eede2                          // vsub.f32      q15, q15, q9
  .long  0xecc34b04                          // vstmia        r3, {d20-d21}
  .long  0xe28f2f9d                          // add           r2, pc, #628
  .long  0xf264afea                          // vmin.f32      q13, q10, q13
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf244cfec                          // vmax.f32      q14, q10, q14
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf26cadea                          // vsub.f32      q13, q14, q13
  .long  0xf34acdd6                          // vmul.f32      q14, q13, q3
  .long  0xf30c4df8                          // vmul.f32      q2, q14, q12
  .long  0xf3f98540                          // vceq.f32      q12, q0, #0
  .long  0xf268a1f8                          // vorr          q13, q12, q12
  .long  0xeec59aa1                          // vdiv.f32      s19, s11, s3
  .long  0xee859a01                          // vdiv.f32      s18, s10, s2
  .long  0xeec48aa0                          // vdiv.f32      s17, s9, s1
  .long  0xee848a00                          // vdiv.f32      s16, s8, s0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf354a158                          // vbsl          q13, q2, q4
  .long  0xf30c8dfe                          // vmul.f32      q4, q14, q15
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf268e1f8                          // vorr          q15, q12, q12
  .long  0xeec9baa1                          // vdiv.f32      s23, s19, s3
  .long  0xee89ba01                          // vdiv.f32      s22, s18, s2
  .long  0xeec8aaa0                          // vdiv.f32      s21, s17, s1
  .long  0xee88aa00                          // vdiv.f32      s20, s16, s0
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xf354e15a                          // vbsl          q15, q2, q5
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf422aacf                          // vld1.64       {d10-d11}, [r2]
  .long  0xe28f2f8a                          // add           r2, pc, #552
  .long  0xf30ecdd8                          // vmul.f32      q6, q15, q4
  .long  0xf30aedda                          // vmul.f32      q7, q13, q5
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf20ecd4c                          // vadd.f32      q6, q7, q6
  .long  0xf30cedf0                          // vmul.f32      q7, q14, q8
  .long  0xf346cdd8                          // vmul.f32      q14, q11, q4
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xeecf5aa1                          // vdiv.f32      s11, s31, s3
  .long  0xee8f5a01                          // vdiv.f32      s10, s30, s2
  .long  0xeece4aa0                          // vdiv.f32      s9, s29, s1
  .long  0xee8e4a00                          // vdiv.f32      s8, s28, s0
  .long  0xf3040dda                          // vmul.f32      q0, q10, q5
  .long  0xf35081d4                          // vbsl          q12, q8, q2
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf3480df2                          // vmul.f32      q8, q12, q9
  .long  0xf240cd6c                          // vadd.f32      q14, q0, q14
  .long  0xf3020d72                          // vmul.f32      q0, q1, q9
  .long  0xf24c0d60                          // vadd.f32      q8, q6, q8
  .long  0xf24ccdc0                          // vadd.f32      q14, q14, q0
  .long  0xf34ccdd6                          // vmul.f32      q14, q14, q3
  .long  0xf26ccde0                          // vsub.f32      q14, q14, q8
  .long  0xf20e0dec                          // vadd.f32      q0, q15, q14
  .long  0xf24a0dec                          // vadd.f32      q8, q13, q14
  .long  0xf248cdec                          // vadd.f32      q14, q12, q14
  .long  0xf340ed58                          // vmul.f32      q15, q0, q4
  .long  0xf340adda                          // vmul.f32      q13, q8, q5
  .long  0xf34c2df2                          // vmul.f32      q9, q14, q9
  .long  0xf24aadee                          // vadd.f32      q13, q13, q15
  .long  0xf462eaef                          // vld1.64       {d30-d31}, [r2 :128]
  .long  0xf2428dea                          // vadd.f32      q12, q9, q13
  .long  0xf2602d68                          // vsub.f32      q9, q0, q12
  .long  0xf3088df2                          // vmul.f32      q4, q12, q9
  .long  0xf2602f6c                          // vmin.f32      q9, q0, q14
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf228ade2                          // vsub.f32      q5, q12, q9
  .long  0xeec95aab                          // vdiv.f32      s11, s19, s23
  .long  0xee895a0b                          // vdiv.f32      s10, s18, s22
  .long  0xeec84aaa                          // vdiv.f32      s9, s17, s21
  .long  0xee884a0a                          // vdiv.f32      s8, s16, s20
  .long  0xf3b984e2                          // vcge.f32      q4, q9, #0
  .long  0xf248adc4                          // vadd.f32      q13, q12, q2
  .long  0xf2284158                          // vorr          q2, q4, q4
  .long  0xf310417a                          // vbsl          q2, q0, q13
  .long  0xf34eadd6                          // vmul.f32      q13, q15, q3
  .long  0xf2000f6c                          // vmax.f32      q0, q0, q14
  .long  0xf224cd68                          // vsub.f32      q6, q2, q12
  .long  0xf26a2de8                          // vsub.f32      q9, q13, q12
  .long  0xf200efc0                          // vmax.f32      q7, q8, q0
  .long  0xf302cddc                          // vmul.f32      q6, q9, q6
  .long  0xf22e0d68                          // vsub.f32      q0, q7, q12
  .long  0xf32eee6a                          // vcgt.f32      q7, q7, q13
  .long  0xeecd3aa1                          // vdiv.f32      s7, s27, s3
  .long  0xee8d3a01                          // vdiv.f32      s6, s26, s2
  .long  0xeecc2aa0                          // vdiv.f32      s5, s25, s1
  .long  0xee8c2a00                          // vdiv.f32      s4, s24, s0
  .long  0xf2082dc2                          // vadd.f32      q1, q12, q1
  .long  0xf22ec15e                          // vorr          q6, q7, q7
  .long  0xf312c154                          // vbsl          q6, q1, q2
  .long  0xf20c2f64                          // vmax.f32      q1, q6, q10
  .long  0xec8d2b04                          // vstmia        sp, {d2-d3}
  .long  0xf2202de8                          // vsub.f32      q1, q8, q12
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3082dd2                          // vmul.f32      q1, q12, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf2082dc4                          // vadd.f32      q1, q12, q2
  .long  0xf2284158                          // vorr          q2, q4, q4
  .long  0xf31041d2                          // vbsl          q2, q8, q1
  .long  0xf2640d68                          // vsub.f32      q8, q2, q12
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec3daa1                          // vdiv.f32      s27, s7, s3
  .long  0xee83da01                          // vdiv.f32      s26, s6, s2
  .long  0xeec2caa0                          // vdiv.f32      s25, s5, s1
  .long  0xee82ca00                          // vdiv.f32      s24, s4, s0
  .long  0xf2480dcc                          // vadd.f32      q8, q12, q6
  .long  0xf22e215e                          // vorr          q1, q7, q7
  .long  0xf280c050                          // vmov.i32      q6, #0
  .long  0xf31021d4                          // vbsl          q1, q8, q2
  .long  0xf2420f64                          // vmax.f32      q8, q1, q10
  .long  0xf22c2de8                          // vsub.f32      q1, q14, q12
  .long  0xf3082dd2                          // vmul.f32      q1, q12, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf2082dc4                          // vadd.f32      q1, q12, q2
  .long  0xf31c81d2                          // vbsl          q4, q14, q1
  .long  0xf268cd68                          // vsub.f32      q14, q4, q12
  .long  0xf3022dfc                          // vmul.f32      q1, q9, q14
  .long  0xecd3cb04                          // vldmia        r3, {d28-d29}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xeec35aa1                          // vdiv.f32      s11, s7, s3
  .long  0xee835a01                          // vdiv.f32      s10, s6, s2
  .long  0xeec24aa0                          // vdiv.f32      s9, s5, s1
  .long  0xee824a00                          // vdiv.f32      s8, s4, s0
  .long  0xf2482dc4                          // vadd.f32      q9, q12, q2
  .long  0xf312e1d8                          // vbsl          q7, q9, q4
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2628dc6                          // vsub.f32      q12, q9, q3
  .long  0xf2622dee                          // vsub.f32      q9, q9, q15
  .long  0xf3484df6                          // vmul.f32      q10, q12, q11
  .long  0xecd36b04                          // vldmia        r3, {d22-d23}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf342cdfc                          // vmul.f32      q14, q9, q14
  .long  0xf3486df6                          // vmul.f32      q11, q12, q11
  .long  0xf2444dec                          // vadd.f32      q10, q10, q14
  .long  0xecd3cb04                          // vldmia        r3, {d28-d29}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf342cdfc                          // vmul.f32      q14, q9, q14
  .long  0xf2466dec                          // vadd.f32      q11, q11, q14
  .long  0xf24ecdc6                          // vadd.f32      q14, q15, q3
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf3488dfe                          // vmul.f32      q12, q12, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xf2060de0                          // vadd.f32      q0, q11, q8
  .long  0xf3422dfe                          // vmul.f32      q9, q9, q15
  .long  0xecdd0b04                          // vldmia        sp, {d16-d17}
  .long  0xf22c6dea                          // vsub.f32      q3, q14, q13
  .long  0xf2042de0                          // vadd.f32      q1, q10, q8
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf24e8f4c                          // vmax.f32      q12, q7, q6
  .long  0xf2024de8                          // vadd.f32      q2, q9, q12
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_saturation_vfp4
.globl _sk_saturation_vfp4
FUNCTION(_sk_saturation_vfp4)
_sk_saturation_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf2604150                          // vorr          q10, q0, q0
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xecc34b04                          // vstmia        r3, {d20-d21}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xecc30b04                          // vstmia        r3, {d16-d17}
  .long  0xf3400dd6                          // vmul.f32      q8, q8, q3
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf3028dd6                          // vmul.f32      q4, q9, q3
  .long  0xecc32b04                          // vstmia        r3, {d18-d19}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf4628aef                          // vld1.64       {d24-d25}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf3482dd6                          // vmul.f32      q9, q12, q3
  .long  0xf2686f60                          // vmin.f32      q11, q4, q8
  .long  0xeccd8b04                          // vstmia        sp, {d24-d25}
  .long  0xf248cf60                          // vmax.f32      q14, q4, q8
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf262afe6                          // vmin.f32      q13, q9, q11
  .long  0xf2426fec                          // vmax.f32      q11, q9, q14
  .long  0xf242cf44                          // vmax.f32      q14, q1, q2
  .long  0xf2622dea                          // vsub.f32      q9, q9, q13
  .long  0xf2260dea                          // vsub.f32      q0, q11, q13
  .long  0xf2626f44                          // vmin.f32      q11, q1, q2
  .long  0xf244cfec                          // vmax.f32      q14, q10, q14
  .long  0xf2288d6a                          // vsub.f32      q4, q4, q13
  .long  0xf2646fe6                          // vmin.f32      q11, q10, q11
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf2600dea                          // vsub.f32      q8, q8, q13
  .long  0xf26ccde6                          // vsub.f32      q14, q14, q11
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe28f2f97                          // add           r2, pc, #604
  .long  0xf34cedf6                          // vmul.f32      q15, q14, q11
  .long  0xf30e2df2                          // vmul.f32      q1, q15, q9
  .long  0xf3f92540                          // vceq.f32      q9, q0, #0
  .long  0xf30e8dd8                          // vmul.f32      q4, q15, q4
  .long  0xf262c1f2                          // vorr          q14, q9, q9
  .long  0xeec3baa1                          // vdiv.f32      s23, s7, s3
  .long  0xee83ba01                          // vdiv.f32      s22, s6, s2
  .long  0xeec2aaa0                          // vdiv.f32      s21, s5, s1
  .long  0xee82aa00                          // vdiv.f32      s20, s4, s0
  .long  0xf354c1da                          // vbsl          q14, q10, q5
  .long  0xeec9baa1                          // vdiv.f32      s23, s19, s3
  .long  0xee89ba01                          // vdiv.f32      s22, s18, s2
  .long  0xeec8aaa0                          // vdiv.f32      s21, s17, s1
  .long  0xee88aa00                          // vdiv.f32      s20, s16, s0
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf22281f2                          // vorr          q4, q9, q9
  .long  0xf31481da                          // vbsl          q4, q10, q5
  .long  0xf422aacf                          // vld1.64       {d10-d11}, [r2]
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf422cacf                          // vld1.64       {d12-d13}, [r2]
  .long  0xe28f2f8a                          // add           r2, pc, #552
  .long  0xf308ed5a                          // vmul.f32      q7, q4, q5
  .long  0xf30c4ddc                          // vmul.f32      q2, q14, q6
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xe28d2040                          // add           r2, sp, #64
  .long  0xf2044d4e                          // vadd.f32      q2, q2, q7
  .long  0xf30eedf0                          // vmul.f32      q7, q15, q8
  .long  0xeecf3aa1                          // vdiv.f32      s7, s31, s3
  .long  0xee8f3a01                          // vdiv.f32      s6, s30, s2
  .long  0xeece2aa0                          // vdiv.f32      s5, s29, s1
  .long  0xee8e2a00                          // vdiv.f32      s4, s28, s0
  .long  0xf35421d2                          // vbsl          q9, q10, q1
  .long  0xecd24b04                          // vldmia        r2, {d20-d21}
  .long  0xe28d2050                          // add           r2, sp, #80
  .long  0xf344edda                          // vmul.f32      q15, q10, q5
  .long  0xf3080ddc                          // vmul.f32      q0, q12, q6
  .long  0xecd24b04                          // vldmia        r2, {d20-d21}
  .long  0xf3420dfa                          // vmul.f32      q8, q9, q13
  .long  0xe28d2040                          // add           r2, sp, #64
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xf240ed6e                          // vadd.f32      q15, q0, q15
  .long  0xf3040dfa                          // vmul.f32      q0, q10, q13
  .long  0xf2440d60                          // vadd.f32      q8, q2, q8
  .long  0xf24eedc0                          // vadd.f32      q15, q15, q0
  .long  0xf34eedd6                          // vmul.f32      q15, q15, q3
  .long  0xf26eede0                          // vsub.f32      q15, q15, q8
  .long  0xf24c0dee                          // vadd.f32      q8, q14, q15
  .long  0xf2080d6e                          // vadd.f32      q0, q4, q15
  .long  0xf242edee                          // vadd.f32      q15, q9, q15
  .long  0xf340cddc                          // vmul.f32      q14, q8, q6
  .long  0xf3002d5a                          // vmul.f32      q1, q0, q5
  .long  0xf34e2dfa                          // vmul.f32      q9, q15, q13
  .long  0xf24ccdc2                          // vadd.f32      q14, q14, q1
  .long  0xf242adec                          // vadd.f32      q13, q9, q14
  .long  0xf2602d6a                          // vsub.f32      q9, q0, q13
  .long  0xf30a8df2                          // vmul.f32      q4, q13, q9
  .long  0xf2602f6e                          // vmin.f32      q9, q0, q15
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf22aade2                          // vsub.f32      q5, q13, q9
  .long  0xeec93aab                          // vdiv.f32      s7, s19, s23
  .long  0xee893a0b                          // vdiv.f32      s6, s18, s22
  .long  0xeec82aaa                          // vdiv.f32      s5, s17, s21
  .long  0xee882a0a                          // vdiv.f32      s4, s16, s20
  .long  0xf3b984e2                          // vcge.f32      q4, q9, #0
  .long  0xf24acdc2                          // vadd.f32      q14, q13, q1
  .long  0xf2282158                          // vorr          q1, q4, q4
  .long  0xf310217c                          // vbsl          q1, q0, q14
  .long  0xf346cdd6                          // vmul.f32      q14, q11, q3
  .long  0xf2224d6a                          // vsub.f32      q2, q1, q13
  .long  0xf2000f6e                          // vmax.f32      q0, q0, q15
  .long  0xf26c2dea                          // vsub.f32      q9, q14, q13
  .long  0xf302cdd4                          // vmul.f32      q6, q9, q2
  .long  0xf2004fc0                          // vmax.f32      q2, q8, q0
  .long  0xf2240d6a                          // vsub.f32      q0, q2, q13
  .long  0xeecdfaa1                          // vdiv.f32      s31, s27, s3
  .long  0xee8dfa01                          // vdiv.f32      s30, s26, s2
  .long  0xeecceaa0                          // vdiv.f32      s29, s25, s1
  .long  0xee8cea00                          // vdiv.f32      s28, s24, s0
  .long  0xf20acdce                          // vadd.f32      q6, q13, q7
  .long  0xf324ee6c                          // vcgt.f32      q7, q2, q14
  .long  0xf22e415e                          // vorr          q2, q7, q7
  .long  0xf31c4152                          // vbsl          q2, q6, q1
  .long  0xf2202dea                          // vsub.f32      q1, q8, q13
  .long  0xf2444f68                          // vmax.f32      q10, q2, q12
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf20a2dc4                          // vadd.f32      q1, q13, q2
  .long  0xf2284158                          // vorr          q2, q4, q4
  .long  0xf31041d2                          // vbsl          q2, q8, q1
  .long  0xf2640d6a                          // vsub.f32      q8, q2, q13
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec3daa1                          // vdiv.f32      s27, s7, s3
  .long  0xee83da01                          // vdiv.f32      s26, s6, s2
  .long  0xeec2caa0                          // vdiv.f32      s25, s5, s1
  .long  0xee82ca00                          // vdiv.f32      s24, s4, s0
  .long  0xf24a0dcc                          // vadd.f32      q8, q13, q6
  .long  0xf22e215e                          // vorr          q1, q7, q7
  .long  0xf280c050                          // vmov.i32      q6, #0
  .long  0xf31021d4                          // vbsl          q1, q8, q2
  .long  0xf2420f68                          // vmax.f32      q8, q1, q12
  .long  0xecd28b04                          // vldmia        r2, {d24-d25}
  .long  0xf22e2dea                          // vsub.f32      q1, q15, q13
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf30a2dd2                          // vmul.f32      q1, q13, q1
  .long  0xeec35aab                          // vdiv.f32      s11, s7, s23
  .long  0xee835a0b                          // vdiv.f32      s10, s6, s22
  .long  0xeec24aaa                          // vdiv.f32      s9, s5, s21
  .long  0xee824a0a                          // vdiv.f32      s8, s4, s20
  .long  0xf20a2dc4                          // vadd.f32      q1, q13, q2
  .long  0xf31e81d2                          // vbsl          q4, q15, q1
  .long  0xf268ed6a                          // vsub.f32      q15, q4, q13
  .long  0xf3022dfe                          // vmul.f32      q1, q9, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xeec35aa1                          // vdiv.f32      s11, s7, s3
  .long  0xee835a01                          // vdiv.f32      s10, s6, s2
  .long  0xeec24aa0                          // vdiv.f32      s9, s5, s1
  .long  0xee824a00                          // vdiv.f32      s8, s4, s0
  .long  0xf24a2dc4                          // vadd.f32      q9, q13, q2
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf312e1d8                          // vbsl          q7, q9, q4
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf262adc6                          // vsub.f32      q13, q9, q3
  .long  0xf2622de6                          // vsub.f32      q9, q9, q11
  .long  0xf2466dc6                          // vadd.f32      q11, q11, q3
  .long  0xf34a8df8                          // vmul.f32      q12, q13, q12
  .long  0xf342edfe                          // vmul.f32      q15, q9, q15
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf2266dec                          // vsub.f32      q3, q11, q14
  .long  0xf2488dee                          // vadd.f32      q12, q12, q15
  .long  0xecddeb04                          // vldmia        sp, {d30-d31}
  .long  0xf34aedfe                          // vmul.f32      q15, q13, q15
  .long  0xf2082de4                          // vadd.f32      q1, q12, q10
  .long  0xf24eedc0                          // vadd.f32      q15, q15, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf34aadd0                          // vmul.f32      q13, q13, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf20e0de0                          // vadd.f32      q0, q15, q8
  .long  0xf24a2de2                          // vadd.f32      q9, q13, q9
  .long  0xf24eaf4c                          // vmax.f32      q13, q7, q6
  .long  0xf2024dea                          // vadd.f32      q2, q9, q13
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_color_vfp4
.globl _sk_color_vfp4
FUNCTION(_sk_color_vfp4)
_sk_color_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xec832b04                          // vstmia        r3, {d2-d3}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf3440dd2                          // vmul.f32      q8, q10, q1
  .long  0xf3442dd0                          // vmul.f32      q9, q10, q0
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2f8a                          // add           r2, pc, #552
  .long  0xf3406df8                          // vmul.f32      q11, q8, q12
  .long  0xf462eacf                          // vld1.64       {d30-d31}, [r2]
  .long  0xf342cdfa                          // vmul.f32      q14, q9, q13
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xec8d2b04                          // vstmia        sp, {d2-d3}
  .long  0xf3022d78                          // vmul.f32      q1, q1, q12
  .long  0xf24c6de6                          // vadd.f32      q11, q14, q11
  .long  0xf344cdd4                          // vmul.f32      q14, q10, q2
  .long  0xf30c0dfe                          // vmul.f32      q0, q14, q15
  .long  0xf2406d66                          // vadd.f32      q11, q0, q11
  .long  0xf4220aef                          // vld1.64       {d0-d1}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3008d7a                          // vmul.f32      q4, q0, q13
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf4220aef                          // vld1.64       {d0-d1}, [r2 :128]
  .long  0xe28d2010                          // add           r2, sp, #16
  .long  0xf300ad7e                          // vmul.f32      q5, q0, q15
  .long  0xec820b04                          // vstmia        r2, {d0-d1}
  .long  0xf2088d42                          // vadd.f32      q4, q4, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2088d4a                          // vadd.f32      q4, q4, q5
  .long  0xf3088d56                          // vmul.f32      q4, q4, q3
  .long  0xf2288d66                          // vsub.f32      q4, q4, q11
  .long  0xf2406dc8                          // vadd.f32      q11, q8, q4
  .long  0xf2420dc8                          // vadd.f32      q8, q9, q4
  .long  0xf24ccdc8                          // vadd.f32      q14, q14, q4
  .long  0xf3468df8                          // vmul.f32      q12, q11, q12
  .long  0xf3402dfa                          // vmul.f32      q9, q8, q13
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf34c8dfe                          // vmul.f32      q12, q14, q15
  .long  0xf2488de2                          // vadd.f32      q12, q12, q9
  .long  0xf2662de8                          // vsub.f32      q9, q11, q12
  .long  0xf308adf2                          // vmul.f32      q5, q12, q9
  .long  0xf2662fec                          // vmin.f32      q9, q11, q14
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf3f9e4e2                          // vcge.f32      q15, q9, #0
  .long  0xf2288de2                          // vsub.f32      q4, q12, q9
  .long  0xeecbdaa9                          // vdiv.f32      s27, s23, s19
  .long  0xee8bda09                          // vdiv.f32      s26, s22, s18
  .long  0xeecacaa8                          // vdiv.f32      s25, s21, s17
  .long  0xee8aca08                          // vdiv.f32      s24, s20, s16
  .long  0xf248adcc                          // vadd.f32      q13, q12, q6
  .long  0xf22ec1fe                          // vorr          q6, q15, q15
  .long  0xf316c1fa                          // vbsl          q6, q11, q13
  .long  0xf2466fec                          // vmax.f32      q11, q11, q14
  .long  0xf344add6                          // vmul.f32      q13, q10, q3
  .long  0xf22cad68                          // vsub.f32      q5, q6, q12
  .long  0xf2406fe6                          // vmax.f32      q11, q8, q11
  .long  0xf26a2de8                          // vsub.f32      q9, q13, q12
  .long  0xf226ede8                          // vsub.f32      q7, q11, q12
  .long  0xf302adda                          // vmul.f32      q5, q9, q5
  .long  0xf3666eea                          // vcgt.f32      q11, q11, q13
  .long  0xeecb5aaf                          // vdiv.f32      s11, s23, s31
  .long  0xee8b5a0f                          // vdiv.f32      s10, s22, s30
  .long  0xeeca4aae                          // vdiv.f32      s9, s21, s29
  .long  0xee8a4a0e                          // vdiv.f32      s8, s20, s28
  .long  0xf2084dc4                          // vadd.f32      q2, q12, q2
  .long  0xf226a1f6                          // vorr          q5, q11, q11
  .long  0xf314a15c                          // vbsl          q5, q2, q6
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf20acf44                          // vmax.f32      q6, q5, q2
  .long  0xf220ade8                          // vsub.f32      q5, q8, q12
  .long  0xf308adda                          // vmul.f32      q5, q12, q5
  .long  0xeecb3aa9                          // vdiv.f32      s7, s23, s19
  .long  0xee8b3a09                          // vdiv.f32      s6, s22, s18
  .long  0xeeca2aa8                          // vdiv.f32      s5, s21, s17
  .long  0xee8a2a08                          // vdiv.f32      s4, s20, s16
  .long  0xf2082dc2                          // vadd.f32      q1, q12, q1
  .long  0xf22ea1fe                          // vorr          q5, q15, q15
  .long  0xf310a1d2                          // vbsl          q5, q8, q1
  .long  0xf26a0d68                          // vsub.f32      q8, q5, q12
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec31aaf                          // vdiv.f32      s3, s7, s31
  .long  0xee831a0f                          // vdiv.f32      s2, s6, s30
  .long  0xeec20aae                          // vdiv.f32      s1, s5, s29
  .long  0xee820a0e                          // vdiv.f32      s0, s4, s28
  .long  0xf2480dc0                          // vadd.f32      q8, q12, q0
  .long  0xf22601f6                          // vorr          q0, q11, q11
  .long  0xf31001da                          // vbsl          q0, q8, q5
  .long  0xf2400f44                          // vmax.f32      q8, q0, q2
  .long  0xf22c0de8                          // vsub.f32      q0, q14, q12
  .long  0xf3080dd0                          // vmul.f32      q0, q12, q0
  .long  0xeec13aa9                          // vdiv.f32      s7, s3, s19
  .long  0xee813a09                          // vdiv.f32      s6, s2, s18
  .long  0xeec02aa8                          // vdiv.f32      s5, s1, s17
  .long  0xee802a08                          // vdiv.f32      s4, s0, s16
  .long  0xf2080dc2                          // vadd.f32      q0, q12, q1
  .long  0xf35ce1d0                          // vbsl          q15, q14, q0
  .long  0xf26ecde8                          // vsub.f32      q14, q15, q12
  .long  0xf3020dfc                          // vmul.f32      q0, q9, q14
  .long  0xecddcb04                          // vldmia        sp, {d28-d29}
  .long  0xeec13aaf                          // vdiv.f32      s7, s3, s31
  .long  0xee813a0f                          // vdiv.f32      s6, s2, s30
  .long  0xeec02aae                          // vdiv.f32      s5, s1, s29
  .long  0xee802a0e                          // vdiv.f32      s4, s0, s28
  .long  0xf2482dc2                          // vadd.f32      q9, q12, q1
  .long  0xf35261fe                          // vbsl          q11, q9, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2466fc4                          // vmax.f32      q11, q11, q2
  .long  0xf2628dc6                          // vsub.f32      q12, q9, q3
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2444dc6                          // vadd.f32      q10, q10, q3
  .long  0xf348cdfc                          // vmul.f32      q14, q12, q14
  .long  0xf342edfe                          // vmul.f32      q15, q9, q15
  .long  0xf2246dea                          // vsub.f32      q3, q10, q13
  .long  0xf24ecdec                          // vadd.f32      q14, q15, q14
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf348edfe                          // vmul.f32      q15, q12, q15
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf20c2dcc                          // vadd.f32      q1, q14, q6
  .long  0xf240ed6e                          // vadd.f32      q15, q0, q15
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf3488dd0                          // vmul.f32      q12, q12, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf20e0de0                          // vadd.f32      q0, q15, q8
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf2024de6                          // vadd.f32      q2, q9, q11
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_luminosity_vfp4
.globl _sk_luminosity_vfp4
FUNCTION(_sk_luminosity_vfp4)
_sk_luminosity_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd068                          // sub           sp, sp, #104
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xec834b04                          // vstmia        r3, {d4-d5}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xec8d2b04                          // vstmia        sp, {d2-d3}
  .long  0xec830b04                          // vstmia        r3, {d0-d1}
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xecc30b04                          // vstmia        r3, {d16-d17}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf3400dd6                          // vmul.f32      q8, q8, q3
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf3442dd6                          // vmul.f32      q9, q10, q3
  .long  0xecc34b04                          // vstmia        r3, {d20-d21}
  .long  0xe28f2f82                          // add           r2, pc, #520
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2f83                          // add           r2, pc, #524
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf3404df8                          // vmul.f32      q10, q8, q12
  .long  0xf462caef                          // vld1.64       {d28-d29}, [r2 :128]
  .long  0xf3426dfa                          // vmul.f32      q11, q9, q13
  .long  0xf3008d7a                          // vmul.f32      q4, q0, q13
  .long  0xecc3cb04                          // vstmia        r3, {d28-d29}
  .long  0xf34ccdd6                          // vmul.f32      q14, q14, q3
  .long  0xe28f2f7e                          // add           r2, pc, #504
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf462eacf                          // vld1.64       {d30-d31}, [r2]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2464de4                          // vadd.f32      q10, q11, q10
  .long  0xf34c6dfe                          // vmul.f32      q11, q14, q15
  .long  0xf2444de6                          // vadd.f32      q10, q10, q11
  .long  0xf3426d78                          // vmul.f32      q11, q1, q12
  .long  0xf2486d66                          // vadd.f32      q11, q4, q11
  .long  0xf3048d7e                          // vmul.f32      q4, q2, q15
  .long  0xf2068dc8                          // vadd.f32      q4, q11, q4
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xe28d2040                          // add           r2, sp, #64
  .long  0xf3088d76                          // vmul.f32      q4, q4, q11
  .long  0xf2288d64                          // vsub.f32      q4, q4, q10
  .long  0xf2404dc8                          // vadd.f32      q10, q8, q4
  .long  0xf2420dc8                          // vadd.f32      q8, q9, q4
  .long  0xf24ccdc8                          // vadd.f32      q14, q14, q4
  .long  0xf3448df8                          // vmul.f32      q12, q10, q12
  .long  0xf3402dfa                          // vmul.f32      q9, q8, q13
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf34c8dfe                          // vmul.f32      q12, q14, q15
  .long  0xf2488de2                          // vadd.f32      q12, q12, q9
  .long  0xf2642de8                          // vsub.f32      q9, q10, q12
  .long  0xf308adf2                          // vmul.f32      q5, q12, q9
  .long  0xf2642fec                          // vmin.f32      q9, q10, q14
  .long  0xf2602fe2                          // vmin.f32      q9, q8, q9
  .long  0xf3f9e4e2                          // vcge.f32      q15, q9, #0
  .long  0xf2288de2                          // vsub.f32      q4, q12, q9
  .long  0xeecbdaa9                          // vdiv.f32      s27, s23, s19
  .long  0xee8bda09                          // vdiv.f32      s26, s22, s18
  .long  0xeecacaa8                          // vdiv.f32      s25, s21, s17
  .long  0xee8aca08                          // vdiv.f32      s24, s20, s16
  .long  0xf248adcc                          // vadd.f32      q13, q12, q6
  .long  0xf22ec1fe                          // vorr          q6, q15, q15
  .long  0xf314c1fa                          // vbsl          q6, q10, q13
  .long  0xf2444fec                          // vmax.f32      q10, q10, q14
  .long  0xf346add6                          // vmul.f32      q13, q11, q3
  .long  0xf22cad68                          // vsub.f32      q5, q6, q12
  .long  0xf2404fe4                          // vmax.f32      q10, q8, q10
  .long  0xf26a2de8                          // vsub.f32      q9, q13, q12
  .long  0xf224ede8                          // vsub.f32      q7, q10, q12
  .long  0xf302adda                          // vmul.f32      q5, q9, q5
  .long  0xf3644eea                          // vcgt.f32      q10, q10, q13
  .long  0xeecb5aaf                          // vdiv.f32      s11, s23, s31
  .long  0xee8b5a0f                          // vdiv.f32      s10, s22, s30
  .long  0xeeca4aae                          // vdiv.f32      s9, s21, s29
  .long  0xee8a4a0e                          // vdiv.f32      s8, s20, s28
  .long  0xf2084dc4                          // vadd.f32      q2, q12, q2
  .long  0xf224a1f4                          // vorr          q5, q10, q10
  .long  0xf314a15c                          // vbsl          q5, q2, q6
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf20acf44                          // vmax.f32      q6, q5, q2
  .long  0xf220ade8                          // vsub.f32      q5, q8, q12
  .long  0xf308adda                          // vmul.f32      q5, q12, q5
  .long  0xeecb3aa9                          // vdiv.f32      s7, s23, s19
  .long  0xee8b3a09                          // vdiv.f32      s6, s22, s18
  .long  0xeeca2aa8                          // vdiv.f32      s5, s21, s17
  .long  0xee8a2a08                          // vdiv.f32      s4, s20, s16
  .long  0xf2082dc2                          // vadd.f32      q1, q12, q1
  .long  0xf22ea1fe                          // vorr          q5, q15, q15
  .long  0xf310a1d2                          // vbsl          q5, q8, q1
  .long  0xf26a0d68                          // vsub.f32      q8, q5, q12
  .long  0xf3022df0                          // vmul.f32      q1, q9, q8
  .long  0xeec31aaf                          // vdiv.f32      s3, s7, s31
  .long  0xee831a0f                          // vdiv.f32      s2, s6, s30
  .long  0xeec20aae                          // vdiv.f32      s1, s5, s29
  .long  0xee820a0e                          // vdiv.f32      s0, s4, s28
  .long  0xf2480dc0                          // vadd.f32      q8, q12, q0
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf31001da                          // vbsl          q0, q8, q5
  .long  0xf2400f44                          // vmax.f32      q8, q0, q2
  .long  0xf22c0de8                          // vsub.f32      q0, q14, q12
  .long  0xf3080dd0                          // vmul.f32      q0, q12, q0
  .long  0xeec13aa9                          // vdiv.f32      s7, s3, s19
  .long  0xee813a09                          // vdiv.f32      s6, s2, s18
  .long  0xeec02aa8                          // vdiv.f32      s5, s1, s17
  .long  0xee802a08                          // vdiv.f32      s4, s0, s16
  .long  0xf2080dc2                          // vadd.f32      q0, q12, q1
  .long  0xf35ce1d0                          // vbsl          q15, q14, q0
  .long  0xf26ecde8                          // vsub.f32      q14, q15, q12
  .long  0xf3020dfc                          // vmul.f32      q0, q9, q14
  .long  0xecd2cb04                          // vldmia        r2, {d28-d29}
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xeec13aaf                          // vdiv.f32      s7, s3, s31
  .long  0xee813a0f                          // vdiv.f32      s6, s2, s30
  .long  0xeec02aae                          // vdiv.f32      s5, s1, s29
  .long  0xee802a0e                          // vdiv.f32      s4, s0, s28
  .long  0xf2482dc2                          // vadd.f32      q9, q12, q1
  .long  0xf35241fe                          // vbsl          q10, q9, q15
  .long  0xecddeb04                          // vldmia        sp, {d30-d31}
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2444fc4                          // vmax.f32      q10, q10, q2
  .long  0xf2628dc6                          // vsub.f32      q12, q9, q3
  .long  0xf2622de6                          // vsub.f32      q9, q9, q11
  .long  0xf2466dc6                          // vadd.f32      q11, q11, q3
  .long  0xf348cdfc                          // vmul.f32      q14, q12, q14
  .long  0xf342edfe                          // vmul.f32      q15, q9, q15
  .long  0xf2266dea                          // vsub.f32      q3, q11, q13
  .long  0xf24ccdee                          // vadd.f32      q14, q14, q15
  .long  0xecd3eb04                          // vldmia        r3, {d30-d31}
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf348edfe                          // vmul.f32      q15, q12, q15
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3030                          // add           r3, sp, #48
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf20c2dcc                          // vadd.f32      q1, q14, q6
  .long  0xf24eedc0                          // vadd.f32      q15, q15, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf3488dd0                          // vmul.f32      q12, q12, q0
  .long  0xec930b04                          // vldmia        r3, {d0-d1}
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf20e0de0                          // vadd.f32      q0, q15, q8
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf2024de4                          // vadd.f32      q2, q9, q10
  .long  0xe28dd068                          // add           sp, sp, #104
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3f170a3d                          // .word         0x3f170a3d
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae
  .long  0x3de147ae                          // .word         0x3de147ae

HIDDEN _sk_srcover_rgba_8888_vfp4
.globl _sk_srcover_rgba_8888_vfp4
FUNCTION(_sk_srcover_rgba_8888_vfp4)
_sk_srcover_rgba_8888_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe5905004                          // ldr           r5, [r0, #4]
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5906000                          // ldr           r6, [r0]
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe5903008                          // ldr           r3, [r0, #8]
  .long  0xe0020592                          // mul           r2, r2, r5
  .long  0xe2805010                          // add           r5, r0, #16
  .long  0xe3530000                          // cmp           r3, #0
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe2804020                          // add           r4, r0, #32
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0x1a000032                          // bne           1ba8 <sk_srcover_rgba_8888_vfp4+0x110>
  .long  0xf4620a8f                          // vld1.32       {d16-d17}, [r2]
  .long  0xf3c7405f                          // vmov.i32      q10, #255
  .long  0xe28f6f51                          // add           r6, pc, #324
  .long  0xf3f02070                          // vshr.u32      q9, q8, #16
  .long  0xf4668acf                          // vld1.64       {d24-d25}, [r6]
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xe3530000                          // cmp           r3, #0
  .long  0xf240e1f4                          // vand          q15, q8, q10
  .long  0xf3a88070                          // vshr.u32      q4, q8, #24
  .long  0xf3f80070                          // vshr.u32      q8, q8, #8
  .long  0xf2666dc6                          // vsub.f32      q11, q11, q3
  .long  0xf24001f4                          // vand          q8, q8, q10
  .long  0xf3bb8648                          // vcvt.f32.s32  q4, q4
  .long  0xf3066d78                          // vmul.f32      q3, q3, q12
  .long  0xf24221f4                          // vand          q9, q9, q10
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3022d78                          // vmul.f32      q1, q1, q12
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf3000d78                          // vmul.f32      q0, q0, q12
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3044d78                          // vmul.f32      q2, q2, q12
  .long  0xf2086c76                          // vfma.f32      q3, q4, q11
  .long  0xf445eaef                          // vst1.64       {d30-d31}, [r5 :128]
  .long  0xf2002cf6                          // vfma.f32      q1, q8, q11
  .long  0xf4440aef                          // vst1.64       {d16-d17}, [r4 :128]
  .long  0xf20e0cf6                          // vfma.f32      q0, q15, q11
  .long  0xf44e2aef                          // vst1.64       {d18-d19}, [lr :128]
  .long  0xf2024cf6                          // vfma.f32      q2, q9, q11
  .long  0xf40c8aef                          // vst1.64       {d8-d9}, [ip :128]
  .long  0xf2c3a65f                          // vmov.i32      q13, #1056964608
  .long  0xf206ad6a                          // vadd.f32      q5, q3, q13
  .long  0xf2424d6a                          // vadd.f32      q10, q1, q13
  .long  0xf240ed6a                          // vadd.f32      q15, q0, q13
  .long  0xf244cd6a                          // vadd.f32      q14, q2, q13
  .long  0xf3bba7ca                          // vcvt.u32.f32  q5, q5
  .long  0xf3fb47e4                          // vcvt.u32.f32  q10, q10
  .long  0xf3fbe7ee                          // vcvt.u32.f32  q15, q15
  .long  0xf3fbc7ec                          // vcvt.u32.f32  q14, q14
  .long  0xf2b8a55a                          // vshl.s32      q5, q5, #24
  .long  0xf2e84574                          // vshl.s32      q10, q10, #8
  .long  0xf26ee1da                          // vorr          q15, q15, q5
  .long  0xf2f0c57c                          // vshl.s32      q14, q14, #16
  .long  0xf26e01f4                          // vorr          q8, q15, q10
  .long  0xf26001fc                          // vorr          q8, q8, q14
  .long  0x1a000015                          // bne           1be8 <sk_srcover_rgba_8888_vfp4+0x150>
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe2036003                          // and           r6, r3, #3
  .long  0xe3560001                          // cmp           r6, #1
  .long  0x0a000017                          // beq           1c14 <sk_srcover_rgba_8888_vfp4+0x17c>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3560002                          // cmp           r6, #2
  .long  0x0a000005                          // beq           1bd8 <sk_srcover_rgba_8888_vfp4+0x140>
  .long  0xe3560003                          // cmp           r6, #3
  .long  0x1affffc5                          // bne           1ae0 <sk_srcover_rgba_8888_vfp4+0x48>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xeea06b90                          // vdup.32       q8, r6
  .long  0xe2826008                          // add           r6, r2, #8
  .long  0xf4e6183f                          // vld1.32       {d17[0]}, [r6 :32]
  .long  0xedd22b00                          // vldr          d18, [r2]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffbd                          // b             1ae0 <sk_srcover_rgba_8888_vfp4+0x48>
  .long  0xe2033003                          // and           r3, r3, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000b                          // beq           1c24 <sk_srcover_rgba_8888_vfp4+0x18c>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           1c0c <sk_srcover_rgba_8888_vfp4+0x174>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe3                          // bne           1b94 <sk_srcover_rgba_8888_vfp4+0xfc>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4c3183f                          // vst1.32       {d17[0]}, [r3 :32]
  .long  0xedc20b00                          // vstr          d16, [r2]
  .long  0xeaffffdf                          // b             1b94 <sk_srcover_rgba_8888_vfp4+0xfc>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xeea06b90                          // vdup.32       q8, r6
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffae                          // b             1ae0 <sk_srcover_rgba_8888_vfp4+0x48>
  .long  0xf4c2083f                          // vst1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffd9                          // b             1b94 <sk_srcover_rgba_8888_vfp4+0xfc>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_clamp_0_vfp4
.globl _sk_clamp_0_vfp4
FUNCTION(_sk_clamp_0_vfp4)
_sk_clamp_0_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2000f60                          // vmax.f32      q0, q0, q8
  .long  0xf2022f60                          // vmax.f32      q1, q1, q8
  .long  0xf2044f60                          // vmax.f32      q2, q2, q8
  .long  0xf2066f60                          // vmax.f32      q3, q3, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_1_vfp4
.globl _sk_clamp_1_vfp4
FUNCTION(_sk_clamp_1_vfp4)
_sk_clamp_1_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2200f60                          // vmin.f32      q0, q0, q8
  .long  0xf2222f60                          // vmin.f32      q1, q1, q8
  .long  0xf2244f60                          // vmin.f32      q2, q2, q8
  .long  0xf2266f60                          // vmin.f32      q3, q3, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_a_vfp4
.globl _sk_clamp_a_vfp4
FUNCTION(_sk_clamp_a_vfp4)
_sk_clamp_a_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2266f60                          // vmin.f32      q3, q3, q8
  .long  0xf2200f46                          // vmin.f32      q0, q0, q3
  .long  0xf2222f46                          // vmin.f32      q1, q1, q3
  .long  0xf2244f46                          // vmin.f32      q2, q2, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_a_dst_vfp4
.globl _sk_clamp_a_dst_vfp4
FUNCTION(_sk_clamp_a_dst_vfp4)
_sk_clamp_a_dst_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2620fe0                          // vmin.f32      q8, q9, q8
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2622fe0                          // vmin.f32      q9, q9, q8
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2622fe0                          // vmin.f32      q9, q9, q8
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2620fe0                          // vmin.f32      q8, q9, q8
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_set_rgb_vfp4
.globl _sk_set_rgb_vfp4
FUNCTION(_sk_set_rgb_vfp4)
_sk_set_rgb_vfp4:
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4a30cbd                          // vld1.32       {d0[]-d1[]}, [r3 :32]!
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xf4a32cbf                          // vld1.32       {d2[]-d3[]}, [r3 :32]
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_swap_rb_vfp4
.globl _sk_swap_rb_vfp4
FUNCTION(_sk_swap_rb_vfp4)
_sk_swap_rb_vfp4:
  .long  0xf2600150                          // vorr          q8, q0, q0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2240154                          // vorr          q0, q2, q2
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_invert_vfp4
.globl _sk_invert_vfp4
FUNCTION(_sk_invert_vfp4)
_sk_invert_vfp4:
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2200dc0                          // vsub.f32      q0, q8, q0
  .long  0xf2202dc2                          // vsub.f32      q1, q8, q1
  .long  0xf2204dc4                          // vsub.f32      q2, q8, q2
  .long  0xf2206dc6                          // vsub.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_move_src_dst_vfp4
.globl _sk_move_src_dst_vfp4
FUNCTION(_sk_move_src_dst_vfp4)
_sk_move_src_dst_vfp4:
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4020aef                          // vst1.64       {d0-d1}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4022aef                          // vst1.64       {d2-d3}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4024aef                          // vst1.64       {d4-d5}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4026aef                          // vst1.64       {d6-d7}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_move_dst_src_vfp4
.globl _sk_move_dst_src_vfp4
FUNCTION(_sk_move_dst_src_vfp4)
_sk_move_dst_src_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0xf4226aef                          // vld1.64       {d6-d7}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4224aef                          // vld1.64       {d4-d5}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4222aef                          // vld1.64       {d2-d3}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf4230aef                          // vld1.64       {d0-d1}, [r3 :128]
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_premul_vfp4
.globl _sk_premul_vfp4
FUNCTION(_sk_premul_vfp4)
_sk_premul_vfp4:
  .long  0xf3000d56                          // vmul.f32      q0, q0, q3
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3022d56                          // vmul.f32      q1, q1, q3
  .long  0xf3044d56                          // vmul.f32      q2, q2, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_premul_dst_vfp4
.globl _sk_premul_dst_vfp4
FUNCTION(_sk_premul_dst_vfp4)
_sk_premul_dst_vfp4:
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3422df0                          // vmul.f32      q9, q9, q8
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_unpremul_vfp4
.globl _sk_unpremul_vfp4
FUNCTION(_sk_unpremul_vfp4)
_sk_unpremul_vfp4:
  .long  0xed2dab04                          // vpush         {d10-d11}
  .long  0xed2d8b02                          // vpush         {d8}
  .long  0xeeb78a00                          // vmov.f32      s16, #112
  .long  0xf3f92546                          // vceq.f32      q9, q3, #0
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xeec8ba27                          // vdiv.f32      s23, s16, s15
  .long  0xee88ba07                          // vdiv.f32      s22, s16, s14
  .long  0xeec8aa26                          // vdiv.f32      s21, s16, s13
  .long  0xee88aa06                          // vdiv.f32      s20, s16, s12
  .long  0xf35021da                          // vbsl          q9, q8, q5
  .long  0xf3020dd0                          // vmul.f32      q0, q9, q0
  .long  0xf3022dd2                          // vmul.f32      q1, q9, q1
  .long  0xf3024dd4                          // vmul.f32      q2, q9, q2
  .long  0xecbd8b02                          // vpop          {d8}
  .long  0xecbdab04                          // vpop          {d10-d11}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_from_srgb_vfp4
.globl _sk_from_srgb_vfp4
FUNCTION(_sk_from_srgb_vfp4)
_sk_from_srgb_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf3408d50                          // vmul.f32      q12, q0, q0
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2098                          // add           r2, pc, #152
  .long  0xf342ad52                          // vmul.f32      q13, q1, q1
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf26621f6                          // vorr          q9, q11, q11
  .long  0xf26641f6                          // vorr          q10, q11, q11
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xf2402c70                          // vfma.f32      q9, q0, q8
  .long  0xe28f2098                          // add           r2, pc, #152
  .long  0xf2424c70                          // vfma.f32      q10, q1, q8
  .long  0xf26ce1fc                          // vorr          q15, q14, q14
  .long  0xf2446c70                          // vfma.f32      q11, q2, q8
  .long  0xf22c81fc                          // vorr          q4, q14, q14
  .long  0xf248ecf2                          // vfma.f32      q15, q12, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f208c                          // add           r2, pc, #140
  .long  0xf20a8cf4                          // vfma.f32      q4, q13, q10
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf3680ec2                          // vcgt.f32      q8, q12, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3022d7a                          // vmul.f32      q1, q1, q13
  .long  0xf3682ec4                          // vcgt.f32      q9, q12, q2
  .long  0xf3684ec0                          // vcgt.f32      q10, q12, q0
  .long  0xf3448d7a                          // vmul.f32      q12, q2, q13
  .long  0xf340ad7a                          // vmul.f32      q13, q0, q13
  .long  0xf3040d54                          // vmul.f32      q0, q2, q2
  .long  0xf3520158                          // vbsl          q8, q1, q4
  .long  0xf35a41fe                          // vbsl          q10, q13, q15
  .long  0xf240cc76                          // vfma.f32      q14, q0, q11
  .long  0xf35821fc                          // vbsl          q9, q12, q14
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf22241f2                          // vorr          q2, q9, q9
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391

HIDDEN _sk_from_srgb_dst_vfp4
.globl _sk_from_srgb_dst_vfp4
FUNCTION(_sk_from_srgb_dst_vfp4)
_sk_from_srgb_dst_vfp4:
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xe28f20ac                          // add           r2, pc, #172
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe28f30ac                          // add           r3, pc, #172
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf26061f0                          // vorr          q11, q8, q8
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf463cacf                          // vld1.64       {d28-d29}, [r3]
  .long  0xf344adf4                          // vmul.f32      q13, q10, q10
  .long  0xf368eee4                          // vcgt.f32      q15, q12, q10
  .long  0xe28f30b4                          // add           r3, pc, #180
  .long  0xf4238acf                          // vld1.64       {d8-d9}, [r3]
  .long  0xf3444dfc                          // vmul.f32      q10, q10, q14
  .long  0xf228a158                          // vorr          q5, q4, q4
  .long  0xf20aacf6                          // vfma.f32      q5, q13, q11
  .long  0xf354e1da                          // vbsl          q15, q10, q5
  .long  0xf26061f0                          // vorr          q11, q8, q8
  .long  0xf228a158                          // vorr          q5, q4, q4
  .long  0xf442eaef                          // vst1.64       {d30-d31}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf344adf4                          // vmul.f32      q13, q10, q10
  .long  0xf368eee4                          // vcgt.f32      q15, q12, q10
  .long  0xf3444dfc                          // vmul.f32      q10, q10, q14
  .long  0xf20aacf6                          // vfma.f32      q5, q13, q11
  .long  0xf354e1da                          // vbsl          q15, q10, q5
  .long  0xf442eaef                          // vst1.64       {d30-d31}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xf2440cf2                          // vfma.f32      q8, q10, q9
  .long  0xf3442df4                          // vmul.f32      q9, q10, q10
  .long  0xf3686ee4                          // vcgt.f32      q11, q12, q10
  .long  0xf3444dfc                          // vmul.f32      q10, q10, q14
  .long  0xf2028cf0                          // vfma.f32      q4, q9, q8
  .long  0xf35461d8                          // vbsl          q11, q10, q4
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3e99999a                          // .word         0x3e99999a
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3f328f5c                          // .word         0x3f328f5c
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d6147ae                          // .word         0x3d6147ae
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3d9e8391                          // .word         0x3d9e8391
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a
  .long  0x3b23d70a                          // .word         0x3b23d70a

HIDDEN _sk_to_srgb_vfp4
.globl _sk_to_srgb_vfp4
FUNCTION(_sk_to_srgb_vfp4)
_sk_to_srgb_vfp4:
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xf3fb05c0                          // vrsqrte.f32   q8, q0
  .long  0xe28f20f8                          // add           r2, pc, #248
  .long  0xf3402df0                          // vmul.f32      q9, q8, q8
  .long  0xf2602f72                          // vrsqrts.f32   q9, q0, q9
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f20f4                          // add           r2, pc, #244
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20fc                          // add           r2, pc, #252
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2f41                          // add           r2, pc, #260
  .long  0xf26ac1fa                          // vorr          q14, q13, q13
  .long  0xf240ccf8                          // vfma.f32      q14, q8, q12
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe28f2f41                          // add           r2, pc, #260
  .long  0xf22681f6                          // vorr          q4, q11, q11
  .long  0xf2404de2                          // vadd.f32      q10, q8, q9
  .long  0xf3fbe564                          // vrecpe.f32    q15, q10
  .long  0xf2008cfc                          // vfma.f32      q4, q8, q14
  .long  0xf3fb05c2                          // vrsqrte.f32   q8, q1
  .long  0xf2444ffe                          // vrecps.f32    q10, q10, q15
  .long  0xf340cdf0                          // vmul.f32      q14, q8, q8
  .long  0xf262cf7c                          // vrsqrts.f32   q14, q1, q14
  .long  0xf34e4df4                          // vmul.f32      q10, q15, q10
  .long  0xf266e1f6                          // vorr          q15, q11, q11
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xf26ac1fa                          // vorr          q14, q13, q13
  .long  0xf240ccf8                          // vfma.f32      q14, q8, q12
  .long  0xf240ecfc                          // vfma.f32      q15, q8, q14
  .long  0xf2400de2                          // vadd.f32      q8, q8, q9
  .long  0xf3fbc560                          // vrecpe.f32    q14, q8
  .long  0xf2400ffc                          // vrecps.f32    q8, q8, q14
  .long  0xf34c0df0                          // vmul.f32      q8, q14, q8
  .long  0xf3fbc5c4                          // vrsqrte.f32   q14, q2
  .long  0xf30cadfc                          // vmul.f32      q5, q14, q14
  .long  0xf224af5a                          // vrsqrts.f32   q5, q2, q5
  .long  0xf34ccdda                          // vmul.f32      q14, q14, q5
  .long  0xf24c2de2                          // vadd.f32      q9, q14, q9
  .long  0xf24cacf8                          // vfma.f32      q13, q14, q12
  .long  0xf3fb8562                          // vrecpe.f32    q12, q9
  .long  0xf2422ff8                          // vrecps.f32    q9, q9, q12
  .long  0xf24c6cfa                          // vfma.f32      q11, q14, q13
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20a0                          // add           r2, pc, #160
  .long  0xf34ecdf0                          // vmul.f32      q14, q15, q8
  .long  0xf348ed74                          // vmul.f32      q15, q4, q10
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xf36a0ec4                          // vcgt.f32      q8, q13, q2
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3044d58                          // vmul.f32      q2, q2, q4
  .long  0xf36a4ec0                          // vcgt.f32      q10, q13, q0
  .long  0xf3488df2                          // vmul.f32      q12, q12, q9
  .long  0xf36a2ec2                          // vcgt.f32      q9, q13, q1
  .long  0xf3022d58                          // vmul.f32      q1, q1, q4
  .long  0xf340ad58                          // vmul.f32      q13, q0, q4
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3540176                          // vbsl          q8, q2, q11
  .long  0xf352217c                          // vbsl          q9, q1, q14
  .long  0xf35a41fe                          // vbsl          q10, q13, q15
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0x3e10c64c                          // .word         0x3e10c64c
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0xbb20d739                          // .word         0xbb20d739
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3c629fba                          // .word         0x3c629fba
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3f90a3d7                          // .word         0x3f90a3d7
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x3b98b1a8                          // .word         0x3b98b1a8
  .long  0x414eb852                          // .word         0x414eb852
  .long  0x414eb852                          // .word         0x414eb852
  .long  0x414eb852                          // .word         0x414eb852
  .long  0x414eb852                          // .word         0x414eb852

HIDDEN _sk_rgb_to_hsl_vfp4
.globl _sk_rgb_to_hsl_vfp4
FUNCTION(_sk_rgb_to_hsl_vfp4)
_sk_rgb_to_hsl_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf2620f44                          // vmin.f32      q8, q1, q2
  .long  0xe28f20c8                          // add           r2, pc, #200
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20d0                          // add           r2, pc, #208
  .long  0xf2422f44                          // vmax.f32      q9, q1, q2
  .long  0xeeb7ca00                          // vmov.f32      s24, #112
  .long  0xf2600f60                          // vmin.f32      q8, q0, q8
  .long  0xf2402f62                          // vmax.f32      q9, q0, q9
  .long  0xf2624d44                          // vsub.f32      q10, q1, q2
  .long  0xf3648e42                          // vcgt.f32      q12, q2, q1
  .long  0xf2228de0                          // vsub.f32      q4, q9, q8
  .long  0xf260cd42                          // vsub.f32      q14, q0, q1
  .long  0xf2c1ef50                          // vmov.f32      q15, #4
  .long  0xeeccba29                          // vdiv.f32      s23, s24, s19
  .long  0xee8cba09                          // vdiv.f32      s22, s24, s18
  .long  0xeeccaa28                          // vdiv.f32      s21, s24, s17
  .long  0xee8caa08                          // vdiv.f32      s20, s24, s16
  .long  0xf3446dda                          // vmul.f32      q11, q10, q5
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xf35a81f4                          // vbsl          q12, q13, q10
  .long  0xf34ccdda                          // vmul.f32      q14, q14, q5
  .long  0xf2486de6                          // vadd.f32      q11, q12, q11
  .long  0xf2648d40                          // vsub.f32      q12, q2, q0
  .long  0xf24ccdee                          // vadd.f32      q14, q14, q15
  .long  0xf242ede0                          // vadd.f32      q15, q9, q8
  .long  0xf3488dda                          // vmul.f32      q12, q12, q5
  .long  0xf283a65f                          // vmov.i32      q5, #1056964608
  .long  0xf2c4a650                          // vmov.i32      q13, #1073741824
  .long  0xf30e4dda                          // vmul.f32      q2, q15, q5
  .long  0xf2488dea                          // vadd.f32      q12, q12, q13
  .long  0xf26aade2                          // vsub.f32      q13, q13, q9
  .long  0xf324ce4a                          // vcgt.f32      q6, q2, q5
  .long  0xf26aade0                          // vsub.f32      q13, q13, q8
  .long  0xf2420ee0                          // vceq.f32      q8, q9, q8
  .long  0xf31ac1fe                          // vbsl          q6, q13, q15
  .long  0xf242aec0                          // vceq.f32      q13, q9, q0
  .long  0xeec9baad                          // vdiv.f32      s23, s19, s27
  .long  0xee89ba0d                          // vdiv.f32      s22, s18, s26
  .long  0xeec8aaac                          // vdiv.f32      s21, s17, s25
  .long  0xee88aa0c                          // vdiv.f32      s20, s16, s24
  .long  0xf2422ec2                          // vceq.f32      q9, q9, q1
  .long  0xf35821fc                          // vbsl          q9, q12, q14
  .long  0xf356a1f2                          // vbsl          q13, q11, q9
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf26021f0                          // vorr          q9, q8, q8
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf35401da                          // vbsl          q8, q10, q5
  .long  0xf35421fa                          // vbsl          q9, q10, q13
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf3020df6                          // vmul.f32      q0, q9, q11
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x40c00000                          // .word         0x40c00000
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab

HIDDEN _sk_hsl_to_rgb_vfp4
.globl _sk_hsl_to_rgb_vfp4
FUNCTION(_sk_hsl_to_rgb_vfp4)
_sk_hsl_to_rgb_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd028                          // sub           sp, sp, #40
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf3424d54                          // vmul.f32      q10, q1, q2
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xec836b04                          // vstmia        r3, {d6-d7}
  .long  0xe28f2f63                          // add           r2, pc, #396
  .long  0xf3446e66                          // vcge.f32      q11, q2, q11
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2f63                          // add           r2, pc, #396
  .long  0xf2400d60                          // vadd.f32      q8, q0, q8
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xe28f2e19                          // add           r2, pc, #400
  .long  0xf2628d64                          // vsub.f32      q12, q1, q10
  .long  0xf422eacf                          // vld1.64       {d14-d15}, [r2]
  .long  0xf2c0a050                          // vmov.i32      q13, #0
  .long  0xf3fb2760                          // vcvt.s32.f32  q9, q8
  .long  0xf35861f4                          // vbsl          q11, q12, q10
  .long  0xf283665f                          // vmov.i32      q3, #1056964608
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf2464dc4                          // vadd.f32      q10, q11, q2
  .long  0xf2446d44                          // vadd.f32      q11, q2, q2
  .long  0xf362cee0                          // vcgt.f32      q14, q9, q8
  .long  0xf281cf50                          // vmov.f32      q6, #4
  .long  0xf2666de4                          // vsub.f32      q11, q11, q10
  .long  0xf358c17a                          // vbsl          q14, q4, q13
  .long  0xf283a65f                          // vmov.i32      q5, #1056964608
  .long  0xf2622dec                          // vsub.f32      q9, q9, q14
  .long  0xf264cde6                          // vsub.f32      q14, q10, q11
  .long  0xf260ade2                          // vsub.f32      q13, q8, q9
  .long  0xf2c10f58                          // vmov.f32      q8, #6
  .long  0xf2c12f50                          // vmov.f32      q9, #4
  .long  0xf34a0df0                          // vmul.f32      q8, q13, q8
  .long  0xf34aeece                          // vcge.f32      q15, q13, q7
  .long  0xf2628de0                          // vsub.f32      q12, q9, q8
  .long  0xf34c0df0                          // vmul.f32      q8, q14, q8
  .long  0xf2c02050                          // vmov.i32      q9, #0
  .long  0xf34c8df8                          // vmul.f32      q12, q14, q12
  .long  0xf2460de0                          // vadd.f32      q8, q11, q8
  .long  0xf2468de8                          // vadd.f32      q12, q11, q12
  .long  0xeccd0b04                          // vstmia        sp, {d16-d17}
  .long  0xe28f2f4b                          // add           r2, pc, #300
  .long  0xf356e1f8                          // vbsl          q15, q11, q12
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2e13                          // add           r2, pc, #304
  .long  0xf2400d60                          // vadd.f32      q8, q0, q8
  .long  0xf34a8ec6                          // vcge.f32      q12, q13, q3
  .long  0xf3bb6760                          // vcvt.s32.f32  q3, q8
  .long  0xf35e81f4                          // vbsl          q12, q15, q10
  .long  0xf3bb6646                          // vcvt.f32.s32  q3, q3
  .long  0xf366ee60                          // vcgt.f32      q15, q3, q8
  .long  0xf358e172                          // vbsl          q15, q4, q9
  .long  0xf266ed6e                          // vsub.f32      q15, q3, q15
  .long  0xf2602dee                          // vsub.f32      q9, q8, q15
  .long  0xf2c10f58                          // vmov.f32      q8, #6
  .long  0xf342edf0                          // vmul.f32      q15, q9, q8
  .long  0xf3420ece                          // vcge.f32      q8, q9, q7
  .long  0xf22c6d6e                          // vsub.f32      q3, q6, q15
  .long  0xf280c050                          // vmov.i32      q6, #0
  .long  0xf30c6dd6                          // vmul.f32      q3, q14, q3
  .long  0xf2066dc6                          // vadd.f32      q3, q11, q3
  .long  0xf35601d6                          // vbsl          q8, q11, q3
  .long  0xf3026eca                          // vcge.f32      q3, q9, q5
  .long  0xf31061f4                          // vbsl          q3, q8, q10
  .long  0xf34c0dfe                          // vmul.f32      q8, q14, q15
  .long  0xf3fbe740                          // vcvt.s32.f32  q15, q0
  .long  0xf2460de0                          // vadd.f32      q8, q11, q8
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf32eaec0                          // vcgt.f32      q5, q15, q0
  .long  0xf318a15c                          // vbsl          q5, q4, q6
  .long  0xf2818f50                          // vmov.f32      q4, #4
  .long  0xf26eedca                          // vsub.f32      q15, q15, q5
  .long  0xf260ed6e                          // vsub.f32      q15, q0, q15
  .long  0xf2810f58                          // vmov.f32      q0, #6
  .long  0xf30e0dd0                          // vmul.f32      q0, q15, q0
  .long  0xf30eaece                          // vcge.f32      q5, q15, q7
  .long  0xf2288d40                          // vsub.f32      q4, q4, q0
  .long  0xf30c8dd8                          // vmul.f32      q4, q14, q4
  .long  0xf2068dc8                          // vadd.f32      q4, q11, q4
  .long  0xf316a1d8                          // vbsl          q5, q11, q4
  .long  0xf283865f                          // vmov.i32      q4, #1056964608
  .long  0xf30e8ec8                          // vcge.f32      q4, q15, q4
  .long  0xf31a8174                          // vbsl          q4, q5, q10
  .long  0xf34c4dd0                          // vmul.f32      q10, q14, q0
  .long  0xf2464de4                          // vadd.f32      q10, q11, q10
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3422ee6                          // vcge.f32      q9, q9, q11
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf34aaee6                          // vcge.f32      q13, q13, q11
  .long  0xf34e6ee6                          // vcge.f32      q11, q15, q11
  .long  0xf3562170                          // vbsl          q9, q3, q8
  .long  0xecdd0b04                          // vldmia        sp, {d16-d17}
  .long  0xf358a1f0                          // vbsl          q13, q12, q8
  .long  0xf3f90542                          // vceq.f32      q8, q1, #0
  .long  0xec936b04                          // vldmia        r3, {d6-d7}
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf354017a                          // vbsl          q8, q2, q13
  .long  0xf3586174                          // vbsl          q11, q4, q10
  .long  0xf3142176                          // vbsl          q1, q2, q11
  .long  0xf3140172                          // vbsl          q0, q2, q9
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xe28dd028                          // add           sp, sp, #40
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3f2aaaab                          // .word         0x3f2aaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3eaaaaab                          // .word         0x3eaaaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab
  .long  0x3e2aaaab                          // .word         0x3e2aaaab

HIDDEN _sk_scale_1_float_vfp4
.globl _sk_scale_1_float_vfp4
FUNCTION(_sk_scale_1_float_vfp4)
_sk_scale_1_float_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbf                          // vld1.32       {d16[]-d17[]}, [r3 :32]
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_scale_u8_vfp4
.globl _sk_scale_u8_vfp4
FUNCTION(_sk_scale_u8_vfp4)
_sk_scale_u8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0x1a000013                          // bne           2514 <sk_scale_u8_vfp4+0x7c>
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf3002dd2                          // vmul.f32      q1, q8, q1
  .long  0xf3004dd4                          // vmul.f32      q2, q8, q2
  .long  0xf3006dd6                          // vmul.f32      q3, q8, q3
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000012                          // beq           256c <sk_scale_u8_vfp4+0xd4>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           2544 <sk_scale_u8_vfp4+0xac>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe8                          // bne           24d8 <sk_scale_u8_vfp4+0x40>
  .long  0xe3a04000                          // mov           r4, #0
  .long  0xe5d23002                          // ldrb          r3, [r2, #2]
  .long  0xee804bb0                          // vdup.16       d16, r4
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffda                          // b             24d8 <sk_scale_u8_vfp4+0x40>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xe5d22000                          // ldrb          r2, [r2]
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd5                          // b             24d8 <sk_scale_u8_vfp4+0x40>
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_scale_565_vfp4
.globl _sk_scale_565_vfp4
FUNCTION(_sk_scale_565_vfp4)
_sk_scale_565_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590c000                          // ldr           ip, [r0]
  .long  0xe9904004                          // ldmib         r0, {r2, lr}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082308c                          // add           r3, r2, ip, lsl #1
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0x1a000024                          // bne           2658 <sk_scale_565_vfp4+0xc8>
  .long  0xf463074f                          // vld1.16       {d16}, [r3]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a02e7e                          // mov           r2, #2016
  .long  0xf2c1205f                          // vmov.i32      q9, #31
  .long  0xeea42b90                          // vdup.32       q10, r2
  .long  0xe28f20e0                          // add           r2, pc, #224
  .long  0xf3c76258                          // vmov.i32      q11, #63488
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20e0                          // add           r2, pc, #224
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3444dfa                          // vmul.f32      q10, q10, q13
  .long  0xf3024dd4                          // vmul.f32      q2, q9, q2
  .long  0xf3400df6                          // vmul.f32      q8, q8, q11
  .long  0xf46c6aef                          // vld1.64       {d22-d23}, [ip :128]
  .long  0xf3666ec6                          // vcgt.f32      q11, q11, q3
  .long  0xf2648fe2                          // vmin.f32      q12, q10, q9
  .long  0xf244afe2                          // vmax.f32      q13, q10, q9
  .long  0xf3000dd0                          // vmul.f32      q0, q8, q0
  .long  0xf2608fe8                          // vmin.f32      q12, q8, q12
  .long  0xf240afea                          // vmax.f32      q13, q8, q13
  .long  0xf3042dd2                          // vmul.f32      q1, q10, q1
  .long  0xf35861fa                          // vbsl          q11, q12, q13
  .long  0xf3066dd6                          // vmul.f32      q3, q11, q3
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20e2003                          // and           r2, lr, #3
  .long  0xe3520001                          // cmp           r2, #1
  .long  0x0a000011                          // beq           26ac <sk_scale_565_vfp4+0x11c>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3520002                          // cmp           r2, #2
  .long  0x0a000005                          // beq           2688 <sk_scale_565_vfp4+0xf8>
  .long  0xe3520003                          // cmp           r2, #3
  .long  0x1affffd3                          // bne           25c8 <sk_scale_565_vfp4+0x38>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xee802bb0                          // vdup.16       d16, r2
  .long  0xe2832004                          // add           r2, r3, #4
  .long  0xf4e2049f                          // vld1.16       {d16[2]}, [r2 :16]
  .long  0xe5932000                          // ldr           r2, [r3]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffc6                          // b             25c8 <sk_scale_565_vfp4+0x38>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xee802bb0                          // vdup.16       d16, r2
  .long  0xf4e3041f                          // vld1.16       {d16[0]}, [r3 :16]
  .long  0xeaffffc2                          // b             25c8 <sk_scale_565_vfp4+0x38>
  .long  0xe320f000                          // nop           {0}
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108

HIDDEN _sk_lerp_1_float_vfp4
.globl _sk_lerp_1_float_vfp4
FUNCTION(_sk_lerp_1_float_vfp4)
_sk_lerp_1_float_vfp4:
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf2648d60                          // vsub.f32      q12, q2, q8
  .long  0xf4e3ecbf                          // vld1.32       {d30[]-d31[]}, [r3 :32]
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf260ad62                          // vsub.f32      q13, q0, q9
  .long  0xf4624aef                          // vld1.64       {d20-d21}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf262cd64                          // vsub.f32      q14, q1, q10
  .long  0xf4626aef                          // vld1.64       {d22-d23}, [r2 :128]
  .long  0xf2260d66                          // vsub.f32      q0, q3, q11
  .long  0xf2480cfe                          // vfma.f32      q8, q12, q15
  .long  0xf24c4cfe                          // vfma.f32      q10, q14, q15
  .long  0xf2406c7e                          // vfma.f32      q11, q0, q15
  .long  0xf24a2cfe                          // vfma.f32      q9, q13, q15
  .long  0xf22041f0                          // vorr          q2, q8, q8
  .long  0xf22421f4                          // vorr          q1, q10, q10
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_lerp_u8_vfp4
.globl _sk_lerp_u8_vfp4
FUNCTION(_sk_lerp_u8_vfp4)
_sk_lerp_u8_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0225492                          // mla           r2, r2, r4, r5
  .long  0xe0824003                          // add           r4, r2, r3
  .long  0xe2803020                          // add           r3, r0, #32
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0x1a00001f                          // bne           2808 <sk_lerp_u8_vfp4+0xb8>
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xf4634aef                          // vld1.64       {d20-d21}, [r3 :128]
  .long  0xf262cd64                          // vsub.f32      q14, q1, q10
  .long  0xf3d02a30                          // vmovl.u16     q9, d16
  .long  0xf4620aef                          // vld1.64       {d16-d17}, [r2 :128]
  .long  0xf2608d60                          // vsub.f32      q12, q0, q8
  .long  0xf3fb66e2                          // vcvt.f32.u32  q11, q9
  .long  0xf46e2aef                          // vld1.64       {d18-d19}, [lr :128]
  .long  0xe28f20b4                          // add           r2, pc, #180
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf264ed62                          // vsub.f32      q15, q2, q9
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf346adfa                          // vmul.f32      q13, q11, q13
  .long  0xf46c6aef                          // vld1.64       {d22-d23}, [ip :128]
  .long  0xf2260d66                          // vsub.f32      q0, q3, q11
  .long  0xf24c4cfa                          // vfma.f32      q10, q14, q13
  .long  0xf24e2cfa                          // vfma.f32      q9, q15, q13
  .long  0xf2406c7a                          // vfma.f32      q11, q0, q13
  .long  0xf2480cfa                          // vfma.f32      q8, q12, q13
  .long  0xf22421f4                          // vorr          q1, q10, q10
  .long  0xf22241f2                          // vorr          q2, q9, q9
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000012                          // beq           2860 <sk_lerp_u8_vfp4+0x110>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           2838 <sk_lerp_u8_vfp4+0xe8>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffdc                          // bne           279c <sk_lerp_u8_vfp4+0x4c>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xe5d45002                          // ldrb          r5, [r4, #2]
  .long  0xee806bb0                          // vdup.16       d16, r6
  .long  0xee205bb0                          // vmov.16       d16[2], r5
  .long  0xe1d440b0                          // ldrh          r4, [r4]
  .long  0xe1cd40b4                          // strh          r4, [sp, #4]
  .long  0xe28d4004                          // add           r4, sp, #4
  .long  0xf4e4241f                          // vld1.16       {d18[0]}, [r4 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffce                          // b             279c <sk_lerp_u8_vfp4+0x4c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xe5d44000                          // ldrb          r4, [r4]
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xee004bb0                          // vmov.16       d16[0], r4
  .long  0xeaffffc9                          // b             279c <sk_lerp_u8_vfp4+0x4c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_lerp_565_vfp4
.globl _sk_lerp_565_vfp4
FUNCTION(_sk_lerp_565_vfp4)
_sk_lerp_565_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280e040                          // add           lr, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280c020                          // add           ip, r0, #32
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852082                          // add           r2, r5, r2, lsl #1
  .long  0xe0824083                          // add           r4, r2, r3, lsl #1
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00002f                          // bne           2984 <sk_lerp_565_vfp4+0xfc>
  .long  0xf464074f                          // vld1.16       {d16}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a04e7e                          // mov           r4, #2016
  .long  0xf2c1205f                          // vmov.i32      q9, #31
  .long  0xeea44b90                          // vdup.32       q10, r4
  .long  0xe28f4f42                          // add           r4, pc, #264
  .long  0xf3c76258                          // vmov.i32      q11, #63488
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xe28f4f41                          // add           r4, pc, #260
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf464aacf                          // vld1.64       {d26-d27}, [r4]
  .long  0xe28f4f42                          // add           r4, pc, #264
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf3428df8                          // vmul.f32      q12, q9, q12
  .long  0xf4642acf                          // vld1.64       {d18-d19}, [r4]
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf344adfa                          // vmul.f32      q13, q10, q13
  .long  0xf3406df2                          // vmul.f32      q11, q8, q9
  .long  0xf4630aef                          // vld1.64       {d16-d17}, [r3 :128]
  .long  0xf260ed60                          // vsub.f32      q15, q0, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf26a4fe8                          // vmin.f32      q10, q13, q12
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf24acfe8                          // vmax.f32      q14, q13, q12
  .long  0xf24e0cf6                          // vfma.f32      q8, q15, q11
  .long  0xf2260fe4                          // vmin.f32      q0, q11, q10
  .long  0xf46e4aef                          // vld1.64       {d20-d21}, [lr :128]
  .long  0xf266ed64                          // vsub.f32      q15, q3, q10
  .long  0xf3246ec6                          // vcgt.f32      q3, q10, q3
  .long  0xf246cfec                          // vmax.f32      q14, q11, q14
  .long  0xf46c6aef                          // vld1.64       {d22-d23}, [ip :128]
  .long  0xf2244d62                          // vsub.f32      q2, q2, q9
  .long  0xf310617c                          // vbsl          q3, q0, q14
  .long  0xf262cd66                          // vsub.f32      q14, q1, q11
  .long  0xf2442c78                          // vfma.f32      q9, q2, q12
  .long  0xf24e4cd6                          // vfma.f32      q10, q15, q3
  .long  0xf24c6cfa                          // vfma.f32      q11, q14, q13
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22241f2                          // vorr          q2, q9, q9
  .long  0xf22461f4                          // vorr          q3, q10, q10
  .long  0xf22621f6                          // vorr          q1, q11, q11
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000011                          // beq           29d8 <sk_lerp_565_vfp4+0x150>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           29b4 <sk_lerp_565_vfp4+0x12c>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffc8                          // bne           28c8 <sk_lerp_565_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xe2845004                          // add           r5, r4, #4
  .long  0xf4e5049f                          // vld1.16       {d16[2]}, [r5 :16]
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4183f                          // vld1.32       {d17[0]}, [r4 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffbb                          // b             28c8 <sk_lerp_565_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xf4e4041f                          // vld1.16       {d16[0]}, [r4 :16]
  .long  0xeaffffb7                          // b             28c8 <sk_lerp_565_vfp4+0x40>
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108

HIDDEN _sk_load_tables_vfp4
.globl _sk_load_tables_vfp4
FUNCTION(_sk_load_tables_vfp4)
_sk_load_tables_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe5916000                          // ldr           r6, [r1]
  .long  0xe5902000                          // ldr           r2, [r0]
  .long  0xe5903008                          // ldr           r3, [r0, #8]
  .long  0xe5964000                          // ldr           r4, [r6]
  .long  0xe3530000                          // cmp           r3, #0
  .long  0xe084e102                          // add           lr, r4, r2, lsl #2
  .long  0x1a000036                          // bne           2b14 <sk_load_tables_vfp4+0xfc>
  .long  0xf46e0a8f                          // vld1.32       {d16-d17}, [lr]
  .long  0xf3c7405f                          // vmov.i32      q10, #255
  .long  0xe5967004                          // ldr           r7, [r6, #4]
  .long  0xf3f02070                          // vshr.u32      q9, q8, #16
  .long  0xe596200c                          // ldr           r2, [r6, #12]
  .long  0xf24061f4                          // vand          q11, q8, q10
  .long  0xe5963008                          // ldr           r3, [r6, #8]
  .long  0xf24221f4                          // vand          q9, q9, q10
  .long  0xe28f6f42                          // add           r6, pc, #264
  .long  0xf4668acf                          // vld1.64       {d24-d25}, [r6]
  .long  0xee375b90                          // vmov.32       r5, d23[1]
  .long  0xee334b90                          // vmov.32       r4, d19[1]
  .long  0xee17eb90                          // vmov.32       lr, d23[0]
  .long  0xee368b90                          // vmov.32       r8, d22[1]
  .long  0xee16ab90                          // vmov.32       sl, d22[0]
  .long  0xf3f86070                          // vshr.u32      q11, q8, #8
  .long  0xee32cb90                          // vmov.32       ip, d18[1]
  .long  0xf3e80070                          // vshr.u32      q8, q8, #24
  .long  0xf24641f4                          // vand          q10, q11, q10
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xee156b90                          // vmov.32       r6, d21[0]
  .long  0xf3006df8                          // vmul.f32      q3, q8, q12
  .long  0xe0875105                          // add           r5, r7, r5, lsl #2
  .long  0xe0829104                          // add           r9, r2, r4, lsl #2
  .long  0xee354b90                          // vmov.32       r4, d21[1]
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe087510e                          // add           r5, r7, lr, lsl #2
  .long  0xedd95a00                          // vldr          s11, [r9]
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xe0875108                          // add           r5, r7, r8, lsl #2
  .long  0xe087710a                          // add           r7, r7, sl, lsl #2
  .long  0xe082c10c                          // add           ip, r2, ip, lsl #2
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee345b90                          // vmov.32       r5, d20[1]
  .long  0xed970a00                          // vldr          s0, [r7]
  .long  0xe0837104                          // add           r7, r3, r4, lsl #2
  .long  0xee144b90                          // vmov.32       r4, d20[0]
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xee136b90                          // vmov.32       r6, d19[0]
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe0837105                          // add           r7, r3, r5, lsl #2
  .long  0xee125b90                          // vmov.32       r5, d18[0]
  .long  0xedd72a00                          // vldr          s5, [r7]
  .long  0xe0833104                          // add           r3, r3, r4, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe0823106                          // add           r3, r2, r6, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xeddc4a00                          // vldr          s9, [ip]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe203c003                          // and           ip, r3, #3
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0a00000c                          // beq           2b54 <sk_load_tables_vfp4+0x13c>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe35c0002                          // cmp           ip, #2
  .long  0x0a000005                          // beq           2b44 <sk_load_tables_vfp4+0x12c>
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0x1affffc1                          // bne           2a3c <sk_load_tables_vfp4+0x24>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xeea02b90                          // vdup.32       q8, r2
  .long  0xe28e2008                          // add           r2, lr, #8
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xedde2b00                          // vldr          d18, [lr]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffb9                          // b             2a3c <sk_load_tables_vfp4+0x24>
  .long  0xe3a02000                          // mov           r2, #0
  .long  0xeea02b90                          // vdup.32       q8, r2
  .long  0xf4ee083f                          // vld1.32       {d16[0]}, [lr :32]
  .long  0xeaffffb5                          // b             2a3c <sk_load_tables_vfp4+0x24>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_tables_u16_be_vfp4
.globl _sk_load_tables_u16_be_vfp4
FUNCTION(_sk_load_tables_u16_be_vfp4)
_sk_load_tables_u16_be_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe5918000                          // ldr           r8, [r1]
  .long  0xe5903000                          // ldr           r3, [r0]
  .long  0xe590e008                          // ldr           lr, [r0, #8]
  .long  0xe5982000                          // ldr           r2, [r8]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe082c183                          // add           ip, r2, r3, lsl #3
  .long  0x1a000039                          // bne           2c80 <sk_load_tables_u16_be_vfp4+0x108>
  .long  0xf46c004f                          // vld4.16       {d16-d19}, [ip]
  .long  0xf3c72b3f                          // vbic.i16      d18, #65280
  .long  0xe5986004                          // ldr           r6, [r8, #4]
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe5983008                          // ldr           r3, [r8, #8]
  .long  0xe598200c                          // ldr           r2, [r8, #12]
  .long  0xe28f40f0                          // add           r4, pc, #240
  .long  0xf3d04a32                          // vmovl.u16     q10, d18
  .long  0xf4646acf                          // vld1.64       {d22-d23}, [r4]
  .long  0xf3d08a30                          // vmovl.u16     q12, d16
  .long  0xf3c71b3f                          // vbic.i16      d17, #65280
  .long  0xf2d80533                          // vshl.s16      d16, d19, #8
  .long  0xee355b90                          // vmov.32       r5, d21[1]
  .long  0xee397b90                          // vmov.32       r7, d25[1]
  .long  0xee199b90                          // vmov.32       r9, d25[0]
  .long  0xee388b90                          // vmov.32       r8, d24[1]
  .long  0xee18ab90                          // vmov.32       sl, d24[0]
  .long  0xf3d08a31                          // vmovl.u16     q12, d17
  .long  0xee34cb90                          // vmov.32       ip, d20[1]
  .long  0xe082e105                          // add           lr, r2, r5, lsl #2
  .long  0xee195b90                          // vmov.32       r5, d25[0]
  .long  0xe0864107                          // add           r4, r6, r7, lsl #2
  .long  0xee397b90                          // vmov.32       r7, d25[1]
  .long  0xedde5a00                          // vldr          s11, [lr]
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0864109                          // add           r4, r6, r9, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xe0864108                          // add           r4, r6, r8, lsl #2
  .long  0xe082c10c                          // add           ip, r2, ip, lsl #2
  .long  0xedd40a00                          // vldr          s1, [r4]
  .long  0xe086410a                          // add           r4, r6, sl, lsl #2
  .long  0xee386b90                          // vmov.32       r6, d24[1]
  .long  0xed940a00                          // vldr          s0, [r4]
  .long  0xe0834107                          // add           r4, r3, r7, lsl #2
  .long  0xee187b90                          // vmov.32       r7, d24[0]
  .long  0xf3d88033                          // vshr.u16      d24, d19, #8
  .long  0xedd43a00                          // vldr          s7, [r4]
  .long  0xe0834105                          // add           r4, r3, r5, lsl #2
  .long  0xee155b90                          // vmov.32       r5, d21[0]
  .long  0xf26001b8                          // vorr          d16, d16, d24
  .long  0xed943a00                          // vldr          s6, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe0834106                          // add           r4, r3, r6, lsl #2
  .long  0xee146b90                          // vmov.32       r6, d20[0]
  .long  0xedd42a00                          // vldr          s5, [r4]
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3006df6                          // vmul.f32      q3, q8, q11
  .long  0xe0833107                          // add           r3, r3, r7, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe0823105                          // add           r3, r2, r5, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xeddc4a00                          // vldr          s9, [ip]
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4ec070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [ip]
  .long  0xe35e0001                          // cmp           lr, #1
  .long  0x0affffc3                          // beq           2b9c <sk_load_tables_u16_be_vfp4+0x24>
  .long  0xe28c2008                          // add           r2, ip, #8
  .long  0xe35e0003                          // cmp           lr, #3
  .long  0xf4e2074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3affffbf                          // bcc           2b9c <sk_load_tables_u16_be_vfp4+0x24>
  .long  0xe28c2010                          // add           r2, ip, #16
  .long  0xf4e2078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeaffffbc                          // b             2b9c <sk_load_tables_u16_be_vfp4+0x24>
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080

HIDDEN _sk_load_tables_rgb_u16_be_vfp4
.globl _sk_load_tables_rgb_u16_be_vfp4
FUNCTION(_sk_load_tables_rgb_u16_be_vfp4)
_sk_load_tables_rgb_u16_be_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe5903000                          // ldr           r3, [r0]
  .long  0xe5918000                          // ldr           r8, [r1]
  .long  0xe590e008                          // ldr           lr, [r0, #8]
  .long  0xe0833083                          // add           r3, r3, r3, lsl #1
  .long  0xe5982000                          // ldr           r2, [r8]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe082c083                          // add           ip, r2, r3, lsl #1
  .long  0x1a000033                          // bne           2dac <sk_load_tables_rgb_u16_be_vfp4+0xf4>
  .long  0xf46c044f                          // vld3.16       {d16-d18}, [ip]
  .long  0xf3c72b3f                          // vbic.i16      d18, #65280
  .long  0xe5987004                          // ldr           r7, [r8, #4]
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe5983008                          // ldr           r3, [r8, #8]
  .long  0xe598200c                          // ldr           r2, [r8, #12]
  .long  0xe28f40dc                          // add           r4, pc, #220
  .long  0xf3d04a32                          // vmovl.u16     q10, d18
  .long  0xf4246acf                          // vld1.64       {d6-d7}, [r4]
  .long  0xf3d06a30                          // vmovl.u16     q11, d16
  .long  0xf3c71b3f                          // vbic.i16      d17, #65280
  .long  0xee355b90                          // vmov.32       r5, d21[1]
  .long  0xee376b90                          // vmov.32       r6, d23[1]
  .long  0xf3d00a31                          // vmovl.u16     q8, d17
  .long  0xee17eb90                          // vmov.32       lr, d23[0]
  .long  0xee368b90                          // vmov.32       r8, d22[1]
  .long  0xee16ab90                          // vmov.32       sl, d22[0]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee34cb90                          // vmov.32       ip, d20[1]
  .long  0xe0829105                          // add           r9, r2, r5, lsl #2
  .long  0xe0875106                          // add           r5, r7, r6, lsl #2
  .long  0xee116b90                          // vmov.32       r6, d17[0]
  .long  0xedd95a00                          // vldr          s11, [r9]
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe087510e                          // add           r5, r7, lr, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xe0875108                          // add           r5, r7, r8, lsl #2
  .long  0xe087710a                          // add           r7, r7, sl, lsl #2
  .long  0xe082c10c                          // add           ip, r2, ip, lsl #2
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed970a00                          // vldr          s0, [r7]
  .long  0xe0837104                          // add           r7, r3, r4, lsl #2
  .long  0xee104b90                          // vmov.32       r4, d16[0]
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xee156b90                          // vmov.32       r6, d21[0]
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe0837105                          // add           r7, r3, r5, lsl #2
  .long  0xee145b90                          // vmov.32       r5, d20[0]
  .long  0xedd72a00                          // vldr          s5, [r7]
  .long  0xe0833104                          // add           r3, r3, r4, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe0823106                          // add           r3, r2, r6, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xeddc4a00                          // vldr          s9, [ip]
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4ec060f                          // vld3.16       {d16[0],d17[0],d18[0]}, [ip]
  .long  0xe35e0001                          // cmp           lr, #1
  .long  0x0affffc9                          // beq           2ce0 <sk_load_tables_rgb_u16_be_vfp4+0x28>
  .long  0xe28c2006                          // add           r2, ip, #6
  .long  0xe35e0003                          // cmp           lr, #3
  .long  0xf4e2064f                          // vld3.16       {d16[1],d17[1],d18[1]}, [r2]
  .long  0x3affffc5                          // bcc           2ce0 <sk_load_tables_rgb_u16_be_vfp4+0x28>
  .long  0xe28c200c                          // add           r2, ip, #12
  .long  0xf4e2068f                          // vld3.16       {d16[2],d17[2],d18[2]}, [r2]
  .long  0xeaffffc2                          // b             2ce0 <sk_load_tables_rgb_u16_be_vfp4+0x28>
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_byte_tables_vfp4
.globl _sk_byte_tables_vfp4
FUNCTION(_sk_byte_tables_vfp4)
_sk_byte_tables_vfp4:
  .long  0xe92d48f0                          // push          {r4, r5, r6, r7, fp, lr}
  .long  0xe28f2f55                          // add           r2, pc, #340
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2420c7a                          // vfma.f32      q8, q1, q13
  .long  0xe8911040                          // ldm           r1, {r6, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf2468c7a                          // vfma.f32      q12, q3, q13
  .long  0xe8960018                          // ldm           r6, {r3, r4}
  .long  0xe5962008                          // ldr           r2, [r6, #8]
  .long  0xe596e00c                          // ldr           lr, [r6, #12]
  .long  0xf3fb27e0                          // vcvt.u32.f32  q9, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2400c7a                          // vfma.f32      q8, q0, q13
  .long  0xf3fb87e8                          // vcvt.u32.f32  q12, q12
  .long  0xee127b90                          // vmov.32       r7, d18[0]
  .long  0xee325b90                          // vmov.32       r5, d18[1]
  .long  0xf3fb47e0                          // vcvt.u32.f32  q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2440c7a                          // vfma.f32      q8, q2, q13
  .long  0xf3fb67e0                          // vcvt.u32.f32  q11, q8
  .long  0xe7d46007                          // ldrb          r6, [r4, r7]
  .long  0xee147b90                          // vmov.32       r7, d20[0]
  .long  0xe7d45005                          // ldrb          r5, [r4, r5]
  .long  0xee006bb0                          // vmov.16       d16[0], r6
  .long  0xee005bf0                          // vmov.16       d16[1], r5
  .long  0xe7d36007                          // ldrb          r6, [r3, r7]
  .long  0xee167b90                          // vmov.32       r7, d22[0]
  .long  0xee016bb0                          // vmov.16       d17[0], r6
  .long  0xe7d26007                          // ldrb          r6, [r2, r7]
  .long  0xee187b90                          // vmov.32       r7, d24[0]
  .long  0xee0a6bb0                          // vmov.16       d26[0], r6
  .long  0xe7de6007                          // ldrb          r6, [lr, r7]
  .long  0xee347b90                          // vmov.32       r7, d20[1]
  .long  0xee0b6bb0                          // vmov.16       d27[0], r6
  .long  0xee176b90                          // vmov.32       r6, d23[0]
  .long  0xe7d35007                          // ldrb          r5, [r3, r7]
  .long  0xee367b90                          // vmov.32       r7, d22[1]
  .long  0xee015bf0                          // vmov.16       d17[1], r5
  .long  0xe7d25006                          // ldrb          r5, [r2, r6]
  .long  0xe7d26007                          // ldrb          r6, [r2, r7]
  .long  0xee387b90                          // vmov.32       r7, d24[1]
  .long  0xee0a6bf0                          // vmov.16       d26[1], r6
  .long  0xee2a5bb0                          // vmov.16       d26[2], r5
  .long  0xee195b90                          // vmov.32       r5, d25[0]
  .long  0xe7de6007                          // ldrb          r6, [lr, r7]
  .long  0xee157b90                          // vmov.32       r7, d21[0]
  .long  0xee0b6bf0                          // vmov.16       d27[1], r6
  .long  0xe7de5005                          // ldrb          r5, [lr, r5]
  .long  0xee2b5bb0                          // vmov.16       d27[2], r5
  .long  0xe7d36007                          // ldrb          r6, [r3, r7]
  .long  0xee137b90                          // vmov.32       r7, d19[0]
  .long  0xee216bb0                          // vmov.16       d17[2], r6
  .long  0xe7d46007                          // ldrb          r6, [r4, r7]
  .long  0xee337b90                          // vmov.32       r7, d19[1]
  .long  0xee206bb0                          // vmov.16       d16[2], r6
  .long  0xee356b90                          // vmov.32       r6, d21[1]
  .long  0xe7d44007                          // ldrb          r4, [r4, r7]
  .long  0xee397b90                          // vmov.32       r7, d25[1]
  .long  0xee204bf0                          // vmov.16       d16[3], r4
  .long  0xe7d33006                          // ldrb          r3, [r3, r6]
  .long  0xee376b90                          // vmov.32       r6, d23[1]
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xee213bf0                          // vmov.16       d17[3], r3
  .long  0xf3c71b3f                          // vbic.i16      d17, #65280
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xe7de3007                          // ldrb          r3, [lr, r7]
  .long  0xee2b3bf0                          // vmov.16       d27[3], r3
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xf3c7bb3f                          // vbic.i16      d27, #65280
  .long  0xee2a2bf0                          // vmov.16       d26[3], r2
  .long  0xf3d06a3b                          // vmovl.u16     q11, d27
  .long  0xe28f2038                          // add           r2, pc, #56
  .long  0xf3c7ab3f                          // vbic.i16      d26, #65280
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb66e6                          // vcvt.f32.u32  q11, q11
  .long  0xf3d04a3a                          // vmovl.u16     q10, d26
  .long  0xf3020df8                          // vmul.f32      q0, q9, q12
  .long  0xf3002df8                          // vmul.f32      q1, q8, q12
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xf3066df8                          // vmul.f32      q3, q11, q12
  .long  0xf3044df8                          // vmul.f32      q2, q10, q12
  .long  0xe8bd48f0                          // pop           {r4, r5, r6, r7, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_byte_tables_rgb_vfp4
.globl _sk_byte_tables_rgb_vfp4
FUNCTION(_sk_byte_tables_rgb_vfp4)
_sk_byte_tables_rgb_vfp4:
  .long  0xe92d48f0                          // push          {r4, r5, r6, r7, fp, lr}
  .long  0xe8911010                          // ldm           r1, {r4, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe5943000                          // ldr           r3, [r4]
  .long  0xe9944004                          // ldmib         r4, {r2, lr}
  .long  0xe594400c                          // ldr           r4, [r4, #12]
  .long  0xe2444001                          // sub           r4, r4, #1
  .long  0xeea04b90                          // vdup.32       q8, r4
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2440c74                          // vfma.f32      q8, q2, q10
  .long  0xf2422c74                          // vfma.f32      q9, q1, q10
  .long  0xf2406c74                          // vfma.f32      q11, q0, q10
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xf3fb27e2                          // vcvt.u32.f32  q9, q9
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xee104b90                          // vmov.32       r4, d16[0]
  .long  0xee317b90                          // vmov.32       r7, d17[1]
  .long  0xee125b90                          // vmov.32       r5, d18[0]
  .long  0xee146b90                          // vmov.32       r6, d20[0]
  .long  0xe7de4004                          // ldrb          r4, [lr, r4]
  .long  0xe7de7007                          // ldrb          r7, [lr, r7]
  .long  0xe7d25005                          // ldrb          r5, [r2, r5]
  .long  0xee074bb0                          // vmov.16       d23[0], r4
  .long  0xe7d34006                          // ldrb          r4, [r3, r6]
  .long  0xee065bb0                          // vmov.16       d22[0], r5
  .long  0xee155b90                          // vmov.32       r5, d21[0]
  .long  0xee346b90                          // vmov.32       r6, d20[1]
  .long  0xee084bb0                          // vmov.16       d24[0], r4
  .long  0xe7d34005                          // ldrb          r4, [r3, r5]
  .long  0xe7d35006                          // ldrb          r5, [r3, r6]
  .long  0xee326b90                          // vmov.32       r6, d18[1]
  .long  0xee085bf0                          // vmov.16       d24[1], r5
  .long  0xee284bb0                          // vmov.16       d24[2], r4
  .long  0xee134b90                          // vmov.32       r4, d19[0]
  .long  0xe7d25006                          // ldrb          r5, [r2, r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee065bf0                          // vmov.16       d22[1], r5
  .long  0xe7d24004                          // ldrb          r4, [r2, r4]
  .long  0xee264bb0                          // vmov.16       d22[2], r4
  .long  0xe7de5006                          // ldrb          r5, [lr, r6]
  .long  0xee356b90                          // vmov.32       r6, d21[1]
  .long  0xee075bf0                          // vmov.16       d23[1], r5
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe7d33006                          // ldrb          r3, [r3, r6]
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xee283bf0                          // vmov.16       d24[3], r3
  .long  0xe7de5005                          // ldrb          r5, [lr, r5]
  .long  0xf3c78b3f                          // vbic.i16      d24, #65280
  .long  0xee275bb0                          // vmov.16       d23[2], r5
  .long  0xf3d00a38                          // vmovl.u16     q8, d24
  .long  0xee277bf0                          // vmov.16       d23[3], r7
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3c77b3f                          // vbic.i16      d23, #65280
  .long  0xf3d04a37                          // vmovl.u16     q10, d23
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xee262bf0                          // vmov.16       d22[3], r2
  .long  0xe28f2020                          // add           r2, pc, #32
  .long  0xf3c76b3f                          // vbic.i16      d22, #65280
  .long  0xf3d02a36                          // vmovl.u16     q9, d22
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3000df6                          // vmul.f32      q0, q8, q11
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3044df6                          // vmul.f32      q2, q10, q11
  .long  0xf3022df6                          // vmul.f32      q1, q9, q11
  .long  0xe8bd48f0                          // pop           {r4, r5, r6, r7, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_table_r_vfp4
.globl _sk_table_r_vfp4
FUNCTION(_sk_table_r_vfp4)
_sk_table_r_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2402c70                          // vfma.f32      q9, q0, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd31a00                          // vldr          s3, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed931a00                          // vldr          s2, [r3]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_table_g_vfp4
.globl _sk_table_g_vfp4
FUNCTION(_sk_table_g_vfp4)
_sk_table_g_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2422c70                          // vfma.f32      q9, q1, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd33a00                          // vldr          s7, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed933a00                          // vldr          s6, [r3]
  .long  0xedd52a00                          // vldr          s5, [r5]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_table_b_vfp4
.globl _sk_table_b_vfp4
FUNCTION(_sk_table_b_vfp4)
_sk_table_b_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2442c70                          // vfma.f32      q9, q2, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd35a00                          // vldr          s11, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed935a00                          // vldr          s10, [r3]
  .long  0xedd54a00                          // vldr          s9, [r5]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_table_a_vfp4
.globl _sk_table_a_vfp4
FUNCTION(_sk_table_a_vfp4)
_sk_table_a_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe893000c                          // ldm           r3, {r2, r3}
  .long  0xe2433001                          // sub           r3, r3, #1
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf3fb07e2                          // vcvt.u32.f32  q8, q9
  .long  0xee313b90                          // vmov.32       r3, d17[1]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xee30eb90                          // vmov.32       lr, d16[1]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xedd37a00                          // vldr          s15, [r3]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe082510e                          // add           r5, r2, lr, lsl #2
  .long  0xe0822106                          // add           r2, r2, r6, lsl #2
  .long  0xed937a00                          // vldr          s14, [r3]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_parametric_r_vfp4
.globl _sk_parametric_r_vfp4
FUNCTION(_sk_parametric_r_vfp4)
_sk_parametric_r_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd0                          // vfma.f32      q10, q9, q0
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd0                          // vfma.f32      q10, q9, q0
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec0                          // vcge.f32      q11, q11, q0
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_parametric_g_vfp4
.globl _sk_parametric_g_vfp4
FUNCTION(_sk_parametric_g_vfp4)
_sk_parametric_g_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd2                          // vfma.f32      q10, q9, q1
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd2                          // vfma.f32      q10, q9, q1
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec2                          // vcge.f32      q11, q11, q1
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2202fe2                          // vmin.f32      q1, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_parametric_b_vfp4
.globl _sk_parametric_b_vfp4
FUNCTION(_sk_parametric_b_vfp4)
_sk_parametric_b_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd4                          // vfma.f32      q10, q9, q2
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd4                          // vfma.f32      q10, q9, q2
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec4                          // vcge.f32      q11, q11, q2
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2204fe2                          // vmin.f32      q2, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_parametric_a_vfp4
.globl _sk_parametric_a_vfp4
FUNCTION(_sk_parametric_a_vfp4)
_sk_parametric_a_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xe8911004                          // ldm           r1, {r2, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed9fca65                          // vldr          s24, [pc, #404]
  .long  0xe1a03002                          // mov           r3, r2
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf2424cd6                          // vfma.f32      q10, q9, q3
  .long  0xf2c72d5f                          // vmov.i32      q9, #8388607
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f3f43                          // add           r3, pc, #268
  .long  0xf24421f2                          // vand          q9, q10, q9
  .long  0xf2c3275f                          // vorr.i32      q9, #1056964608
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf202ade6                          // vadd.f32      q5, q9, q11
  .long  0xf2c36654                          // vmov.i32      q11, #872415232
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30fc                          // add           r3, pc, #252
  .long  0xeecc9a2b                          // vdiv.f32      s19, s24, s23
  .long  0xee8c9a0b                          // vdiv.f32      s18, s24, s22
  .long  0xeecc8a2a                          // vdiv.f32      s17, s24, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf2444de8                          // vadd.f32      q10, q10, q12
  .long  0xe28f30ec                          // add           r3, pc, #236
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xe28f30f4                          // add           r3, pc, #244
  .long  0xed9faa49                          // vldr          s20, [pc, #292]
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf2622dc8                          // vsub.f32      q9, q9, q4
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb4660                          // vcvt.f32.s32  q10, q8
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3646ee2                          // vcgt.f32      q11, q10, q9
  .long  0xf35861f0                          // vbsl          q11, q12, q8
  .long  0xf2644de6                          // vsub.f32      q10, q10, q11
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf2624de4                          // vsub.f32      q10, q9, q10
  .long  0xf226cde4                          // vsub.f32      q6, q11, q10
  .long  0xf4636acf                          // vld1.64       {d22-d23}, [r3]
  .long  0xe28f30d4                          // add           r3, pc, #212
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf2422de6                          // vadd.f32      q9, q9, q11
  .long  0xe282300c                          // add           r3, r2, #12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xeeca9a2d                          // vdiv.f32      s19, s20, s27
  .long  0xee8a9a0d                          // vdiv.f32      s18, s20, s26
  .long  0xeeca8a2c                          // vdiv.f32      s17, s20, s25
  .long  0xee8a8a0c                          // vdiv.f32      s16, s20, s24
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2c4465b                          // vmov.i32      q10, #1258291200
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2426cf4                          // vfma.f32      q11, q9, q10
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe2823018                          // add           r3, r2, #24
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xf2424cd6                          // vfma.f32      q10, q9, q3
  .long  0xe2822014                          // add           r2, r2, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb27e6                          // vcvt.u32.f32  q9, q11
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf3466ec6                          // vcge.f32      q11, q11, q3
  .long  0xf2482de2                          // vadd.f32      q9, q12, q9
  .long  0xf35461f2                          // vbsl          q11, q10, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2460fe0                          // vmax.f32      q8, q11, q8
  .long  0xf2206fe2                          // vmin.f32      q3, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_gamma_vfp4
.globl _sk_gamma_vfp4
FUNCTION(_sk_gamma_vfp4)
_sk_gamma_vfp4:
  .long  0xe92d0030                          // push          {r4, r5}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd038                          // sub           sp, sp, #56
  .long  0xf2c70d5f                          // vmov.i32      q8, #8388607
  .long  0xe28d4020                          // add           r4, sp, #32
  .long  0xed9fcaa7                          // vldr          s24, [pc, #668]
  .long  0xf3fb2644                          // vcvt.f32.s32  q9, q2
  .long  0xec846b04                          // vstmia        r4, {d6-d7}
  .long  0xe28f2e22                          // add           r2, pc, #544
  .long  0xf2440170                          // vand          q8, q2, q8
  .long  0xe28d4010                          // add           r4, sp, #16
  .long  0xf2c3075f                          // vorr.i32      q8, #1056964608
  .long  0xf422aacf                          // vld1.64       {d10-d11}, [r2]
  .long  0xf2c34654                          // vmov.i32      q10, #872415232
  .long  0xe28f2f86                          // add           r2, pc, #536
  .long  0xf2006dca                          // vadd.f32      q3, q8, q5
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xe28f2f87                          // add           r2, pc, #540
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c76d5f                          // vmov.i32      q11, #8388607
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf280e050                          // vmov.i32      q7, #0
  .long  0xeecc5a27                          // vdiv.f32      s11, s24, s15
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e3ecbf                          // vld1.32       {d30[]-d31[]}, [r3 :32]
  .long  0xe28f3c02                          // add           r3, pc, #512
  .long  0xf2422dea                          // vadd.f32      q9, q9, q13
  .long  0xee8c5a07                          // vdiv.f32      s10, s24, s14
  .long  0xeecc4a26                          // vdiv.f32      s9, s24, s13
  .long  0xee8c4a06                          // vdiv.f32      s8, s24, s12
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xed9f6a8a                          // vldr          s12, [pc, #552]
  .long  0xeeb07a4c                          // vmov.f32      s14, s24
  .long  0xf2600dc4                          // vsub.f32      q8, q8, q2
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf3402dfe                          // vmul.f32      q9, q8, q15
  .long  0xf3fb0762                          // vcvt.s32.f32  q8, q9
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3604ee2                          // vcgt.f32      q10, q8, q9
  .long  0xf35841d4                          // vbsl          q10, q12, q2
  .long  0xf2600de4                          // vsub.f32      q8, q8, q10
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xecc40b04                          // vstmia        r4, {d16-d17}
  .long  0xe28f3f71                          // add           r3, pc, #452
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2248de0                          // vsub.f32      q4, q10, q8
  .long  0xf2420176                          // vand          q8, q1, q11
  .long  0xf2c3075f                          // vorr.i32      q8, #1056964608
  .long  0xf3fb6642                          // vcvt.f32.s32  q11, q1
  .long  0xeec65a29                          // vdiv.f32      s11, s12, s19
  .long  0xee865a09                          // vdiv.f32      s10, s12, s18
  .long  0xec8d8b04                          // vstmia        sp, {d8-d9}
  .long  0xf2832654                          // vmov.i32      q1, #872415232
  .long  0xe28f3f6b                          // add           r3, pc, #428
  .long  0xeec64a28                          // vdiv.f32      s9, s12, s17
  .long  0xf2008dca                          // vadd.f32      q4, q8, q5
  .long  0xf3466dd2                          // vmul.f32      q11, q11, q1
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xeec7da29                          // vdiv.f32      s27, s14, s19
  .long  0xee87da09                          // vdiv.f32      s26, s14, s18
  .long  0xeec7ca28                          // vdiv.f32      s25, s14, s17
  .long  0xee87ca08                          // vdiv.f32      s24, s14, s16
  .long  0xf2466dea                          // vadd.f32      q11, q11, q13
  .long  0xf2660de0                          // vsub.f32      q8, q11, q8
  .long  0xf2600dcc                          // vsub.f32      q8, q8, q6
  .long  0xf3406dfe                          // vmul.f32      q11, q8, q15
  .long  0xf3fb0766                          // vcvt.s32.f32  q8, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3202ee6                          // vcgt.f32      q1, q8, q11
  .long  0xf31821de                          // vbsl          q1, q12, q7
  .long  0xf220e150                          // vorr          q7, q0, q0
  .long  0xf2600dc2                          // vsub.f32      q8, q8, q1
  .long  0xf2870d5f                          // vmov.i32      q0, #8388607
  .long  0xf20e0150                          // vand          q0, q7, q0
  .long  0xf226cde0                          // vsub.f32      q6, q11, q8
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe28f3e16                          // add           r3, pc, #352
  .long  0xf283075f                          // vorr.i32      q0, #1056964608
  .long  0xf200ad4a                          // vadd.f32      q5, q0, q5
  .long  0xf2248dcc                          // vsub.f32      q4, q10, q6
  .long  0xf30ccd70                          // vmul.f32      q6, q6, q8
  .long  0xf340cd7c                          // vmul.f32      q14, q0, q14
  .long  0xf3bb064e                          // vcvt.f32.s32  q0, q7
  .long  0xeec63a29                          // vdiv.f32      s7, s12, s19
  .long  0xee863a09                          // vdiv.f32      s6, s12, s18
  .long  0xeec62a28                          // vdiv.f32      s5, s12, s17
  .long  0xee862a08                          // vdiv.f32      s4, s12, s16
  .long  0xf4238acf                          // vld1.64       {d8-d9}, [r3]
  .long  0xe28d3010                          // add           r3, sp, #16
  .long  0xf2466dc8                          // vadd.f32      q11, q11, q4
  .long  0xf2422dc8                          // vadd.f32      q9, q9, q4
  .long  0xf2666dcc                          // vsub.f32      q11, q11, q6
  .long  0xeec7da2b                          // vdiv.f32      s27, s14, s23
  .long  0xee87da0b                          // vdiv.f32      s26, s14, s22
  .long  0xeec7ca2a                          // vdiv.f32      s25, s14, s21
  .long  0xee87ca0a                          // vdiv.f32      s24, s14, s20
  .long  0xf283a654                          // vmov.i32      q5, #872415232
  .long  0xf3000d5a                          // vmul.f32      q0, q0, q5
  .long  0xf240ad6a                          // vadd.f32      q13, q0, q13
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf26aadec                          // vsub.f32      q13, q13, q14
  .long  0xf26aadcc                          // vsub.f32      q13, q13, q6
  .long  0xf34aadfe                          // vmul.f32      q13, q13, q15
  .long  0xf3fbc76a                          // vcvt.s32.f32  q14, q13
  .long  0xf3fbc66c                          // vcvt.f32.s32  q14, q14
  .long  0xf36ceeea                          // vcgt.f32      q15, q14, q13
  .long  0xf358e1d0                          // vbsl          q15, q12, q0
  .long  0xf26c8dee                          // vsub.f32      q12, q14, q15
  .long  0xf26a8de8                          // vsub.f32      q12, q13, q12
  .long  0xf2240de8                          // vsub.f32      q0, q10, q12
  .long  0xf3484df0                          // vmul.f32      q10, q12, q8
  .long  0xf24a8dc8                          // vadd.f32      q12, q13, q4
  .long  0xf2c3a65f                          // vmov.i32      q13, #1056964608
  .long  0xeec6da21                          // vdiv.f32      s27, s12, s3
  .long  0xee86da01                          // vdiv.f32      s26, s12, s2
  .long  0xeec6ca20                          // vdiv.f32      s25, s12, s1
  .long  0xee86ca00                          // vdiv.f32      s24, s12, s0
  .long  0xec9d0b04                          // vldmia        sp, {d0-d1}
  .long  0xf2684de4                          // vsub.f32      q10, q12, q10
  .long  0xee864a00                          // vdiv.f32      s8, s12, s0
  .long  0xecd38b04                          // vldmia        r3, {d24-d25}
  .long  0xe28d3020                          // add           r3, sp, #32
  .long  0xf3480df0                          // vmul.f32      q8, q12, q8
  .long  0xec936b04                          // vldmia        r3, {d6-d7}
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xf2442dcc                          // vadd.f32      q9, q10, q6
  .long  0xf2464dc2                          // vadd.f32      q10, q11, q1
  .long  0xf2400dc4                          // vadd.f32      q8, q8, q2
  .long  0xf2c4665b                          // vmov.i32      q11, #1258291200
  .long  0xf242acf6                          // vfma.f32      q13, q9, q11
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf2408cf6                          // vfma.f32      q12, q8, q11
  .long  0xf3bb07ea                          // vcvt.u32.f32  q0, q13
  .long  0xf3bb27e2                          // vcvt.u32.f32  q1, q9
  .long  0xf3bb47e8                          // vcvt.u32.f32  q2, q12
  .long  0xe28dd038                          // add           sp, sp, #56
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd0030                          // pop           {r4, r5}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3eb444f9                          // .word         0x3eb444f9
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0x3fbfbf75                          // .word         0x3fbfbf75
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0xc2f87377                          // .word         0xc2f87377
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x409af5f8                          // .word         0x409af5f8
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x3fbebc8d                          // .word         0x3fbebc8d
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x42f28c51                          // .word         0x42f28c51
  .long  0x3fdce9a3                          // .word         0x3fdce9a3
  .long  0x41ddd2fe                          // .word         0x41ddd2fe

HIDDEN _sk_lab_to_xyz_vfp4
.globl _sk_lab_to_xyz_vfp4
FUNCTION(_sk_lab_to_xyz_vfp4)
_sk_lab_to_xyz_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf3c46653                          // vmov.i32      q11, #-1023410176
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f20e0                          // add           r2, pc, #224
  .long  0xf2c38f50                          // vmov.f32      q12, #16
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3424d70                          // vmul.f32      q10, q1, q8
  .long  0xf3440d70                          // vmul.f32      q8, q2, q8
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf3402d72                          // vmul.f32      q9, q0, q9
  .long  0xf2444de6                          // vadd.f32      q10, q10, q11
  .long  0xf2422de8                          // vadd.f32      q9, q9, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20d8                          // add           r2, pc, #216
  .long  0xf2400de6                          // vadd.f32      q8, q8, q11
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3444dfa                          // vmul.f32      q10, q10, q13
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xe28f20dc                          // add           r2, pc, #220
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20e4                          // add           r2, pc, #228
  .long  0xf3400df6                          // vmul.f32      q8, q8, q11
  .long  0xf4228acf                          // vld1.64       {d8-d9}, [r2]
  .long  0xe28f20e8                          // add           r2, pc, #232
  .long  0xf2424de4                          // vadd.f32      q10, q9, q10
  .long  0xf2620de0                          // vsub.f32      q8, q9, q8
  .long  0xf3428df2                          // vmul.f32      q12, q9, q9
  .long  0xf244edea                          // vadd.f32      q15, q10, q13
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf340cdf0                          // vmul.f32      q14, q8, q8
  .long  0xf3428df8                          // vmul.f32      q12, q9, q12
  .long  0xf2422dea                          // vadd.f32      q9, q9, q13
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf2406dea                          // vadd.f32      q11, q8, q13
  .long  0xf3400dfc                          // vmul.f32      q8, q8, q14
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xf34eedd8                          // vmul.f32      q15, q15, q4
  .long  0xe28f20c0                          // add           r2, pc, #192
  .long  0xf3240eec                          // vcgt.f32      q0, q10, q14
  .long  0xf3282eec                          // vcgt.f32      q1, q12, q14
  .long  0xf360aeec                          // vcgt.f32      q13, q8, q14
  .long  0xf3466dd8                          // vmul.f32      q11, q11, q4
  .long  0xf31401fe                          // vbsl          q0, q10, q15
  .long  0xf4624acf                          // vld1.64       {d20-d21}, [r2]
  .long  0xe28f20b4                          // add           r2, pc, #180
  .long  0xf350a1f6                          // vbsl          q13, q8, q11
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xf3000d74                          // vmul.f32      q0, q0, q10
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf30a4df0                          // vmul.f32      q2, q13, q8
  .long  0xf3420dd8                          // vmul.f32      q8, q9, q4
  .long  0xf31821f0                          // vbsl          q1, q12, q8
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x42c80000                          // .word         0x42c80000
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3c0d3dcb                          // .word         0x3c0d3dcb
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3b03126f                          // .word         0x3b03126f
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0x3ba3d70a                          // .word         0x3ba3d70a
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0xbe0d3dcb                          // .word         0xbe0d3dcb
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3e038050                          // .word         0x3e038050
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3c1118c2                          // .word         0x3c1118c2
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f76d71f                          // .word         0x3f76d71f
  .long  0x3f5340f6                          // .word         0x3f5340f6
  .long  0x3f5340f6                          // .word         0x3f5340f6
  .long  0x3f5340f6                          // .word         0x3f5340f6
  .long  0x3f5340f6                          // .word         0x3f5340f6

HIDDEN _sk_load_a8_vfp4
.globl _sk_load_a8_vfp4
FUNCTION(_sk_load_a8_vfp4)
_sk_load_a8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0x1a000012                          // bne           3d90 <sk_load_a8_vfp4+0x78>
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000012                          // beq           3de8 <sk_load_a8_vfp4+0xd0>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           3dc0 <sk_load_a8_vfp4+0xa8>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe9                          // bne           3d58 <sk_load_a8_vfp4+0x40>
  .long  0xe3a04000                          // mov           r4, #0
  .long  0xe5d23002                          // ldrb          r3, [r2, #2]
  .long  0xee804bb0                          // vdup.16       d16, r4
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffdb                          // b             3d58 <sk_load_a8_vfp4+0x40>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xe5d22000                          // ldrb          r2, [r2]
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd6                          // b             3d58 <sk_load_a8_vfp4+0x40>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_a8_dst_vfp4
.globl _sk_load_a8_dst_vfp4
FUNCTION(_sk_load_a8_dst_vfp4)
_sk_load_a8_dst_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe590c000                          // ldr           ip, [r0]
  .long  0xe2805030                          // add           r5, r0, #48
  .long  0xe9904004                          // ldmib         r0, {r2, lr}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35e0000                          // cmp           lr, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xf4450aef                          // vst1.64       {d16-d17}, [r5 :128]
  .long  0xe0224293                          // mla           r2, r3, r2, r4
  .long  0xe2803020                          // add           r3, r0, #32
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xe082300c                          // add           r3, r2, ip
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0x1a000011                          // bne           3ea4 <sk_load_a8_dst_vfp4+0x94>
  .long  0xe5932000                          // ldr           r2, [r3]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe20e2003                          // and           r2, lr, #3
  .long  0xe3520001                          // cmp           r2, #1
  .long  0x0a000012                          // beq           3efc <sk_load_a8_dst_vfp4+0xec>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3520002                          // cmp           r2, #2
  .long  0x0a000005                          // beq           3ed4 <sk_load_a8_dst_vfp4+0xc4>
  .long  0xe3520003                          // cmp           r2, #3
  .long  0x1affffea                          // bne           3e70 <sk_load_a8_dst_vfp4+0x60>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xe5d32002                          // ldrb          r2, [r3, #2]
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xee202bb0                          // vmov.16       d16[2], r2
  .long  0xe1d320b0                          // ldrh          r2, [r3]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffdc                          // b             3e70 <sk_load_a8_dst_vfp4+0x60>
  .long  0xe5d32000                          // ldrb          r2, [r3]
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd7                          // b             3e70 <sk_load_a8_dst_vfp4+0x60>
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_a8_vfp4
.globl _sk_gather_a8_vfp4
FUNCTION(_sk_gather_a8_vfp4)
_sk_gather_a8_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee32eb90                          // vmov.32       lr, d18[1]
  .long  0xee134b90                          // vmov.32       r4, d19[0]
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xe7d23003                          // ldrb          r3, [r2, r3]
  .long  0xe7d2500e                          // ldrb          r5, [r2, lr]
  .long  0xee003bb0                          // vmov.16       d16[0], r3
  .long  0xe7d23004                          // ldrb          r3, [r2, r4]
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xee005bf0                          // vmov.16       d16[1], r5
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe28f201c                          // add           r2, pc, #28
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_store_a8_vfp4
.globl _sk_store_a8_vfp4
FUNCTION(_sk_store_a8_vfp4)
_sk_store_a8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2460c72                          // vfma.f32      q8, q3, q9
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0x1a000005                          // bne           4008 <sk_store_a8_vfp4+0x58>
  .long  0xf3f20121                          // vuzp.8        d16, d17
  .long  0xf4c2080f                          // vst1.32       {d16[0]}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000a                          // beq           4040 <sk_store_a8_vfp4+0x90>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           402c <sk_store_a8_vfp4+0x7c>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           3ff8 <sk_store_a8_vfp4+0x48>
  .long  0xeeb03bb0                          // vmov.u16      r3, d16[2]
  .long  0xe5c23002                          // strb          r3, [r2, #2]
  .long  0xee903bf0                          // vmov.u16      r3, d16[1]
  .long  0xee904bb0                          // vmov.u16      r4, d16[0]
  .long  0xe5c23001                          // strb          r3, [r2, #1]
  .long  0xe5c24000                          // strb          r4, [r2]
  .long  0xeaffffed                          // b             3ff8 <sk_store_a8_vfp4+0x48>
  .long  0xee903bb0                          // vmov.u16      r3, d16[0]
  .long  0xe5c23000                          // strb          r3, [r2]
  .long  0xeaffffea                          // b             3ff8 <sk_store_a8_vfp4+0x48>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_load_g8_vfp4
.globl _sk_load_g8_vfp4
FUNCTION(_sk_load_g8_vfp4)
_sk_load_g8_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0224392                          // mla           r2, r2, r3, r4
  .long  0xe082200e                          // add           r2, r2, lr
  .long  0x1a000013                          // bne           40dc <sk_load_g8_vfp4+0x7c>
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f20a4                          // add           r2, pc, #164
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000012                          // beq           4134 <sk_load_g8_vfp4+0xd4>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           410c <sk_load_g8_vfp4+0xac>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe8                          // bne           40a0 <sk_load_g8_vfp4+0x40>
  .long  0xe3a04000                          // mov           r4, #0
  .long  0xe5d23002                          // ldrb          r3, [r2, #2]
  .long  0xee804bb0                          // vdup.16       d16, r4
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xe1cd20b4                          // strh          r2, [sp, #4]
  .long  0xe28d2004                          // add           r2, sp, #4
  .long  0xf4e2241f                          // vld1.16       {d18[0]}, [r2 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffda                          // b             40a0 <sk_load_g8_vfp4+0x40>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xe5d22000                          // ldrb          r2, [r2]
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xee002bb0                          // vmov.16       d16[0], r2
  .long  0xeaffffd5                          // b             40a0 <sk_load_g8_vfp4+0x40>
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_g8_dst_vfp4
.globl _sk_load_g8_dst_vfp4
FUNCTION(_sk_load_g8_dst_vfp4)
_sk_load_g8_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0225492                          // mla           r2, r2, r4, r5
  .long  0xe0824003                          // add           r4, r2, r3
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a000015                          // bne           41f8 <sk_load_g8_dst_vfp4+0x90>
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xf3c80a30                          // vmovl.u8      q8, d16
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xe28f40a8                          // add           r4, pc, #168
  .long  0xf4642acf                          // vld1.64       {d18-d19}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3400df2                          // vmul.f32      q8, q8, q9
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf44e0aef                          // vst1.64       {d16-d17}, [lr :128]
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xf44c2aef                          // vst1.64       {d18-d19}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000012                          // beq           4250 <sk_load_g8_dst_vfp4+0xe8>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           4228 <sk_load_g8_dst_vfp4+0xc0>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffe6                          // bne           41b4 <sk_load_g8_dst_vfp4+0x4c>
  .long  0xe3a06000                          // mov           r6, #0
  .long  0xe5d45002                          // ldrb          r5, [r4, #2]
  .long  0xee806bb0                          // vdup.16       d16, r6
  .long  0xee205bb0                          // vmov.16       d16[2], r5
  .long  0xe1d440b0                          // ldrh          r4, [r4]
  .long  0xe1cd40b4                          // strh          r4, [sp, #4]
  .long  0xe28d4004                          // add           r4, sp, #4
  .long  0xf4e4241f                          // vld1.16       {d18[0]}, [r4 :16]
  .long  0xf3c82a32                          // vmovl.u8      q9, d18
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3f62124                          // vuzp.16       d18, d20
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffd8                          // b             41b4 <sk_load_g8_dst_vfp4+0x4c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xe5d44000                          // ldrb          r4, [r4]
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xee004bb0                          // vmov.16       d16[0], r4
  .long  0xeaffffd3                          // b             41b4 <sk_load_g8_dst_vfp4+0x4c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_g8_vfp4
.globl _sk_gather_g8_vfp4
FUNCTION(_sk_gather_g8_vfp4)
_sk_gather_g8_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee32eb90                          // vmov.32       lr, d18[1]
  .long  0xee134b90                          // vmov.32       r4, d19[0]
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xe7d23003                          // ldrb          r3, [r2, r3]
  .long  0xe7d2500e                          // ldrb          r5, [r2, lr]
  .long  0xee003bb0                          // vmov.16       d16[0], r3
  .long  0xe7d23004                          // ldrb          r3, [r2, r4]
  .long  0xe7d22006                          // ldrb          r2, [r2, r6]
  .long  0xee005bf0                          // vmov.16       d16[1], r5
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe28f2028                          // add           r2, pc, #40
  .long  0xf3c70b3f                          // vbic.i16      d16, #65280
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f202c                          // add           r2, pc, #44
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_565_vfp4
.globl _sk_load_565_vfp4
FUNCTION(_sk_load_565_vfp4)
_sk_load_565_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0x1a00001b                          // bne           43b8 <sk_load_565_vfp4+0xa0>
  .long  0xf462074f                          // vld1.16       {d16}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a02e7e                          // mov           r2, #2016
  .long  0xf3c74258                          // vmov.i32      q10, #63488
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xf2c1605f                          // vmov.i32      q11, #31
  .long  0xe28f20b8                          // add           r2, pc, #184
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xe28f20b0                          // add           r2, pc, #176
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20b8                          // add           r2, pc, #184
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3040df6                          // vmul.f32      q0, q10, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3022df8                          // vmul.f32      q1, q9, q12
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3004dfa                          // vmul.f32      q2, q8, q13
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000011                          // beq           440c <sk_load_565_vfp4+0xf4>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           43e8 <sk_load_565_vfp4+0xd0>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffdc                          // bne           434c <sk_load_565_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4e3049f                          // vld1.16       {d16[2]}, [r3 :16]
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffcf                          // b             434c <sk_load_565_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xf4e2041f                          // vld1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffcb                          // b             434c <sk_load_565_vfp4+0x34>
  .long  0xe320f000                          // nop           {0}
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_load_565_dst_vfp4
.globl _sk_load_565_dst_vfp4
FUNCTION(_sk_load_565_dst_vfp4)
_sk_load_565_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852082                          // add           r2, r5, r2, lsl #1
  .long  0xe0824083                          // add           r4, r2, r3, lsl #1
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00001f                          // bne           451c <sk_load_565_dst_vfp4+0xbc>
  .long  0xf464074f                          // vld1.16       {d16}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe3a04e7e                          // mov           r4, #2016
  .long  0xf3c72258                          // vmov.i32      q9, #63488
  .long  0xeea44b90                          // vdup.32       q10, r4
  .long  0xf2c1605f                          // vmov.i32      q11, #31
  .long  0xe28f40c4                          // add           r4, pc, #196
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4646acf                          // vld1.64       {d22-d23}, [r4]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe28f40bc                          // add           r4, pc, #188
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xe28f40c4                          // add           r4, pc, #196
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf4646acf                          // vld1.64       {d22-d23}, [r4]
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3400df6                          // vmul.f32      q8, q8, q11
  .long  0xf2c76f50                          // vmov.f32      q11, #1
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e0aef                          // vst1.64       {d16-d17}, [lr :128]
  .long  0xf44c6aef                          // vst1.64       {d22-d23}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000011                          // beq           4570 <sk_load_565_dst_vfp4+0x110>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           454c <sk_load_565_dst_vfp4+0xec>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffd8                          // bne           44a0 <sk_load_565_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xe2845004                          // add           r5, r4, #4
  .long  0xf4e5049f                          // vld1.16       {d16[2]}, [r5 :16]
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4183f                          // vld1.32       {d17[0]}, [r4 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffcb                          // b             44a0 <sk_load_565_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xf4e4041f                          // vld1.16       {d16[0]}, [r4 :16]
  .long  0xeaffffc7                          // b             44a0 <sk_load_565_dst_vfp4+0x40>
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108

HIDDEN _sk_gather_565_vfp4
.globl _sk_gather_565_vfp4
FUNCTION(_sk_gather_565_vfp4)
_sk_gather_565_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf2c1605f                          // vmov.i32      q11, #31
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xf3c74258                          // vmov.i32      q10, #63488
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee324b90                          // vmov.32       r4, d18[1]
  .long  0xee13eb90                          // vmov.32       lr, d19[0]
  .long  0xee335b90                          // vmov.32       r5, d19[1]
  .long  0xe0823083                          // add           r3, r2, r3, lsl #1
  .long  0xe0824084                          // add           r4, r2, r4, lsl #1
  .long  0xf4e3041f                          // vld1.16       {d16[0]}, [r3 :16]
  .long  0xe082308e                          // add           r3, r2, lr, lsl #1
  .long  0xe0822085                          // add           r2, r2, r5, lsl #1
  .long  0xf4e4045f                          // vld1.16       {d16[1]}, [r4 :16]
  .long  0xe1d330b0                          // ldrh          r3, [r3]
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe3a02e7e                          // mov           r2, #2016
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe28f2048                          // add           r2, pc, #72
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24001f6                          // vand          q8, q8, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xe28f203c                          // add           r2, pc, #60
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2048                          // add           r2, pc, #72
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3040df6                          // vmul.f32      q0, q10, q11
  .long  0xf3022df8                          // vmul.f32      q1, q9, q12
  .long  0xf3004dfa                          // vmul.f32      q2, q8, q13
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x37842108                          // .word         0x37842108
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3a020821                          // .word         0x3a020821
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3d042108                          // .word         0x3d042108
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_store_565_vfp4
.globl _sk_store_565_vfp4
FUNCTION(_sk_store_565_vfp4)
_sk_store_565_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20c4                          // add           r2, pc, #196
  .long  0xf2c30f5f                          // vmov.f32      q8, #31
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2404c70                          // vfma.f32      q10, q0, q8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xf2428c76                          // vfma.f32      q12, q1, q11
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf2442c70                          // vfma.f32      q9, q2, q8
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf3fb07e4                          // vcvt.u32.f32  q8, q10
  .long  0xf3fb47e8                          // vcvt.u32.f32  q10, q12
  .long  0xf3fb27e2                          // vcvt.u32.f32  q9, q9
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0xf2eb0570                          // vshl.s32      q8, q8, #11
  .long  0xf2e54574                          // vshl.s32      q10, q10, #5
  .long  0xf26401f0                          // vorr          q8, q10, q8
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0x1a000004                          // bne           472c <sk_store_565_vfp4+0x84>
  .long  0xf442074f                          // vst1.16       {d16}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           476c <sk_store_565_vfp4+0xc4>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4750 <sk_store_565_vfp4+0xa8>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           471c <sk_store_565_vfp4+0x74>
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4c3049f                          // vst1.16       {d16[2]}, [r3 :16]
  .long  0xee903bb0                          // vmov.u16      r3, d16[0]
  .long  0xee904bf0                          // vmov.u16      r4, d16[1]
  .long  0xee003b90                          // vmov.32       d16[0], r3
  .long  0xee204b90                          // vmov.32       d16[1], r4
  .long  0xf3f60121                          // vuzp.16       d16, d17
  .long  0xf4c2080f                          // vst1.32       {d16[0]}, [r2]
  .long  0xeaffffeb                          // b             471c <sk_store_565_vfp4+0x74>
  .long  0xf4c2041f                          // vst1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffe9                          // b             471c <sk_store_565_vfp4+0x74>
  .long  0xe320f000                          // nop           {0}
  .long  0x427c0000                          // .word         0x427c0000
  .long  0x427c0000                          // .word         0x427c0000
  .long  0x427c0000                          // .word         0x427c0000
  .long  0x427c0000                          // .word         0x427c0000

HIDDEN _sk_load_4444_vfp4
.globl _sk_load_4444_vfp4
FUNCTION(_sk_load_4444_vfp4)
_sk_load_4444_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0x1a00001e                          // bne           4834 <sk_load_4444_vfp4+0xac>
  .long  0xf462074f                          // vld1.16       {d16}, [r2]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe28f20d0                          // add           r2, pc, #208
  .long  0xf3c72250                          // vmov.i32      q9, #61440
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf3c74050                          // vmov.i32      q10, #240
  .long  0xe28f20d0                          // add           r2, pc, #208
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf2c0625f                          // vmov.i32      q11, #3840
  .long  0xf2c0805f                          // vmov.i32      q12, #15
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24061f6                          // vand          q11, q8, q11
  .long  0xf24001f8                          // vand          q8, q8, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xe28f20c4                          // add           r2, pc, #196
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3020df8                          // vmul.f32      q0, q9, q12
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3062dfc                          // vmul.f32      q1, q11, q14
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3044dfa                          // vmul.f32      q2, q10, q13
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000011                          // beq           4888 <sk_load_4444_vfp4+0x100>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           4864 <sk_load_4444_vfp4+0xdc>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffd9                          // bne           47bc <sk_load_4444_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4e3049f                          // vld1.16       {d16[2]}, [r3 :16]
  .long  0xe5922000                          // ldr           r2, [r2]
  .long  0xe58d2000                          // str           r2, [sp]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xf4e2183f                          // vld1.32       {d17[0]}, [r2 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffcc                          // b             47bc <sk_load_4444_vfp4+0x34>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xee803bb0                          // vdup.16       d16, r3
  .long  0xf4e2041f                          // vld1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffc8                          // b             47bc <sk_load_4444_vfp4+0x34>
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889

HIDDEN _sk_load_4444_dst_vfp4
.globl _sk_load_4444_dst_vfp4
FUNCTION(_sk_load_4444_dst_vfp4)
_sk_load_4444_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852082                          // add           r2, r5, r2, lsl #1
  .long  0xe0824083                          // add           r4, r2, r3, lsl #1
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a000023                          // bne           49a4 <sk_load_4444_dst_vfp4+0xcc>
  .long  0xf464074f                          // vld1.16       {d16}, [r4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe28f40e4                          // add           r4, pc, #228
  .long  0xf3c72250                          // vmov.i32      q9, #61440
  .long  0xf464aacf                          // vld1.64       {d26-d27}, [r4]
  .long  0xf2c0425f                          // vmov.i32      q10, #3840
  .long  0xe28f40e4                          // add           r4, pc, #228
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf3c76050                          // vmov.i32      q11, #240
  .long  0xf2c0805f                          // vmov.i32      q12, #15
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf24061f6                          // vand          q11, q8, q11
  .long  0xf24001f8                          // vand          q8, q8, q12
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xe28f40cc                          // add           r4, pc, #204
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3422dfa                          // vmul.f32      q9, q9, q13
  .long  0xf464aacf                          // vld1.64       {d26-d27}, [r4]
  .long  0xe28f40c8                          // add           r4, pc, #200
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3466dfa                          // vmul.f32      q11, q11, q13
  .long  0xf3400df8                          // vmul.f32      q8, q8, q12
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e6aef                          // vst1.64       {d22-d23}, [lr :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a000011                          // beq           49f8 <sk_load_4444_dst_vfp4+0x120>
  .long  0xf2c00010                          // vmov.i32      d16, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           49d4 <sk_load_4444_dst_vfp4+0xfc>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffd4                          // bne           4918 <sk_load_4444_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xe2845004                          // add           r5, r4, #4
  .long  0xf4e5049f                          // vld1.16       {d16[2]}, [r5 :16]
  .long  0xe5944000                          // ldr           r4, [r4]
  .long  0xe58d4000                          // str           r4, [sp]
  .long  0xe1a0400d                          // mov           r4, sp
  .long  0xf4e4183f                          // vld1.32       {d17[0]}, [r4 :32]
  .long  0xf3d02a31                          // vmovl.u16     q9, d17
  .long  0xf3f62121                          // vuzp.16       d18, d17
  .long  0xf2f004a2                          // vext.8        d16, d16, d18, #4
  .long  0xf2f004a0                          // vext.8        d16, d16, d16, #4
  .long  0xeaffffc7                          // b             4918 <sk_load_4444_dst_vfp4+0x40>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xee805bb0                          // vdup.16       d16, r5
  .long  0xf4e4041f                          // vld1.16       {d16[0]}, [r4 :16]
  .long  0xeaffffc3                          // b             4918 <sk_load_4444_dst_vfp4+0x40>
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889

HIDDEN _sk_gather_4444_vfp4
.globl _sk_gather_4444_vfp4
FUNCTION(_sk_gather_4444_vfp4)
_sk_gather_4444_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf2c0625f                          // vmov.i32      q11, #3840
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf2c0805f                          // vmov.i32      q12, #15
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xf3c74050                          // vmov.i32      q10, #240
  .long  0xee123b90                          // vmov.32       r3, d18[0]
  .long  0xee324b90                          // vmov.32       r4, d18[1]
  .long  0xee13eb90                          // vmov.32       lr, d19[0]
  .long  0xee335b90                          // vmov.32       r5, d19[1]
  .long  0xf3c72250                          // vmov.i32      q9, #61440
  .long  0xe0823083                          // add           r3, r2, r3, lsl #1
  .long  0xe0824084                          // add           r4, r2, r4, lsl #1
  .long  0xf4e3041f                          // vld1.16       {d16[0]}, [r3 :16]
  .long  0xe082308e                          // add           r3, r2, lr, lsl #1
  .long  0xe0822085                          // add           r2, r2, r5, lsl #1
  .long  0xf4e4045f                          // vld1.16       {d16[1]}, [r4 :16]
  .long  0xe1d330b0                          // ldrh          r3, [r3]
  .long  0xe1d220b0                          // ldrh          r2, [r2]
  .long  0xee203bb0                          // vmov.16       d16[2], r3
  .long  0xee202bf0                          // vmov.16       d16[3], r2
  .long  0xe28f2058                          // add           r2, pc, #88
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xe28f2060                          // add           r2, pc, #96
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf24021f2                          // vand          q9, q8, q9
  .long  0xf24041f4                          // vand          q10, q8, q10
  .long  0xf24061f6                          // vand          q11, q8, q11
  .long  0xf24001f8                          // vand          q8, q8, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe28f2050                          // add           r2, pc, #80
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xe28f2058                          // add           r2, pc, #88
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3020df8                          // vmul.f32      q0, q9, q12
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3062dfc                          // vmul.f32      q1, q11, q14
  .long  0xf3044dfa                          // vmul.f32      q2, q10, q13
  .long  0xf3006df2                          // vmul.f32      q3, q8, q9
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x3b888889                          // .word         0x3b888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x37888889                          // .word         0x37888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x39888889                          // .word         0x39888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889
  .long  0x3d888889                          // .word         0x3d888889

HIDDEN _sk_store_4444_vfp4
.globl _sk_store_4444_vfp4
FUNCTION(_sk_store_4444_vfp4)
_sk_store_4444_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xf2c20f5e                          // vmov.f32      q8, #15
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2404c70                          // vfma.f32      q10, q0, q8
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2426c70                          // vfma.f32      q11, q1, q8
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2448c70                          // vfma.f32      q12, q2, q8
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf3fb07e4                          // vcvt.u32.f32  q8, q10
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xe082208e                          // add           r2, r2, lr, lsl #1
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf2ec0570                          // vshl.s32      q8, q8, #12
  .long  0xf3fb27e2                          // vcvt.u32.f32  q9, q9
  .long  0xf2e84574                          // vshl.s32      q10, q10, #8
  .long  0xf2e46576                          // vshl.s32      q11, q11, #4
  .long  0xf26401f0                          // vorr          q8, q10, q8
  .long  0xf26001f6                          // vorr          q8, q8, q11
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0x1a000004                          // bne           4be0 <sk_store_4444_vfp4+0x90>
  .long  0xf442074f                          // vst1.16       {d16}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           4c20 <sk_store_4444_vfp4+0xd0>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4c04 <sk_store_4444_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           4bd0 <sk_store_4444_vfp4+0x80>
  .long  0xe2823004                          // add           r3, r2, #4
  .long  0xf4c3049f                          // vst1.16       {d16[2]}, [r3 :16]
  .long  0xee903bb0                          // vmov.u16      r3, d16[0]
  .long  0xee904bf0                          // vmov.u16      r4, d16[1]
  .long  0xee003b90                          // vmov.32       d16[0], r3
  .long  0xee204b90                          // vmov.32       d16[1], r4
  .long  0xf3f60121                          // vuzp.16       d16, d17
  .long  0xf4c2080f                          // vst1.32       {d16[0]}, [r2]
  .long  0xeaffffeb                          // b             4bd0 <sk_store_4444_vfp4+0x80>
  .long  0xf4c2041f                          // vst1.16       {d16[0]}, [r2 :16]
  .long  0xeaffffe9                          // b             4bd0 <sk_store_4444_vfp4+0x80>

HIDDEN _sk_load_8888_vfp4
.globl _sk_load_8888_vfp4
FUNCTION(_sk_load_8888_vfp4)
_sk_load_8888_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0x1a000015                          // bne           4cac <sk_load_8888_vfp4+0x84>
  .long  0xf4620a8f                          // vld1.32       {d16-d17}, [r2]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf3f08070                          // vshr.u32      q12, q8, #16
  .long  0xf3e86070                          // vshr.u32      q11, q8, #24
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3066df8                          // vmul.f32      q3, q11, q12
  .long  0xf3000df8                          // vmul.f32      q0, q8, q12
  .long  0xf3042df8                          // vmul.f32      q1, q10, q12
  .long  0xf3024df8                          // vmul.f32      q2, q9, q12
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           4cec <sk_load_8888_vfp4+0xc4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           4cdc <sk_load_8888_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe2                          // bne           4c58 <sk_load_8888_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xedd22b00                          // vldr          d18, [r2]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffda                          // b             4c58 <sk_load_8888_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffd6                          // b             4c58 <sk_load_8888_vfp4+0x30>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_8888_dst_vfp4
.globl _sk_load_8888_dst_vfp4
FUNCTION(_sk_load_8888_dst_vfp4)
_sk_load_8888_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852102                          // add           r2, r5, r2, lsl #2
  .long  0xe0824103                          // add           r4, r2, r3, lsl #2
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00001a                          // bne           4db4 <sk_load_8888_dst_vfp4+0xa4>
  .long  0xf4640a8f                          // vld1.32       {d16-d17}, [r4]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f40b0                          // add           r4, pc, #176
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf3f08070                          // vshr.u32      q12, q8, #16
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3e80070                          // vshr.u32      q8, q8, #24
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xf3400df8                          // vmul.f32      q8, q8, q12
  .long  0xf4436aef                          // vst1.64       {d22-d23}, [r3 :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e2aef                          // vst1.64       {d18-d19}, [lr :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a00000c                          // beq           4df4 <sk_load_8888_dst_vfp4+0xe4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           4de4 <sk_load_8888_dst_vfp4+0xd4>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffdd                          // bne           4d4c <sk_load_8888_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xe2845008                          // add           r5, r4, #8
  .long  0xf4e5183f                          // vld1.32       {d17[0]}, [r5 :32]
  .long  0xedd42b00                          // vldr          d18, [r4]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffd5                          // b             4d4c <sk_load_8888_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xeaffffd1                          // b             4d4c <sk_load_8888_dst_vfp4+0x3c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_8888_vfp4
.globl _sk_gather_8888_vfp4
FUNCTION(_sk_gather_8888_vfp4)
_sk_gather_8888_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee133b90                          // vmov.32       r3, d19[0]
  .long  0xee12eb90                          // vmov.32       lr, d18[0]
  .long  0xee334b90                          // vmov.32       r4, d19[1]
  .long  0xee325b90                          // vmov.32       r5, d18[1]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xe082310e                          // add           r3, r2, lr, lsl #2
  .long  0xf4e3083f                          // vld1.32       {d16[0]}, [r3 :32]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xf4e318bf                          // vld1.32       {d17[1]}, [r3 :32]
  .long  0xf4e208bf                          // vld1.32       {d16[1]}, [r2 :32]
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf3e88070                          // vshr.u32      q12, q8, #24
  .long  0xf3f00070                          // vshr.u32      q8, q8, #16
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf3fb2664                          // vcvt.f32.s32  q9, q10
  .long  0xf4624acf                          // vld1.64       {d20-d21}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3060df4                          // vmul.f32      q0, q11, q10
  .long  0xf3086df4                          // vmul.f32      q3, q12, q10
  .long  0xf3022df4                          // vmul.f32      q1, q9, q10
  .long  0xf3004df4                          // vmul.f32      q2, q8, q10
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_store_8888_vfp4
.globl _sk_store_8888_vfp4
FUNCTION(_sk_store_8888_vfp4)
_sk_store_8888_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf2444c72                          // vfma.f32      q10, q2, q9
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2426c72                          // vfma.f32      q11, q1, q9
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf2400c72                          // vfma.f32      q8, q0, q9
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2468c72                          // vfma.f32      q12, q3, q9
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf3fb27e4                          // vcvt.u32.f32  q9, q10
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf2e84574                          // vshl.s32      q10, q10, #8
  .long  0xf2f02572                          // vshl.s32      q9, q9, #16
  .long  0xf26401f0                          // vorr          q8, q10, q8
  .long  0xf2f84576                          // vshl.s32      q10, q11, #24
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0x1a000004                          // bne           4f58 <sk_store_8888_vfp4+0x90>
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000007                          // beq           4f84 <sk_store_8888_vfp4+0xbc>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           4f7c <sk_store_8888_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           4f48 <sk_store_8888_vfp4+0x80>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4c3183f                          // vst1.32       {d17[0]}, [r3 :32]
  .long  0xedc20b00                          // vstr          d16, [r2]
  .long  0xeafffff0                          // b             4f48 <sk_store_8888_vfp4+0x80>
  .long  0xf4c2083f                          // vst1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffee                          // b             4f48 <sk_store_8888_vfp4+0x80>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_load_bgra_vfp4
.globl _sk_load_bgra_vfp4
FUNCTION(_sk_load_bgra_vfp4)
_sk_load_bgra_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0x1a000015                          // bne           5024 <sk_load_bgra_vfp4+0x84>
  .long  0xf4620a8f                          // vld1.32       {d16-d17}, [r2]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f209c                          // add           r2, pc, #156
  .long  0xf3f04070                          // vshr.u32      q10, q8, #16
  .long  0xf3f88070                          // vshr.u32      q12, q8, #8
  .long  0xf3e86070                          // vshr.u32      q11, q8, #24
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3066df8                          // vmul.f32      q3, q11, q12
  .long  0xf3004df8                          // vmul.f32      q2, q8, q12
  .long  0xf3040df8                          // vmul.f32      q0, q10, q12
  .long  0xf3022df8                          // vmul.f32      q1, q9, q12
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a00000c                          // beq           5064 <sk_load_bgra_vfp4+0xc4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000005                          // beq           5054 <sk_load_bgra_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1affffe2                          // bne           4fd0 <sk_load_bgra_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xedd22b00                          // vldr          d18, [r2]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffda                          // b             4fd0 <sk_load_bgra_vfp4+0x30>
  .long  0xe3a03000                          // mov           r3, #0
  .long  0xeea03b90                          // vdup.32       q8, r3
  .long  0xf4e2083f                          // vld1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffd6                          // b             4fd0 <sk_load_bgra_vfp4+0x30>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_load_bgra_dst_vfp4
.globl _sk_load_bgra_dst_vfp4
FUNCTION(_sk_load_bgra_dst_vfp4)
_sk_load_bgra_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852102                          // add           r2, r5, r2, lsl #2
  .long  0xe0824103                          // add           r4, r2, r3, lsl #2
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00001a                          // bne           512c <sk_load_bgra_dst_vfp4+0xa4>
  .long  0xf4640a8f                          // vld1.32       {d16-d17}, [r4]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe28f40b0                          // add           r4, pc, #176
  .long  0xf3f84070                          // vshr.u32      q10, q8, #8
  .long  0xf3f08070                          // vshr.u32      q12, q8, #16
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24821f2                          // vand          q9, q12, q9
  .long  0xf4648acf                          // vld1.64       {d24-d25}, [r4]
  .long  0xf3e80070                          // vshr.u32      q8, q8, #24
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3466df8                          // vmul.f32      q11, q11, q12
  .long  0xf3444df8                          // vmul.f32      q10, q10, q12
  .long  0xf3422df8                          // vmul.f32      q9, q9, q12
  .long  0xf3400df8                          // vmul.f32      q8, q8, q12
  .long  0xf44e6aef                          // vst1.64       {d22-d23}, [lr :128]
  .long  0xf4424aef                          // vst1.64       {d20-d21}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xe2065003                          // and           r5, r6, #3
  .long  0xe3550001                          // cmp           r5, #1
  .long  0x0a00000c                          // beq           516c <sk_load_bgra_dst_vfp4+0xe4>
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe3550002                          // cmp           r5, #2
  .long  0x0a000005                          // beq           515c <sk_load_bgra_dst_vfp4+0xd4>
  .long  0xe3550003                          // cmp           r5, #3
  .long  0x1affffdd                          // bne           50c4 <sk_load_bgra_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xe2845008                          // add           r5, r4, #8
  .long  0xf4e5183f                          // vld1.32       {d17[0]}, [r5 :32]
  .long  0xedd42b00                          // vldr          d18, [r4]
  .long  0xf2f008e2                          // vext.8        q8, q8, q9, #8
  .long  0xf2f008e0                          // vext.8        q8, q8, q8, #8
  .long  0xeaffffd5                          // b             50c4 <sk_load_bgra_dst_vfp4+0x3c>
  .long  0xe3a05000                          // mov           r5, #0
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xf4e4083f                          // vld1.32       {d16[0]}, [r4 :32]
  .long  0xeaffffd1                          // b             50c4 <sk_load_bgra_dst_vfp4+0x3c>
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_gather_bgra_vfp4
.globl _sk_gather_bgra_vfp4
FUNCTION(_sk_gather_bgra_vfp4)
_sk_gather_bgra_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4932004                          // ldr           r2, [r3], #4
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee133b90                          // vmov.32       r3, d19[0]
  .long  0xee12eb90                          // vmov.32       lr, d18[0]
  .long  0xee334b90                          // vmov.32       r4, d19[1]
  .long  0xee325b90                          // vmov.32       r5, d18[1]
  .long  0xf3c7205f                          // vmov.i32      q9, #255
  .long  0xe0823103                          // add           r3, r2, r3, lsl #2
  .long  0xf4e3183f                          // vld1.32       {d17[0]}, [r3 :32]
  .long  0xe082310e                          // add           r3, r2, lr, lsl #2
  .long  0xf4e3083f                          // vld1.32       {d16[0]}, [r3 :32]
  .long  0xe0823104                          // add           r3, r2, r4, lsl #2
  .long  0xe0822105                          // add           r2, r2, r5, lsl #2
  .long  0xf4e318bf                          // vld1.32       {d17[1]}, [r3 :32]
  .long  0xf4e208bf                          // vld1.32       {d16[1]}, [r2 :32]
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf3f04070                          // vshr.u32      q10, q8, #16
  .long  0xf24061f2                          // vand          q11, q8, q9
  .long  0xf3e88070                          // vshr.u32      q12, q8, #24
  .long  0xf3f80070                          // vshr.u32      q8, q8, #8
  .long  0xf24441f2                          // vand          q10, q10, q9
  .long  0xf24001f2                          // vand          q8, q8, q9
  .long  0xf3fb2664                          // vcvt.f32.s32  q9, q10
  .long  0xf4624acf                          // vld1.64       {d20-d21}, [r2]
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3064df4                          // vmul.f32      q2, q11, q10
  .long  0xf3086df4                          // vmul.f32      q3, q12, q10
  .long  0xf3020df4                          // vmul.f32      q0, q9, q10
  .long  0xf3002df4                          // vmul.f32      q1, q8, q10
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081
  .long  0x3b808081                          // .word         0x3b808081

HIDDEN _sk_store_bgra_vfp4
.globl _sk_store_bgra_vfp4
FUNCTION(_sk_store_bgra_vfp4)
_sk_store_bgra_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20bc                          // add           r2, pc, #188
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf2424c72                          // vfma.f32      q10, q1, q9
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2406c72                          // vfma.f32      q11, q0, q9
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf2440c72                          // vfma.f32      q8, q2, q9
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2468c72                          // vfma.f32      q12, q3, q9
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xf3fb27e4                          // vcvt.u32.f32  q9, q10
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082210e                          // add           r2, r2, lr, lsl #2
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf2f04574                          // vshl.s32      q10, q10, #16
  .long  0xf2e82572                          // vshl.s32      q9, q9, #8
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0xf2f84576                          // vshl.s32      q10, q11, #24
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf26001f4                          // vorr          q8, q8, q10
  .long  0x1a000004                          // bne           52d0 <sk_store_bgra_vfp4+0x90>
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe20c3003                          // and           r3, ip, #3
  .long  0xe3530001                          // cmp           r3, #1
  .long  0x0a000007                          // beq           52fc <sk_store_bgra_vfp4+0xbc>
  .long  0xe3530002                          // cmp           r3, #2
  .long  0x0a000003                          // beq           52f4 <sk_store_bgra_vfp4+0xb4>
  .long  0xe3530003                          // cmp           r3, #3
  .long  0x1afffff4                          // bne           52c0 <sk_store_bgra_vfp4+0x80>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xf4c3183f                          // vst1.32       {d17[0]}, [r3 :32]
  .long  0xedc20b00                          // vstr          d16, [r2]
  .long  0xeafffff0                          // b             52c0 <sk_store_bgra_vfp4+0x80>
  .long  0xf4c2083f                          // vst1.32       {d16[0]}, [r2 :32]
  .long  0xeaffffee                          // b             52c0 <sk_store_bgra_vfp4+0x80>
  .long  0xe320f000                          // nop           {0}
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000
  .long  0x437f0000                          // .word         0x437f0000

HIDDEN _sk_load_f16_vfp4
.globl _sk_load_f16_vfp4
FUNCTION(_sk_load_f16_vfp4)
_sk_load_f16_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe0842182                          // add           r2, r4, r2, lsl #3
  .long  0xe082318e                          // add           r3, r2, lr, lsl #3
  .long  0x1a000008                          // bne           5368 <sk_load_f16_vfp4+0x50>
  .long  0xf463004f                          // vld4.16       {d16-d19}, [r3]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3b60720                          // vcvt.f32.f16  q0, d16
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3b62721                          // vcvt.f32.f16  q1, d17
  .long  0xf3b64722                          // vcvt.f32.f16  q2, d18
  .long  0xf3b66723                          // vcvt.f32.f16  q3, d19
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4e3070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [r3]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0afffff4                          // beq           5348 <sk_load_f16_vfp4+0x30>
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4e2074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3afffff0                          // bcc           5348 <sk_load_f16_vfp4+0x30>
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e2078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeaffffed                          // b             5348 <sk_load_f16_vfp4+0x30>

HIDDEN _sk_load_f16_dst_vfp4
.globl _sk_load_f16_dst_vfp4
FUNCTION(_sk_load_f16_dst_vfp4)
_sk_load_f16_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900068                          // ldm           r0, {r3, r5, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020592                          // mul           r2, r2, r5
  .long  0xe0842182                          // add           r2, r4, r2, lsl #3
  .long  0xe0825183                          // add           r5, r2, r3, lsl #3
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00000d                          // bne           5400 <sk_load_f16_dst_vfp4+0x70>
  .long  0xf465004f                          // vld4.16       {d16-d19}, [r5]
  .long  0xf3f64720                          // vcvt.f32.f16  q10, d16
  .long  0xf3f66721                          // vcvt.f32.f16  q11, d17
  .long  0xf3f68722                          // vcvt.f32.f16  q12, d18
  .long  0xf3f60723                          // vcvt.f32.f16  q8, d19
  .long  0xf4434aef                          // vst1.64       {d20-d21}, [r3 :128]
  .long  0xf4426aef                          // vst1.64       {d22-d23}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e8aef                          // vst1.64       {d24-d25}, [lr :128]
  .long  0xf44c0aef                          // vst1.64       {d16-d17}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xf4e5070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [r5]
  .long  0xe3560001                          // cmp           r6, #1
  .long  0x0affffef                          // beq           53cc <sk_load_f16_dst_vfp4+0x3c>
  .long  0xe2854008                          // add           r4, r5, #8
  .long  0xe3560003                          // cmp           r6, #3
  .long  0xf4e4074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r4]
  .long  0x3affffeb                          // bcc           53cc <sk_load_f16_dst_vfp4+0x3c>
  .long  0xe2854010                          // add           r4, r5, #16
  .long  0xf4e4078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r4]
  .long  0xeaffffe8                          // b             53cc <sk_load_f16_dst_vfp4+0x3c>

HIDDEN _sk_gather_f16_vfp4
.globl _sk_gather_f16_vfp4
FUNCTION(_sk_gather_f16_vfp4)
_sk_gather_f16_vfp4:
  .long  0xe92d4c10                          // push          {r4, sl, fp, lr}
  .long  0xe28db008                          // add           fp, sp, #8
  .long  0xe24dd030                          // sub           sp, sp, #48
  .long  0xe7c4d01f                          // bfc           sp, #0, #5
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf3fb0742                          // vcvt.s32.f32  q8, q1
  .long  0xf3fb2740                          // vcvt.s32.f32  q9, q0
  .long  0xe4923004                          // ldr           r3, [r2], #4
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf26429e0                          // vmla.i32      q9, q10, q8
  .long  0xee33cb90                          // vmov.32       ip, d19[1]
  .long  0xee322b90                          // vmov.32       r2, d18[1]
  .long  0xee13eb90                          // vmov.32       lr, d19[0]
  .long  0xee124b90                          // vmov.32       r4, d18[0]
  .long  0xe083c18c                          // add           ip, r3, ip, lsl #3
  .long  0xe0832182                          // add           r2, r3, r2, lsl #3
  .long  0xe083e18e                          // add           lr, r3, lr, lsl #3
  .long  0xeddc3b00                          // vldr          d19, [ip]
  .long  0xedd21b00                          // vldr          d17, [r2]
  .long  0xe0832184                          // add           r2, r3, r4, lsl #3
  .long  0xedde2b00                          // vldr          d18, [lr]
  .long  0xedd20b00                          // vldr          d16, [r2]
  .long  0xe1a0200d                          // mov           r2, sp
  .long  0xe3823010                          // orr           r3, r2, #16
  .long  0xf4432aef                          // vst1.64       {d18-d19}, [r3 :128]
  .long  0xf4420aef                          // vst1.64       {d16-d17}, [r2 :128]
  .long  0xf462007f                          // vld4.16       {d16-d19}, [r2 :256]
  .long  0xf3b60720                          // vcvt.f32.f16  q0, d16
  .long  0xf3b62721                          // vcvt.f32.f16  q1, d17
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3b64722                          // vcvt.f32.f16  q2, d18
  .long  0xf3b66723                          // vcvt.f32.f16  q3, d19
  .long  0xe12fff32                          // blx           r2
  .long  0xe24bd008                          // sub           sp, fp, #8
  .long  0xe8bd8c10                          // pop           {r4, sl, fp, pc}

HIDDEN _sk_store_f16_vfp4
.globl _sk_store_f16_vfp4
FUNCTION(_sk_store_f16_vfp4)
_sk_store_f16_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf3f63606                          // vcvt.f16.f32  d19, q3
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xf3f62604                          // vcvt.f16.f32  d18, q2
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xf3f61602                          // vcvt.f16.f32  d17, q1
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf3f60600                          // vcvt.f16.f32  d16, q0
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842182                          // add           r2, r4, r2, lsl #3
  .long  0xe082218e                          // add           r2, r2, lr, lsl #3
  .long  0x1a000004                          // bne           5508 <sk_store_f16_vfp4+0x50>
  .long  0xf442004f                          // vst4.16       {d16-d19}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0xf4c2070f                          // vst4.16       {d16[0],d17[0],d18[0],d19[0]}, [r2]
  .long  0x0afffff8                          // beq           54f8 <sk_store_f16_vfp4+0x40>
  .long  0xe2823008                          // add           r3, r2, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4c3074f                          // vst4.16       {d16[1],d17[1],d18[1],d19[1]}, [r3]
  .long  0x3afffff4                          // bcc           54f8 <sk_store_f16_vfp4+0x40>
  .long  0xe2822010                          // add           r2, r2, #16
  .long  0xf4c2078f                          // vst4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeafffff1                          // b             54f8 <sk_store_f16_vfp4+0x40>

HIDDEN _sk_load_u16_be_vfp4
.globl _sk_load_u16_be_vfp4
FUNCTION(_sk_load_u16_be_vfp4)
_sk_load_u16_be_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe082318e                          // add           r3, r2, lr, lsl #3
  .long  0x1a00001e                          // bne           55d8 <sk_load_u16_be_vfp4+0xa8>
  .long  0xf463004f                          // vld4.16       {d16-d19}, [r3]
  .long  0xf3d84030                          // vshr.u16      d20, d16, #8
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf2d85530                          // vshl.s16      d21, d16, #8
  .long  0xf3d86031                          // vshr.u16      d22, d17, #8
  .long  0xf2d87531                          // vshl.s16      d23, d17, #8
  .long  0xf2d80533                          // vshl.s16      d16, d19, #8
  .long  0xf3d8a033                          // vshr.u16      d26, d19, #8
  .long  0xf3d88032                          // vshr.u16      d24, d18, #8
  .long  0xf2d89532                          // vshl.s16      d25, d18, #8
  .long  0xf26511b4                          // vorr          d17, d21, d20
  .long  0xf26721b6                          // vorr          d18, d23, d22
  .long  0xf26931b8                          // vorr          d19, d25, d24
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xf26001ba                          // vorr          d16, d16, d26
  .long  0xf3d04a31                          // vmovl.u16     q10, d17
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3d06a32                          // vmovl.u16     q11, d18
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3d02a33                          // vmovl.u16     q9, d19
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xf3fb66e6                          // vcvt.f32.u32  q11, q11
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3040df8                          // vmul.f32      q0, q10, q12
  .long  0xf3062df8                          // vmul.f32      q1, q11, q12
  .long  0xf3024df8                          // vmul.f32      q2, q9, q12
  .long  0xf3006df8                          // vmul.f32      q3, q8, q12
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4e3070f                          // vld4.16       {d16[0],d17[0],d18[0],d19[0]}, [r3]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0affffde                          // beq           5560 <sk_load_u16_be_vfp4+0x30>
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4e2074f                          // vld4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3affffda                          // bcc           5560 <sk_load_u16_be_vfp4+0x30>
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e2078f                          // vld4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeaffffd7                          // b             5560 <sk_load_u16_be_vfp4+0x30>
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080

HIDDEN _sk_load_rgb_u16_be_vfp4
.globl _sk_load_rgb_u16_be_vfp4
FUNCTION(_sk_load_rgb_u16_be_vfp4)
_sk_load_rgb_u16_be_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xe08e308e                          // add           r3, lr, lr, lsl #1
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xe0823083                          // add           r3, r2, r3, lsl #1
  .long  0x1a00001a                          // bne           56ac <sk_load_rgb_u16_be_vfp4+0x9c>
  .long  0xf463044f                          // vld3.16       {d16-d18}, [r3]
  .long  0xf3d84030                          // vshr.u16      d20, d16, #8
  .long  0xe28f2088                          // add           r2, pc, #136
  .long  0xf2d85530                          // vshl.s16      d21, d16, #8
  .long  0xf3d86031                          // vshr.u16      d22, d17, #8
  .long  0xf2d87531                          // vshl.s16      d23, d17, #8
  .long  0xf2d80532                          // vshl.s16      d16, d18, #8
  .long  0xf3d88032                          // vshr.u16      d24, d18, #8
  .long  0xf26721b6                          // vorr          d18, d23, d22
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf26511b4                          // vorr          d17, d21, d20
  .long  0xe28f2074                          // add           r2, pc, #116
  .long  0xf26001b8                          // vorr          d16, d16, d24
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf3d02a32                          // vmovl.u16     q9, d18
  .long  0xf3d04a31                          // vmovl.u16     q10, d17
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xf3fb46e4                          // vcvt.f32.u32  q10, q10
  .long  0xf3fb06e0                          // vcvt.f32.u32  q8, q8
  .long  0xf3022df6                          // vmul.f32      q1, q9, q11
  .long  0xf3040df6                          // vmul.f32      q0, q10, q11
  .long  0xf3004df6                          // vmul.f32      q2, q8, q11
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4e3060f                          // vld3.16       {d16[0],d17[0],d18[0]}, [r3]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0affffe2                          // beq           5644 <sk_load_rgb_u16_be_vfp4+0x34>
  .long  0xe2832006                          // add           r2, r3, #6
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4e2064f                          // vld3.16       {d16[1],d17[1],d18[1]}, [r2]
  .long  0x3affffde                          // bcc           5644 <sk_load_rgb_u16_be_vfp4+0x34>
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf4e2068f                          // vld3.16       {d16[2],d17[2],d18[2]}, [r2]
  .long  0xeaffffdb                          // b             5644 <sk_load_rgb_u16_be_vfp4+0x34>
  .long  0xe320f000                          // nop           {0}
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x37800080                          // .word         0x37800080
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_store_u16_be_vfp4
.globl _sk_store_u16_be_vfp4
FUNCTION(_sk_store_u16_be_vfp4)
_sk_store_u16_be_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe28f20d4                          // add           r2, pc, #212
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf2440c72                          // vfma.f32      q8, q2, q9
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xf2424c72                          // vfma.f32      q10, q1, q9
  .long  0xe9901004                          // ldmib         r0, {r2, ip}
  .long  0xf2466c72                          // vfma.f32      q11, q3, q9
  .long  0xe5934000                          // ldr           r4, [r3]
  .long  0xe5933004                          // ldr           r3, [r3, #4]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xf2c3865f                          // vmov.i32      q12, #1056964608
  .long  0xf2408c72                          // vfma.f32      q12, q0, q9
  .long  0xe0020293                          // mul           r2, r3, r2
  .long  0xf3fb07e0                          // vcvt.u32.f32  q8, q8
  .long  0xf3fb27e4                          // vcvt.u32.f32  q9, q10
  .long  0xf3fb47e6                          // vcvt.u32.f32  q10, q11
  .long  0xe0842082                          // add           r2, r4, r2, lsl #1
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0xe082318e                          // add           r3, r2, lr, lsl #3
  .long  0xf3fb67e8                          // vcvt.u32.f32  q11, q12
  .long  0xf3f62222                          // vmovn.i32     d18, q9
  .long  0xf3f63224                          // vmovn.i32     d19, q10
  .long  0xf3d85030                          // vshr.u16      d21, d16, #8
  .long  0xf3d81033                          // vshr.u16      d17, d19, #8
  .long  0xf3f64226                          // vmovn.i32     d20, q11
  .long  0xf2d86530                          // vshl.s16      d22, d16, #8
  .long  0xf2d80533                          // vshl.s16      d16, d19, #8
  .long  0xf3d87032                          // vshr.u16      d23, d18, #8
  .long  0xf2d88532                          // vshl.s16      d24, d18, #8
  .long  0xf26031b1                          // vorr          d19, d16, d17
  .long  0xf26621b5                          // vorr          d18, d22, d21
  .long  0xf3d89034                          // vshr.u16      d25, d20, #8
  .long  0xf2d84534                          // vshl.s16      d20, d20, #8
  .long  0xf26811b7                          // vorr          d17, d24, d23
  .long  0xf26401b9                          // vorr          d16, d20, d25
  .long  0x1a000004                          // bne           57b0 <sk_store_u16_be_vfp4+0xb8>
  .long  0xf443004f                          // vst4.16       {d16-d19}, [r3]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0xf4c3070f                          // vst4.16       {d16[0],d17[0],d18[0],d19[0]}, [r3]
  .long  0x0afffff8                          // beq           57a0 <sk_store_u16_be_vfp4+0xa8>
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4c2074f                          // vst4.16       {d16[1],d17[1],d18[1],d19[1]}, [r2]
  .long  0x3afffff4                          // bcc           57a0 <sk_store_u16_be_vfp4+0xa8>
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4c2078f                          // vst4.16       {d16[2],d17[2],d18[2],d19[2]}, [r2]
  .long  0xeafffff1                          // b             57a0 <sk_store_u16_be_vfp4+0xa8>
  .long  0x477fff00                          // .word         0x477fff00
  .long  0x477fff00                          // .word         0x477fff00
  .long  0x477fff00                          // .word         0x477fff00
  .long  0x477fff00                          // .word         0x477fff00

HIDDEN _sk_load_f32_vfp4
.globl _sk_load_f32_vfp4
FUNCTION(_sk_load_f32_vfp4)
_sk_load_f32_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082220e                          // add           r2, r2, lr, lsl #4
  .long  0x1a000009                          // bne           583c <sk_load_f32_vfp4+0x54>
  .long  0xf462018d                          // vld4.32       {d16,d18,d20,d22}, [r2]!
  .long  0xf462118f                          // vld4.32       {d17,d19,d21,d23}, [r2]
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22441f4                          // vorr          q2, q10, q10
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xf4a20b4f                          // vld4.32       {d0[0],d2[0],d4[0],d6[0]}, [r2]
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0x0afffff8                          // beq           582c <sk_load_f32_vfp4+0x44>
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4a30bcf                          // vld4.32       {d0[1],d2[1],d4[1],d6[1]}, [r3]
  .long  0x3afffff4                          // bcc           582c <sk_load_f32_vfp4+0x44>
  .long  0xe2822020                          // add           r2, r2, #32
  .long  0xf4a21b4f                          // vld4.32       {d1[0],d3[0],d5[0],d7[0]}, [r2]
  .long  0xeafffff1                          // b             582c <sk_load_f32_vfp4+0x44>

HIDDEN _sk_load_f32_dst_vfp4
.globl _sk_load_f32_dst_vfp4
FUNCTION(_sk_load_f32_dst_vfp4)
_sk_load_f32_dst_vfp4:
  .long  0xe92d4070                          // push          {r4, r5, r6, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe280c040                          // add           ip, r0, #64
  .long  0xe8900058                          // ldm           r0, {r3, r4, r6}
  .long  0xe280e030                          // add           lr, r0, #48
  .long  0xe5925000                          // ldr           r5, [r2]
  .long  0xe3560000                          // cmp           r6, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020492                          // mul           r2, r2, r4
  .long  0xe0852102                          // add           r2, r5, r2, lsl #2
  .long  0xe0824203                          // add           r4, r2, r3, lsl #4
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xe2803010                          // add           r3, r0, #16
  .long  0x1a00000e                          // bne           58d8 <sk_load_f32_dst_vfp4+0x74>
  .long  0xf464818d                          // vld4.32       {d24,d26,d28,d30}, [r4]!
  .long  0xf464918f                          // vld4.32       {d25,d27,d29,d31}, [r4]
  .long  0xf26801f8                          // vorr          q8, q12, q12
  .long  0xf26a21fa                          // vorr          q9, q13, q13
  .long  0xf26c41fc                          // vorr          q10, q14, q14
  .long  0xf26e61fe                          // vorr          q11, q15, q15
  .long  0xf4430aef                          // vst1.64       {d16-d17}, [r3 :128]
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xf44e4aef                          // vst1.64       {d20-d21}, [lr :128]
  .long  0xf44c6aef                          // vst1.64       {d22-d23}, [ip :128]
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe8bd4070                          // pop           {r4, r5, r6, lr}
  .long  0xe12fff13                          // bx            r3
  .long  0xf4e40b4f                          // vld4.32       {d16[0],d18[0],d20[0],d22[0]}, [r4]
  .long  0xe3560001                          // cmp           r6, #1
  .long  0x0afffff3                          // beq           58b4 <sk_load_f32_dst_vfp4+0x50>
  .long  0xe2845010                          // add           r5, r4, #16
  .long  0xe3560003                          // cmp           r6, #3
  .long  0xf4e50bcf                          // vld4.32       {d16[1],d18[1],d20[1],d22[1]}, [r5]
  .long  0x3affffef                          // bcc           58b4 <sk_load_f32_dst_vfp4+0x50>
  .long  0xe2844020                          // add           r4, r4, #32
  .long  0xf4e41b4f                          // vld4.32       {d17[0],d19[0],d21[0],d23[0]}, [r4]
  .long  0xeaffffec                          // b             58b4 <sk_load_f32_dst_vfp4+0x50>

HIDDEN _sk_store_f32_vfp4
.globl _sk_store_f32_vfp4
FUNCTION(_sk_store_f32_vfp4)
_sk_store_f32_vfp4:
  .long  0xe92d4010                          // push          {r4, lr}
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe590e000                          // ldr           lr, [r0]
  .long  0xe9901008                          // ldmib         r0, {r3, ip}
  .long  0xe5924000                          // ldr           r4, [r2]
  .long  0xe35c0000                          // cmp           ip, #0
  .long  0xe5922004                          // ldr           r2, [r2, #4]
  .long  0xe0020392                          // mul           r2, r2, r3
  .long  0xe0842102                          // add           r2, r4, r2, lsl #2
  .long  0xe082220e                          // add           r2, r2, lr, lsl #4
  .long  0x1a000005                          // bne           5944 <sk_store_f32_vfp4+0x44>
  .long  0xf402018d                          // vst4.32       {d0,d2,d4,d6}, [r2]!
  .long  0xf402118f                          // vst4.32       {d1,d3,d5,d7}, [r2]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe8bd4010                          // pop           {r4, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0xe35c0001                          // cmp           ip, #1
  .long  0xf4820b4f                          // vst4.32       {d0[0],d2[0],d4[0],d6[0]}, [r2]
  .long  0x0afffff8                          // beq           5934 <sk_store_f32_vfp4+0x34>
  .long  0xe2823010                          // add           r3, r2, #16
  .long  0xe35c0003                          // cmp           ip, #3
  .long  0xf4830bcf                          // vst4.32       {d0[1],d2[1],d4[1],d6[1]}, [r3]
  .long  0x3afffff4                          // bcc           5934 <sk_store_f32_vfp4+0x34>
  .long  0xe2822020                          // add           r2, r2, #32
  .long  0xf4821b4f                          // vst4.32       {d1[0],d3[0],d5[0],d7[0]}, [r2]
  .long  0xeafffff1                          // b             5934 <sk_store_f32_vfp4+0x34>

HIDDEN _sk_clamp_x_vfp4
.globl _sk_clamp_x_vfp4
FUNCTION(_sk_clamp_x_vfp4)
_sk_clamp_x_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf3c72e5f                          // vmov.i8       q9, #255
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2400fc0                          // vmax.f32      q8, q8, q0
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26428e2                          // vadd.i32      q9, q10, q9
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clamp_y_vfp4
.globl _sk_clamp_y_vfp4
FUNCTION(_sk_clamp_y_vfp4)
_sk_clamp_y_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf3c72e5f                          // vmov.i8       q9, #255
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2400fc2                          // vmax.f32      q8, q8, q1
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xf26428e2                          // vadd.i32      q9, q10, q9
  .long  0xf2202fe2                          // vmin.f32      q1, q8, q9
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_repeat_x_vfp4
.globl _sk_repeat_x_vfp4
FUNCTION(_sk_repeat_x_vfp4)
_sk_repeat_x_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe28f3038                          // add           r3, pc, #56
  .long  0xf3422dd0                          // vmul.f32      q9, q9, q0
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3fb4762                          // vcvt.s32.f32  q10, q9
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3642ee2                          // vcgt.f32      q9, q10, q9
  .long  0xf35821f6                          // vbsl          q9, q12, q11
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf2602d62                          // vsub.f32      q9, q0, q9
  .long  0xf2462fe2                          // vmax.f32      q9, q11, q9
  .long  0xf2220fe0                          // vmin.f32      q0, q9, q8
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_repeat_y_vfp4
.globl _sk_repeat_y_vfp4
FUNCTION(_sk_repeat_y_vfp4)
_sk_repeat_y_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2c06050                          // vmov.i32      q11, #0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xe28f3038                          // add           r3, pc, #56
  .long  0xf3422dd2                          // vmul.f32      q9, q9, q1
  .long  0xf4638acf                          // vld1.64       {d24-d25}, [r3]
  .long  0xf3fb4762                          // vcvt.s32.f32  q10, q9
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3642ee2                          // vcgt.f32      q9, q10, q9
  .long  0xf35821f6                          // vbsl          q9, q12, q11
  .long  0xf2642de2                          // vsub.f32      q9, q10, q9
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf3402df2                          // vmul.f32      q9, q8, q9
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf2622d62                          // vsub.f32      q9, q1, q9
  .long  0xf2462fe2                          // vmax.f32      q9, q11, q9
  .long  0xf2222fe0                          // vmin.f32      q1, q9, q8
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_mirror_x_vfp4
.globl _sk_mirror_x_vfp4
FUNCTION(_sk_mirror_x_vfp4)
_sk_mirror_x_vfp4:
  .long  0xed2d8b06                          // vpush         {d8-d10}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xeeb6aa00                          // vmov.f32      s20, #96
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed938a00                          // vldr          s16, [r3]
  .long  0xed939a01                          // vldr          s18, [r3, #4]
  .long  0xe28f3050                          // add           r3, pc, #80
  .long  0xf3f40c48                          // vdup.32       q8, d8[0]
  .long  0xf2602d60                          // vsub.f32      q9, q0, q8
  .long  0xf463aacf                          // vld1.64       {d26-d27}, [r3]
  .long  0xee290a0a                          // vmul.f32      s0, s18, s20
  .long  0xf3e249c0                          // vmul.f32      q10, q9, d0[0]
  .long  0xee380a08                          // vadd.f32      s0, s16, s16
  .long  0xf3fb6764                          // vcvt.s32.f32  q11, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3664ee4                          // vcgt.f32      q10, q11, q10
  .long  0xf35a41f8                          // vbsl          q10, q13, q12
  .long  0xf2664de4                          // vsub.f32      q10, q11, q10
  .long  0xf3e449c0                          // vmul.f32      q10, q10, d0[0]
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf2622de0                          // vsub.f32      q9, q9, q8
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf3f92762                          // vabs.f32      q9, q9
  .long  0xf2482fe2                          // vmax.f32      q9, q12, q9
  .long  0xf2220fe0                          // vmin.f32      q0, q9, q8
  .long  0xecbd8b06                          // vpop          {d8-d10}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_mirror_y_vfp4
.globl _sk_mirror_y_vfp4
FUNCTION(_sk_mirror_y_vfp4)
_sk_mirror_y_vfp4:
  .long  0xed2d8b06                          // vpush         {d8-d10}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xeeb6aa00                          // vmov.f32      s20, #96
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed938a00                          // vldr          s16, [r3]
  .long  0xed939a01                          // vldr          s18, [r3, #4]
  .long  0xe28f3050                          // add           r3, pc, #80
  .long  0xf3f40c48                          // vdup.32       q8, d8[0]
  .long  0xf2622d60                          // vsub.f32      q9, q1, q8
  .long  0xf463aacf                          // vld1.64       {d26-d27}, [r3]
  .long  0xee292a0a                          // vmul.f32      s4, s18, s20
  .long  0xf3e249c2                          // vmul.f32      q10, q9, d2[0]
  .long  0xee382a08                          // vadd.f32      s4, s16, s16
  .long  0xf3fb6764                          // vcvt.s32.f32  q11, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3664ee4                          // vcgt.f32      q10, q11, q10
  .long  0xf35a41f8                          // vbsl          q10, q13, q12
  .long  0xf2664de4                          // vsub.f32      q10, q11, q10
  .long  0xf3e449c2                          // vmul.f32      q10, q10, d2[0]
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf3c74e5f                          // vmov.i8       q10, #255
  .long  0xf2622de0                          // vsub.f32      q9, q9, q8
  .long  0xf26008e4                          // vadd.i32      q8, q8, q10
  .long  0xf3f92762                          // vabs.f32      q9, q9
  .long  0xf2482fe2                          // vmax.f32      q9, q12, q9
  .long  0xf2222fe0                          // vmin.f32      q1, q9, q8
  .long  0xecbd8b06                          // vpop          {d8-d10}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_clamp_x_1_vfp4
.globl _sk_clamp_x_1_vfp4
FUNCTION(_sk_clamp_x_1_vfp4)
_sk_clamp_x_1_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2c72f50                          // vmov.f32      q9, #1
  .long  0xf2400fc0                          // vmax.f32      q8, q8, q0
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_repeat_x_1_vfp4
.globl _sk_repeat_x_1_vfp4
FUNCTION(_sk_repeat_x_1_vfp4)
_sk_repeat_x_1_vfp4:
  .long  0xf3fb0740                          // vcvt.s32.f32  q8, q0
  .long  0xe28f2024                          // add           r2, pc, #36
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xf2c04050                          // vmov.i32      q10, #0
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xf3602ec0                          // vcgt.f32      q9, q8, q0
  .long  0xf35621f4                          // vbsl          q9, q11, q10
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf2200d60                          // vsub.f32      q0, q0, q8
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_mirror_x_1_vfp4
.globl _sk_mirror_x_1_vfp4
FUNCTION(_sk_mirror_x_1_vfp4)
_sk_mirror_x_1_vfp4:
  .long  0xf3c70f50                          // vmov.f32      q8, #-1
  .long  0xe28f203c                          // add           r2, pc, #60
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf462aacf                          // vld1.64       {d26-d27}, [r2]
  .long  0xf2402d60                          // vadd.f32      q9, q0, q8
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2c08050                          // vmov.i32      q12, #0
  .long  0xf3424df4                          // vmul.f32      q10, q9, q10
  .long  0xf3fb6764                          // vcvt.s32.f32  q11, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3664ee4                          // vcgt.f32      q10, q11, q10
  .long  0xf35a41f8                          // vbsl          q10, q13, q12
  .long  0xf2664de4                          // vsub.f32      q10, q11, q10
  .long  0xf2444de4                          // vadd.f32      q10, q10, q10
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3b90760                          // vabs.f32      q0, q8
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_luminance_to_alpha_vfp4
.globl _sk_luminance_to_alpha_vfp4
FUNCTION(_sk_luminance_to_alpha_vfp4)
_sk_luminance_to_alpha_vfp4:
  .long  0xe28f2038                          // add           r2, pc, #56
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2040                          // add           r2, pc, #64
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf3420d70                          // vmul.f32      q8, q1, q8
  .long  0xe28f2044                          // add           r2, pc, #68
  .long  0xf2802050                          // vmov.i32      q1, #0
  .long  0xf3402d72                          // vmul.f32      q9, q0, q9
  .long  0xf2800050                          // vmov.i32      q0, #0
  .long  0xf2026de0                          // vadd.f32      q3, q9, q8
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2046c70                          // vfma.f32      q3, q2, q8
  .long  0xf2804050                          // vmov.i32      q2, #0
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3f371759                          // .word         0x3f371759
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3e59b3d0                          // .word         0x3e59b3d0
  .long  0x3d93dd98                          // .word         0x3d93dd98
  .long  0x3d93dd98                          // .word         0x3d93dd98
  .long  0x3d93dd98                          // .word         0x3d93dd98
  .long  0x3d93dd98                          // .word         0x3d93dd98

HIDDEN _sk_matrix_translate_vfp4
.globl _sk_matrix_translate_vfp4
FUNCTION(_sk_matrix_translate_vfp4)
_sk_matrix_translate_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e30cbd                          // vld1.32       {d16[]-d17[]}, [r3 :32]!
  .long  0xf2000dc0                          // vadd.f32      q0, q8, q0
  .long  0xf4e32cbf                          // vld1.32       {d18[]-d19[]}, [r3 :32]
  .long  0xf2022dc2                          // vadd.f32      q1, q9, q1
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_matrix_scale_translate_vfp4
.globl _sk_matrix_scale_translate_vfp4
FUNCTION(_sk_matrix_scale_translate_vfp4)
_sk_matrix_scale_translate_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf4ee0cbd                          // vld1.32       {d16[]-d17[]}, [lr :32]!
  .long  0xf2400c72                          // vfma.f32      q8, q0, q9
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf4ee2cbf                          // vld1.32       {d18[]-d19[]}, [lr :32]
  .long  0xf2422c74                          // vfma.f32      q9, q1, q10
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_2x3_vfp4
.globl _sk_matrix_2x3_vfp4
FUNCTION(_sk_matrix_2x3_vfp4)
_sk_matrix_2x3_vfp4:
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2420c72                          // vfma.f32      q8, q1, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xf2422c74                          // vfma.f32      q9, q1, q10
  .long  0xf4e34cbd                          // vld1.32       {d20[]-d21[]}, [r3 :32]!
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf2400c74                          // vfma.f32      q8, q0, q10
  .long  0xf2402c76                          // vfma.f32      q9, q0, q11
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_3x4_vfp4
.globl _sk_matrix_3x4_vfp4
FUNCTION(_sk_matrix_3x4_vfp4)
_sk_matrix_3x4_vfp4:
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832028                          // add           r2, r3, #40
  .long  0xf2440c72                          // vfma.f32      q8, q2, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283202c                          // add           r2, r3, #44
  .long  0xf2442c74                          // vfma.f32      q9, q2, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf2444c76                          // vfma.f32      q10, q2, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf2420c76                          // vfma.f32      q8, q1, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2422c76                          // vfma.f32      q9, q1, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2424c76                          // vfma.f32      q10, q1, q11
  .long  0xf4e36cbd                          // vld1.32       {d22[]-d23[]}, [r3 :32]!
  .long  0xf4e38cbf                          // vld1.32       {d24[]-d25[]}, [r3 :32]
  .long  0xf2400c76                          // vfma.f32      q8, q0, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xf2402c78                          // vfma.f32      q9, q0, q12
  .long  0xf2404c76                          // vfma.f32      q10, q0, q11
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xf22441f4                          // vorr          q2, q10, q10
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_4x5_vfp4
.globl _sk_matrix_4x5_vfp4
FUNCTION(_sk_matrix_4x5_vfp4)
_sk_matrix_4x5_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf2620152                          // vorr          q8, q1, q1
  .long  0xf2666156                          // vorr          q11, q3, q3
  .long  0xe2832030                          // add           r2, r3, #48
  .long  0xf2644154                          // vorr          q10, q2, q2
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4e2acbf                          // vld1.32       {d26[]-d27[]}, [r2 :32]
  .long  0xe2832038                          // add           r2, r3, #56
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283203c                          // add           r2, r3, #60
  .long  0xf4e2ccbf                          // vld1.32       {d28[]-d29[]}, [r2 :32]
  .long  0xe2832034                          // add           r2, r3, #52
  .long  0xf4e2ecbf                          // vld1.32       {d30[]-d31[]}, [r2 :32]
  .long  0xe2832044                          // add           r2, r3, #68
  .long  0xf4a22cbf                          // vld1.32       {d2[]-d3[]}, [r2 :32]
  .long  0xe283204c                          // add           r2, r3, #76
  .long  0xf2062cfe                          // vfma.f32      q1, q11, q15
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832048                          // add           r2, r3, #72
  .long  0xf2066cfc                          // vfma.f32      q3, q11, q14
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xe2832040                          // add           r2, r3, #64
  .long  0xf2064cf2                          // vfma.f32      q2, q11, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283202c                          // add           r2, r3, #44
  .long  0xf2462cfa                          // vfma.f32      q9, q11, q13
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832028                          // add           r2, r3, #40
  .long  0xf4ee8cbd                          // vld1.32       {d24[]-d25[]}, [lr :32]!
  .long  0xf2046cf6                          // vfma.f32      q3, q10, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf2044cf6                          // vfma.f32      q2, q10, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf2042cf6                          // vfma.f32      q1, q10, q11
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf2004cf4                          // vfma.f32      q2, q8, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xf2002cf4                          // vfma.f32      q1, q8, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf2004c70                          // vfma.f32      q2, q0, q8
  .long  0xf4ee4cbf                          // vld1.32       {d20[]-d21[]}, [lr :32]
  .long  0xf2402c78                          // vfma.f32      q9, q0, q12
  .long  0xf2002c74                          // vfma.f32      q1, q0, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf2006c74                          // vfma.f32      q3, q0, q10
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_4x3_vfp4
.globl _sk_matrix_4x3_vfp4
FUNCTION(_sk_matrix_4x3_vfp4)
_sk_matrix_4x3_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832028                          // add           r2, r3, #40
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf2024c70                          // vfma.f32      q2, q1, q8
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xf2420c72                          // vfma.f32      q8, q1, q9
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe283202c                          // add           r2, r3, #44
  .long  0xf2422c78                          // vfma.f32      q9, q1, q12
  .long  0xf4ee4cbd                          // vld1.32       {d20[]-d21[]}, [lr :32]!
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2026c76                          // vfma.f32      q3, q1, q11
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf2400c74                          // vfma.f32      q8, q0, q10
  .long  0xf4ee4cbf                          // vld1.32       {d20[]-d21[]}, [lr :32]
  .long  0xf2402c74                          // vfma.f32      q9, q0, q10
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xf2004c76                          // vfma.f32      q2, q0, q11
  .long  0xf2006c74                          // vfma.f32      q3, q0, q10
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xf22221f2                          // vorr          q1, q9, q9
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_matrix_perspective_vfp4
.globl _sk_matrix_perspective_vfp4
FUNCTION(_sk_matrix_perspective_vfp4)
_sk_matrix_perspective_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf4e22cbf                          // vld1.32       {d18[]-d19[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf2422c70                          // vfma.f32      q9, q1, q8
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf2402c70                          // vfma.f32      q9, q0, q8
  .long  0xf4ee0cbd                          // vld1.32       {d16[]-d17[]}, [lr :32]!
  .long  0xf4eeacbf                          // vld1.32       {d26[]-d27[]}, [lr :32]
  .long  0xf2424c7a                          // vfma.f32      q10, q1, q13
  .long  0xf4e2acbf                          // vld1.32       {d26[]-d27[]}, [r2 :32]
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xf242ac78                          // vfma.f32      q13, q1, q12
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3fb6562                          // vrecpe.f32    q11, q9
  .long  0xf2404c70                          // vfma.f32      q10, q0, q8
  .long  0xf240ac78                          // vfma.f32      q13, q0, q12
  .long  0xf2422ff6                          // vrecps.f32    q9, q9, q11
  .long  0xf3460df2                          // vmul.f32      q8, q11, q9
  .long  0xf3040df0                          // vmul.f32      q0, q10, q8
  .long  0xf30a2df0                          // vmul.f32      q1, q13, q8
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_evenly_spaced_gradient_vfp4
.globl _sk_evenly_spaced_gradient_vfp4
FUNCTION(_sk_evenly_spaced_gradient_vfp4)
_sk_evenly_spaced_gradient_vfp4:
  .long  0xe92d4ff0                          // push          {r4, r5, r6, r7, r8, r9, sl, fp, lr}
  .long  0xe24dd004                          // sub           sp, sp, #4
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe58d2004                          // str           r2, [sp, #4]
  .long  0xe1a0c001                          // mov           ip, r1
  .long  0xf2600150                          // vorr          q8, q0, q0
  .long  0xe49c4008                          // ldr           r4, [ip], #8
  .long  0xe8944204                          // ldm           r4, {r2, r9, lr}
  .long  0xe2422001                          // sub           r2, r2, #1
  .long  0xe5943010                          // ldr           r3, [r4, #16]
  .long  0xe5948020                          // ldr           r8, [r4, #32]
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe594700c                          // ldr           r7, [r4, #12]
  .long  0xf3fb26e2                          // vcvt.f32.u32  q9, q9
  .long  0xe594a01c                          // ldr           sl, [r4, #28]
  .long  0xf3422df0                          // vmul.f32      q9, q9, q8
  .long  0xf3fb2762                          // vcvt.s32.f32  q9, q9
  .long  0xee336b90                          // vmov.32       r6, d19[1]
  .long  0xee32bb90                          // vmov.32       fp, d18[1]
  .long  0xe0832106                          // add           r2, r3, r6, lsl #2
  .long  0xedd2ba00                          // vldr          s23, [r2]
  .long  0xee132b90                          // vmov.32       r2, d19[0]
  .long  0xe0835102                          // add           r5, r3, r2, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xe083510b                          // add           r5, r3, fp, lsl #2
  .long  0xedd5aa00                          // vldr          s21, [r5]
  .long  0xee125b90                          // vmov.32       r5, d18[0]
  .long  0xe0833105                          // add           r3, r3, r5, lsl #2
  .long  0xed93aa00                          // vldr          s20, [r3]
  .long  0xe0883106                          // add           r3, r8, r6, lsl #2
  .long  0xedd37a00                          // vldr          s15, [r3]
  .long  0xe0883102                          // add           r3, r8, r2, lsl #2
  .long  0xed937a00                          // vldr          s14, [r3]
  .long  0xe0873106                          // add           r3, r7, r6, lsl #2
  .long  0xedd3da00                          // vldr          s27, [r3]
  .long  0xe0873102                          // add           r3, r7, r2, lsl #2
  .long  0xed93da00                          // vldr          s26, [r3]
  .long  0xe087310b                          // add           r3, r7, fp, lsl #2
  .long  0xedd3ca00                          // vldr          s25, [r3]
  .long  0xe0873105                          // add           r3, r7, r5, lsl #2
  .long  0xed93ca00                          // vldr          s24, [r3]
  .long  0xe08a3106                          // add           r3, sl, r6, lsl #2
  .long  0xedd35a00                          // vldr          s11, [r3]
  .long  0xe5943018                          // ldr           r3, [r4, #24]
  .long  0xe5944014                          // ldr           r4, [r4, #20]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0837102                          // add           r7, r3, r2, lsl #2
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe083710b                          // add           r7, r3, fp, lsl #2
  .long  0xe0833105                          // add           r3, r3, r5, lsl #2
  .long  0xedd72a00                          // vldr          s5, [r7]
  .long  0xe0847106                          // add           r7, r4, r6, lsl #2
  .long  0xedd79a00                          // vldr          s19, [r7]
  .long  0xe0847102                          // add           r7, r4, r2, lsl #2
  .long  0xed932a00                          // vldr          s4, [r3]
  .long  0xe08a310b                          // add           r3, sl, fp, lsl #2
  .long  0xed979a00                          // vldr          s18, [r7]
  .long  0xe08e7106                          // add           r7, lr, r6, lsl #2
  .long  0xe0896106                          // add           r6, r9, r6, lsl #2
  .long  0xedd7fa00                          // vldr          s31, [r7]
  .long  0xe08e7105                          // add           r7, lr, r5, lsl #2
  .long  0xedd61a00                          // vldr          s3, [r6]
  .long  0xe0896102                          // add           r6, r9, r2, lsl #2
  .long  0xed961a00                          // vldr          s2, [r6]
  .long  0xe089610b                          // add           r6, r9, fp, lsl #2
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xe0896105                          // add           r6, r9, r5, lsl #2
  .long  0xed960a00                          // vldr          s0, [r6]
  .long  0xe084610b                          // add           r6, r4, fp, lsl #2
  .long  0xe0844105                          // add           r4, r4, r5, lsl #2
  .long  0xedd68a00                          // vldr          s17, [r6]
  .long  0xe08a6105                          // add           r6, sl, r5, lsl #2
  .long  0xed948a00                          // vldr          s16, [r4]
  .long  0xe08e4102                          // add           r4, lr, r2, lsl #2
  .long  0xe08a2102                          // add           r2, sl, r2, lsl #2
  .long  0xf2008cd0                          // vfma.f32      q4, q8, q0
  .long  0xed94fa00                          // vldr          s30, [r4]
  .long  0xed925a00                          // vldr          s10, [r2]
  .long  0xe08e410b                          // add           r4, lr, fp, lsl #2
  .long  0xe088210b                          // add           r2, r8, fp, lsl #2
  .long  0xedd4ea00                          // vldr          s29, [r4]
  .long  0xe0884105                          // add           r4, r8, r5, lsl #2
  .long  0xedd26a00                          // vldr          s13, [r2]
  .long  0xedd34a00                          // vldr          s9, [r3]
  .long  0xed946a00                          // vldr          s12, [r4]
  .long  0xed964a00                          // vldr          s8, [r6]
  .long  0xed97ea00                          // vldr          s28, [r7]
  .long  0xf2006cda                          // vfma.f32      q3, q8, q5
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe1a0100c                          // mov           r1, ip
  .long  0xf2002cde                          // vfma.f32      q1, q8, q7
  .long  0xf2004cdc                          // vfma.f32      q2, q8, q6
  .long  0xf2280158                          // vorr          q0, q4, q4
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe28dd004                          // add           sp, sp, #4
  .long  0xe8bd4ff0                          // pop           {r4, r5, r6, r7, r8, r9, sl, fp, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_gauss_a_to_rgba_vfp4
.globl _sk_gauss_a_to_rgba_vfp4
FUNCTION(_sk_gauss_a_to_rgba_vfp4)
_sk_gauss_a_to_rgba_vfp4:
  .long  0xe28f2048                          // add           r2, pc, #72
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f2050                          // add           r2, pc, #80
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f2058                          // add           r2, pc, #88
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xe28f205c                          // add           r2, pc, #92
  .long  0xf2460c72                          // vfma.f32      q8, q3, q9
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xe28f2060                          // add           r2, pc, #96
  .long  0xf4220acf                          // vld1.64       {d0-d1}, [r2]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2462c70                          // vfma.f32      q9, q3, q8
  .long  0xf2060c72                          // vfma.f32      q0, q3, q9
  .long  0xf2202150                          // vorr          q1, q0, q0
  .long  0xf2204150                          // vorr          q2, q0, q0
  .long  0xf2206150                          // vorr          q3, q0, q0
  .long  0xe12fff12                          // bx            r2
  .long  0xe320f000                          // nop           {0}
  .long  0xc011102d                          // .word         0xc011102d
  .long  0xc011102d                          // .word         0xc011102d
  .long  0xc011102d                          // .word         0xc011102d
  .long  0xc011102d                          // .word         0xc011102d
  .long  0x40397812                          // .word         0x40397812
  .long  0x40397812                          // .word         0x40397812
  .long  0x40397812                          // .word         0x40397812
  .long  0x40397812                          // .word         0x40397812
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e5a9420                          // .word         0x3e5a9420
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x3e1e9d04                          // .word         0x3e1e9d04
  .long  0x39a11800                          // .word         0x39a11800
  .long  0x39a11800                          // .word         0x39a11800
  .long  0x39a11800                          // .word         0x39a11800
  .long  0x39a11800                          // .word         0x39a11800

HIDDEN _sk_gradient_vfp4
.globl _sk_gradient_vfp4
FUNCTION(_sk_gradient_vfp4)
_sk_gradient_vfp4:
  .long  0xe92d47f0                          // push          {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd008                          // sub           sp, sp, #8
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe58d2004                          // str           r2, [sp, #4]
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf2606150                          // vorr          q11, q0, q0
  .long  0xf2c02050                          // vmov.i32      q9, #0
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5931000                          // ldr           r1, [r3]
  .long  0xe3510002                          // cmp           r1, #2
  .long  0x3a00000a                          // bcc           62ac <sk_gradient_vfp4+0x5c>
  .long  0xe5932024                          // ldr           r2, [r3, #36]
  .long  0xf2c04051                          // vmov.i32      q10, #1
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe2411001                          // sub           r1, r1, #1
  .long  0xe2822004                          // add           r2, r2, #4
  .long  0xf4e28cbd                          // vld1.32       {d24[]-d25[]}, [r2 :32]!
  .long  0xe2511001                          // subs          r1, r1, #1
  .long  0xf3468ee8                          // vcge.f32      q12, q11, q12
  .long  0xf35481f2                          // vbsl          q12, q10, q9
  .long  0xf26808e0                          // vadd.i32      q8, q12, q8
  .long  0x1afffff9                          // bne           6294 <sk_gradient_vfp4+0x44>
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xe5937010                          // ldr           r7, [r3, #16]
  .long  0xee112b90                          // vmov.32       r2, d17[0]
  .long  0xe593c020                          // ldr           ip, [r3, #32]
  .long  0xee301b90                          // vmov.32       r1, d16[1]
  .long  0xe593400c                          // ldr           r4, [r3, #12]
  .long  0xe593801c                          // ldr           r8, [r3, #28]
  .long  0xe5939008                          // ldr           r9, [r3, #8]
  .long  0xe593e004                          // ldr           lr, [r3, #4]
  .long  0xe0876105                          // add           r6, r7, r5, lsl #2
  .long  0xedd6ba00                          // vldr          s23, [r6]
  .long  0xe0876102                          // add           r6, r7, r2, lsl #2
  .long  0xed96ba00                          // vldr          s22, [r6]
  .long  0xe0876101                          // add           r6, r7, r1, lsl #2
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xee106b90                          // vmov.32       r6, d16[0]
  .long  0xe0877106                          // add           r7, r7, r6, lsl #2
  .long  0xe088a106                          // add           sl, r8, r6, lsl #2
  .long  0xed97aa00                          // vldr          s20, [r7]
  .long  0xe08c7105                          // add           r7, ip, r5, lsl #2
  .long  0xedd77a00                          // vldr          s15, [r7]
  .long  0xe08c7102                          // add           r7, ip, r2, lsl #2
  .long  0xed977a00                          // vldr          s14, [r7]
  .long  0xe0847105                          // add           r7, r4, r5, lsl #2
  .long  0xedd7da00                          // vldr          s27, [r7]
  .long  0xe0847102                          // add           r7, r4, r2, lsl #2
  .long  0xed97da00                          // vldr          s26, [r7]
  .long  0xe0847101                          // add           r7, r4, r1, lsl #2
  .long  0xe0844106                          // add           r4, r4, r6, lsl #2
  .long  0xedd7ca00                          // vldr          s25, [r7]
  .long  0xed94ca00                          // vldr          s24, [r4]
  .long  0xe0884105                          // add           r4, r8, r5, lsl #2
  .long  0xedd45a00                          // vldr          s11, [r4]
  .long  0xe5934018                          // ldr           r4, [r3, #24]
  .long  0xe5933014                          // ldr           r3, [r3, #20]
  .long  0xe0847105                          // add           r7, r4, r5, lsl #2
  .long  0xedd73a00                          // vldr          s7, [r7]
  .long  0xe0897105                          // add           r7, r9, r5, lsl #2
  .long  0xedd7fa00                          // vldr          s31, [r7]
  .long  0xe0897102                          // add           r7, r9, r2, lsl #2
  .long  0xed97fa00                          // vldr          s30, [r7]
  .long  0xe0897101                          // add           r7, r9, r1, lsl #2
  .long  0xedd7ea00                          // vldr          s29, [r7]
  .long  0xe0837105                          // add           r7, r3, r5, lsl #2
  .long  0xe08e5105                          // add           r5, lr, r5, lsl #2
  .long  0xedd79a00                          // vldr          s19, [r7]
  .long  0xe0837102                          // add           r7, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe08e5102                          // add           r5, lr, r2, lsl #2
  .long  0xed979a00                          // vldr          s18, [r7]
  .long  0xe0837101                          // add           r7, r3, r1, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xe08e5101                          // add           r5, lr, r1, lsl #2
  .long  0xedd78a00                          // vldr          s17, [r7]
  .long  0xe0837106                          // add           r7, r3, r6, lsl #2
  .long  0xe0893106                          // add           r3, r9, r6, lsl #2
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xe08c9106                          // add           r9, ip, r6, lsl #2
  .long  0xe0845106                          // add           r5, r4, r6, lsl #2
  .long  0xe08e6106                          // add           r6, lr, r6, lsl #2
  .long  0xed978a00                          // vldr          s16, [r7]
  .long  0xe0847102                          // add           r7, r4, r2, lsl #2
  .long  0xe0882102                          // add           r2, r8, r2, lsl #2
  .long  0xed960a00                          // vldr          s0, [r6]
  .long  0xed93ea00                          // vldr          s28, [r3]
  .long  0xe0843101                          // add           r3, r4, r1, lsl #2
  .long  0xf2068cd0                          // vfma.f32      q4, q11, q0
  .long  0xed973a00                          // vldr          s6, [r7]
  .long  0xe0887101                          // add           r7, r8, r1, lsl #2
  .long  0xed925a00                          // vldr          s10, [r2]
  .long  0xe08c1101                          // add           r1, ip, r1, lsl #2
  .long  0xedd32a00                          // vldr          s5, [r3]
  .long  0xedd74a00                          // vldr          s9, [r7]
  .long  0xedd16a00                          // vldr          s13, [r1]
  .long  0xe59d1004                          // ldr           r1, [sp, #4]
  .long  0xed952a00                          // vldr          s4, [r5]
  .long  0xed9a4a00                          // vldr          s8, [sl]
  .long  0xed996a00                          // vldr          s12, [r9]
  .long  0xf2062cde                          // vfma.f32      q1, q11, q7
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2064cdc                          // vfma.f32      q2, q11, q6
  .long  0xf2066cda                          // vfma.f32      q3, q11, q5
  .long  0xf2280158                          // vorr          q0, q4, q4
  .long  0xe28dd008                          // add           sp, sp, #8
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd47f0                          // pop           {r4, r5, r6, r7, r8, r9, sl, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_evenly_spaced_2_stop_gradient_vfp4
.globl _sk_evenly_spaced_2_stop_gradient_vfp4
FUNCTION(_sk_evenly_spaced_2_stop_gradient_vfp4)
_sk_evenly_spaced_2_stop_gradient_vfp4:
  .long  0xe92d4800                          // push          {fp, lr}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe283200c                          // add           r2, r3, #12
  .long  0xe1a0e003                          // mov           lr, r3
  .long  0xf4e24cbf                          // vld1.32       {d20[]-d21[]}, [r2 :32]
  .long  0xe283201c                          // add           r2, r3, #28
  .long  0xf4a26cbf                          // vld1.32       {d6[]-d7[]}, [r2 :32]
  .long  0xe2832008                          // add           r2, r3, #8
  .long  0xf2006c74                          // vfma.f32      q3, q0, q10
  .long  0xf4e26cbf                          // vld1.32       {d22[]-d23[]}, [r2 :32]
  .long  0xe2832018                          // add           r2, r3, #24
  .long  0xf4a24cbf                          // vld1.32       {d4[]-d5[]}, [r2 :32]
  .long  0xe2832010                          // add           r2, r3, #16
  .long  0xf2004c76                          // vfma.f32      q2, q0, q11
  .long  0xf4e20cbf                          // vld1.32       {d16[]-d17[]}, [r2 :32]
  .long  0xe2832014                          // add           r2, r3, #20
  .long  0xf4ee2cbd                          // vld1.32       {d18[]-d19[]}, [lr :32]!
  .long  0xf2400c72                          // vfma.f32      q8, q0, q9
  .long  0xf4ee2cbf                          // vld1.32       {d18[]-d19[]}, [lr :32]
  .long  0xf4a22cbf                          // vld1.32       {d2[]-d3[]}, [r2 :32]
  .long  0xf2002c72                          // vfma.f32      q1, q0, q9
  .long  0xf22001f0                          // vorr          q0, q8, q8
  .long  0xe8bd4800                          // pop           {fp, lr}
  .long  0xe12fff1c                          // bx            ip
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_xy_to_unit_angle_vfp4
.globl _sk_xy_to_unit_angle_vfp4
FUNCTION(_sk_xy_to_unit_angle_vfp4)
_sk_xy_to_unit_angle_vfp4:
  .long  0xed2d8b0c                          // vpush         {d8-d13}
  .long  0xf3f90742                          // vabs.f32      q8, q1
  .long  0xe28f20a8                          // add           r2, pc, #168
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe28f20b0                          // add           r2, pc, #176
  .long  0xf3f92740                          // vabs.f32      q9, q0
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f20b4                          // add           r2, pc, #180
  .long  0xf202afe0                          // vmax.f32      q5, q9, q8
  .long  0xf222cfe0                          // vmin.f32      q6, q9, q8
  .long  0xf3600ee2                          // vcgt.f32      q8, q8, q9
  .long  0xeecd9aab                          // vdiv.f32      s19, s27, s23
  .long  0xee8d9a0b                          // vdiv.f32      s18, s26, s22
  .long  0xeecc8aaa                          // vdiv.f32      s17, s25, s21
  .long  0xee8c8a0a                          // vdiv.f32      s16, s24, s20
  .long  0xf3484d58                          // vmul.f32      q10, q4, q4
  .long  0xf3446df6                          // vmul.f32      q11, q10, q11
  .long  0xf2466de8                          // vadd.f32      q11, q11, q12
  .long  0xf4628acf                          // vld1.64       {d24-d25}, [r2]
  .long  0xe28f2094                          // add           r2, pc, #148
  .long  0xf3446df6                          // vmul.f32      q11, q10, q11
  .long  0xf2466de8                          // vadd.f32      q11, q11, q12
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf4626acf                          // vld1.64       {d22-d23}, [r2]
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf2444de6                          // vadd.f32      q10, q10, q11
  .long  0xf2c56f50                          // vmov.f32      q11, #0.25
  .long  0xf3484d74                          // vmul.f32      q10, q4, q10
  .long  0xf2662de4                          // vsub.f32      q9, q11, q10
  .long  0xf35201f4                          // vbsl          q8, q9, q10
  .long  0xf3f94640                          // vclt.f32      q10, q0, #0
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xf2622de0                          // vsub.f32      q9, q9, q8
  .long  0xf35241f0                          // vbsl          q10, q9, q8
  .long  0xf3f92642                          // vclt.f32      q9, q1, #0
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xf2600de4                          // vsub.f32      q8, q8, q10
  .long  0xf35021f4                          // vbsl          q9, q8, q10
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xf3424ee0                          // vcge.f32      q10, q9, q8
  .long  0xf3606ee2                          // vcgt.f32      q11, q8, q9
  .long  0xf26641f4                          // vorr          q10, q11, q10
  .long  0xf3b005e4                          // vmvn          q0, q10
  .long  0xf31001f2                          // vbsl          q0, q8, q9
  .long  0xecbd8b0c                          // vpop          {d8-d13}
  .long  0xe12fff12                          // bx            r2
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0xbbe72b6f                          // .word         0xbbe72b6f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0x3ccad79f                          // .word         0x3ccad79f
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0xbd5464d4                          // .word         0xbd5464d4
  .long  0x3e22f0a9                          // .word         0x3e22f0a9
  .long  0x3e22f0a9                          // .word         0x3e22f0a9
  .long  0x3e22f0a9                          // .word         0x3e22f0a9
  .long  0x3e22f0a9                          // .word         0x3e22f0a9

HIDDEN _sk_xy_to_radius_vfp4
.globl _sk_xy_to_radius_vfp4
FUNCTION(_sk_xy_to_radius_vfp4)
_sk_xy_to_radius_vfp4:
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xe4912004                          // ldr           r2, [r1], #4
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3fb25e0                          // vrsqrte.f32   q9, q8
  .long  0xf3424df2                          // vmul.f32      q10, q9, q9
  .long  0xf2604ff4                          // vrsqrts.f32   q10, q8, q10
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf3424df2                          // vmul.f32      q10, q9, q9
  .long  0xf2604ff4                          // vrsqrts.f32   q10, q8, q10
  .long  0xf3422df4                          // vmul.f32      q9, q9, q10
  .long  0xf3000df2                          // vmul.f32      q0, q8, q9
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_vfp4
.globl _sk_xy_to_2pt_conical_quadratic_max_vfp4
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_vfp4)
_sk_xy_to_2pt_conical_quadratic_max_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf3c14f50                          // vmov.f32      q10, #-4
  .long  0xed938a0a                          // vldr          s16, [r3, #40]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed939a0b                          // vldr          s18, [r3, #44]
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xee299a08                          // vmul.f32      s18, s18, s16
  .long  0xee288a08                          // vmul.f32      s16, s16, s16
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3f42c49                          // vdup.32       q9, d9[0]
  .long  0xf3f46c48                          // vdup.32       q11, d8[0]
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xf2600de6                          // vsub.f32      q8, q8, q11
  .long  0xf3c46650                          // vmov.i32      q11, #-1073741824
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2420cf2                          // vfma.f32      q8, q9, q9
  .long  0xf3fb45e0                          // vrsqrte.f32   q10, q8
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3f967e2                          // vneg.f32      q11, q9
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xf2666de0                          // vsub.f32      q11, q11, q8
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf3442df6                          // vmul.f32      q9, q10, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2000fe2                          // vmax.f32      q0, q8, q9
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_vfp4
.globl _sk_xy_to_2pt_conical_quadratic_min_vfp4
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_vfp4)
_sk_xy_to_2pt_conical_quadratic_min_vfp4:
  .long  0xed2d8b04                          // vpush         {d8-d9}
  .long  0xe8911008                          // ldm           r1, {r3, ip}
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xe2832020                          // add           r2, r3, #32
  .long  0xf3c14f50                          // vmov.f32      q10, #-4
  .long  0xed938a0a                          // vldr          s16, [r3, #40]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed939a0b                          // vldr          s18, [r3, #44]
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xe2832024                          // add           r2, r3, #36
  .long  0xee299a08                          // vmul.f32      s18, s18, s16
  .long  0xee288a08                          // vmul.f32      s16, s16, s16
  .long  0xf4e28cbf                          // vld1.32       {d24[]-d25[]}, [r2 :32]
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3f42c49                          // vdup.32       q9, d9[0]
  .long  0xf3f46c48                          // vdup.32       q11, d8[0]
  .long  0xf2422dc0                          // vadd.f32      q9, q9, q0
  .long  0xf2600de6                          // vsub.f32      q8, q8, q11
  .long  0xf3c46650                          // vmov.i32      q11, #-1073741824
  .long  0xf3422df6                          // vmul.f32      q9, q9, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2420cf2                          // vfma.f32      q8, q9, q9
  .long  0xf3fb45e0                          // vrsqrte.f32   q10, q8
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3446df4                          // vmul.f32      q11, q10, q10
  .long  0xf2606ff6                          // vrsqrts.f32   q11, q8, q11
  .long  0xf3444df6                          // vmul.f32      q10, q10, q11
  .long  0xf3f967e2                          // vneg.f32      q11, q9
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf3484df4                          // vmul.f32      q10, q12, q10
  .long  0xf2666de0                          // vsub.f32      q11, q11, q8
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf3442df6                          // vmul.f32      q9, q10, q11
  .long  0xf3440df0                          // vmul.f32      q8, q10, q8
  .long  0xf2200fe2                          // vmin.f32      q0, q8, q9
  .long  0xecbd8b04                          // vpop          {d8-d9}
  .long  0xe12fff1c                          // bx            ip

HIDDEN _sk_xy_to_2pt_conical_linear_vfp4
.globl _sk_xy_to_2pt_conical_linear_vfp4
FUNCTION(_sk_xy_to_2pt_conical_linear_vfp4)
_sk_xy_to_2pt_conical_linear_vfp4:
  .long  0xed2d8b08                          // vpush         {d8-d11}
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xf3420d52                          // vmul.f32      q8, q1, q1
  .long  0xf3402d50                          // vmul.f32      q9, q0, q0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xed938a0a                          // vldr          s16, [r3, #40]
  .long  0xed939a0b                          // vldr          s18, [r3, #44]
  .long  0xee28aa08                          // vmul.f32      s20, s16, s16
  .long  0xee298a08                          // vmul.f32      s16, s18, s16
  .long  0xf2420de0                          // vadd.f32      q8, q9, q8
  .long  0xf3f42c4a                          // vdup.32       q9, d10[0]
  .long  0xf3f44c48                          // vdup.32       q10, d8[0]
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf2442dc0                          // vadd.f32      q9, q10, q0
  .long  0xf3c44650                          // vmov.i32      q10, #-1073741824
  .long  0xf3b987e0                          // vneg.f32      q4, q8
  .long  0xf302adf4                          // vmul.f32      q5, q9, q10
  .long  0xeec91aab                          // vdiv.f32      s3, s19, s23
  .long  0xee891a0b                          // vdiv.f32      s2, s18, s22
  .long  0xeec80aaa                          // vdiv.f32      s1, s17, s21
  .long  0xee880a0a                          // vdiv.f32      s0, s16, s20
  .long  0xecbd8b08                          // vpop          {d8-d11}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_mask_2pt_conical_degenerates_vfp4
.globl _sk_mask_2pt_conical_degenerates_vfp4
FUNCTION(_sk_mask_2pt_conical_degenerates_vfp4)
_sk_mask_2pt_conical_degenerates_vfp4:
  .long  0xf2c00050                          // vmov.i32      q8, #0
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf3402e60                          // vcge.f32      q9, q0, q8
  .long  0xe282302c                          // add           r3, r2, #44
  .long  0xf3600ec0                          // vcgt.f32      q8, q8, q0
  .long  0xf4e34cbf                          // vld1.32       {d20[]-d21[]}, [r3 :32]
  .long  0xe2823028                          // add           r3, r2, #40
  .long  0xf4e36cbf                          // vld1.32       {d22[]-d23[]}, [r3 :32]
  .long  0xf2406c74                          // vfma.f32      q11, q0, q10
  .long  0xf26001f2                          // vorr          q8, q8, q9
  .long  0xf3f924e6                          // vcge.f32      q9, q11, #0
  .long  0xf3f62222                          // vmovn.i32     d18, q9
  .long  0xf3f60220                          // vmovn.i32     d16, q8
  .long  0xf24201b0                          // vand          d16, d18, d16
  .long  0xf2c1205f                          // vmov.i32      q9, #31
  .long  0xf3d00a30                          // vmovl.u16     q8, d16
  .long  0xf3f923e2                          // vneg.s32      q9, q9
  .long  0xf2ff0570                          // vshl.s32      q8, q8, #31
  .long  0xf26204e0                          // vshl.s32      q8, q8, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_apply_vector_mask_vfp4
.globl _sk_apply_vector_mask_vfp4
FUNCTION(_sk_apply_vector_mask_vfp4)
_sk_apply_vector_mask_vfp4:
  .long  0xe5913000                          // ldr           r3, [r1]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xf20001d0                          // vand          q0, q8, q0
  .long  0xf20021d2                          // vand          q1, q8, q1
  .long  0xf20041d4                          // vand          q2, q8, q2
  .long  0xf20061d6                          // vand          q3, q8, q3
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_save_xy_vfp4
.globl _sk_save_xy_vfp4
FUNCTION(_sk_save_xy_vfp4)
_sk_save_xy_vfp4:
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xe28f206c                          // add           r2, pc, #108
  .long  0xf462cacf                          // vld1.64       {d28-d29}, [r2]
  .long  0xf2c0a050                          // vmov.i32      q13, #0
  .long  0xf2402d60                          // vadd.f32      q9, q0, q8
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2420d60                          // vadd.f32      q8, q1, q8
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xf4020a8f                          // vst1.32       {d0-d1}, [r2]
  .long  0xf3fb4762                          // vcvt.s32.f32  q10, q9
  .long  0xf4032a8f                          // vst1.32       {d2-d3}, [r3]
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf3fb6760                          // vcvt.s32.f32  q11, q8
  .long  0xe2822060                          // add           r2, r2, #96
  .long  0xf3fb4664                          // vcvt.f32.s32  q10, q10
  .long  0xf3fb6666                          // vcvt.f32.s32  q11, q11
  .long  0xf3648ee2                          // vcgt.f32      q12, q10, q9
  .long  0xf366eee0                          // vcgt.f32      q15, q11, q8
  .long  0xf35c81fa                          // vbsl          q12, q14, q13
  .long  0xf35ce1fa                          // vbsl          q15, q14, q13
  .long  0xf2644de8                          // vsub.f32      q10, q10, q12
  .long  0xf2666dee                          // vsub.f32      q11, q11, q15
  .long  0xf2622de4                          // vsub.f32      q9, q9, q10
  .long  0xf2600de6                          // vsub.f32      q8, q8, q11
  .long  0xf4432a8f                          // vst1.32       {d18-d19}, [r3]
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000

HIDDEN _sk_accumulate_vfp4
.globl _sk_accumulate_vfp4
FUNCTION(_sk_accumulate_vfp4)
_sk_accumulate_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28230a0                          // add           r3, r2, #160
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xf4622a8f                          // vld1.32       {d18-d19}, [r2]
  .long  0xe2802010                          // add           r2, r0, #16
  .long  0xf3420df0                          // vmul.f32      q8, q9, q8
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd0                          // vfma.f32      q9, q8, q0
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802020                          // add           r2, r0, #32
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd2                          // vfma.f32      q9, q8, q1
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802030                          // add           r2, r0, #48
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd4                          // vfma.f32      q9, q8, q2
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe2802040                          // add           r2, r0, #64
  .long  0xf4622aef                          // vld1.64       {d18-d19}, [r2 :128]
  .long  0xf2402cd6                          // vfma.f32      q9, q8, q3
  .long  0xf4422aef                          // vst1.64       {d18-d19}, [r2 :128]
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe2811008                          // add           r1, r1, #8
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_bilinear_nx_vfp4
.globl _sk_bilinear_nx_vfp4
FUNCTION(_sk_bilinear_nx_vfp4)
_sk_bilinear_nx_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf3c3265f                          // vmov.i32      q9, #-1090519040
  .long  0xf2040de2                          // vadd.f32      q0, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_bilinear_px_vfp4
.globl _sk_bilinear_px_vfp4
FUNCTION(_sk_bilinear_px_vfp4)
_sk_bilinear_px_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf4622a8f                          // vld1.32       {d18-d19}, [r2]
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf2020de0                          // vadd.f32      q0, q9, q8
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_bilinear_ny_vfp4
.globl _sk_bilinear_ny_vfp4
FUNCTION(_sk_bilinear_ny_vfp4)
_sk_bilinear_ny_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf3c3265f                          // vmov.i32      q9, #-1090519040
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3

HIDDEN _sk_bilinear_py_vfp4
.globl _sk_bilinear_py_vfp4
FUNCTION(_sk_bilinear_py_vfp4)
_sk_bilinear_py_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c3265f                          // vmov.i32      q9, #1056964608
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4630a8f                          // vld1.32       {d16-d17}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}

HIDDEN _sk_bicubic_n3x_vfp4
.globl _sk_bicubic_n3x_vfp4
FUNCTION(_sk_bicubic_n3x_vfp4)
_sk_bicubic_n3x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3040                          // add           r3, pc, #64
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf3400df0                          // vmul.f32      q8, q8, q8
  .long  0xf3c72f58                          // vmov.f32      q9, #-1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf2040de2                          // vadd.f32      q0, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_bicubic_n1x_vfp4
.globl _sk_bicubic_n1x_vfp4
FUNCTION(_sk_bicubic_n1x_vfp4)
_sk_bicubic_n1x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3048                          // add           r3, pc, #72
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf3c3065f                          // vmov.i32      q8, #-1090519040
  .long  0xf2040de0                          // vadd.f32      q0, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p1x_vfp4
.globl _sk_bicubic_p1x_vfp4
FUNCTION(_sk_bicubic_p1x_vfp4)
_sk_bicubic_p1x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf2442cf0                          // vfma.f32      q9, q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf2040de0                          // vadd.f32      q0, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p3x_vfp4
.globl _sk_bicubic_p3x_vfp4
FUNCTION(_sk_bicubic_p3x_vfp4)
_sk_bicubic_p3x_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe2823040                          // add           r3, r2, #64
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xf2424cf0                          // vfma.f32      q10, q9, q8
  .long  0xf3420df2                          // vmul.f32      q8, q9, q9
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4624a8f                          // vld1.32       {d20-d21}, [r2]
  .long  0xe2822080                          // add           r2, r2, #128
  .long  0xf2040de2                          // vadd.f32      q0, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xe320f000                          // nop           {0}
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_bicubic_n3y_vfp4
.globl _sk_bicubic_n3y_vfp4
FUNCTION(_sk_bicubic_n3y_vfp4)
_sk_bicubic_n3y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3040                          // add           r3, pc, #64
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf3400df0                          // vmul.f32      q8, q8, q8
  .long  0xf3c72f58                          // vmov.f32      q9, #-1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_bicubic_n1y_vfp4
.globl _sk_bicubic_n1y_vfp4
FUNCTION(_sk_bicubic_n1y_vfp4)
_sk_bicubic_n1y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xf2c70f50                          // vmov.f32      q8, #1
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3048                          // add           r3, pc, #72
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf2c3465f                          // vmov.i32      q10, #1056964608
  .long  0xf2404cf2                          // vfma.f32      q10, q8, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf2402cf4                          // vfma.f32      q9, q8, q10
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf3c3065f                          // vmov.i32      q8, #-1090519040
  .long  0xf2042de0                          // vadd.f32      q1, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p1y_vfp4
.globl _sk_bicubic_p1y_vfp4
FUNCTION(_sk_bicubic_p1y_vfp4)
_sk_bicubic_p1y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f304c                          // add           r3, pc, #76
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf2c3665f                          // vmov.i32      q11, #1056964608
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf2442cf0                          // vfma.f32      q9, q10, q8
  .long  0xf2c3065f                          // vmov.i32      q8, #1056964608
  .long  0xf2446cf2                          // vfma.f32      q11, q10, q9
  .long  0xf4632acf                          // vld1.64       {d18-d19}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf2442cf6                          // vfma.f32      q9, q10, q11
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de0                          // vadd.f32      q1, q10, q8
  .long  0xf4422a8f                          // vst1.32       {d18-d19}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0xbf955555                          // .word         0xbf955555
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39
  .long  0x3d638e39                          // .word         0x3d638e39

HIDDEN _sk_bicubic_p3y_vfp4
.globl _sk_bicubic_p3y_vfp4
FUNCTION(_sk_bicubic_p3y_vfp4)
_sk_bicubic_p3y_vfp4:
  .long  0xe5912000                          // ldr           r2, [r1]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4630acf                          // vld1.64       {d16-d17}, [r3]
  .long  0xe2823060                          // add           r3, r2, #96
  .long  0xf4632a8f                          // vld1.32       {d18-d19}, [r3]
  .long  0xe28f3044                          // add           r3, pc, #68
  .long  0xf4634acf                          // vld1.64       {d20-d21}, [r3]
  .long  0xe2823020                          // add           r3, r2, #32
  .long  0xf2424cf0                          // vfma.f32      q10, q9, q8
  .long  0xe28220a0                          // add           r2, r2, #160
  .long  0xf3420df2                          // vmul.f32      q8, q9, q9
  .long  0xf2c72f58                          // vmov.f32      q9, #1.5
  .long  0xf3400df4                          // vmul.f32      q8, q8, q10
  .long  0xf4634a8f                          // vld1.32       {d20-d21}, [r3]
  .long  0xf2042de2                          // vadd.f32      q1, q10, q9
  .long  0xf4420a8f                          // vst1.32       {d16-d17}, [r2]
  .long  0xe2812008                          // add           r2, r1, #8
  .long  0xe5913004                          // ldr           r3, [r1, #4]
  .long  0xe1a01002                          // mov           r1, r2
  .long  0xe12fff13                          // bx            r3
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0x3ec71c72                          // .word         0x3ec71c72
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab
  .long  0xbeaaaaab                          // .word         0xbeaaaaab

HIDDEN _sk_callback_vfp4
.globl _sk_callback_vfp4
FUNCTION(_sk_callback_vfp4)
_sk_callback_vfp4:
  .long  0xe92d4c70                          // push          {r4, r5, r6, sl, fp, lr}
  .long  0xe28db010                          // add           fp, sp, #16
  .long  0xe1a04001                          // mov           r4, r1
  .long  0xe1a05000                          // mov           r5, r0
  .long  0xe5946000                          // ldr           r6, [r4]
  .long  0xe5951008                          // ldr           r1, [r5, #8]
  .long  0xe2860004                          // add           r0, r6, #4
  .long  0xe3510000                          // cmp           r1, #0
  .long  0xf400018d                          // vst4.32       {d0,d2,d4,d6}, [r0]!
  .long  0x03a01004                          // moveq         r1, #4
  .long  0xf400118f                          // vst4.32       {d1,d3,d5,d7}, [r0]
  .long  0xe1a00006                          // mov           r0, r6
  .long  0xe5962000                          // ldr           r2, [r6]
  .long  0xe12fff32                          // blx           r2
  .long  0xe5960084                          // ldr           r0, [r6, #132]
  .long  0xe2841008                          // add           r1, r4, #8
  .long  0xf420018d                          // vld4.32       {d0,d2,d4,d6}, [r0]!
  .long  0xf420118f                          // vld4.32       {d1,d3,d5,d7}, [r0]
  .long  0xe1a00005                          // mov           r0, r5
  .long  0xe5942004                          // ldr           r2, [r4, #4]
  .long  0xe8bd4c70                          // pop           {r4, r5, r6, sl, fp, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clut_3D_vfp4
.globl _sk_clut_3D_vfp4
FUNCTION(_sk_clut_3D_vfp4)
_sk_clut_3D_vfp4:
  .long  0xe92d4830                          // push          {r4, r5, fp, lr}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24dd090                          // sub           sp, sp, #144
  .long  0xe28db050                          // add           fp, sp, #80
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe1a0c001                          // mov           ip, r1
  .long  0xf280c053                          // vmov.i32      q6, #3
  .long  0xec8b6b04                          // vstmia        fp, {d6-d7}
  .long  0xe58d208c                          // str           r2, [sp, #140]
  .long  0xe49c2008                          // ldr           r2, [ip], #8
  .long  0xe8924008                          // ldm           r2, {r3, lr}
  .long  0xe5924008                          // ldr           r4, [r2, #8]
  .long  0xe592200c                          // ldr           r2, [r2, #12]
  .long  0xe2445001                          // sub           r5, r4, #1
  .long  0xee0e4b90                          // vmov.32       d30[0], r4
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xe24e5001                          // sub           r5, lr, #1
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xee0c2b90                          // vmov.32       d28[0], r2
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xf22e89fc                          // vmul.i32      q4, q15, q14
  .long  0xf3006dd2                          // vmul.f32      q3, q8, q1
  .long  0xeea05b90                          // vdup.32       q8, r5
  .long  0xf3fb2660                          // vcvt.f32.s32  q9, q8
  .long  0xe2425001                          // sub           r5, r2, #1
  .long  0xeea02b90                          // vdup.32       q8, r2
  .long  0xeea65b90                          // vdup.32       q11, r5
  .long  0xf3fb8666                          // vcvt.f32.s32  q12, q11
  .long  0xf3fba746                          // vcvt.s32.f32  q13, q3
  .long  0xf3426dd0                          // vmul.f32      q11, q9, q0
  .long  0xf3488dd4                          // vmul.f32      q12, q12, q2
  .long  0xf26a29f0                          // vmul.i32      q9, q13, q8
  .long  0xf3bb2766                          // vcvt.s32.f32  q1, q11
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf3fba66a                          // vcvt.f32.s32  q13, q13
  .long  0xf262e9dc                          // vmul.i32      q15, q9, q6
  .long  0xf3fb2768                          // vcvt.s32.f32  q9, q12
  .long  0xf3e24848                          // vmul.i32      q10, q1, d8[0]
  .long  0xecceeb04                          // vstmia        lr, {d30-d31}
  .long  0xe28de040                          // add           lr, sp, #64
  .long  0xf262e9cc                          // vmla.i32      q15, q9, q6
  .long  0xf22201f2                          // vorr          q0, q9, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xf3bb2642                          // vcvt.f32.s32  q1, q1
  .long  0xec8e0b04                          // vstmia        lr, {d0-d1}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xf22ea1fe                          // vorr          q5, q15, q15
  .long  0xf224a9cc                          // vmla.i32      q5, q10, q6
  .long  0xf26a8862                          // vadd.i32      q12, q5, q9
  .long  0xee394b90                          // vmov.32       r4, d25[1]
  .long  0xee385b90                          // vmov.32       r5, d24[1]
  .long  0xee182b90                          // vmov.32       r2, d24[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd45a00                          // vldr          s11, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee194b90                          // vmov.32       r4, d25[0]
  .long  0xf2c08052                          // vmov.i32      q12, #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed945a00                          // vldr          s10, [r4]
  .long  0xedd54a00                          // vldr          s9, [r5]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xe28f2ffb                          // add           r2, pc, #1004
  .long  0xf4622acf                          // vld1.64       {d18-d19}, [r2]
  .long  0xf246cde2                          // vadd.f32      q14, q11, q9
  .long  0xf222e1f2                          // vorr          q7, q9, q9
  .long  0xf3fbc76c                          // vcvt.s32.f32  q14, q14
  .long  0xec8eeb04                          // vstmia        lr, {d14-d15}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xf3ec28c8                          // vmul.i32      q9, q14, d8[0]
  .long  0xf2c0c053                          // vmov.i32      q14, #3
  .long  0xf262e9cc                          // vmla.i32      q15, q9, q6
  .long  0xecce2b04                          // vstmia        lr, {d18-d19}
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xf22e88e8                          // vadd.i32      q4, q15, q12
  .long  0xf2668dc2                          // vsub.f32      q12, q11, q1
  .long  0xee394b10                          // vmov.32       r4, d9[1]
  .long  0xf2062d4e                          // vadd.f32      q1, q3, q7
  .long  0xee385b10                          // vmov.32       r5, d8[1]
  .long  0xee182b10                          // vmov.32       r2, d8[0]
  .long  0xf26461f4                          // vorr          q11, q10, q10
  .long  0xf3bb2742                          // vcvt.s32.f32  q1, q1
  .long  0xf2620970                          // vmul.i32      q8, q1, q8
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee194b10                          // vmov.32       r4, d9[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xf22c8d44                          // vsub.f32      q4, q6, q2
  .long  0xf220c9fc                          // vmul.i32      q6, q8, q14
  .long  0xf2084c78                          // vfma.f32      q2, q4, q12
  .long  0xf2c00053                          // vmov.i32      q8, #3
  .long  0xec8dcb04                          // vstmia        sp, {d12-d13}
  .long  0xf220c96c                          // vmla.i32      q6, q0, q14
  .long  0xf22ce15c                          // vorr          q7, q6, q6
  .long  0xf224e9ec                          // vmla.i32      q7, q10, q14
  .long  0xf2c0c052                          // vmov.i32      q14, #2
  .long  0xf222c9e0                          // vmla.i32      q6, q9, q8
  .long  0xf22e886c                          // vadd.i32      q4, q7, q14
  .long  0xf2c02051                          // vmov.i32      q9, #1
  .long  0xf2660d6a                          // vsub.f32      q8, q3, q13
  .long  0xee394b10                          // vmov.32       r4, d9[1]
  .long  0xee182b10                          // vmov.32       r2, d8[0]
  .long  0xf26aa862                          // vadd.i32      q13, q5, q9
  .long  0xee385b10                          // vmov.32       r5, d8[1]
  .long  0xf2c02051                          // vmov.i32      q9, #1
  .long  0xf26841f8                          // vorr          q10, q12, q12
  .long  0xf22661f6                          // vorr          q3, q11, q11
  .long  0xf2c06051                          // vmov.i32      q11, #1
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd43a00                          // vldr          s7, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee194b10                          // vmov.32       r4, d9[0]
  .long  0xf22c886c                          // vadd.i32      q4, q6, q14
  .long  0xf2c0c053                          // vmov.i32      q14, #3
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed943a00                          // vldr          s6, [r4]
  .long  0xee394b10                          // vmov.32       r4, d9[1]
  .long  0xedd52a00                          // vldr          s5, [r5]
  .long  0xee385b10                          // vmov.32       r5, d8[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee182b10                          // vmov.32       r2, d8[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee194b10                          // vmov.32       r4, d9[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xf2200d42                          // vsub.f32      q0, q0, q1
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xf2002c78                          // vfma.f32      q1, q0, q12
  .long  0xf2220d44                          // vsub.f32      q0, q1, q2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd43a00                          // vldr          s7, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xf26ea8e2                          // vadd.i32      q13, q15, q9
  .long  0xf2004c70                          // vfma.f32      q2, q0, q8
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf2c02051                          // vmov.i32      q9, #1
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed943a00                          // vldr          s6, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd52a00                          // vldr          s5, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf260ad42                          // vsub.f32      q13, q0, q1
  .long  0xf20a2cf4                          // vfma.f32      q1, q13, q10
  .long  0xf26ea862                          // vadd.i32      q13, q7, q9
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd49a00                          // vldr          s19, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xf26ca862                          // vadd.i32      q13, q6, q9
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed949a00                          // vldr          s18, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd58a00                          // vldr          s17, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf260ad48                          // vsub.f32      q13, q0, q4
  .long  0xf20a8cf4                          // vfma.f32      q4, q13, q10
  .long  0xf268ad42                          // vsub.f32      q13, q4, q1
  .long  0xf20a2cf0                          // vfma.f32      q1, q13, q8
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xecde2b04                          // vldmia        lr, {d18-d19}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf2408de2                          // vadd.f32      q12, q8, q9
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xf2c02053                          // vmov.i32      q9, #3
  .long  0xf3fba768                          // vcvt.s32.f32  q13, q12
  .long  0xf26a09e2                          // vmla.i32      q8, q13, q9
  .long  0xf26081f0                          // vorr          q12, q8, q8
  .long  0xf2668962                          // vmla.i32      q12, q3, q9
  .long  0xecde2b04                          // vldmia        lr, {d18-d19}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf26209ec                          // vmla.i32      q8, q9, q14
  .long  0xf22808e6                          // vadd.i32      q0, q12, q11
  .long  0xee314b10                          // vmov.32       r4, d1[1]
  .long  0xee305b10                          // vmov.32       r5, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd49a00                          // vldr          s19, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee114b10                          // vmov.32       r4, d1[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed949a00                          // vldr          s18, [r4]
  .long  0xedd58a00                          // vldr          s17, [r5]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xf26008e6                          // vadd.i32      q8, q8, q11
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d48                          // vsub.f32      q8, q0, q4
  .long  0xf2800051                          // vmov.i32      q0, #1
  .long  0xf2008cf4                          // vfma.f32      q4, q8, q10
  .long  0xecdd0b04                          // vldmia        sp, {d16-d17}
  .long  0xf26a09ec                          // vmla.i32      q8, q13, q14
  .long  0xf260a1f0                          // vorr          q13, q8, q8
  .long  0xf266a96c                          // vmla.i32      q13, q3, q14
  .long  0xf26061f0                          // vorr          q11, q8, q8
  .long  0xf26269ec                          // vmla.i32      q11, q9, q14
  .long  0xecdecb04                          // vldmia        lr, {d28-d29}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xf26a08c0                          // vadd.i32      q8, q13, q0
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xf26608c0                          // vadd.i32      q8, q11, q0
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xee3b4b10                          // vmov.32       r4, d11[1]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee3a5b10                          // vmov.32       r5, d10[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1a2b10                          // vmov.32       r2, d10[0]
  .long  0xf2600d46                          // vsub.f32      q8, q0, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf2660d48                          // vsub.f32      q8, q3, q4
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd41a00                          // vldr          s3, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b10                          // vmov.32       r4, d11[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf2008cfc                          // vfma.f32      q4, q8, q14
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed941a00                          // vldr          s2, [r4]
  .long  0xee3f4b90                          // vmov.32       r4, d31[1]
  .long  0xedd50a00                          // vldr          s1, [r5]
  .long  0xee3e5b90                          // vmov.32       r5, d30[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1e2b90                          // vmov.32       r2, d30[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1f4b90                          // vmov.32       r4, d31[0]
  .long  0xf26ce1fc                          // vorr          q15, q14, q14
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee3f4b10                          // vmov.32       r4, d15[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee3e5b10                          // vmov.32       r5, d14[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee1e2b10                          // vmov.32       r2, d14[0]
  .long  0xf2660d40                          // vsub.f32      q8, q3, q0
  .long  0xf2000cf4                          // vfma.f32      q0, q8, q10
  .long  0xea000003                          // b             72b0 <sk_clut_3D_vfp4+0x500>
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1f4b10                          // vmov.32       r4, d15[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee3d4b10                          // vmov.32       r4, d13[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee3c5b10                          // vmov.32       r5, d12[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee1c2b10                          // vmov.32       r2, d12[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4ba00                          // vldr          s23, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1d4b10                          // vmov.32       r4, d13[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94ba00                          // vldr          s22, [r4]
  .long  0xee394b90                          // vmov.32       r4, d25[1]
  .long  0xedd5aa00                          // vldr          s21, [r5]
  .long  0xee385b90                          // vmov.32       r5, d24[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee182b90                          // vmov.32       r2, d24[0]
  .long  0xf26a0d46                          // vsub.f32      q8, q5, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf2660d40                          // vsub.f32      q8, q3, q0
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4ba00                          // vldr          s23, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee194b90                          // vmov.32       r4, d25[0]
  .long  0xf2000cfc                          // vfma.f32      q0, q8, q14
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf26021f0                          // vorr          q9, q8, q8
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94ba00                          // vldr          s22, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd5aa00                          // vldr          s21, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee3b4b90                          // vmov.32       r4, d27[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee3a5b90                          // vmov.32       r5, d26[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee1a2b90                          // vmov.32       r2, d26[0]
  .long  0xf2660d4a                          // vsub.f32      q8, q3, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xf26601f6                          // vorr          q8, q11, q11
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee1b4b90                          // vmov.32       r4, d27[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xf26c0d46                          // vsub.f32      q8, q6, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf2660d4a                          // vsub.f32      q8, q3, q5
  .long  0xf200acfc                          // vfma.f32      q5, q8, q14
  .long  0xf2c0c052                          // vmov.i32      q14, #2
  .long  0xf26808ec                          // vadd.i32      q8, q12, q14
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd47a00                          // vldr          s15, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xf26208ec                          // vadd.i32      q8, q9, q14
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed947a00                          // vldr          s14, [r4]
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xedd56a00                          // vldr          s13, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xf26c0d46                          // vsub.f32      q8, q6, q3
  .long  0xf2006cf4                          // vfma.f32      q3, q8, q10
  .long  0xf26a08e2                          // vadd.i32      q8, q13, q9
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd4da00                          // vldr          s27, [r4]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xf26608e2                          // vadd.i32      q8, q11, q9
  .long  0xee10eb90                          // vmov.32       lr, d16[0]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xed94da00                          // vldr          s26, [r4]
  .long  0xee114b90                          // vmov.32       r4, d17[0]
  .long  0xedd5ca00                          // vldr          s25, [r5]
  .long  0xee305b90                          // vmov.32       r5, d16[1]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xee312b90                          // vmov.32       r2, d17[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd2fa00                          // vldr          s31, [r2]
  .long  0xe0832104                          // add           r2, r3, r4, lsl #2
  .long  0xed92fa00                          // vldr          s30, [r2]
  .long  0xe083210e                          // add           r2, r3, lr, lsl #2
  .long  0xe28d3040                          // add           r3, sp, #64
  .long  0xedd5ea00                          // vldr          s29, [r5]
  .long  0xecd32b04                          // vldmia        r3, {d18-d19}
  .long  0xe28d3060                          // add           r3, sp, #96
  .long  0xed92ea00                          // vldr          s28, [r2]
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe1a0100c                          // mov           r1, ip
  .long  0xf26e0d4c                          // vsub.f32      q8, q7, q6
  .long  0xf200ccf4                          // vfma.f32      q6, q8, q10
  .long  0xf2684d42                          // vsub.f32      q10, q4, q1
  .long  0xf26c0d46                          // vsub.f32      q8, q6, q3
  .long  0xf2006cfe                          // vfma.f32      q3, q8, q15
  .long  0xecd30b04                          // vldmia        r3, {d16-d17}
  .long  0xe28d3050                          // add           r3, sp, #80
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xf26a2d40                          // vsub.f32      q9, q5, q0
  .long  0xf2042cf0                          // vfma.f32      q1, q10, q8
  .long  0xf2666d44                          // vsub.f32      q11, q3, q2
  .long  0xec936b04                          // vldmia        r3, {d6-d7}
  .long  0xf2020cf0                          // vfma.f32      q0, q9, q8
  .long  0xf2064cf0                          // vfma.f32      q2, q11, q8
  .long  0xe28dd090                          // add           sp, sp, #144
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd4830                          // pop           {r4, r5, fp, lr}
  .long  0xe12fff12                          // bx            r2

HIDDEN _sk_clut_4D_vfp4
.globl _sk_clut_4D_vfp4
FUNCTION(_sk_clut_4D_vfp4)
_sk_clut_4D_vfp4:
  .long  0xe92d41f0                          // push          {r4, r5, r6, r7, r8, lr}
  .long  0xed2d8b10                          // vpush         {d8-d15}
  .long  0xe24ddf5a                          // sub           sp, sp, #360
  .long  0xe2812004                          // add           r2, r1, #4
  .long  0xe58d2164                          // str           r2, [sp, #356]
  .long  0xe1a0c001                          // mov           ip, r1
  .long  0xe28d70a0                          // add           r7, sp, #160
  .long  0xe49c2008                          // ldr           r2, [ip], #8
  .long  0xf2c04052                          // vmov.i32      q10, #2
  .long  0xe8924008                          // ldm           r2, {r3, lr}
  .long  0xe592500c                          // ldr           r5, [r2, #12]
  .long  0xe5924008                          // ldr           r4, [r2, #8]
  .long  0xe2456001                          // sub           r6, r5, #1
  .long  0xe5922010                          // ldr           r2, [r2, #16]
  .long  0xee065b90                          // vmov.32       d22[0], r5
  .long  0xe28d50c0                          // add           r5, sp, #192
  .long  0xeea06b90                          // vdup.32       q8, r6
  .long  0xe24e6001                          // sub           r6, lr, #1
  .long  0xf3fb0660                          // vcvt.f32.s32  q8, q8
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xeeaa6b90                          // vdup.32       q13, r6
  .long  0xf3fba66a                          // vcvt.f32.s32  q13, q13
  .long  0xf3402dd4                          // vmul.f32      q9, q8, q2
  .long  0xee002b90                          // vmov.32       d16[0], r2
  .long  0xf226a9f0                          // vmul.i32      q5, q11, q8
  .long  0xecc72b04                          // vstmia        r7, {d18-d19}
  .long  0xf3fb8762                          // vcvt.s32.f32  q12, q9
  .long  0xeea22b90                          // vdup.32       q9, r2
  .long  0xe2422001                          // sub           r2, r2, #1
  .long  0xeeae2b90                          // vdup.32       q15, r2
  .long  0xe2442001                          // sub           r2, r4, #1
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf26869f2                          // vmul.i32      q11, q12, q9
  .long  0xecc58b04                          // vstmia        r5, {d24-d25}
  .long  0xe28d5d05                          // add           r5, sp, #320
  .long  0xf34e0dd6                          // vmul.f32      q8, q15, q3
  .long  0xee084b90                          // vmov.32       d24[0], r4
  .long  0xf22849da                          // vmul.i32      q2, q12, q5
  .long  0xeea82b90                          // vdup.32       q12, r2
  .long  0xecc52b04                          // vstmia        r5, {d18-d19}
  .long  0xf3fb8668                          // vcvt.f32.s32  q12, q12
  .long  0xf2c02053                          // vmov.i32      q9, #3
  .long  0xf22689f2                          // vmul.i32      q4, q11, q9
  .long  0xf3082dd2                          // vmul.f32      q1, q12, q1
  .long  0xf3fb8760                          // vcvt.s32.f32  q12, q8
  .long  0xf34a6dd0                          // vmul.f32      q11, q13, q0
  .long  0xf3bb6742                          // vcvt.s32.f32  q3, q1
  .long  0xec8e8b04                          // vstmia        lr, {d8-d9}
  .long  0xe28dee13                          // add           lr, sp, #304
  .long  0xf22889e2                          // vmla.i32      q4, q12, q9
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28dee12                          // add           lr, sp, #288
  .long  0xf3e6084a                          // vmul.i32      q8, q3, d10[0]
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf3fbe766                          // vcvt.s32.f32  q15, q11
  .long  0xf2280158                          // vorr          q0, q4, q4
  .long  0xf2c08052                          // vmov.i32      q12, #2
  .long  0xf22009e2                          // vmla.i32      q0, q8, q9
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28dee11                          // add           lr, sp, #272
  .long  0xf3eec8c4                          // vmul.i32      q14, q15, d4[0]
  .long  0xf2600150                          // vorr          q8, q0, q0
  .long  0xf220c150                          // vorr          q6, q0, q0
  .long  0xf3fbe66e                          // vcvt.f32.s32  q15, q15
  .long  0xf26c09e2                          // vmla.i32      q8, q14, q9
  .long  0xf26088e8                          // vadd.i32      q12, q8, q12
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de0f0                          // add           lr, sp, #240
  .long  0xee395b90                          // vmov.32       r5, d25[1]
  .long  0xee386b90                          // vmov.32       r6, d24[1]
  .long  0xee182b90                          // vmov.32       r2, d24[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd5fa00                          // vldr          s31, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee195b90                          // vmov.32       r5, d25[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95fa00                          // vldr          s30, [r5]
  .long  0xedd6ea00                          // vldr          s29, [r6]
  .long  0xed92ea00                          // vldr          s28, [r2]
  .long  0xe28f2ffb                          // add           r2, pc, #1004
  .long  0xf4620acf                          // vld1.64       {d16-d17}, [r2]
  .long  0xf2060de0                          // vadd.f32      q0, q11, q8
  .long  0xf260a1f0                          // vorr          q13, q8, q8
  .long  0xf3bb0740                          // vcvt.s32.f32  q0, q0
  .long  0xf3e00844                          // vmul.i32      q8, q0, d4[0]
  .long  0xf220c9e2                          // vmla.i32      q6, q8, q9
  .long  0xf22c0864                          // vadd.i32      q0, q6, q10
  .long  0xec8ecb04                          // vstmia        lr, {d12-d13}
  .long  0xf226cdee                          // vsub.f32      q6, q11, q15
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xf242ed6a                          // vadd.f32      q15, q1, q13
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xf3fbe76e                          // vcvt.s32.f32  q15, q15
  .long  0xf3ee68ca                          // vmul.i32      q11, q15, d10[0]
  .long  0xf22689e2                          // vmla.i32      q4, q11, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xf266e1f6                          // vorr          q15, q11, q11
  .long  0xf2688158                          // vorr          q12, q4, q4
  .long  0xf26c89e2                          // vmla.i32      q12, q14, q9
  .long  0xf22089e2                          // vmla.i32      q4, q8, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xecceab04                          // vstmia        lr, {d26-d27}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xf2240d4e                          // vsub.f32      q0, q2, q7
  .long  0xecceeb04                          // vstmia        lr, {d30-d31}
  .long  0xe28dec01                          // add           lr, sp, #256
  .long  0xf22848e4                          // vadd.i32      q2, q12, q10
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de0b0                          // add           lr, sp, #176
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xf200ec5c                          // vfma.f32      q7, q0, q6
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xf2284864                          // vadd.i32      q2, q4, q10
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xec8e8b04                          // vstmia        lr, {d8-d9}
  .long  0xe28de0a0                          // add           lr, sp, #160
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd5ba00                          // vldr          s23, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xf22a4d40                          // vsub.f32      q2, q5, q0
  .long  0xf2040c5c                          // vfma.f32      q0, q2, q6
  .long  0xf3bb4646                          // vcvt.f32.s32  q2, q3
  .long  0xf2806052                          // vmov.i32      q3, #2
  .long  0xf2624d44                          // vsub.f32      q10, q1, q2
  .long  0xf2200d4e                          // vsub.f32      q0, q0, q7
  .long  0xeccd4b04                          // vstmia        sp, {d20-d21}
  .long  0xf200ec74                          // vfma.f32      q7, q0, q10
  .long  0xec9e8b04                          // vldmia        lr, {d8-d9}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xf2080d6a                          // vadd.f32      q0, q4, q13
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xf2c0a052                          // vmov.i32      q13, #2
  .long  0xf3bb0740                          // vcvt.s32.f32  q0, q0
  .long  0xf2604974                          // vmul.i32      q10, q0, q10
  .long  0xf224a9f2                          // vmul.i32      q5, q10, q9
  .long  0xec8eab04                          // vstmia        lr, {d10-d11}
  .long  0xe28dee12                          // add           lr, sp, #288
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf224a9e2                          // vmla.i32      q5, q10, q9
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xeccecb04                          // vstmia        lr, {d28-d29}
  .long  0xe28de090                          // add           lr, sp, #144
  .long  0xf26a615a                          // vorr          q11, q5, q5
  .long  0xf26469e2                          // vmla.i32      q11, q10, q9
  .long  0xf22ea9e2                          // vmla.i32      q5, q15, q9
  .long  0xf26641f6                          // vorr          q10, q11, q11
  .long  0xf26c49e2                          // vmla.i32      q10, q14, q9
  .long  0xf26681f6                          // vorr          q12, q11, q11
  .long  0xf26089e2                          // vmla.i32      q12, q8, q9
  .long  0xf22408ea                          // vadd.i32      q0, q10, q13
  .long  0xf26461f4                          // vorr          q11, q10, q10
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xecce6b04                          // vstmia        lr, {d22-d23}
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xf22808ea                          // vadd.i32      q0, q12, q13
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xf268a1f8                          // vorr          q13, q12, q12
  .long  0xf26a815a                          // vorr          q12, q5, q5
  .long  0xf26c89e2                          // vmla.i32      q12, q14, q9
  .long  0xf220a9e2                          // vmla.i32      q5, q8, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de080                          // add           lr, sp, #128
  .long  0xecceab04                          // vstmia        lr, {d26-d27}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de0c0                          // add           lr, sp, #192
  .long  0xf2240d42                          // vsub.f32      q0, q2, q1
  .long  0xecddeb04                          // vldmia        sp, {d30-d31}
  .long  0xf22848c6                          // vadd.i32      q2, q12, q3
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0c0                          // add           lr, sp, #192
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xf2002c5c                          // vfma.f32      q1, q0, q6
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xf3fbc660                          // vcvt.f32.s32  q14, q8
  .long  0xf2680d6c                          // vsub.f32      q8, q4, q14
  .long  0xf2808051                          // vmov.i32      q4, #1
  .long  0xf26041f0                          // vorr          q10, q8, q8
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xf22a4846                          // vadd.i32      q2, q5, q3
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee355b10                          // vmov.32       r5, d5[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee346b10                          // vmov.32       r6, d4[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee142b10                          // vmov.32       r2, d4[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd57a00                          // vldr          s15, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee155b10                          // vmov.32       r5, d5[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed957a00                          // vldr          s14, [r5]
  .long  0xedd66a00                          // vldr          s13, [r6]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xecce4b04                          // vstmia        lr, {d20-d21}
  .long  0xe28de0a0                          // add           lr, sp, #160
  .long  0xf2264d40                          // vsub.f32      q2, q3, q0
  .long  0xf2040c5c                          // vfma.f32      q0, q2, q6
  .long  0xf2200d42                          // vsub.f32      q0, q0, q1
  .long  0xf2002c7e                          // vfma.f32      q1, q0, q15
  .long  0xf2220d4e                          // vsub.f32      q0, q1, q7
  .long  0xf200ec70                          // vfma.f32      q7, q0, q8
  .long  0xec8eeb04                          // vstmia        lr, {d14-d15}
  .long  0xe28dee11                          // add           lr, sp, #272
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0f0                          // add           lr, sp, #240
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dec01                          // add           lr, sp, #256
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd5fa00                          // vldr          s31, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0b0                          // add           lr, sp, #176
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95fa00                          // vldr          s30, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd6ea00                          // vldr          s29, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed92ea00                          // vldr          s28, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf260cd4e                          // vsub.f32      q14, q0, q7
  .long  0xf20cecdc                          // vfma.f32      q7, q14, q6
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dee13                          // add           lr, sp, #304
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf260c8c8                          // vadd.i32      q14, q8, q4
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf262cd40                          // vsub.f32      q14, q1, q0
  .long  0xf20c0cdc                          // vfma.f32      q0, q14, q6
  .long  0xf260cd4e                          // vsub.f32      q14, q0, q7
  .long  0xf20cecfe                          // vfma.f32      q7, q14, q15
  .long  0xea000003                          // b             7a80 <sk_clut_4D_vfp4+0x548>
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0x3f7ff972                          // .word         0x3f7ff972
  .long  0xf266c8c8                          // vadd.i32      q14, q11, q4
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf26ac8c8                          // vadd.i32      q14, q13, q4
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf262cd40                          // vsub.f32      q14, q1, q0
  .long  0xf20c0cdc                          // vfma.f32      q0, q14, q6
  .long  0xf268c8c8                          // vadd.i32      q14, q12, q4
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xf26ac848                          // vadd.i32      q14, q5, q4
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd57a00                          // vldr          s15, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed957a00                          // vldr          s14, [r5]
  .long  0xedd66a00                          // vldr          s13, [r6]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xf266cd42                          // vsub.f32      q14, q3, q1
  .long  0xf20c2cdc                          // vfma.f32      q1, q14, q6
  .long  0xf262cd40                          // vsub.f32      q14, q1, q0
  .long  0xf20c0cfe                          // vfma.f32      q0, q14, q15
  .long  0xf260cd4e                          // vsub.f32      q14, q0, q7
  .long  0xf20cecf4                          // vfma.f32      q7, q14, q10
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xf2408de4                          // vadd.f32      q12, q8, q10
  .long  0xecde4b04                          // vldmia        lr, {d20-d21}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xec9e4b04                          // vldmia        lr, {d4-d5}
  .long  0xe28de020                          // add           lr, sp, #32
  .long  0xf3fbc768                          // vcvt.s32.f32  q14, q12
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xf26c49e2                          // vmla.i32      q10, q14, q9
  .long  0xf26461f4                          // vorr          q11, q10, q10
  .long  0xf2646962                          // vmla.i32      q11, q2, q9
  .long  0xf266a1f6                          // vorr          q13, q11, q11
  .long  0xf260a9e2                          // vmla.i32      q13, q8, q9
  .long  0xf26681f6                          // vorr          q12, q11, q11
  .long  0xf22a08c8                          // vadd.i32      q0, q13, q4
  .long  0xecceab04                          // vstmia        lr, {d26-d27}
  .long  0xe28de010                          // add           lr, sp, #16
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xecde6b04                          // vldmia        lr, {d22-d23}
  .long  0xe28de050                          // add           lr, sp, #80
  .long  0xf26689e2                          // vmla.i32      q12, q11, q9
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd57a00                          // vldr          s15, [r5]
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xf22808c8                          // vadd.i32      q0, q12, q4
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed957a00                          // vldr          s14, [r5]
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xedd66a00                          // vldr          s13, [r6]
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xed926a00                          // vldr          s12, [r2]
  .long  0xecce8b04                          // vstmia        lr, {d24-d25}
  .long  0xe28de030                          // add           lr, sp, #48
  .long  0xf26081f0                          // vorr          q12, q8, q8
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xecdeab04                          // vldmia        lr, {d26-d27}
  .long  0xe28de040                          // add           lr, sp, #64
  .long  0xf26a49e2                          // vmla.i32      q10, q13, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2220d46                          // vsub.f32      q0, q1, q3
  .long  0xf2006c5c                          // vfma.f32      q3, q0, q6
  .long  0xf22401f4                          // vorr          q0, q10, q10
  .long  0xf22009e2                          // vmla.i32      q0, q8, q9
  .long  0xf26649e2                          // vmla.i32      q10, q11, q9
  .long  0xec8e0b04                          // vstmia        lr, {d0-d1}
  .long  0xf2200848                          // vadd.i32      q0, q0, q4
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xf26408c8                          // vadd.i32      q8, q10, q4
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xecce4b04                          // vstmia        lr, {d20-d21}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d42                          // vsub.f32      q8, q0, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d46                          // vsub.f32      q8, q1, q3
  .long  0xf2006cfe                          // vfma.f32      q3, q8, q15
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf26c09e2                          // vmla.i32      q8, q14, q9
  .long  0xf260c1f0                          // vorr          q14, q8, q8
  .long  0xf264c962                          // vmla.i32      q14, q2, q9
  .long  0xf22021f0                          // vorr          q1, q8, q8
  .long  0xf22a29e2                          // vmla.i32      q1, q13, q9
  .long  0xf26c01fc                          // vorr          q8, q14, q14
  .long  0xf26809e2                          // vmla.i32      q8, q12, q9
  .long  0xf266c9e2                          // vmla.i32      q14, q11, q9
  .long  0xf22008c8                          // vadd.i32      q0, q8, q4
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xf2624152                          // vorr          q10, q1, q1
  .long  0xee315b10                          // vmov.32       r5, d1[1]
  .long  0xf26649e2                          // vmla.i32      q10, q11, q9
  .long  0xee306b10                          // vmov.32       r6, d0[1]
  .long  0xf26c08c8                          // vadd.i32      q8, q14, q4
  .long  0xee102b10                          // vmov.32       r2, d0[0]
  .long  0xf26ca15c                          // vorr          q13, q6, q6
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xee115b10                          // vmov.32       r5, d1[0]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d44                          // vsub.f32      q8, q0, q2
  .long  0xf2004cdc                          // vfma.f32      q2, q8, q6
  .long  0xf2620152                          // vorr          q8, q1, q1
  .long  0xf26809e2                          // vmla.i32      q8, q12, q9
  .long  0xecce0b04                          // vstmia        lr, {d16-d17}
  .long  0xf26008c8                          // vadd.i32      q8, q8, q4
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xf26408c8                          // vadd.i32      q8, q10, q4
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xecce4b04                          // vstmia        lr, {d20-d21}
  .long  0xe28de0c0                          // add           lr, sp, #192
  .long  0xf26e41fe                          // vorr          q10, q15, q15
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xecde6b04                          // vldmia        lr, {d22-d23}
  .long  0xe28dee11                          // add           lr, sp, #272
  .long  0xf26621f6                          // vorr          q9, q11, q11
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xf2600d42                          // vsub.f32      q8, q0, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d44                          // vsub.f32      q8, q1, q2
  .long  0xf2004cfe                          // vfma.f32      q2, q8, q15
  .long  0xf2640d46                          // vsub.f32      q8, q2, q3
  .long  0xf2006cf6                          // vfma.f32      q3, q8, q11
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0f0                          // add           lr, sp, #240
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd51a00                          // vldr          s3, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dec01                          // add           lr, sp, #256
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed951a00                          // vldr          s2, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd60a00                          // vldr          s1, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed920a00                          // vldr          s0, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d40                          // vsub.f32      q8, q1, q0
  .long  0xf2000cdc                          // vfma.f32      q0, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0b0                          // add           lr, sp, #176
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de090                          // add           lr, sp, #144
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d40                          // vsub.f32      q8, q1, q0
  .long  0xf2000cfe                          // vfma.f32      q0, q8, q15
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de080                          // add           lr, sp, #128
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd59a00                          // vldr          s19, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de070                          // add           lr, sp, #112
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed959a00                          // vldr          s18, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd68a00                          // vldr          s17, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cdc                          // vfma.f32      q4, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de060                          // add           lr, sp, #96
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee3b5b10                          // vmov.32       r5, d11[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee3a6b10                          // vmov.32       r6, d10[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee1a2b10                          // vmov.32       r2, d10[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1b5b10                          // vmov.32       r5, d11[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cf4                          // vfma.f32      q4, q8, q10
  .long  0xf2680d40                          // vsub.f32      q8, q4, q0
  .long  0xf2000cf2                          // vfma.f32      q0, q8, q9
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de050                          // add           lr, sp, #80
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xf260e1f0                          // vorr          q15, q8, q8
  .long  0xecde6b04                          // vldmia        lr, {d22-d23}
  .long  0xe28de040                          // add           lr, sp, #64
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd59a00                          // vldr          s19, [r5]
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed959a00                          // vldr          s18, [r5]
  .long  0xee375b90                          // vmov.32       r5, d23[1]
  .long  0xedd68a00                          // vldr          s17, [r6]
  .long  0xee366b90                          // vmov.32       r6, d22[1]
  .long  0xed928a00                          // vldr          s16, [r2]
  .long  0xee162b90                          // vmov.32       r2, d22[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee175b90                          // vmov.32       r5, d23[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cdc                          // vfma.f32      q4, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xf26081f0                          // vorr          q12, q8, q8
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cdc                          // vfma.f32      q1, q8, q6
  .long  0xf2620d48                          // vsub.f32      q8, q1, q4
  .long  0xf2008cf4                          // vfma.f32      q4, q8, q10
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd5ba00                          // vldr          s23, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xee3d5b90                          // vmov.32       r5, d29[1]
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xee3c6b90                          // vmov.32       r6, d28[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee1c2b90                          // vmov.32       r2, d28[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee1d5b90                          // vmov.32       r5, d29[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acdc                          // vfma.f32      q5, q8, q6
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28dee15                          // add           lr, sp, #336
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cfa                          // vfma.f32      q1, q8, q13
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xf26a0d48                          // vsub.f32      q8, q5, q4
  .long  0xf2008cf2                          // vfma.f32      q4, q8, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xf26e08e2                          // vadd.i32      q8, q15, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd5ba00                          // vldr          s23, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xf26608e2                          // vadd.i32      q8, q11, q9
  .long  0xf2c02052                          // vmov.i32      q9, #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95ba00                          // vldr          s22, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd6aa00                          // vldr          s21, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed92aa00                          // vldr          s20, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acfa                          // vfma.f32      q5, q8, q13
  .long  0xf26808e2                          // vadd.i32      q8, q12, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0e0                          // add           lr, sp, #224
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd55a00                          // vldr          s11, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf2002cfa                          // vfma.f32      q1, q8, q13
  .long  0xf2620d4a                          // vsub.f32      q8, q1, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28de0d0                          // add           lr, sp, #208
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd5da00                          // vldr          s27, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xf26c08e2                          // vadd.i32      q8, q14, q9
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed95da00                          // vldr          s26, [r5]
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xedd6ca00                          // vldr          s25, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed92ca00                          // vldr          s24, [r2]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xf2620d4c                          // vsub.f32      q8, q1, q6
  .long  0xf200ccfa                          // vfma.f32      q6, q8, q13
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xe28ded05                          // add           lr, sp, #320
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xee315b90                          // vmov.32       r5, d17[1]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xedd53a00                          // vldr          s7, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xecde0b04                          // vldmia        lr, {d16-d17}
  .long  0xf26008e2                          // vadd.i32      q8, q8, q9
  .long  0xee314b90                          // vmov.32       r4, d17[1]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xed953a00                          // vldr          s6, [r5]
  .long  0xee115b90                          // vmov.32       r5, d17[0]
  .long  0xedd62a00                          // vldr          s5, [r6]
  .long  0xee306b90                          // vmov.32       r6, d16[1]
  .long  0xed922a00                          // vldr          s4, [r2]
  .long  0xe0834104                          // add           r4, r3, r4, lsl #2
  .long  0xee102b90                          // vmov.32       r2, d16[0]
  .long  0xedd45a00                          // vldr          s11, [r4]
  .long  0xe0835105                          // add           r5, r3, r5, lsl #2
  .long  0xe0836106                          // add           r6, r3, r6, lsl #2
  .long  0xed955a00                          // vldr          s10, [r5]
  .long  0xe0832102                          // add           r2, r3, r2, lsl #2
  .long  0xedd64a00                          // vldr          s9, [r6]
  .long  0xe28d3e12                          // add           r3, sp, #288
  .long  0xed924a00                          // vldr          s8, [r2]
  .long  0xecd32b04                          // vldmia        r3, {d18-d19}
  .long  0xe28d30c0                          // add           r3, sp, #192
  .long  0xf2640d42                          // vsub.f32      q8, q2, q1
  .long  0xf3fb2662                          // vcvt.f32.s32  q9, q9
  .long  0xf2002cfa                          // vfma.f32      q1, q8, q13
  .long  0xf2620d4c                          // vsub.f32      q8, q1, q6
  .long  0xf200ccf4                          // vfma.f32      q6, q8, q10
  .long  0xecd34b04                          // vldmia        r3, {d20-d21}
  .long  0xe28d3e13                          // add           r3, sp, #304
  .long  0xf26c0d4a                          // vsub.f32      q8, q6, q5
  .long  0xf200acf4                          // vfma.f32      q5, q8, q10
  .long  0xecd30b04                          // vldmia        r3, {d16-d17}
  .long  0xe28d30a0                          // add           r3, sp, #160
  .long  0xf2600de2                          // vsub.f32      q8, q8, q9
  .long  0xecd38b04                          // vldmia        r3, {d24-d25}
  .long  0xe28f2038                          // add           r2, pc, #56
  .long  0xf2664d4e                          // vsub.f32      q10, q3, q7
  .long  0xf4226acf                          // vld1.64       {d6-d7}, [r2]
  .long  0xf2682d40                          // vsub.f32      q9, q4, q0
  .long  0xe5912004                          // ldr           r2, [r1, #4]
  .long  0xe1a0100c                          // mov           r1, ip
  .long  0xf26a6d68                          // vsub.f32      q11, q5, q12
  .long  0xf204ecf0                          // vfma.f32      q7, q10, q8
  .long  0xf2020cf0                          // vfma.f32      q0, q9, q8
  .long  0xf2468cf0                          // vfma.f32      q12, q11, q8
  .long  0xf22e215e                          // vorr          q1, q7, q7
  .long  0xf22841f8                          // vorr          q2, q12, q12
  .long  0xe28ddf5a                          // add           sp, sp, #360
  .long  0xecbd8b10                          // vpop          {d8-d15}
  .long  0xe8bd41f0                          // pop           {r4, r5, r6, r7, r8, lr}
  .long  0xe12fff12                          // bx            r2
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
  .long  0x3f800000                          // .word         0x3f800000
#elif defined(__x86_64__)
BALIGN32

HIDDEN _sk_start_pipeline_hsw
.globl _sk_start_pipeline_hsw
FUNCTION(_sk_start_pipeline_hsw)
_sk_start_pipeline_hsw:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           82 <_sk_start_pipeline_hsw+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  119,35                              // ja            68 <_sk_start_pipeline_hsw+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           49 <_sk_start_pipeline_hsw+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            79 <_sk_start_pipeline_hsw+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           3b <_sk_start_pipeline_hsw+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  197,248,119                         // vzeroupper
  .byte  195                                 // retq

HIDDEN _sk_just_return_hsw
.globl _sk_just_return_hsw
FUNCTION(_sk_just_return_hsw)
_sk_just_return_hsw:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_hsw
.globl _sk_seed_shader_hsw
FUNCTION(_sk_seed_shader_hsw)
_sk_seed_shader_hsw:
  .byte  197,249,110,194                     // vmovd         %edx,%xmm0
  .byte  196,226,125,88,192                  // vpbroadcastd  %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,173,183,2,0       // vbroadcastss  0x2b7ad(%rip),%ymm1        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,88,5,73,185,2,0             // vaddps        0x2b949(%rip),%ymm0,%ymm0        # 2ba00 <_sk_overlay_sse2_8bit+0x5e4>
  .byte  197,249,110,209                     // vmovd         %ecx,%xmm2
  .byte  196,226,125,88,210                  // vpbroadcastd  %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,21,137,183,2,0       // vbroadcastss  0x2b789(%rip),%ymm2        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  197,196,87,255                      // vxorps        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_hsw
.globl _sk_dither_hsw
FUNCTION(_sk_dither_hsw)
_sk_dither_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,194                     // vmovd         %edx,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  197,61,254,5,36,185,2,0             // vpaddd        0x2b924(%rip),%ymm8,%ymm8        # 2ba20 <_sk_overlay_sse2_8bit+0x604>
  .byte  197,121,110,201                     // vmovd         %ecx,%xmm9
  .byte  196,66,125,88,201                   // vpbroadcastd  %xmm9,%ymm9
  .byte  196,65,53,239,200                   // vpxor         %ymm8,%ymm9,%ymm9
  .byte  196,98,125,88,21,77,183,2,0         // vpbroadcastd  0x2b74d(%rip),%ymm10        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,65,53,219,218                   // vpand         %ymm10,%ymm9,%ymm11
  .byte  196,193,37,114,243,5                // vpslld        $0x5,%ymm11,%ymm11
  .byte  196,65,61,219,210                   // vpand         %ymm10,%ymm8,%ymm10
  .byte  196,193,45,114,242,4                // vpslld        $0x4,%ymm10,%ymm10
  .byte  196,98,125,88,37,50,183,2,0         // vpbroadcastd  0x2b732(%rip),%ymm12        # 2b864 <_sk_overlay_sse2_8bit+0x448>
  .byte  196,98,125,88,45,45,183,2,0         // vpbroadcastd  0x2b72d(%rip),%ymm13        # 2b868 <_sk_overlay_sse2_8bit+0x44c>
  .byte  196,65,53,219,245                   // vpand         %ymm13,%ymm9,%ymm14
  .byte  196,193,13,114,246,2                // vpslld        $0x2,%ymm14,%ymm14
  .byte  196,65,61,219,237                   // vpand         %ymm13,%ymm8,%ymm13
  .byte  196,65,21,254,237                   // vpaddd        %ymm13,%ymm13,%ymm13
  .byte  196,65,53,219,204                   // vpand         %ymm12,%ymm9,%ymm9
  .byte  196,193,53,114,209,1                // vpsrld        $0x1,%ymm9,%ymm9
  .byte  196,65,61,219,196                   // vpand         %ymm12,%ymm8,%ymm8
  .byte  196,193,61,114,208,2                // vpsrld        $0x2,%ymm8,%ymm8
  .byte  196,65,21,235,210                   // vpor          %ymm10,%ymm13,%ymm10
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,37,235,214                   // vpor          %ymm14,%ymm11,%ymm10
  .byte  196,65,61,235,194                   // vpor          %ymm10,%ymm8,%ymm8
  .byte  196,65,61,235,193                   // vpor          %ymm9,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,223,182,2,0        // vbroadcastss  0x2b6df(%rip),%ymm9        # 2b86c <_sk_overlay_sse2_8bit+0x450>
  .byte  196,98,125,24,21,218,182,2,0        // vbroadcastss  0x2b6da(%rip),%ymm10        # 2b870 <_sk_overlay_sse2_8bit+0x454>
  .byte  196,66,61,184,209                   // vfmadd231ps   %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,65,44,89,192                    // vmulps        %ymm8,%ymm10,%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  197,188,95,210                      // vmaxps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_hsw
.globl _sk_uniform_color_hsw
FUNCTION(_sk_uniform_color_hsw)
_sk_uniform_color_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_hsw
.globl _sk_black_color_hsw
FUNCTION(_sk_black_color_hsw)
_sk_black_color_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,98,182,2,0        // vbroadcastss  0x2b662(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_hsw
.globl _sk_white_color_hsw
FUNCTION(_sk_white_color_hsw)
_sk_white_color_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,73,182,2,0         // vbroadcastss  0x2b649(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_hsw
.globl _sk_load_rgba_hsw
FUNCTION(_sk_load_rgba_hsw)
_sk_load_rgba_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,0                        // vmovups       (%rax),%ymm0
  .byte  197,252,16,72,32                    // vmovups       0x20(%rax),%ymm1
  .byte  197,252,16,80,64                    // vmovups       0x40(%rax),%ymm2
  .byte  197,252,16,88,96                    // vmovups       0x60(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_hsw
.globl _sk_store_rgba_hsw
FUNCTION(_sk_store_rgba_hsw)
_sk_store_rgba_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,252,17,80,64                    // vmovups       %ymm2,0x40(%rax)
  .byte  197,252,17,88,96                    // vmovups       %ymm3,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_hsw
.globl _sk_clear_hsw
FUNCTION(_sk_clear_hsw)
_sk_clear_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_hsw
.globl _sk_srcatop_hsw
FUNCTION(_sk_srcatop_hsw)
_sk_srcatop_hsw:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,98,125,24,5,232,181,2,0         // vbroadcastss  0x2b5e8(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,226,61,184,196                  // vfmadd231ps   %ymm4,%ymm8,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  196,226,61,184,205                  // vfmadd231ps   %ymm5,%ymm8,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  196,226,61,184,214                  // vfmadd231ps   %ymm6,%ymm8,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,194,69,168,216                  // vfmadd213ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_hsw
.globl _sk_dstatop_hsw
FUNCTION(_sk_dstatop_hsw)
_sk_dstatop_hsw:
  .byte  196,98,125,24,5,183,181,2,0         // vbroadcastss  0x2b5b7(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,226,101,184,196                 // vfmadd231ps   %ymm4,%ymm3,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  196,226,101,184,205                 // vfmadd231ps   %ymm5,%ymm3,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  196,226,101,184,214                 // vfmadd231ps   %ymm6,%ymm3,%ymm2
  .byte  197,60,89,195                       // vmulps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,168,216                  // vfmadd213ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_hsw
.globl _sk_srcin_hsw
FUNCTION(_sk_srcin_hsw)
_sk_srcin_hsw:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_hsw
.globl _sk_dstin_hsw
FUNCTION(_sk_dstin_hsw)
_sk_dstin_hsw:
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_hsw
.globl _sk_srcout_hsw
FUNCTION(_sk_srcout_hsw)
_sk_srcout_hsw:
  .byte  196,98,125,24,5,90,181,2,0          // vbroadcastss  0x2b55a(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_hsw
.globl _sk_dstout_hsw
FUNCTION(_sk_dstout_hsw)
_sk_dstout_hsw:
  .byte  196,226,125,24,5,57,181,2,0         // vbroadcastss  0x2b539(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,92,219                      // vsubps        %ymm3,%ymm0,%ymm3
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_hsw
.globl _sk_srcover_hsw
FUNCTION(_sk_srcover_hsw)
_sk_srcover_hsw:
  .byte  196,98,125,24,5,24,181,2,0          // vbroadcastss  0x2b518(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,93,184,192                  // vfmadd231ps   %ymm8,%ymm4,%ymm0
  .byte  196,194,85,184,200                  // vfmadd231ps   %ymm8,%ymm5,%ymm1
  .byte  196,194,77,184,208                  // vfmadd231ps   %ymm8,%ymm6,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_hsw
.globl _sk_dstover_hsw
FUNCTION(_sk_dstover_hsw)
_sk_dstover_hsw:
  .byte  196,98,125,24,5,243,180,2,0         // vbroadcastss  0x2b4f3(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  196,226,61,168,223                  // vfmadd213ps   %ymm7,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_hsw
.globl _sk_modulate_hsw
FUNCTION(_sk_modulate_hsw)
_sk_modulate_hsw:
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_hsw
.globl _sk_multiply_hsw
FUNCTION(_sk_multiply_hsw)
_sk_multiply_hsw:
  .byte  196,98,125,24,5,186,180,2,0         // vbroadcastss  0x2b4ba(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,208                       // vmulps        %ymm0,%ymm9,%ymm10
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,61,184,212                   // vfmadd231ps   %ymm4,%ymm8,%ymm10
  .byte  196,194,93,168,194                  // vfmadd213ps   %ymm10,%ymm4,%ymm0
  .byte  197,52,89,209                       // vmulps        %ymm1,%ymm9,%ymm10
  .byte  196,98,61,184,213                   // vfmadd231ps   %ymm5,%ymm8,%ymm10
  .byte  196,194,85,168,202                  // vfmadd213ps   %ymm10,%ymm5,%ymm1
  .byte  197,52,89,210                       // vmulps        %ymm2,%ymm9,%ymm10
  .byte  196,98,61,184,214                   // vfmadd231ps   %ymm6,%ymm8,%ymm10
  .byte  196,194,77,168,210                  // vfmadd213ps   %ymm10,%ymm6,%ymm2
  .byte  197,52,89,203                       // vmulps        %ymm3,%ymm9,%ymm9
  .byte  196,66,69,168,193                   // vfmadd213ps   %ymm9,%ymm7,%ymm8
  .byte  196,194,69,168,216                  // vfmadd213ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__hsw
.globl _sk_plus__hsw
FUNCTION(_sk_plus__hsw)
_sk_plus__hsw:
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  196,98,125,24,5,105,180,2,0         // vbroadcastss  0x2b469(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_hsw
.globl _sk_screen_hsw
FUNCTION(_sk_screen_hsw)
_sk_screen_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  196,194,93,172,192                  // vfnmadd213ps  %ymm8,%ymm4,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  196,194,85,172,200                  // vfnmadd213ps  %ymm8,%ymm5,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  196,194,77,172,208                  // vfnmadd213ps  %ymm8,%ymm6,%ymm2
  .byte  197,100,88,199                      // vaddps        %ymm7,%ymm3,%ymm8
  .byte  196,194,69,172,216                  // vfnmadd213ps  %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__hsw
.globl _sk_xor__hsw
FUNCTION(_sk_xor__hsw)
_sk_xor__hsw:
  .byte  196,98,125,24,5,20,180,2,0          // vbroadcastss  0x2b414(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,226,61,184,196                  // vfmadd231ps   %ymm4,%ymm8,%ymm0
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  196,226,61,184,205                  // vfmadd231ps   %ymm5,%ymm8,%ymm1
  .byte  197,180,89,210                      // vmulps        %ymm2,%ymm9,%ymm2
  .byte  196,226,61,184,214                  // vfmadd231ps   %ymm6,%ymm8,%ymm2
  .byte  197,180,89,219                      // vmulps        %ymm3,%ymm9,%ymm3
  .byte  196,98,69,168,195                   // vfmadd213ps   %ymm3,%ymm7,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,195                      // vmovaps       %ymm8,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_hsw
.globl _sk_darken_hsw
FUNCTION(_sk_darken_hsw)
_sk_darken_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,95,193                  // vmaxps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,95,201                  // vmaxps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,95,209                  // vmaxps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,152,179,2,0         // vbroadcastss  0x2b398(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_hsw
.globl _sk_lighten_hsw
FUNCTION(_sk_lighten_hsw)
_sk_lighten_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,67,179,2,0          // vbroadcastss  0x2b343(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_hsw
.globl _sk_difference_hsw
FUNCTION(_sk_difference_hsw)
_sk_difference_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,226,178,2,0         // vbroadcastss  0x2b2e2(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_hsw
.globl _sk_exclusion_hsw
FUNCTION(_sk_exclusion_hsw)
_sk_exclusion_hsw:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,156,178,2,0         // vbroadcastss  0x2b29c(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_hsw
.globl _sk_colorburn_hsw
FUNCTION(_sk_colorburn_hsw)
_sk_colorburn_hsw:
  .byte  196,98,125,24,5,134,178,2,0         // vbroadcastss  0x2b286(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,216                       // vmulps        %ymm0,%ymm9,%ymm11
  .byte  196,65,44,87,210                    // vxorps        %ymm10,%ymm10,%ymm10
  .byte  196,65,124,194,226,0                // vcmpeqps      %ymm10,%ymm0,%ymm12
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,68,92,236                       // vsubps        %ymm4,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,192                      // vrcpps        %ymm0,%ymm0
  .byte  197,148,89,192                      // vmulps        %ymm0,%ymm13,%ymm0
  .byte  197,60,89,236                       // vmulps        %ymm4,%ymm8,%ymm13
  .byte  197,196,93,192                      // vminps        %ymm0,%ymm7,%ymm0
  .byte  197,196,92,192                      // vsubps        %ymm0,%ymm7,%ymm0
  .byte  196,194,101,168,195                 // vfmadd213ps   %ymm11,%ymm3,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,92,194,231,0                    // vcmpeqps      %ymm7,%ymm4,%ymm12
  .byte  197,36,88,220                       // vaddps        %ymm4,%ymm11,%ymm11
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,52,89,217                       // vmulps        %ymm1,%ymm9,%ymm11
  .byte  196,65,116,194,226,0                // vcmpeqps      %ymm10,%ymm1,%ymm12
  .byte  197,68,92,237                       // vsubps        %ymm5,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,201                      // vrcpps        %ymm1,%ymm1
  .byte  197,148,89,201                      // vmulps        %ymm1,%ymm13,%ymm1
  .byte  197,60,89,237                       // vmulps        %ymm5,%ymm8,%ymm13
  .byte  197,196,93,201                      // vminps        %ymm1,%ymm7,%ymm1
  .byte  197,196,92,201                      // vsubps        %ymm1,%ymm7,%ymm1
  .byte  196,194,101,168,203                 // vfmadd213ps   %ymm11,%ymm3,%ymm1
  .byte  197,148,88,201                      // vaddps        %ymm1,%ymm13,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,84,194,231,0                    // vcmpeqps      %ymm7,%ymm5,%ymm12
  .byte  197,36,88,221                       // vaddps        %ymm5,%ymm11,%ymm11
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,52,89,202                       // vmulps        %ymm2,%ymm9,%ymm9
  .byte  196,65,108,194,210,0                // vcmpeqps      %ymm10,%ymm2,%ymm10
  .byte  197,68,92,222                       // vsubps        %ymm6,%ymm7,%ymm11
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,252,83,210                      // vrcpps        %ymm2,%ymm2
  .byte  197,164,89,210                      // vmulps        %ymm2,%ymm11,%ymm2
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  197,196,93,210                      // vminps        %ymm2,%ymm7,%ymm2
  .byte  197,196,92,210                      // vsubps        %ymm2,%ymm7,%ymm2
  .byte  196,194,101,168,209                 // vfmadd213ps   %ymm9,%ymm3,%ymm2
  .byte  197,164,88,210                      // vaddps        %ymm2,%ymm11,%ymm2
  .byte  196,195,109,74,211,160              // vblendvps     %ymm10,%ymm11,%ymm2,%ymm2
  .byte  197,76,194,215,0                    // vcmpeqps      %ymm7,%ymm6,%ymm10
  .byte  197,52,88,206                       // vaddps        %ymm6,%ymm9,%ymm9
  .byte  196,195,109,74,209,160              // vblendvps     %ymm10,%ymm9,%ymm2,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_hsw
.globl _sk_colordodge_hsw
FUNCTION(_sk_colordodge_hsw)
_sk_colordodge_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,98,125,24,13,150,177,2,0        // vbroadcastss  0x2b196(%rip),%ymm9        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,52,92,215                       // vsubps        %ymm7,%ymm9,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,52,92,203                       // vsubps        %ymm3,%ymm9,%ymm9
  .byte  197,100,89,228                      // vmulps        %ymm4,%ymm3,%ymm12
  .byte  197,100,92,232                      // vsubps        %ymm0,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,236                       // vmulps        %ymm4,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  196,66,101,168,227                  // vfmadd213ps   %ymm11,%ymm3,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,232                       // vaddps        %ymm0,%ymm13,%ymm13
  .byte  197,252,194,195,0                   // vcmpeqps      %ymm3,%ymm0,%ymm0
  .byte  196,195,29,74,197,0                 // vblendvps     %ymm0,%ymm13,%ymm12,%ymm0
  .byte  196,65,92,194,224,0                 // vcmpeqps      %ymm8,%ymm4,%ymm12
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,100,89,229                      // vmulps        %ymm5,%ymm3,%ymm12
  .byte  197,100,92,233                      // vsubps        %ymm1,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,237                       // vmulps        %ymm5,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  196,66,101,168,227                  // vfmadd213ps   %ymm11,%ymm3,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,233                       // vaddps        %ymm1,%ymm13,%ymm13
  .byte  197,244,194,203,0                   // vcmpeqps      %ymm3,%ymm1,%ymm1
  .byte  196,195,29,74,205,16                // vblendvps     %ymm1,%ymm13,%ymm12,%ymm1
  .byte  196,65,84,194,224,0                 // vcmpeqps      %ymm8,%ymm5,%ymm12
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,100,92,226                      // vsubps        %ymm2,%ymm3,%ymm12
  .byte  196,65,124,83,228                   // vrcpps        %ymm12,%ymm12
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  197,52,89,230                       // vmulps        %ymm6,%ymm9,%ymm12
  .byte  196,65,68,93,219                    // vminps        %ymm11,%ymm7,%ymm11
  .byte  196,66,101,168,218                  // vfmadd213ps   %ymm10,%ymm3,%ymm11
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  197,236,194,211,0                   // vcmpeqps      %ymm3,%ymm2,%ymm2
  .byte  196,195,37,74,212,32                // vblendvps     %ymm2,%ymm12,%ymm11,%ymm2
  .byte  196,65,76,194,192,0                 // vcmpeqps      %ymm8,%ymm6,%ymm8
  .byte  196,195,109,74,210,128              // vblendvps     %ymm8,%ymm10,%ymm2,%ymm2
  .byte  196,194,69,184,217                  // vfmadd231ps   %ymm9,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_hsw
.globl _sk_hardlight_hsw
FUNCTION(_sk_hardlight_hsw)
_sk_hardlight_hsw:
  .byte  196,98,125,24,5,176,176,2,0         // vbroadcastss  0x2b0b0(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,61,184,220                   // vfmadd231ps   %ymm4,%ymm8,%ymm11
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  197,52,194,227,2                    // vcmpleps      %ymm3,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  196,98,61,184,221                   // vfmadd231ps   %ymm5,%ymm8,%ymm11
  .byte  197,116,88,225                      // vaddps        %ymm1,%ymm1,%ymm12
  .byte  197,28,194,227,2                    // vcmpleps      %ymm3,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,98,61,184,214                   // vfmadd231ps   %ymm6,%ymm8,%ymm10
  .byte  197,108,88,218                      // vaddps        %ymm2,%ymm2,%ymm11
  .byte  197,36,194,219,2                    // vcmpleps      %ymm3,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_hsw
.globl _sk_overlay_hsw
FUNCTION(_sk_overlay_hsw)
_sk_overlay_hsw:
  .byte  196,98,125,24,5,228,175,2,0         // vbroadcastss  0x2afe4(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,61,184,220                   // vfmadd231ps   %ymm4,%ymm8,%ymm11
  .byte  197,92,88,204                       // vaddps        %ymm4,%ymm4,%ymm9
  .byte  197,52,194,231,2                    // vcmpleps      %ymm7,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  196,98,61,184,221                   // vfmadd231ps   %ymm5,%ymm8,%ymm11
  .byte  197,84,88,229                       // vaddps        %ymm5,%ymm5,%ymm12
  .byte  197,28,194,231,2                    // vcmpleps      %ymm7,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,98,61,184,214                   // vfmadd231ps   %ymm6,%ymm8,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_hsw
.globl _sk_softlight_hsw
FUNCTION(_sk_softlight_hsw)
_sk_softlight_hsw:
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,252,40,209                      // vmovaps       %ymm1,%ymm2
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  197,52,194,215,1                    // vcmpltps      %ymm7,%ymm9,%ymm10
  .byte  197,92,94,199                       // vdivps        %ymm7,%ymm4,%ymm8
  .byte  196,67,53,74,232,160                // vblendvps     %ymm10,%ymm8,%ymm9,%ymm13
  .byte  196,65,20,88,197                    // vaddps        %ymm13,%ymm13,%ymm8
  .byte  196,65,60,88,192                    // vaddps        %ymm8,%ymm8,%ymm8
  .byte  196,66,61,168,192                   // vfmadd213ps   %ymm8,%ymm8,%ymm8
  .byte  196,98,125,24,29,255,174,2,0        // vbroadcastss  0x2aeff(%rip),%ymm11        # 2b874 <_sk_overlay_sse2_8bit+0x458>
  .byte  196,65,20,88,227                    // vaddps        %ymm11,%ymm13,%ymm12
  .byte  196,65,28,89,192                    // vmulps        %ymm8,%ymm12,%ymm8
  .byte  196,98,125,24,37,240,174,2,0        // vbroadcastss  0x2aef0(%rip),%ymm12        # 2b878 <_sk_overlay_sse2_8bit+0x45c>
  .byte  196,66,21,184,196                   // vfmadd231ps   %ymm12,%ymm13,%ymm8
  .byte  196,65,124,82,245                   // vrsqrtps      %ymm13,%ymm14
  .byte  196,65,124,83,246                   // vrcpps        %ymm14,%ymm14
  .byte  196,65,12,92,245                    // vsubps        %ymm13,%ymm14,%ymm14
  .byte  197,92,88,252                       // vaddps        %ymm4,%ymm4,%ymm15
  .byte  196,65,4,88,255                     // vaddps        %ymm15,%ymm15,%ymm15
  .byte  197,4,194,255,2                     // vcmpleps      %ymm7,%ymm15,%ymm15
  .byte  196,67,13,74,240,240                // vblendvps     %ymm15,%ymm8,%ymm14,%ymm14
  .byte  197,116,88,249                      // vaddps        %ymm1,%ymm1,%ymm15
  .byte  196,98,125,24,5,159,174,2,0         // vbroadcastss  0x2ae9f(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,65,60,92,237                    // vsubps        %ymm13,%ymm8,%ymm13
  .byte  197,132,92,195                      // vsubps        %ymm3,%ymm15,%ymm0
  .byte  196,98,125,168,235                  // vfmadd213ps   %ymm3,%ymm0,%ymm13
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,20,89,236                       // vmulps        %ymm4,%ymm13,%ymm13
  .byte  196,226,101,184,196                 // vfmadd231ps   %ymm4,%ymm3,%ymm0
  .byte  197,4,194,243,2                     // vcmpleps      %ymm3,%ymm15,%ymm14
  .byte  196,195,125,74,197,224              // vblendvps     %ymm14,%ymm13,%ymm0,%ymm0
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,212,94,199                      // vdivps        %ymm7,%ymm5,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,240                      // vaddps        %ymm0,%ymm0,%ymm14
  .byte  196,65,12,88,246                    // vaddps        %ymm14,%ymm14,%ymm14
  .byte  196,66,13,168,246                   // vfmadd213ps   %ymm14,%ymm14,%ymm14
  .byte  196,65,124,88,251                   // vaddps        %ymm11,%ymm0,%ymm15
  .byte  196,65,4,89,246                     // vmulps        %ymm14,%ymm15,%ymm14
  .byte  196,66,125,184,244                  // vfmadd231ps   %ymm12,%ymm0,%ymm14
  .byte  197,124,82,248                      // vrsqrtps      %ymm0,%ymm15
  .byte  196,65,124,83,255                   // vrcpps        %ymm15,%ymm15
  .byte  197,4,92,248                        // vsubps        %ymm0,%ymm15,%ymm15
  .byte  197,84,88,237                       // vaddps        %ymm5,%ymm5,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,20,194,239,2                    // vcmpleps      %ymm7,%ymm13,%ymm13
  .byte  196,67,5,74,238,208                 // vblendvps     %ymm13,%ymm14,%ymm15,%ymm13
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,108,88,242                      // vaddps        %ymm2,%ymm2,%ymm14
  .byte  197,12,92,251                       // vsubps        %ymm3,%ymm14,%ymm15
  .byte  196,226,5,168,195                   // vfmadd213ps   %ymm3,%ymm15,%ymm0
  .byte  197,4,89,255                        // vmulps        %ymm7,%ymm15,%ymm15
  .byte  196,65,4,89,237                     // vmulps        %ymm13,%ymm15,%ymm13
  .byte  197,252,89,197                      // vmulps        %ymm5,%ymm0,%ymm0
  .byte  196,98,101,184,237                  // vfmadd231ps   %ymm5,%ymm3,%ymm13
  .byte  197,12,194,243,2                    // vcmpleps      %ymm3,%ymm14,%ymm14
  .byte  196,99,21,74,240,224                // vblendvps     %ymm14,%ymm0,%ymm13,%ymm14
  .byte  197,204,94,199                      // vdivps        %ymm7,%ymm6,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,66,53,168,201                   // vfmadd213ps   %ymm9,%ymm9,%ymm9
  .byte  196,65,124,88,211                   // vaddps        %ymm11,%ymm0,%ymm10
  .byte  196,65,44,89,201                    // vmulps        %ymm9,%ymm10,%ymm9
  .byte  196,66,125,184,204                  // vfmadd231ps   %ymm12,%ymm0,%ymm9
  .byte  197,124,82,208                      // vrsqrtps      %ymm0,%ymm10
  .byte  196,65,124,83,210                   // vrcpps        %ymm10,%ymm10
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  196,65,36,88,219                    // vaddps        %ymm11,%ymm11,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  196,67,45,74,201,176                // vblendvps     %ymm11,%ymm9,%ymm10,%ymm9
  .byte  197,124,16,100,36,200               // vmovups       -0x38(%rsp),%ymm12
  .byte  196,65,28,88,212                    // vaddps        %ymm12,%ymm12,%ymm10
  .byte  197,44,92,219                       // vsubps        %ymm3,%ymm10,%ymm11
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  196,226,37,168,195                  // vfmadd213ps   %ymm3,%ymm11,%ymm0
  .byte  197,36,89,223                       // vmulps        %ymm7,%ymm11,%ymm11
  .byte  196,65,36,89,201                    // vmulps        %ymm9,%ymm11,%ymm9
  .byte  197,252,89,198                      // vmulps        %ymm6,%ymm0,%ymm0
  .byte  196,98,101,184,206                  // vfmadd231ps   %ymm6,%ymm3,%ymm9
  .byte  197,44,194,211,2                    // vcmpleps      %ymm3,%ymm10,%ymm10
  .byte  196,99,53,74,200,160                // vblendvps     %ymm10,%ymm0,%ymm9,%ymm9
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,172,89,193                      // vmulps        %ymm1,%ymm10,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,226,61,184,196                  // vfmadd231ps   %ymm4,%ymm8,%ymm0
  .byte  197,252,88,68,36,168                // vaddps        -0x58(%rsp),%ymm0,%ymm0
  .byte  197,172,89,202                      // vmulps        %ymm2,%ymm10,%ymm1
  .byte  196,226,61,184,205                  // vfmadd231ps   %ymm5,%ymm8,%ymm1
  .byte  196,193,116,88,206                  // vaddps        %ymm14,%ymm1,%ymm1
  .byte  196,193,44,89,212                   // vmulps        %ymm12,%ymm10,%ymm2
  .byte  196,226,61,184,214                  // vfmadd231ps   %ymm6,%ymm8,%ymm2
  .byte  196,193,108,88,209                  // vaddps        %ymm9,%ymm2,%ymm2
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_hsw
.globl _sk_hue_hsw
FUNCTION(_sk_hue_hsw)
_sk_hue_hsw:
  .byte  197,124,40,194                      // vmovaps       %ymm2,%ymm8
  .byte  197,124,17,68,36,200                // vmovups       %ymm8,-0x38(%rsp)
  .byte  197,252,17,76,36,168                // vmovups       %ymm1,-0x58(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,108,89,203                      // vmulps        %ymm3,%ymm2,%ymm9
  .byte  197,116,89,211                      // vmulps        %ymm3,%ymm1,%ymm10
  .byte  197,60,89,219                       // vmulps        %ymm3,%ymm8,%ymm11
  .byte  197,84,95,198                       // vmaxps        %ymm6,%ymm5,%ymm8
  .byte  196,65,92,95,192                    // vmaxps        %ymm8,%ymm4,%ymm8
  .byte  197,84,93,230                       // vminps        %ymm6,%ymm5,%ymm12
  .byte  196,65,92,93,228                    // vminps        %ymm12,%ymm4,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,227                       // vmulps        %ymm3,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,195,45,74,200,240               // vblendvps     %ymm15,%ymm8,%ymm10,%ymm1
  .byte  196,65,36,92,213                    // vsubps        %ymm13,%ymm11,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm12
  .byte  196,98,125,24,53,183,172,2,0        // vbroadcastss  0x2acb7(%rip),%ymm14        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,98,125,24,61,178,172,2,0        // vbroadcastss  0x2acb2(%rip),%ymm15        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,66,93,184,238                   // vfmadd231ps   %ymm14,%ymm4,%ymm13
  .byte  196,226,125,24,5,163,172,2,0        // vbroadcastss  0x2aca3(%rip),%ymm0        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  196,98,77,184,232                   // vfmadd231ps   %ymm0,%ymm6,%ymm13
  .byte  196,65,116,89,215                   // vmulps        %ymm15,%ymm1,%ymm10
  .byte  196,66,53,184,214                   // vfmadd231ps   %ymm14,%ymm9,%ymm10
  .byte  196,98,29,184,208                   // vfmadd231ps   %ymm0,%ymm12,%ymm10
  .byte  196,66,101,170,234                  // vfmsub213ps   %ymm10,%ymm3,%ymm13
  .byte  196,65,52,88,213                    // vaddps        %ymm13,%ymm9,%ymm10
  .byte  196,65,116,88,221                   // vaddps        %ymm13,%ymm1,%ymm11
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,193,36,93,204                   // vminps        %ymm12,%ymm11,%ymm1
  .byte  197,44,93,233                       // vminps        %ymm1,%ymm10,%ymm13
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  196,66,45,184,206                   // vfmadd231ps   %ymm14,%ymm10,%ymm9
  .byte  196,98,29,184,200                   // vfmadd231ps   %ymm0,%ymm12,%ymm9
  .byte  196,193,44,92,193                   // vsubps        %ymm9,%ymm10,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,193,52,92,205                   // vsubps        %ymm13,%ymm9,%ymm1
  .byte  197,252,94,193                      // vdivps        %ymm1,%ymm0,%ymm0
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  197,12,94,241                       // vdivps        %ymm1,%ymm14,%ymm14
  .byte  196,65,28,92,249                    // vsubps        %ymm9,%ymm12,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  197,132,94,201                      // vdivps        %ymm1,%ymm15,%ymm1
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,204,208              // vblendvps     %ymm13,%ymm12,%ymm1,%ymm1
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,194,208              // vblendvps     %ymm13,%ymm10,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,124,92,217                   // vsubps        %ymm9,%ymm0,%ymm11
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,250,1                 // vcmpltps      %ymm10,%ymm12,%ymm15
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,217                    // vsubps        %ymm9,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,116,92,241                   // vsubps        %ymm9,%ymm1,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,210                    // vdivps        %ymm10,%ymm13,%ymm10
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,195,117,74,201,240              // vblendvps     %ymm15,%ymm9,%ymm1,%ymm1
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,200                    // vmaxps        %ymm8,%ymm11,%ymm9
  .byte  196,65,116,95,192                   // vmaxps        %ymm8,%ymm1,%ymm8
  .byte  196,226,125,24,13,100,171,2,0       // vbroadcastss  0x2ab64(%rip),%ymm1        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,116,92,215                      // vsubps        %ymm7,%ymm1,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,116,92,219                      // vsubps        %ymm3,%ymm1,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,192                      // vaddps        %ymm0,%ymm2,%ymm0
  .byte  197,172,89,76,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,208                   // vaddps        %ymm8,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_hsw
.globl _sk_saturation_hsw
FUNCTION(_sk_saturation_hsw)
_sk_saturation_hsw:
  .byte  197,124,40,194                      // vmovaps       %ymm2,%ymm8
  .byte  197,252,17,76,36,168                // vmovups       %ymm1,-0x58(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  197,100,89,213                      // vmulps        %ymm5,%ymm3,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,17,68,36,200                // vmovups       %ymm0,-0x38(%rsp)
  .byte  197,116,95,192                      // vmaxps        %ymm0,%ymm1,%ymm8
  .byte  196,65,108,95,192                   // vmaxps        %ymm8,%ymm2,%ymm8
  .byte  197,116,93,224                      // vminps        %ymm0,%ymm1,%ymm12
  .byte  196,65,108,93,228                   // vminps        %ymm12,%ymm2,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,231                       // vmulps        %ymm7,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,195,45,74,200,240               // vblendvps     %ymm15,%ymm8,%ymm10,%ymm1
  .byte  196,65,36,92,213                    // vsubps        %ymm13,%ymm11,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm12
  .byte  196,98,125,24,53,151,170,2,0        // vbroadcastss  0x2aa97(%rip),%ymm14        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,98,125,24,61,146,170,2,0        // vbroadcastss  0x2aa92(%rip),%ymm15        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,66,93,184,238                   // vfmadd231ps   %ymm14,%ymm4,%ymm13
  .byte  196,226,125,24,5,131,170,2,0        // vbroadcastss  0x2aa83(%rip),%ymm0        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  196,98,77,184,232                   // vfmadd231ps   %ymm0,%ymm6,%ymm13
  .byte  196,65,116,89,215                   // vmulps        %ymm15,%ymm1,%ymm10
  .byte  196,66,53,184,214                   // vfmadd231ps   %ymm14,%ymm9,%ymm10
  .byte  196,98,29,184,208                   // vfmadd231ps   %ymm0,%ymm12,%ymm10
  .byte  196,66,101,170,234                  // vfmsub213ps   %ymm10,%ymm3,%ymm13
  .byte  196,65,52,88,213                    // vaddps        %ymm13,%ymm9,%ymm10
  .byte  196,65,116,88,221                   // vaddps        %ymm13,%ymm1,%ymm11
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,193,36,93,204                   // vminps        %ymm12,%ymm11,%ymm1
  .byte  197,44,93,233                       // vminps        %ymm1,%ymm10,%ymm13
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  196,66,45,184,206                   // vfmadd231ps   %ymm14,%ymm10,%ymm9
  .byte  196,98,29,184,200                   // vfmadd231ps   %ymm0,%ymm12,%ymm9
  .byte  196,193,44,92,193                   // vsubps        %ymm9,%ymm10,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,193,52,92,205                   // vsubps        %ymm13,%ymm9,%ymm1
  .byte  197,252,94,193                      // vdivps        %ymm1,%ymm0,%ymm0
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  197,12,94,241                       // vdivps        %ymm1,%ymm14,%ymm14
  .byte  196,65,28,92,249                    // vsubps        %ymm9,%ymm12,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  197,132,94,201                      // vdivps        %ymm1,%ymm15,%ymm1
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,204,208              // vblendvps     %ymm13,%ymm12,%ymm1,%ymm1
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,194,208              // vblendvps     %ymm13,%ymm10,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,124,92,217                   // vsubps        %ymm9,%ymm0,%ymm11
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,250,1                 // vcmpltps      %ymm10,%ymm12,%ymm15
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,217                    // vsubps        %ymm9,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  196,65,52,88,219                    // vaddps        %ymm11,%ymm9,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,116,92,241                   // vsubps        %ymm9,%ymm1,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,210                    // vdivps        %ymm10,%ymm13,%ymm10
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,195,117,74,201,240              // vblendvps     %ymm15,%ymm9,%ymm1,%ymm1
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,200                    // vmaxps        %ymm8,%ymm11,%ymm9
  .byte  196,65,116,95,192                   // vmaxps        %ymm8,%ymm1,%ymm8
  .byte  196,226,125,24,13,68,169,2,0        // vbroadcastss  0x2a944(%rip),%ymm1        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,116,92,215                      // vsubps        %ymm7,%ymm1,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,116,92,219                      // vsubps        %ymm3,%ymm1,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,192                      // vaddps        %ymm0,%ymm2,%ymm0
  .byte  197,172,89,76,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,208                   // vaddps        %ymm8,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_hsw
.globl _sk_color_hsw
FUNCTION(_sk_color_hsw)
_sk_color_hsw:
  .byte  197,124,40,202                      // vmovaps       %ymm2,%ymm9
  .byte  197,124,17,76,36,200                // vmovups       %ymm9,-0x38(%rsp)
  .byte  197,252,17,76,36,168                // vmovups       %ymm1,-0x58(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,108,89,199                      // vmulps        %ymm7,%ymm2,%ymm8
  .byte  197,116,89,215                      // vmulps        %ymm7,%ymm1,%ymm10
  .byte  197,52,89,223                       // vmulps        %ymm7,%ymm9,%ymm11
  .byte  196,98,125,24,45,249,168,2,0        // vbroadcastss  0x2a8f9(%rip),%ymm13        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,98,125,24,53,244,168,2,0        // vbroadcastss  0x2a8f4(%rip),%ymm14        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,84,89,230                    // vmulps        %ymm14,%ymm5,%ymm12
  .byte  196,66,93,184,229                   // vfmadd231ps   %ymm13,%ymm4,%ymm12
  .byte  196,98,125,24,61,229,168,2,0        // vbroadcastss  0x2a8e5(%rip),%ymm15        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  196,66,77,184,231                   // vfmadd231ps   %ymm15,%ymm6,%ymm12
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,66,61,184,205                   // vfmadd231ps   %ymm13,%ymm8,%ymm9
  .byte  196,66,37,184,207                   // vfmadd231ps   %ymm15,%ymm11,%ymm9
  .byte  196,66,101,170,225                  // vfmsub213ps   %ymm9,%ymm3,%ymm12
  .byte  196,65,60,88,204                    // vaddps        %ymm12,%ymm8,%ymm9
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,224                    // vminps        %ymm8,%ymm9,%ymm12
  .byte  196,65,44,89,198                    // vmulps        %ymm14,%ymm10,%ymm8
  .byte  196,66,53,184,197                   // vfmadd231ps   %ymm13,%ymm9,%ymm8
  .byte  196,66,37,184,199                   // vfmadd231ps   %ymm15,%ymm11,%ymm8
  .byte  196,65,52,92,232                    // vsubps        %ymm8,%ymm9,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,60,92,244                    // vsubps        %ymm12,%ymm8,%ymm14
  .byte  196,193,20,94,198                   // vdivps        %ymm14,%ymm13,%ymm0
  .byte  196,65,44,92,248                    // vsubps        %ymm8,%ymm10,%ymm15
  .byte  196,65,60,89,255                    // vmulps        %ymm15,%ymm8,%ymm15
  .byte  196,65,4,94,254                     // vdivps        %ymm14,%ymm15,%ymm15
  .byte  196,65,36,92,232                    // vsubps        %ymm8,%ymm11,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,20,94,238                    // vdivps        %ymm14,%ymm13,%ymm13
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,65,12,194,228,2                 // vcmpleps      %ymm12,%ymm14,%ymm12
  .byte  196,65,60,88,255                    // vaddps        %ymm15,%ymm8,%ymm15
  .byte  196,67,5,74,250,192                 // vblendvps     %ymm12,%ymm10,%ymm15,%ymm15
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,60,88,237                    // vaddps        %ymm13,%ymm8,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,195,125,74,201,192              // vblendvps     %ymm12,%ymm9,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,202                    // vmaxps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,92,208                   // vsubps        %ymm8,%ymm1,%ymm10
  .byte  196,65,28,92,232                    // vsubps        %ymm8,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,193,1                // vcmpltps      %ymm9,%ymm12,%ymm0
  .byte  196,65,52,92,200                    // vsubps        %ymm8,%ymm9,%ymm9
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,4,92,208                     // vsubps        %ymm8,%ymm15,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,67,5,74,210,0                   // vblendvps     %ymm0,%ymm10,%ymm15,%ymm10
  .byte  196,65,36,92,248                    // vsubps        %ymm8,%ymm11,%ymm15
  .byte  196,65,20,89,239                    // vmulps        %ymm15,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,193,116,95,206                  // vmaxps        %ymm14,%ymm1,%ymm1
  .byte  196,65,44,95,198                    // vmaxps        %ymm14,%ymm10,%ymm8
  .byte  196,65,124,95,206                   // vmaxps        %ymm14,%ymm0,%ymm9
  .byte  196,226,125,24,5,155,167,2,0        // vbroadcastss  0x2a79b(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,193                      // vaddps        %ymm1,%ymm2,%ymm0
  .byte  197,172,89,76,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,200                  // vaddps        %ymm8,%ymm1,%ymm1
  .byte  197,172,89,84,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,209                   // vaddps        %ymm9,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_hsw
.globl _sk_luminosity_hsw
FUNCTION(_sk_luminosity_hsw)
_sk_luminosity_hsw:
  .byte  197,124,40,202                      // vmovaps       %ymm2,%ymm9
  .byte  197,124,17,76,36,168                // vmovups       %ymm9,-0x58(%rsp)
  .byte  197,252,17,76,36,200                // vmovups       %ymm1,-0x38(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,100,89,196                      // vmulps        %ymm4,%ymm3,%ymm8
  .byte  197,100,89,213                      // vmulps        %ymm5,%ymm3,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  196,98,125,24,45,80,167,2,0         // vbroadcastss  0x2a750(%rip),%ymm13        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,98,125,24,53,75,167,2,0         // vbroadcastss  0x2a74b(%rip),%ymm14        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,116,89,230                   // vmulps        %ymm14,%ymm1,%ymm12
  .byte  196,66,109,184,229                  // vfmadd231ps   %ymm13,%ymm2,%ymm12
  .byte  196,98,125,24,61,60,167,2,0         // vbroadcastss  0x2a73c(%rip),%ymm15        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  196,66,53,184,231                   // vfmadd231ps   %ymm15,%ymm9,%ymm12
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,66,61,184,205                   // vfmadd231ps   %ymm13,%ymm8,%ymm9
  .byte  196,66,37,184,207                   // vfmadd231ps   %ymm15,%ymm11,%ymm9
  .byte  196,66,69,170,225                   // vfmsub213ps   %ymm9,%ymm7,%ymm12
  .byte  196,65,60,88,204                    // vaddps        %ymm12,%ymm8,%ymm9
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,224                    // vminps        %ymm8,%ymm9,%ymm12
  .byte  196,65,44,89,198                    // vmulps        %ymm14,%ymm10,%ymm8
  .byte  196,66,53,184,197                   // vfmadd231ps   %ymm13,%ymm9,%ymm8
  .byte  196,66,37,184,199                   // vfmadd231ps   %ymm15,%ymm11,%ymm8
  .byte  196,65,52,92,232                    // vsubps        %ymm8,%ymm9,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,60,92,244                    // vsubps        %ymm12,%ymm8,%ymm14
  .byte  196,193,20,94,198                   // vdivps        %ymm14,%ymm13,%ymm0
  .byte  196,65,44,92,248                    // vsubps        %ymm8,%ymm10,%ymm15
  .byte  196,65,60,89,255                    // vmulps        %ymm15,%ymm8,%ymm15
  .byte  196,65,4,94,254                     // vdivps        %ymm14,%ymm15,%ymm15
  .byte  196,65,36,92,232                    // vsubps        %ymm8,%ymm11,%ymm13
  .byte  196,65,60,89,237                    // vmulps        %ymm13,%ymm8,%ymm13
  .byte  196,65,20,94,238                    // vdivps        %ymm14,%ymm13,%ymm13
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,65,12,194,228,2                 // vcmpleps      %ymm12,%ymm14,%ymm12
  .byte  196,65,60,88,255                    // vaddps        %ymm15,%ymm8,%ymm15
  .byte  196,67,5,74,250,192                 // vblendvps     %ymm12,%ymm10,%ymm15,%ymm15
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,60,88,237                    // vaddps        %ymm13,%ymm8,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,195,125,74,201,192              // vblendvps     %ymm12,%ymm9,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,202                    // vmaxps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,92,208                   // vsubps        %ymm8,%ymm1,%ymm10
  .byte  196,65,28,92,232                    // vsubps        %ymm8,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,193,1                // vcmpltps      %ymm9,%ymm12,%ymm0
  .byte  196,65,52,92,200                    // vsubps        %ymm8,%ymm9,%ymm9
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,4,92,208                     // vsubps        %ymm8,%ymm15,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,209                    // vdivps        %ymm9,%ymm10,%ymm10
  .byte  196,65,60,88,210                    // vaddps        %ymm10,%ymm8,%ymm10
  .byte  196,67,5,74,210,0                   // vblendvps     %ymm0,%ymm10,%ymm15,%ymm10
  .byte  196,65,36,92,248                    // vsubps        %ymm8,%ymm11,%ymm15
  .byte  196,65,20,89,239                    // vmulps        %ymm15,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,193,116,95,206                  // vmaxps        %ymm14,%ymm1,%ymm1
  .byte  196,65,44,95,198                    // vmaxps        %ymm14,%ymm10,%ymm8
  .byte  196,65,124,95,206                   // vmaxps        %ymm14,%ymm0,%ymm9
  .byte  196,226,125,24,5,242,165,2,0        // vbroadcastss  0x2a5f2(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  196,226,37,184,212                  // vfmadd231ps   %ymm4,%ymm11,%ymm2
  .byte  197,236,88,193                      // vaddps        %ymm1,%ymm2,%ymm0
  .byte  197,172,89,76,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm1
  .byte  196,226,37,184,205                  // vfmadd231ps   %ymm5,%ymm11,%ymm1
  .byte  196,193,116,88,200                  // vaddps        %ymm8,%ymm1,%ymm1
  .byte  197,172,89,84,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm2
  .byte  196,98,77,168,218                   // vfmadd213ps   %ymm2,%ymm6,%ymm11
  .byte  196,193,36,88,209                   // vaddps        %ymm9,%ymm11,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_hsw
.globl _sk_srcover_rgba_8888_hsw
FUNCTION(_sk_srcover_rgba_8888_hsw)
_sk_srcover_rgba_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,179,0,0,0                    // jne           137f <_sk_srcover_rgba_8888_hsw+0xd3>
  .byte  196,129,126,111,60,152              // vmovdqu       (%r8,%r11,4),%ymm7
  .byte  197,197,219,37,102,167,2,0          // vpand         0x2a766(%rip),%ymm7,%ymm4        # 2ba40 <_sk_overlay_sse2_8bit+0x624>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,69,0,45,121,167,2,0         // vpshufb       0x2a779(%rip),%ymm7,%ymm5        # 2ba60 <_sk_overlay_sse2_8bit+0x644>
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,69,0,53,140,167,2,0         // vpshufb       0x2a78c(%rip),%ymm7,%ymm6        # 2ba80 <_sk_overlay_sse2_8bit+0x664>
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  197,197,114,215,24                  // vpsrld        $0x18,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,82,165,2,0          // vbroadcastss  0x2a552(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,125,24,13,113,165,2,0        // vbroadcastss  0x2a571(%rip),%ymm9        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  196,194,93,184,192                  // vfmadd231ps   %ymm8,%ymm4,%ymm0
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,194,85,184,200                  // vfmadd231ps   %ymm8,%ymm5,%ymm1
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  196,194,77,184,208                  // vfmadd231ps   %ymm8,%ymm6,%ymm2
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  196,194,69,184,216                  // vfmadd231ps   %ymm8,%ymm7,%ymm3
  .byte  197,125,91,192                      // vcvtps2dq     %ymm0,%ymm8
  .byte  197,125,91,201                      // vcvtps2dq     %ymm1,%ymm9
  .byte  196,193,53,114,241,8                // vpslld        $0x8,%ymm9,%ymm9
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  197,125,91,202                      // vcvtps2dq     %ymm2,%ymm9
  .byte  196,193,53,114,241,16               // vpslld        $0x10,%ymm9,%ymm9
  .byte  197,125,91,211                      // vcvtps2dq     %ymm3,%ymm10
  .byte  196,193,45,114,242,24               // vpslld        $0x18,%ymm10,%ymm10
  .byte  196,65,53,235,202                   // vpor          %ymm10,%ymm9,%ymm9
  .byte  196,65,61,235,193                   // vpor          %ymm9,%ymm8,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,65                              // jne           13b6 <_sk_srcover_rgba_8888_hsw+0x10a>
  .byte  196,1,126,127,4,152                 // vmovdqu       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,197,239,255                     // vpxor         %ymm7,%ymm7,%ymm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,59,255,255,255               // ja            12d2 <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,254,0,0,0                 // lea           0xfe(%rip),%r10        # 14a0 <_sk_srcover_rgba_8888_hsw+0x1f4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,60,152              // vmovd         (%r8,%r11,4),%xmm7
  .byte  233,28,255,255,255                  // jmpq          12d2 <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,181                             // ja            137b <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,235,0,0,0                 // lea           0xeb(%rip),%r9        # 14bc <_sk_srcover_rgba_8888_hsw+0x210>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,153                             // jmp           137b <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,4                  // vpblendd      $0x4,%ymm4,%ymm5,%ymm7
  .byte  196,129,122,126,36,152              // vmovq         (%r8,%r11,4),%xmm4
  .byte  196,227,69,2,252,3                  // vpblendd      $0x3,%ymm4,%ymm7,%ymm7
  .byte  233,201,254,255,255                 // jmpq          12d2 <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,64                 // vpblendd      $0x40,%ymm4,%ymm5,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,255,240                // vpblendd      $0xf0,%ymm7,%ymm4,%ymm7
  .byte  233,122,254,255,255                 // jmpq          12d2 <_sk_srcover_rgba_8888_hsw+0x26>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  233,16,255,255,255                  // jmpq          137b <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,1,121,126,76,152,16             // vmovd         %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,122,127,4,152                 // vmovdqu       %xmm8,(%r8,%r11,4)
  .byte  233,220,254,255,255                 // jmpq          137b <_sk_srcover_rgba_8888_hsw+0xcf>
  .byte  144                                 // nop
  .byte  11,255                              // or            %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,88,255                          // lcall         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,66,255                          // incl          -0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,167,255,255,255,147             // jmpq          *-0x6c000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,255                             // jg            14b5 <_sk_srcover_rgba_8888_hsw+0x209>
  .byte  255                                 // (bad)
  .byte  255,105,255                         // ljmp          *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,164,255,255,255,156,255         // jmpq          *-0x630001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  216,255                             // fdivr         %st(7),%st
  .byte  255                                 // (bad)
  .byte  255,203                             // dec           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,255,255,255,175                 // mov           $0xafffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_clamp_0_hsw
.globl _sk_clamp_0_hsw
FUNCTION(_sk_clamp_0_hsw)
_sk_clamp_0_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_hsw
.globl _sk_clamp_1_hsw
FUNCTION(_sk_clamp_1_hsw)
_sk_clamp_1_hsw:
  .byte  196,98,125,24,5,94,163,2,0          // vbroadcastss  0x2a35e(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_hsw
.globl _sk_clamp_a_hsw
FUNCTION(_sk_clamp_a_hsw)
_sk_clamp_a_hsw:
  .byte  196,98,125,24,5,61,163,2,0          // vbroadcastss  0x2a33d(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_hsw
.globl _sk_clamp_a_dst_hsw
FUNCTION(_sk_clamp_a_dst_hsw)
_sk_clamp_a_dst_hsw:
  .byte  196,98,125,24,5,31,163,2,0          // vbroadcastss  0x2a31f(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,68,93,248                   // vminps        %ymm8,%ymm7,%ymm7
  .byte  197,220,93,231                      // vminps        %ymm7,%ymm4,%ymm4
  .byte  197,212,93,239                      // vminps        %ymm7,%ymm5,%ymm5
  .byte  197,204,93,247                      // vminps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_hsw
.globl _sk_set_rgb_hsw
FUNCTION(_sk_set_rgb_hsw)
_sk_set_rgb_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_hsw
.globl _sk_swap_rb_hsw
FUNCTION(_sk_swap_rb_hsw)
_sk_swap_rb_hsw:
  .byte  197,124,40,192                      // vmovaps       %ymm0,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,194                      // vmovaps       %ymm2,%ymm0
  .byte  197,124,41,194                      // vmovaps       %ymm8,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_hsw
.globl _sk_invert_hsw
FUNCTION(_sk_invert_hsw)
_sk_invert_hsw:
  .byte  196,98,125,24,5,218,162,2,0         // vbroadcastss  0x2a2da(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  197,188,92,219                      // vsubps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_hsw
.globl _sk_move_src_dst_hsw
FUNCTION(_sk_move_src_dst_hsw)
_sk_move_src_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,224                      // vmovaps       %ymm0,%ymm4
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  197,252,40,242                      // vmovaps       %ymm2,%ymm6
  .byte  197,252,40,251                      // vmovaps       %ymm3,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_hsw
.globl _sk_move_dst_src_hsw
FUNCTION(_sk_move_dst_src_hsw)
_sk_move_dst_src_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,196                      // vmovaps       %ymm4,%ymm0
  .byte  197,252,40,205                      // vmovaps       %ymm5,%ymm1
  .byte  197,252,40,214                      // vmovaps       %ymm6,%ymm2
  .byte  197,252,40,223                      // vmovaps       %ymm7,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_hsw
.globl _sk_premul_hsw
FUNCTION(_sk_premul_hsw)
_sk_premul_hsw:
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_hsw
.globl _sk_premul_dst_hsw
FUNCTION(_sk_premul_dst_hsw)
_sk_premul_dst_hsw:
  .byte  197,220,89,231                      // vmulps        %ymm7,%ymm4,%ymm4
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_hsw
.globl _sk_unpremul_hsw
FUNCTION(_sk_unpremul_hsw)
_sk_unpremul_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,100,194,200,0                // vcmpeqps      %ymm8,%ymm3,%ymm9
  .byte  196,98,125,24,21,106,162,2,0        // vbroadcastss  0x2a26a(%rip),%ymm10        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,44,94,211                       // vdivps        %ymm3,%ymm10,%ymm10
  .byte  196,67,45,74,192,144                // vblendvps     %ymm9,%ymm8,%ymm10,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_hsw
.globl _sk_from_srgb_hsw
FUNCTION(_sk_from_srgb_hsw)
_sk_from_srgb_hsw:
  .byte  196,98,125,24,5,119,162,2,0         // vbroadcastss  0x2a277(%rip),%ymm8        # 2b88c <_sk_overlay_sse2_8bit+0x470>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  197,124,89,208                      // vmulps        %ymm0,%ymm0,%ymm10
  .byte  196,98,125,24,29,105,162,2,0        // vbroadcastss  0x2a269(%rip),%ymm11        # 2b890 <_sk_overlay_sse2_8bit+0x474>
  .byte  196,98,125,24,37,76,162,2,0         // vbroadcastss  0x2a24c(%rip),%ymm12        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,124,40,236                   // vmovaps       %ymm12,%ymm13
  .byte  196,66,125,168,235                  // vfmadd213ps   %ymm11,%ymm0,%ymm13
  .byte  196,98,125,24,53,81,162,2,0         // vbroadcastss  0x2a251(%rip),%ymm14        # 2b894 <_sk_overlay_sse2_8bit+0x478>
  .byte  196,66,45,168,238                   // vfmadd213ps   %ymm14,%ymm10,%ymm13
  .byte  196,98,125,24,21,71,162,2,0         // vbroadcastss  0x2a247(%rip),%ymm10        # 2b898 <_sk_overlay_sse2_8bit+0x47c>
  .byte  196,193,124,194,194,1               // vcmpltps      %ymm10,%ymm0,%ymm0
  .byte  196,195,21,74,193,0                 // vblendvps     %ymm0,%ymm9,%ymm13,%ymm0
  .byte  196,65,116,89,200                   // vmulps        %ymm8,%ymm1,%ymm9
  .byte  197,116,89,233                      // vmulps        %ymm1,%ymm1,%ymm13
  .byte  196,65,124,40,252                   // vmovaps       %ymm12,%ymm15
  .byte  196,66,117,168,251                  // vfmadd213ps   %ymm11,%ymm1,%ymm15
  .byte  196,66,21,168,254                   // vfmadd213ps   %ymm14,%ymm13,%ymm15
  .byte  196,193,116,194,202,1               // vcmpltps      %ymm10,%ymm1,%ymm1
  .byte  196,195,5,74,201,16                 // vblendvps     %ymm1,%ymm9,%ymm15,%ymm1
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  197,108,89,202                      // vmulps        %ymm2,%ymm2,%ymm9
  .byte  196,66,109,168,227                  // vfmadd213ps   %ymm11,%ymm2,%ymm12
  .byte  196,66,53,168,230                   // vfmadd213ps   %ymm14,%ymm9,%ymm12
  .byte  196,193,108,194,210,1               // vcmpltps      %ymm10,%ymm2,%ymm2
  .byte  196,195,29,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm12,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_hsw
.globl _sk_from_srgb_dst_hsw
FUNCTION(_sk_from_srgb_dst_hsw)
_sk_from_srgb_dst_hsw:
  .byte  196,98,125,24,5,223,161,2,0         // vbroadcastss  0x2a1df(%rip),%ymm8        # 2b88c <_sk_overlay_sse2_8bit+0x470>
  .byte  196,65,92,89,200                    // vmulps        %ymm8,%ymm4,%ymm9
  .byte  197,92,89,212                       // vmulps        %ymm4,%ymm4,%ymm10
  .byte  196,98,125,24,29,209,161,2,0        // vbroadcastss  0x2a1d1(%rip),%ymm11        # 2b890 <_sk_overlay_sse2_8bit+0x474>
  .byte  196,98,125,24,37,180,161,2,0        // vbroadcastss  0x2a1b4(%rip),%ymm12        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,124,40,236                   // vmovaps       %ymm12,%ymm13
  .byte  196,66,93,168,235                   // vfmadd213ps   %ymm11,%ymm4,%ymm13
  .byte  196,98,125,24,53,185,161,2,0        // vbroadcastss  0x2a1b9(%rip),%ymm14        # 2b894 <_sk_overlay_sse2_8bit+0x478>
  .byte  196,66,45,168,238                   // vfmadd213ps   %ymm14,%ymm10,%ymm13
  .byte  196,98,125,24,21,175,161,2,0        // vbroadcastss  0x2a1af(%rip),%ymm10        # 2b898 <_sk_overlay_sse2_8bit+0x47c>
  .byte  196,193,92,194,226,1                // vcmpltps      %ymm10,%ymm4,%ymm4
  .byte  196,195,21,74,225,64                // vblendvps     %ymm4,%ymm9,%ymm13,%ymm4
  .byte  196,65,84,89,200                    // vmulps        %ymm8,%ymm5,%ymm9
  .byte  197,84,89,237                       // vmulps        %ymm5,%ymm5,%ymm13
  .byte  196,65,124,40,252                   // vmovaps       %ymm12,%ymm15
  .byte  196,66,85,168,251                   // vfmadd213ps   %ymm11,%ymm5,%ymm15
  .byte  196,66,21,168,254                   // vfmadd213ps   %ymm14,%ymm13,%ymm15
  .byte  196,193,84,194,234,1                // vcmpltps      %ymm10,%ymm5,%ymm5
  .byte  196,195,5,74,233,80                 // vblendvps     %ymm5,%ymm9,%ymm15,%ymm5
  .byte  196,65,76,89,192                    // vmulps        %ymm8,%ymm6,%ymm8
  .byte  197,76,89,206                       // vmulps        %ymm6,%ymm6,%ymm9
  .byte  196,66,77,168,227                   // vfmadd213ps   %ymm11,%ymm6,%ymm12
  .byte  196,66,53,168,230                   // vfmadd213ps   %ymm14,%ymm9,%ymm12
  .byte  196,193,76,194,242,1                // vcmpltps      %ymm10,%ymm6,%ymm6
  .byte  196,195,29,74,240,96                // vblendvps     %ymm6,%ymm8,%ymm12,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_hsw
.globl _sk_to_srgb_hsw
FUNCTION(_sk_to_srgb_hsw)
_sk_to_srgb_hsw:
  .byte  197,124,82,200                      // vrsqrtps      %ymm0,%ymm9
  .byte  196,98,125,24,5,83,161,2,0          // vbroadcastss  0x2a153(%rip),%ymm8        # 2b89c <_sk_overlay_sse2_8bit+0x480>
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,98,125,24,29,73,161,2,0         // vbroadcastss  0x2a149(%rip),%ymm11        # 2b8a0 <_sk_overlay_sse2_8bit+0x484>
  .byte  196,98,125,24,37,68,161,2,0         // vbroadcastss  0x2a144(%rip),%ymm12        # 2b8a4 <_sk_overlay_sse2_8bit+0x488>
  .byte  196,65,124,40,236                   // vmovaps       %ymm12,%ymm13
  .byte  196,66,53,168,235                   // vfmadd213ps   %ymm11,%ymm9,%ymm13
  .byte  196,98,125,24,53,53,161,2,0         // vbroadcastss  0x2a135(%rip),%ymm14        # 2b8a8 <_sk_overlay_sse2_8bit+0x48c>
  .byte  196,66,53,168,238                   // vfmadd213ps   %ymm14,%ymm9,%ymm13
  .byte  196,98,125,24,61,43,161,2,0         // vbroadcastss  0x2a12b(%rip),%ymm15        # 2b8ac <_sk_overlay_sse2_8bit+0x490>
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,20,89,201                    // vmulps        %ymm9,%ymm13,%ymm9
  .byte  196,98,125,24,45,23,161,2,0         // vbroadcastss  0x2a117(%rip),%ymm13        # 2b8b0 <_sk_overlay_sse2_8bit+0x494>
  .byte  196,193,124,194,197,1               // vcmpltps      %ymm13,%ymm0,%ymm0
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  197,124,82,201                      // vrsqrtps      %ymm1,%ymm9
  .byte  196,65,124,40,212                   // vmovaps       %ymm12,%ymm10
  .byte  196,66,53,168,211                   // vfmadd213ps   %ymm11,%ymm9,%ymm10
  .byte  196,66,53,168,214                   // vfmadd213ps   %ymm14,%ymm9,%ymm10
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,44,89,201                    // vmulps        %ymm9,%ymm10,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,193,116,194,205,1               // vcmpltps      %ymm13,%ymm1,%ymm1
  .byte  196,195,53,74,202,16                // vblendvps     %ymm1,%ymm10,%ymm9,%ymm1
  .byte  197,124,82,202                      // vrsqrtps      %ymm2,%ymm9
  .byte  196,66,53,168,227                   // vfmadd213ps   %ymm11,%ymm9,%ymm12
  .byte  196,66,53,168,230                   // vfmadd213ps   %ymm14,%ymm9,%ymm12
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,193,108,194,213,1               // vcmpltps      %ymm13,%ymm2,%ymm2
  .byte  196,195,53,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm9,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_hsw
.globl _sk_rgb_to_hsl_hsw
FUNCTION(_sk_rgb_to_hsl_hsw)
_sk_rgb_to_hsl_hsw:
  .byte  197,116,95,194                      // vmaxps        %ymm2,%ymm1,%ymm8
  .byte  196,65,124,95,192                   // vmaxps        %ymm8,%ymm0,%ymm8
  .byte  197,116,93,202                      // vminps        %ymm2,%ymm1,%ymm9
  .byte  196,65,124,93,201                   // vminps        %ymm9,%ymm0,%ymm9
  .byte  196,65,60,92,209                    // vsubps        %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,29,50,160,2,0         // vbroadcastss  0x2a032(%rip),%ymm11        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  197,116,92,226                      // vsubps        %ymm2,%ymm1,%ymm12
  .byte  197,116,194,234,1                   // vcmpltps      %ymm2,%ymm1,%ymm13
  .byte  196,98,125,24,53,115,160,2,0        // vbroadcastss  0x2a073(%rip),%ymm14        # 2b8b4 <_sk_overlay_sse2_8bit+0x498>
  .byte  196,65,4,87,255                     // vxorps        %ymm15,%ymm15,%ymm15
  .byte  196,67,5,74,238,208                 // vblendvps     %ymm13,%ymm14,%ymm15,%ymm13
  .byte  196,66,37,168,229                   // vfmadd213ps   %ymm13,%ymm11,%ymm12
  .byte  197,236,92,208                      // vsubps        %ymm0,%ymm2,%ymm2
  .byte  197,124,92,233                      // vsubps        %ymm1,%ymm0,%ymm13
  .byte  196,98,125,24,53,90,160,2,0         // vbroadcastss  0x2a05a(%rip),%ymm14        # 2b8bc <_sk_overlay_sse2_8bit+0x4a0>
  .byte  196,66,37,168,238                   // vfmadd213ps   %ymm14,%ymm11,%ymm13
  .byte  196,98,125,24,53,72,160,2,0         // vbroadcastss  0x2a048(%rip),%ymm14        # 2b8b8 <_sk_overlay_sse2_8bit+0x49c>
  .byte  196,194,37,168,214                  // vfmadd213ps   %ymm14,%ymm11,%ymm2
  .byte  197,188,194,201,0                   // vcmpeqps      %ymm1,%ymm8,%ymm1
  .byte  196,227,21,74,202,16                // vblendvps     %ymm1,%ymm2,%ymm13,%ymm1
  .byte  197,188,194,192,0                   // vcmpeqps      %ymm0,%ymm8,%ymm0
  .byte  196,195,117,74,196,0                // vblendvps     %ymm0,%ymm12,%ymm1,%ymm0
  .byte  196,193,60,88,201                   // vaddps        %ymm9,%ymm8,%ymm1
  .byte  196,98,125,24,29,191,159,2,0        // vbroadcastss  0x29fbf(%rip),%ymm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,193,116,89,211                  // vmulps        %ymm11,%ymm1,%ymm2
  .byte  197,36,194,218,1                    // vcmpltps      %ymm2,%ymm11,%ymm11
  .byte  196,65,12,92,224                    // vsubps        %ymm8,%ymm14,%ymm12
  .byte  196,65,28,92,225                    // vsubps        %ymm9,%ymm12,%ymm12
  .byte  196,195,117,74,204,176              // vblendvps     %ymm11,%ymm12,%ymm1,%ymm1
  .byte  196,65,60,194,193,0                 // vcmpeqps      %ymm9,%ymm8,%ymm8
  .byte  197,172,94,201                      // vdivps        %ymm1,%ymm10,%ymm1
  .byte  196,195,125,74,199,128              // vblendvps     %ymm8,%ymm15,%ymm0,%ymm0
  .byte  196,195,117,74,207,128              // vblendvps     %ymm8,%ymm15,%ymm1,%ymm1
  .byte  196,98,125,24,5,238,159,2,0         // vbroadcastss  0x29fee(%rip),%ymm8        # 2b8c0 <_sk_overlay_sse2_8bit+0x4a4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_hsw
.globl _sk_hsl_to_rgb_hsw
FUNCTION(_sk_hsl_to_rgb_hsw)
_sk_hsl_to_rgb_hsw:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  197,252,17,60,36                    // vmovups       %ymm7,(%rsp)
  .byte  197,252,17,116,36,224               // vmovups       %ymm6,-0x20(%rsp)
  .byte  197,252,17,108,36,192               // vmovups       %ymm5,-0x40(%rsp)
  .byte  197,252,17,100,36,160               // vmovups       %ymm4,-0x60(%rsp)
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  197,252,40,224                      // vmovaps       %ymm0,%ymm4
  .byte  196,98,125,24,5,75,159,2,0          // vbroadcastss  0x29f4b(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,60,194,202,2                    // vcmpleps      %ymm2,%ymm8,%ymm9
  .byte  197,84,89,210                       // vmulps        %ymm2,%ymm5,%ymm10
  .byte  196,65,84,92,218                    // vsubps        %ymm10,%ymm5,%ymm11
  .byte  196,67,45,74,203,144                // vblendvps     %ymm9,%ymm11,%ymm10,%ymm9
  .byte  197,52,88,210                       // vaddps        %ymm2,%ymm9,%ymm10
  .byte  196,98,125,24,13,138,159,2,0        // vbroadcastss  0x29f8a(%rip),%ymm9        # 2b8b8 <_sk_overlay_sse2_8bit+0x49c>
  .byte  196,66,109,170,202                  // vfmsub213ps   %ymm10,%ymm2,%ymm9
  .byte  196,98,125,24,29,136,159,2,0        // vbroadcastss  0x29f88(%rip),%ymm11        # 2b8c4 <_sk_overlay_sse2_8bit+0x4a8>
  .byte  196,65,92,88,219                    // vaddps        %ymm11,%ymm4,%ymm11
  .byte  196,67,125,8,227,1                  // vroundps      $0x1,%ymm11,%ymm12
  .byte  196,65,36,92,252                    // vsubps        %ymm12,%ymm11,%ymm15
  .byte  196,65,44,92,217                    // vsubps        %ymm9,%ymm10,%ymm11
  .byte  196,98,125,24,45,90,159,2,0         // vbroadcastss  0x29f5a(%rip),%ymm13        # 2b8b4 <_sk_overlay_sse2_8bit+0x498>
  .byte  196,193,4,89,197                    // vmulps        %ymm13,%ymm15,%ymm0
  .byte  196,98,125,24,53,84,159,2,0         // vbroadcastss  0x29f54(%rip),%ymm14        # 2b8bc <_sk_overlay_sse2_8bit+0x4a0>
  .byte  197,12,92,224                       // vsubps        %ymm0,%ymm14,%ymm12
  .byte  196,66,37,168,225                   // vfmadd213ps   %ymm9,%ymm11,%ymm12
  .byte  196,226,125,24,29,78,159,2,0        // vbroadcastss  0x29f4e(%rip),%ymm3        # 2b8c8 <_sk_overlay_sse2_8bit+0x4ac>
  .byte  196,193,100,194,255,2               // vcmpleps      %ymm15,%ymm3,%ymm7
  .byte  196,195,29,74,249,112               // vblendvps     %ymm7,%ymm9,%ymm12,%ymm7
  .byte  196,65,60,194,231,2                 // vcmpleps      %ymm15,%ymm8,%ymm12
  .byte  196,227,45,74,255,192               // vblendvps     %ymm12,%ymm7,%ymm10,%ymm7
  .byte  196,98,125,24,37,37,159,2,0         // vbroadcastss  0x29f25(%rip),%ymm12        # 2b8c0 <_sk_overlay_sse2_8bit+0x4a4>
  .byte  196,65,28,194,255,2                 // vcmpleps      %ymm15,%ymm12,%ymm15
  .byte  196,194,37,168,193                  // vfmadd213ps   %ymm9,%ymm11,%ymm0
  .byte  196,99,125,74,255,240               // vblendvps     %ymm15,%ymm7,%ymm0,%ymm15
  .byte  196,227,125,8,196,1                 // vroundps      $0x1,%ymm4,%ymm0
  .byte  197,220,92,192                      // vsubps        %ymm0,%ymm4,%ymm0
  .byte  196,193,124,89,253                  // vmulps        %ymm13,%ymm0,%ymm7
  .byte  197,140,92,207                      // vsubps        %ymm7,%ymm14,%ymm1
  .byte  196,194,37,168,201                  // vfmadd213ps   %ymm9,%ymm11,%ymm1
  .byte  197,228,194,240,2                   // vcmpleps      %ymm0,%ymm3,%ymm6
  .byte  196,195,117,74,201,96               // vblendvps     %ymm6,%ymm9,%ymm1,%ymm1
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,201,96                // vblendvps     %ymm6,%ymm1,%ymm10,%ymm1
  .byte  197,156,194,192,2                   // vcmpleps      %ymm0,%ymm12,%ymm0
  .byte  196,194,37,168,249                  // vfmadd213ps   %ymm9,%ymm11,%ymm7
  .byte  196,227,69,74,201,0                 // vblendvps     %ymm0,%ymm1,%ymm7,%ymm1
  .byte  196,226,125,24,5,217,158,2,0        // vbroadcastss  0x29ed9(%rip),%ymm0        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  197,220,88,192                      // vaddps        %ymm0,%ymm4,%ymm0
  .byte  196,227,125,8,224,1                 // vroundps      $0x1,%ymm0,%ymm4
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  197,228,194,216,2                   // vcmpleps      %ymm0,%ymm3,%ymm3
  .byte  196,193,124,89,229                  // vmulps        %ymm13,%ymm0,%ymm4
  .byte  197,140,92,244                      // vsubps        %ymm4,%ymm14,%ymm6
  .byte  196,194,37,168,241                  // vfmadd213ps   %ymm9,%ymm11,%ymm6
  .byte  196,195,77,74,217,48                // vblendvps     %ymm3,%ymm9,%ymm6,%ymm3
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,219,96                // vblendvps     %ymm6,%ymm3,%ymm10,%ymm3
  .byte  196,98,37,184,204                   // vfmadd231ps   %ymm4,%ymm11,%ymm9
  .byte  197,156,194,192,2                   // vcmpleps      %ymm0,%ymm12,%ymm0
  .byte  196,227,53,74,219,0                 // vblendvps     %ymm0,%ymm3,%ymm9,%ymm3
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,212,194,224,0                   // vcmpeqps      %ymm0,%ymm5,%ymm4
  .byte  196,227,5,74,194,64                 // vblendvps     %ymm4,%ymm2,%ymm15,%ymm0
  .byte  196,227,117,74,202,64               // vblendvps     %ymm4,%ymm2,%ymm1,%ymm1
  .byte  196,227,101,74,210,64               // vblendvps     %ymm4,%ymm2,%ymm3,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,252,16,100,36,160               // vmovups       -0x60(%rsp),%ymm4
  .byte  197,252,16,108,36,192               // vmovups       -0x40(%rsp),%ymm5
  .byte  197,252,16,116,36,224               // vmovups       -0x20(%rsp),%ymm6
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_hsw
.globl _sk_scale_1_float_hsw
FUNCTION(_sk_scale_1_float_hsw)
_sk_scale_1_float_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_hsw
.globl _sk_scale_u8_hsw
FUNCTION(_sk_scale_u8_hsw)
_sk_scale_u8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,58                              // jne           1ae2 <_sk_scale_u8_hsw+0x52>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,154,167,2,0            // vpand         0x2a79a(%rip),%xmm8,%xmm8        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,7,158,2,0          // vbroadcastss  0x29e07(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,183                             // ja            1aae <_sk_scale_u8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # 1b7c <_sk_scale_u8_hsw+0xec>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  235,152                             // jmp           1aae <_sk_scale_u8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,111,255,255,255                 // jmpq          1aae <_sk_scale_u8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,51,255,255,255                  // jmpq          1aae <_sk_scale_u8_hsw+0x1e>
  .byte  144                                 // nop
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,154             // ljmp          *-0x65000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf001b8c <_sk_overlay_sse2_8bit+0xffffffffdefd6770>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_565_hsw
.globl _sk_scale_565_hsw
FUNCTION(_sk_scale_565_hsw)
_sk_scale_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,161,0,0,0                    // jne           1c58 <_sk_scale_565_hsw+0xc0>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,98,125,88,13,9,157,2,0          // vpbroadcastd  0x29d09(%rip),%ymm9        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  196,65,61,219,201                   // vpand         %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,250,156,2,0        // vbroadcastss  0x29cfa(%rip),%ymm10        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,88,21,240,156,2,0        // vpbroadcastd  0x29cf0(%rip),%ymm10        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  196,65,61,219,210                   // vpand         %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,225,156,2,0        // vbroadcastss  0x29ce1(%rip),%ymm11        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,88,29,215,156,2,0        // vpbroadcastd  0x29cd7(%rip),%ymm11        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  196,65,61,219,195                   // vpand         %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,200,156,2,0        // vbroadcastss  0x29cc8(%rip),%ymm11        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,164,89,219                      // vmulps        %ymm3,%ymm11,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,76,255,255,255               // ja            1bbd <_sk_scale_565_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 1ce0 <_sk_scale_565_hsw+0x148>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,42,255,255,255                  // jmpq          1bbd <_sk_scale_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,12,255,255,255                  // jmpq          1bbd <_sk_scale_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,222,254,255,255                 // jmpq          1bbd <_sk_scale_565_hsw+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_hsw
.globl _sk_lerp_1_float_hsw
FUNCTION(_sk_lerp_1_float_hsw)
_sk_lerp_1_float_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,226,61,168,223                  // vfmadd213ps   %ymm7,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_hsw
.globl _sk_lerp_u8_hsw
FUNCTION(_sk_lerp_u8_hsw)
_sk_lerp_u8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,78                              // jne           1d91 <_sk_lerp_u8_hsw+0x66>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,255,164,2,0            // vpand         0x2a4ff(%rip),%xmm8,%xmm8        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,108,155,2,0        // vbroadcastss  0x29b6c(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,226,61,168,223                  // vfmadd213ps   %ymm7,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,163                             // ja            1d49 <_sk_lerp_u8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,123,0,0,0                 // lea           0x7b(%rip),%r10        # 1e2c <_sk_lerp_u8_hsw+0x101>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  235,132                             // jmp           1d49 <_sk_lerp_u8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,91,255,255,255                  // jmpq          1d49 <_sk_lerp_u8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,31,255,255,255                  // jmpq          1d49 <_sk_lerp_u8_hsw+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  142,255                             // mov           %edi,%?
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,153             // ljmp          *-0x66000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  232,255,255,255,221                 // callq         ffffffffde001e3c <_sk_overlay_sse2_8bit+0xffffffffddfd6a20>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_565_hsw
.globl _sk_lerp_565_hsw
FUNCTION(_sk_lerp_565_hsw)
_sk_lerp_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,181,0,0,0                    // jne           1f1c <_sk_lerp_565_hsw+0xd4>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,66,125,51,192                   // vpmovzxwd     %xmm8,%ymm8
  .byte  196,98,125,88,13,89,154,2,0         // vpbroadcastd  0x29a59(%rip),%ymm9        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  196,65,61,219,201                   // vpand         %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,74,154,2,0         // vbroadcastss  0x29a4a(%rip),%ymm10        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,88,21,64,154,2,0         // vpbroadcastd  0x29a40(%rip),%ymm10        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  196,65,61,219,210                   // vpand         %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,49,154,2,0         // vbroadcastss  0x29a31(%rip),%ymm11        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,88,29,39,154,2,0         // vpbroadcastd  0x29a27(%rip),%ymm11        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  196,65,61,219,195                   // vpand         %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,24,154,2,0         // vbroadcastss  0x29a18(%rip),%ymm11        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,226,53,168,196                  // vfmadd213ps   %ymm4,%ymm9,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,226,45,168,205                  // vfmadd213ps   %ymm5,%ymm10,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,226,37,168,223                  // vfmadd213ps   %ymm7,%ymm11,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,56,255,255,255               // ja            1e6d <_sk_lerp_565_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 1fa4 <_sk_lerp_565_hsw+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,22,255,255,255                  // jmpq          1e6d <_sk_lerp_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,2,193,1                   // vpblendd      $0x1,%xmm9,%xmm8,%xmm8
  .byte  233,248,254,255,255                 // jmpq          1e6d <_sk_lerp_565_hsw+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,2,192,12                  // vpblendd      $0xc,%xmm8,%xmm9,%xmm8
  .byte  233,202,254,255,255                 // jmpq          1e6d <_sk_lerp_565_hsw+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_hsw
.globl _sk_load_tables_hsw
FUNCTION(_sk_load_tables_hsw)
_sk_load_tables_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,103                             // jne           2031 <_sk_load_tables_hsw+0x71>
  .byte  196,193,126,111,28,144              // vmovdqu       (%r8,%rdx,4),%ymm3
  .byte  197,229,219,13,200,154,2,0          // vpand         0x29ac8(%rip),%ymm3,%ymm1        # 2baa0 <_sk_overlay_sse2_8bit+0x684>
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,194,109,146,4,136               // vgatherdps    %ymm2,(%r8,%ymm1,4),%ymm0
  .byte  196,226,101,0,21,200,154,2,0        // vpshufb       0x29ac8(%rip),%ymm3,%ymm2        # 2bac0 <_sk_overlay_sse2_8bit+0x6a4>
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,194,53,146,12,145               // vgatherdps    %ymm9,(%r9,%ymm2,4),%ymm1
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  196,98,101,0,13,208,154,2,0         // vpshufb       0x29ad0(%rip),%ymm3,%ymm9        # 2bae0 <_sk_overlay_sse2_8bit+0x6c4>
  .byte  196,162,61,146,20,136               // vgatherdps    %ymm8,(%rax,%ymm9,4),%ymm2
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,168,152,2,0         // vbroadcastss  0x298a8(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,139                             // ja            1fd0 <_sk_load_tables_hsw+0x10>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,140,0,0,0                 // lea           0x8c(%rip),%r10        # 20dc <_sk_load_tables_hsw+0x11c>
  .byte  79,99,12,138                        // movslq        (%r10,%r9,4),%r9
  .byte  77,1,209                            // add           %r10,%r9
  .byte  65,255,225                          // jmpq          *%r9
  .byte  196,193,121,110,28,144              // vmovd         (%r8,%rdx,4),%xmm3
  .byte  233,107,255,255,255                 // jmpq          1fd0 <_sk_load_tables_hsw+0x10>
  .byte  196,193,121,110,68,144,8            // vmovd         0x8(%r8,%rdx,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm3
  .byte  196,193,122,126,4,144               // vmovq         (%r8,%rdx,4),%xmm0
  .byte  196,227,101,2,216,3                 // vpblendd      $0x3,%ymm0,%ymm3,%ymm3
  .byte  233,68,255,255,255                  // jmpq          1fd0 <_sk_load_tables_hsw+0x10>
  .byte  196,193,121,110,68,144,24           // vmovd         0x18(%r8,%rdx,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,195,121,34,68,144,20,1          // vpinsrd       $0x1,0x14(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,195,121,34,68,144,16,0          // vpinsrd       $0x0,0x10(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,193,122,111,4,144               // vmovdqu       (%r8,%rdx,4),%xmm0
  .byte  196,227,125,2,219,240               // vpblendd      $0xf0,%ymm3,%ymm0,%ymm3
  .byte  233,245,254,255,255                 // jmpq          1fd0 <_sk_load_tables_hsw+0x10>
  .byte  144                                 // nop
  .byte  126,255                             // jle           20dd <_sk_load_tables_hsw+0x11d>
  .byte  255                                 // (bad)
  .byte  255,159,255,255,255,137             // lcall         *-0x76000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  176,255                             // mov           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_u16_be_hsw
.globl _sk_load_tables_u16_be_hsw
FUNCTION(_sk_load_tables_u16_be_hsw)
_sk_load_tables_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,201,0,0,0                    // jne           21d7 <_sk_load_tables_u16_be_hsw+0xdf>
  .byte  196,1,121,16,4,72                   // vmovupd       (%r8,%r9,2),%xmm8
  .byte  196,129,121,16,84,72,16             // vmovupd       0x10(%r8,%r9,2),%xmm2
  .byte  196,129,121,16,92,72,32             // vmovupd       0x20(%r8,%r9,2),%xmm3
  .byte  196,1,122,111,76,72,48              // vmovdqu       0x30(%r8,%r9,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,194                      // vpunpcklwd    %xmm2,%xmm0,%xmm8
  .byte  197,121,105,202                     // vpunpckhwd    %xmm2,%xmm0,%xmm9
  .byte  197,241,97,195                      // vpunpcklwd    %xmm3,%xmm1,%xmm0
  .byte  197,241,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm3
  .byte  197,185,108,200                     // vpunpcklqdq   %xmm0,%xmm8,%xmm1
  .byte  197,185,109,208                     // vpunpckhqdq   %xmm0,%xmm8,%xmm2
  .byte  197,49,108,195                      // vpunpcklqdq   %xmm3,%xmm9,%xmm8
  .byte  197,121,111,21,241,160,2,0          // vmovdqa       0x2a0f1(%rip),%xmm10        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,193,113,219,194                 // vpand         %xmm10,%xmm1,%xmm0
  .byte  196,226,125,51,200                  // vpmovzxwd     %xmm0,%ymm1
  .byte  196,65,37,118,219                   // vpcmpeqd      %ymm11,%ymm11,%ymm11
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,194,29,146,4,136                // vgatherdps    %ymm12,(%r8,%ymm1,4),%ymm0
  .byte  196,193,105,219,202                 // vpand         %xmm10,%xmm2,%xmm1
  .byte  196,226,125,51,209                  // vpmovzxwd     %xmm1,%ymm2
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,194,29,146,12,145               // vgatherdps    %ymm12,(%r9,%ymm2,4),%ymm1
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  196,193,57,219,210                  // vpand         %xmm10,%xmm8,%xmm2
  .byte  196,98,125,51,194                   // vpmovzxwd     %xmm2,%ymm8
  .byte  196,162,37,146,20,128               // vgatherdps    %ymm11,(%rax,%ymm8,4),%ymm2
  .byte  197,177,109,219                     // vpunpckhqdq   %xmm3,%xmm9,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,226,125,51,219                  // vpmovzxwd     %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,30,151,2,0          // vbroadcastss  0x2971e(%rip),%ymm8        # 2b8ec <_sk_overlay_sse2_8bit+0x4d0>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,123,16,4,72                   // vmovsd        (%r8,%r9,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            223d <_sk_load_tables_u16_be_hsw+0x145>
  .byte  196,1,57,22,68,72,8                 // vmovhpd       0x8(%r8,%r9,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            223d <_sk_load_tables_u16_be_hsw+0x145>
  .byte  196,129,123,16,84,72,16             // vmovsd        0x10(%r8,%r9,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            224a <_sk_load_tables_u16_be_hsw+0x152>
  .byte  196,129,105,22,84,72,24             // vmovhpd       0x18(%r8,%r9,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            224a <_sk_load_tables_u16_be_hsw+0x152>
  .byte  196,129,123,16,92,72,32             // vmovsd        0x20(%r8,%r9,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,9,255,255,255                // je            2129 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  196,129,97,22,92,72,40              // vmovhpd       0x28(%r8,%r9,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,248,254,255,255              // jb            2129 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  196,1,122,126,76,72,48              // vmovq         0x30(%r8,%r9,2),%xmm9
  .byte  233,236,254,255,255                 // jmpq          2129 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,223,254,255,255                 // jmpq          2129 <_sk_load_tables_u16_be_hsw+0x31>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,214,254,255,255                 // jmpq          2129 <_sk_load_tables_u16_be_hsw+0x31>

HIDDEN _sk_load_tables_rgb_u16_be_hsw
.globl _sk_load_tables_rgb_u16_be_hsw
FUNCTION(_sk_load_tables_rgb_u16_be_hsw)
_sk_load_tables_rgb_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,193,0,0,0                    // jne           2326 <_sk_load_tables_rgb_u16_be_hsw+0xd3>
  .byte  196,1,122,111,28,72                 // vmovdqu       (%r8,%r9,2),%xmm11
  .byte  196,129,122,111,92,72,12            // vmovdqu       0xc(%r8,%r9,2),%xmm3
  .byte  196,129,122,111,84,72,24            // vmovdqu       0x18(%r8,%r9,2),%xmm2
  .byte  196,129,122,111,68,72,32            // vmovdqu       0x20(%r8,%r9,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,225,105,201                     // vpunpckhwd    %xmm1,%xmm3,%xmm1
  .byte  197,249,97,218                      // vpunpcklwd    %xmm2,%xmm0,%xmm3
  .byte  197,249,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm0
  .byte  197,185,108,211                     // vpunpcklqdq   %xmm3,%xmm8,%xmm2
  .byte  197,185,109,219                     // vpunpckhqdq   %xmm3,%xmm8,%xmm3
  .byte  197,113,108,192                     // vpunpcklqdq   %xmm0,%xmm1,%xmm8
  .byte  197,121,111,13,128,159,2,0          // vmovdqa       0x29f80(%rip),%xmm9        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,193,105,219,193                 // vpand         %xmm9,%xmm2,%xmm0
  .byte  196,226,125,51,200                  // vpmovzxwd     %xmm0,%ymm1
  .byte  196,65,45,118,210                   // vpcmpeqd      %ymm10,%ymm10,%ymm10
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,194,109,146,4,136               // vgatherdps    %ymm2,(%r8,%ymm1,4),%ymm0
  .byte  196,193,97,219,201                  // vpand         %xmm9,%xmm3,%xmm1
  .byte  196,226,125,51,209                  // vpmovzxwd     %xmm1,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,194,101,146,12,145              // vgatherdps    %ymm3,(%r9,%ymm2,4),%ymm1
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  196,193,57,219,209                  // vpand         %xmm9,%xmm8,%xmm2
  .byte  196,226,125,51,218                  // vpmovzxwd     %xmm2,%ymm3
  .byte  196,226,45,146,20,152               // vgatherdps    %ymm10,(%rax,%ymm3,4),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,56,149,2,0        // vbroadcastss  0x29538(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,72                // vmovd         (%r8,%r9,2),%xmm0
  .byte  196,1,121,196,92,72,4,2             // vpinsrw       $0x2,0x4(%r8,%r9,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           235f <_sk_load_tables_rgb_u16_be_hsw+0x10c>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,59,255,255,255                  // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  196,129,121,110,68,72,6             // vmovd         0x6(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,68,72,10,2            // vpinsrw       $0x2,0xa(%r8,%r9,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            23aa <_sk_load_tables_rgb_u16_be_hsw+0x157>
  .byte  196,129,121,110,68,72,12            // vmovd         0xc(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,92,72,16,2          // vpinsrw       $0x2,0x10(%r8,%r9,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           23c5 <_sk_load_tables_rgb_u16_be_hsw+0x172>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,240,254,255,255                 // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,213,254,255,255                 // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  196,129,121,110,68,72,18            // vmovd         0x12(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,84,72,22,2            // vpinsrw       $0x2,0x16(%r8,%r9,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            2407 <_sk_load_tables_rgb_u16_be_hsw+0x1b4>
  .byte  196,129,121,110,68,72,24            // vmovd         0x18(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,84,72,28,2          // vpinsrw       $0x2,0x1c(%r8,%r9,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           2419 <_sk_load_tables_rgb_u16_be_hsw+0x1c6>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,147,254,255,255                 // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,129,254,255,255                 // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  196,129,121,110,68,72,30            // vmovd         0x1e(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,100,72,34,2           // vpinsrw       $0x2,0x22(%r8,%r9,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            244c <_sk_load_tables_rgb_u16_be_hsw+0x1f9>
  .byte  196,129,121,110,68,72,36            // vmovd         0x24(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,68,72,40,2          // vpinsrw       $0x2,0x28(%r8,%r9,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,78,254,255,255                  // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,69,254,255,255                  // jmpq          229a <_sk_load_tables_rgb_u16_be_hsw+0x47>

HIDDEN _sk_byte_tables_hsw
.globl _sk_byte_tables_hsw
FUNCTION(_sk_byte_tables_hsw)
_sk_byte_tables_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,40,148,2,0          // vbroadcastss  0x29428(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,57,200,1                 // vextracti128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,4                  // vpinsrb       $0x4,%r9d,%xmm9,%xmm9
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,49,32,192,5                 // vpinsrb       $0x5,%r8d,%xmm9,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,6                // vpinsrb       $0x6,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,201,7                 // vpinsrb       $0x7,%r9d,%xmm0,%xmm9
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,3                // vpinsrb       $0x3,%r10d,%xmm0,%xmm0
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,4                // vpinsrb       $0x4,%r10d,%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,5                // vpinsrb       $0x5,%r9d,%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,6                // vpinsrb       $0x6,%r9d,%xmm0,%xmm0
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,195,121,32,200,7                // vpinsrb       $0x7,%r8d,%xmm0,%xmm1
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,193,108,89,192                  // vmulps        %ymm8,%ymm2,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,20,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm2
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,105,32,20,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm2,%xmm2
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,105,32,209,2                // vpinsrb       $0x2,%r9d,%xmm2,%xmm2
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,105,32,210,3                // vpinsrb       $0x3,%r10d,%xmm2,%xmm2
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,105,32,210,4                // vpinsrb       $0x4,%r10d,%xmm2,%xmm2
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,105,32,193,5                // vpinsrb       $0x5,%r9d,%xmm2,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,6                // vpinsrb       $0x6,%r9d,%xmm0,%xmm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,195,121,32,208,7                // vpinsrb       $0x7,%r8d,%xmm0,%xmm2
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,100,89,192                  // vmulps        %ymm8,%ymm3,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,28,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm3
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,97,32,28,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm3,%xmm3
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,97,32,216,2                 // vpinsrb       $0x2,%r8d,%xmm3,%xmm3
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,97,32,216,3                 // vpinsrb       $0x3,%eax,%xmm3,%xmm3
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,97,32,216,4                 // vpinsrb       $0x4,%eax,%xmm3,%xmm3
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  196,227,97,32,192,5                 // vpinsrb       $0x5,%eax,%xmm3,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,121,32,216,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm3
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,125,49,193                  // vpmovzxbd     %xmm9,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,17,146,2,0          // vbroadcastss  0x29211(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,125,49,201                  // vpmovzxbd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,227,97,32,216,7                 // vpinsrb       $0x7,%eax,%xmm3,%xmm3
  .byte  196,226,125,49,219                  // vpmovzxbd     %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_hsw
.globl _sk_byte_tables_rgb_hsw
FUNCTION(_sk_byte_tables_rgb_hsw)
_sk_byte_tables_rgb_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,65,121,110,192                  // vmovd         %r8d,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,57,200,1                 // vextracti128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,4                  // vpinsrb       $0x4,%r9d,%xmm9,%xmm9
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,49,32,192,5                 // vpinsrb       $0x5,%r8d,%xmm9,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,6                // vpinsrb       $0x6,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,201,7                 // vpinsrb       $0x7,%r9d,%xmm0,%xmm9
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,3                // vpinsrb       $0x3,%r10d,%xmm0,%xmm0
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,195,121,32,194,4                // vpinsrb       $0x4,%r10d,%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,5                // vpinsrb       $0x5,%r9d,%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,6                // vpinsrb       $0x6,%r9d,%xmm0,%xmm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,195,121,32,200,7                // vpinsrb       $0x7,%r8d,%xmm0,%xmm1
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,188,89,194                      // vmulps        %ymm2,%ymm8,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,20,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm2
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,32,20,1,1               // vpinsrb       $0x1,(%r9,%r8,1),%xmm2,%xmm2
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,105,32,208,2                // vpinsrb       $0x2,%r8d,%xmm2,%xmm2
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,105,32,208,3                // vpinsrb       $0x3,%eax,%xmm2,%xmm2
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,105,32,208,4                // vpinsrb       $0x4,%eax,%xmm2,%xmm2
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  196,227,105,32,192,5                // vpinsrb       $0x5,%eax,%xmm2,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,227,121,32,208,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm2
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,125,49,193                  // vpmovzxbd     %xmm9,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,249,143,2,0         // vbroadcastss  0x28ff9(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,125,49,201                  // vpmovzxbd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,227,105,32,208,7                // vpinsrb       $0x7,%eax,%xmm2,%xmm2
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_hsw
.globl _sk_table_r_hsw
FUNCTION(_sk_table_r_hsw)
_sk_table_r_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,125,91,192                      // vcvtps2dq     %ymm0,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,4,128                // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_hsw
.globl _sk_table_g_hsw
FUNCTION(_sk_table_g_hsw)
_sk_table_g_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,125,91,193                      // vcvtps2dq     %ymm1,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,12,128               // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_hsw
.globl _sk_table_b_hsw
FUNCTION(_sk_table_b_hsw)
_sk_table_b_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,125,91,194                      // vcvtps2dq     %ymm2,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,20,128               // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_hsw
.globl _sk_table_a_hsw
FUNCTION(_sk_table_a_hsw)
_sk_table_a_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,66,125,88,192                   // vpbroadcastd  %xmm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  197,125,91,195                      // vcvtps2dq     %ymm3,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,130,53,146,28,128               // vgatherdps    %ymm9,(%r8,%ymm8,4),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_hsw
.globl _sk_parametric_r_hsw
FUNCTION(_sk_parametric_r_hsw)
_sk_parametric_r_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,124,194,192,2                // vcmpleps      %ymm8,%ymm0,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,125,168,202                  // vfmadd213ps   %ymm10,%ymm0,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,125,168,211                  // vfmadd213ps   %ymm11,%ymm0,%ymm10
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,239,142,2,0        // vbroadcastss  0x28eef(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,98,125,24,45,234,142,2,0        // vbroadcastss  0x28eea(%rip),%ymm13        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,64,142,2,0         // vbroadcastss  0x28e40(%rip),%ymm13        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,210,142,2,0        // vbroadcastss  0x28ed2(%rip),%ymm13        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,200,142,2,0        // vbroadcastss  0x28ec8(%rip),%ymm11        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,190,142,2,0        // vbroadcastss  0x28ebe(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,180,142,2,0        // vbroadcastss  0x28eb4(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  196,99,125,8,208,1                  // vroundps      $0x1,%ymm0,%ymm10
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,149,142,2,0        // vbroadcastss  0x28e95(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,29,139,142,2,0        // vbroadcastss  0x28e8b(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,98,45,172,216                   // vfnmadd213ps  %ymm0,%ymm10,%ymm11
  .byte  196,226,125,24,5,129,142,2,0        // vbroadcastss  0x28e81(%rip),%ymm0        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  196,98,125,24,21,119,142,2,0        // vbroadcastss  0x28e77(%rip),%ymm10        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  197,172,94,192                      // vdivps        %ymm0,%ymm10,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,21,106,142,2,0        // vbroadcastss  0x28e6a(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,195,125,74,193,128              // vblendvps     %ymm8,%ymm9,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,129,141,2,0         // vbroadcastss  0x28d81(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_hsw
.globl _sk_parametric_g_hsw
FUNCTION(_sk_parametric_g_hsw)
_sk_parametric_g_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,116,194,192,2                // vcmpleps      %ymm8,%ymm1,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,117,168,202                  // vfmadd213ps   %ymm10,%ymm1,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,117,168,211                  // vfmadd213ps   %ymm11,%ymm1,%ymm10
  .byte  196,226,125,24,8                    // vbroadcastss  (%rax),%ymm1
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,201,141,2,0        // vbroadcastss  0x28dc9(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,98,125,24,45,196,141,2,0        // vbroadcastss  0x28dc4(%rip),%ymm13        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,26,141,2,0         // vbroadcastss  0x28d1a(%rip),%ymm13        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,172,141,2,0        // vbroadcastss  0x28dac(%rip),%ymm13        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,162,141,2,0        // vbroadcastss  0x28da2(%rip),%ymm11        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,152,141,2,0        // vbroadcastss  0x28d98(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,142,141,2,0        // vbroadcastss  0x28d8e(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  196,99,125,8,209,1                  // vroundps      $0x1,%ymm1,%ymm10
  .byte  196,65,116,92,210                   // vsubps        %ymm10,%ymm1,%ymm10
  .byte  196,98,125,24,29,111,141,2,0        // vbroadcastss  0x28d6f(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,101,141,2,0        // vbroadcastss  0x28d65(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,98,45,172,217                   // vfnmadd213ps  %ymm1,%ymm10,%ymm11
  .byte  196,226,125,24,13,91,141,2,0        // vbroadcastss  0x28d5b(%rip),%ymm1        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,193,116,92,202                  // vsubps        %ymm10,%ymm1,%ymm1
  .byte  196,98,125,24,21,81,141,2,0         // vbroadcastss  0x28d51(%rip),%ymm10        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  197,172,94,201                      // vdivps        %ymm1,%ymm10,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  196,98,125,24,21,68,141,2,0         // vbroadcastss  0x28d44(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,195,117,74,201,128              // vblendvps     %ymm8,%ymm9,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,5,91,140,2,0          // vbroadcastss  0x28c5b(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_hsw
.globl _sk_parametric_b_hsw
FUNCTION(_sk_parametric_b_hsw)
_sk_parametric_b_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,108,194,192,2                // vcmpleps      %ymm8,%ymm2,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,109,168,202                  // vfmadd213ps   %ymm10,%ymm2,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,109,168,211                  // vfmadd213ps   %ymm11,%ymm2,%ymm10
  .byte  196,226,125,24,16                   // vbroadcastss  (%rax),%ymm2
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,163,140,2,0        // vbroadcastss  0x28ca3(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,98,125,24,45,158,140,2,0        // vbroadcastss  0x28c9e(%rip),%ymm13        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,244,139,2,0        // vbroadcastss  0x28bf4(%rip),%ymm13        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,134,140,2,0        // vbroadcastss  0x28c86(%rip),%ymm13        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,124,140,2,0        // vbroadcastss  0x28c7c(%rip),%ymm11        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,114,140,2,0        // vbroadcastss  0x28c72(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,104,140,2,0        // vbroadcastss  0x28c68(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  196,99,125,8,210,1                  // vroundps      $0x1,%ymm2,%ymm10
  .byte  196,65,108,92,210                   // vsubps        %ymm10,%ymm2,%ymm10
  .byte  196,98,125,24,29,73,140,2,0         // vbroadcastss  0x28c49(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,29,63,140,2,0         // vbroadcastss  0x28c3f(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,98,45,172,218                   // vfnmadd213ps  %ymm2,%ymm10,%ymm11
  .byte  196,226,125,24,21,53,140,2,0        // vbroadcastss  0x28c35(%rip),%ymm2        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,193,108,92,210                  // vsubps        %ymm10,%ymm2,%ymm2
  .byte  196,98,125,24,21,43,140,2,0         // vbroadcastss  0x28c2b(%rip),%ymm10        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  197,172,94,210                      // vdivps        %ymm2,%ymm10,%ymm2
  .byte  197,164,88,210                      // vaddps        %ymm2,%ymm11,%ymm2
  .byte  196,98,125,24,21,30,140,2,0         // vbroadcastss  0x28c1e(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,195,109,74,209,128              // vblendvps     %ymm8,%ymm9,%ymm2,%ymm2
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,53,139,2,0          // vbroadcastss  0x28b35(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_hsw
.globl _sk_parametric_a_hsw
FUNCTION(_sk_parametric_a_hsw)
_sk_parametric_a_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,100,194,192,2                // vcmpleps      %ymm8,%ymm3,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,66,101,168,202                  // vfmadd213ps   %ymm10,%ymm3,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,66,101,168,211                  // vfmadd213ps   %ymm11,%ymm3,%ymm10
  .byte  196,226,125,24,24                   // vbroadcastss  (%rax),%ymm3
  .byte  196,65,124,91,218                   // vcvtdq2ps     %ymm10,%ymm11
  .byte  196,98,125,24,37,125,139,2,0        // vbroadcastss  0x28b7d(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,98,125,24,45,120,139,2,0        // vbroadcastss  0x28b78(%rip),%ymm13        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,65,44,84,213                    // vandps        %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,206,138,2,0        // vbroadcastss  0x28ace(%rip),%ymm13        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,44,86,213                    // vorps         %ymm13,%ymm10,%ymm10
  .byte  196,98,125,24,45,96,139,2,0         // vbroadcastss  0x28b60(%rip),%ymm13        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,66,37,184,236                   // vfmadd231ps   %ymm12,%ymm11,%ymm13
  .byte  196,98,125,24,29,86,139,2,0         // vbroadcastss  0x28b56(%rip),%ymm11        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,66,45,172,221                   // vfnmadd213ps  %ymm13,%ymm10,%ymm11
  .byte  196,98,125,24,37,76,139,2,0         // vbroadcastss  0x28b4c(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,66,139,2,0         // vbroadcastss  0x28b42(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  196,65,28,94,210                    // vdivps        %ymm10,%ymm12,%ymm10
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  196,99,125,8,211,1                  // vroundps      $0x1,%ymm3,%ymm10
  .byte  196,65,100,92,210                   // vsubps        %ymm10,%ymm3,%ymm10
  .byte  196,98,125,24,29,35,139,2,0         // vbroadcastss  0x28b23(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,100,88,219                  // vaddps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,29,25,139,2,0         // vbroadcastss  0x28b19(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,98,45,172,219                   // vfnmadd213ps  %ymm3,%ymm10,%ymm11
  .byte  196,226,125,24,29,15,139,2,0        // vbroadcastss  0x28b0f(%rip),%ymm3        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,193,100,92,218                  // vsubps        %ymm10,%ymm3,%ymm3
  .byte  196,98,125,24,21,5,139,2,0          // vbroadcastss  0x28b05(%rip),%ymm10        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  197,172,94,219                      // vdivps        %ymm3,%ymm10,%ymm3
  .byte  197,164,88,219                      // vaddps        %ymm3,%ymm11,%ymm3
  .byte  196,98,125,24,21,248,138,2,0        // vbroadcastss  0x28af8(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  197,253,91,219                      // vcvtps2dq     %ymm3,%ymm3
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  196,195,101,74,217,128              // vblendvps     %ymm8,%ymm9,%ymm3,%ymm3
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  196,98,125,24,5,15,138,2,0          // vbroadcastss  0x28a0f(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_hsw
.globl _sk_gamma_hsw
FUNCTION(_sk_gamma_hsw)
_sk_gamma_hsw:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  197,252,17,60,36                    // vmovups       %ymm7,(%rsp)
  .byte  197,252,17,116,36,224               // vmovups       %ymm6,-0x20(%rsp)
  .byte  197,252,17,108,36,192               // vmovups       %ymm5,-0x40(%rsp)
  .byte  197,252,17,100,36,160               // vmovups       %ymm4,-0x60(%rsp)
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,40,250                      // vmovaps       %ymm2,%ymm7
  .byte  197,252,40,241                      // vmovaps       %ymm1,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,91,208                      // vcvtdq2ps     %ymm0,%ymm10
  .byte  196,98,125,24,29,98,138,2,0         // vbroadcastss  0x28a62(%rip),%ymm11        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,226,125,24,45,93,138,2,0        // vbroadcastss  0x28a5d(%rip),%ymm5        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  197,124,84,205                      // vandps        %ymm5,%ymm0,%ymm9
  .byte  196,226,125,24,37,180,137,2,0       // vbroadcastss  0x289b4(%rip),%ymm4        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,52,86,228                       // vorps         %ymm4,%ymm9,%ymm12
  .byte  196,98,125,24,45,71,138,2,0         // vbroadcastss  0x28a47(%rip),%ymm13        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,66,37,168,213                   // vfmadd213ps   %ymm13,%ymm11,%ymm10
  .byte  196,98,125,24,13,61,138,2,0         // vbroadcastss  0x28a3d(%rip),%ymm9        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,66,29,188,209                   // vfnmadd231ps  %ymm9,%ymm12,%ymm10
  .byte  197,124,91,246                      // vcvtdq2ps     %ymm6,%ymm14
  .byte  196,66,37,168,245                   // vfmadd213ps   %ymm13,%ymm11,%ymm14
  .byte  197,124,91,255                      // vcvtdq2ps     %ymm7,%ymm15
  .byte  196,66,37,168,253                   // vfmadd213ps   %ymm13,%ymm11,%ymm15
  .byte  196,98,125,24,29,33,138,2,0         // vbroadcastss  0x28a21(%rip),%ymm11        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,65,28,88,227                    // vaddps        %ymm11,%ymm12,%ymm12
  .byte  196,98,125,24,45,23,138,2,0         // vbroadcastss  0x28a17(%rip),%ymm13        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  196,65,20,94,228                    // vdivps        %ymm12,%ymm13,%ymm12
  .byte  196,65,44,92,212                    // vsubps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,32                    // vbroadcastss  (%rax),%ymm12
  .byte  196,65,44,89,212                    // vmulps        %ymm12,%ymm10,%ymm10
  .byte  196,67,125,8,194,1                  // vroundps      $0x1,%ymm10,%ymm8
  .byte  196,65,44,92,192                    // vsubps        %ymm8,%ymm10,%ymm8
  .byte  196,226,125,24,21,243,137,2,0       // vbroadcastss  0x289f3(%rip),%ymm2        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  197,44,88,210                       // vaddps        %ymm2,%ymm10,%ymm10
  .byte  196,226,125,24,29,234,137,2,0       // vbroadcastss  0x289ea(%rip),%ymm3        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,98,61,188,211                   // vfnmadd231ps  %ymm3,%ymm8,%ymm10
  .byte  196,226,125,24,13,224,137,2,0       // vbroadcastss  0x289e0(%rip),%ymm1        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,65,116,92,192                   // vsubps        %ymm8,%ymm1,%ymm8
  .byte  196,226,125,24,5,214,137,2,0        // vbroadcastss  0x289d6(%rip),%ymm0        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  196,65,124,94,192                   // vdivps        %ymm8,%ymm0,%ymm8
  .byte  196,65,44,88,192                    // vaddps        %ymm8,%ymm10,%ymm8
  .byte  197,204,84,245                      // vandps        %ymm5,%ymm6,%ymm6
  .byte  197,204,86,244                      // vorps         %ymm4,%ymm6,%ymm6
  .byte  196,66,77,188,241                   // vfnmadd231ps  %ymm9,%ymm6,%ymm14
  .byte  196,193,76,88,243                   // vaddps        %ymm11,%ymm6,%ymm6
  .byte  197,148,94,246                      // vdivps        %ymm6,%ymm13,%ymm6
  .byte  197,140,92,246                      // vsubps        %ymm6,%ymm14,%ymm6
  .byte  196,193,76,89,244                   // vmulps        %ymm12,%ymm6,%ymm6
  .byte  196,99,125,8,214,1                  // vroundps      $0x1,%ymm6,%ymm10
  .byte  196,65,76,92,210                    // vsubps        %ymm10,%ymm6,%ymm10
  .byte  197,204,88,242                      // vaddps        %ymm2,%ymm6,%ymm6
  .byte  196,226,45,188,243                  // vfnmadd231ps  %ymm3,%ymm10,%ymm6
  .byte  196,65,116,92,210                   // vsubps        %ymm10,%ymm1,%ymm10
  .byte  196,65,124,94,210                   // vdivps        %ymm10,%ymm0,%ymm10
  .byte  196,193,76,88,242                   // vaddps        %ymm10,%ymm6,%ymm6
  .byte  197,196,84,237                      // vandps        %ymm5,%ymm7,%ymm5
  .byte  197,212,86,228                      // vorps         %ymm4,%ymm5,%ymm4
  .byte  196,66,93,188,249                   // vfnmadd231ps  %ymm9,%ymm4,%ymm15
  .byte  196,193,92,88,227                   // vaddps        %ymm11,%ymm4,%ymm4
  .byte  197,148,94,228                      // vdivps        %ymm4,%ymm13,%ymm4
  .byte  197,132,92,228                      // vsubps        %ymm4,%ymm15,%ymm4
  .byte  196,193,92,89,228                   // vmulps        %ymm12,%ymm4,%ymm4
  .byte  196,227,125,8,236,1                 // vroundps      $0x1,%ymm4,%ymm5
  .byte  197,220,92,237                      // vsubps        %ymm5,%ymm4,%ymm5
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  196,226,85,188,211                  // vfnmadd231ps  %ymm3,%ymm5,%ymm2
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  197,252,94,193                      // vdivps        %ymm1,%ymm0,%ymm0
  .byte  197,236,88,192                      // vaddps        %ymm0,%ymm2,%ymm0
  .byte  196,226,125,24,13,71,137,2,0        // vbroadcastss  0x28947(%rip),%ymm1        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  197,188,89,209                      // vmulps        %ymm1,%ymm8,%ymm2
  .byte  197,204,89,217                      // vmulps        %ymm1,%ymm6,%ymm3
  .byte  197,252,89,225                      // vmulps        %ymm1,%ymm0,%ymm4
  .byte  197,253,91,194                      // vcvtps2dq     %ymm2,%ymm0
  .byte  197,253,91,203                      // vcvtps2dq     %ymm3,%ymm1
  .byte  197,253,91,212                      // vcvtps2dq     %ymm4,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,252,16,100,36,160               // vmovups       -0x60(%rsp),%ymm4
  .byte  197,252,16,108,36,192               // vmovups       -0x40(%rsp),%ymm5
  .byte  197,252,16,116,36,224               // vmovups       -0x20(%rsp),%ymm6
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_hsw
.globl _sk_lab_to_xyz_hsw
FUNCTION(_sk_lab_to_xyz_hsw)
_sk_lab_to_xyz_hsw:
  .byte  196,98,125,24,5,5,137,2,0           // vbroadcastss  0x28905(%rip),%ymm8        # 2b91c <_sk_overlay_sse2_8bit+0x500>
  .byte  196,98,125,24,13,104,136,2,0        // vbroadcastss  0x28868(%rip),%ymm9        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,98,125,24,21,247,136,2,0        // vbroadcastss  0x288f7(%rip),%ymm10        # 2b920 <_sk_overlay_sse2_8bit+0x504>
  .byte  196,194,53,168,202                  // vfmadd213ps   %ymm10,%ymm9,%ymm1
  .byte  196,194,53,168,210                  // vfmadd213ps   %ymm10,%ymm9,%ymm2
  .byte  196,98,125,24,13,232,136,2,0        // vbroadcastss  0x288e8(%rip),%ymm9        # 2b924 <_sk_overlay_sse2_8bit+0x508>
  .byte  196,66,125,184,200                  // vfmadd231ps   %ymm8,%ymm0,%ymm9
  .byte  196,226,125,24,5,222,136,2,0        // vbroadcastss  0x288de(%rip),%ymm0        # 2b928 <_sk_overlay_sse2_8bit+0x50c>
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,98,125,24,5,213,136,2,0         // vbroadcastss  0x288d5(%rip),%ymm8        # 2b92c <_sk_overlay_sse2_8bit+0x510>
  .byte  196,98,117,168,192                  // vfmadd213ps   %ymm0,%ymm1,%ymm8
  .byte  196,98,125,24,13,203,136,2,0        // vbroadcastss  0x288cb(%rip),%ymm9        # 2b930 <_sk_overlay_sse2_8bit+0x514>
  .byte  196,98,109,172,200                  // vfnmadd213ps  %ymm0,%ymm2,%ymm9
  .byte  196,193,60,89,200                   // vmulps        %ymm8,%ymm8,%ymm1
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  196,226,125,24,21,184,136,2,0       // vbroadcastss  0x288b8(%rip),%ymm2        # 2b934 <_sk_overlay_sse2_8bit+0x518>
  .byte  197,108,194,209,1                   // vcmpltps      %ymm1,%ymm2,%ymm10
  .byte  196,98,125,24,29,174,136,2,0        // vbroadcastss  0x288ae(%rip),%ymm11        # 2b938 <_sk_overlay_sse2_8bit+0x51c>
  .byte  196,65,60,88,195                    // vaddps        %ymm11,%ymm8,%ymm8
  .byte  196,98,125,24,37,164,136,2,0        // vbroadcastss  0x288a4(%rip),%ymm12        # 2b93c <_sk_overlay_sse2_8bit+0x520>
  .byte  196,65,60,89,196                    // vmulps        %ymm12,%ymm8,%ymm8
  .byte  196,99,61,74,193,160                // vblendvps     %ymm10,%ymm1,%ymm8,%ymm8
  .byte  197,252,89,200                      // vmulps        %ymm0,%ymm0,%ymm1
  .byte  197,252,89,201                      // vmulps        %ymm1,%ymm0,%ymm1
  .byte  197,108,194,209,1                   // vcmpltps      %ymm1,%ymm2,%ymm10
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,193,124,89,196                  // vmulps        %ymm12,%ymm0,%ymm0
  .byte  196,227,125,74,201,160              // vblendvps     %ymm10,%ymm1,%ymm0,%ymm1
  .byte  196,193,52,89,193                   // vmulps        %ymm9,%ymm9,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,236,194,208,1                   // vcmpltps      %ymm0,%ymm2,%ymm2
  .byte  196,65,52,88,203                    // vaddps        %ymm11,%ymm9,%ymm9
  .byte  196,65,52,89,204                    // vmulps        %ymm12,%ymm9,%ymm9
  .byte  196,227,53,74,208,32                // vblendvps     %ymm2,%ymm0,%ymm9,%ymm2
  .byte  196,226,125,24,5,89,136,2,0         // vbroadcastss  0x28859(%rip),%ymm0        # 2b940 <_sk_overlay_sse2_8bit+0x524>
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,80,136,2,0          // vbroadcastss  0x28850(%rip),%ymm8        # 2b944 <_sk_overlay_sse2_8bit+0x528>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_hsw
.globl _sk_load_a8_hsw
FUNCTION(_sk_load_a8_hsw)
_sk_load_a8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,52                              // jne           3149 <_sk_load_a8_hsw+0x4c>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,45,145,2,0            // vpand         0x2912d(%rip),%xmm0,%xmm0        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,155,135,2,0       // vbroadcastss  0x2879b(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,190                             // ja            311b <_sk_load_a8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,120,0,0,0                 // lea           0x78(%rip),%r10        # 31e0 <_sk_load_a8_hsw+0xe3>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,159                             // jmp           311b <_sk_load_a8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,119,255,255,255                 // jmpq          311b <_sk_load_a8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,60,255,255,255                  // jmpq          311b <_sk_load_a8_hsw+0x1e>
  .byte  144                                 // nop
  .byte  145                                 // xchg          %eax,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0031f0 <_sk_overlay_sse2_8bit+0xffffffffdefd7dd4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_hsw
.globl _sk_load_a8_dst_hsw
FUNCTION(_sk_load_a8_dst_hsw)
_sk_load_a8_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,52                              // jne           3248 <_sk_load_a8_dst_hsw+0x4c>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,46,144,2,0           // vpand         0x2902e(%rip),%xmm4,%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,226,125,51,228                  // vpmovzxwd     %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,156,134,2,0       // vbroadcastss  0x2869c(%rip),%ymm5        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,220,89,253                      // vmulps        %ymm5,%ymm4,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,190                             // ja            321a <_sk_load_a8_dst_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,121,0,0,0                 // lea           0x79(%rip),%r10        # 32e0 <_sk_load_a8_dst_hsw+0xe4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,159                             // jmp           321a <_sk_load_a8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,119,255,255,255                 // jmpq          321a <_sk_load_a8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,60,255,255,255                  // jmpq          321a <_sk_load_a8_dst_hsw+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  144                                 // nop
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,155             // ljmp          *-0x64000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  232,255,255,255,221                 // callq         ffffffffde0032f0 <_sk_overlay_sse2_8bit+0xffffffffddfd7ed4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_a8_hsw
.globl _sk_gather_a8_hsw
FUNCTION(_sk_gather_a8_hsw)
_sk_gather_a8_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,131,121,32,4,24,0               // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,4,16,1               // vpinsrb       $0x1,(%r8,%r10,1),%xmm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,121,32,192,3                // vpinsrb       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,32                      // movzbl        (%r8,%r12,1),%eax
  .byte  196,227,121,32,192,4                // vpinsrb       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,56                      // movzbl        (%r8,%r15,1),%eax
  .byte  196,227,121,32,192,5                // vpinsrb       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,48                      // movzbl        (%r8,%r14,1),%eax
  .byte  196,227,121,32,192,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,182,4,24                      // movzbl        (%r8,%rbx,1),%eax
  .byte  196,227,121,32,192,7                // vpinsrb       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,23,133,2,0        // vbroadcastss  0x28517(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_hsw
.globl _sk_store_a8_hsw
FUNCTION(_sk_store_a8_hsw)
_sk_store_a8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,152,132,2,0         // vbroadcastss  0x28498(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  196,65,57,103,192                   // vpackuswb     %xmm8,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           3419 <_sk_store_a8_hsw+0x45>
  .byte  196,1,123,17,4,24                   // vmovsd        %xmm8,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            3415 <_sk_store_a8_hsw+0x41>
  .byte  196,66,121,48,192                   // vpmovzxbw     %xmm8,%xmm8
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,87,0,0,0                  // lea           0x57(%rip),%r10        # 3490 <_sk_store_a8_hsw+0xbc>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,20,4,24,0                 // vpextrb       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,202                             // jmp           3415 <_sk_store_a8_hsw+0x41>
  .byte  196,3,121,20,68,24,2,4              // vpextrb       $0x4,%xmm8,0x2(%r8,%r11,1)
  .byte  196,98,57,0,5,4,142,2,0             // vpshufb       0x28e04(%rip),%xmm8,%xmm8        # 2c260 <_sk_overlay_sse2_8bit+0xe44>
  .byte  196,3,121,21,4,24,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,176                             // jmp           3415 <_sk_store_a8_hsw+0x41>
  .byte  196,3,121,20,68,24,6,12             // vpextrb       $0xc,%xmm8,0x6(%r8,%r11,1)
  .byte  196,3,121,20,68,24,5,10             // vpextrb       $0xa,%xmm8,0x5(%r8,%r11,1)
  .byte  196,3,121,20,68,24,4,8              // vpextrb       $0x8,%xmm8,0x4(%r8,%r11,1)
  .byte  196,98,57,0,5,234,141,2,0           // vpshufb       0x28dea(%rip),%xmm8,%xmm8        # 2c270 <_sk_overlay_sse2_8bit+0xe54>
  .byte  196,1,121,126,4,24                  // vmovd         %xmm8,(%r8,%r11,1)
  .byte  235,135                             // jmp           3415 <_sk_store_a8_hsw+0x41>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  178,255                             // mov           $0xff,%dl
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,255,255,255,237                 // mov           $0xedffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_hsw
.globl _sk_load_g8_hsw
FUNCTION(_sk_load_g8_hsw)
_sk_load_g8_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,57                              // jne           34fd <_sk_load_g8_hsw+0x51>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,126,141,2,0           // vpand         0x28d7e(%rip),%xmm0,%xmm0        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,236,131,2,0       // vbroadcastss  0x283ec(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,105,131,2,0       // vbroadcastss  0x28369(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,185                             // ja            34ca <_sk_load_g8_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,120,0,0,0                 // lea           0x78(%rip),%r10        # 3594 <_sk_load_g8_hsw+0xe8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,154                             // jmp           34ca <_sk_load_g8_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,114,255,255,255                 // jmpq          34ca <_sk_load_g8_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,55,255,255,255                  // jmpq          34ca <_sk_load_g8_hsw+0x1e>
  .byte  144                                 // nop
  .byte  145                                 // xchg          %eax,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0035a4 <_sk_overlay_sse2_8bit+0xffffffffdefd8188>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_hsw
.globl _sk_load_g8_dst_hsw
FUNCTION(_sk_load_g8_dst_hsw)
_sk_load_g8_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,57                              // jne           3601 <_sk_load_g8_dst_hsw+0x51>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,122,140,2,0          // vpand         0x28c7a(%rip),%xmm4,%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,226,125,51,228                  // vpmovzxwd     %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,232,130,2,0       // vbroadcastss  0x282e8(%rip),%ymm5        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,101,130,2,0       // vbroadcastss  0x28265(%rip),%ymm7        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,236                      // vmovaps       %ymm4,%ymm5
  .byte  197,252,40,244                      // vmovaps       %ymm4,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,185                             // ja            35ce <_sk_load_g8_dst_hsw+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,120,0,0,0                 // lea           0x78(%rip),%r10        # 3698 <_sk_load_g8_dst_hsw+0xe8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,154                             // jmp           35ce <_sk_load_g8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,114,255,255,255                 // jmpq          35ce <_sk_load_g8_dst_hsw+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,55,255,255,255                  // jmpq          35ce <_sk_load_g8_dst_hsw+0x1e>
  .byte  144                                 // nop
  .byte  145                                 // xchg          %eax,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf0036a8 <_sk_overlay_sse2_8bit+0xffffffffdefd828c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_g8_hsw
.globl _sk_gather_g8_hsw
FUNCTION(_sk_gather_g8_hsw)
_sk_gather_g8_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,131,121,32,4,24,0               // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,4,16,1               // vpinsrb       $0x1,(%r8,%r10,1),%xmm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,121,32,192,3                // vpinsrb       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,32                      // movzbl        (%r8,%r12,1),%eax
  .byte  196,227,121,32,192,4                // vpinsrb       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,56                      // movzbl        (%r8,%r15,1),%eax
  .byte  196,227,121,32,192,5                // vpinsrb       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,4,48                      // movzbl        (%r8,%r14,1),%eax
  .byte  196,227,121,32,192,6                // vpinsrb       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,182,4,24                      // movzbl        (%r8,%rbx,1),%eax
  .byte  196,227,121,32,192,7                // vpinsrb       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,95,129,2,0        // vbroadcastss  0x2815f(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,220,128,2,0       // vbroadcastss  0x280dc(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_hsw
.globl _sk_load_565_hsw
FUNCTION(_sk_load_565_hsw)
_sk_load_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,114                             // jne           381e <_sk_load_565_hsw+0x8d>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  196,226,125,51,208                  // vpmovzxwd     %xmm0,%ymm2
  .byte  196,226,125,88,5,20,129,2,0         // vpbroadcastd  0x28114(%rip),%ymm0        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  197,237,219,192                     // vpand         %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,7,129,2,0         // vbroadcastss  0x28107(%rip),%ymm1        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,254,128,2,0       // vpbroadcastd  0x280fe(%rip),%ymm1        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  197,237,219,201                     // vpand         %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,241,128,2,0       // vbroadcastss  0x280f1(%rip),%ymm3        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,88,29,232,128,2,0       // vpbroadcastd  0x280e8(%rip),%ymm3        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  197,237,219,211                     // vpand         %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,219,128,2,0       // vbroadcastss  0x280db(%rip),%ymm3        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,64,128,2,0        // vbroadcastss  0x28040(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,128                             // ja            37b2 <_sk_load_565_hsw+0x21>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,99,0,0,0                  // lea           0x63(%rip),%r10        # 38a0 <_sk_load_565_hsw+0x10f>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,94,255,255,255                  // jmpq          37b2 <_sk_load_565_hsw+0x21>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,65,255,255,255                  // jmpq          37b2 <_sk_load_565_hsw+0x21>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,20,255,255,255                  // jmpq          37b2 <_sk_load_565_hsw+0x21>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  166                                 // cmpsb         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,180,255,255,255,237,255         // pushq         -0x120001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_hsw
.globl _sk_load_565_dst_hsw
FUNCTION(_sk_load_565_dst_hsw)
_sk_load_565_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,114                             // jne           3949 <_sk_load_565_dst_hsw+0x8d>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  196,226,125,51,244                  // vpmovzxwd     %xmm4,%ymm6
  .byte  196,226,125,88,37,233,127,2,0       // vpbroadcastd  0x27fe9(%rip),%ymm4        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  197,205,219,228                     // vpand         %ymm4,%ymm6,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,220,127,2,0       // vbroadcastss  0x27fdc(%rip),%ymm5        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,88,45,211,127,2,0       // vpbroadcastd  0x27fd3(%rip),%ymm5        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  197,205,219,237                     // vpand         %ymm5,%ymm6,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,61,198,127,2,0       // vbroadcastss  0x27fc6(%rip),%ymm7        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  196,226,125,88,61,189,127,2,0       // vpbroadcastd  0x27fbd(%rip),%ymm7        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  197,205,219,247                     // vpand         %ymm7,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,226,125,24,61,176,127,2,0       // vbroadcastss  0x27fb0(%rip),%ymm7        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,21,127,2,0        // vbroadcastss  0x27f15(%rip),%ymm7        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,128                             // ja            38dd <_sk_load_565_dst_hsw+0x21>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 39cc <_sk_load_565_dst_hsw+0x110>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,94,255,255,255                  // jmpq          38dd <_sk_load_565_dst_hsw+0x21>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,65,255,255,255                  // jmpq          38dd <_sk_load_565_dst_hsw+0x21>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,20,255,255,255                  // jmpq          38dd <_sk_load_565_dst_hsw+0x21>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,179                 // mov           $0xb3ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,228                             // jmpq          *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_565_hsw
.globl _sk_gather_565_hsw
FUNCTION(_sk_gather_565_hsw)
_sk_gather_565_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  71,15,183,20,80                     // movzwl        (%r8,%r10,2),%r10d
  .byte  71,15,183,28,88                     // movzwl        (%r8,%r11,2),%r11d
  .byte  196,193,121,110,195                 // vmovd         %r11d,%xmm0
  .byte  196,193,121,196,194,1               // vpinsrw       $0x1,%r10d,%xmm0,%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  196,193,121,196,193,2               // vpinsrw       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,3                   // vpinsrw       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,96                      // movzwl        (%r8,%r12,2),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,120                     // movzwl        (%r8,%r15,2),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,112                     // movzwl        (%r8,%r14,2),%eax
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,183,4,88                      // movzwl        (%r8,%rbx,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,51,208                  // vpmovzxwd     %xmm0,%ymm2
  .byte  196,226,125,88,5,49,126,2,0         // vpbroadcastd  0x27e31(%rip),%ymm0        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  197,237,219,192                     // vpand         %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,36,126,2,0        // vbroadcastss  0x27e24(%rip),%ymm1        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,27,126,2,0        // vpbroadcastd  0x27e1b(%rip),%ymm1        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  197,237,219,201                     // vpand         %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,14,126,2,0        // vbroadcastss  0x27e0e(%rip),%ymm3        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,88,29,5,126,2,0         // vpbroadcastd  0x27e05(%rip),%ymm3        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  197,237,219,211                     // vpand         %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,248,125,2,0       // vbroadcastss  0x27df8(%rip),%ymm3        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,93,125,2,0        // vbroadcastss  0x27d5d(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_hsw
.globl _sk_store_565_hsw
FUNCTION(_sk_store_565_hsw)
_sk_store_565_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,33,126,2,0          // vbroadcastss  0x27e21(%rip),%ymm8        # 2b948 <_sk_overlay_sse2_8bit+0x52c>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,53,114,241,11               // vpslld        $0xb,%ymm9,%ymm9
  .byte  196,98,125,24,21,12,126,2,0         // vbroadcastss  0x27e0c(%rip),%ymm10        # 2b94c <_sk_overlay_sse2_8bit+0x530>
  .byte  196,65,116,89,210                   // vmulps        %ymm10,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,5                // vpslld        $0x5,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           3b7e <_sk_store_565_hsw+0x76>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            3b7a <_sk_store_565_hsw+0x72>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,67,0,0,0                  // lea           0x43(%rip),%r10        # 3bdc <_sk_store_565_hsw+0xd4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           3b7a <_sk_store_565_hsw+0x72>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           3b7a <_sk_store_565_hsw+0x72>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           3b7a <_sk_store_565_hsw+0x72>
  .byte  144                                 // nop
  .byte  198                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_hsw
.globl _sk_load_4444_hsw
FUNCTION(_sk_load_4444_hsw)
_sk_load_4444_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,138,0,0,0                    // jne           3ca1 <_sk_load_4444_hsw+0xa9>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  196,226,125,51,216                  // vpmovzxwd     %xmm0,%ymm3
  .byte  196,226,125,88,5,37,125,2,0         // vpbroadcastd  0x27d25(%rip),%ymm0        # 2b950 <_sk_overlay_sse2_8bit+0x534>
  .byte  197,229,219,192                     // vpand         %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,24,125,2,0        // vbroadcastss  0x27d18(%rip),%ymm1        # 2b954 <_sk_overlay_sse2_8bit+0x538>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,15,125,2,0        // vpbroadcastd  0x27d0f(%rip),%ymm1        # 2b958 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,229,219,201                     // vpand         %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,2,125,2,0         // vbroadcastss  0x27d02(%rip),%ymm2        # 2b95c <_sk_overlay_sse2_8bit+0x540>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,88,21,249,124,2,0       // vpbroadcastd  0x27cf9(%rip),%ymm2        # 2b960 <_sk_overlay_sse2_8bit+0x544>
  .byte  197,229,219,210                     // vpand         %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,236,124,2,0         // vbroadcastss  0x27cec(%rip),%ymm8        # 2b964 <_sk_overlay_sse2_8bit+0x548>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,88,5,226,124,2,0         // vpbroadcastd  0x27ce2(%rip),%ymm8        # 2b968 <_sk_overlay_sse2_8bit+0x54c>
  .byte  196,193,101,219,216                 // vpand         %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,212,124,2,0         // vbroadcastss  0x27cd4(%rip),%ymm8        # 2b96c <_sk_overlay_sse2_8bit+0x550>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,100,255,255,255              // ja            3c1d <_sk_load_4444_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 3d28 <_sk_load_4444_hsw+0x130>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,66,255,255,255                  // jmpq          3c1d <_sk_load_4444_hsw+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,37,255,255,255                  // jmpq          3c1d <_sk_load_4444_hsw+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,248,254,255,255                 // jmpq          3c1d <_sk_load_4444_hsw+0x25>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,179                 // mov           $0xb3ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,228                             // jmpq          *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_dst_hsw
.globl _sk_load_4444_dst_hsw
FUNCTION(_sk_load_4444_dst_hsw)
_sk_load_4444_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,138,0,0,0                    // jne           3ded <_sk_load_4444_dst_hsw+0xa9>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  196,226,125,51,252                  // vpmovzxwd     %xmm4,%ymm7
  .byte  196,226,125,88,37,217,123,2,0       // vpbroadcastd  0x27bd9(%rip),%ymm4        # 2b950 <_sk_overlay_sse2_8bit+0x534>
  .byte  197,197,219,228                     // vpand         %ymm4,%ymm7,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,204,123,2,0       // vbroadcastss  0x27bcc(%rip),%ymm5        # 2b954 <_sk_overlay_sse2_8bit+0x538>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,88,45,195,123,2,0       // vpbroadcastd  0x27bc3(%rip),%ymm5        # 2b958 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,197,219,237                     // vpand         %ymm5,%ymm7,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,53,182,123,2,0       // vbroadcastss  0x27bb6(%rip),%ymm6        # 2b95c <_sk_overlay_sse2_8bit+0x540>
  .byte  197,212,89,238                      // vmulps        %ymm6,%ymm5,%ymm5
  .byte  196,226,125,88,53,173,123,2,0       // vpbroadcastd  0x27bad(%rip),%ymm6        # 2b960 <_sk_overlay_sse2_8bit+0x544>
  .byte  197,197,219,246                     // vpand         %ymm6,%ymm7,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,98,125,24,5,160,123,2,0         // vbroadcastss  0x27ba0(%rip),%ymm8        # 2b964 <_sk_overlay_sse2_8bit+0x548>
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  196,98,125,88,5,150,123,2,0         // vpbroadcastd  0x27b96(%rip),%ymm8        # 2b968 <_sk_overlay_sse2_8bit+0x54c>
  .byte  196,193,69,219,248                  // vpand         %ymm8,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,136,123,2,0         // vbroadcastss  0x27b88(%rip),%ymm8        # 2b96c <_sk_overlay_sse2_8bit+0x550>
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,100,255,255,255              // ja            3d69 <_sk_load_4444_dst_hsw+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 3e74 <_sk_load_4444_dst_hsw+0x130>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,66,255,255,255                  // jmpq          3d69 <_sk_load_4444_dst_hsw+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,37,255,255,255                  // jmpq          3d69 <_sk_load_4444_dst_hsw+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,248,254,255,255                 // jmpq          3d69 <_sk_load_4444_dst_hsw+0x25>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,179                 // mov           $0xb3ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,228                             // jmpq          *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_4444_hsw
.globl _sk_gather_4444_hsw
FUNCTION(_sk_gather_4444_hsw)
_sk_gather_4444_hsw:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  71,15,183,20,80                     // movzwl        (%r8,%r10,2),%r10d
  .byte  71,15,183,28,88                     // movzwl        (%r8,%r11,2),%r11d
  .byte  196,193,121,110,195                 // vmovd         %r11d,%xmm0
  .byte  196,193,121,196,194,1               // vpinsrw       $0x1,%r10d,%xmm0,%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  196,193,121,196,193,2               // vpinsrw       $0x2,%r9d,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,3                   // vpinsrw       $0x3,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,96                      // movzwl        (%r8,%r12,2),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,120                     // movzwl        (%r8,%r15,2),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,112                     // movzwl        (%r8,%r14,2),%eax
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  65,15,183,4,88                      // movzwl        (%r8,%rbx,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  196,226,125,51,216                  // vpmovzxwd     %xmm0,%ymm3
  .byte  196,226,125,88,5,5,122,2,0          // vpbroadcastd  0x27a05(%rip),%ymm0        # 2b950 <_sk_overlay_sse2_8bit+0x534>
  .byte  197,229,219,192                     // vpand         %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,248,121,2,0       // vbroadcastss  0x279f8(%rip),%ymm1        # 2b954 <_sk_overlay_sse2_8bit+0x538>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,88,13,239,121,2,0       // vpbroadcastd  0x279ef(%rip),%ymm1        # 2b958 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,229,219,201                     // vpand         %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,226,121,2,0       // vbroadcastss  0x279e2(%rip),%ymm2        # 2b95c <_sk_overlay_sse2_8bit+0x540>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,88,21,217,121,2,0       // vpbroadcastd  0x279d9(%rip),%ymm2        # 2b960 <_sk_overlay_sse2_8bit+0x544>
  .byte  197,229,219,210                     // vpand         %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,204,121,2,0         // vbroadcastss  0x279cc(%rip),%ymm8        # 2b964 <_sk_overlay_sse2_8bit+0x548>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,88,5,194,121,2,0         // vpbroadcastd  0x279c2(%rip),%ymm8        # 2b968 <_sk_overlay_sse2_8bit+0x54c>
  .byte  196,193,101,219,216                 // vpand         %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,180,121,2,0         // vbroadcastss  0x279b4(%rip),%ymm8        # 2b96c <_sk_overlay_sse2_8bit+0x550>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_hsw
.globl _sk_store_4444_hsw
FUNCTION(_sk_store_4444_hsw)
_sk_store_4444_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,137,121,2,0         // vbroadcastss  0x27989(%rip),%ymm8        # 2b970 <_sk_overlay_sse2_8bit+0x554>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,53,114,241,12               // vpslld        $0xc,%ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,8                // vpslld        $0x8,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,4                // vpslld        $0x4,%ymm10,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           404a <_sk_store_4444_hsw+0x82>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            4046 <_sk_store_4444_hsw+0x7e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,67,0,0,0                  // lea           0x43(%rip),%r10        # 40a8 <_sk_store_4444_hsw+0xe0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           4046 <_sk_store_4444_hsw+0x7e>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           4046 <_sk_store_4444_hsw+0x7e>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           4046 <_sk_store_4444_hsw+0x7e>
  .byte  144                                 // nop
  .byte  198                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_hsw
.globl _sk_load_8888_hsw
FUNCTION(_sk_load_8888_hsw)
_sk_load_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           4136 <_sk_load_8888_hsw+0x72>
  .byte  196,129,126,111,28,152              // vmovdqu       (%r8,%r11,4),%ymm3
  .byte  197,229,219,5,18,122,2,0            // vpand         0x27a12(%rip),%ymm3,%ymm0        # 2bb00 <_sk_overlay_sse2_8bit+0x6e4>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,213,119,2,0         // vbroadcastss  0x277d5(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,101,0,13,23,122,2,0         // vpshufb       0x27a17(%rip),%ymm3,%ymm1        # 2bb20 <_sk_overlay_sse2_8bit+0x704>
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,101,0,21,37,122,2,0         // vpshufb       0x27a25(%rip),%ymm3,%ymm2        # 2bb40 <_sk_overlay_sse2_8bit+0x724>
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            40e6 <_sk_load_8888_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 41dc <_sk_load_8888_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,28,152              // vmovd         (%r8,%r11,4),%xmm3
  .byte  235,128                             // jmp           40e6 <_sk_load_8888_hsw+0x22>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm3
  .byte  196,129,122,126,4,152               // vmovq         (%r8,%r11,4),%xmm0
  .byte  196,227,101,2,216,3                 // vpblendd      $0x3,%ymm0,%ymm3,%ymm3
  .byte  233,89,255,255,255                  // jmpq          40e6 <_sk_load_8888_hsw+0x22>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,129,122,111,4,152               // vmovdqu       (%r8,%r11,4),%xmm0
  .byte  196,227,125,2,219,240               // vpblendd      $0xf0,%ymm3,%ymm0,%ymm3
  .byte  233,10,255,255,255                  // jmpq          40e6 <_sk_load_8888_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_hsw
.globl _sk_load_8888_dst_hsw
FUNCTION(_sk_load_8888_dst_hsw)
_sk_load_8888_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           426a <_sk_load_8888_dst_hsw+0x72>
  .byte  196,129,126,111,60,152              // vmovdqu       (%r8,%r11,4),%ymm7
  .byte  197,197,219,37,62,121,2,0           // vpand         0x2793e(%rip),%ymm7,%ymm4        # 2bb60 <_sk_overlay_sse2_8bit+0x744>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,98,125,24,5,161,118,2,0         // vbroadcastss  0x276a1(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  196,226,69,0,45,67,121,2,0          // vpshufb       0x27943(%rip),%ymm7,%ymm5        # 2bb80 <_sk_overlay_sse2_8bit+0x764>
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,193,84,89,232                   // vmulps        %ymm8,%ymm5,%ymm5
  .byte  196,226,69,0,53,81,121,2,0          // vpshufb       0x27951(%rip),%ymm7,%ymm6        # 2bba0 <_sk_overlay_sse2_8bit+0x784>
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  197,197,114,215,24                  // vpsrld        $0x18,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,197,239,255                     // vpxor         %ymm7,%ymm7,%ymm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            421a <_sk_load_8888_dst_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 4310 <_sk_load_8888_dst_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,60,152              // vmovd         (%r8,%r11,4),%xmm7
  .byte  235,128                             // jmp           421a <_sk_load_8888_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,4                  // vpblendd      $0x4,%ymm4,%ymm5,%ymm7
  .byte  196,129,122,126,36,152              // vmovq         (%r8,%r11,4),%xmm4
  .byte  196,227,69,2,252,3                  // vpblendd      $0x3,%ymm4,%ymm7,%ymm7
  .byte  233,89,255,255,255                  // jmpq          421a <_sk_load_8888_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,64                 // vpblendd      $0x40,%ymm4,%ymm5,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,255,240                // vpblendd      $0xf0,%ymm7,%ymm4,%ymm7
  .byte  233,10,255,255,255                  // jmpq          421a <_sk_load_8888_dst_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_8888_hsw
.globl _sk_gather_8888_hsw
FUNCTION(_sk_gather_8888_hsw)
_sk_gather_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,194,117,144,28,128              // vpgatherdd    %ymm1,(%r8,%ymm0,4),%ymm3
  .byte  197,229,219,5,102,120,2,0           // vpand         0x27866(%rip),%ymm3,%ymm0        # 2bbc0 <_sk_overlay_sse2_8bit+0x7a4>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,105,117,2,0         // vbroadcastss  0x27569(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,226,101,0,13,107,120,2,0        // vpshufb       0x2786b(%rip),%ymm3,%ymm1        # 2bbe0 <_sk_overlay_sse2_8bit+0x7c4>
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,101,0,21,121,120,2,0        // vpshufb       0x27879(%rip),%ymm3,%ymm2        # 2bc00 <_sk_overlay_sse2_8bit+0x7e4>
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_hsw
.globl _sk_store_8888_hsw
FUNCTION(_sk_store_8888_hsw)
_sk_store_8888_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,198,116,2,0         // vbroadcastss  0x274c6(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,8                // vpslld        $0x8,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,16               // vpslld        $0x10,%ymm10,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,61,114,240,24               // vpslld        $0x18,%ymm8,%ymm8
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           441a <_sk_store_8888_hsw+0x78>
  .byte  196,1,126,127,4,152                 // vmovdqu       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            4416 <_sk_store_8888_hsw+0x74>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # 4488 <_sk_store_8888_hsw+0xe6>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           4416 <_sk_store_8888_hsw+0x74>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           4416 <_sk_store_8888_hsw+0x74>
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,1,121,126,76,152,16             // vmovd         %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,122,127,4,152                 // vmovdqu       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           4416 <_sk_store_8888_hsw+0x74>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_hsw
.globl _sk_load_bgra_hsw
FUNCTION(_sk_load_bgra_hsw)
_sk_load_bgra_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           4516 <_sk_load_bgra_hsw+0x72>
  .byte  196,129,126,111,28,152              // vmovdqu       (%r8,%r11,4),%ymm3
  .byte  197,229,219,5,82,119,2,0            // vpand         0x27752(%rip),%ymm3,%ymm0        # 2bc20 <_sk_overlay_sse2_8bit+0x804>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,245,115,2,0         // vbroadcastss  0x273f5(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,208                  // vmulps        %ymm8,%ymm0,%ymm2
  .byte  196,226,101,0,5,87,119,2,0          // vpshufb       0x27757(%rip),%ymm3,%ymm0        # 2bc40 <_sk_overlay_sse2_8bit+0x824>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,200                  // vmulps        %ymm8,%ymm0,%ymm1
  .byte  196,226,101,0,5,101,119,2,0         // vpshufb       0x27765(%rip),%ymm3,%ymm0        # 2bc60 <_sk_overlay_sse2_8bit+0x844>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            44c6 <_sk_load_bgra_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 45bc <_sk_load_bgra_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,28,152              // vmovd         (%r8,%r11,4),%xmm3
  .byte  235,128                             // jmp           44c6 <_sk_load_bgra_hsw+0x22>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm3
  .byte  196,129,122,126,4,152               // vmovq         (%r8,%r11,4),%xmm0
  .byte  196,227,101,2,216,3                 // vpblendd      $0x3,%ymm0,%ymm3,%ymm3
  .byte  233,89,255,255,255                  // jmpq          44c6 <_sk_load_bgra_hsw+0x22>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,216,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,101,56,216,1                // vinserti128   $0x1,%xmm0,%ymm3,%ymm3
  .byte  196,129,122,111,4,152               // vmovdqu       (%r8,%r11,4),%xmm0
  .byte  196,227,125,2,219,240               // vpblendd      $0xf0,%ymm3,%ymm0,%ymm3
  .byte  233,10,255,255,255                  // jmpq          44c6 <_sk_load_bgra_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_hsw
.globl _sk_load_bgra_dst_hsw
FUNCTION(_sk_load_bgra_dst_hsw)
_sk_load_bgra_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,86                              // jne           464a <_sk_load_bgra_dst_hsw+0x72>
  .byte  196,129,126,111,60,152              // vmovdqu       (%r8,%r11,4),%ymm7
  .byte  197,197,219,37,126,118,2,0          // vpand         0x2767e(%rip),%ymm7,%ymm4        # 2bc80 <_sk_overlay_sse2_8bit+0x864>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,98,125,24,5,193,114,2,0         // vbroadcastss  0x272c1(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,92,89,240                   // vmulps        %ymm8,%ymm4,%ymm6
  .byte  196,226,69,0,37,131,118,2,0         // vpshufb       0x27683(%rip),%ymm7,%ymm4        # 2bca0 <_sk_overlay_sse2_8bit+0x884>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,232                   // vmulps        %ymm8,%ymm4,%ymm5
  .byte  196,226,69,0,37,145,118,2,0         // vpshufb       0x27691(%rip),%ymm7,%ymm4        # 2bcc0 <_sk_overlay_sse2_8bit+0x8a4>
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  197,197,114,215,24                  // vpsrld        $0x18,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,197,239,255                     // vpxor         %ymm7,%ymm7,%ymm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,156                             // ja            45fa <_sk_load_bgra_dst_hsw+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,135,0,0,0                 // lea           0x87(%rip),%r10        # 46f0 <_sk_load_bgra_dst_hsw+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,60,152              // vmovd         (%r8,%r11,4),%xmm7
  .byte  235,128                             // jmp           45fa <_sk_load_bgra_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,4                  // vpblendd      $0x4,%ymm4,%ymm5,%ymm7
  .byte  196,129,122,126,36,152              // vmovq         (%r8,%r11,4),%xmm4
  .byte  196,227,69,2,252,3                  // vpblendd      $0x3,%ymm4,%ymm7,%ymm7
  .byte  233,89,255,255,255                  // jmpq          45fa <_sk_load_bgra_dst_hsw+0x22>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,227,85,2,252,64                 // vpblendd      $0x40,%ymm4,%ymm5,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,227,125,57,252,1                // vextracti128  $0x1,%ymm7,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,69,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm7,%ymm7
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,255,240                // vpblendd      $0xf0,%ymm7,%ymm4,%ymm7
  .byte  233,10,255,255,255                  // jmpq          45fa <_sk_load_bgra_dst_hsw+0x22>
  .byte  130                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,138             // jmpq          *-0x75000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  219,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  177,255                             // mov           $0xff,%cl
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_bgra_hsw
.globl _sk_gather_bgra_hsw
FUNCTION(_sk_gather_bgra_hsw)
_sk_gather_bgra_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,194,117,144,28,128              // vpgatherdd    %ymm1,(%r8,%ymm0,4),%ymm3
  .byte  197,229,219,5,166,117,2,0           // vpand         0x275a6(%rip),%ymm3,%ymm0        # 2bce0 <_sk_overlay_sse2_8bit+0x8c4>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,137,113,2,0         // vbroadcastss  0x27189(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,208                  // vmulps        %ymm8,%ymm0,%ymm2
  .byte  196,226,101,0,5,171,117,2,0         // vpshufb       0x275ab(%rip),%ymm3,%ymm0        # 2bd00 <_sk_overlay_sse2_8bit+0x8e4>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,200                  // vmulps        %ymm8,%ymm0,%ymm1
  .byte  196,226,101,0,5,185,117,2,0         // vpshufb       0x275b9(%rip),%ymm3,%ymm0        # 2bd20 <_sk_overlay_sse2_8bit+0x904>
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,229,114,211,24                  // vpsrld        $0x18,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_hsw
.globl _sk_store_bgra_hsw
FUNCTION(_sk_store_bgra_hsw)
_sk_store_bgra_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,230,112,2,0         // vbroadcastss  0x270e6(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,65,108,89,200                   // vmulps        %ymm8,%ymm2,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,8                // vpslld        $0x8,%ymm10,%ymm10
  .byte  196,65,45,235,201                   // vpor          %ymm9,%ymm10,%ymm9
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,45,114,242,16               // vpslld        $0x10,%ymm10,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,61,114,240,24               // vpslld        $0x18,%ymm8,%ymm8
  .byte  196,65,45,235,192                   // vpor          %ymm8,%ymm10,%ymm8
  .byte  196,65,53,235,192                   // vpor          %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           47fa <_sk_store_bgra_hsw+0x78>
  .byte  196,1,126,127,4,152                 // vmovdqu       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            47f6 <_sk_store_bgra_hsw+0x74>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # 4868 <_sk_store_bgra_hsw+0xe6>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           47f6 <_sk_store_bgra_hsw+0x74>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           47f6 <_sk_store_bgra_hsw+0x74>
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm9
  .byte  196,1,121,126,76,152,16             // vmovd         %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,122,127,4,152                 // vmovdqu       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           47f6 <_sk_store_bgra_hsw+0x74>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f16_hsw
.globl _sk_load_f16_hsw
FUNCTION(_sk_load_f16_hsw)
_sk_load_f16_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,101                             // jne           4905 <_sk_load_f16_hsw+0x81>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,84,192,16            // vmovupd       0x10(%r8,%rax,8),%xmm2
  .byte  196,193,121,16,92,192,32            // vmovupd       0x20(%r8,%rax,8),%xmm3
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,194                      // vpunpcklwd    %xmm2,%xmm0,%xmm8
  .byte  197,121,105,202                     // vpunpckhwd    %xmm2,%xmm0,%xmm9
  .byte  197,241,97,211                      // vpunpcklwd    %xmm3,%xmm1,%xmm2
  .byte  197,241,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm3
  .byte  197,185,108,194                     // vpunpcklqdq   %xmm2,%xmm8,%xmm0
  .byte  196,226,125,19,192                  // vcvtph2ps     %xmm0,%ymm0
  .byte  197,185,109,202                     // vpunpckhqdq   %xmm2,%xmm8,%xmm1
  .byte  196,226,125,19,201                  // vcvtph2ps     %xmm1,%ymm1
  .byte  197,177,108,211                     // vpunpcklqdq   %xmm3,%xmm9,%xmm2
  .byte  196,226,125,19,210                  // vcvtph2ps     %xmm2,%ymm2
  .byte  197,177,109,219                     // vpunpckhqdq   %xmm3,%xmm9,%xmm3
  .byte  196,226,125,19,219                  // vcvtph2ps     %xmm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            496b <_sk_load_f16_hsw+0xe7>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            496b <_sk_load_f16_hsw+0xe7>
  .byte  196,193,123,16,84,192,16            // vmovsd        0x10(%r8,%rax,8),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            4978 <_sk_load_f16_hsw+0xf4>
  .byte  196,193,105,22,84,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            4978 <_sk_load_f16_hsw+0xf4>
  .byte  196,193,123,16,92,192,32            // vmovsd        0x20(%r8,%rax,8),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,109,255,255,255              // je            48bb <_sk_load_f16_hsw+0x37>
  .byte  196,193,97,22,92,192,40             // vmovhpd       0x28(%r8,%rax,8),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,92,255,255,255               // jb            48bb <_sk_load_f16_hsw+0x37>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,80,255,255,255                  // jmpq          48bb <_sk_load_f16_hsw+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,67,255,255,255                  // jmpq          48bb <_sk_load_f16_hsw+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,58,255,255,255                  // jmpq          48bb <_sk_load_f16_hsw+0x37>

HIDDEN _sk_load_f16_dst_hsw
.globl _sk_load_f16_dst_hsw
FUNCTION(_sk_load_f16_dst_hsw)
_sk_load_f16_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,101                             // jne           4a02 <_sk_load_f16_dst_hsw+0x81>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,116,192,16           // vmovupd       0x10(%r8,%rax,8),%xmm6
  .byte  196,193,121,16,124,192,32           // vmovupd       0x20(%r8,%rax,8),%xmm7
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,230                      // vpunpcklwd    %xmm6,%xmm8,%xmm4
  .byte  197,185,105,246                     // vpunpckhwd    %xmm6,%xmm8,%xmm6
  .byte  196,193,65,97,233                   // vpunpcklwd    %xmm9,%xmm7,%xmm5
  .byte  196,193,65,105,249                  // vpunpckhwd    %xmm9,%xmm7,%xmm7
  .byte  197,89,97,198                       // vpunpcklwd    %xmm6,%xmm4,%xmm8
  .byte  197,89,105,206                      // vpunpckhwd    %xmm6,%xmm4,%xmm9
  .byte  197,209,97,247                      // vpunpcklwd    %xmm7,%xmm5,%xmm6
  .byte  197,209,105,255                     // vpunpckhwd    %xmm7,%xmm5,%xmm7
  .byte  197,185,108,230                     // vpunpcklqdq   %xmm6,%xmm8,%xmm4
  .byte  196,226,125,19,228                  // vcvtph2ps     %xmm4,%ymm4
  .byte  197,185,109,238                     // vpunpckhqdq   %xmm6,%xmm8,%xmm5
  .byte  196,226,125,19,237                  // vcvtph2ps     %xmm5,%ymm5
  .byte  197,177,108,247                     // vpunpcklqdq   %xmm7,%xmm9,%xmm6
  .byte  196,226,125,19,246                  // vcvtph2ps     %xmm6,%ymm6
  .byte  197,177,109,255                     // vpunpckhqdq   %xmm7,%xmm9,%xmm7
  .byte  196,226,125,19,255                  // vcvtph2ps     %xmm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            4a68 <_sk_load_f16_dst_hsw+0xe7>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            4a68 <_sk_load_f16_dst_hsw+0xe7>
  .byte  196,193,123,16,116,192,16           // vmovsd        0x10(%r8,%rax,8),%xmm6
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            4a75 <_sk_load_f16_dst_hsw+0xf4>
  .byte  196,193,73,22,116,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm6,%xmm6
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            4a75 <_sk_load_f16_dst_hsw+0xf4>
  .byte  196,193,123,16,124,192,32           // vmovsd        0x20(%r8,%rax,8),%xmm7
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,109,255,255,255              // je            49b8 <_sk_load_f16_dst_hsw+0x37>
  .byte  196,193,65,22,124,192,40            // vmovhpd       0x28(%r8,%rax,8),%xmm7,%xmm7
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,92,255,255,255               // jb            49b8 <_sk_load_f16_dst_hsw+0x37>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,80,255,255,255                  // jmpq          49b8 <_sk_load_f16_dst_hsw+0x37>
  .byte  197,193,87,255                      // vxorpd        %xmm7,%xmm7,%xmm7
  .byte  197,201,87,246                      // vxorpd        %xmm6,%xmm6,%xmm6
  .byte  233,67,255,255,255                  // jmpq          49b8 <_sk_load_f16_dst_hsw+0x37>
  .byte  197,193,87,255                      // vxorpd        %xmm7,%xmm7,%xmm7
  .byte  233,58,255,255,255                  // jmpq          49b8 <_sk_load_f16_dst_hsw+0x37>

HIDDEN _sk_gather_f16_hsw
.globl _sk_gather_f16_hsw
FUNCTION(_sk_gather_f16_hsw)
_sk_gather_f16_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,226,125,88,80,8                 // vpbroadcastd  0x8(%rax),%ymm2
  .byte  196,226,109,64,201                  // vpmulld       %ymm1,%ymm2,%ymm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,245,254,192                     // vpaddd        %ymm0,%ymm1,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,194,237,144,28,192              // vpgatherdq    %ymm2,(%r8,%xmm0,8),%ymm3
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,194,245,144,20,192              // vpgatherdq    %ymm1,(%r8,%xmm0,8),%ymm2
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,227,125,57,209,1                // vextracti128  $0x1,%ymm2,%xmm1
  .byte  197,97,97,192                       // vpunpcklwd    %xmm0,%xmm3,%xmm8
  .byte  197,225,105,192                     // vpunpckhwd    %xmm0,%xmm3,%xmm0
  .byte  197,233,97,217                      // vpunpcklwd    %xmm1,%xmm2,%xmm3
  .byte  197,233,105,201                     // vpunpckhwd    %xmm1,%xmm2,%xmm1
  .byte  197,57,97,200                       // vpunpcklwd    %xmm0,%xmm8,%xmm9
  .byte  197,57,105,192                      // vpunpckhwd    %xmm0,%xmm8,%xmm8
  .byte  197,225,97,209                      // vpunpcklwd    %xmm1,%xmm3,%xmm2
  .byte  197,225,105,217                     // vpunpckhwd    %xmm1,%xmm3,%xmm3
  .byte  197,177,108,194                     // vpunpcklqdq   %xmm2,%xmm9,%xmm0
  .byte  196,226,125,19,192                  // vcvtph2ps     %xmm0,%ymm0
  .byte  197,177,109,202                     // vpunpckhqdq   %xmm2,%xmm9,%xmm1
  .byte  196,226,125,19,201                  // vcvtph2ps     %xmm1,%ymm1
  .byte  197,185,108,211                     // vpunpcklqdq   %xmm3,%xmm8,%xmm2
  .byte  196,226,125,19,210                  // vcvtph2ps     %xmm2,%ymm2
  .byte  197,185,109,219                     // vpunpckhqdq   %xmm3,%xmm8,%xmm3
  .byte  196,226,125,19,219                  // vcvtph2ps     %xmm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_hsw
.globl _sk_store_f16_hsw
FUNCTION(_sk_store_f16_hsw)
_sk_store_f16_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  196,195,125,29,192,4                // vcvtps2ph     $0x4,%ymm0,%xmm8
  .byte  196,195,125,29,201,4                // vcvtps2ph     $0x4,%ymm1,%xmm9
  .byte  196,195,125,29,210,4                // vcvtps2ph     $0x4,%ymm2,%xmm10
  .byte  196,195,125,29,219,4                // vcvtps2ph     $0x4,%ymm3,%xmm11
  .byte  196,65,57,97,225                    // vpunpcklwd    %xmm9,%xmm8,%xmm12
  .byte  196,65,57,105,193                   // vpunpckhwd    %xmm9,%xmm8,%xmm8
  .byte  196,65,41,97,203                    // vpunpcklwd    %xmm11,%xmm10,%xmm9
  .byte  196,65,41,105,235                   // vpunpckhwd    %xmm11,%xmm10,%xmm13
  .byte  196,65,25,98,217                    // vpunpckldq    %xmm9,%xmm12,%xmm11
  .byte  196,65,25,106,209                   // vpunpckhdq    %xmm9,%xmm12,%xmm10
  .byte  196,65,57,98,205                    // vpunpckldq    %xmm13,%xmm8,%xmm9
  .byte  196,65,57,106,197                   // vpunpckhdq    %xmm13,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,31                              // jne           4b83 <_sk_store_f16_hsw+0x7b>
  .byte  196,65,120,17,28,192                // vmovups       %xmm11,(%r8,%rax,8)
  .byte  196,65,120,17,84,192,16             // vmovups       %xmm10,0x10(%r8,%rax,8)
  .byte  196,65,120,17,76,192,32             // vmovups       %xmm9,0x20(%r8,%rax,8)
  .byte  196,65,122,127,68,192,48            // vmovdqu       %xmm8,0x30(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,192               // vmovq         %xmm11,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            4b7f <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,23,92,192,8              // vmovhpd       %xmm11,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            4b7f <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,214,84,192,16            // vmovq         %xmm10,0x10(%r8,%rax,8)
  .byte  116,218                             // je            4b7f <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,23,84,192,24             // vmovhpd       %xmm10,0x18(%r8,%rax,8)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            4b7f <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,214,76,192,32            // vmovq         %xmm9,0x20(%r8,%rax,8)
  .byte  116,196                             // je            4b7f <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,23,76,192,40             // vmovhpd       %xmm9,0x28(%r8,%rax,8)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,183                             // jb            4b7f <_sk_store_f16_hsw+0x77>
  .byte  196,65,121,214,68,192,48            // vmovq         %xmm8,0x30(%r8,%rax,8)
  .byte  235,174                             // jmp           4b7f <_sk_store_f16_hsw+0x77>

HIDDEN _sk_load_u16_be_hsw
.globl _sk_load_u16_be_hsw
FUNCTION(_sk_load_u16_be_hsw)
_sk_load_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,204,0,0,0                    // jne           4cc4 <_sk_load_u16_be_hsw+0xf3>
  .byte  196,65,121,16,4,64                  // vmovupd       (%r8,%rax,2),%xmm8
  .byte  196,193,121,16,84,64,16             // vmovupd       0x10(%r8,%rax,2),%xmm2
  .byte  196,193,121,16,92,64,32             // vmovupd       0x20(%r8,%rax,2),%xmm3
  .byte  196,65,122,111,76,64,48             // vmovdqu       0x30(%r8,%rax,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,194                      // vpunpcklwd    %xmm2,%xmm0,%xmm8
  .byte  197,121,105,202                     // vpunpckhwd    %xmm2,%xmm0,%xmm9
  .byte  197,241,97,211                      // vpunpcklwd    %xmm3,%xmm1,%xmm2
  .byte  197,113,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm11
  .byte  197,185,108,194                     // vpunpcklqdq   %xmm2,%xmm8,%xmm0
  .byte  197,241,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm1
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,241,235,192                     // vpor          %xmm0,%xmm1,%xmm0
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,21,147,108,2,0        // vbroadcastss  0x26c93(%rip),%ymm10        # 2b8ec <_sk_overlay_sse2_8bit+0x4d0>
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  197,185,109,202                     // vpunpckhqdq   %xmm2,%xmm8,%xmm1
  .byte  197,233,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm2
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,233,235,201                     // vpor          %xmm1,%xmm2,%xmm1
  .byte  196,226,125,51,201                  // vpmovzxwd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  196,193,49,108,211                  // vpunpcklqdq   %xmm11,%xmm9,%xmm2
  .byte  197,225,113,242,8                   // vpsllw        $0x8,%xmm2,%xmm3
  .byte  197,233,113,210,8                   // vpsrlw        $0x8,%xmm2,%xmm2
  .byte  197,225,235,210                     // vpor          %xmm2,%xmm3,%xmm2
  .byte  196,226,125,51,210                  // vpmovzxwd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  196,193,49,109,219                  // vpunpckhqdq   %xmm11,%xmm9,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,226,125,51,219                  // vpmovzxwd     %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,64                  // vmovsd        (%r8,%rax,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            4d2a <_sk_load_u16_be_hsw+0x159>
  .byte  196,65,57,22,68,64,8                // vmovhpd       0x8(%r8,%rax,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            4d2a <_sk_load_u16_be_hsw+0x159>
  .byte  196,193,123,16,84,64,16             // vmovsd        0x10(%r8,%rax,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            4d37 <_sk_load_u16_be_hsw+0x166>
  .byte  196,193,105,22,84,64,24             // vmovhpd       0x18(%r8,%rax,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            4d37 <_sk_load_u16_be_hsw+0x166>
  .byte  196,193,123,16,92,64,32             // vmovsd        0x20(%r8,%rax,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,6,255,255,255                // je            4c13 <_sk_load_u16_be_hsw+0x42>
  .byte  196,193,97,22,92,64,40              // vmovhpd       0x28(%r8,%rax,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,245,254,255,255              // jb            4c13 <_sk_load_u16_be_hsw+0x42>
  .byte  196,65,122,126,76,64,48             // vmovq         0x30(%r8,%rax,2),%xmm9
  .byte  233,233,254,255,255                 // jmpq          4c13 <_sk_load_u16_be_hsw+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,220,254,255,255                 // jmpq          4c13 <_sk_load_u16_be_hsw+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,211,254,255,255                 // jmpq          4c13 <_sk_load_u16_be_hsw+0x42>

HIDDEN _sk_load_rgb_u16_be_hsw
.globl _sk_load_rgb_u16_be_hsw
FUNCTION(_sk_load_rgb_u16_be_hsw)
_sk_load_rgb_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,203,0,0,0                    // jne           4e36 <_sk_load_rgb_u16_be_hsw+0xf6>
  .byte  196,65,122,111,28,64                // vmovdqu       (%r8,%rax,2),%xmm11
  .byte  196,193,122,111,92,64,12            // vmovdqu       0xc(%r8,%rax,2),%xmm3
  .byte  196,193,122,111,84,64,24            // vmovdqu       0x18(%r8,%rax,2),%xmm2
  .byte  196,193,122,111,68,64,32            // vmovdqu       0x20(%r8,%rax,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,97,105,201                      // vpunpckhwd    %xmm1,%xmm3,%xmm9
  .byte  197,249,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm1
  .byte  197,121,105,210                     // vpunpckhwd    %xmm2,%xmm0,%xmm10
  .byte  197,185,108,193                     // vpunpcklqdq   %xmm1,%xmm8,%xmm0
  .byte  197,225,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm3
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,225,235,192                     // vpor          %xmm0,%xmm3,%xmm0
  .byte  196,226,125,51,192                  // vpmovzxwd     %xmm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,29,6,107,2,0         // vbroadcastss  0x26b06(%rip),%ymm3        # 2b8ec <_sk_overlay_sse2_8bit+0x4d0>
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,185,109,201                     // vpunpckhqdq   %xmm1,%xmm8,%xmm1
  .byte  197,233,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm2
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,233,235,201                     // vpor          %xmm1,%xmm2,%xmm1
  .byte  196,226,125,51,201                  // vpmovzxwd     %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,193,49,108,210                  // vpunpcklqdq   %xmm10,%xmm9,%xmm2
  .byte  197,185,113,242,8                   // vpsllw        $0x8,%xmm2,%xmm8
  .byte  197,233,113,210,8                   // vpsrlw        $0x8,%xmm2,%xmm2
  .byte  197,185,235,210                     // vpor          %xmm2,%xmm8,%xmm2
  .byte  196,226,125,51,210                  // vpmovzxwd     %xmm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,40,106,2,0        // vbroadcastss  0x26a28(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  196,193,121,110,4,64                // vmovd         (%r8,%rax,2),%xmm0
  .byte  196,65,121,196,92,64,4,2            // vpinsrw       $0x2,0x4(%r8,%rax,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           4e6f <_sk_load_rgb_u16_be_hsw+0x12f>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,49,255,255,255                  // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  196,193,121,110,68,64,6             // vmovd         0x6(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,68,64,10,2           // vpinsrw       $0x2,0xa(%r8,%rax,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            4eba <_sk_load_rgb_u16_be_hsw+0x17a>
  .byte  196,193,121,110,68,64,12            // vmovd         0xc(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,92,64,16,2          // vpinsrw       $0x2,0x10(%r8,%rax,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           4ed5 <_sk_load_rgb_u16_be_hsw+0x195>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,230,254,255,255                 // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,203,254,255,255                 // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  196,193,121,110,68,64,18            // vmovd         0x12(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,84,64,22,2           // vpinsrw       $0x2,0x16(%r8,%rax,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            4f17 <_sk_load_rgb_u16_be_hsw+0x1d7>
  .byte  196,193,121,110,68,64,24            // vmovd         0x18(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,84,64,28,2          // vpinsrw       $0x2,0x1c(%r8,%rax,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           4f29 <_sk_load_rgb_u16_be_hsw+0x1e9>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,137,254,255,255                 // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,119,254,255,255                 // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  196,193,121,110,68,64,30            // vmovd         0x1e(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,100,64,34,2          // vpinsrw       $0x2,0x22(%r8,%rax,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            4f5c <_sk_load_rgb_u16_be_hsw+0x21c>
  .byte  196,193,121,110,68,64,36            // vmovd         0x24(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,68,64,40,2          // vpinsrw       $0x2,0x28(%r8,%rax,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,68,254,255,255                  // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,59,254,255,255                  // jmpq          4da0 <_sk_load_rgb_u16_be_hsw+0x60>

HIDDEN _sk_store_u16_be_hsw
.globl _sk_store_u16_be_hsw
FUNCTION(_sk_store_u16_be_hsw)
_sk_store_u16_be_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  196,98,125,24,5,232,105,2,0         // vbroadcastss  0x269e8(%rip),%ymm8        # 2b974 <_sk_overlay_sse2_8bit+0x558>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,67,125,25,202,1                 // vextractf128  $0x1,%ymm9,%xmm10
  .byte  196,66,49,43,202                    // vpackusdw     %xmm10,%xmm9,%xmm9
  .byte  196,193,41,113,241,8                // vpsllw        $0x8,%xmm9,%xmm10
  .byte  196,193,49,113,209,8                // vpsrlw        $0x8,%xmm9,%xmm9
  .byte  196,65,41,235,201                   // vpor          %xmm9,%xmm10,%xmm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,67,125,25,211,1                 // vextractf128  $0x1,%ymm10,%xmm11
  .byte  196,66,41,43,211                    // vpackusdw     %xmm11,%xmm10,%xmm10
  .byte  196,193,33,113,242,8                // vpsllw        $0x8,%xmm10,%xmm11
  .byte  196,193,41,113,210,8                // vpsrlw        $0x8,%xmm10,%xmm10
  .byte  196,65,33,235,210                   // vpor          %xmm10,%xmm11,%xmm10
  .byte  196,65,108,89,216                   // vmulps        %ymm8,%ymm2,%ymm11
  .byte  196,65,125,91,219                   // vcvtps2dq     %ymm11,%ymm11
  .byte  196,67,125,25,220,1                 // vextractf128  $0x1,%ymm11,%xmm12
  .byte  196,66,33,43,220                    // vpackusdw     %xmm12,%xmm11,%xmm11
  .byte  196,193,25,113,243,8                // vpsllw        $0x8,%xmm11,%xmm12
  .byte  196,193,33,113,211,8                // vpsrlw        $0x8,%xmm11,%xmm11
  .byte  196,65,25,235,219                   // vpor          %xmm11,%xmm12,%xmm11
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm12
  .byte  196,66,57,43,196                    // vpackusdw     %xmm12,%xmm8,%xmm8
  .byte  196,193,25,113,240,8                // vpsllw        $0x8,%xmm8,%xmm12
  .byte  196,193,57,113,208,8                // vpsrlw        $0x8,%xmm8,%xmm8
  .byte  196,65,25,235,192                   // vpor          %xmm8,%xmm12,%xmm8
  .byte  196,65,49,97,226                    // vpunpcklwd    %xmm10,%xmm9,%xmm12
  .byte  196,65,49,105,234                   // vpunpckhwd    %xmm10,%xmm9,%xmm13
  .byte  196,65,33,97,200                    // vpunpcklwd    %xmm8,%xmm11,%xmm9
  .byte  196,65,33,105,192                   // vpunpckhwd    %xmm8,%xmm11,%xmm8
  .byte  196,65,25,98,217                    // vpunpckldq    %xmm9,%xmm12,%xmm11
  .byte  196,65,25,106,209                   // vpunpckhdq    %xmm9,%xmm12,%xmm10
  .byte  196,65,17,98,200                    // vpunpckldq    %xmm8,%xmm13,%xmm9
  .byte  196,65,17,106,192                   // vpunpckhdq    %xmm8,%xmm13,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,31                              // jne           5070 <_sk_store_u16_be_hsw+0x10b>
  .byte  196,65,120,17,28,64                 // vmovups       %xmm11,(%r8,%rax,2)
  .byte  196,65,120,17,84,64,16              // vmovups       %xmm10,0x10(%r8,%rax,2)
  .byte  196,65,120,17,76,64,32              // vmovups       %xmm9,0x20(%r8,%rax,2)
  .byte  196,65,122,127,68,64,48             // vmovdqu       %xmm8,0x30(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,64                // vmovq         %xmm11,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            506c <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,23,92,64,8               // vmovhpd       %xmm11,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            506c <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,214,84,64,16             // vmovq         %xmm10,0x10(%r8,%rax,2)
  .byte  116,218                             // je            506c <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,23,84,64,24              // vmovhpd       %xmm10,0x18(%r8,%rax,2)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            506c <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,214,76,64,32             // vmovq         %xmm9,0x20(%r8,%rax,2)
  .byte  116,196                             // je            506c <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,23,76,64,40              // vmovhpd       %xmm9,0x28(%r8,%rax,2)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,183                             // jb            506c <_sk_store_u16_be_hsw+0x107>
  .byte  196,65,121,214,68,64,48             // vmovq         %xmm8,0x30(%r8,%rax,2)
  .byte  235,174                             // jmp           506c <_sk_store_u16_be_hsw+0x107>

HIDDEN _sk_load_f32_hsw
.globl _sk_load_f32_hsw
FUNCTION(_sk_load_f32_hsw)
_sk_load_f32_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            522f <_sk_load_f32_hsw+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,100,36,128               // vmovupd       %ymm4,-0x80(%rsp)
  .byte  197,253,17,108,36,160               // vmovupd       %ymm5,-0x60(%rsp)
  .byte  197,253,17,116,36,192               // vmovupd       %ymm6,-0x40(%rsp)
  .byte  197,253,17,124,36,224               // vmovupd       %ymm7,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,50,1,0,0                  // lea           0x132(%rip),%r10        # 5240 <_sk_load_f32_hsw+0x182>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,225,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm4
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,209,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm2
  .byte  197,125,40,204                      // vmovapd       %ymm4,%ymm9
  .byte  196,129,121,16,76,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm1
  .byte  196,99,125,6,193,40                 // vperm2f128    $0x28,%ymm1,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,226                      // vmovapd       %ymm2,%ymm12
  .byte  196,129,121,16,76,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm1
  .byte  196,227,117,13,192,12               // vblendpd      $0xc,%ymm0,%ymm1,%ymm0
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,230                      // vmovapd       %ymm12,%ymm6
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,76,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm1
  .byte  196,195,117,13,206,12               // vblendpd      $0xc,%ymm14,%ymm1,%ymm1
  .byte  197,125,40,238                      // vmovapd       %ymm6,%ymm13
  .byte  197,125,41,253                      // vmovapd       %ymm15,%ymm5
  .byte  196,129,121,16,84,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm2
  .byte  196,67,109,13,213,12                // vblendpd      $0xc,%ymm13,%ymm2,%ymm10
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  196,129,121,16,12,136               // vmovupd       (%r8,%r9,4),%xmm1
  .byte  196,227,117,13,207,12               // vblendpd      $0xc,%ymm7,%ymm1,%ymm1
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,116,20,210                  // vunpcklps     %ymm10,%ymm1,%ymm2
  .byte  196,65,116,21,194                   // vunpckhps     %ymm10,%ymm1,%ymm8
  .byte  197,228,20,200                      // vunpcklps     %ymm0,%ymm3,%ymm1
  .byte  197,228,21,216                      // vunpckhps     %ymm0,%ymm3,%ymm3
  .byte  197,237,20,193                      // vunpcklpd     %ymm1,%ymm2,%ymm0
  .byte  197,237,21,201                      // vunpckhpd     %ymm1,%ymm2,%ymm1
  .byte  197,189,20,211                      // vunpcklpd     %ymm3,%ymm8,%ymm2
  .byte  197,189,21,219                      // vunpckhpd     %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  235,203                             // jmp           5209 <_sk_load_f32_hsw+0x14b>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  27,255                              // sbb           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,161,255,255,255,140             // jmpq          *-0x73000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,119,255                         // pushq         -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,70,255                          // incl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,53,255,255,255,40               // pushq         0x28ffffff(%rip)        # 2900525c <_sk_overlay_sse2_8bit+0x28fd9e40>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f32_dst_hsw
.globl _sk_load_f32_dst_hsw
FUNCTION(_sk_load_f32_dst_hsw)
_sk_load_f32_dst_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            53d1 <_sk_load_f32_dst_hsw+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,68,36,128                // vmovupd       %ymm0,-0x80(%rsp)
  .byte  197,253,17,76,36,160                // vmovupd       %ymm1,-0x60(%rsp)
  .byte  197,253,17,84,36,192                // vmovupd       %ymm2,-0x40(%rsp)
  .byte  197,253,17,92,36,224                // vmovupd       %ymm3,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,48,1,0,0                  // lea           0x130(%rip),%r10        # 53e0 <_sk_load_f32_dst_hsw+0x180>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,224,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm4
  .byte  196,129,121,16,68,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,241,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm6
  .byte  197,125,40,200                      // vmovapd       %ymm0,%ymm9
  .byte  196,129,121,16,68,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm0
  .byte  196,99,125,6,192,40                 // vperm2f128    $0x28,%ymm0,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,230                      // vmovapd       %ymm6,%ymm12
  .byte  196,129,121,16,68,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm0
  .byte  196,227,125,13,228,12               // vblendpd      $0xc,%ymm4,%ymm0,%ymm4
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,226                      // vmovapd       %ymm12,%ymm2
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,68,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm0
  .byte  196,195,125,13,238,12               // vblendpd      $0xc,%ymm14,%ymm0,%ymm5
  .byte  197,125,40,234                      // vmovapd       %ymm2,%ymm13
  .byte  197,125,41,249                      // vmovapd       %ymm15,%ymm1
  .byte  196,129,121,16,68,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm0
  .byte  196,67,125,13,213,12                // vblendpd      $0xc,%ymm13,%ymm0,%ymm10
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  196,129,121,16,4,136                // vmovupd       (%r8,%r9,4),%xmm0
  .byte  196,227,125,13,235,12               // vblendpd      $0xc,%ymm3,%ymm0,%ymm5
  .byte  197,252,16,92,36,224                // vmovups       -0x20(%rsp),%ymm3
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,84,20,242                   // vunpcklps     %ymm10,%ymm5,%ymm6
  .byte  196,65,84,21,194                    // vunpckhps     %ymm10,%ymm5,%ymm8
  .byte  197,196,20,236                      // vunpcklps     %ymm4,%ymm7,%ymm5
  .byte  197,196,21,252                      // vunpckhps     %ymm4,%ymm7,%ymm7
  .byte  197,205,20,229                      // vunpcklpd     %ymm5,%ymm6,%ymm4
  .byte  197,205,21,237                      // vunpckhpd     %ymm5,%ymm6,%ymm5
  .byte  197,189,20,247                      // vunpcklpd     %ymm7,%ymm8,%ymm6
  .byte  197,189,21,255                      // vunpckhpd     %ymm7,%ymm8,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  235,203                             // jmp           53ab <_sk_load_f32_dst_hsw+0x14b>
  .byte  29,255,255,255,163                  // sbb           $0xa3ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,142,255,255,255,121             // decl          0x79ffffff(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,72,255                          // decl          -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,55                              // pushq         (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,42                              // ljmp          *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_f32_hsw
.globl _sk_store_f32_hsw
FUNCTION(_sk_store_f32_hsw)
_sk_store_f32_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  197,124,20,193                      // vunpcklps     %ymm1,%ymm0,%ymm8
  .byte  197,124,21,217                      // vunpckhps     %ymm1,%ymm0,%ymm11
  .byte  197,108,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm9
  .byte  197,108,21,227                      // vunpckhps     %ymm3,%ymm2,%ymm12
  .byte  196,65,61,20,209                    // vunpcklpd     %ymm9,%ymm8,%ymm10
  .byte  196,65,61,21,201                    // vunpckhpd     %ymm9,%ymm8,%ymm9
  .byte  196,65,37,20,196                    // vunpcklpd     %ymm12,%ymm11,%ymm8
  .byte  196,65,37,21,220                    // vunpckhpd     %ymm12,%ymm11,%ymm11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,55                              // jne           547f <_sk_store_f32_hsw+0x7f>
  .byte  196,67,45,24,225,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm12
  .byte  196,67,61,24,235,1                  // vinsertf128   $0x1,%xmm11,%ymm8,%ymm13
  .byte  196,67,45,6,201,49                  // vperm2f128    $0x31,%ymm9,%ymm10,%ymm9
  .byte  196,67,61,6,195,49                  // vperm2f128    $0x31,%ymm11,%ymm8,%ymm8
  .byte  196,65,125,17,36,128                // vmovupd       %ymm12,(%r8,%rax,4)
  .byte  196,65,125,17,108,128,32            // vmovupd       %ymm13,0x20(%r8,%rax,4)
  .byte  196,65,125,17,76,128,64             // vmovupd       %ymm9,0x40(%r8,%rax,4)
  .byte  196,65,125,17,68,128,96             // vmovupd       %ymm8,0x60(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,17,20,128                // vmovupd       %xmm10,(%r8,%rax,4)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            547b <_sk_store_f32_hsw+0x7b>
  .byte  196,65,121,17,76,128,16             // vmovupd       %xmm9,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            547b <_sk_store_f32_hsw+0x7b>
  .byte  196,65,121,17,68,128,32             // vmovupd       %xmm8,0x20(%r8,%rax,4)
  .byte  116,218                             // je            547b <_sk_store_f32_hsw+0x7b>
  .byte  196,65,121,17,92,128,48             // vmovupd       %xmm11,0x30(%r8,%rax,4)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            547b <_sk_store_f32_hsw+0x7b>
  .byte  196,67,125,25,84,128,64,1           // vextractf128  $0x1,%ymm10,0x40(%r8,%rax,4)
  .byte  116,195                             // je            547b <_sk_store_f32_hsw+0x7b>
  .byte  196,67,125,25,76,128,80,1           // vextractf128  $0x1,%ymm9,0x50(%r8,%rax,4)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,181                             // jb            547b <_sk_store_f32_hsw+0x7b>
  .byte  196,67,125,25,68,128,96,1           // vextractf128  $0x1,%ymm8,0x60(%r8,%rax,4)
  .byte  235,171                             // jmp           547b <_sk_store_f32_hsw+0x7b>

HIDDEN _sk_clamp_x_hsw
.globl _sk_clamp_x_hsw
FUNCTION(_sk_clamp_x_hsw)
_sk_clamp_x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,88,0                     // vpbroadcastd  (%rax),%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,65,61,254,193                   // vpaddd        %ymm9,%ymm8,%ymm8
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_hsw
.globl _sk_clamp_y_hsw
FUNCTION(_sk_clamp_y_hsw)
_sk_clamp_y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  196,98,125,88,0                     // vpbroadcastd  (%rax),%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,65,61,254,193                   // vpaddd        %ymm9,%ymm8,%ymm8
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_hsw
.globl _sk_repeat_x_hsw
FUNCTION(_sk_repeat_x_hsw)
_sk_repeat_x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,53,172,192                   // vfnmadd213ps  %ymm0,%ymm9,%ymm8
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,53,254,192                   // vpaddd        %ymm8,%ymm9,%ymm8
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_hsw
.globl _sk_repeat_y_hsw
FUNCTION(_sk_repeat_y_hsw)
_sk_repeat_y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,193                       // vmulps        %ymm1,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,53,172,193                   // vfnmadd213ps  %ymm1,%ymm9,%ymm8
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,53,254,192                   // vpaddd        %ymm8,%ymm9,%ymm8
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_hsw
.globl _sk_mirror_x_hsw
FUNCTION(_sk_mirror_x_hsw)
_sk_mirror_x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,0                        // vmovss        (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,66,125,24,208                   // vbroadcastss  %xmm8,%ymm10
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,193,58,88,192                   // vaddss        %xmm8,%xmm8,%xmm0
  .byte  196,98,125,24,192                   // vbroadcastss  %xmm0,%ymm8
  .byte  197,178,89,5,171,98,2,0             // vmulss        0x262ab(%rip),%xmm9,%xmm0        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  196,227,125,8,192,1                 // vroundps      $0x1,%ymm0,%ymm0
  .byte  196,194,61,172,195                  // vfnmadd213ps  %ymm11,%ymm8,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,180,84,192                      // vandps        %ymm0,%ymm9,%ymm0
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,45,254,192                   // vpaddd        %ymm8,%ymm10,%ymm8
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_hsw
.globl _sk_mirror_y_hsw
FUNCTION(_sk_mirror_y_hsw)
_sk_mirror_y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,0                        // vmovss        (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,66,125,24,208                   // vbroadcastss  %xmm8,%ymm10
  .byte  196,65,116,92,218                   // vsubps        %ymm10,%ymm1,%ymm11
  .byte  196,193,58,88,200                   // vaddss        %xmm8,%xmm8,%xmm1
  .byte  196,98,125,24,193                   // vbroadcastss  %xmm1,%ymm8
  .byte  197,178,89,13,71,98,2,0             // vmulss        0x26247(%rip),%xmm9,%xmm1        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,226,125,24,201                  // vbroadcastss  %xmm1,%ymm1
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  196,227,125,8,201,1                 // vroundps      $0x1,%ymm1,%ymm1
  .byte  196,194,61,172,203                  // vfnmadd213ps  %ymm11,%ymm8,%ymm1
  .byte  196,193,116,92,202                  // vsubps        %ymm10,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,201                       // vsubps        %ymm1,%ymm8,%ymm9
  .byte  197,180,84,201                      // vandps        %ymm1,%ymm9,%ymm1
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,65,45,254,192                   // vpaddd        %ymm8,%ymm10,%ymm8
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_hsw
.globl _sk_clamp_x_1_hsw
FUNCTION(_sk_clamp_x_1_hsw)
_sk_clamp_x_1_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,252,97,2,0          // vbroadcastss  0x261fc(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_hsw
.globl _sk_repeat_x_1_hsw
FUNCTION(_sk_repeat_x_1_hsw)
_sk_repeat_x_1_hsw:
  .byte  196,99,125,8,192,1                  // vroundps      $0x1,%ymm0,%ymm8
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_hsw
.globl _sk_mirror_x_1_hsw
FUNCTION(_sk_mirror_x_1_hsw)
_sk_mirror_x_1_hsw:
  .byte  196,98,125,24,5,243,97,2,0          // vbroadcastss  0x261f3(%rip),%ymm8        # 2b874 <_sk_overlay_sse2_8bit+0x458>
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,13,201,97,2,0         // vbroadcastss  0x261c9(%rip),%ymm9        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,124,89,201                   // vmulps        %ymm9,%ymm0,%ymm9
  .byte  196,67,125,8,201,1                  // vroundps      $0x1,%ymm9,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,193,124,92,193                  // vsubps        %ymm9,%ymm0,%ymm0
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,192                       // vsubps        %ymm0,%ymm8,%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_hsw
.globl _sk_luminance_to_alpha_hsw
FUNCTION(_sk_luminance_to_alpha_hsw)
_sk_luminance_to_alpha_hsw:
  .byte  196,226,125,24,29,181,98,2,0        // vbroadcastss  0x262b5(%rip),%ymm3        # 2b978 <_sk_overlay_sse2_8bit+0x55c>
  .byte  196,98,125,24,5,176,98,2,0          // vbroadcastss  0x262b0(%rip),%ymm8        # 2b97c <_sk_overlay_sse2_8bit+0x560>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,226,125,184,203                 // vfmadd231ps   %ymm3,%ymm0,%ymm1
  .byte  196,226,125,24,29,161,98,2,0        // vbroadcastss  0x262a1(%rip),%ymm3        # 2b980 <_sk_overlay_sse2_8bit+0x564>
  .byte  196,226,109,168,217                 // vfmadd213ps   %ymm1,%ymm2,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_hsw
.globl _sk_matrix_translate_hsw
FUNCTION(_sk_matrix_translate_hsw)
_sk_matrix_translate_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_hsw
.globl _sk_matrix_scale_translate_hsw
FUNCTION(_sk_matrix_scale_translate_hsw)
_sk_matrix_scale_translate_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,8                  // vbroadcastss  0x8(%rax),%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,194,61,168,193                  // vfmadd213ps   %ymm9,%ymm8,%ymm0
  .byte  196,98,125,24,64,12                 // vbroadcastss  0xc(%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,194,61,168,201                  // vfmadd213ps   %ymm9,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_hsw
.globl _sk_matrix_2x3_hsw
FUNCTION(_sk_matrix_2x3_hsw)
_sk_matrix_2x3_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,66,117,184,194                  // vfmadd231ps   %ymm10,%ymm1,%ymm8
  .byte  196,66,125,184,193                  // vfmadd231ps   %ymm9,%ymm0,%ymm8
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,12                 // vbroadcastss  0xc(%rax),%ymm11
  .byte  196,98,125,24,72,20                 // vbroadcastss  0x14(%rax),%ymm9
  .byte  196,66,117,184,203                  // vfmadd231ps   %ymm11,%ymm1,%ymm9
  .byte  196,66,125,184,202                  // vfmadd231ps   %ymm10,%ymm0,%ymm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_hsw
.globl _sk_matrix_3x4_hsw
FUNCTION(_sk_matrix_3x4_hsw)
_sk_matrix_3x4_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,125,24,80,12                 // vbroadcastss  0xc(%rax),%ymm10
  .byte  196,98,125,24,88,24                 // vbroadcastss  0x18(%rax),%ymm11
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,66,109,184,195                  // vfmadd231ps   %ymm11,%ymm2,%ymm8
  .byte  196,66,117,184,194                  // vfmadd231ps   %ymm10,%ymm1,%ymm8
  .byte  196,66,125,184,193                  // vfmadd231ps   %ymm9,%ymm0,%ymm8
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,16                 // vbroadcastss  0x10(%rax),%ymm11
  .byte  196,98,125,24,96,28                 // vbroadcastss  0x1c(%rax),%ymm12
  .byte  196,98,125,24,72,40                 // vbroadcastss  0x28(%rax),%ymm9
  .byte  196,66,109,184,204                  // vfmadd231ps   %ymm12,%ymm2,%ymm9
  .byte  196,66,117,184,203                  // vfmadd231ps   %ymm11,%ymm1,%ymm9
  .byte  196,66,125,184,202                  // vfmadd231ps   %ymm10,%ymm0,%ymm9
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,98,125,24,96,20                 // vbroadcastss  0x14(%rax),%ymm12
  .byte  196,98,125,24,104,32                // vbroadcastss  0x20(%rax),%ymm13
  .byte  196,98,125,24,80,44                 // vbroadcastss  0x2c(%rax),%ymm10
  .byte  196,66,109,184,213                  // vfmadd231ps   %ymm13,%ymm2,%ymm10
  .byte  196,66,117,184,212                  // vfmadd231ps   %ymm12,%ymm1,%ymm10
  .byte  196,66,125,184,211                  // vfmadd231ps   %ymm11,%ymm0,%ymm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  197,124,41,210                      // vmovaps       %ymm10,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_hsw
.globl _sk_matrix_4x5_hsw
FUNCTION(_sk_matrix_4x5_hsw)
_sk_matrix_4x5_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  196,98,125,24,88,32                 // vbroadcastss  0x20(%rax),%ymm11
  .byte  196,98,125,24,96,48                 // vbroadcastss  0x30(%rax),%ymm12
  .byte  196,98,125,24,64,64                 // vbroadcastss  0x40(%rax),%ymm8
  .byte  196,66,101,184,196                  // vfmadd231ps   %ymm12,%ymm3,%ymm8
  .byte  196,66,109,184,195                  // vfmadd231ps   %ymm11,%ymm2,%ymm8
  .byte  196,66,117,184,194                  // vfmadd231ps   %ymm10,%ymm1,%ymm8
  .byte  196,66,125,184,193                  // vfmadd231ps   %ymm9,%ymm0,%ymm8
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  196,98,125,24,96,36                 // vbroadcastss  0x24(%rax),%ymm12
  .byte  196,98,125,24,104,52                // vbroadcastss  0x34(%rax),%ymm13
  .byte  196,98,125,24,72,68                 // vbroadcastss  0x44(%rax),%ymm9
  .byte  196,66,101,184,205                  // vfmadd231ps   %ymm13,%ymm3,%ymm9
  .byte  196,66,109,184,204                  // vfmadd231ps   %ymm12,%ymm2,%ymm9
  .byte  196,66,117,184,203                  // vfmadd231ps   %ymm11,%ymm1,%ymm9
  .byte  196,66,125,184,202                  // vfmadd231ps   %ymm10,%ymm0,%ymm9
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  196,98,125,24,96,24                 // vbroadcastss  0x18(%rax),%ymm12
  .byte  196,98,125,24,104,40                // vbroadcastss  0x28(%rax),%ymm13
  .byte  196,98,125,24,112,56                // vbroadcastss  0x38(%rax),%ymm14
  .byte  196,98,125,24,80,72                 // vbroadcastss  0x48(%rax),%ymm10
  .byte  196,66,101,184,214                  // vfmadd231ps   %ymm14,%ymm3,%ymm10
  .byte  196,66,109,184,213                  // vfmadd231ps   %ymm13,%ymm2,%ymm10
  .byte  196,66,117,184,212                  // vfmadd231ps   %ymm12,%ymm1,%ymm10
  .byte  196,66,125,184,211                  // vfmadd231ps   %ymm11,%ymm0,%ymm10
  .byte  196,98,125,24,96,12                 // vbroadcastss  0xc(%rax),%ymm12
  .byte  196,98,125,24,104,28                // vbroadcastss  0x1c(%rax),%ymm13
  .byte  196,98,125,24,112,44                // vbroadcastss  0x2c(%rax),%ymm14
  .byte  196,98,125,24,120,60                // vbroadcastss  0x3c(%rax),%ymm15
  .byte  196,98,125,24,88,76                 // vbroadcastss  0x4c(%rax),%ymm11
  .byte  196,66,101,184,223                  // vfmadd231ps   %ymm15,%ymm3,%ymm11
  .byte  196,66,109,184,222                  // vfmadd231ps   %ymm14,%ymm2,%ymm11
  .byte  196,66,117,184,221                  // vfmadd231ps   %ymm13,%ymm1,%ymm11
  .byte  196,66,125,184,220                  // vfmadd231ps   %ymm12,%ymm0,%ymm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  197,124,41,210                      // vmovaps       %ymm10,%ymm2
  .byte  197,124,41,219                      // vmovaps       %ymm11,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_hsw
.globl _sk_matrix_4x3_hsw
FUNCTION(_sk_matrix_4x3_hsw)
_sk_matrix_4x3_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,16                   // vbroadcastss  (%rax),%ymm2
  .byte  196,226,125,24,88,16                // vbroadcastss  0x10(%rax),%ymm3
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  196,98,117,184,195                  // vfmadd231ps   %ymm3,%ymm1,%ymm8
  .byte  196,98,125,184,194                  // vfmadd231ps   %ymm2,%ymm0,%ymm8
  .byte  196,226,125,24,80,4                 // vbroadcastss  0x4(%rax),%ymm2
  .byte  196,226,125,24,88,20                // vbroadcastss  0x14(%rax),%ymm3
  .byte  196,98,125,24,72,36                 // vbroadcastss  0x24(%rax),%ymm9
  .byte  196,98,117,184,203                  // vfmadd231ps   %ymm3,%ymm1,%ymm9
  .byte  196,98,125,184,202                  // vfmadd231ps   %ymm2,%ymm0,%ymm9
  .byte  196,226,125,24,88,8                 // vbroadcastss  0x8(%rax),%ymm3
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,226,125,24,80,40                // vbroadcastss  0x28(%rax),%ymm2
  .byte  196,194,117,184,210                 // vfmadd231ps   %ymm10,%ymm1,%ymm2
  .byte  196,226,125,184,211                 // vfmadd231ps   %ymm3,%ymm0,%ymm2
  .byte  196,98,125,24,80,12                 // vbroadcastss  0xc(%rax),%ymm10
  .byte  196,98,125,24,88,28                 // vbroadcastss  0x1c(%rax),%ymm11
  .byte  196,226,125,24,88,44                // vbroadcastss  0x2c(%rax),%ymm3
  .byte  196,194,117,184,219                 // vfmadd231ps   %ymm11,%ymm1,%ymm3
  .byte  196,194,125,184,218                 // vfmadd231ps   %ymm10,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_hsw
.globl _sk_matrix_perspective_hsw
FUNCTION(_sk_matrix_perspective_hsw)
_sk_matrix_perspective_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,66,117,184,209                  // vfmadd231ps   %ymm9,%ymm1,%ymm10
  .byte  196,66,125,184,208                  // vfmadd231ps   %ymm8,%ymm0,%ymm10
  .byte  196,98,125,24,64,12                 // vbroadcastss  0xc(%rax),%ymm8
  .byte  196,98,125,24,72,16                 // vbroadcastss  0x10(%rax),%ymm9
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  196,66,117,184,217                  // vfmadd231ps   %ymm9,%ymm1,%ymm11
  .byte  196,66,125,184,216                  // vfmadd231ps   %ymm8,%ymm0,%ymm11
  .byte  196,98,125,24,64,24                 // vbroadcastss  0x18(%rax),%ymm8
  .byte  196,98,125,24,72,28                 // vbroadcastss  0x1c(%rax),%ymm9
  .byte  196,98,125,24,96,32                 // vbroadcastss  0x20(%rax),%ymm12
  .byte  196,66,117,184,225                  // vfmadd231ps   %ymm9,%ymm1,%ymm12
  .byte  196,66,125,184,224                  // vfmadd231ps   %ymm8,%ymm0,%ymm12
  .byte  196,193,124,83,204                  // vrcpps        %ymm12,%ymm1
  .byte  197,172,89,193                      // vmulps        %ymm1,%ymm10,%ymm0
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_hsw
.globl _sk_evenly_spaced_gradient_hsw
FUNCTION(_sk_evenly_spaced_gradient_hsw)
_sk_evenly_spaced_gradient_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,8                            // mov           (%rax),%r9
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  77,137,202                          // mov           %r9,%r10
  .byte  73,255,202                          // dec           %r10
  .byte  120,7                               // js            59d7 <_sk_evenly_spaced_gradient_hsw+0x18>
  .byte  196,193,242,42,202                  // vcvtsi2ss     %r10,%xmm1,%xmm1
  .byte  235,22                              // jmp           59ed <_sk_evenly_spaced_gradient_hsw+0x2e>
  .byte  77,137,211                          // mov           %r10,%r11
  .byte  73,209,235                          // shr           %r11
  .byte  65,131,226,1                        // and           $0x1,%r10d
  .byte  77,9,218                            // or            %r11,%r10
  .byte  196,193,242,42,202                  // vcvtsi2ss     %r10,%xmm1,%xmm1
  .byte  197,242,88,201                      // vaddss        %xmm1,%xmm1,%xmm1
  .byte  196,226,125,24,201                  // vbroadcastss  %xmm1,%ymm1
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,126,91,217                      // vcvttps2dq    %ymm1,%ymm11
  .byte  73,131,249,8                        // cmp           $0x8,%r9
  .byte  119,70                              // ja            5a46 <_sk_evenly_spaced_gradient_hsw+0x87>
  .byte  196,66,37,22,0                      // vpermps       (%r8),%ymm11,%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  196,66,37,22,8                      // vpermps       (%r8),%ymm11,%ymm9
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,194,37,22,8                     // vpermps       (%r8),%ymm11,%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  196,66,37,22,16                     // vpermps       (%r8),%ymm11,%ymm10
  .byte  196,194,37,22,17                    // vpermps       (%r9),%ymm11,%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  196,66,37,22,32                     // vpermps       (%r8),%ymm11,%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,194,37,22,24                    // vpermps       (%r8),%ymm11,%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,98,37,22,40                     // vpermps       (%rax),%ymm11,%ymm13
  .byte  235,110                             // jmp           5ab4 <_sk_evenly_spaced_gradient_hsw+0xf5>
  .byte  196,65,13,118,246                   // vpcmpeqd      %ymm14,%ymm14,%ymm14
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,4,152                 // vgatherdps    %ymm1,(%r8,%ymm11,4),%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,12,152                // vgatherdps    %ymm1,(%r8,%ymm11,4),%ymm9
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,130,109,146,12,152              // vgatherdps    %ymm2,(%r8,%ymm11,4),%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,2,109,146,20,152                // vgatherdps    %ymm2,(%r8,%ymm11,4),%ymm10
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,130,101,146,20,153              // vgatherdps    %ymm3,(%r9,%ymm11,4),%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,2,101,146,36,152                // vgatherdps    %ymm3,(%r8,%ymm11,4),%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,65,21,118,237                   // vpcmpeqd      %ymm13,%ymm13,%ymm13
  .byte  196,130,21,146,28,152               // vgatherdps    %ymm13,(%r8,%ymm11,4),%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,34,13,146,44,152                // vgatherdps    %ymm14,(%rax,%ymm11,4),%ymm13
  .byte  196,66,125,168,193                  // vfmadd213ps   %ymm9,%ymm0,%ymm8
  .byte  196,194,125,168,202                 // vfmadd213ps   %ymm10,%ymm0,%ymm1
  .byte  196,194,125,168,212                 // vfmadd213ps   %ymm12,%ymm0,%ymm2
  .byte  196,194,125,168,221                 // vfmadd213ps   %ymm13,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_hsw
.globl _sk_gauss_a_to_rgba_hsw
FUNCTION(_sk_gauss_a_to_rgba_hsw)
_sk_gauss_a_to_rgba_hsw:
  .byte  196,226,125,24,5,171,94,2,0         // vbroadcastss  0x25eab(%rip),%ymm0        # 2b984 <_sk_overlay_sse2_8bit+0x568>
  .byte  196,226,125,24,13,166,94,2,0        // vbroadcastss  0x25ea6(%rip),%ymm1        # 2b988 <_sk_overlay_sse2_8bit+0x56c>
  .byte  196,226,101,168,200                 // vfmadd213ps   %ymm0,%ymm3,%ymm1
  .byte  196,226,125,24,5,156,94,2,0         // vbroadcastss  0x25e9c(%rip),%ymm0        # 2b98c <_sk_overlay_sse2_8bit+0x570>
  .byte  196,226,101,184,193                 // vfmadd231ps   %ymm1,%ymm3,%ymm0
  .byte  196,226,125,24,13,146,94,2,0        // vbroadcastss  0x25e92(%rip),%ymm1        # 2b990 <_sk_overlay_sse2_8bit+0x574>
  .byte  196,226,101,184,200                 // vfmadd231ps   %ymm0,%ymm3,%ymm1
  .byte  196,226,125,24,5,136,94,2,0         // vbroadcastss  0x25e88(%rip),%ymm0        # 2b994 <_sk_overlay_sse2_8bit+0x578>
  .byte  196,226,101,184,193                 // vfmadd231ps   %ymm1,%ymm3,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_hsw
.globl _sk_gradient_hsw
FUNCTION(_sk_gradient_hsw)
_sk_gradient_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  73,131,248,1                        // cmp           $0x1,%r8
  .byte  15,134,180,0,0,0                    // jbe           5be4 <_sk_gradient_hsw+0xc3>
  .byte  76,139,72,72                        // mov           0x48(%rax),%r9
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  65,186,1,0,0,0                      // mov           $0x1,%r10d
  .byte  196,226,125,24,21,25,93,2,0         // vbroadcastss  0x25d19(%rip),%ymm2        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,130,125,24,28,145               // vbroadcastss  (%r9,%r10,4),%ymm3
  .byte  197,228,194,216,2                   // vcmpleps      %ymm0,%ymm3,%ymm3
  .byte  196,227,117,74,218,48               // vblendvps     %ymm3,%ymm2,%ymm1,%ymm3
  .byte  196,65,101,254,201                  // vpaddd        %ymm9,%ymm3,%ymm9
  .byte  73,255,194                          // inc           %r10
  .byte  77,57,208                           // cmp           %r10,%r8
  .byte  117,226                             // jne           5b4c <_sk_gradient_hsw+0x2b>
  .byte  76,139,72,8                         // mov           0x8(%rax),%r9
  .byte  73,131,248,8                        // cmp           $0x8,%r8
  .byte  118,121                             // jbe           5bed <_sk_gradient_hsw+0xcc>
  .byte  196,65,13,118,246                   // vpcmpeqd      %ymm14,%ymm14,%ymm14
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,4,137                 // vgatherdps    %ymm1,(%r9,%ymm9,4),%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,2,117,146,20,136                // vgatherdps    %ymm1,(%r8,%ymm9,4),%ymm10
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,130,109,146,12,136              // vgatherdps    %ymm2,(%r8,%ymm9,4),%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,2,109,146,28,136                // vgatherdps    %ymm2,(%r8,%ymm9,4),%ymm11
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,130,101,146,20,137              // vgatherdps    %ymm3,(%r9,%ymm9,4),%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,2,101,146,36,136                // vgatherdps    %ymm3,(%r8,%ymm9,4),%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,65,21,118,237                   // vpcmpeqd      %ymm13,%ymm13,%ymm13
  .byte  196,130,21,146,28,136               // vgatherdps    %ymm13,(%r8,%ymm9,4),%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,34,13,146,44,136                // vgatherdps    %ymm14,(%rax,%ymm9,4),%ymm13
  .byte  235,77                              // jmp           5c31 <_sk_gradient_hsw+0x110>
  .byte  76,139,72,8                         // mov           0x8(%rax),%r9
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  196,66,53,22,1                      // vpermps       (%r9),%ymm9,%ymm8
  .byte  76,139,64,40                        // mov           0x28(%rax),%r8
  .byte  196,66,53,22,16                     // vpermps       (%r8),%ymm9,%ymm10
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,194,53,22,8                     // vpermps       (%r8),%ymm9,%ymm1
  .byte  76,139,64,48                        // mov           0x30(%rax),%r8
  .byte  196,66,53,22,24                     // vpermps       (%r8),%ymm9,%ymm11
  .byte  196,194,53,22,17                    // vpermps       (%r9),%ymm9,%ymm2
  .byte  76,139,64,56                        // mov           0x38(%rax),%r8
  .byte  196,66,53,22,32                     // vpermps       (%r8),%ymm9,%ymm12
  .byte  76,139,64,32                        // mov           0x20(%rax),%r8
  .byte  196,194,53,22,24                    // vpermps       (%r8),%ymm9,%ymm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,98,53,22,40                     // vpermps       (%rax),%ymm9,%ymm13
  .byte  196,66,125,168,194                  // vfmadd213ps   %ymm10,%ymm0,%ymm8
  .byte  196,194,125,168,203                 // vfmadd213ps   %ymm11,%ymm0,%ymm1
  .byte  196,194,125,168,212                 // vfmadd213ps   %ymm12,%ymm0,%ymm2
  .byte  196,194,125,168,221                 // vfmadd213ps   %ymm13,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_hsw
.globl _sk_evenly_spaced_2_stop_gradient_hsw
FUNCTION(_sk_evenly_spaced_2_stop_gradient_hsw)
_sk_evenly_spaced_2_stop_gradient_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,8                    // vbroadcastss  (%rax),%ymm1
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,98,125,184,193                  // vfmadd231ps   %ymm1,%ymm0,%ymm8
  .byte  196,226,125,24,80,4                 // vbroadcastss  0x4(%rax),%ymm2
  .byte  196,226,125,24,72,20                // vbroadcastss  0x14(%rax),%ymm1
  .byte  196,226,125,184,202                 // vfmadd231ps   %ymm2,%ymm0,%ymm1
  .byte  196,226,125,24,88,8                 // vbroadcastss  0x8(%rax),%ymm3
  .byte  196,226,125,24,80,24                // vbroadcastss  0x18(%rax),%ymm2
  .byte  196,226,125,184,211                 // vfmadd231ps   %ymm3,%ymm0,%ymm2
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,226,125,24,88,28                // vbroadcastss  0x1c(%rax),%ymm3
  .byte  196,194,125,184,217                 // vfmadd231ps   %ymm9,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_hsw
.globl _sk_xy_to_unit_angle_hsw
FUNCTION(_sk_xy_to_unit_angle_hsw)
_sk_xy_to_unit_angle_hsw:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,52,84,200                       // vandps        %ymm0,%ymm9,%ymm9
  .byte  197,60,92,209                       // vsubps        %ymm1,%ymm8,%ymm10
  .byte  197,44,84,209                       // vandps        %ymm1,%ymm10,%ymm10
  .byte  196,65,52,93,218                    // vminps        %ymm10,%ymm9,%ymm11
  .byte  196,65,52,95,226                    // vmaxps        %ymm10,%ymm9,%ymm12
  .byte  196,65,36,94,220                    // vdivps        %ymm12,%ymm11,%ymm11
  .byte  196,65,36,89,227                    // vmulps        %ymm11,%ymm11,%ymm12
  .byte  196,98,125,24,45,204,92,2,0         // vbroadcastss  0x25ccc(%rip),%ymm13        # 2b998 <_sk_overlay_sse2_8bit+0x57c>
  .byte  196,98,125,24,53,199,92,2,0         // vbroadcastss  0x25cc7(%rip),%ymm14        # 2b99c <_sk_overlay_sse2_8bit+0x580>
  .byte  196,66,29,184,245                   // vfmadd231ps   %ymm13,%ymm12,%ymm14
  .byte  196,98,125,24,45,189,92,2,0         // vbroadcastss  0x25cbd(%rip),%ymm13        # 2b9a0 <_sk_overlay_sse2_8bit+0x584>
  .byte  196,66,29,184,238                   // vfmadd231ps   %ymm14,%ymm12,%ymm13
  .byte  196,98,125,24,53,179,92,2,0         // vbroadcastss  0x25cb3(%rip),%ymm14        # 2b9a4 <_sk_overlay_sse2_8bit+0x588>
  .byte  196,66,29,184,245                   // vfmadd231ps   %ymm13,%ymm12,%ymm14
  .byte  196,65,36,89,222                    // vmulps        %ymm14,%ymm11,%ymm11
  .byte  196,65,52,194,202,1                 // vcmpltps      %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,158,92,2,0         // vbroadcastss  0x25c9e(%rip),%ymm10        # 2b9a8 <_sk_overlay_sse2_8bit+0x58c>
  .byte  196,65,44,92,211                    // vsubps        %ymm11,%ymm10,%ymm10
  .byte  196,67,37,74,202,144                // vblendvps     %ymm9,%ymm10,%ymm11,%ymm9
  .byte  196,193,124,194,192,1               // vcmpltps      %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,21,52,91,2,0          // vbroadcastss  0x25b34(%rip),%ymm10        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  196,65,116,194,200,1                // vcmpltps      %ymm8,%ymm1,%ymm9
  .byte  196,98,125,24,21,30,91,2,0          // vbroadcastss  0x25b1e(%rip),%ymm10        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  196,195,125,74,194,144              // vblendvps     %ymm9,%ymm10,%ymm0,%ymm0
  .byte  196,65,124,194,200,3                // vcmpunordps   %ymm8,%ymm0,%ymm9
  .byte  196,195,125,74,192,144              // vblendvps     %ymm9,%ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_hsw
.globl _sk_xy_to_radius_hsw
FUNCTION(_sk_xy_to_radius_hsw)
_sk_xy_to_radius_hsw:
  .byte  197,116,89,193                      // vmulps        %ymm1,%ymm1,%ymm8
  .byte  196,98,125,184,192                  // vfmadd231ps   %ymm0,%ymm0,%ymm8
  .byte  196,193,124,81,192                  // vsqrtps       %ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_hsw
.globl _sk_xy_to_2pt_conical_quadratic_max_hsw
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_hsw)
_sk_xy_to_2pt_conical_quadratic_max_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,66,125,24,210                   // vbroadcastss  %xmm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,30,92,2,0          // vbroadcastss  0x25c1e(%rip),%ymm11        # 2b9ac <_sk_overlay_sse2_8bit+0x590>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,98,125,184,216                  // vfmadd231ps   %ymm0,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,253,91,2,0         // vbroadcastss  0x25bfd(%rip),%ymm9        # 2b9b0 <_sk_overlay_sse2_8bit+0x594>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,194,45,184,194                  // vfmadd231ps   %ymm10,%ymm10,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,224,91,2,0         // vbroadcastss  0x25be0(%rip),%ymm9        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,113,90,2,0         // vbroadcastss  0x25a71(%rip),%ymm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,44,89,208                    // vmulps        %ymm8,%ymm10,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,172,95,192                      // vmaxps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_hsw
.globl _sk_xy_to_2pt_conical_quadratic_min_hsw
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_hsw)
_sk_xy_to_2pt_conical_quadratic_min_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,66,125,24,210                   // vbroadcastss  %xmm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,134,91,2,0         // vbroadcastss  0x25b86(%rip),%ymm11        # 2b9ac <_sk_overlay_sse2_8bit+0x590>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,98,125,184,216                  // vfmadd231ps   %ymm0,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,101,91,2,0         // vbroadcastss  0x25b65(%rip),%ymm9        # 2b9b0 <_sk_overlay_sse2_8bit+0x594>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,194,45,184,194                  // vfmadd231ps   %ymm10,%ymm10,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,72,91,2,0          // vbroadcastss  0x25b48(%rip),%ymm9        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,217,89,2,0         // vbroadcastss  0x259d9(%rip),%ymm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,44,89,208                    // vmulps        %ymm8,%ymm10,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,172,93,192                      // vminps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_hsw
.globl _sk_xy_to_2pt_conical_linear_hsw
FUNCTION(_sk_xy_to_2pt_conical_linear_hsw)
_sk_xy_to_2pt_conical_linear_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,64,40                    // vmovss        0x28(%rax),%xmm8
  .byte  197,58,89,72,44                     // vmulss        0x2c(%rax),%xmm8,%xmm9
  .byte  196,66,125,24,201                   // vbroadcastss  %xmm9,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,98,125,24,21,244,90,2,0         // vbroadcastss  0x25af4(%rip),%ymm10        # 2b9ac <_sk_overlay_sse2_8bit+0x590>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  197,116,89,209                      // vmulps        %ymm1,%ymm1,%ymm10
  .byte  196,98,125,184,208                  // vfmadd231ps   %ymm0,%ymm0,%ymm10
  .byte  196,193,58,89,192                   // vmulss        %xmm8,%xmm8,%xmm0
  .byte  196,226,125,24,192                  // vbroadcastss  %xmm0,%ymm0
  .byte  197,172,92,192                      // vsubps        %ymm0,%ymm10,%ymm0
  .byte  196,98,125,24,5,215,90,2,0          // vbroadcastss  0x25ad7(%rip),%ymm8        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,193,124,87,192                  // vxorps        %ymm8,%ymm0,%ymm0
  .byte  196,193,124,94,193                  // vdivps        %ymm9,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_hsw
.globl _sk_mask_2pt_conical_degenerates_hsw
FUNCTION(_sk_mask_2pt_conical_degenerates_hsw)
_sk_mask_2pt_conical_degenerates_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,44                 // vbroadcastss  0x2c(%rax),%ymm8
  .byte  196,98,125,24,72,40                 // vbroadcastss  0x28(%rax),%ymm9
  .byte  196,66,125,184,200                  // vfmadd231ps   %ymm8,%ymm0,%ymm9
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,60,194,201,2                 // vcmpleps      %ymm9,%ymm8,%ymm9
  .byte  196,65,124,194,192,7                // vcmpordps     %ymm8,%ymm0,%ymm8
  .byte  196,65,52,84,192                    // vandps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,0                        // vmovups       %ymm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_hsw
.globl _sk_apply_vector_mask_hsw
FUNCTION(_sk_apply_vector_mask_hsw)
_sk_apply_vector_mask_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,0                        // vmovups       (%rax),%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  197,188,84,201                      // vandps        %ymm1,%ymm8,%ymm1
  .byte  197,188,84,210                      // vandps        %ymm2,%ymm8,%ymm2
  .byte  197,188,84,219                      // vandps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_hsw
.globl _sk_save_xy_hsw
FUNCTION(_sk_save_xy_hsw)
_sk_save_xy_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,23,89,2,0           // vbroadcastss  0x25917(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,124,88,200                   // vaddps        %ymm8,%ymm0,%ymm9
  .byte  196,67,125,8,209,1                  // vroundps      $0x1,%ymm9,%ymm10
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,88,192                   // vaddps        %ymm8,%ymm1,%ymm8
  .byte  196,67,125,8,208,1                  // vroundps      $0x1,%ymm8,%ymm10
  .byte  196,65,60,92,194                    // vsubps        %ymm10,%ymm8,%ymm8
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,124,17,72,64                    // vmovups       %ymm9,0x40(%rax)
  .byte  197,124,17,64,96                    // vmovups       %ymm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_hsw
.globl _sk_accumulate_hsw
FUNCTION(_sk_accumulate_hsw)
_sk_accumulate_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,128,128,0,0,0            // vmovups       0x80(%rax),%ymm8
  .byte  197,60,89,128,160,0,0,0             // vmulps        0xa0(%rax),%ymm8,%ymm8
  .byte  196,226,61,184,224                  // vfmadd231ps   %ymm0,%ymm8,%ymm4
  .byte  196,226,61,184,233                  // vfmadd231ps   %ymm1,%ymm8,%ymm5
  .byte  196,226,61,184,242                  // vfmadd231ps   %ymm2,%ymm8,%ymm6
  .byte  196,98,101,168,199                  // vfmadd213ps   %ymm7,%ymm3,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,199                      // vmovaps       %ymm8,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_hsw
.globl _sk_bilinear_nx_hsw
FUNCTION(_sk_bilinear_nx_hsw)
_sk_bilinear_nx_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,7,90,2,0           // vbroadcastss  0x25a07(%rip),%ymm0        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,158,88,2,0          // vbroadcastss  0x2589e(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_hsw
.globl _sk_bilinear_px_hsw
FUNCTION(_sk_bilinear_px_hsw)
_sk_bilinear_px_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,126,88,2,0         // vbroadcastss  0x2587e(%rip),%ymm0        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_hsw
.globl _sk_bilinear_ny_hsw
FUNCTION(_sk_bilinear_ny_hsw)
_sk_bilinear_ny_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,190,89,2,0        // vbroadcastss  0x259be(%rip),%ymm1        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,84,88,2,0           // vbroadcastss  0x25854(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_hsw
.globl _sk_bilinear_py_hsw
FUNCTION(_sk_bilinear_py_hsw)
_sk_bilinear_py_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,52,88,2,0         // vbroadcastss  0x25834(%rip),%ymm1        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_hsw
.globl _sk_bicubic_n3x_hsw
FUNCTION(_sk_bicubic_n3x_hsw)
_sk_bicubic_n3x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,119,89,2,0         // vbroadcastss  0x25977(%rip),%ymm0        # 2b9bc <_sk_overlay_sse2_8bit+0x5a0>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,10,88,2,0           // vbroadcastss  0x2580a(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,103,88,2,0         // vbroadcastss  0x25867(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,98,125,24,29,82,89,2,0          // vbroadcastss  0x25952(%rip),%ymm11        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,36,89,193                    // vmulps        %ymm9,%ymm11,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_hsw
.globl _sk_bicubic_n1x_hsw
FUNCTION(_sk_bicubic_n1x_hsw)
_sk_bicubic_n1x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,41,89,2,0          // vbroadcastss  0x25929(%rip),%ymm0        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,192,87,2,0          // vbroadcastss  0x257c0(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,26,89,2,0          // vbroadcastss  0x2591a(%rip),%ymm9        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,98,125,24,21,21,89,2,0          // vbroadcastss  0x25915(%rip),%ymm10        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,66,61,168,209                   // vfmadd213ps   %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,13,151,87,2,0         // vbroadcastss  0x25797(%rip),%ymm9        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,66,61,184,202                   // vfmadd231ps   %ymm10,%ymm8,%ymm9
  .byte  196,98,125,24,21,253,88,2,0         // vbroadcastss  0x258fd(%rip),%ymm10        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,66,61,184,209                   // vfmadd231ps   %ymm9,%ymm8,%ymm10
  .byte  197,124,17,144,128,0,0,0            // vmovups       %ymm10,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_hsw
.globl _sk_bicubic_p1x_hsw
FUNCTION(_sk_bicubic_p1x_hsw)
_sk_bicubic_p1x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,109,87,2,0          // vbroadcastss  0x2576d(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,188,88,0                        // vaddps        (%rax),%ymm8,%ymm0
  .byte  197,124,16,72,64                    // vmovups       0x40(%rax),%ymm9
  .byte  196,98,125,24,21,199,88,2,0         // vbroadcastss  0x258c7(%rip),%ymm10        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,98,125,24,29,194,88,2,0         // vbroadcastss  0x258c2(%rip),%ymm11        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,66,53,168,218                   // vfmadd213ps   %ymm10,%ymm9,%ymm11
  .byte  196,66,53,168,216                   // vfmadd213ps   %ymm8,%ymm9,%ymm11
  .byte  196,98,125,24,5,179,88,2,0          // vbroadcastss  0x258b3(%rip),%ymm8        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,66,53,184,195                   // vfmadd231ps   %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_hsw
.globl _sk_bicubic_p3x_hsw
FUNCTION(_sk_bicubic_p3x_hsw)
_sk_bicubic_p3x_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,143,88,2,0         // vbroadcastss  0x2588f(%rip),%ymm0        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,128,87,2,0         // vbroadcastss  0x25780(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,98,125,24,29,107,88,2,0         // vbroadcastss  0x2586b(%rip),%ymm11        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,52,89,195                    // vmulps        %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_hsw
.globl _sk_bicubic_n3y_hsw
FUNCTION(_sk_bicubic_n3y_hsw)
_sk_bicubic_n3y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,70,88,2,0         // vbroadcastss  0x25846(%rip),%ymm1        # 2b9bc <_sk_overlay_sse2_8bit+0x5a0>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,216,86,2,0          // vbroadcastss  0x256d8(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,53,87,2,0          // vbroadcastss  0x25735(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,98,125,24,29,32,88,2,0          // vbroadcastss  0x25820(%rip),%ymm11        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,36,89,193                    // vmulps        %ymm9,%ymm11,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_hsw
.globl _sk_bicubic_n1y_hsw
FUNCTION(_sk_bicubic_n1y_hsw)
_sk_bicubic_n1y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,247,87,2,0        // vbroadcastss  0x257f7(%rip),%ymm1        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,141,86,2,0          // vbroadcastss  0x2568d(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,231,87,2,0         // vbroadcastss  0x257e7(%rip),%ymm9        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,98,125,24,21,226,87,2,0         // vbroadcastss  0x257e2(%rip),%ymm10        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,66,61,168,209                   // vfmadd213ps   %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,13,100,86,2,0         // vbroadcastss  0x25664(%rip),%ymm9        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,66,61,184,202                   // vfmadd231ps   %ymm10,%ymm8,%ymm9
  .byte  196,98,125,24,21,202,87,2,0         // vbroadcastss  0x257ca(%rip),%ymm10        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,66,61,184,209                   // vfmadd231ps   %ymm9,%ymm8,%ymm10
  .byte  197,124,17,144,160,0,0,0            // vmovups       %ymm10,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_hsw
.globl _sk_bicubic_p1y_hsw
FUNCTION(_sk_bicubic_p1y_hsw)
_sk_bicubic_p1y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,58,86,2,0           // vbroadcastss  0x2563a(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,188,88,72,32                    // vaddps        0x20(%rax),%ymm8,%ymm1
  .byte  197,124,16,72,96                    // vmovups       0x60(%rax),%ymm9
  .byte  196,98,125,24,21,147,87,2,0         // vbroadcastss  0x25793(%rip),%ymm10        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,98,125,24,29,142,87,2,0         // vbroadcastss  0x2578e(%rip),%ymm11        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,66,53,168,218                   // vfmadd213ps   %ymm10,%ymm9,%ymm11
  .byte  196,66,53,168,216                   // vfmadd213ps   %ymm8,%ymm9,%ymm11
  .byte  196,98,125,24,5,127,87,2,0          // vbroadcastss  0x2577f(%rip),%ymm8        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,66,53,184,195                   // vfmadd231ps   %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_hsw
.globl _sk_bicubic_p3y_hsw
FUNCTION(_sk_bicubic_p3y_hsw)
_sk_bicubic_p3y_hsw:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,91,87,2,0         // vbroadcastss  0x2575b(%rip),%ymm1        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,75,86,2,0          // vbroadcastss  0x2564b(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,98,125,24,29,54,87,2,0          // vbroadcastss  0x25736(%rip),%ymm11        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,66,61,168,218                   // vfmadd213ps   %ymm10,%ymm8,%ymm11
  .byte  196,65,52,89,195                    // vmulps        %ymm11,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_hsw
.globl _sk_callback_hsw
FUNCTION(_sk_callback_hsw)
_sk_callback_hsw:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,228,224                      // and           $0xffffffffffffffe0,%rsp
  .byte  72,129,236,160,0,0,0                // sub           $0xa0,%rsp
  .byte  197,252,41,124,36,96                // vmovaps       %ymm7,0x60(%rsp)
  .byte  197,252,41,116,36,64                // vmovaps       %ymm6,0x40(%rsp)
  .byte  197,252,41,108,36,32                // vmovaps       %ymm5,0x20(%rsp)
  .byte  197,252,41,36,36                    // vmovaps       %ymm4,(%rsp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,193                      // vunpckhps     %ymm1,%ymm0,%ymm0
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,211                      // vunpckhps     %ymm3,%ymm2,%ymm2
  .byte  197,221,20,217                      // vunpcklpd     %ymm1,%ymm4,%ymm3
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,253,20,226                      // vunpcklpd     %ymm2,%ymm0,%ymm4
  .byte  197,253,21,194                      // vunpckhpd     %ymm2,%ymm0,%ymm0
  .byte  196,227,101,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm2
  .byte  196,227,93,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm5
  .byte  196,227,101,6,201,49                // vperm2f128    $0x31,%ymm1,%ymm3,%ymm1
  .byte  196,227,93,6,192,49                 // vperm2f128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,253,17,83,8                     // vmovupd       %ymm2,0x8(%rbx)
  .byte  197,253,17,107,40                   // vmovupd       %ymm5,0x28(%rbx)
  .byte  197,253,17,75,72                    // vmovupd       %ymm1,0x48(%rbx)
  .byte  197,253,17,67,104                   // vmovupd       %ymm0,0x68(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,8,0,0,0                         // mov           $0x8,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  197,248,119                         // vzeroupper
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  197,248,16,0                        // vmovups       (%rax),%xmm0
  .byte  197,248,16,72,16                    // vmovups       0x10(%rax),%xmm1
  .byte  197,248,16,80,32                    // vmovups       0x20(%rax),%xmm2
  .byte  197,248,16,88,48                    // vmovups       0x30(%rax),%xmm3
  .byte  196,227,101,24,88,112,1             // vinsertf128   $0x1,0x70(%rax),%ymm3,%ymm3
  .byte  196,227,109,24,80,96,1              // vinsertf128   $0x1,0x60(%rax),%ymm2,%ymm2
  .byte  196,227,117,24,72,80,1              // vinsertf128   $0x1,0x50(%rax),%ymm1,%ymm1
  .byte  196,227,125,24,64,64,1              // vinsertf128   $0x1,0x40(%rax),%ymm0,%ymm0
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,233                      // vunpckhps     %ymm1,%ymm0,%ymm5
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,219                      // vunpckhps     %ymm3,%ymm2,%ymm3
  .byte  197,221,20,193                      // vunpcklpd     %ymm1,%ymm4,%ymm0
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,213,20,211                      // vunpcklpd     %ymm3,%ymm5,%ymm2
  .byte  197,213,21,219                      // vunpckhpd     %ymm3,%ymm5,%ymm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  197,252,40,36,36                    // vmovaps       (%rsp),%ymm4
  .byte  197,252,40,108,36,32                // vmovaps       0x20(%rsp),%ymm5
  .byte  197,252,40,116,36,64                // vmovaps       0x40(%rsp),%ymm6
  .byte  197,252,40,124,36,96                // vmovaps       0x60(%rsp),%ymm7
  .byte  72,141,101,216                      // lea           -0x28(%rbp),%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_hsw
.globl _sk_clut_3D_hsw
FUNCTION(_sk_clut_3D_hsw)
_sk_clut_3D_hsw:
  .byte  72,129,236,216,1,0,0                // sub           $0x1d8,%rsp
  .byte  197,252,17,188,36,160,1,0,0         // vmovups       %ymm7,0x1a0(%rsp)
  .byte  197,254,127,180,36,128,1,0,0        // vmovdqu       %ymm6,0x180(%rsp)
  .byte  197,252,17,172,36,96,1,0,0          // vmovups       %ymm5,0x160(%rsp)
  .byte  197,252,17,164,36,64,1,0,0          // vmovups       %ymm4,0x140(%rsp)
  .byte  197,252,17,156,36,32,1,0,0          // vmovups       %ymm3,0x120(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  196,226,125,88,219                  // vpbroadcastd  %xmm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,84,36,224                // vmovups       %ymm2,-0x20(%rsp)
  .byte  197,254,91,234                      // vcvttps2dq    %ymm2,%ymm5
  .byte  196,193,121,110,208                 // vmovd         %r8d,%xmm2
  .byte  196,193,121,110,216                 // vmovd         %r8d,%xmm3
  .byte  196,226,125,88,219                  // vpbroadcastd  %xmm3,%ymm3
  .byte  197,254,127,92,36,128               // vmovdqu       %ymm3,-0x80(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,225                 // vmovd         %r9d,%xmm4
  .byte  196,226,125,88,228                  // vpbroadcastd  %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  197,220,89,201                      // vmulps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,76,36,192                // vmovups       %ymm1,-0x40(%rsp)
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  197,254,127,140,36,0,1,0,0          // vmovdqu       %ymm1,0x100(%rsp)
  .byte  196,226,117,64,203                  // vpmulld       %ymm3,%ymm1,%ymm1
  .byte  197,254,127,76,36,96                // vmovdqu       %ymm1,0x60(%rsp)
  .byte  197,117,254,229                     // vpaddd        %ymm5,%ymm1,%ymm12
  .byte  197,125,111,205                     // vmovdqa       %ymm5,%ymm9
  .byte  197,126,127,140,36,224,0,0,0        // vmovdqu       %ymm9,0xe0(%rsp)
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,117,64,202                  // vpmulld       %ymm2,%ymm1,%ymm1
  .byte  196,226,125,88,233                  // vpbroadcastd  %xmm1,%ymm5
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,125,88,201                  // vpbroadcastd  %xmm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,244,89,192                      // vmulps        %ymm0,%ymm1,%ymm0
  .byte  197,254,91,208                      // vcvttps2dq    %ymm0,%ymm2
  .byte  196,226,109,64,205                  // vpmulld       %ymm5,%ymm2,%ymm1
  .byte  197,254,127,76,36,160               // vmovdqu       %ymm1,-0x60(%rsp)
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  196,226,125,88,61,9,85,2,0          // vpbroadcastd  0x25509(%rip),%ymm7        # 2b9d4 <_sk_overlay_sse2_8bit+0x5b8>
  .byte  196,226,117,64,207                  // vpmulld       %ymm7,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,98,77,146,4,136                 // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm8
  .byte  196,98,125,88,21,125,83,2,0         // vpbroadcastd  0x2537d(%rip),%ymm10        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,193,117,254,242                 // vpaddd        %ymm10,%ymm1,%ymm6
  .byte  196,65,37,118,219                   // vpcmpeqd      %ymm11,%ymm11,%ymm11
  .byte  196,226,37,146,28,176               // vgatherdps    %ymm11,(%rax,%ymm6,4),%ymm3
  .byte  196,98,125,88,29,108,83,2,0         // vpbroadcastd  0x2536c(%rip),%ymm11        # 2b868 <_sk_overlay_sse2_8bit+0x44c>
  .byte  196,193,117,254,203                 // vpaddd        %ymm11,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,36,136               // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm4
  .byte  196,98,125,24,45,188,84,2,0         // vbroadcastss  0x254bc(%rip),%ymm13        # 2b9d0 <_sk_overlay_sse2_8bit+0x5b4>
  .byte  196,193,124,88,245                  // vaddps        %ymm13,%ymm0,%ymm6
  .byte  197,254,91,246                      // vcvttps2dq    %ymm6,%ymm6
  .byte  196,226,77,64,205                   // vpmulld       %ymm5,%ymm6,%ymm1
  .byte  197,254,127,12,36                   // vmovdqu       %ymm1,(%rsp)
  .byte  196,193,117,254,236                 // vpaddd        %ymm12,%ymm1,%ymm5
  .byte  196,226,85,64,239                   // vpmulld       %ymm7,%ymm5,%ymm5
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,98,29,146,60,168                // vgatherdps    %ymm12,(%rax,%ymm5,4),%ymm15
  .byte  196,65,85,254,226                   // vpaddd        %ymm10,%ymm5,%ymm12
  .byte  196,65,13,118,246                   // vpcmpeqd      %ymm14,%ymm14,%ymm14
  .byte  196,162,13,146,12,160               // vgatherdps    %ymm14,(%rax,%ymm12,4),%ymm1
  .byte  196,193,85,254,235                  // vpaddd        %ymm11,%ymm5,%ymm5
  .byte  196,65,29,118,228                   // vpcmpeqd      %ymm12,%ymm12,%ymm12
  .byte  196,226,29,146,52,168               // vgatherdps    %ymm12,(%rax,%ymm5,4),%ymm6
  .byte  197,252,91,234                      // vcvtdq2ps     %ymm2,%ymm5
  .byte  197,124,92,245                      // vsubps        %ymm5,%ymm0,%ymm14
  .byte  196,193,4,92,192                    // vsubps        %ymm8,%ymm15,%ymm0
  .byte  196,194,13,168,192                  // vfmadd213ps   %ymm8,%ymm14,%ymm0
  .byte  197,252,17,132,36,192,0,0,0         // vmovups       %ymm0,0xc0(%rsp)
  .byte  197,244,92,195                      // vsubps        %ymm3,%ymm1,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,132,36,160,0,0,0         // vmovups       %ymm0,0xa0(%rsp)
  .byte  197,204,92,196                      // vsubps        %ymm4,%ymm6,%ymm0
  .byte  196,226,13,168,196                  // vfmadd213ps   %ymm4,%ymm14,%ymm0
  .byte  197,252,17,132,36,128,0,0,0         // vmovups       %ymm0,0x80(%rsp)
  .byte  197,148,88,68,36,192                // vaddps        -0x40(%rsp),%ymm13,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,226,125,64,68,36,128            // vpmulld       -0x80(%rsp),%ymm0,%ymm0
  .byte  197,254,127,68,36,32                // vmovdqu       %ymm0,0x20(%rsp)
  .byte  196,193,125,254,193                 // vpaddd        %ymm9,%ymm0,%ymm0
  .byte  197,126,111,76,36,160               // vmovdqu       -0x60(%rsp),%ymm9
  .byte  196,193,125,254,201                 // vpaddd        %ymm9,%ymm0,%ymm1
  .byte  196,226,117,64,207                  // vpmulld       %ymm7,%ymm1,%ymm1
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,136              // vgatherdps    %ymm3,(%rax,%ymm1,4),%ymm4
  .byte  196,193,117,254,218                 // vpaddd        %ymm10,%ymm1,%ymm3
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,152               // vgatherdps    %ymm5,(%rax,%ymm3,4),%ymm6
  .byte  196,193,117,254,203                 // vpaddd        %ymm11,%ymm1,%ymm1
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,20,136              // vgatherdps    %ymm3,(%rax,%ymm1,4),%ymm2
  .byte  197,126,111,36,36                   // vmovdqu       (%rsp),%ymm12
  .byte  197,157,254,192                     // vpaddd        %ymm0,%ymm12,%ymm0
  .byte  196,226,125,64,199                  // vpmulld       %ymm7,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,28,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm3
  .byte  196,193,125,254,202                 // vpaddd        %ymm10,%ymm0,%ymm1
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,98,85,146,4,136                 // vgatherdps    %ymm5,(%rax,%ymm1,4),%ymm8
  .byte  196,193,125,254,195                 // vpaddd        %ymm11,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,44,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm5
  .byte  197,228,92,196                      // vsubps        %ymm4,%ymm3,%ymm0
  .byte  196,226,13,168,196                  // vfmadd213ps   %ymm4,%ymm14,%ymm0
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,68,36,64                 // vmovups       %ymm0,0x40(%rsp)
  .byte  197,84,92,250                       // vsubps        %ymm2,%ymm5,%ymm15
  .byte  196,98,13,168,250                   // vfmadd213ps   %ymm2,%ymm14,%ymm15
  .byte  197,148,88,68,36,224                // vaddps        -0x20(%rsp),%ymm13,%ymm0
  .byte  197,126,91,232                      // vcvttps2dq    %ymm0,%ymm13
  .byte  197,149,254,68,36,96                // vpaddd        0x60(%rsp),%ymm13,%ymm0
  .byte  197,181,254,200                     // vpaddd        %ymm0,%ymm9,%ymm1
  .byte  196,226,117,64,207                  // vpmulld       %ymm7,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,44,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm5
  .byte  196,193,117,254,210                 // vpaddd        %ymm10,%ymm1,%ymm2
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,28,144               // vgatherdps    %ymm6,(%rax,%ymm2,4),%ymm3
  .byte  196,193,117,254,203                 // vpaddd        %ymm11,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,52,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm6
  .byte  197,157,254,192                     // vpaddd        %ymm0,%ymm12,%ymm0
  .byte  196,226,125,64,199                  // vpmulld       %ymm7,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,202                 // vpaddd        %ymm10,%ymm0,%ymm1
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,226,53,146,36,136               // vgatherdps    %ymm9,(%rax,%ymm1,4),%ymm4
  .byte  196,193,125,254,195                 // vpaddd        %ymm11,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,98,117,146,4,128                // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm8
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  196,226,13,168,205                  // vfmadd213ps   %ymm5,%ymm14,%ymm1
  .byte  197,92,92,203                       // vsubps        %ymm3,%ymm4,%ymm9
  .byte  196,98,13,168,203                   // vfmadd213ps   %ymm3,%ymm14,%ymm9
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,149,254,84,36,32                // vpaddd        0x20(%rsp),%ymm13,%ymm2
  .byte  197,237,254,92,36,160               // vpaddd        -0x60(%rsp),%ymm2,%ymm3
  .byte  196,226,101,64,223                  // vpmulld       %ymm7,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,44,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm5
  .byte  196,193,101,254,226                 // vpaddd        %ymm10,%ymm3,%ymm4
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,98,77,146,4,160                 // vgatherdps    %ymm6,(%rax,%ymm4,4),%ymm8
  .byte  196,193,101,254,219                 // vpaddd        %ymm11,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,52,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm6
  .byte  197,157,254,210                     // vpaddd        %ymm2,%ymm12,%ymm2
  .byte  196,226,109,64,215                  // vpmulld       %ymm7,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm4
  .byte  196,193,109,254,218                 // vpaddd        %ymm10,%ymm2,%ymm3
  .byte  197,197,118,255                     // vpcmpeqd      %ymm7,%ymm7,%ymm7
  .byte  196,98,69,146,20,152                // vgatherdps    %ymm7,(%rax,%ymm3,4),%ymm10
  .byte  196,193,109,254,211                 // vpaddd        %ymm11,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,60,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm7
  .byte  197,220,92,213                      // vsubps        %ymm5,%ymm4,%ymm2
  .byte  196,226,13,168,213                  // vfmadd213ps   %ymm5,%ymm14,%ymm2
  .byte  196,193,44,92,216                   // vsubps        %ymm8,%ymm10,%ymm3
  .byte  196,194,13,168,216                  // vfmadd213ps   %ymm8,%ymm14,%ymm3
  .byte  197,196,92,230                      // vsubps        %ymm6,%ymm7,%ymm4
  .byte  196,226,13,168,230                  // vfmadd213ps   %ymm6,%ymm14,%ymm4
  .byte  197,252,91,172,36,0,1,0,0           // vcvtdq2ps     0x100(%rsp),%ymm5
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,204,92,237                      // vsubps        %ymm5,%ymm6,%ymm5
  .byte  197,252,16,188,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm7
  .byte  197,252,16,116,36,128               // vmovups       -0x80(%rsp),%ymm6
  .byte  197,204,92,247                      // vsubps        %ymm7,%ymm6,%ymm6
  .byte  196,226,85,168,247                  // vfmadd213ps   %ymm7,%ymm5,%ymm6
  .byte  197,124,16,132,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm8
  .byte  197,252,16,124,36,64                // vmovups       0x40(%rsp),%ymm7
  .byte  196,193,68,92,248                   // vsubps        %ymm8,%ymm7,%ymm7
  .byte  196,194,85,168,248                  // vfmadd213ps   %ymm8,%ymm5,%ymm7
  .byte  197,124,16,148,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm10
  .byte  196,65,4,92,194                     // vsubps        %ymm10,%ymm15,%ymm8
  .byte  196,66,85,168,194                   // vfmadd213ps   %ymm10,%ymm5,%ymm8
  .byte  197,236,92,209                      // vsubps        %ymm1,%ymm2,%ymm2
  .byte  196,226,85,168,209                  // vfmadd213ps   %ymm1,%ymm5,%ymm2
  .byte  196,193,100,92,201                  // vsubps        %ymm9,%ymm3,%ymm1
  .byte  196,194,85,168,201                  // vfmadd213ps   %ymm9,%ymm5,%ymm1
  .byte  197,220,92,216                      // vsubps        %ymm0,%ymm4,%ymm3
  .byte  196,226,85,168,216                  // vfmadd213ps   %ymm0,%ymm5,%ymm3
  .byte  197,252,91,132,36,224,0,0,0         // vcvtdq2ps     0xe0(%rsp),%ymm0
  .byte  197,252,16,100,36,224               // vmovups       -0x20(%rsp),%ymm4
  .byte  197,220,92,224                      // vsubps        %ymm0,%ymm4,%ymm4
  .byte  197,236,92,198                      // vsubps        %ymm6,%ymm2,%ymm0
  .byte  196,226,93,168,198                  // vfmadd213ps   %ymm6,%ymm4,%ymm0
  .byte  197,244,92,207                      // vsubps        %ymm7,%ymm1,%ymm1
  .byte  196,226,93,168,207                  // vfmadd213ps   %ymm7,%ymm4,%ymm1
  .byte  196,193,100,92,208                  // vsubps        %ymm8,%ymm3,%ymm2
  .byte  196,194,93,168,208                  // vfmadd213ps   %ymm8,%ymm4,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,156,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm3
  .byte  197,252,16,164,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm4
  .byte  197,252,16,172,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm5
  .byte  197,252,16,180,36,128,1,0,0         // vmovups       0x180(%rsp),%ymm6
  .byte  197,252,16,188,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm7
  .byte  72,129,196,216,1,0,0                // add           $0x1d8,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_hsw
.globl _sk_clut_4D_hsw
FUNCTION(_sk_clut_4D_hsw)
_sk_clut_4D_hsw:
  .byte  72,129,236,184,3,0,0                // sub           $0x3b8,%rsp
  .byte  197,252,17,188,36,128,3,0,0         // vmovups       %ymm7,0x380(%rsp)
  .byte  197,252,17,180,36,96,3,0,0          // vmovups       %ymm6,0x360(%rsp)
  .byte  197,252,17,172,36,64,3,0,0          // vmovups       %ymm5,0x340(%rsp)
  .byte  197,252,17,164,36,32,3,0,0          // vmovups       %ymm4,0x320(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,225                 // vmovd         %r9d,%xmm4
  .byte  196,226,125,88,228                  // vpbroadcastd  %xmm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  197,220,89,219                      // vmulps        %ymm3,%ymm4,%ymm3
  .byte  197,252,17,156,36,160,0,0,0         // vmovups       %ymm3,0xa0(%rsp)
  .byte  197,254,91,243                      // vcvttps2dq    %ymm3,%ymm6
  .byte  197,254,127,180,36,128,0,0,0        // vmovdqu       %ymm6,0x80(%rsp)
  .byte  196,193,121,110,224                 // vmovd         %r8d,%xmm4
  .byte  196,193,121,110,216                 // vmovd         %r8d,%xmm3
  .byte  196,226,125,88,219                  // vpbroadcastd  %xmm3,%ymm3
  .byte  197,254,127,92,36,192               // vmovdqu       %ymm3,-0x40(%rsp)
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,233                 // vmovd         %r9d,%xmm5
  .byte  196,226,125,88,237                  // vpbroadcastd  %xmm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,252,17,84,36,96                 // vmovups       %ymm2,0x60(%rsp)
  .byte  197,254,91,210                      // vcvttps2dq    %ymm2,%ymm2
  .byte  197,254,127,148,36,0,3,0,0          // vmovdqu       %ymm2,0x300(%rsp)
  .byte  196,226,109,64,211                  // vpmulld       %ymm3,%ymm2,%ymm2
  .byte  197,254,127,84,36,224               // vmovdqu       %ymm2,-0x20(%rsp)
  .byte  197,237,254,222                     // vpaddd        %ymm6,%ymm2,%ymm3
  .byte  197,254,127,28,36                   // vmovdqu       %ymm3,(%rsp)
  .byte  196,193,121,110,232                 // vmovd         %r8d,%xmm5
  .byte  196,226,85,64,236                   // vpmulld       %ymm4,%ymm5,%ymm5
  .byte  196,226,125,88,253                  // vpbroadcastd  %xmm5,%ymm7
  .byte  197,254,127,124,36,32               // vmovdqu       %ymm7,0x20(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,241                 // vmovd         %r9d,%xmm6
  .byte  196,226,125,88,246                  // vpbroadcastd  %xmm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  197,204,89,225                      // vmulps        %ymm1,%ymm6,%ymm4
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,117,64,205                  // vpmulld       %ymm5,%ymm1,%ymm1
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,232                 // vmovd         %r8d,%xmm5
  .byte  196,226,125,88,237                  // vpbroadcastd  %xmm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  197,212,89,232                      // vmulps        %ymm0,%ymm5,%ymm5
  .byte  197,254,91,196                      // vcvttps2dq    %ymm4,%ymm0
  .byte  197,254,127,132,36,224,2,0,0        // vmovdqu       %ymm0,0x2e0(%rsp)
  .byte  197,252,17,164,36,96,2,0,0          // vmovups       %ymm4,0x260(%rsp)
  .byte  196,226,125,88,201                  // vpbroadcastd  %xmm1,%ymm1
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,226,125,64,199                  // vpmulld       %ymm7,%ymm0,%ymm0
  .byte  197,254,127,68,36,128               // vmovdqu       %ymm0,-0x80(%rsp)
  .byte  197,253,254,243                     // vpaddd        %ymm3,%ymm0,%ymm6
  .byte  197,126,91,245                      // vcvttps2dq    %ymm5,%ymm14
  .byte  196,98,13,64,233                    // vpmulld       %ymm1,%ymm14,%ymm13
  .byte  197,149,254,198                     // vpaddd        %ymm6,%ymm13,%ymm0
  .byte  196,98,125,88,21,82,80,2,0          // vpbroadcastd  0x25052(%rip),%ymm10        # 2b9d4 <_sk_overlay_sse2_8bit+0x5b8>
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,98,61,146,60,128                // vgatherdps    %ymm8,(%rax,%ymm0,4),%ymm15
  .byte  196,98,125,88,29,197,78,2,0         // vpbroadcastd  0x24ec5(%rip),%ymm11        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,65,125,254,195                  // vpaddd        %ymm11,%ymm0,%ymm8
  .byte  196,65,53,118,201                   // vpcmpeqd      %ymm9,%ymm9,%ymm9
  .byte  196,162,53,146,20,128               // vgatherdps    %ymm9,(%rax,%ymm8,4),%ymm2
  .byte  196,98,125,88,37,180,78,2,0         // vpbroadcastd  0x24eb4(%rip),%ymm12        # 2b868 <_sk_overlay_sse2_8bit+0x44c>
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,226,61,146,60,128               // vgatherdps    %ymm8,(%rax,%ymm0,4),%ymm7
  .byte  196,98,125,24,13,3,80,2,0           // vbroadcastss  0x25003(%rip),%ymm9        # 2b9d0 <_sk_overlay_sse2_8bit+0x5b4>
  .byte  196,65,84,88,193                    // vaddps        %ymm9,%ymm5,%ymm8
  .byte  196,65,126,91,192                   // vcvttps2dq    %ymm8,%ymm8
  .byte  196,226,61,64,193                   // vpmulld       %ymm1,%ymm8,%ymm0
  .byte  197,254,127,68,36,64                // vmovdqu       %ymm0,0x40(%rsp)
  .byte  197,253,254,206                     // vpaddd        %ymm6,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,98,77,146,4,136                 // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm8
  .byte  196,193,117,254,243                 // vpaddd        %ymm11,%ymm1,%ymm6
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,4,176               // vgatherdps    %ymm3,(%rax,%ymm6,4),%ymm0
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,52,136              // vgatherdps    %ymm3,(%rax,%ymm1,4),%ymm6
  .byte  196,193,124,91,206                  // vcvtdq2ps     %ymm14,%ymm1
  .byte  197,84,92,241                       // vsubps        %ymm1,%ymm5,%ymm14
  .byte  196,193,60,92,207                   // vsubps        %ymm15,%ymm8,%ymm1
  .byte  196,194,13,168,207                  // vfmadd213ps   %ymm15,%ymm14,%ymm1
  .byte  197,252,17,140,36,192,2,0,0         // vmovups       %ymm1,0x2c0(%rsp)
  .byte  197,252,92,194                      // vsubps        %ymm2,%ymm0,%ymm0
  .byte  196,226,13,168,194                  // vfmadd213ps   %ymm2,%ymm14,%ymm0
  .byte  197,252,17,132,36,160,2,0,0         // vmovups       %ymm0,0x2a0(%rsp)
  .byte  197,204,92,199                      // vsubps        %ymm7,%ymm6,%ymm0
  .byte  196,226,13,168,199                  // vfmadd213ps   %ymm7,%ymm14,%ymm0
  .byte  197,252,17,132,36,128,2,0,0         // vmovups       %ymm0,0x280(%rsp)
  .byte  197,124,17,76,36,160                // vmovups       %ymm9,-0x60(%rsp)
  .byte  196,193,92,88,193                   // vaddps        %ymm9,%ymm4,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,226,125,64,76,36,32             // vpmulld       0x20(%rsp),%ymm0,%ymm1
  .byte  197,245,254,4,36                    // vpaddd        (%rsp),%ymm1,%ymm0
  .byte  197,125,111,249                     // vmovdqa       %ymm1,%ymm15
  .byte  196,193,125,254,205                 // vpaddd        %ymm13,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,144               // vgatherdps    %ymm5,(%rax,%ymm2,4),%ymm6
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,44,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm5
  .byte  197,254,111,100,36,64               // vmovdqu       0x40(%rsp),%ymm4
  .byte  197,221,254,192                     // vpaddd        %ymm0,%ymm4,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  197,197,118,255                     // vpcmpeqd      %ymm7,%ymm7,%ymm7
  .byte  196,98,69,146,4,136                 // vgatherdps    %ymm7,(%rax,%ymm1,4),%ymm8
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,60,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm7
  .byte  197,236,92,195                      // vsubps        %ymm3,%ymm2,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,68,36,32                 // vmovups       %ymm0,0x20(%rsp)
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,4,36                     // vmovups       %ymm0,(%rsp)
  .byte  197,196,92,197                      // vsubps        %ymm5,%ymm7,%ymm0
  .byte  196,226,13,168,197                  // vfmadd213ps   %ymm5,%ymm14,%ymm0
  .byte  197,252,17,132,36,64,2,0,0          // vmovups       %ymm0,0x240(%rsp)
  .byte  197,180,88,68,36,96                 // vaddps        0x60(%rsp),%ymm9,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,226,125,64,68,36,192            // vpmulld       -0x40(%rsp),%ymm0,%ymm0
  .byte  197,254,127,132,36,128,1,0,0        // vmovdqu       %ymm0,0x180(%rsp)
  .byte  197,253,254,132,36,128,0,0,0        // vpaddd        0x80(%rsp),%ymm0,%ymm0
  .byte  197,253,254,76,36,128               // vpaddd        -0x80(%rsp),%ymm0,%ymm1
  .byte  196,193,117,254,213                 // vpaddd        %ymm13,%ymm1,%ymm2
  .byte  196,65,125,111,205                  // vmovdqa       %ymm13,%ymm9
  .byte  196,194,109,64,210                  // vpmulld       %ymm10,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,44,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm5
  .byte  196,193,109,254,219                 // vpaddd        %ymm11,%ymm2,%ymm3
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,60,152               // vgatherdps    %ymm6,(%rax,%ymm3,4),%ymm7
  .byte  196,193,109,254,212                 // vpaddd        %ymm12,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,52,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm6
  .byte  197,221,254,201                     // vpaddd        %ymm1,%ymm4,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,98,61,146,44,144                // vgatherdps    %ymm8,(%rax,%ymm2,4),%ymm13
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,98,109,146,4,136                // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm8
  .byte  197,228,92,205                      // vsubps        %ymm5,%ymm3,%ymm1
  .byte  196,226,13,168,205                  // vfmadd213ps   %ymm5,%ymm14,%ymm1
  .byte  197,252,17,76,36,192                // vmovups       %ymm1,-0x40(%rsp)
  .byte  197,148,92,207                      // vsubps        %ymm7,%ymm13,%ymm1
  .byte  196,226,13,168,207                  // vfmadd213ps   %ymm7,%ymm14,%ymm1
  .byte  197,252,17,140,36,32,2,0,0          // vmovups       %ymm1,0x220(%rsp)
  .byte  197,188,92,206                      // vsubps        %ymm6,%ymm8,%ymm1
  .byte  196,226,13,168,206                  // vfmadd213ps   %ymm6,%ymm14,%ymm1
  .byte  197,252,17,140,36,0,2,0,0           // vmovups       %ymm1,0x200(%rsp)
  .byte  197,126,127,188,36,0,1,0,0          // vmovdqu       %ymm15,0x100(%rsp)
  .byte  197,133,254,192                     // vpaddd        %ymm0,%ymm15,%ymm0
  .byte  196,193,125,254,201                 // vpaddd        %ymm9,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,144               // vgatherdps    %ymm5,(%rax,%ymm2,4),%ymm6
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,44,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm5
  .byte  197,221,254,192                     // vpaddd        %ymm0,%ymm4,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  197,197,118,255                     // vpcmpeqd      %ymm7,%ymm7,%ymm7
  .byte  196,98,69,146,4,136                 // vgatherdps    %ymm7,(%rax,%ymm1,4),%ymm8
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,60,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm7
  .byte  197,236,92,195                      // vsubps        %ymm3,%ymm2,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,132,36,224,1,0,0         // vmovups       %ymm0,0x1e0(%rsp)
  .byte  197,188,92,198                      // vsubps        %ymm6,%ymm8,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,132,36,192,1,0,0         // vmovups       %ymm0,0x1c0(%rsp)
  .byte  197,196,92,197                      // vsubps        %ymm5,%ymm7,%ymm0
  .byte  196,226,13,168,197                  // vfmadd213ps   %ymm5,%ymm14,%ymm0
  .byte  197,252,17,132,36,160,1,0,0         // vmovups       %ymm0,0x1a0(%rsp)
  .byte  197,252,16,68,36,160                // vmovups       -0x60(%rsp),%ymm0
  .byte  197,252,88,132,36,160,0,0,0         // vaddps        0xa0(%rsp),%ymm0,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,254,127,132,36,32,1,0,0         // vmovdqu       %ymm0,0x120(%rsp)
  .byte  197,125,254,68,36,224               // vpaddd        -0x20(%rsp),%ymm0,%ymm8
  .byte  197,189,254,76,36,128               // vpaddd        -0x80(%rsp),%ymm8,%ymm1
  .byte  197,181,254,209                     // vpaddd        %ymm1,%ymm9,%ymm2
  .byte  197,125,127,207                     // vmovdqa       %ymm9,%ymm7
  .byte  196,194,109,64,210                  // vpmulld       %ymm10,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm4
  .byte  196,193,109,254,219                 // vpaddd        %ymm11,%ymm2,%ymm3
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,98,85,146,44,152                // vgatherdps    %ymm5,(%rax,%ymm3,4),%ymm13
  .byte  196,193,109,254,212                 // vpaddd        %ymm12,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,44,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm5
  .byte  197,126,111,76,36,64                // vmovdqu       0x40(%rsp),%ymm9
  .byte  197,181,254,201                     // vpaddd        %ymm1,%ymm9,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,4,144                // vgatherdps    %ymm6,(%rax,%ymm2,4),%ymm0
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,52,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm6
  .byte  197,228,92,204                      // vsubps        %ymm4,%ymm3,%ymm1
  .byte  196,226,13,168,204                  // vfmadd213ps   %ymm4,%ymm14,%ymm1
  .byte  197,252,17,76,36,224                // vmovups       %ymm1,-0x20(%rsp)
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  196,194,13,168,197                  // vfmadd213ps   %ymm13,%ymm14,%ymm0
  .byte  197,252,17,68,36,160                // vmovups       %ymm0,-0x60(%rsp)
  .byte  197,204,92,197                      // vsubps        %ymm5,%ymm6,%ymm0
  .byte  196,226,13,168,197                  // vfmadd213ps   %ymm5,%ymm14,%ymm0
  .byte  197,252,17,132,36,96,1,0,0          // vmovups       %ymm0,0x160(%rsp)
  .byte  196,193,5,254,192                   // vpaddd        %ymm8,%ymm15,%ymm0
  .byte  197,253,254,207                     // vpaddd        %ymm7,%ymm0,%ymm1
  .byte  197,125,111,255                     // vmovdqa       %ymm7,%ymm15
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,28,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm3
  .byte  196,193,117,254,211                 // vpaddd        %ymm11,%ymm1,%ymm2
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,226,85,146,52,144               // vgatherdps    %ymm5,(%rax,%ymm2,4),%ymm6
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,237,118,210                     // vpcmpeqd      %ymm2,%ymm2,%ymm2
  .byte  196,226,109,146,60,136              // vgatherdps    %ymm2,(%rax,%ymm1,4),%ymm7
  .byte  197,181,254,192                     // vpaddd        %ymm0,%ymm9,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,20,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm2
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  196,98,85,146,44,136                // vgatherdps    %ymm5,(%rax,%ymm1,4),%ymm13
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,36,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm4
  .byte  197,236,92,195                      // vsubps        %ymm3,%ymm2,%ymm0
  .byte  196,226,13,168,195                  // vfmadd213ps   %ymm3,%ymm14,%ymm0
  .byte  197,252,17,132,36,64,1,0,0          // vmovups       %ymm0,0x140(%rsp)
  .byte  197,148,92,198                      // vsubps        %ymm6,%ymm13,%ymm0
  .byte  196,226,13,168,198                  // vfmadd213ps   %ymm6,%ymm14,%ymm0
  .byte  197,252,17,132,36,192,0,0,0         // vmovups       %ymm0,0xc0(%rsp)
  .byte  197,220,92,199                      // vsubps        %ymm7,%ymm4,%ymm0
  .byte  196,226,13,168,199                  // vfmadd213ps   %ymm7,%ymm14,%ymm0
  .byte  197,252,17,132,36,224,0,0,0         // vmovups       %ymm0,0xe0(%rsp)
  .byte  197,254,111,132,36,32,1,0,0         // vmovdqu       0x120(%rsp),%ymm0
  .byte  197,253,254,172,36,128,1,0,0        // vpaddd        0x180(%rsp),%ymm0,%ymm5
  .byte  197,213,254,68,36,128               // vpaddd        -0x80(%rsp),%ymm5,%ymm0
  .byte  196,193,125,254,207                 // vpaddd        %ymm15,%ymm0,%ymm1
  .byte  196,194,117,64,202                  // vpmulld       %ymm10,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,60,136               // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm7
  .byte  196,193,117,254,243                 // vpaddd        %ymm11,%ymm1,%ymm6
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,98,61,146,44,176                // vgatherdps    %ymm8,(%rax,%ymm6,4),%ymm13
  .byte  196,193,117,254,204                 // vpaddd        %ymm12,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,20,136               // vgatherdps    %ymm6,(%rax,%ymm1,4),%ymm2
  .byte  197,181,254,192                     // vpaddd        %ymm0,%ymm9,%ymm0
  .byte  196,194,125,64,194                  // vpmulld       %ymm10,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,52,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm6
  .byte  196,193,125,254,203                 // vpaddd        %ymm11,%ymm0,%ymm1
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,226,61,146,28,136               // vgatherdps    %ymm8,(%rax,%ymm1,4),%ymm3
  .byte  196,193,125,254,196                 // vpaddd        %ymm12,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  196,226,117,146,36,128              // vgatherdps    %ymm1,(%rax,%ymm0,4),%ymm4
  .byte  197,204,92,199                      // vsubps        %ymm7,%ymm6,%ymm0
  .byte  196,226,13,168,199                  // vfmadd213ps   %ymm7,%ymm14,%ymm0
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  196,193,100,92,205                  // vsubps        %ymm13,%ymm3,%ymm1
  .byte  196,194,13,168,205                  // vfmadd213ps   %ymm13,%ymm14,%ymm1
  .byte  197,92,92,194                       // vsubps        %ymm2,%ymm4,%ymm8
  .byte  196,98,13,168,194                   // vfmadd213ps   %ymm2,%ymm14,%ymm8
  .byte  197,213,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%ymm5,%ymm2
  .byte  196,193,109,254,223                 // vpaddd        %ymm15,%ymm2,%ymm3
  .byte  196,194,101,64,218                  // vpmulld       %ymm10,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,44,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm5
  .byte  196,193,101,254,227                 // vpaddd        %ymm11,%ymm3,%ymm4
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  196,226,77,146,60,160               // vgatherdps    %ymm6,(%rax,%ymm4,4),%ymm7
  .byte  196,193,101,254,220                 // vpaddd        %ymm12,%ymm3,%ymm3
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  196,226,93,146,52,152               // vgatherdps    %ymm4,(%rax,%ymm3,4),%ymm6
  .byte  197,181,254,210                     // vpaddd        %ymm2,%ymm9,%ymm2
  .byte  196,194,109,64,210                  // vpmulld       %ymm10,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,226,101,146,36,144              // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm4
  .byte  196,193,109,254,219                 // vpaddd        %ymm11,%ymm2,%ymm3
  .byte  196,65,45,118,210                   // vpcmpeqd      %ymm10,%ymm10,%ymm10
  .byte  196,98,45,146,28,152                // vgatherdps    %ymm10,(%rax,%ymm3,4),%ymm11
  .byte  196,193,109,254,212                 // vpaddd        %ymm12,%ymm2,%ymm2
  .byte  197,229,118,219                     // vpcmpeqd      %ymm3,%ymm3,%ymm3
  .byte  196,98,101,146,20,144               // vgatherdps    %ymm3,(%rax,%ymm2,4),%ymm10
  .byte  197,220,92,213                      // vsubps        %ymm5,%ymm4,%ymm2
  .byte  196,226,13,168,213                  // vfmadd213ps   %ymm5,%ymm14,%ymm2
  .byte  197,164,92,223                      // vsubps        %ymm7,%ymm11,%ymm3
  .byte  196,226,13,168,223                  // vfmadd213ps   %ymm7,%ymm14,%ymm3
  .byte  197,172,92,230                      // vsubps        %ymm6,%ymm10,%ymm4
  .byte  196,226,13,168,230                  // vfmadd213ps   %ymm6,%ymm14,%ymm4
  .byte  197,252,91,172,36,224,2,0,0         // vcvtdq2ps     0x2e0(%rsp),%ymm5
  .byte  197,252,16,180,36,96,2,0,0          // vmovups       0x260(%rsp),%ymm6
  .byte  197,204,92,237                      // vsubps        %ymm5,%ymm6,%ymm5
  .byte  197,252,16,188,36,192,2,0,0         // vmovups       0x2c0(%rsp),%ymm7
  .byte  197,252,16,116,36,32                // vmovups       0x20(%rsp),%ymm6
  .byte  197,204,92,247                      // vsubps        %ymm7,%ymm6,%ymm6
  .byte  196,226,85,168,247                  // vfmadd213ps   %ymm7,%ymm5,%ymm6
  .byte  197,124,16,148,36,160,2,0,0         // vmovups       0x2a0(%rsp),%ymm10
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  196,193,68,92,250                   // vsubps        %ymm10,%ymm7,%ymm7
  .byte  196,194,85,168,250                  // vfmadd213ps   %ymm10,%ymm5,%ymm7
  .byte  197,124,16,156,36,128,2,0,0         // vmovups       0x280(%rsp),%ymm11
  .byte  197,124,16,148,36,64,2,0,0          // vmovups       0x240(%rsp),%ymm10
  .byte  196,65,44,92,211                    // vsubps        %ymm11,%ymm10,%ymm10
  .byte  196,66,85,168,211                   // vfmadd213ps   %ymm11,%ymm5,%ymm10
  .byte  197,124,16,100,36,192               // vmovups       -0x40(%rsp),%ymm12
  .byte  197,124,16,156,36,224,1,0,0         // vmovups       0x1e0(%rsp),%ymm11
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,66,85,168,220                   // vfmadd213ps   %ymm12,%ymm5,%ymm11
  .byte  197,124,16,172,36,32,2,0,0          // vmovups       0x220(%rsp),%ymm13
  .byte  197,124,16,164,36,192,1,0,0         // vmovups       0x1c0(%rsp),%ymm12
  .byte  196,65,28,92,229                    // vsubps        %ymm13,%ymm12,%ymm12
  .byte  196,66,85,168,229                   // vfmadd213ps   %ymm13,%ymm5,%ymm12
  .byte  197,124,16,180,36,0,2,0,0           // vmovups       0x200(%rsp),%ymm14
  .byte  197,124,16,172,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm13
  .byte  196,65,20,92,238                    // vsubps        %ymm14,%ymm13,%ymm13
  .byte  196,66,85,168,238                   // vfmadd213ps   %ymm14,%ymm5,%ymm13
  .byte  197,252,16,68,36,224                // vmovups       -0x20(%rsp),%ymm0
  .byte  197,124,16,180,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm14
  .byte  197,12,92,240                       // vsubps        %ymm0,%ymm14,%ymm14
  .byte  196,98,85,168,240                   // vfmadd213ps   %ymm0,%ymm5,%ymm14
  .byte  197,252,16,68,36,160                // vmovups       -0x60(%rsp),%ymm0
  .byte  197,124,16,140,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm9
  .byte  197,52,92,248                       // vsubps        %ymm0,%ymm9,%ymm15
  .byte  196,98,85,168,248                   // vfmadd213ps   %ymm0,%ymm5,%ymm15
  .byte  197,252,16,132,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm0
  .byte  197,124,16,140,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm9
  .byte  197,52,92,200                       // vsubps        %ymm0,%ymm9,%ymm9
  .byte  196,98,85,168,200                   // vfmadd213ps   %ymm0,%ymm5,%ymm9
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  197,236,92,208                      // vsubps        %ymm0,%ymm2,%ymm2
  .byte  196,226,85,168,208                  // vfmadd213ps   %ymm0,%ymm5,%ymm2
  .byte  197,228,92,217                      // vsubps        %ymm1,%ymm3,%ymm3
  .byte  196,226,85,168,217                  // vfmadd213ps   %ymm1,%ymm5,%ymm3
  .byte  196,193,92,92,200                   // vsubps        %ymm8,%ymm4,%ymm1
  .byte  196,194,85,168,200                  // vfmadd213ps   %ymm8,%ymm5,%ymm1
  .byte  197,252,91,132,36,0,3,0,0           // vcvtdq2ps     0x300(%rsp),%ymm0
  .byte  197,252,16,100,36,96                // vmovups       0x60(%rsp),%ymm4
  .byte  197,220,92,192                      // vsubps        %ymm0,%ymm4,%ymm0
  .byte  197,164,92,230                      // vsubps        %ymm6,%ymm11,%ymm4
  .byte  196,226,125,168,230                 // vfmadd213ps   %ymm6,%ymm0,%ymm4
  .byte  197,156,92,239                      // vsubps        %ymm7,%ymm12,%ymm5
  .byte  196,226,125,168,239                 // vfmadd213ps   %ymm7,%ymm0,%ymm5
  .byte  196,193,20,92,242                   // vsubps        %ymm10,%ymm13,%ymm6
  .byte  196,194,125,168,242                 // vfmadd213ps   %ymm10,%ymm0,%ymm6
  .byte  196,193,108,92,214                  // vsubps        %ymm14,%ymm2,%ymm2
  .byte  196,194,125,168,214                 // vfmadd213ps   %ymm14,%ymm0,%ymm2
  .byte  196,193,100,92,223                  // vsubps        %ymm15,%ymm3,%ymm3
  .byte  196,194,125,168,223                 // vfmadd213ps   %ymm15,%ymm0,%ymm3
  .byte  196,193,116,92,249                  // vsubps        %ymm9,%ymm1,%ymm7
  .byte  196,194,125,168,249                 // vfmadd213ps   %ymm9,%ymm0,%ymm7
  .byte  197,252,91,132,36,128,0,0,0         // vcvtdq2ps     0x80(%rsp),%ymm0
  .byte  197,252,16,140,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm1
  .byte  197,116,92,192                      // vsubps        %ymm0,%ymm1,%ymm8
  .byte  197,236,92,196                      // vsubps        %ymm4,%ymm2,%ymm0
  .byte  196,226,61,168,196                  // vfmadd213ps   %ymm4,%ymm8,%ymm0
  .byte  197,228,92,205                      // vsubps        %ymm5,%ymm3,%ymm1
  .byte  196,226,61,168,205                  // vfmadd213ps   %ymm5,%ymm8,%ymm1
  .byte  197,196,92,214                      // vsubps        %ymm6,%ymm7,%ymm2
  .byte  196,226,61,168,214                  // vfmadd213ps   %ymm6,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,177,71,2,0        // vbroadcastss  0x247b1(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,16,164,36,32,3,0,0          // vmovups       0x320(%rsp),%ymm4
  .byte  197,252,16,172,36,64,3,0,0          // vmovups       0x340(%rsp),%ymm5
  .byte  197,252,16,180,36,96,3,0,0          // vmovups       0x360(%rsp),%ymm6
  .byte  197,252,16,188,36,128,3,0,0         // vmovups       0x380(%rsp),%ymm7
  .byte  72,129,196,184,3,0,0                // add           $0x3b8,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_start_pipeline_avx
.globl _sk_start_pipeline_avx
FUNCTION(_sk_start_pipeline_avx)
_sk_start_pipeline_avx:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           715a <_sk_start_pipeline_avx+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  119,35                              // ja            7140 <_sk_start_pipeline_avx+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           7121 <_sk_start_pipeline_avx+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            7151 <_sk_start_pipeline_avx+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           7113 <_sk_start_pipeline_avx+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  197,248,119                         // vzeroupper
  .byte  195                                 // retq

HIDDEN _sk_just_return_avx
.globl _sk_just_return_avx
FUNCTION(_sk_just_return_avx)
_sk_just_return_avx:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_avx
.globl _sk_seed_shader_avx
FUNCTION(_sk_seed_shader_avx)
_sk_seed_shader_avx:
  .byte  197,249,110,194                     // vmovd         %edx,%xmm0
  .byte  197,249,112,192,0                   // vpshufd       $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,207,70,2,0        // vbroadcastss  0x246cf(%rip),%ymm1        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,88,5,171,75,2,0             // vaddps        0x24bab(%rip),%ymm0,%ymm0        # 2bd40 <_sk_overlay_sse2_8bit+0x924>
  .byte  197,249,110,209                     // vmovd         %ecx,%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,227,109,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,21,165,70,2,0        // vbroadcastss  0x246a5(%rip),%ymm2        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  197,196,87,255                      // vxorps        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_avx
.globl _sk_dither_avx
FUNCTION(_sk_dither_avx)
_sk_dither_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,194                     // vmovd         %edx,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  197,57,254,13,159,80,2,0            // vpaddd        0x2509f(%rip),%xmm8,%xmm9        # 2c280 <_sk_overlay_sse2_8bit+0xe64>
  .byte  197,57,254,5,167,80,2,0             // vpaddd        0x250a7(%rip),%xmm8,%xmm8        # 2c290 <_sk_overlay_sse2_8bit+0xe74>
  .byte  196,67,53,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm9,%ymm8
  .byte  197,121,110,201                     // vmovd         %ecx,%xmm9
  .byte  196,65,121,112,201,0                // vpshufd       $0x0,%xmm9,%xmm9
  .byte  196,67,53,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm9,%ymm9
  .byte  196,65,52,87,208                    // vxorps        %ymm8,%ymm9,%ymm10
  .byte  196,98,125,24,29,83,70,2,0          // vbroadcastss  0x24653(%rip),%ymm11        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,65,44,84,203                    // vandps        %ymm11,%ymm10,%ymm9
  .byte  196,193,25,114,241,5                // vpslld        $0x5,%xmm9,%xmm12
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,5                // vpslld        $0x5,%xmm9,%xmm9
  .byte  196,67,29,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm12,%ymm9
  .byte  196,65,60,84,219                    // vandps        %ymm11,%ymm8,%ymm11
  .byte  196,193,25,114,243,4                // vpslld        $0x4,%xmm11,%xmm12
  .byte  196,67,125,25,219,1                 // vextractf128  $0x1,%ymm11,%xmm11
  .byte  196,193,33,114,243,4                // vpslld        $0x4,%xmm11,%xmm11
  .byte  196,67,29,24,219,1                  // vinsertf128   $0x1,%xmm11,%ymm12,%ymm11
  .byte  196,98,125,24,37,20,70,2,0          // vbroadcastss  0x24614(%rip),%ymm12        # 2b864 <_sk_overlay_sse2_8bit+0x448>
  .byte  196,98,125,24,45,15,70,2,0          // vbroadcastss  0x2460f(%rip),%ymm13        # 2b868 <_sk_overlay_sse2_8bit+0x44c>
  .byte  196,65,44,84,245                    // vandps        %ymm13,%ymm10,%ymm14
  .byte  196,193,1,114,246,2                 // vpslld        $0x2,%xmm14,%xmm15
  .byte  196,67,125,25,246,1                 // vextractf128  $0x1,%ymm14,%xmm14
  .byte  196,193,9,114,246,2                 // vpslld        $0x2,%xmm14,%xmm14
  .byte  196,67,5,24,246,1                   // vinsertf128   $0x1,%xmm14,%ymm15,%ymm14
  .byte  196,65,60,84,237                    // vandps        %ymm13,%ymm8,%ymm13
  .byte  196,65,17,254,253                   // vpaddd        %xmm13,%xmm13,%xmm15
  .byte  196,67,125,25,237,1                 // vextractf128  $0x1,%ymm13,%xmm13
  .byte  196,65,17,254,237                   // vpaddd        %xmm13,%xmm13,%xmm13
  .byte  196,67,5,24,237,1                   // vinsertf128   $0x1,%xmm13,%ymm15,%ymm13
  .byte  196,65,44,84,212                    // vandps        %ymm12,%ymm10,%ymm10
  .byte  196,193,1,114,210,1                 // vpsrld        $0x1,%xmm10,%xmm15
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,210,1                // vpsrld        $0x1,%xmm10,%xmm10
  .byte  196,67,5,24,210,1                   // vinsertf128   $0x1,%xmm10,%ymm15,%ymm10
  .byte  196,65,60,84,196                    // vandps        %ymm12,%ymm8,%ymm8
  .byte  196,193,25,114,208,2                // vpsrld        $0x2,%xmm8,%xmm12
  .byte  196,67,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm8
  .byte  196,193,57,114,208,2                // vpsrld        $0x2,%xmm8,%xmm8
  .byte  196,67,29,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm12,%ymm8
  .byte  196,65,20,86,219                    // vorps         %ymm11,%ymm13,%ymm11
  .byte  196,65,36,86,192                    // vorps         %ymm8,%ymm11,%ymm8
  .byte  196,65,52,86,206                    // vorps         %ymm14,%ymm9,%ymm9
  .byte  196,65,60,86,193                    // vorps         %ymm9,%ymm8,%ymm8
  .byte  196,65,60,86,194                    // vorps         %ymm10,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,122,69,2,0         // vbroadcastss  0x2457a(%rip),%ymm9        # 2b86c <_sk_overlay_sse2_8bit+0x450>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,112,69,2,0         // vbroadcastss  0x24570(%rip),%ymm9        # 2b870 <_sk_overlay_sse2_8bit+0x454>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,188,95,201                      // vmaxps        %ymm1,%ymm8,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  197,188,95,210                      // vmaxps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_avx
.globl _sk_uniform_color_avx
FUNCTION(_sk_uniform_color_avx)
_sk_uniform_color_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_avx
.globl _sk_black_color_avx
FUNCTION(_sk_black_color_avx)
_sk_black_color_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,248,68,2,0        // vbroadcastss  0x244f8(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_avx
.globl _sk_white_color_avx
FUNCTION(_sk_white_color_avx)
_sk_white_color_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,223,68,2,0         // vbroadcastss  0x244df(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_avx
.globl _sk_load_rgba_avx
FUNCTION(_sk_load_rgba_avx)
_sk_load_rgba_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,0                        // vmovups       (%rax),%ymm0
  .byte  197,252,16,72,32                    // vmovups       0x20(%rax),%ymm1
  .byte  197,252,16,80,64                    // vmovups       0x40(%rax),%ymm2
  .byte  197,252,16,88,96                    // vmovups       0x60(%rax),%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_avx
.globl _sk_store_rgba_avx
FUNCTION(_sk_store_rgba_avx)
_sk_store_rgba_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,252,17,80,64                    // vmovups       %ymm2,0x40(%rax)
  .byte  197,252,17,88,96                    // vmovups       %ymm3,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_avx
.globl _sk_clear_avx
FUNCTION(_sk_clear_avx)
_sk_clear_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  197,228,87,219                      // vxorps        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_avx
.globl _sk_srcatop_avx
FUNCTION(_sk_srcatop_avx)
_sk_srcatop_avx:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,98,125,24,5,126,68,2,0          // vbroadcastss  0x2447e(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,204                       // vmulps        %ymm4,%ymm8,%ymm9
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,60,89,205                       // vmulps        %ymm5,%ymm8,%ymm9
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,60,89,206                       // vmulps        %ymm6,%ymm8,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_avx
.globl _sk_dstatop_avx
FUNCTION(_sk_dstatop_avx)
_sk_dstatop_avx:
  .byte  197,100,89,196                      // vmulps        %ymm4,%ymm3,%ymm8
  .byte  196,98,125,24,13,60,68,2,0          // vbroadcastss  0x2443c(%rip),%ymm9        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,52,92,207                       // vsubps        %ymm7,%ymm9,%ymm9
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,100,89,197                      // vmulps        %ymm5,%ymm3,%ymm8
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,100,89,198                      // vmulps        %ymm6,%ymm3,%ymm8
  .byte  197,180,89,210                      // vmulps        %ymm2,%ymm9,%ymm2
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,100,89,199                      // vmulps        %ymm7,%ymm3,%ymm8
  .byte  197,180,89,219                      // vmulps        %ymm3,%ymm9,%ymm3
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_avx
.globl _sk_srcin_avx
FUNCTION(_sk_srcin_avx)
_sk_srcin_avx:
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_avx
.globl _sk_dstin_avx
FUNCTION(_sk_dstin_avx)
_sk_dstin_avx:
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_avx
.globl _sk_srcout_avx
FUNCTION(_sk_srcout_avx)
_sk_srcout_avx:
  .byte  196,98,125,24,5,215,67,2,0          // vbroadcastss  0x243d7(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_avx
.globl _sk_dstout_avx
FUNCTION(_sk_dstout_avx)
_sk_dstout_avx:
  .byte  196,226,125,24,5,182,67,2,0         // vbroadcastss  0x243b6(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,92,219                      // vsubps        %ymm3,%ymm0,%ymm3
  .byte  197,228,89,196                      // vmulps        %ymm4,%ymm3,%ymm0
  .byte  197,228,89,205                      // vmulps        %ymm5,%ymm3,%ymm1
  .byte  197,228,89,214                      // vmulps        %ymm6,%ymm3,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_avx
.globl _sk_srcover_avx
FUNCTION(_sk_srcover_avx)
_sk_srcover_avx:
  .byte  196,98,125,24,5,149,67,2,0          // vbroadcastss  0x24395(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,204                       // vmulps        %ymm4,%ymm8,%ymm9
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  197,60,89,205                       // vmulps        %ymm5,%ymm8,%ymm9
  .byte  197,180,88,201                      // vaddps        %ymm1,%ymm9,%ymm1
  .byte  197,60,89,206                       // vmulps        %ymm6,%ymm8,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_avx
.globl _sk_dstover_avx
FUNCTION(_sk_dstover_avx)
_sk_dstover_avx:
  .byte  196,98,125,24,5,100,67,2,0          // vbroadcastss  0x24364(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,199                       // vsubps        %ymm7,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_avx
.globl _sk_modulate_avx
FUNCTION(_sk_modulate_avx)
_sk_modulate_avx:
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_avx
.globl _sk_multiply_avx
FUNCTION(_sk_multiply_avx)
_sk_multiply_avx:
  .byte  196,98,125,24,5,31,67,2,0           // vbroadcastss  0x2431f(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,208                       // vmulps        %ymm0,%ymm9,%ymm10
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  197,52,89,209                       // vmulps        %ymm1,%ymm9,%ymm10
  .byte  197,60,89,221                       // vmulps        %ymm5,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  197,52,89,210                       // vmulps        %ymm2,%ymm9,%ymm10
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  197,52,89,203                       // vmulps        %ymm3,%ymm9,%ymm9
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__avx
.globl _sk_plus__avx
FUNCTION(_sk_plus__avx)
_sk_plus__avx:
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  196,98,125,24,5,174,66,2,0          // vbroadcastss  0x242ae(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_avx
.globl _sk_screen_avx
FUNCTION(_sk_screen_avx)
_sk_screen_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  197,100,88,199                      // vaddps        %ymm7,%ymm3,%ymm8
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  197,188,92,219                      // vsubps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__avx
.globl _sk_xor__avx
FUNCTION(_sk_xor__avx)
_sk_xor__avx:
  .byte  196,98,125,24,5,77,66,2,0           // vbroadcastss  0x2424d(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,212                       // vmulps        %ymm4,%ymm8,%ymm10
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,60,89,213                       // vmulps        %ymm5,%ymm8,%ymm10
  .byte  197,172,88,201                      // vaddps        %ymm1,%ymm10,%ymm1
  .byte  197,180,89,210                      // vmulps        %ymm2,%ymm9,%ymm2
  .byte  197,60,89,214                       // vmulps        %ymm6,%ymm8,%ymm10
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,180,89,219                      // vmulps        %ymm3,%ymm9,%ymm3
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_avx
.globl _sk_darken_avx
FUNCTION(_sk_darken_avx)
_sk_darken_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,95,193                  // vmaxps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,95,201                  // vmaxps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,95,209                  // vmaxps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,201,65,2,0          // vbroadcastss  0x241c9(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_avx
.globl _sk_lighten_avx
FUNCTION(_sk_lighten_avx)
_sk_lighten_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,113,65,2,0          // vbroadcastss  0x24171(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_avx
.globl _sk_difference_avx
FUNCTION(_sk_difference_avx)
_sk_difference_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  196,193,124,93,193                  // vminps        %ymm9,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,207                      // vmulps        %ymm7,%ymm1,%ymm1
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,193,116,93,201                  // vminps        %ymm9,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,215                      // vmulps        %ymm7,%ymm2,%ymm2
  .byte  197,100,89,206                      // vmulps        %ymm6,%ymm3,%ymm9
  .byte  196,193,108,93,209                  // vminps        %ymm9,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,13,65,2,0           // vbroadcastss  0x2410d(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_avx
.globl _sk_exclusion_avx
FUNCTION(_sk_exclusion_avx)
_sk_exclusion_avx:
  .byte  197,124,88,196                      // vaddps        %ymm4,%ymm0,%ymm8
  .byte  197,252,89,196                      // vmulps        %ymm4,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,116,88,197                      // vaddps        %ymm5,%ymm1,%ymm8
  .byte  197,244,89,205                      // vmulps        %ymm5,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,108,88,198                      // vaddps        %ymm6,%ymm2,%ymm8
  .byte  197,236,89,214                      // vmulps        %ymm6,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  196,98,125,24,5,196,64,2,0          // vbroadcastss  0x240c4(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_avx
.globl _sk_colorburn_avx
FUNCTION(_sk_colorburn_avx)
_sk_colorburn_avx:
  .byte  196,98,125,24,5,171,64,2,0          // vbroadcastss  0x240ab(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,52,89,216                       // vmulps        %ymm0,%ymm9,%ymm11
  .byte  196,65,44,87,210                    // vxorps        %ymm10,%ymm10,%ymm10
  .byte  196,65,124,194,226,0                // vcmpeqps      %ymm10,%ymm0,%ymm12
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,68,92,236                       // vsubps        %ymm4,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,192                      // vrcpps        %ymm0,%ymm0
  .byte  197,148,89,192                      // vmulps        %ymm0,%ymm13,%ymm0
  .byte  197,60,89,236                       // vmulps        %ymm4,%ymm8,%ymm13
  .byte  197,196,93,192                      // vminps        %ymm0,%ymm7,%ymm0
  .byte  197,196,92,192                      // vsubps        %ymm0,%ymm7,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,92,194,231,0                    // vcmpeqps      %ymm7,%ymm4,%ymm12
  .byte  197,36,88,220                       // vaddps        %ymm4,%ymm11,%ymm11
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,52,89,217                       // vmulps        %ymm1,%ymm9,%ymm11
  .byte  196,65,116,194,226,0                // vcmpeqps      %ymm10,%ymm1,%ymm12
  .byte  197,68,92,237                       // vsubps        %ymm5,%ymm7,%ymm13
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  197,252,83,201                      // vrcpps        %ymm1,%ymm1
  .byte  197,148,89,201                      // vmulps        %ymm1,%ymm13,%ymm1
  .byte  197,60,89,237                       // vmulps        %ymm5,%ymm8,%ymm13
  .byte  197,196,93,201                      // vminps        %ymm1,%ymm7,%ymm1
  .byte  197,196,92,201                      // vsubps        %ymm1,%ymm7,%ymm1
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,148,88,201                      // vaddps        %ymm1,%ymm13,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,84,194,231,0                    // vcmpeqps      %ymm7,%ymm5,%ymm12
  .byte  197,36,88,221                       // vaddps        %ymm5,%ymm11,%ymm11
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,52,89,202                       // vmulps        %ymm2,%ymm9,%ymm9
  .byte  196,65,108,194,210,0                // vcmpeqps      %ymm10,%ymm2,%ymm10
  .byte  197,68,92,222                       // vsubps        %ymm6,%ymm7,%ymm11
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,252,83,210                      // vrcpps        %ymm2,%ymm2
  .byte  197,164,89,210                      // vmulps        %ymm2,%ymm11,%ymm2
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  197,196,93,210                      // vminps        %ymm2,%ymm7,%ymm2
  .byte  197,196,92,210                      // vsubps        %ymm2,%ymm7,%ymm2
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  197,164,88,210                      // vaddps        %ymm2,%ymm11,%ymm2
  .byte  196,195,109,74,211,160              // vblendvps     %ymm10,%ymm11,%ymm2,%ymm2
  .byte  197,76,194,215,0                    // vcmpeqps      %ymm7,%ymm6,%ymm10
  .byte  197,52,88,206                       // vaddps        %ymm6,%ymm9,%ymm9
  .byte  196,195,109,74,209,160              // vblendvps     %ymm10,%ymm9,%ymm2,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_avx
.globl _sk_colordodge_avx
FUNCTION(_sk_colordodge_avx)
_sk_colordodge_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,98,125,24,13,175,63,2,0         // vbroadcastss  0x23faf(%rip),%ymm9        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,52,92,215                       // vsubps        %ymm7,%ymm9,%ymm10
  .byte  197,44,89,216                       // vmulps        %ymm0,%ymm10,%ymm11
  .byte  197,52,92,203                       // vsubps        %ymm3,%ymm9,%ymm9
  .byte  197,100,89,228                      // vmulps        %ymm4,%ymm3,%ymm12
  .byte  197,100,92,232                      // vsubps        %ymm0,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,236                       // vmulps        %ymm4,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  197,28,89,227                       // vmulps        %ymm3,%ymm12,%ymm12
  .byte  196,65,36,88,228                    // vaddps        %ymm12,%ymm11,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,232                       // vaddps        %ymm0,%ymm13,%ymm13
  .byte  197,252,194,195,0                   // vcmpeqps      %ymm3,%ymm0,%ymm0
  .byte  196,195,29,74,197,0                 // vblendvps     %ymm0,%ymm13,%ymm12,%ymm0
  .byte  196,65,92,194,224,0                 // vcmpeqps      %ymm8,%ymm4,%ymm12
  .byte  196,195,125,74,195,192              // vblendvps     %ymm12,%ymm11,%ymm0,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,100,89,229                      // vmulps        %ymm5,%ymm3,%ymm12
  .byte  197,100,92,233                      // vsubps        %ymm1,%ymm3,%ymm13
  .byte  196,65,124,83,237                   // vrcpps        %ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  197,52,89,237                       // vmulps        %ymm5,%ymm9,%ymm13
  .byte  196,65,68,93,228                    // vminps        %ymm12,%ymm7,%ymm12
  .byte  197,28,89,227                       // vmulps        %ymm3,%ymm12,%ymm12
  .byte  196,65,36,88,228                    // vaddps        %ymm12,%ymm11,%ymm12
  .byte  196,65,20,88,228                    // vaddps        %ymm12,%ymm13,%ymm12
  .byte  197,20,88,233                       // vaddps        %ymm1,%ymm13,%ymm13
  .byte  197,244,194,203,0                   // vcmpeqps      %ymm3,%ymm1,%ymm1
  .byte  196,195,29,74,205,16                // vblendvps     %ymm1,%ymm13,%ymm12,%ymm1
  .byte  196,65,84,194,224,0                 // vcmpeqps      %ymm8,%ymm5,%ymm12
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,100,92,226                      // vsubps        %ymm2,%ymm3,%ymm12
  .byte  196,65,124,83,228                   // vrcpps        %ymm12,%ymm12
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  197,52,89,230                       // vmulps        %ymm6,%ymm9,%ymm12
  .byte  196,65,68,93,219                    // vminps        %ymm11,%ymm7,%ymm11
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  197,236,194,211,0                   // vcmpeqps      %ymm3,%ymm2,%ymm2
  .byte  196,195,37,74,212,32                // vblendvps     %ymm2,%ymm12,%ymm11,%ymm2
  .byte  196,65,76,194,192,0                 // vcmpeqps      %ymm8,%ymm6,%ymm8
  .byte  196,195,109,74,210,128              // vblendvps     %ymm8,%ymm10,%ymm2,%ymm2
  .byte  197,52,89,199                       // vmulps        %ymm7,%ymm9,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_avx
.globl _sk_hardlight_avx
FUNCTION(_sk_hardlight_avx)
_sk_hardlight_avx:
  .byte  196,98,125,24,5,186,62,2,0          // vbroadcastss  0x23eba(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,200                       // vmulps        %ymm0,%ymm10,%ymm9
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  196,65,36,88,217                    // vaddps        %ymm9,%ymm11,%ymm11
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  197,52,194,227,2                    // vcmpleps      %ymm3,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,60,89,229                       // vmulps        %ymm5,%ymm8,%ymm12
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,116,88,225                      // vaddps        %ymm1,%ymm1,%ymm12
  .byte  197,28,194,227,2                    // vcmpleps      %ymm3,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,108,88,218                      // vaddps        %ymm2,%ymm2,%ymm11
  .byte  197,36,194,219,2                    // vcmpleps      %ymm3,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_avx
.globl _sk_overlay_avx
FUNCTION(_sk_overlay_avx)
_sk_overlay_avx:
  .byte  196,98,125,24,5,223,61,2,0          // vbroadcastss  0x23ddf(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,44,89,200                       // vmulps        %ymm0,%ymm10,%ymm9
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  196,65,36,88,217                    // vaddps        %ymm9,%ymm11,%ymm11
  .byte  197,92,88,204                       // vaddps        %ymm4,%ymm4,%ymm9
  .byte  197,52,194,231,2                    // vcmpleps      %ymm7,%ymm9,%ymm12
  .byte  197,124,89,204                      // vmulps        %ymm4,%ymm0,%ymm9
  .byte  196,65,52,88,233                    // vaddps        %ymm9,%ymm9,%ymm13
  .byte  197,100,89,207                      // vmulps        %ymm7,%ymm3,%ymm9
  .byte  197,68,92,244                       // vsubps        %ymm4,%ymm7,%ymm14
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,252,88,192                      // vaddps        %ymm0,%ymm0,%ymm0
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,197,192              // vblendvps     %ymm12,%ymm13,%ymm0,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,44,89,217                       // vmulps        %ymm1,%ymm10,%ymm11
  .byte  197,60,89,229                       // vmulps        %ymm5,%ymm8,%ymm12
  .byte  196,65,28,88,219                    // vaddps        %ymm11,%ymm12,%ymm11
  .byte  197,84,88,229                       // vaddps        %ymm5,%ymm5,%ymm12
  .byte  197,28,194,231,2                    // vcmpleps      %ymm7,%ymm12,%ymm12
  .byte  197,116,89,237                      // vmulps        %ymm5,%ymm1,%ymm13
  .byte  196,65,20,88,237                    // vaddps        %ymm13,%ymm13,%ymm13
  .byte  197,68,92,245                       // vsubps        %ymm5,%ymm7,%ymm14
  .byte  197,228,92,201                      // vsubps        %ymm1,%ymm3,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  197,244,88,201                      // vaddps        %ymm1,%ymm1,%ymm1
  .byte  197,180,92,201                      // vsubps        %ymm1,%ymm9,%ymm1
  .byte  196,195,117,74,205,192              // vblendvps     %ymm12,%ymm13,%ymm1,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  197,60,89,222                       // vmulps        %ymm6,%ymm8,%ymm11
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  197,108,89,230                      // vmulps        %ymm6,%ymm2,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,68,92,238                       // vsubps        %ymm6,%ymm7,%ymm13
  .byte  197,228,92,210                      // vsubps        %ymm2,%ymm3,%ymm2
  .byte  196,193,108,89,213                  // vmulps        %ymm13,%ymm2,%ymm2
  .byte  197,236,88,210                      // vaddps        %ymm2,%ymm2,%ymm2
  .byte  197,180,92,210                      // vsubps        %ymm2,%ymm9,%ymm2
  .byte  196,195,109,74,212,176              // vblendvps     %ymm11,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_avx
.globl _sk_softlight_avx
FUNCTION(_sk_softlight_avx)
_sk_softlight_avx:
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,252,40,209                      // vmovaps       %ymm1,%ymm2
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  197,52,194,215,1                    // vcmpltps      %ymm7,%ymm9,%ymm10
  .byte  197,92,94,199                       // vdivps        %ymm7,%ymm4,%ymm8
  .byte  196,67,53,74,224,160                // vblendvps     %ymm10,%ymm8,%ymm9,%ymm12
  .byte  196,65,28,88,196                    // vaddps        %ymm12,%ymm12,%ymm8
  .byte  196,65,60,88,192                    // vaddps        %ymm8,%ymm8,%ymm8
  .byte  196,65,60,89,216                    // vmulps        %ymm8,%ymm8,%ymm11
  .byte  196,65,60,88,195                    // vaddps        %ymm11,%ymm8,%ymm8
  .byte  196,98,125,24,29,230,60,2,0         // vbroadcastss  0x23ce6(%rip),%ymm11        # 2b874 <_sk_overlay_sse2_8bit+0x458>
  .byte  196,65,28,88,235                    // vaddps        %ymm11,%ymm12,%ymm13
  .byte  196,65,20,89,192                    // vmulps        %ymm8,%ymm13,%ymm8
  .byte  196,98,125,24,45,215,60,2,0         // vbroadcastss  0x23cd7(%rip),%ymm13        # 2b878 <_sk_overlay_sse2_8bit+0x45c>
  .byte  196,65,28,89,245                    // vmulps        %ymm13,%ymm12,%ymm14
  .byte  196,65,12,88,192                    // vaddps        %ymm8,%ymm14,%ymm8
  .byte  196,65,124,82,244                   // vrsqrtps      %ymm12,%ymm14
  .byte  196,65,124,83,246                   // vrcpps        %ymm14,%ymm14
  .byte  196,65,12,92,244                    // vsubps        %ymm12,%ymm14,%ymm14
  .byte  197,92,88,252                       // vaddps        %ymm4,%ymm4,%ymm15
  .byte  196,65,4,88,255                     // vaddps        %ymm15,%ymm15,%ymm15
  .byte  197,4,194,255,2                     // vcmpleps      %ymm7,%ymm15,%ymm15
  .byte  196,67,13,74,240,240                // vblendvps     %ymm15,%ymm8,%ymm14,%ymm14
  .byte  197,116,88,249                      // vaddps        %ymm1,%ymm1,%ymm15
  .byte  196,98,125,24,5,129,60,2,0          // vbroadcastss  0x23c81(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,65,60,92,228                    // vsubps        %ymm12,%ymm8,%ymm12
  .byte  197,132,92,195                      // vsubps        %ymm3,%ymm15,%ymm0
  .byte  196,65,124,89,228                   // vmulps        %ymm12,%ymm0,%ymm12
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  197,100,89,244                      // vmulps        %ymm4,%ymm3,%ymm14
  .byte  197,140,88,192                      // vaddps        %ymm0,%ymm14,%ymm0
  .byte  197,28,88,227                       // vaddps        %ymm3,%ymm12,%ymm12
  .byte  197,28,89,228                       // vmulps        %ymm4,%ymm12,%ymm12
  .byte  197,4,194,243,2                     // vcmpleps      %ymm3,%ymm15,%ymm14
  .byte  196,195,125,74,196,224              // vblendvps     %ymm14,%ymm12,%ymm0,%ymm0
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,212,94,199                      // vdivps        %ymm7,%ymm5,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,240                      // vaddps        %ymm0,%ymm0,%ymm14
  .byte  196,65,12,88,246                    // vaddps        %ymm14,%ymm14,%ymm14
  .byte  196,65,12,89,254                    // vmulps        %ymm14,%ymm14,%ymm15
  .byte  196,65,12,88,247                    // vaddps        %ymm15,%ymm14,%ymm14
  .byte  196,65,124,88,251                   // vaddps        %ymm11,%ymm0,%ymm15
  .byte  196,65,4,89,246                     // vmulps        %ymm14,%ymm15,%ymm14
  .byte  196,65,124,89,253                   // vmulps        %ymm13,%ymm0,%ymm15
  .byte  196,65,4,88,246                     // vaddps        %ymm14,%ymm15,%ymm14
  .byte  197,124,82,248                      // vrsqrtps      %ymm0,%ymm15
  .byte  196,65,124,83,255                   // vrcpps        %ymm15,%ymm15
  .byte  197,4,92,248                        // vsubps        %ymm0,%ymm15,%ymm15
  .byte  197,84,88,229                       // vaddps        %ymm5,%ymm5,%ymm12
  .byte  196,65,28,88,228                    // vaddps        %ymm12,%ymm12,%ymm12
  .byte  197,28,194,231,2                    // vcmpleps      %ymm7,%ymm12,%ymm12
  .byte  196,67,5,74,230,192                 // vblendvps     %ymm12,%ymm14,%ymm15,%ymm12
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,108,88,242                      // vaddps        %ymm2,%ymm2,%ymm14
  .byte  197,12,92,251                       // vsubps        %ymm3,%ymm14,%ymm15
  .byte  197,132,89,192                      // vmulps        %ymm0,%ymm15,%ymm0
  .byte  197,4,89,255                        // vmulps        %ymm7,%ymm15,%ymm15
  .byte  196,65,4,89,228                     // vmulps        %ymm12,%ymm15,%ymm12
  .byte  197,100,89,253                      // vmulps        %ymm5,%ymm3,%ymm15
  .byte  196,65,4,88,228                     // vaddps        %ymm12,%ymm15,%ymm12
  .byte  197,252,88,195                      // vaddps        %ymm3,%ymm0,%ymm0
  .byte  197,252,89,197                      // vmulps        %ymm5,%ymm0,%ymm0
  .byte  197,12,194,243,2                    // vcmpleps      %ymm3,%ymm14,%ymm14
  .byte  196,99,29,74,240,224                // vblendvps     %ymm14,%ymm0,%ymm12,%ymm14
  .byte  197,204,94,199                      // vdivps        %ymm7,%ymm6,%ymm0
  .byte  196,227,53,74,192,160               // vblendvps     %ymm10,%ymm0,%ymm9,%ymm0
  .byte  197,124,88,200                      // vaddps        %ymm0,%ymm0,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,65,52,89,209                    // vmulps        %ymm9,%ymm9,%ymm10
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,124,88,211                   // vaddps        %ymm11,%ymm0,%ymm10
  .byte  196,65,44,89,201                    // vmulps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,89,213                   // vmulps        %ymm13,%ymm0,%ymm10
  .byte  196,65,44,88,201                    // vaddps        %ymm9,%ymm10,%ymm9
  .byte  197,124,82,208                      // vrsqrtps      %ymm0,%ymm10
  .byte  196,65,124,83,210                   // vrcpps        %ymm10,%ymm10
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  197,76,88,222                       // vaddps        %ymm6,%ymm6,%ymm11
  .byte  196,65,36,88,219                    // vaddps        %ymm11,%ymm11,%ymm11
  .byte  197,36,194,223,2                    // vcmpleps      %ymm7,%ymm11,%ymm11
  .byte  196,67,45,74,201,176                // vblendvps     %ymm11,%ymm9,%ymm10,%ymm9
  .byte  197,124,16,100,36,200               // vmovups       -0x38(%rsp),%ymm12
  .byte  196,65,28,88,212                    // vaddps        %ymm12,%ymm12,%ymm10
  .byte  197,44,92,219                       // vsubps        %ymm3,%ymm10,%ymm11
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  197,36,89,223                       // vmulps        %ymm7,%ymm11,%ymm11
  .byte  196,65,36,89,201                    // vmulps        %ymm9,%ymm11,%ymm9
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  196,65,36,88,201                    // vaddps        %ymm9,%ymm11,%ymm9
  .byte  197,252,88,195                      // vaddps        %ymm3,%ymm0,%ymm0
  .byte  197,252,89,198                      // vmulps        %ymm6,%ymm0,%ymm0
  .byte  197,44,194,211,2                    // vcmpleps      %ymm3,%ymm10,%ymm10
  .byte  196,99,53,74,200,160                // vblendvps     %ymm10,%ymm0,%ymm9,%ymm9
  .byte  197,60,92,215                       // vsubps        %ymm7,%ymm8,%ymm10
  .byte  197,172,89,193                      // vmulps        %ymm1,%ymm10,%ymm0
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,188,89,204                      // vmulps        %ymm4,%ymm8,%ymm1
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,88,68,36,168                // vaddps        -0x58(%rsp),%ymm0,%ymm0
  .byte  197,172,89,202                      // vmulps        %ymm2,%ymm10,%ymm1
  .byte  197,188,89,213                      // vmulps        %ymm5,%ymm8,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,116,88,206                  // vaddps        %ymm14,%ymm1,%ymm1
  .byte  196,193,44,89,212                   // vmulps        %ymm12,%ymm10,%ymm2
  .byte  197,60,89,214                       // vmulps        %ymm6,%ymm8,%ymm10
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,193,108,88,209                  // vaddps        %ymm9,%ymm2,%ymm2
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  197,188,88,219                      // vaddps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_avx
.globl _sk_hue_avx
FUNCTION(_sk_hue_avx)
_sk_hue_avx:
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,124,40,193                      // vmovaps       %ymm1,%ymm8
  .byte  197,124,17,68,36,168                // vmovups       %ymm8,-0x58(%rsp)
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,116,89,203                      // vmulps        %ymm3,%ymm1,%ymm9
  .byte  197,60,89,211                       // vmulps        %ymm3,%ymm8,%ymm10
  .byte  197,108,89,219                      // vmulps        %ymm3,%ymm2,%ymm11
  .byte  197,84,95,198                       // vmaxps        %ymm6,%ymm5,%ymm8
  .byte  196,65,92,95,192                    // vmaxps        %ymm8,%ymm4,%ymm8
  .byte  197,84,93,230                       // vminps        %ymm6,%ymm5,%ymm12
  .byte  196,65,92,93,228                    // vminps        %ymm12,%ymm4,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,227                       // vmulps        %ymm3,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,208,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm10
  .byte  196,65,36,92,221                    // vsubps        %ymm13,%ymm11,%ymm11
  .byte  196,65,28,89,219                    // vmulps        %ymm11,%ymm12,%ymm11
  .byte  196,65,36,94,222                    // vdivps        %ymm14,%ymm11,%ymm11
  .byte  196,67,37,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm11,%ymm12
  .byte  196,98,125,24,53,100,58,2,0         // vbroadcastss  0x23a64(%rip),%ymm14        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,92,89,222                    // vmulps        %ymm14,%ymm4,%ymm11
  .byte  196,98,125,24,61,90,58,2,0          // vbroadcastss  0x23a5a(%rip),%ymm15        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,226,125,24,5,75,58,2,0          // vbroadcastss  0x23a4b(%rip),%ymm0        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  197,76,89,232                       // vmulps        %ymm0,%ymm6,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,65,52,89,238                    // vmulps        %ymm14,%ymm9,%ymm13
  .byte  196,193,44,89,215                   // vmulps        %ymm15,%ymm10,%ymm2
  .byte  197,148,88,210                      // vaddps        %ymm2,%ymm13,%ymm2
  .byte  197,28,89,232                       // vmulps        %ymm0,%ymm12,%ymm13
  .byte  196,193,108,88,213                  // vaddps        %ymm13,%ymm2,%ymm2
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,164,92,210                      // vsubps        %ymm2,%ymm11,%ymm2
  .byte  197,52,88,202                       // vaddps        %ymm2,%ymm9,%ymm9
  .byte  197,44,88,218                       // vaddps        %ymm2,%ymm10,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  196,193,36,93,212                   // vminps        %ymm12,%ymm11,%ymm2
  .byte  197,52,93,234                       // vminps        %ymm2,%ymm9,%ymm13
  .byte  196,193,52,89,214                   // vmulps        %ymm14,%ymm9,%ymm2
  .byte  196,65,36,89,215                    // vmulps        %ymm15,%ymm11,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,124,88,210                      // vaddps        %ymm2,%ymm0,%ymm10
  .byte  196,193,52,92,194                   // vsubps        %ymm10,%ymm9,%ymm0
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,193,44,92,213                   // vsubps        %ymm13,%ymm10,%ymm2
  .byte  197,252,94,194                      // vdivps        %ymm2,%ymm0,%ymm0
  .byte  196,65,36,92,242                    // vsubps        %ymm10,%ymm11,%ymm14
  .byte  196,65,44,89,246                    // vmulps        %ymm14,%ymm10,%ymm14
  .byte  197,12,94,242                       // vdivps        %ymm2,%ymm14,%ymm14
  .byte  196,65,28,92,250                    // vsubps        %ymm10,%ymm12,%ymm15
  .byte  196,65,44,89,255                    // vmulps        %ymm15,%ymm10,%ymm15
  .byte  197,132,94,210                      // vdivps        %ymm2,%ymm15,%ymm2
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,44,88,246                    // vaddps        %ymm14,%ymm10,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,195,109,74,212,208              // vblendvps     %ymm13,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  196,195,125,74,193,208              // vblendvps     %ymm13,%ymm9,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,203                    // vmaxps        %ymm11,%ymm9,%ymm9
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,65,28,92,234                    // vsubps        %ymm10,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,249,1                 // vcmpltps      %ymm9,%ymm12,%ymm15
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,218                    // vsubps        %ymm10,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,108,92,242                   // vsubps        %ymm10,%ymm2,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,44,88,201                    // vaddps        %ymm9,%ymm10,%ymm9
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,208                    // vmaxps        %ymm8,%ymm11,%ymm10
  .byte  196,195,109,74,209,240              // vblendvps     %ymm15,%ymm9,%ymm2,%ymm2
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,248,56,2,0          // vbroadcastss  0x238f8(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,180,89,76,36,168                // vmulps        -0x58(%rsp),%ymm9,%ymm1
  .byte  197,60,89,221                       // vmulps        %ymm5,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  197,52,89,76,36,200                 // vmulps        -0x38(%rsp),%ymm9,%ymm9
  .byte  197,60,89,198                       // vmulps        %ymm6,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_avx
.globl _sk_saturation_avx
FUNCTION(_sk_saturation_avx)
_sk_saturation_avx:
  .byte  197,124,40,193                      // vmovaps       %ymm1,%ymm8
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,100,89,204                      // vmulps        %ymm4,%ymm3,%ymm9
  .byte  197,100,89,213                      // vmulps        %ymm5,%ymm3,%ymm10
  .byte  197,100,89,222                      // vmulps        %ymm6,%ymm3,%ymm11
  .byte  197,252,17,84,36,200                // vmovups       %ymm2,-0x38(%rsp)
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,124,95,194                      // vmaxps        %ymm2,%ymm0,%ymm8
  .byte  196,65,116,95,192                   // vmaxps        %ymm8,%ymm1,%ymm8
  .byte  197,124,93,226                      // vminps        %ymm2,%ymm0,%ymm12
  .byte  196,65,116,93,228                   // vminps        %ymm12,%ymm1,%ymm12
  .byte  196,65,60,92,196                    // vsubps        %ymm12,%ymm8,%ymm8
  .byte  197,60,89,231                       // vmulps        %ymm7,%ymm8,%ymm12
  .byte  196,65,44,93,195                    // vminps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,93,232                    // vminps        %ymm8,%ymm9,%ymm13
  .byte  196,65,44,95,195                    // vmaxps        %ymm11,%ymm10,%ymm8
  .byte  196,65,52,95,192                    // vmaxps        %ymm8,%ymm9,%ymm8
  .byte  196,65,60,92,245                    // vsubps        %ymm13,%ymm8,%ymm14
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,12,194,248,0                 // vcmpeqps      %ymm8,%ymm14,%ymm15
  .byte  196,65,52,92,205                    // vsubps        %ymm13,%ymm9,%ymm9
  .byte  196,65,28,89,201                    // vmulps        %ymm9,%ymm12,%ymm9
  .byte  196,65,52,94,206                    // vdivps        %ymm14,%ymm9,%ymm9
  .byte  196,67,53,74,200,240                // vblendvps     %ymm15,%ymm8,%ymm9,%ymm9
  .byte  196,65,44,92,213                    // vsubps        %ymm13,%ymm10,%ymm10
  .byte  196,65,28,89,210                    // vmulps        %ymm10,%ymm12,%ymm10
  .byte  196,65,44,94,214                    // vdivps        %ymm14,%ymm10,%ymm10
  .byte  196,67,45,74,208,240                // vblendvps     %ymm15,%ymm8,%ymm10,%ymm10
  .byte  196,65,36,92,221                    // vsubps        %ymm13,%ymm11,%ymm11
  .byte  196,65,28,89,219                    // vmulps        %ymm11,%ymm12,%ymm11
  .byte  196,65,36,94,222                    // vdivps        %ymm14,%ymm11,%ymm11
  .byte  196,67,37,74,224,240                // vblendvps     %ymm15,%ymm8,%ymm11,%ymm12
  .byte  196,98,125,24,53,34,56,2,0          // vbroadcastss  0x23822(%rip),%ymm14        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,92,89,222                    // vmulps        %ymm14,%ymm4,%ymm11
  .byte  196,98,125,24,61,24,56,2,0          // vbroadcastss  0x23818(%rip),%ymm15        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,84,89,239                    // vmulps        %ymm15,%ymm5,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,226,125,24,5,9,56,2,0           // vbroadcastss  0x23809(%rip),%ymm0        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  197,76,89,232                       // vmulps        %ymm0,%ymm6,%ymm13
  .byte  196,65,36,88,221                    // vaddps        %ymm13,%ymm11,%ymm11
  .byte  196,65,52,89,238                    // vmulps        %ymm14,%ymm9,%ymm13
  .byte  196,193,44,89,215                   // vmulps        %ymm15,%ymm10,%ymm2
  .byte  197,148,88,210                      // vaddps        %ymm2,%ymm13,%ymm2
  .byte  197,28,89,232                       // vmulps        %ymm0,%ymm12,%ymm13
  .byte  196,193,108,88,213                  // vaddps        %ymm13,%ymm2,%ymm2
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  197,164,92,210                      // vsubps        %ymm2,%ymm11,%ymm2
  .byte  197,52,88,202                       // vaddps        %ymm2,%ymm9,%ymm9
  .byte  197,44,88,218                       // vaddps        %ymm2,%ymm10,%ymm11
  .byte  197,28,88,226                       // vaddps        %ymm2,%ymm12,%ymm12
  .byte  196,193,36,93,212                   // vminps        %ymm12,%ymm11,%ymm2
  .byte  197,52,93,234                       // vminps        %ymm2,%ymm9,%ymm13
  .byte  196,193,52,89,214                   // vmulps        %ymm14,%ymm9,%ymm2
  .byte  196,65,36,89,215                    // vmulps        %ymm15,%ymm11,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,124,88,210                      // vaddps        %ymm2,%ymm0,%ymm10
  .byte  196,193,52,92,194                   // vsubps        %ymm10,%ymm9,%ymm0
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,193,44,92,213                   // vsubps        %ymm13,%ymm10,%ymm2
  .byte  197,252,94,194                      // vdivps        %ymm2,%ymm0,%ymm0
  .byte  196,65,36,92,242                    // vsubps        %ymm10,%ymm11,%ymm14
  .byte  196,65,44,89,246                    // vmulps        %ymm14,%ymm10,%ymm14
  .byte  197,12,94,242                       // vdivps        %ymm2,%ymm14,%ymm14
  .byte  196,65,28,92,250                    // vsubps        %ymm10,%ymm12,%ymm15
  .byte  196,65,44,89,255                    // vmulps        %ymm15,%ymm10,%ymm15
  .byte  197,132,94,210                      // vdivps        %ymm2,%ymm15,%ymm2
  .byte  196,65,60,194,237,2                 // vcmpleps      %ymm13,%ymm8,%ymm13
  .byte  196,65,44,88,246                    // vaddps        %ymm14,%ymm10,%ymm14
  .byte  196,67,13,74,243,208                // vblendvps     %ymm13,%ymm11,%ymm14,%ymm14
  .byte  196,65,36,95,220                    // vmaxps        %ymm12,%ymm11,%ymm11
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  196,195,109,74,212,208              // vblendvps     %ymm13,%ymm12,%ymm2,%ymm2
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  196,195,125,74,193,208              // vblendvps     %ymm13,%ymm9,%ymm0,%ymm0
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,52,95,203                    // vmaxps        %ymm11,%ymm9,%ymm9
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,65,28,92,234                    // vsubps        %ymm10,%ymm12,%ymm13
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,28,194,249,1                 // vcmpltps      %ymm9,%ymm12,%ymm15
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,195,125,74,195,240              // vblendvps     %ymm15,%ymm11,%ymm0,%ymm0
  .byte  196,65,12,92,218                    // vsubps        %ymm10,%ymm14,%ymm11
  .byte  196,65,20,89,219                    // vmulps        %ymm11,%ymm13,%ymm11
  .byte  196,65,36,94,217                    // vdivps        %ymm9,%ymm11,%ymm11
  .byte  196,65,44,88,219                    // vaddps        %ymm11,%ymm10,%ymm11
  .byte  196,67,13,74,219,240                // vblendvps     %ymm15,%ymm11,%ymm14,%ymm11
  .byte  196,65,108,92,242                   // vsubps        %ymm10,%ymm2,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,201                    // vdivps        %ymm9,%ymm13,%ymm9
  .byte  196,65,44,88,201                    // vaddps        %ymm9,%ymm10,%ymm9
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,65,36,95,208                    // vmaxps        %ymm8,%ymm11,%ymm10
  .byte  196,195,109,74,209,240              // vblendvps     %ymm15,%ymm9,%ymm2,%ymm2
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,182,54,2,0          // vbroadcastss  0x236b6(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,207                       // vsubps        %ymm7,%ymm8,%ymm9
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  197,60,89,220                       // vmulps        %ymm4,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,180,89,76,36,168                // vmulps        -0x58(%rsp),%ymm9,%ymm1
  .byte  197,60,89,221                       // vmulps        %ymm5,%ymm8,%ymm11
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  197,52,89,76,36,200                 // vmulps        -0x38(%rsp),%ymm9,%ymm9
  .byte  197,60,89,198                       // vmulps        %ymm6,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,188,88,210                      // vaddps        %ymm2,%ymm8,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_avx
.globl _sk_color_avx
FUNCTION(_sk_color_avx)
_sk_color_avx:
  .byte  197,252,17,84,36,136                // vmovups       %ymm2,-0x78(%rsp)
  .byte  197,252,17,76,36,200                // vmovups       %ymm1,-0x38(%rsp)
  .byte  197,252,17,68,36,168                // vmovups       %ymm0,-0x58(%rsp)
  .byte  197,124,89,199                      // vmulps        %ymm7,%ymm0,%ymm8
  .byte  197,116,89,207                      // vmulps        %ymm7,%ymm1,%ymm9
  .byte  196,98,125,24,45,104,54,2,0         // vbroadcastss  0x23668(%rip),%ymm13        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,92,89,213                    // vmulps        %ymm13,%ymm4,%ymm10
  .byte  196,98,125,24,53,94,54,2,0          // vbroadcastss  0x2365e(%rip),%ymm14        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,84,89,222                    // vmulps        %ymm14,%ymm5,%ymm11
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,61,79,54,2,0          // vbroadcastss  0x2364f(%rip),%ymm15        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  196,65,76,89,223                    // vmulps        %ymm15,%ymm6,%ymm11
  .byte  196,193,44,88,195                   // vaddps        %ymm11,%ymm10,%ymm0
  .byte  196,65,60,89,221                    // vmulps        %ymm13,%ymm8,%ymm11
  .byte  196,65,52,89,230                    // vmulps        %ymm14,%ymm9,%ymm12
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,108,89,231                      // vmulps        %ymm7,%ymm2,%ymm12
  .byte  196,65,28,89,215                    // vmulps        %ymm15,%ymm12,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,60,88,192                       // vaddps        %ymm0,%ymm8,%ymm8
  .byte  197,52,88,208                       // vaddps        %ymm0,%ymm9,%ymm10
  .byte  197,28,88,216                       // vaddps        %ymm0,%ymm12,%ymm11
  .byte  196,193,44,93,195                   // vminps        %ymm11,%ymm10,%ymm0
  .byte  197,60,93,224                       // vminps        %ymm0,%ymm8,%ymm12
  .byte  196,193,60,89,197                   // vmulps        %ymm13,%ymm8,%ymm0
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,193,124,88,193                  // vaddps        %ymm9,%ymm0,%ymm0
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,193,60,92,193                   // vsubps        %ymm9,%ymm8,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,65,52,92,236                    // vsubps        %ymm12,%ymm9,%ymm13
  .byte  196,193,124,94,197                  // vdivps        %ymm13,%ymm0,%ymm0
  .byte  196,65,44,92,241                    // vsubps        %ymm9,%ymm10,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  196,65,12,94,245                    // vdivps        %ymm13,%ymm14,%ymm14
  .byte  196,65,36,92,249                    // vsubps        %ymm9,%ymm11,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  196,65,4,94,237                     // vdivps        %ymm13,%ymm15,%ymm13
  .byte  196,65,4,87,255                     // vxorps        %ymm15,%ymm15,%ymm15
  .byte  196,65,4,194,228,2                  // vcmpleps      %ymm12,%ymm15,%ymm12
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,242,192                // vblendvps     %ymm12,%ymm10,%ymm14,%ymm14
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,88,237                    // vaddps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,200,192              // vblendvps     %ymm12,%ymm8,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,60,95,194                    // vmaxps        %ymm10,%ymm8,%ymm8
  .byte  196,65,116,92,209                   // vsubps        %ymm9,%ymm1,%ymm10
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,192,1                // vcmpltps      %ymm8,%ymm12,%ymm0
  .byte  196,65,60,92,193                    // vsubps        %ymm9,%ymm8,%ymm8
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,12,92,209                    // vsubps        %ymm9,%ymm14,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,67,13,74,210,0                  // vblendvps     %ymm0,%ymm10,%ymm14,%ymm10
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,192                    // vdivps        %ymm8,%ymm13,%ymm8
  .byte  196,65,52,88,192                    // vaddps        %ymm8,%ymm9,%ymm8
  .byte  196,193,116,95,207                  // vmaxps        %ymm15,%ymm1,%ymm1
  .byte  196,65,44,95,207                    // vmaxps        %ymm15,%ymm10,%ymm9
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,65,124,95,199                   // vmaxps        %ymm15,%ymm0,%ymm8
  .byte  196,226,125,24,5,234,52,2,0         // vbroadcastss  0x234ea(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,84,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  197,164,89,196                      // vmulps        %ymm4,%ymm11,%ymm0
  .byte  197,252,88,194                      // vaddps        %ymm2,%ymm0,%ymm0
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,172,89,76,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm1
  .byte  197,164,89,213                      // vmulps        %ymm5,%ymm11,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,136                // vmulps        -0x78(%rsp),%ymm10,%ymm2
  .byte  197,36,89,206                       // vmulps        %ymm6,%ymm11,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  196,193,108,88,208                  // vaddps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_avx
.globl _sk_luminosity_avx
FUNCTION(_sk_luminosity_avx)
_sk_luminosity_avx:
  .byte  197,124,40,226                      // vmovaps       %ymm2,%ymm12
  .byte  197,124,17,100,36,168               // vmovups       %ymm12,-0x58(%rsp)
  .byte  197,252,17,76,36,200                // vmovups       %ymm1,-0x38(%rsp)
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,100,89,196                      // vmulps        %ymm4,%ymm3,%ymm8
  .byte  197,100,89,205                      // vmulps        %ymm5,%ymm3,%ymm9
  .byte  196,98,125,24,45,152,52,2,0         // vbroadcastss  0x23498(%rip),%ymm13        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,108,89,213                   // vmulps        %ymm13,%ymm2,%ymm10
  .byte  196,98,125,24,53,142,52,2,0         // vbroadcastss  0x2348e(%rip),%ymm14        # 2b880 <_sk_overlay_sse2_8bit+0x464>
  .byte  196,65,116,89,222                   // vmulps        %ymm14,%ymm1,%ymm11
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,61,127,52,2,0         // vbroadcastss  0x2347f(%rip),%ymm15        # 2b884 <_sk_overlay_sse2_8bit+0x468>
  .byte  196,65,28,89,223                    // vmulps        %ymm15,%ymm12,%ymm11
  .byte  196,193,44,88,195                   // vaddps        %ymm11,%ymm10,%ymm0
  .byte  196,65,60,89,221                    // vmulps        %ymm13,%ymm8,%ymm11
  .byte  196,65,52,89,230                    // vmulps        %ymm14,%ymm9,%ymm12
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,100,89,230                      // vmulps        %ymm6,%ymm3,%ymm12
  .byte  196,65,28,89,215                    // vmulps        %ymm15,%ymm12,%ymm10
  .byte  196,65,36,88,210                    // vaddps        %ymm10,%ymm11,%ymm10
  .byte  197,252,89,199                      // vmulps        %ymm7,%ymm0,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,60,88,192                       // vaddps        %ymm0,%ymm8,%ymm8
  .byte  197,52,88,208                       // vaddps        %ymm0,%ymm9,%ymm10
  .byte  197,28,88,216                       // vaddps        %ymm0,%ymm12,%ymm11
  .byte  196,193,44,93,195                   // vminps        %ymm11,%ymm10,%ymm0
  .byte  197,60,93,224                       // vminps        %ymm0,%ymm8,%ymm12
  .byte  196,193,60,89,197                   // vmulps        %ymm13,%ymm8,%ymm0
  .byte  196,65,44,89,206                    // vmulps        %ymm14,%ymm10,%ymm9
  .byte  196,193,124,88,193                  // vaddps        %ymm9,%ymm0,%ymm0
  .byte  196,65,36,89,207                    // vmulps        %ymm15,%ymm11,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,193,60,92,193                   // vsubps        %ymm9,%ymm8,%ymm0
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  196,65,52,92,236                    // vsubps        %ymm12,%ymm9,%ymm13
  .byte  196,193,124,94,197                  // vdivps        %ymm13,%ymm0,%ymm0
  .byte  196,65,44,92,241                    // vsubps        %ymm9,%ymm10,%ymm14
  .byte  196,65,52,89,246                    // vmulps        %ymm14,%ymm9,%ymm14
  .byte  196,65,12,94,245                    // vdivps        %ymm13,%ymm14,%ymm14
  .byte  196,65,36,92,249                    // vsubps        %ymm9,%ymm11,%ymm15
  .byte  196,65,52,89,255                    // vmulps        %ymm15,%ymm9,%ymm15
  .byte  196,65,4,94,237                     // vdivps        %ymm13,%ymm15,%ymm13
  .byte  196,65,4,87,255                     // vxorps        %ymm15,%ymm15,%ymm15
  .byte  196,65,4,194,228,2                  // vcmpleps      %ymm12,%ymm15,%ymm12
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,67,13,74,242,192                // vblendvps     %ymm12,%ymm10,%ymm14,%ymm14
  .byte  196,65,44,95,211                    // vmaxps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,88,237                    // vaddps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,219,192                // vblendvps     %ymm12,%ymm11,%ymm13,%ymm11
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,195,125,74,200,192              // vblendvps     %ymm12,%ymm8,%ymm0,%ymm1
  .byte  197,100,89,231                      // vmulps        %ymm7,%ymm3,%ymm12
  .byte  196,65,60,95,194                    // vmaxps        %ymm10,%ymm8,%ymm8
  .byte  196,65,116,92,209                   // vsubps        %ymm9,%ymm1,%ymm10
  .byte  196,65,28,92,233                    // vsubps        %ymm9,%ymm12,%ymm13
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,193,28,194,192,1                // vcmpltps      %ymm8,%ymm12,%ymm0
  .byte  196,65,60,92,193                    // vsubps        %ymm9,%ymm8,%ymm8
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,195,117,74,202,0                // vblendvps     %ymm0,%ymm10,%ymm1,%ymm1
  .byte  196,65,12,92,209                    // vsubps        %ymm9,%ymm14,%ymm10
  .byte  196,65,20,89,210                    // vmulps        %ymm10,%ymm13,%ymm10
  .byte  196,65,44,94,208                    // vdivps        %ymm8,%ymm10,%ymm10
  .byte  196,65,52,88,210                    // vaddps        %ymm10,%ymm9,%ymm10
  .byte  196,67,13,74,210,0                  // vblendvps     %ymm0,%ymm10,%ymm14,%ymm10
  .byte  196,65,36,92,241                    // vsubps        %ymm9,%ymm11,%ymm14
  .byte  196,65,20,89,238                    // vmulps        %ymm14,%ymm13,%ymm13
  .byte  196,65,20,94,192                    // vdivps        %ymm8,%ymm13,%ymm8
  .byte  196,65,52,88,192                    // vaddps        %ymm8,%ymm9,%ymm8
  .byte  196,193,116,95,207                  // vmaxps        %ymm15,%ymm1,%ymm1
  .byte  196,65,44,95,207                    // vmaxps        %ymm15,%ymm10,%ymm9
  .byte  196,195,37,74,192,0                 // vblendvps     %ymm0,%ymm8,%ymm11,%ymm0
  .byte  196,65,124,95,199                   // vmaxps        %ymm15,%ymm0,%ymm8
  .byte  196,226,125,24,5,26,51,2,0          // vbroadcastss  0x2331a(%rip),%ymm0        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,124,92,215                      // vsubps        %ymm7,%ymm0,%ymm10
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  197,124,92,219                      // vsubps        %ymm3,%ymm0,%ymm11
  .byte  197,164,89,196                      // vmulps        %ymm4,%ymm11,%ymm0
  .byte  197,252,88,194                      // vaddps        %ymm2,%ymm0,%ymm0
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,172,89,76,36,200                // vmulps        -0x38(%rsp),%ymm10,%ymm1
  .byte  197,164,89,213                      // vmulps        %ymm5,%ymm11,%ymm2
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,84,36,168                // vmulps        -0x58(%rsp),%ymm10,%ymm2
  .byte  197,36,89,206                       // vmulps        %ymm6,%ymm11,%ymm9
  .byte  197,180,88,210                      // vaddps        %ymm2,%ymm9,%ymm2
  .byte  196,193,108,88,208                  // vaddps        %ymm8,%ymm2,%ymm2
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,92,220                  // vsubps        %ymm12,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_avx
.globl _sk_srcover_rgba_8888_avx
FUNCTION(_sk_srcover_rgba_8888_avx)
_sk_srcover_rgba_8888_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,42,1,0,0                     // jne           86d7 <_sk_srcover_rgba_8888_avx+0x14a>
  .byte  196,1,125,16,4,152                  // vmovupd       (%r8,%r11,4),%ymm8
  .byte  197,125,40,13,165,55,2,0            // vmovapd       0x237a5(%rip),%ymm9        # 2bd60 <_sk_overlay_sse2_8bit+0x944>
  .byte  196,193,61,84,225                   // vandpd        %ymm9,%ymm8,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,81,114,208,8                // vpsrld        $0x8,%xmm8,%xmm5
  .byte  196,99,125,25,199,1                 // vextractf128  $0x1,%ymm8,%xmm7
  .byte  197,201,114,215,8                   // vpsrld        $0x8,%xmm7,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  196,193,85,84,233                   // vandpd        %ymm9,%ymm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,193,41,114,208,16               // vpsrld        $0x10,%xmm8,%xmm10
  .byte  197,201,114,215,16                  // vpsrld        $0x10,%xmm7,%xmm6
  .byte  196,227,45,24,246,1                 // vinsertf128   $0x1,%xmm6,%ymm10,%ymm6
  .byte  196,193,77,84,241                   // vandpd        %ymm9,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,193,57,114,208,24               // vpsrld        $0x18,%xmm8,%xmm8
  .byte  197,193,114,215,24                  // vpsrld        $0x18,%xmm7,%xmm7
  .byte  196,227,61,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm8,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,64,50,2,0           // vbroadcastss  0x23240(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,195                       // vsubps        %ymm3,%ymm8,%ymm8
  .byte  196,98,125,24,13,95,50,2,0          // vbroadcastss  0x2325f(%rip),%ymm9        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  197,60,89,212                       // vmulps        %ymm4,%ymm8,%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  197,60,89,213                       // vmulps        %ymm5,%ymm8,%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  197,60,89,214                       // vmulps        %ymm6,%ymm8,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  197,60,89,199                       // vmulps        %ymm7,%ymm8,%ymm8
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  197,125,91,192                      // vcvtps2dq     %ymm0,%ymm8
  .byte  197,125,91,201                      // vcvtps2dq     %ymm1,%ymm9
  .byte  196,193,41,114,241,8                // vpslld        $0x8,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,8                // vpslld        $0x8,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  197,125,91,202                      // vcvtps2dq     %ymm2,%ymm9
  .byte  196,193,41,114,241,16               // vpslld        $0x10,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,16               // vpslld        $0x10,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  197,125,91,211                      // vcvtps2dq     %ymm3,%ymm10
  .byte  196,193,33,114,242,24               // vpslld        $0x18,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,24               // vpslld        $0x18,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,53,86,202                    // vorpd         %ymm10,%ymm9,%ymm9
  .byte  196,65,61,86,193                    // vorpd         %ymm9,%ymm8,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           870f <_sk_srcover_rgba_8888_avx+0x182>
  .byte  196,1,124,17,4,152                  // vmovups       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,195,254,255,255              // ja            85b3 <_sk_srcover_rgba_8888_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,5,1,0,0                   // lea           0x105(%rip),%r10        # 8800 <_sk_srcover_rgba_8888_avx+0x273>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,4,152                  // vmovss        (%r8,%r11,4),%xmm8
  .byte  233,164,254,255,255                 // jmpq          85b3 <_sk_srcover_rgba_8888_avx+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,180                             // ja            86d3 <_sk_srcover_rgba_8888_avx+0x146>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,242,0,0,0                 // lea           0xf2(%rip),%r9        # 881c <_sk_srcover_rgba_8888_avx+0x28f>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,152                             // jmp           86d3 <_sk_srcover_rgba_8888_avx+0x146>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,196,4                  // vblendps      $0x4,%ymm4,%ymm5,%ymm8
  .byte  196,129,123,16,36,152               // vmovsd        (%r8,%r11,4),%xmm4
  .byte  196,99,61,13,196,1                  // vblendpd      $0x1,%ymm4,%ymm8,%ymm8
  .byte  233,81,254,255,255                  // jmpq          85b3 <_sk_srcover_rgba_8888_avx+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,196,64                 // vblendps      $0x40,%ymm4,%ymm5,%ymm8
  .byte  196,99,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,61,24,196,1                  // vinsertf128   $0x1,%xmm4,%ymm8,%ymm8
  .byte  196,99,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,61,24,196,1                  // vinsertf128   $0x1,%xmm4,%ymm8,%ymm8
  .byte  196,129,121,16,36,152               // vmovupd       (%r8,%r11,4),%xmm4
  .byte  196,67,93,13,192,12                 // vblendpd      $0xc,%ymm8,%ymm4,%ymm8
  .byte  233,252,253,255,255                 // jmpq          85b3 <_sk_srcover_rgba_8888_avx+0x26>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  233,9,255,255,255                   // jmpq          86d3 <_sk_srcover_rgba_8888_avx+0x146>
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,1,122,17,76,152,16              // vmovss        %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,121,17,4,152                  // vmovupd       %xmm8,(%r8,%r11,4)
  .byte  233,213,254,255,255                 // jmpq          86d3 <_sk_srcover_rgba_8888_avx+0x146>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  4,255                               // add           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255,81,255                          // callq         *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  59,255                              // cmp           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,166,255,255,255,146             // jmpq          *-0x6d000001(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  126,255                             // jle           8815 <_sk_srcover_rgba_8888_avx+0x288>
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,23                              // callq         *(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,163,255,255,255,155             // jmpq          *-0x64000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  188,255,255,255,174                 // mov           $0xaeffffff,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_clamp_0_avx
.globl _sk_clamp_0_avx
FUNCTION(_sk_clamp_0_avx)
_sk_clamp_0_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_avx
.globl _sk_clamp_1_avx
FUNCTION(_sk_clamp_1_avx)
_sk_clamp_1_avx:
  .byte  196,98,125,24,5,254,47,2,0          // vbroadcastss  0x22ffe(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_avx
.globl _sk_clamp_a_avx
FUNCTION(_sk_clamp_a_avx)
_sk_clamp_a_avx:
  .byte  196,98,125,24,5,221,47,2,0          // vbroadcastss  0x22fdd(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  197,252,93,195                      // vminps        %ymm3,%ymm0,%ymm0
  .byte  197,244,93,203                      // vminps        %ymm3,%ymm1,%ymm1
  .byte  197,236,93,211                      // vminps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_avx
.globl _sk_clamp_a_dst_avx
FUNCTION(_sk_clamp_a_dst_avx)
_sk_clamp_a_dst_avx:
  .byte  196,98,125,24,5,191,47,2,0          // vbroadcastss  0x22fbf(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,68,93,248                   // vminps        %ymm8,%ymm7,%ymm7
  .byte  197,220,93,231                      // vminps        %ymm7,%ymm4,%ymm4
  .byte  197,212,93,239                      // vminps        %ymm7,%ymm5,%ymm5
  .byte  197,204,93,247                      // vminps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_avx
.globl _sk_set_rgb_avx
FUNCTION(_sk_set_rgb_avx)
_sk_set_rgb_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,0                    // vbroadcastss  (%rax),%ymm0
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_avx
.globl _sk_swap_rb_avx
FUNCTION(_sk_swap_rb_avx)
_sk_swap_rb_avx:
  .byte  197,124,40,192                      // vmovaps       %ymm0,%ymm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,194                      // vmovaps       %ymm2,%ymm0
  .byte  197,124,41,194                      // vmovaps       %ymm8,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_avx
.globl _sk_invert_avx
FUNCTION(_sk_invert_avx)
_sk_invert_avx:
  .byte  196,98,125,24,5,122,47,2,0          // vbroadcastss  0x22f7a(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,188,92,192                      // vsubps        %ymm0,%ymm8,%ymm0
  .byte  197,188,92,201                      // vsubps        %ymm1,%ymm8,%ymm1
  .byte  197,188,92,210                      // vsubps        %ymm2,%ymm8,%ymm2
  .byte  197,188,92,219                      // vsubps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_avx
.globl _sk_move_src_dst_avx
FUNCTION(_sk_move_src_dst_avx)
_sk_move_src_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,224                      // vmovaps       %ymm0,%ymm4
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  197,252,40,242                      // vmovaps       %ymm2,%ymm6
  .byte  197,252,40,251                      // vmovaps       %ymm3,%ymm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_avx
.globl _sk_move_dst_src_avx
FUNCTION(_sk_move_dst_src_avx)
_sk_move_dst_src_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,196                      // vmovaps       %ymm4,%ymm0
  .byte  197,252,40,205                      // vmovaps       %ymm5,%ymm1
  .byte  197,252,40,214                      // vmovaps       %ymm6,%ymm2
  .byte  197,252,40,223                      // vmovaps       %ymm7,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_avx
.globl _sk_premul_avx
FUNCTION(_sk_premul_avx)
_sk_premul_avx:
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_avx
.globl _sk_premul_dst_avx
FUNCTION(_sk_premul_dst_avx)
_sk_premul_dst_avx:
  .byte  197,220,89,231                      // vmulps        %ymm7,%ymm4,%ymm4
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_avx
.globl _sk_unpremul_avx
FUNCTION(_sk_unpremul_avx)
_sk_unpremul_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,65,100,194,200,0                // vcmpeqps      %ymm8,%ymm3,%ymm9
  .byte  196,98,125,24,21,10,47,2,0          // vbroadcastss  0x22f0a(%rip),%ymm10        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,44,94,211                       // vdivps        %ymm3,%ymm10,%ymm10
  .byte  196,67,45,74,192,144                // vblendvps     %ymm9,%ymm8,%ymm10,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_avx
.globl _sk_from_srgb_avx
FUNCTION(_sk_from_srgb_avx)
_sk_from_srgb_avx:
  .byte  196,98,125,24,5,23,47,2,0           // vbroadcastss  0x22f17(%rip),%ymm8        # 2b88c <_sk_overlay_sse2_8bit+0x470>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  197,124,89,208                      // vmulps        %ymm0,%ymm0,%ymm10
  .byte  196,98,125,24,29,245,46,2,0         // vbroadcastss  0x22ef5(%rip),%ymm11        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,124,89,227                   // vmulps        %ymm11,%ymm0,%ymm12
  .byte  196,98,125,24,45,251,46,2,0         // vbroadcastss  0x22efb(%rip),%ymm13        # 2b890 <_sk_overlay_sse2_8bit+0x474>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,44,89,212                    // vmulps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,236,46,2,0         // vbroadcastss  0x22eec(%rip),%ymm12        # 2b894 <_sk_overlay_sse2_8bit+0x478>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,53,226,46,2,0         // vbroadcastss  0x22ee2(%rip),%ymm14        # 2b898 <_sk_overlay_sse2_8bit+0x47c>
  .byte  196,193,124,194,198,1               // vcmpltps      %ymm14,%ymm0,%ymm0
  .byte  196,195,45,74,193,0                 // vblendvps     %ymm0,%ymm9,%ymm10,%ymm0
  .byte  196,65,116,89,200                   // vmulps        %ymm8,%ymm1,%ymm9
  .byte  197,116,89,209                      // vmulps        %ymm1,%ymm1,%ymm10
  .byte  196,65,116,89,251                   // vmulps        %ymm11,%ymm1,%ymm15
  .byte  196,65,4,88,253                     // vaddps        %ymm13,%ymm15,%ymm15
  .byte  196,65,44,89,215                    // vmulps        %ymm15,%ymm10,%ymm10
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,193,116,194,206,1               // vcmpltps      %ymm14,%ymm1,%ymm1
  .byte  196,195,45,74,201,16                // vblendvps     %ymm1,%ymm9,%ymm10,%ymm1
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  197,108,89,202                      // vmulps        %ymm2,%ymm2,%ymm9
  .byte  196,65,108,89,211                   // vmulps        %ymm11,%ymm2,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,52,88,204                    // vaddps        %ymm12,%ymm9,%ymm9
  .byte  196,193,108,194,214,1               // vcmpltps      %ymm14,%ymm2,%ymm2
  .byte  196,195,53,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm9,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_avx
.globl _sk_from_srgb_dst_avx
FUNCTION(_sk_from_srgb_dst_avx)
_sk_from_srgb_dst_avx:
  .byte  196,98,125,24,5,107,46,2,0          // vbroadcastss  0x22e6b(%rip),%ymm8        # 2b88c <_sk_overlay_sse2_8bit+0x470>
  .byte  196,65,92,89,200                    // vmulps        %ymm8,%ymm4,%ymm9
  .byte  197,92,89,212                       // vmulps        %ymm4,%ymm4,%ymm10
  .byte  196,98,125,24,29,73,46,2,0          // vbroadcastss  0x22e49(%rip),%ymm11        # 2b87c <_sk_overlay_sse2_8bit+0x460>
  .byte  196,65,92,89,227                    // vmulps        %ymm11,%ymm4,%ymm12
  .byte  196,98,125,24,45,79,46,2,0          // vbroadcastss  0x22e4f(%rip),%ymm13        # 2b890 <_sk_overlay_sse2_8bit+0x474>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,44,89,212                    // vmulps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,37,64,46,2,0          // vbroadcastss  0x22e40(%rip),%ymm12        # 2b894 <_sk_overlay_sse2_8bit+0x478>
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,98,125,24,53,54,46,2,0          // vbroadcastss  0x22e36(%rip),%ymm14        # 2b898 <_sk_overlay_sse2_8bit+0x47c>
  .byte  196,193,92,194,230,1                // vcmpltps      %ymm14,%ymm4,%ymm4
  .byte  196,195,45,74,225,64                // vblendvps     %ymm4,%ymm9,%ymm10,%ymm4
  .byte  196,65,84,89,200                    // vmulps        %ymm8,%ymm5,%ymm9
  .byte  197,84,89,213                       // vmulps        %ymm5,%ymm5,%ymm10
  .byte  196,65,84,89,251                    // vmulps        %ymm11,%ymm5,%ymm15
  .byte  196,65,4,88,253                     // vaddps        %ymm13,%ymm15,%ymm15
  .byte  196,65,44,89,215                    // vmulps        %ymm15,%ymm10,%ymm10
  .byte  196,65,44,88,212                    // vaddps        %ymm12,%ymm10,%ymm10
  .byte  196,193,84,194,238,1                // vcmpltps      %ymm14,%ymm5,%ymm5
  .byte  196,195,45,74,233,80                // vblendvps     %ymm5,%ymm9,%ymm10,%ymm5
  .byte  196,65,76,89,192                    // vmulps        %ymm8,%ymm6,%ymm8
  .byte  197,76,89,206                       // vmulps        %ymm6,%ymm6,%ymm9
  .byte  196,65,76,89,211                    // vmulps        %ymm11,%ymm6,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,52,88,204                    // vaddps        %ymm12,%ymm9,%ymm9
  .byte  196,193,76,194,246,1                // vcmpltps      %ymm14,%ymm6,%ymm6
  .byte  196,195,53,74,240,96                // vblendvps     %ymm6,%ymm8,%ymm9,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_avx
.globl _sk_to_srgb_avx
FUNCTION(_sk_to_srgb_avx)
_sk_to_srgb_avx:
  .byte  197,124,82,200                      // vrsqrtps      %ymm0,%ymm9
  .byte  196,98,125,24,5,203,45,2,0          // vbroadcastss  0x22dcb(%rip),%ymm8        # 2b89c <_sk_overlay_sse2_8bit+0x480>
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,98,125,24,29,197,45,2,0         // vbroadcastss  0x22dc5(%rip),%ymm11        # 2b8a4 <_sk_overlay_sse2_8bit+0x488>
  .byte  196,65,52,89,227                    // vmulps        %ymm11,%ymm9,%ymm12
  .byte  196,98,125,24,45,179,45,2,0         // vbroadcastss  0x22db3(%rip),%ymm13        # 2b8a0 <_sk_overlay_sse2_8bit+0x484>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,52,89,228                    // vmulps        %ymm12,%ymm9,%ymm12
  .byte  196,98,125,24,53,168,45,2,0         // vbroadcastss  0x22da8(%rip),%ymm14        # 2b8a8 <_sk_overlay_sse2_8bit+0x48c>
  .byte  196,65,28,88,230                    // vaddps        %ymm14,%ymm12,%ymm12
  .byte  196,98,125,24,61,158,45,2,0         // vbroadcastss  0x22d9e(%rip),%ymm15        # 2b8ac <_sk_overlay_sse2_8bit+0x490>
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,52,89,204                    // vmulps        %ymm12,%ymm9,%ymm9
  .byte  196,98,125,24,37,138,45,2,0         // vbroadcastss  0x22d8a(%rip),%ymm12        # 2b8b0 <_sk_overlay_sse2_8bit+0x494>
  .byte  196,193,124,194,196,1               // vcmpltps      %ymm12,%ymm0,%ymm0
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  197,124,82,201                      // vrsqrtps      %ymm1,%ymm9
  .byte  196,65,52,89,211                    // vmulps        %ymm11,%ymm9,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,214                    // vaddps        %ymm14,%ymm10,%ymm10
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,193,116,194,204,1               // vcmpltps      %ymm12,%ymm1,%ymm1
  .byte  196,195,53,74,202,16                // vblendvps     %ymm1,%ymm10,%ymm9,%ymm1
  .byte  197,124,82,202                      // vrsqrtps      %ymm2,%ymm9
  .byte  196,65,52,89,211                    // vmulps        %ymm11,%ymm9,%ymm10
  .byte  196,65,44,88,213                    // vaddps        %ymm13,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,214                    // vaddps        %ymm14,%ymm10,%ymm10
  .byte  196,65,52,88,207                    // vaddps        %ymm15,%ymm9,%ymm9
  .byte  196,65,124,83,201                   // vrcpps        %ymm9,%ymm9
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,193,108,194,212,1               // vcmpltps      %ymm12,%ymm2,%ymm2
  .byte  196,195,53,74,208,32                // vblendvps     %ymm2,%ymm8,%ymm9,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_avx
.globl _sk_rgb_to_hsl_avx
FUNCTION(_sk_rgb_to_hsl_avx)
_sk_rgb_to_hsl_avx:
  .byte  197,116,95,194                      // vmaxps        %ymm2,%ymm1,%ymm8
  .byte  196,65,124,95,192                   // vmaxps        %ymm8,%ymm0,%ymm8
  .byte  197,116,93,202                      // vminps        %ymm2,%ymm1,%ymm9
  .byte  196,65,124,93,201                   // vminps        %ymm9,%ymm0,%ymm9
  .byte  196,65,60,92,209                    // vsubps        %ymm9,%ymm8,%ymm10
  .byte  196,98,125,24,29,150,44,2,0         // vbroadcastss  0x22c96(%rip),%ymm11        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,65,36,94,218                    // vdivps        %ymm10,%ymm11,%ymm11
  .byte  197,116,92,226                      // vsubps        %ymm2,%ymm1,%ymm12
  .byte  196,65,28,89,227                    // vmulps        %ymm11,%ymm12,%ymm12
  .byte  197,116,194,234,1                   // vcmpltps      %ymm2,%ymm1,%ymm13
  .byte  197,60,194,241,0                    // vcmpeqps      %ymm1,%ymm8,%ymm14
  .byte  197,236,92,208                      // vsubps        %ymm0,%ymm2,%ymm2
  .byte  196,193,108,89,211                  // vmulps        %ymm11,%ymm2,%ymm2
  .byte  197,252,92,201                      // vsubps        %ymm1,%ymm0,%ymm1
  .byte  196,193,116,89,203                  // vmulps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,195,44,2,0         // vbroadcastss  0x22cc3(%rip),%ymm11        # 2b8bc <_sk_overlay_sse2_8bit+0x4a0>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,177,44,2,0         // vbroadcastss  0x22cb1(%rip),%ymm11        # 2b8b8 <_sk_overlay_sse2_8bit+0x49c>
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,227,117,74,202,224              // vblendvps     %ymm14,%ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,153,44,2,0        // vbroadcastss  0x22c99(%rip),%ymm2        # 2b8b4 <_sk_overlay_sse2_8bit+0x498>
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,227,13,74,210,208               // vblendvps     %ymm13,%ymm2,%ymm14,%ymm2
  .byte  197,188,194,192,0                   // vcmpeqps      %ymm0,%ymm8,%ymm0
  .byte  196,193,108,88,212                  // vaddps        %ymm12,%ymm2,%ymm2
  .byte  196,227,117,74,194,0                // vblendvps     %ymm0,%ymm2,%ymm1,%ymm0
  .byte  196,193,60,88,201                   // vaddps        %ymm9,%ymm8,%ymm1
  .byte  196,98,125,24,37,20,44,2,0          // vbroadcastss  0x22c14(%rip),%ymm12        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,193,116,89,212                  // vmulps        %ymm12,%ymm1,%ymm2
  .byte  197,28,194,226,1                    // vcmpltps      %ymm2,%ymm12,%ymm12
  .byte  196,65,36,92,216                    // vsubps        %ymm8,%ymm11,%ymm11
  .byte  196,65,36,92,217                    // vsubps        %ymm9,%ymm11,%ymm11
  .byte  196,195,117,74,203,192              // vblendvps     %ymm12,%ymm11,%ymm1,%ymm1
  .byte  196,65,60,194,193,0                 // vcmpeqps      %ymm9,%ymm8,%ymm8
  .byte  197,172,94,201                      // vdivps        %ymm1,%ymm10,%ymm1
  .byte  196,195,125,74,198,128              // vblendvps     %ymm8,%ymm14,%ymm0,%ymm0
  .byte  196,195,117,74,206,128              // vblendvps     %ymm8,%ymm14,%ymm1,%ymm1
  .byte  196,98,125,24,5,67,44,2,0           // vbroadcastss  0x22c43(%rip),%ymm8        # 2b8c0 <_sk_overlay_sse2_8bit+0x4a4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_avx
.globl _sk_hsl_to_rgb_avx
FUNCTION(_sk_hsl_to_rgb_avx)
_sk_hsl_to_rgb_avx:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  197,252,17,60,36                    // vmovups       %ymm7,(%rsp)
  .byte  197,252,17,116,36,224               // vmovups       %ymm6,-0x20(%rsp)
  .byte  197,252,17,108,36,192               // vmovups       %ymm5,-0x40(%rsp)
  .byte  197,252,17,100,36,160               // vmovups       %ymm4,-0x60(%rsp)
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,40,225                      // vmovaps       %ymm1,%ymm4
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  196,98,125,24,5,160,43,2,0          // vbroadcastss  0x22ba0(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,60,194,202,2                    // vcmpleps      %ymm2,%ymm8,%ymm9
  .byte  197,92,89,210                       // vmulps        %ymm2,%ymm4,%ymm10
  .byte  196,65,92,92,218                    // vsubps        %ymm10,%ymm4,%ymm11
  .byte  196,67,45,74,203,144                // vblendvps     %ymm9,%ymm11,%ymm10,%ymm9
  .byte  197,52,88,210                       // vaddps        %ymm2,%ymm9,%ymm10
  .byte  197,108,88,202                      // vaddps        %ymm2,%ymm2,%ymm9
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,29,226,43,2,0         // vbroadcastss  0x22be2(%rip),%ymm11        # 2b8c4 <_sk_overlay_sse2_8bit+0x4a8>
  .byte  196,65,100,88,219                   // vaddps        %ymm11,%ymm3,%ymm11
  .byte  196,67,125,8,227,1                  // vroundps      $0x1,%ymm11,%ymm12
  .byte  196,65,36,92,252                    // vsubps        %ymm12,%ymm11,%ymm15
  .byte  196,65,44,92,217                    // vsubps        %ymm9,%ymm10,%ymm11
  .byte  196,98,125,24,37,180,43,2,0         // vbroadcastss  0x22bb4(%rip),%ymm12        # 2b8b4 <_sk_overlay_sse2_8bit+0x498>
  .byte  196,193,4,89,196                    // vmulps        %ymm12,%ymm15,%ymm0
  .byte  196,98,125,24,45,174,43,2,0         // vbroadcastss  0x22bae(%rip),%ymm13        # 2b8bc <_sk_overlay_sse2_8bit+0x4a0>
  .byte  197,20,92,240                       // vsubps        %ymm0,%ymm13,%ymm14
  .byte  196,65,36,89,246                    // vmulps        %ymm14,%ymm11,%ymm14
  .byte  196,65,52,88,246                    // vaddps        %ymm14,%ymm9,%ymm14
  .byte  196,226,125,24,13,163,43,2,0        // vbroadcastss  0x22ba3(%rip),%ymm1        # 2b8c8 <_sk_overlay_sse2_8bit+0x4ac>
  .byte  196,193,116,194,255,2               // vcmpleps      %ymm15,%ymm1,%ymm7
  .byte  196,195,13,74,249,112               // vblendvps     %ymm7,%ymm9,%ymm14,%ymm7
  .byte  196,65,60,194,247,2                 // vcmpleps      %ymm15,%ymm8,%ymm14
  .byte  196,227,45,74,255,224               // vblendvps     %ymm14,%ymm7,%ymm10,%ymm7
  .byte  196,98,125,24,53,122,43,2,0         // vbroadcastss  0x22b7a(%rip),%ymm14        # 2b8c0 <_sk_overlay_sse2_8bit+0x4a4>
  .byte  196,65,12,194,255,2                 // vcmpleps      %ymm15,%ymm14,%ymm15
  .byte  196,193,124,89,195                  // vmulps        %ymm11,%ymm0,%ymm0
  .byte  197,180,88,192                      // vaddps        %ymm0,%ymm9,%ymm0
  .byte  196,99,125,74,255,240               // vblendvps     %ymm15,%ymm7,%ymm0,%ymm15
  .byte  196,227,125,8,195,1                 // vroundps      $0x1,%ymm3,%ymm0
  .byte  197,228,92,192                      // vsubps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,89,252                  // vmulps        %ymm12,%ymm0,%ymm7
  .byte  197,148,92,247                      // vsubps        %ymm7,%ymm13,%ymm6
  .byte  197,164,89,246                      // vmulps        %ymm6,%ymm11,%ymm6
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  197,244,194,232,2                   // vcmpleps      %ymm0,%ymm1,%ymm5
  .byte  196,195,77,74,233,80                // vblendvps     %ymm5,%ymm9,%ymm6,%ymm5
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,237,96                // vblendvps     %ymm6,%ymm5,%ymm10,%ymm5
  .byte  197,140,194,192,2                   // vcmpleps      %ymm0,%ymm14,%ymm0
  .byte  197,164,89,247                      // vmulps        %ymm7,%ymm11,%ymm6
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  196,227,77,74,237,0                 // vblendvps     %ymm0,%ymm5,%ymm6,%ymm5
  .byte  196,226,125,24,5,36,43,2,0          // vbroadcastss  0x22b24(%rip),%ymm0        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  197,228,88,192                      // vaddps        %ymm0,%ymm3,%ymm0
  .byte  196,227,125,8,216,1                 // vroundps      $0x1,%ymm0,%ymm3
  .byte  197,252,92,195                      // vsubps        %ymm3,%ymm0,%ymm0
  .byte  197,244,194,200,2                   // vcmpleps      %ymm0,%ymm1,%ymm1
  .byte  196,193,124,89,220                  // vmulps        %ymm12,%ymm0,%ymm3
  .byte  197,148,92,243                      // vsubps        %ymm3,%ymm13,%ymm6
  .byte  197,164,89,246                      // vmulps        %ymm6,%ymm11,%ymm6
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  196,195,77,74,201,16                // vblendvps     %ymm1,%ymm9,%ymm6,%ymm1
  .byte  197,188,194,240,2                   // vcmpleps      %ymm0,%ymm8,%ymm6
  .byte  196,227,45,74,201,96                // vblendvps     %ymm6,%ymm1,%ymm10,%ymm1
  .byte  197,140,194,192,2                   // vcmpleps      %ymm0,%ymm14,%ymm0
  .byte  197,164,89,219                      // vmulps        %ymm3,%ymm11,%ymm3
  .byte  197,180,88,219                      // vaddps        %ymm3,%ymm9,%ymm3
  .byte  196,227,101,74,217,0                // vblendvps     %ymm0,%ymm1,%ymm3,%ymm3
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,220,194,224,0                   // vcmpeqps      %ymm0,%ymm4,%ymm4
  .byte  196,227,5,74,194,64                 // vblendvps     %ymm4,%ymm2,%ymm15,%ymm0
  .byte  196,227,85,74,202,64                // vblendvps     %ymm4,%ymm2,%ymm5,%ymm1
  .byte  196,227,101,74,210,64               // vblendvps     %ymm4,%ymm2,%ymm3,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,252,16,100,36,160               // vmovups       -0x60(%rsp),%ymm4
  .byte  197,252,16,108,36,192               // vmovups       -0x40(%rsp),%ymm5
  .byte  197,252,16,116,36,224               // vmovups       -0x20(%rsp),%ymm6
  .byte  197,252,16,60,36                    // vmovups       (%rsp),%ymm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_avx
.globl _sk_scale_1_float_avx
FUNCTION(_sk_scale_1_float_avx)
_sk_scale_1_float_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_avx
.globl _sk_scale_u8_avx
FUNCTION(_sk_scale_u8_avx)
_sk_scale_u8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,74                              // jne           8ead <_sk_scale_u8_avx+0x62>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,223,51,2,0             // vpand         0x233df(%rip),%xmm8,%xmm8        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,60,42,2,0          // vbroadcastss  0x22a3c(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,167                             // ja            8e69 <_sk_scale_u8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,123,0,0,0                 // lea           0x7b(%rip),%r10        # 8f48 <_sk_scale_u8_avx+0xfd>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  235,136                             // jmp           8e69 <_sk_scale_u8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,95,255,255,255                  // jmpq          8e69 <_sk_scale_u8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,35,255,255,255                  // jmpq          8e69 <_sk_scale_u8_avx+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  142,255                             // mov           %edi,%?
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,153             // ljmp          *-0x66000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  232,255,255,255,221                 // callq         ffffffffde008f58 <_sk_overlay_sse2_8bit+0xffffffffddfddb3c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_565_avx
.globl _sk_scale_565_avx
FUNCTION(_sk_scale_565_avx)
_sk_scale_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,177,0,0,0                    // jne           9034 <_sk_scale_565_avx+0xd0>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,45,41,2,0          // vbroadcastss  0x2292d(%rip),%ymm9        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  196,65,60,84,201                    // vandps        %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,30,41,2,0          // vbroadcastss  0x2291e(%rip),%ymm10        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,20,41,2,0          // vbroadcastss  0x22914(%rip),%ymm10        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  196,65,60,84,210                    // vandps        %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,5,41,2,0           // vbroadcastss  0x22905(%rip),%ymm11        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,29,251,40,2,0         // vbroadcastss  0x228fb(%rip),%ymm11        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  196,65,60,84,195                    // vandps        %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,236,40,2,0         // vbroadcastss  0x228ec(%rip),%ymm11        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,164,89,219                      // vmulps        %ymm3,%ymm11,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,60,255,255,255               // ja            8f89 <_sk_scale_565_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 90bc <_sk_scale_565_avx+0x158>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,26,255,255,255                  // jmpq          8f89 <_sk_scale_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,252,254,255,255                 // jmpq          8f89 <_sk_scale_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,206,254,255,255                 // jmpq          8f89 <_sk_scale_565_avx+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_avx
.globl _sk_lerp_1_float_avx
FUNCTION(_sk_lerp_1_float_avx)
_sk_lerp_1_float_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_avx
.globl _sk_lerp_u8_avx
FUNCTION(_sk_lerp_u8_avx)
_sk_lerp_u8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,110                             // jne           919d <_sk_lerp_u8_avx+0x86>
  .byte  196,2,121,48,4,24                   // vpmovzxbw     (%r8,%r11,1),%xmm8
  .byte  197,57,219,5,19,49,2,0              // vpand         0x23113(%rip),%xmm8,%xmm8        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,13,112,39,2,0         // vbroadcastss  0x22770(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,131                             // ja            9135 <_sk_lerp_u8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,127,0,0,0                 // lea           0x7f(%rip),%r10        # 923c <_sk_lerp_u8_avx+0x125>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,97,255,255,255                  // jmpq          9135 <_sk_lerp_u8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,2                    // vpinsrw       $0x2,%eax,%xmm8,%xmm8
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,121,110,200                     // vmovd         %eax,%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,56,255,255,255                  // jmpq          9135 <_sk_lerp_u8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  197,57,196,192,6                    // vpinsrw       $0x6,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,57,196,192,5                    // vpinsrw       $0x5,%eax,%xmm8,%xmm8
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,57,196,192,4                    // vpinsrw       $0x4,%eax,%xmm8,%xmm8
  .byte  196,1,121,110,12,24                 // vmovd         (%r8,%r11,1),%xmm9
  .byte  196,66,121,48,201                   // vpmovzxbw     %xmm9,%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,252,254,255,255                 // jmpq          9135 <_sk_lerp_u8_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  138,255                             // mov           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,152             // ljmp          *-0x67000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_565_avx
.globl _sk_lerp_565_avx
FUNCTION(_sk_lerp_565_avx)
_sk_lerp_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,213,0,0,0                    // jne           934c <_sk_lerp_565_avx+0xf4>
  .byte  196,1,122,111,4,88                  // vmovdqu       (%r8,%r11,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,65,57,105,201                   // vpunpckhwd    %xmm9,%xmm8,%xmm9
  .byte  196,66,121,51,192                   // vpmovzxwd     %xmm8,%xmm8
  .byte  196,67,61,24,193,1                  // vinsertf128   $0x1,%xmm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,57,38,2,0          // vbroadcastss  0x22639(%rip),%ymm9        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  196,65,60,84,201                    // vandps        %ymm9,%ymm8,%ymm9
  .byte  196,65,124,91,201                   // vcvtdq2ps     %ymm9,%ymm9
  .byte  196,98,125,24,21,42,38,2,0          // vbroadcastss  0x2262a(%rip),%ymm10        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,32,38,2,0          // vbroadcastss  0x22620(%rip),%ymm10        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  196,65,60,84,210                    // vandps        %ymm10,%ymm8,%ymm10
  .byte  196,65,124,91,210                   // vcvtdq2ps     %ymm10,%ymm10
  .byte  196,98,125,24,29,17,38,2,0          // vbroadcastss  0x22611(%rip),%ymm11        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,29,7,38,2,0           // vbroadcastss  0x22607(%rip),%ymm11        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  196,65,60,84,195                    // vandps        %ymm11,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  196,98,125,24,29,248,37,2,0         // vbroadcastss  0x225f8(%rip),%ymm11        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  197,100,194,223,1                   // vcmpltps      %ymm7,%ymm3,%ymm11
  .byte  196,65,44,93,224                    // vminps        %ymm8,%ymm10,%ymm12
  .byte  196,65,52,93,228                    // vminps        %ymm12,%ymm9,%ymm12
  .byte  196,65,44,95,232                    // vmaxps        %ymm8,%ymm10,%ymm13
  .byte  196,65,52,95,237                    // vmaxps        %ymm13,%ymm9,%ymm13
  .byte  196,67,21,74,220,176                // vblendvps     %ymm11,%ymm12,%ymm13,%ymm11
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  197,252,88,196                      // vaddps        %ymm4,%ymm0,%ymm0
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  197,244,88,205                      // vaddps        %ymm5,%ymm1,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,236,88,214                      // vaddps        %ymm6,%ymm2,%ymm2
  .byte  197,228,92,223                      // vsubps        %ymm7,%ymm3,%ymm3
  .byte  196,193,100,89,219                  // vmulps        %ymm11,%ymm3,%ymm3
  .byte  197,228,88,223                      // vaddps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,24,255,255,255               // ja            927d <_sk_lerp_565_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,100,0,0,0                 // lea           0x64(%rip),%r10        # 93d4 <_sk_lerp_565_avx+0x17c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  233,246,254,255,255                 // jmpq          927d <_sk_lerp_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,4,2              // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,121,110,12,88                 // vmovd         (%r8,%r11,2),%xmm9
  .byte  196,67,57,14,193,3                  // vpblendw      $0x3,%xmm9,%xmm8,%xmm8
  .byte  233,216,254,255,255                 // jmpq          927d <_sk_lerp_565_avx+0x25>
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  196,1,57,196,68,88,12,6             // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,10,5             // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,57,196,68,88,8,4              // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm8,%xmm8
  .byte  196,1,122,126,12,88                 // vmovq         (%r8,%r11,2),%xmm9
  .byte  196,67,49,14,192,240                // vpblendw      $0xf0,%xmm8,%xmm9,%xmm8
  .byte  233,170,254,255,255                 // jmpq          927d <_sk_lerp_565_avx+0x25>
  .byte  144                                 // nop
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,238             // pushq         -0x11000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_avx
.globl _sk_load_tables_avx
FUNCTION(_sk_load_tables_avx)
_sk_load_tables_avx:
  .byte  197,252,17,124,36,200               // vmovups       %ymm7,-0x38(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,4,2,0,0                      // jne           9608 <_sk_load_tables_avx+0x218>
  .byte  196,65,125,16,20,144                // vmovupd       (%r8,%rdx,4),%ymm10
  .byte  197,125,40,13,110,41,2,0            // vmovapd       0x2296e(%rip),%ymm9        # 2bd80 <_sk_overlay_sse2_8bit+0x964>
  .byte  196,193,45,84,201                   // vandpd        %ymm9,%ymm10,%ymm1
  .byte  196,227,125,25,200,1                // vextractf128  $0x1,%ymm1,%xmm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,80,8                         // mov           0x8(%rax),%r10
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,33,4,130,16             // vinsertps     $0x10,(%r10,%r8,4),%xmm2,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,131,121,33,4,130,32             // vinsertps     $0x20,(%r10,%r8,4),%xmm0,%xmm0
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,121,33,4,138,48               // vinsertps     $0x30,(%r10,%r9,4),%xmm0,%xmm8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,201,1                // vpextrq       $0x1,%xmm1,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,33,12,130,16            // vinsertps     $0x10,(%r10,%r8,4),%xmm2,%xmm1
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,113,33,12,130,32            // vinsertps     $0x20,(%r10,%r8,4),%xmm1,%xmm1
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,3,113,33,36,138,48              // vinsertps     $0x30,(%r10,%r9,4),%xmm1,%xmm12
  .byte  196,193,105,114,210,8               // vpsrld        $0x8,%xmm10,%xmm2
  .byte  196,67,125,25,213,1                 // vextractf128  $0x1,%ymm10,%xmm13
  .byte  196,193,121,114,213,8               // vpsrld        $0x8,%xmm13,%xmm0
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,125,84,209                  // vandpd        %ymm9,%ymm0,%ymm2
  .byte  196,227,125,25,208,1                // vextractf128  $0x1,%ymm2,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,113,33,52,136,16              // vinsertps     $0x10,(%r8,%r9,4),%xmm1,%xmm14
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,129,122,16,28,136               // vmovss        (%r8,%r9,4),%xmm3
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,129,122,16,4,144                // vmovss        (%r8,%r10,4),%xmm0
  .byte  196,195,249,22,210,1                // vpextrq       $0x1,%xmm2,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,121,33,28,136,16              // vinsertps     $0x10,(%r8,%r9,4),%xmm0,%xmm11
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,1,122,16,60,136                 // vmovss        (%r8,%r9,4),%xmm15
  .byte  196,195,29,24,192,1                 // vinsertf128   $0x1,%xmm8,%ymm12,%ymm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,9,33,219,32                 // vinsertps     $0x20,%xmm3,%xmm14,%xmm3
  .byte  196,227,97,33,249,48                // vinsertps     $0x30,%xmm1,%xmm3,%xmm7
  .byte  196,1,122,16,52,144                 // vmovss        (%r8,%r10,4),%xmm14
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,97,114,210,16               // vpsrld        $0x10,%xmm10,%xmm3
  .byte  196,193,105,114,213,16              // vpsrld        $0x10,%xmm13,%xmm2
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  196,65,109,84,201                   // vandpd        %ymm9,%ymm2,%ymm9
  .byte  196,99,125,25,202,1                 // vextractf128  $0x1,%ymm9,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,28,129               // vmovss        (%r9,%rax,4),%xmm3
  .byte  196,195,249,22,210,1                // vpextrq       $0x1,%xmm2,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,97,33,36,129,16               // vinsertps     $0x10,(%r9,%r8,4),%xmm3,%xmm12
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,193,122,16,28,129               // vmovss        (%r9,%rax,4),%xmm3
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,129,122,16,20,145               // vmovss        (%r9,%r10,4),%xmm2
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,12,129               // vmovss        (%r9,%rax,4),%xmm1
  .byte  196,67,249,22,202,1                 // vpextrq       $0x1,%xmm9,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,113,33,12,129,16              // vinsertps     $0x10,(%r9,%r8,4),%xmm1,%xmm9
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,65,122,16,4,129                 // vmovss        (%r9,%rax,4),%xmm8
  .byte  196,195,33,33,207,32                // vinsertps     $0x20,%xmm15,%xmm11,%xmm1
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,1,122,16,28,145                 // vmovss        (%r9,%r10,4),%xmm11
  .byte  196,195,113,33,206,48               // vinsertps     $0x30,%xmm14,%xmm1,%xmm1
  .byte  196,227,117,24,207,1                // vinsertf128   $0x1,%xmm7,%ymm1,%ymm1
  .byte  196,227,25,33,219,32                // vinsertps     $0x20,%xmm3,%xmm12,%xmm3
  .byte  196,227,97,33,210,48                // vinsertps     $0x30,%xmm2,%xmm3,%xmm2
  .byte  196,195,49,33,216,32                // vinsertps     $0x20,%xmm8,%xmm9,%xmm3
  .byte  196,195,97,33,219,48                // vinsertps     $0x30,%xmm11,%xmm3,%xmm3
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  196,193,97,114,210,24               // vpsrld        $0x18,%xmm10,%xmm3
  .byte  196,193,65,114,213,24               // vpsrld        $0x18,%xmm13,%xmm7
  .byte  196,227,101,24,223,1                // vinsertf128   $0x1,%xmm7,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,226,125,24,61,214,34,2,0        // vbroadcastss  0x222d6(%rip),%ymm7        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,124,36,200               // vmovups       -0x38(%rsp),%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,44,87,210                    // vxorps        %ymm10,%ymm10,%ymm10
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,233,253,255,255              // ja            940a <_sk_load_tables_avx+0x1a>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,148,0,0,0                 // lea           0x94(%rip),%r10        # 96c0 <_sk_load_tables_avx+0x2d0>
  .byte  79,99,12,138                        // movslq        (%r10,%r9,4),%r9
  .byte  77,1,209                            // add           %r10,%r9
  .byte  65,255,225                          // jmpq          *%r9
  .byte  196,65,122,16,20,144                // vmovss        (%r8,%rdx,4),%xmm10
  .byte  233,201,253,255,255                 // jmpq          940a <_sk_load_tables_avx+0x1a>
  .byte  196,193,121,110,68,144,8            // vmovd         0x8(%r8,%rdx,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,208,4                 // vblendps      $0x4,%ymm0,%ymm1,%ymm10
  .byte  196,193,123,16,4,144                // vmovsd        (%r8,%rdx,4),%xmm0
  .byte  196,99,45,13,208,1                  // vblendpd      $0x1,%ymm0,%ymm10,%ymm10
  .byte  233,162,253,255,255                 // jmpq          940a <_sk_load_tables_avx+0x1a>
  .byte  196,193,121,110,68,144,24           // vmovd         0x18(%r8,%rdx,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,208,64                // vblendps      $0x40,%ymm0,%ymm1,%ymm10
  .byte  196,99,125,25,208,1                 // vextractf128  $0x1,%ymm10,%xmm0
  .byte  196,195,121,34,68,144,20,1          // vpinsrd       $0x1,0x14(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,99,45,24,208,1                  // vinsertf128   $0x1,%xmm0,%ymm10,%ymm10
  .byte  196,99,125,25,208,1                 // vextractf128  $0x1,%ymm10,%xmm0
  .byte  196,195,121,34,68,144,16,0          // vpinsrd       $0x0,0x10(%r8,%rdx,4),%xmm0,%xmm0
  .byte  196,99,45,24,208,1                  // vinsertf128   $0x1,%xmm0,%ymm10,%ymm10
  .byte  196,193,121,16,4,144                // vmovupd       (%r8,%rdx,4),%xmm0
  .byte  196,67,125,13,210,12                // vblendpd      $0xc,%ymm10,%ymm0,%ymm10
  .byte  233,77,253,255,255                  // jmpq          940a <_sk_load_tables_avx+0x1a>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  118,255                             // jbe           96c1 <_sk_load_tables_avx+0x2d1>
  .byte  255                                 // (bad)
  .byte  255,151,255,255,255,129             // callq         *-0x7e000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  216,255                             // fdivr         %st(7),%st
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  168,255                             // test          $0xff,%al
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_tables_u16_be_avx
.globl _sk_load_tables_u16_be_avx
FUNCTION(_sk_load_tables_u16_be_avx)
_sk_load_tables_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,124,36,200               // vmovups       %ymm7,-0x38(%rsp)
  .byte  15,133,84,2,0,0                     // jne           994c <_sk_load_tables_u16_be_avx+0x270>
  .byte  196,1,121,16,4,72                   // vmovupd       (%r8,%r9,2),%xmm8
  .byte  196,129,121,16,84,72,16             // vmovupd       0x10(%r8,%r9,2),%xmm2
  .byte  196,129,121,16,92,72,32             // vmovupd       0x20(%r8,%r9,2),%xmm3
  .byte  196,1,122,111,76,72,48              // vmovdqu       0x30(%r8,%r9,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm9
  .byte  197,121,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm8
  .byte  197,241,97,195                      // vpunpcklwd    %xmm3,%xmm1,%xmm0
  .byte  197,113,105,219                     // vpunpckhwd    %xmm3,%xmm1,%xmm11
  .byte  197,177,108,200                     // vpunpcklqdq   %xmm0,%xmm9,%xmm1
  .byte  197,49,109,224                      // vpunpckhqdq   %xmm0,%xmm9,%xmm12
  .byte  197,121,111,21,11,43,2,0            // vmovdqa       0x22b0b(%rip),%xmm10        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,193,113,219,202                 // vpand         %xmm10,%xmm1,%xmm1
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  196,193,113,105,209                 // vpunpckhwd    %xmm9,%xmm1,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,80,8                         // mov           0x8(%rax),%r10
  .byte  196,129,122,16,28,138               // vmovss        (%r10,%r9,4),%xmm3
  .byte  196,195,249,22,209,1                // vpextrq       $0x1,%xmm2,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,97,33,44,130,16               // vinsertps     $0x10,(%r10,%r8,4),%xmm3,%xmm13
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,129,122,16,28,130               // vmovss        (%r10,%r8,4),%xmm3
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  196,129,122,16,4,138                // vmovss        (%r10,%r9,4),%xmm0
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,201,1                // vpextrq       $0x1,%xmm1,%r9
  .byte  196,131,105,33,12,2,16              // vinsertps     $0x10,(%r10,%r8,1),%xmm2,%xmm1
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,129,122,16,20,130               // vmovss        (%r10,%r8,4),%xmm2
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,227,17,33,219,32                // vinsertps     $0x20,%xmm3,%xmm13,%xmm3
  .byte  196,99,97,33,232,48                 // vinsertps     $0x30,%xmm0,%xmm3,%xmm13
  .byte  196,99,113,33,242,32                // vinsertps     $0x20,%xmm2,%xmm1,%xmm14
  .byte  196,1,122,16,60,10                  // vmovss        (%r10,%r9,1),%xmm15
  .byte  196,193,25,219,210                  // vpand         %xmm10,%xmm12,%xmm2
  .byte  196,193,105,105,193                 // vpunpckhwd    %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,113,33,36,136,16              // vinsertps     $0x10,(%r8,%r9,4),%xmm1,%xmm12
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,226,121,51,194                  // vpmovzxwd     %xmm2,%xmm0
  .byte  196,129,122,16,20,136               // vmovss        (%r8,%r9,4),%xmm2
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,129,122,16,28,144               // vmovss        (%r8,%r10,4),%xmm3
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,129,122,16,12,144               // vmovss        (%r8,%r10,4),%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  196,131,113,33,12,8,16              // vinsertps     $0x10,(%r8,%r9,1),%xmm1,%xmm1
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,129,122,16,60,136               // vmovss        (%r8,%r9,4),%xmm7
  .byte  196,195,9,33,199,48                 // vinsertps     $0x30,%xmm15,%xmm14,%xmm0
  .byte  196,65,57,108,243                   // vpunpcklqdq   %xmm11,%xmm8,%xmm14
  .byte  196,195,125,24,197,1                // vinsertf128   $0x1,%xmm13,%ymm0,%ymm0
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,227,25,33,210,32                // vinsertps     $0x20,%xmm2,%xmm12,%xmm2
  .byte  196,227,105,33,219,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm3
  .byte  196,99,113,33,239,32                // vinsertps     $0x20,%xmm7,%xmm1,%xmm13
  .byte  196,1,122,16,60,16                  // vmovss        (%r8,%r10,1),%xmm15
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,9,219,250                   // vpand         %xmm10,%xmm14,%xmm7
  .byte  196,193,65,105,209                  // vpunpckhwd    %xmm9,%xmm7,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,12,129               // vmovss        (%r9,%rax,4),%xmm1
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,113,33,20,129,16              // vinsertps     $0x10,(%r9,%r8,4),%xmm1,%xmm10
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,226,121,51,207                  // vpmovzxwd     %xmm7,%xmm1
  .byte  196,1,122,16,52,129                 // vmovss        (%r9,%r8,4),%xmm14
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  196,65,122,16,36,129                // vmovss        (%r9,%rax,4),%xmm12
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,193,122,16,20,129               // vmovss        (%r9,%rax,4),%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  196,131,105,33,20,1,16              // vinsertps     $0x10,(%r9,%r8,1),%xmm2,%xmm2
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,193,122,16,60,129               // vmovss        (%r9,%rax,4),%xmm7
  .byte  196,195,17,33,207,48                // vinsertps     $0x30,%xmm15,%xmm13,%xmm1
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,1,122,16,44,17                  // vmovss        (%r9,%r10,1),%xmm13
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  196,195,41,33,222,32                // vinsertps     $0x20,%xmm14,%xmm10,%xmm3
  .byte  196,195,97,33,220,48                // vinsertps     $0x30,%xmm12,%xmm3,%xmm3
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,195,105,33,213,48               // vinsertps     $0x30,%xmm13,%xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,193,57,109,219                  // vpunpckhqdq   %xmm11,%xmm8,%xmm3
  .byte  197,193,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm7
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,193,235,219                     // vpor          %xmm3,%xmm7,%xmm3
  .byte  196,193,97,105,249                  // vpunpckhwd    %xmm9,%xmm3,%xmm7
  .byte  196,226,121,51,219                  // vpmovzxwd     %xmm3,%xmm3
  .byte  196,227,101,24,223,1                // vinsertf128   $0x1,%xmm7,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,226,125,24,61,174,31,2,0        // vbroadcastss  0x21fae(%rip),%ymm7        # 2b8ec <_sk_overlay_sse2_8bit+0x4d0>
  .byte  197,228,89,223                      // vmulps        %ymm7,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,124,36,200               // vmovups       -0x38(%rsp),%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,123,16,4,72                   // vmovsd        (%r8,%r9,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            99b2 <_sk_load_tables_u16_be_avx+0x2d6>
  .byte  196,1,57,22,68,72,8                 // vmovhpd       0x8(%r8,%r9,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            99b2 <_sk_load_tables_u16_be_avx+0x2d6>
  .byte  196,129,123,16,84,72,16             // vmovsd        0x10(%r8,%r9,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            99bf <_sk_load_tables_u16_be_avx+0x2e3>
  .byte  196,129,105,22,84,72,24             // vmovhpd       0x18(%r8,%r9,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            99bf <_sk_load_tables_u16_be_avx+0x2e3>
  .byte  196,129,123,16,92,72,32             // vmovsd        0x20(%r8,%r9,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,126,253,255,255              // je            9713 <_sk_load_tables_u16_be_avx+0x37>
  .byte  196,129,97,22,92,72,40              // vmovhpd       0x28(%r8,%r9,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,109,253,255,255              // jb            9713 <_sk_load_tables_u16_be_avx+0x37>
  .byte  196,1,122,126,76,72,48              // vmovq         0x30(%r8,%r9,2),%xmm9
  .byte  233,97,253,255,255                  // jmpq          9713 <_sk_load_tables_u16_be_avx+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,84,253,255,255                  // jmpq          9713 <_sk_load_tables_u16_be_avx+0x37>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,75,253,255,255                  // jmpq          9713 <_sk_load_tables_u16_be_avx+0x37>

HIDDEN _sk_load_tables_rgb_u16_be_avx
.globl _sk_load_tables_rgb_u16_be_avx
FUNCTION(_sk_load_tables_rgb_u16_be_avx)
_sk_load_tables_rgb_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,124,36,200               // vmovups       %ymm7,-0x38(%rsp)
  .byte  197,252,17,116,36,168               // vmovups       %ymm6,-0x58(%rsp)
  .byte  15,133,72,2,0,0                     // jne           9c2e <_sk_load_tables_rgb_u16_be_avx+0x266>
  .byte  196,1,122,111,28,72                 // vmovdqu       (%r8,%r9,2),%xmm11
  .byte  196,129,122,111,92,72,12            // vmovdqu       0xc(%r8,%r9,2),%xmm3
  .byte  196,129,122,111,84,72,24            // vmovdqu       0x18(%r8,%r9,2),%xmm2
  .byte  196,129,122,111,68,72,32            // vmovdqu       0x20(%r8,%r9,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,225,105,201                     // vpunpckhwd    %xmm1,%xmm3,%xmm1
  .byte  197,249,97,218                      // vpunpcklwd    %xmm2,%xmm0,%xmm3
  .byte  197,249,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm0
  .byte  197,185,108,211                     // vpunpcklqdq   %xmm3,%xmm8,%xmm2
  .byte  197,57,109,219                      // vpunpckhqdq   %xmm3,%xmm8,%xmm11
  .byte  197,113,108,192                     // vpunpcklqdq   %xmm0,%xmm1,%xmm8
  .byte  197,121,111,13,255,39,2,0           // vmovdqa       0x227ff(%rip),%xmm9        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  196,193,105,219,193                 // vpand         %xmm9,%xmm2,%xmm0
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,193,121,105,202                 // vpunpckhwd    %xmm10,%xmm0,%xmm1
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,80,8                         // mov           0x8(%rax),%r10
  .byte  196,129,122,16,20,138               // vmovss        (%r10,%r9,4),%xmm2
  .byte  196,195,249,22,201,1                // vpextrq       $0x1,%xmm1,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,105,33,36,130,16              // vinsertps     $0x10,(%r10,%r8,4),%xmm2,%xmm12
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,129,122,16,20,130               // vmovss        (%r10,%r8,4),%xmm2
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  196,129,122,16,12,138               // vmovss        (%r10,%r9,4),%xmm1
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,129,122,16,28,138               // vmovss        (%r10,%r9,4),%xmm3
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  196,131,97,33,28,2,16               // vinsertps     $0x10,(%r10,%r8,1),%xmm3,%xmm3
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,129,122,16,4,130                // vmovss        (%r10,%r8,4),%xmm0
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,227,25,33,210,32                // vinsertps     $0x20,%xmm2,%xmm12,%xmm2
  .byte  196,227,105,33,201,48               // vinsertps     $0x30,%xmm1,%xmm2,%xmm1
  .byte  196,129,122,16,20,10                // vmovss        (%r10,%r9,1),%xmm2
  .byte  196,65,33,219,225                   // vpand         %xmm9,%xmm11,%xmm12
  .byte  196,65,25,105,218                   // vpunpckhwd    %xmm10,%xmm12,%xmm11
  .byte  196,65,249,126,217                  // vmovq         %xmm11,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,1,122,16,44,144                 // vmovss        (%r8,%r10,4),%xmm13
  .byte  196,67,249,22,218,1                 // vpextrq       $0x1,%xmm11,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,3,17,33,28,136,16               // vinsertps     $0x10,(%r8,%r9,4),%xmm13,%xmm11
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,66,121,51,244                   // vpmovzxwd     %xmm12,%xmm14
  .byte  196,1,122,16,44,136                 // vmovss        (%r8,%r9,4),%xmm13
  .byte  196,65,249,126,241                  // vmovq         %xmm14,%r9
  .byte  196,1,122,16,36,144                 // vmovss        (%r8,%r10,4),%xmm12
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  196,1,122,16,60,144                 // vmovss        (%r8,%r10,4),%xmm15
  .byte  196,67,249,22,242,1                 // vpextrq       $0x1,%xmm14,%r10
  .byte  196,3,1,33,52,8,16                  // vinsertps     $0x10,(%r8,%r9,1),%xmm15,%xmm14
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  196,1,122,16,60,136                 // vmovss        (%r8,%r9,4),%xmm15
  .byte  196,227,97,33,192,32                // vinsertps     $0x20,%xmm0,%xmm3,%xmm0
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,129,122,16,52,16                // vmovss        (%r8,%r10,1),%xmm6
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,65,57,219,193                   // vpand         %xmm9,%xmm8,%xmm8
  .byte  196,193,57,105,210                  // vpunpckhwd    %xmm10,%xmm8,%xmm2
  .byte  196,193,249,126,208                 // vmovq         %xmm2,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,193,122,16,12,129               // vmovss        (%r9,%rax,4),%xmm1
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,113,33,12,129,16              // vinsertps     $0x10,(%r9,%r8,4),%xmm1,%xmm9
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,194,121,51,200                  // vpmovzxwd     %xmm8,%xmm1
  .byte  196,1,122,16,4,129                  // vmovss        (%r9,%r8,4),%xmm8
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  196,65,122,16,20,129                // vmovss        (%r9,%rax,4),%xmm10
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  196,193,122,16,20,129               // vmovss        (%r9,%rax,4),%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  196,131,105,33,20,1,16              // vinsertps     $0x10,(%r9,%r8,1),%xmm2,%xmm2
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  196,193,122,16,60,129               // vmovss        (%r9,%rax,4),%xmm7
  .byte  196,195,33,33,205,32                // vinsertps     $0x20,%xmm13,%xmm11,%xmm1
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  196,1,122,16,28,17                  // vmovss        (%r9,%r10,1),%xmm11
  .byte  196,195,113,33,204,48               // vinsertps     $0x30,%xmm12,%xmm1,%xmm1
  .byte  196,195,9,33,223,32                 // vinsertps     $0x20,%xmm15,%xmm14,%xmm3
  .byte  196,227,97,33,222,48                // vinsertps     $0x30,%xmm6,%xmm3,%xmm3
  .byte  196,227,101,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm1
  .byte  196,195,49,33,216,32                // vinsertps     $0x20,%xmm8,%xmm9,%xmm3
  .byte  196,195,97,33,218,48                // vinsertps     $0x30,%xmm10,%xmm3,%xmm3
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,195,105,33,211,48               // vinsertps     $0x30,%xmm11,%xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,60,28,2,0         // vbroadcastss  0x21c3c(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,16,116,36,168               // vmovups       -0x58(%rsp),%ymm6
  .byte  197,252,16,124,36,200               // vmovups       -0x38(%rsp),%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,72                // vmovd         (%r8,%r9,2),%xmm0
  .byte  196,1,121,196,92,72,4,2             // vpinsrw       $0x2,0x4(%r8,%r9,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           9c67 <_sk_load_tables_rgb_u16_be_avx+0x29f>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,180,253,255,255                 // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  196,129,121,110,68,72,6             // vmovd         0x6(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,68,72,10,2            // vpinsrw       $0x2,0xa(%r8,%r9,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            9cb2 <_sk_load_tables_rgb_u16_be_avx+0x2ea>
  .byte  196,129,121,110,68,72,12            // vmovd         0xc(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,92,72,16,2          // vpinsrw       $0x2,0x10(%r8,%r9,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           9ccd <_sk_load_tables_rgb_u16_be_avx+0x305>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,105,253,255,255                 // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,78,253,255,255                  // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  196,129,121,110,68,72,18            // vmovd         0x12(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,84,72,22,2            // vpinsrw       $0x2,0x16(%r8,%r9,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            9d0f <_sk_load_tables_rgb_u16_be_avx+0x347>
  .byte  196,129,121,110,68,72,24            // vmovd         0x18(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,84,72,28,2          // vpinsrw       $0x2,0x1c(%r8,%r9,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           9d21 <_sk_load_tables_rgb_u16_be_avx+0x359>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,12,253,255,255                  // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,250,252,255,255                 // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  196,129,121,110,68,72,30            // vmovd         0x1e(%r8,%r9,2),%xmm0
  .byte  196,1,121,196,100,72,34,2           // vpinsrw       $0x2,0x22(%r8,%r9,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            9d54 <_sk_load_tables_rgb_u16_be_avx+0x38c>
  .byte  196,129,121,110,68,72,36            // vmovd         0x24(%r8,%r9,2),%xmm0
  .byte  196,129,121,196,68,72,40,2          // vpinsrw       $0x2,0x28(%r8,%r9,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,199,252,255,255                 // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,190,252,255,255                 // jmpq          9a1b <_sk_load_tables_rgb_u16_be_avx+0x53>

HIDDEN _sk_byte_tables_avx
.globl _sk_byte_tables_avx
FUNCTION(_sk_byte_tables_avx)
_sk_byte_tables_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,32,27,2,0           // vbroadcastss  0x21b20(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,3,121,32,20,10,0                // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm10
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,41,32,4,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm10,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,2                // vpinsrb       $0x2,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,209,3                 // vpinsrb       $0x3,%r9d,%xmm0,%xmm10
  .byte  196,193,116,89,192                  // vmulps        %ymm8,%ymm1,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,12,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,113,32,12,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm1,%xmm1
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,113,32,201,2                // vpinsrb       $0x2,%r9d,%xmm1,%xmm1
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,67,113,32,226,3                 // vpinsrb       $0x3,%r10d,%xmm1,%xmm12
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,12,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,113,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm1,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,67,121,32,232,3                 // vpinsrb       $0x3,%r8d,%xmm0,%xmm13
  .byte  76,139,64,16                        // mov           0x10(%rax),%r8
  .byte  196,193,108,89,200                  // vmulps        %ymm8,%ymm2,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,20,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,105,32,20,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm2,%xmm2
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,105,32,209,2                // vpinsrb       $0x2,%r9d,%xmm2,%xmm2
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,67,105,32,218,3                 // vpinsrb       $0x3,%r10d,%xmm2,%xmm11
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,20,16,0              // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm2
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,105,32,12,8,1               // vpinsrb       $0x1,(%r8,%r9,1),%xmm2,%xmm1
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,113,32,201,2                // vpinsrb       $0x2,%r9d,%xmm1,%xmm1
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,67,113,32,240,3                 // vpinsrb       $0x3,%r8d,%xmm1,%xmm14
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  196,193,100,89,200                  // vmulps        %ymm8,%ymm3,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,28,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm3
  .byte  196,227,249,22,200,1                // vpextrq       $0x1,%xmm1,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,97,32,28,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm3,%xmm3
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,97,32,216,2                 // vpinsrb       $0x2,%r8d,%xmm3,%xmm3
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,97,32,192,3                  // vpinsrb       $0x3,%eax,%xmm3,%xmm8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,4,1,0                // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,121,32,4,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm0,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,121,32,248,2                 // vpinsrb       $0x2,%eax,%xmm0,%xmm15
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,121,49,193                  // vpmovzxbd     %xmm9,%xmm0
  .byte  196,194,121,49,202                  // vpmovzxbd     %xmm10,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,194,121,49,204                  // vpmovzxbd     %xmm12,%xmm1
  .byte  196,194,121,49,213                  // vpmovzxbd     %xmm13,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,98,125,24,13,14,25,2,0          // vbroadcastss  0x2190e(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,194,121,49,211                  // vpmovzxbd     %xmm11,%xmm2
  .byte  196,194,121,49,222                  // vpmovzxbd     %xmm14,%xmm3
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  196,66,121,49,192                   // vpmovzxbd     %xmm8,%xmm8
  .byte  196,227,1,32,216,3                  // vpinsrb       $0x3,%eax,%xmm15,%xmm3
  .byte  196,226,121,49,219                  // vpmovzxbd     %xmm3,%xmm3
  .byte  196,227,61,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_avx
.globl _sk_byte_tables_rgb_avx
FUNCTION(_sk_byte_tables_rgb_avx)
_sk_byte_tables_rgb_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,65,121,110,192                  // vmovd         %r8d,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,125,91,200                      // vcvtps2dq     %ymm0,%ymm9
  .byte  196,65,249,126,200                  // vmovq         %xmm9,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  76,139,16                           // mov           (%rax),%r10
  .byte  196,131,121,32,4,10,0               // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm0
  .byte  196,67,249,22,201,1                 // vpextrq       $0x1,%xmm9,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,3,121,32,20,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm0,%xmm10
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,67,41,32,200,2                  // vpinsrb       $0x2,%r8d,%xmm10,%xmm9
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,49,32,201,3                  // vpinsrb       $0x3,%r9d,%xmm9,%xmm9
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,3,121,32,20,10,0                // vpinsrb       $0x0,(%r10,%r9,1),%xmm0,%xmm10
  .byte  196,195,249,22,193,1                // vpextrq       $0x1,%xmm0,%r9
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,41,32,4,2,1                 // vpinsrb       $0x1,(%r10,%r8,1),%xmm10,%xmm0
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  71,15,182,4,2                       // movzbl        (%r10,%r8,1),%r8d
  .byte  196,195,121,32,192,2                // vpinsrb       $0x2,%r8d,%xmm0,%xmm0
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  71,15,182,12,10                     // movzbl        (%r10,%r9,1),%r9d
  .byte  196,67,121,32,217,3                 // vpinsrb       $0x3,%r9d,%xmm0,%xmm11
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  196,67,121,32,210,3                 // vpinsrb       $0x3,%r10d,%xmm0,%xmm10
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  196,131,121,32,4,16,0               // vpinsrb       $0x0,(%r8,%r10,1),%xmm0,%xmm0
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,131,121,32,4,8,1                // vpinsrb       $0x1,(%r8,%r9,1),%xmm0,%xmm0
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  196,195,121,32,193,2                // vpinsrb       $0x2,%r9d,%xmm0,%xmm0
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,4,16                      // movzbl        (%r8,%r10,1),%r8d
  .byte  196,67,121,32,224,3                 // vpinsrb       $0x3,%r8d,%xmm0,%xmm12
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  197,188,89,194                      // vmulps        %ymm2,%ymm8,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,20,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm2
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,105,32,20,1,1               // vpinsrb       $0x1,(%r9,%r8,1),%xmm2,%xmm2
  .byte  65,137,192                          // mov           %eax,%r8d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  196,195,105,32,208,2                // vpinsrb       $0x2,%r8d,%xmm2,%xmm2
  .byte  196,193,249,126,192                 // vmovq         %xmm0,%r8
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,105,32,192,3                 // vpinsrb       $0x3,%eax,%xmm2,%xmm8
  .byte  68,137,192                          // mov           %r8d,%eax
  .byte  196,195,121,32,12,1,0               // vpinsrb       $0x0,(%r9,%rax,1),%xmm0,%xmm1
  .byte  196,195,249,22,194,1                // vpextrq       $0x1,%xmm0,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,131,113,32,4,1,1                // vpinsrb       $0x1,(%r9,%r8,1),%xmm1,%xmm0
  .byte  68,137,208                          // mov           %r10d,%eax
  .byte  65,15,182,4,1                       // movzbl        (%r9,%rax,1),%eax
  .byte  196,99,121,32,232,2                 // vpinsrb       $0x2,%eax,%xmm0,%xmm13
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  67,15,182,4,17                      // movzbl        (%r9,%r10,1),%eax
  .byte  196,194,121,49,193                  // vpmovzxbd     %xmm9,%xmm0
  .byte  196,194,121,49,203                  // vpmovzxbd     %xmm11,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,13,235,22,2,0         // vbroadcastss  0x216eb(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  196,194,121,49,202                  // vpmovzxbd     %xmm10,%xmm1
  .byte  196,194,121,49,212                  // vpmovzxbd     %xmm12,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,66,121,49,192                   // vpmovzxbd     %xmm8,%xmm8
  .byte  196,227,17,32,208,3                 // vpinsrb       $0x3,%eax,%xmm13,%xmm2
  .byte  196,226,121,49,210                  // vpmovzxbd     %xmm2,%xmm2
  .byte  196,227,61,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm8,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_avx
.globl _sk_table_r_avx
FUNCTION(_sk_table_r_avx)
_sk_table_r_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,227,249,22,192,1                // vpextrq       $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,199                 // vmovq         %xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,4,160                // vmovss        (%r8,%r12,4),%xmm0
  .byte  196,3,121,33,4,184,16               // vinsertps     $0x10,(%r8,%r15,4),%xmm0,%xmm8
  .byte  196,129,122,16,4,176                // vmovss        (%r8,%r14,4),%xmm0
  .byte  196,99,57,33,192,32                 // vinsertps     $0x20,%xmm0,%xmm8,%xmm8
  .byte  196,193,122,16,4,152                // vmovss        (%r8,%rbx,4),%xmm0
  .byte  196,99,57,33,192,48                 // vinsertps     $0x30,%xmm0,%xmm8,%xmm8
  .byte  196,129,122,16,4,152                // vmovss        (%r8,%r11,4),%xmm0
  .byte  196,3,121,33,12,144,16              // vinsertps     $0x10,(%r8,%r10,4),%xmm0,%xmm9
  .byte  196,129,122,16,4,136                // vmovss        (%r8,%r9,4),%xmm0
  .byte  196,99,49,33,200,32                 // vinsertps     $0x20,%xmm0,%xmm9,%xmm9
  .byte  196,193,122,16,4,128                // vmovss        (%r8,%rax,4),%xmm0
  .byte  196,227,49,33,192,48                // vinsertps     $0x30,%xmm0,%xmm9,%xmm0
  .byte  196,195,125,24,192,1                // vinsertf128   $0x1,%xmm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_avx
.globl _sk_table_g_avx
FUNCTION(_sk_table_g_avx)
_sk_table_g_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,227,249,22,200,1                // vpextrq       $0x1,%xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,207                 // vmovq         %xmm1,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,12,160               // vmovss        (%r8,%r12,4),%xmm1
  .byte  196,3,113,33,4,184,16               // vinsertps     $0x10,(%r8,%r15,4),%xmm1,%xmm8
  .byte  196,129,122,16,12,176               // vmovss        (%r8,%r14,4),%xmm1
  .byte  196,99,57,33,193,32                 // vinsertps     $0x20,%xmm1,%xmm8,%xmm8
  .byte  196,193,122,16,12,152               // vmovss        (%r8,%rbx,4),%xmm1
  .byte  196,99,57,33,193,48                 // vinsertps     $0x30,%xmm1,%xmm8,%xmm8
  .byte  196,129,122,16,12,152               // vmovss        (%r8,%r11,4),%xmm1
  .byte  196,3,113,33,12,144,16              // vinsertps     $0x10,(%r8,%r10,4),%xmm1,%xmm9
  .byte  196,129,122,16,12,136               // vmovss        (%r8,%r9,4),%xmm1
  .byte  196,99,49,33,201,32                 // vinsertps     $0x20,%xmm1,%xmm9,%xmm9
  .byte  196,193,122,16,12,128               // vmovss        (%r8,%rax,4),%xmm1
  .byte  196,227,49,33,201,48                // vinsertps     $0x30,%xmm1,%xmm9,%xmm1
  .byte  196,195,117,24,200,1                // vinsertf128   $0x1,%xmm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_avx
.globl _sk_table_b_avx
FUNCTION(_sk_table_b_avx)
_sk_table_b_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,210                      // vmulps        %ymm2,%ymm8,%ymm2
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,215                 // vmovq         %xmm2,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,20,160               // vmovss        (%r8,%r12,4),%xmm2
  .byte  196,3,105,33,4,184,16               // vinsertps     $0x10,(%r8,%r15,4),%xmm2,%xmm8
  .byte  196,129,122,16,20,176               // vmovss        (%r8,%r14,4),%xmm2
  .byte  196,99,57,33,194,32                 // vinsertps     $0x20,%xmm2,%xmm8,%xmm8
  .byte  196,193,122,16,20,152               // vmovss        (%r8,%rbx,4),%xmm2
  .byte  196,99,57,33,194,48                 // vinsertps     $0x30,%xmm2,%xmm8,%xmm8
  .byte  196,129,122,16,20,152               // vmovss        (%r8,%r11,4),%xmm2
  .byte  196,3,105,33,12,144,16              // vinsertps     $0x10,(%r8,%r10,4),%xmm2,%xmm9
  .byte  196,129,122,16,20,136               // vmovss        (%r8,%r9,4),%xmm2
  .byte  196,99,49,33,202,32                 // vinsertps     $0x20,%xmm2,%xmm9,%xmm9
  .byte  196,193,122,16,20,128               // vmovss        (%r8,%rax,4),%xmm2
  .byte  196,227,49,33,210,48                // vinsertps     $0x30,%xmm2,%xmm9,%xmm2
  .byte  196,195,109,24,208,1                // vinsertf128   $0x1,%xmm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_avx
.globl _sk_table_a_avx
FUNCTION(_sk_table_a_avx)
_sk_table_a_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  197,121,110,192                     // vmovd         %eax,%xmm8
  .byte  196,65,121,112,192,0                // vpshufd       $0x0,%xmm8,%xmm8
  .byte  196,67,61,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm8,%ymm8
  .byte  196,65,124,91,192                   // vcvtdq2ps     %ymm8,%ymm8
  .byte  197,188,89,219                      // vmulps        %ymm3,%ymm8,%ymm3
  .byte  197,253,91,219                      // vcvtps2dq     %ymm3,%ymm3
  .byte  196,227,249,22,216,1                // vpextrq       $0x1,%xmm3,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,219,1                // vextractf128  $0x1,%ymm3,%xmm3
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,249,126,223                 // vmovq         %xmm3,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,122,16,28,160               // vmovss        (%r8,%r12,4),%xmm3
  .byte  196,3,97,33,4,184,16                // vinsertps     $0x10,(%r8,%r15,4),%xmm3,%xmm8
  .byte  196,129,122,16,28,176               // vmovss        (%r8,%r14,4),%xmm3
  .byte  196,99,57,33,195,32                 // vinsertps     $0x20,%xmm3,%xmm8,%xmm8
  .byte  196,193,122,16,28,152               // vmovss        (%r8,%rbx,4),%xmm3
  .byte  196,99,57,33,195,48                 // vinsertps     $0x30,%xmm3,%xmm8,%xmm8
  .byte  196,129,122,16,28,152               // vmovss        (%r8,%r11,4),%xmm3
  .byte  196,3,97,33,12,144,16               // vinsertps     $0x10,(%r8,%r10,4),%xmm3,%xmm9
  .byte  196,129,122,16,28,136               // vmovss        (%r8,%r9,4),%xmm3
  .byte  196,99,49,33,203,32                 // vinsertps     $0x20,%xmm3,%xmm9,%xmm9
  .byte  196,193,122,16,28,128               // vmovss        (%r8,%rax,4),%xmm3
  .byte  196,227,49,33,219,48                // vinsertps     $0x30,%xmm3,%xmm9,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_avx
.globl _sk_parametric_r_avx
FUNCTION(_sk_parametric_r_avx)
_sk_parametric_r_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,124,194,192,2                // vcmpleps      %ymm8,%ymm0,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,216                      // vcvtdq2ps     %ymm0,%ymm11
  .byte  196,98,125,24,37,124,19,2,0         // vbroadcastss  0x2137c(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,114,19,2,0         // vbroadcastss  0x21372(%rip),%ymm12        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,193,124,84,196                  // vandps        %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,37,200,18,2,0         // vbroadcastss  0x212c8(%rip),%ymm12        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,193,124,86,196                  // vorps         %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,37,90,19,2,0          // vbroadcastss  0x2135a(%rip),%ymm12        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,80,19,2,0          // vbroadcastss  0x21350(%rip),%ymm12        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,65,124,89,228                   // vmulps        %ymm12,%ymm0,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,65,19,2,0          // vbroadcastss  0x21341(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,193,124,88,196                  // vaddps        %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,37,55,19,2,0          // vbroadcastss  0x21337(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  197,156,94,192                      // vdivps        %ymm0,%ymm12,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  196,99,125,8,208,1                  // vroundps      $0x1,%ymm0,%ymm10
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,27,19,2,0          // vbroadcastss  0x2131b(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,29,17,19,2,0          // vbroadcastss  0x21311(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,124,92,195                  // vsubps        %ymm11,%ymm0,%ymm0
  .byte  196,98,125,24,29,2,19,2,0           // vbroadcastss  0x21302(%rip),%ymm11        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,248,18,2,0         // vbroadcastss  0x212f8(%rip),%ymm11        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,98,125,24,21,233,18,2,0         // vbroadcastss  0x212e9(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  197,253,91,192                      // vcvtps2dq     %ymm0,%ymm0
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,124,88,194                  // vaddps        %ymm10,%ymm0,%ymm0
  .byte  196,195,125,74,193,128              // vblendvps     %ymm8,%ymm9,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,124,95,192                  // vmaxps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,0,18,2,0            // vbroadcastss  0x21200(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_avx
.globl _sk_parametric_g_avx
FUNCTION(_sk_parametric_g_avx)
_sk_parametric_g_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,116,194,192,2                // vcmpleps      %ymm8,%ymm1,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,217                      // vcvtdq2ps     %ymm1,%ymm11
  .byte  196,98,125,24,37,65,18,2,0          // vbroadcastss  0x21241(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,55,18,2,0          // vbroadcastss  0x21237(%rip),%ymm12        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,193,116,84,204                  // vandps        %ymm12,%ymm1,%ymm1
  .byte  196,98,125,24,37,141,17,2,0         // vbroadcastss  0x2118d(%rip),%ymm12        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,193,116,86,204                  // vorps         %ymm12,%ymm1,%ymm1
  .byte  196,98,125,24,37,31,18,2,0          // vbroadcastss  0x2121f(%rip),%ymm12        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,21,18,2,0          // vbroadcastss  0x21215(%rip),%ymm12        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,65,116,89,228                   // vmulps        %ymm12,%ymm1,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,6,18,2,0           // vbroadcastss  0x21206(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,193,116,88,204                  // vaddps        %ymm12,%ymm1,%ymm1
  .byte  196,98,125,24,37,252,17,2,0         // vbroadcastss  0x211fc(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  197,156,94,201                      // vdivps        %ymm1,%ymm12,%ymm1
  .byte  197,164,92,201                      // vsubps        %ymm1,%ymm11,%ymm1
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,99,125,8,209,1                  // vroundps      $0x1,%ymm1,%ymm10
  .byte  196,65,116,92,210                   // vsubps        %ymm10,%ymm1,%ymm10
  .byte  196,98,125,24,29,224,17,2,0         // vbroadcastss  0x211e0(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,214,17,2,0         // vbroadcastss  0x211d6(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,116,92,203                  // vsubps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,29,199,17,2,0         // vbroadcastss  0x211c7(%rip),%ymm11        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,189,17,2,0         // vbroadcastss  0x211bd(%rip),%ymm11        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,98,125,24,21,174,17,2,0         // vbroadcastss  0x211ae(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,116,89,202                  // vmulps        %ymm10,%ymm1,%ymm1
  .byte  197,253,91,201                      // vcvtps2dq     %ymm1,%ymm1
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,195,117,74,201,128              // vblendvps     %ymm8,%ymm9,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,116,95,200                  // vmaxps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,5,197,16,2,0          // vbroadcastss  0x210c5(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,116,93,200                  // vminps        %ymm8,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_avx
.globl _sk_parametric_b_avx
FUNCTION(_sk_parametric_b_avx)
_sk_parametric_b_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,108,194,192,2                // vcmpleps      %ymm8,%ymm2,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,202                       // vmulps        %ymm2,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,218                      // vcvtdq2ps     %ymm2,%ymm11
  .byte  196,98,125,24,37,6,17,2,0           // vbroadcastss  0x21106(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,252,16,2,0         // vbroadcastss  0x210fc(%rip),%ymm12        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,193,108,84,212                  // vandps        %ymm12,%ymm2,%ymm2
  .byte  196,98,125,24,37,82,16,2,0          // vbroadcastss  0x21052(%rip),%ymm12        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,193,108,86,212                  // vorps         %ymm12,%ymm2,%ymm2
  .byte  196,98,125,24,37,228,16,2,0         // vbroadcastss  0x210e4(%rip),%ymm12        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,218,16,2,0         // vbroadcastss  0x210da(%rip),%ymm12        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,65,108,89,228                   // vmulps        %ymm12,%ymm2,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,203,16,2,0         // vbroadcastss  0x210cb(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,193,108,88,212                  // vaddps        %ymm12,%ymm2,%ymm2
  .byte  196,98,125,24,37,193,16,2,0         // vbroadcastss  0x210c1(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  197,156,94,210                      // vdivps        %ymm2,%ymm12,%ymm2
  .byte  197,164,92,210                      // vsubps        %ymm2,%ymm11,%ymm2
  .byte  197,172,89,210                      // vmulps        %ymm2,%ymm10,%ymm2
  .byte  196,99,125,8,210,1                  // vroundps      $0x1,%ymm2,%ymm10
  .byte  196,65,108,92,210                   // vsubps        %ymm10,%ymm2,%ymm10
  .byte  196,98,125,24,29,165,16,2,0         // vbroadcastss  0x210a5(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,29,155,16,2,0         // vbroadcastss  0x2109b(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,108,92,211                  // vsubps        %ymm11,%ymm2,%ymm2
  .byte  196,98,125,24,29,140,16,2,0         // vbroadcastss  0x2108c(%rip),%ymm11        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,130,16,2,0         // vbroadcastss  0x21082(%rip),%ymm11        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,98,125,24,21,115,16,2,0         // vbroadcastss  0x21073(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,108,89,210                  // vmulps        %ymm10,%ymm2,%ymm2
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,108,88,210                  // vaddps        %ymm10,%ymm2,%ymm2
  .byte  196,195,109,74,209,128              // vblendvps     %ymm8,%ymm9,%ymm2,%ymm2
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,108,95,208                  // vmaxps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,138,15,2,0          // vbroadcastss  0x20f8a(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,108,93,208                  // vminps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_avx
.globl _sk_parametric_a_avx
FUNCTION(_sk_parametric_a_avx)
_sk_parametric_a_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,16                 // vbroadcastss  0x10(%rax),%ymm8
  .byte  196,65,100,194,192,2                // vcmpleps      %ymm8,%ymm3,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  197,52,89,203                       // vmulps        %ymm3,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,4                  // vbroadcastss  0x4(%rax),%ymm10
  .byte  196,98,125,24,88,8                  // vbroadcastss  0x8(%rax),%ymm11
  .byte  197,172,89,219                      // vmulps        %ymm3,%ymm10,%ymm3
  .byte  196,193,100,88,219                  // vaddps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,16                    // vbroadcastss  (%rax),%ymm10
  .byte  197,124,91,219                      // vcvtdq2ps     %ymm3,%ymm11
  .byte  196,98,125,24,37,203,15,2,0         // vbroadcastss  0x20fcb(%rip),%ymm12        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,193,15,2,0         // vbroadcastss  0x20fc1(%rip),%ymm12        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,193,100,84,220                  // vandps        %ymm12,%ymm3,%ymm3
  .byte  196,98,125,24,37,23,15,2,0          // vbroadcastss  0x20f17(%rip),%ymm12        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,193,100,86,220                  // vorps         %ymm12,%ymm3,%ymm3
  .byte  196,98,125,24,37,169,15,2,0         // vbroadcastss  0x20fa9(%rip),%ymm12        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,159,15,2,0         // vbroadcastss  0x20f9f(%rip),%ymm12        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,65,100,89,228                   // vmulps        %ymm12,%ymm3,%ymm12
  .byte  196,65,36,92,220                    // vsubps        %ymm12,%ymm11,%ymm11
  .byte  196,98,125,24,37,144,15,2,0         // vbroadcastss  0x20f90(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,193,100,88,220                  // vaddps        %ymm12,%ymm3,%ymm3
  .byte  196,98,125,24,37,134,15,2,0         // vbroadcastss  0x20f86(%rip),%ymm12        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  197,156,94,219                      // vdivps        %ymm3,%ymm12,%ymm3
  .byte  197,164,92,219                      // vsubps        %ymm3,%ymm11,%ymm3
  .byte  197,172,89,219                      // vmulps        %ymm3,%ymm10,%ymm3
  .byte  196,99,125,8,211,1                  // vroundps      $0x1,%ymm3,%ymm10
  .byte  196,65,100,92,210                   // vsubps        %ymm10,%ymm3,%ymm10
  .byte  196,98,125,24,29,106,15,2,0         // vbroadcastss  0x20f6a(%rip),%ymm11        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,100,88,219                  // vaddps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,29,96,15,2,0          // vbroadcastss  0x20f60(%rip),%ymm11        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  196,65,44,89,219                    // vmulps        %ymm11,%ymm10,%ymm11
  .byte  196,193,100,92,219                  // vsubps        %ymm11,%ymm3,%ymm3
  .byte  196,98,125,24,29,81,15,2,0          // vbroadcastss  0x20f51(%rip),%ymm11        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  196,65,36,92,210                    // vsubps        %ymm10,%ymm11,%ymm10
  .byte  196,98,125,24,29,71,15,2,0          // vbroadcastss  0x20f47(%rip),%ymm11        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  196,65,36,94,210                    // vdivps        %ymm10,%ymm11,%ymm10
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  196,98,125,24,21,56,15,2,0          // vbroadcastss  0x20f38(%rip),%ymm10        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  197,253,91,219                      // vcvtps2dq     %ymm3,%ymm3
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  196,195,101,74,217,128              // vblendvps     %ymm8,%ymm9,%ymm3,%ymm3
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  196,193,100,95,216                  // vmaxps        %ymm8,%ymm3,%ymm3
  .byte  196,98,125,24,5,79,14,2,0           // vbroadcastss  0x20e4f(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,100,93,216                  // vminps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_avx
.globl _sk_gamma_avx
FUNCTION(_sk_gamma_avx)
_sk_gamma_avx:
  .byte  72,131,236,88                       // sub           $0x58,%rsp
  .byte  197,252,17,124,36,32                // vmovups       %ymm7,0x20(%rsp)
  .byte  197,252,17,52,36                    // vmovups       %ymm6,(%rsp)
  .byte  197,252,17,108,36,224               // vmovups       %ymm5,-0x20(%rsp)
  .byte  197,252,17,100,36,192               // vmovups       %ymm4,-0x40(%rsp)
  .byte  197,252,17,92,36,160                // vmovups       %ymm3,-0x60(%rsp)
  .byte  197,252,40,250                      // vmovaps       %ymm2,%ymm7
  .byte  197,252,40,233                      // vmovaps       %ymm1,%ymm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,91,200                      // vcvtdq2ps     %ymm0,%ymm1
  .byte  196,98,125,24,5,162,14,2,0          // vbroadcastss  0x20ea2(%rip),%ymm8        # 2b8f0 <_sk_overlay_sse2_8bit+0x4d4>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,13,152,14,2,0         // vbroadcastss  0x20e98(%rip),%ymm9        # 2b8f4 <_sk_overlay_sse2_8bit+0x4d8>
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  196,226,125,24,37,238,13,2,0        // vbroadcastss  0x20dee(%rip),%ymm4        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,252,86,196                      // vorps         %ymm4,%ymm0,%ymm0
  .byte  196,98,125,24,21,129,14,2,0         // vbroadcastss  0x20e81(%rip),%ymm10        # 2b8f8 <_sk_overlay_sse2_8bit+0x4dc>
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,98,125,24,29,119,14,2,0         // vbroadcastss  0x20e77(%rip),%ymm11        # 2b8fc <_sk_overlay_sse2_8bit+0x4e0>
  .byte  196,193,124,89,211                  // vmulps        %ymm11,%ymm0,%ymm2
  .byte  197,244,92,202                      // vsubps        %ymm2,%ymm1,%ymm1
  .byte  196,98,125,24,37,105,14,2,0         // vbroadcastss  0x20e69(%rip),%ymm12        # 2b900 <_sk_overlay_sse2_8bit+0x4e4>
  .byte  196,193,124,88,196                  // vaddps        %ymm12,%ymm0,%ymm0
  .byte  196,98,125,24,45,95,14,2,0          // vbroadcastss  0x20e5f(%rip),%ymm13        # 2b904 <_sk_overlay_sse2_8bit+0x4e8>
  .byte  197,148,94,192                      // vdivps        %ymm0,%ymm13,%ymm0
  .byte  197,244,92,192                      // vsubps        %ymm0,%ymm1,%ymm0
  .byte  196,98,125,24,48                    // vbroadcastss  (%rax),%ymm14
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  196,227,125,8,200,1                 // vroundps      $0x1,%ymm0,%ymm1
  .byte  197,252,92,241                      // vsubps        %ymm1,%ymm0,%ymm6
  .byte  196,98,125,24,61,62,14,2,0          // vbroadcastss  0x20e3e(%rip),%ymm15        # 2b908 <_sk_overlay_sse2_8bit+0x4ec>
  .byte  196,193,124,88,199                  // vaddps        %ymm15,%ymm0,%ymm0
  .byte  196,226,125,24,29,52,14,2,0         // vbroadcastss  0x20e34(%rip),%ymm3        # 2b90c <_sk_overlay_sse2_8bit+0x4f0>
  .byte  197,204,89,203                      // vmulps        %ymm3,%ymm6,%ymm1
  .byte  197,252,92,201                      // vsubps        %ymm1,%ymm0,%ymm1
  .byte  196,226,125,24,21,39,14,2,0         // vbroadcastss  0x20e27(%rip),%ymm2        # 2b910 <_sk_overlay_sse2_8bit+0x4f4>
  .byte  197,236,92,198                      // vsubps        %ymm6,%ymm2,%ymm0
  .byte  196,226,125,24,53,30,14,2,0         // vbroadcastss  0x20e1e(%rip),%ymm6        # 2b914 <_sk_overlay_sse2_8bit+0x4f8>
  .byte  197,204,94,192                      // vdivps        %ymm0,%ymm6,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  197,252,91,205                      // vcvtdq2ps     %ymm5,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,193,84,84,233                   // vandps        %ymm9,%ymm5,%ymm5
  .byte  197,212,86,236                      // vorps         %ymm4,%ymm5,%ymm5
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,193,84,89,195                   // vmulps        %ymm11,%ymm5,%ymm0
  .byte  197,244,92,192                      // vsubps        %ymm0,%ymm1,%ymm0
  .byte  196,193,84,88,204                   // vaddps        %ymm12,%ymm5,%ymm1
  .byte  197,148,94,201                      // vdivps        %ymm1,%ymm13,%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  196,193,124,89,198                  // vmulps        %ymm14,%ymm0,%ymm0
  .byte  196,227,125,8,200,1                 // vroundps      $0x1,%ymm0,%ymm1
  .byte  197,252,92,201                      // vsubps        %ymm1,%ymm0,%ymm1
  .byte  196,193,124,88,199                  // vaddps        %ymm15,%ymm0,%ymm0
  .byte  197,244,89,235                      // vmulps        %ymm3,%ymm1,%ymm5
  .byte  197,252,92,197                      // vsubps        %ymm5,%ymm0,%ymm0
  .byte  197,236,92,201                      // vsubps        %ymm1,%ymm2,%ymm1
  .byte  197,204,94,201                      // vdivps        %ymm1,%ymm6,%ymm1
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,91,207                      // vcvtdq2ps     %ymm7,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,193,68,84,233                   // vandps        %ymm9,%ymm7,%ymm5
  .byte  197,212,86,228                      // vorps         %ymm4,%ymm5,%ymm4
  .byte  196,193,116,88,202                  // vaddps        %ymm10,%ymm1,%ymm1
  .byte  196,193,92,89,235                   // vmulps        %ymm11,%ymm4,%ymm5
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  196,193,92,88,228                   // vaddps        %ymm12,%ymm4,%ymm4
  .byte  197,148,94,228                      // vdivps        %ymm4,%ymm13,%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  196,193,116,89,206                  // vmulps        %ymm14,%ymm1,%ymm1
  .byte  196,227,125,8,225,1                 // vroundps      $0x1,%ymm1,%ymm4
  .byte  197,244,92,228                      // vsubps        %ymm4,%ymm1,%ymm4
  .byte  196,193,116,88,207                  // vaddps        %ymm15,%ymm1,%ymm1
  .byte  197,220,89,219                      // vmulps        %ymm3,%ymm4,%ymm3
  .byte  197,244,92,203                      // vsubps        %ymm3,%ymm1,%ymm1
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,204,94,210                      // vdivps        %ymm2,%ymm6,%ymm2
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,97,13,2,0         // vbroadcastss  0x20d61(%rip),%ymm2        # 2b918 <_sk_overlay_sse2_8bit+0x4fc>
  .byte  197,236,89,92,36,128                // vmulps        -0x80(%rsp),%ymm2,%ymm3
  .byte  197,252,89,226                      // vmulps        %ymm2,%ymm0,%ymm4
  .byte  197,244,89,210                      // vmulps        %ymm2,%ymm1,%ymm2
  .byte  197,253,91,195                      // vcvtps2dq     %ymm3,%ymm0
  .byte  197,253,91,204                      // vcvtps2dq     %ymm4,%ymm1
  .byte  197,253,91,210                      // vcvtps2dq     %ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,92,36,160                // vmovups       -0x60(%rsp),%ymm3
  .byte  197,252,16,100,36,192               // vmovups       -0x40(%rsp),%ymm4
  .byte  197,252,16,108,36,224               // vmovups       -0x20(%rsp),%ymm5
  .byte  197,252,16,52,36                    // vmovups       (%rsp),%ymm6
  .byte  197,252,16,124,36,32                // vmovups       0x20(%rsp),%ymm7
  .byte  72,131,196,88                       // add           $0x58,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_avx
.globl _sk_lab_to_xyz_avx
FUNCTION(_sk_lab_to_xyz_avx)
_sk_lab_to_xyz_avx:
  .byte  196,98,125,24,5,29,13,2,0           // vbroadcastss  0x20d1d(%rip),%ymm8        # 2b91c <_sk_overlay_sse2_8bit+0x500>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,123,12,2,0          // vbroadcastss  0x20c7b(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,98,125,24,13,5,13,2,0           // vbroadcastss  0x20d05(%rip),%ymm9        # 2b920 <_sk_overlay_sse2_8bit+0x504>
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,193,108,88,209                  // vaddps        %ymm9,%ymm2,%ymm2
  .byte  196,98,125,24,5,241,12,2,0          // vbroadcastss  0x20cf1(%rip),%ymm8        # 2b924 <_sk_overlay_sse2_8bit+0x508>
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,231,12,2,0          // vbroadcastss  0x20ce7(%rip),%ymm8        # 2b928 <_sk_overlay_sse2_8bit+0x50c>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,5,221,12,2,0          // vbroadcastss  0x20cdd(%rip),%ymm8        # 2b92c <_sk_overlay_sse2_8bit+0x510>
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,252,88,201                      // vaddps        %ymm1,%ymm0,%ymm1
  .byte  196,98,125,24,5,207,12,2,0          // vbroadcastss  0x20ccf(%rip),%ymm8        # 2b930 <_sk_overlay_sse2_8bit+0x514>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  197,252,92,210                      // vsubps        %ymm2,%ymm0,%ymm2
  .byte  197,116,89,193                      // vmulps        %ymm1,%ymm1,%ymm8
  .byte  196,65,116,89,192                   // vmulps        %ymm8,%ymm1,%ymm8
  .byte  196,98,125,24,13,184,12,2,0         // vbroadcastss  0x20cb8(%rip),%ymm9        # 2b934 <_sk_overlay_sse2_8bit+0x518>
  .byte  196,65,52,194,208,1                 // vcmpltps      %ymm8,%ymm9,%ymm10
  .byte  196,98,125,24,29,173,12,2,0         // vbroadcastss  0x20cad(%rip),%ymm11        # 2b938 <_sk_overlay_sse2_8bit+0x51c>
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  196,98,125,24,37,163,12,2,0         // vbroadcastss  0x20ca3(%rip),%ymm12        # 2b93c <_sk_overlay_sse2_8bit+0x520>
  .byte  196,193,116,89,204                  // vmulps        %ymm12,%ymm1,%ymm1
  .byte  196,67,117,74,192,160               // vblendvps     %ymm10,%ymm8,%ymm1,%ymm8
  .byte  197,252,89,200                      // vmulps        %ymm0,%ymm0,%ymm1
  .byte  197,252,89,201                      // vmulps        %ymm1,%ymm0,%ymm1
  .byte  197,52,194,209,1                    // vcmpltps      %ymm1,%ymm9,%ymm10
  .byte  196,193,124,88,195                  // vaddps        %ymm11,%ymm0,%ymm0
  .byte  196,193,124,89,196                  // vmulps        %ymm12,%ymm0,%ymm0
  .byte  196,227,125,74,201,160              // vblendvps     %ymm10,%ymm1,%ymm0,%ymm1
  .byte  197,236,89,194                      // vmulps        %ymm2,%ymm2,%ymm0
  .byte  197,236,89,192                      // vmulps        %ymm0,%ymm2,%ymm0
  .byte  197,52,194,200,1                    // vcmpltps      %ymm0,%ymm9,%ymm9
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  196,193,108,89,212                  // vmulps        %ymm12,%ymm2,%ymm2
  .byte  196,227,109,74,208,144              // vblendvps     %ymm9,%ymm0,%ymm2,%ymm2
  .byte  196,226,125,24,5,89,12,2,0          // vbroadcastss  0x20c59(%rip),%ymm0        # 2b940 <_sk_overlay_sse2_8bit+0x524>
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,80,12,2,0           // vbroadcastss  0x20c50(%rip),%ymm8        # 2b944 <_sk_overlay_sse2_8bit+0x528>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_avx
.globl _sk_load_a8_avx
FUNCTION(_sk_load_a8_avx)
_sk_load_a8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           ad57 <_sk_load_a8_avx+0x5a>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,45,21,2,0             // vpand         0x2152d(%rip),%xmm0,%xmm0        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,141,11,2,0        // vbroadcastss  0x20b8d(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,176                             // ja            ad1b <_sk_load_a8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # adf0 <_sk_load_a8_avx+0xf3>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,145                             // jmp           ad1b <_sk_load_a8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,105,255,255,255                 // jmpq          ad1b <_sk_load_a8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,46,255,255,255                  // jmpq          ad1b <_sk_load_a8_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_avx
.globl _sk_load_a8_dst_avx
FUNCTION(_sk_load_a8_dst_avx)
_sk_load_a8_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           ae66 <_sk_load_a8_dst_avx+0x5a>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,30,20,2,0            // vpand         0x2141e(%rip),%xmm4,%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,126,10,2,0        // vbroadcastss  0x20a7e(%rip),%ymm5        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,220,89,253                      // vmulps        %ymm5,%ymm4,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,220,87,228                      // vxorps        %ymm4,%ymm4,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  197,204,87,246                      // vxorps        %ymm6,%ymm6,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,176                             // ja            ae2a <_sk_load_a8_dst_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # aefc <_sk_load_a8_dst_avx+0xf0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,145                             // jmp           ae2a <_sk_load_a8_dst_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,105,255,255,255                 // jmpq          ae2a <_sk_load_a8_dst_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,46,255,255,255                  // jmpq          ae2a <_sk_load_a8_dst_avx+0x1e>
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_a8_avx
.globl _sk_gather_a8_avx
FUNCTION(_sk_gather_a8_avx)
_sk_gather_a8_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,131,121,32,4,48,0               // vpinsrb       $0x0,(%r8,%r14,1),%xmm0,%xmm0
  .byte  196,195,121,32,4,24,1               // vpinsrb       $0x1,(%r8,%rbx,1),%xmm0,%xmm0
  .byte  67,15,182,28,32                     // movzbl        (%r8,%r12,1),%ebx
  .byte  196,227,121,32,195,2                // vpinsrb       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,182,28,56                     // movzbl        (%r8,%r15,1),%ebx
  .byte  196,227,121,32,195,3                // vpinsrb       $0x3,%ebx,%xmm0,%xmm0
  .byte  196,226,121,49,192                  // vpmovzxbd     %xmm0,%xmm0
  .byte  196,131,121,32,12,24,0              // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm1
  .byte  196,131,113,32,12,16,1              // vpinsrb       $0x1,(%r8,%r10,1),%xmm1,%xmm1
  .byte  67,15,182,28,8                      // movzbl        (%r8,%r9,1),%ebx
  .byte  196,227,113,32,203,2                // vpinsrb       $0x2,%ebx,%xmm1,%xmm1
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,113,32,200,3                // vpinsrb       $0x3,%eax,%xmm1,%xmm1
  .byte  196,226,121,49,201                  // vpmovzxbd     %xmm1,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,229,8,2,0         // vbroadcastss  0x208e5(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,217                      // vmulps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_avx
.globl _sk_store_a8_avx
FUNCTION(_sk_store_a8_avx)
_sk_store_a8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,102,8,2,0           // vbroadcastss  0x20866(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  196,65,57,103,192                   // vpackuswb     %xmm8,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           b04b <_sk_store_a8_avx+0x45>
  .byte  196,1,123,17,4,24                   // vmovsd        %xmm8,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            b047 <_sk_store_a8_avx+0x41>
  .byte  196,66,121,48,192                   // vpmovzxbw     %xmm8,%xmm8
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,85,0,0,0                  // lea           0x55(%rip),%r10        # b0c0 <_sk_store_a8_avx+0xba>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,20,4,24,0                 // vpextrb       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,202                             // jmp           b047 <_sk_store_a8_avx+0x41>
  .byte  196,3,121,20,68,24,2,4              // vpextrb       $0x4,%xmm8,0x2(%r8,%r11,1)
  .byte  196,98,57,0,5,210,17,2,0            // vpshufb       0x211d2(%rip),%xmm8,%xmm8        # 2c260 <_sk_overlay_sse2_8bit+0xe44>
  .byte  196,3,121,21,4,24,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,1)
  .byte  235,176                             // jmp           b047 <_sk_store_a8_avx+0x41>
  .byte  196,3,121,20,68,24,6,12             // vpextrb       $0xc,%xmm8,0x6(%r8,%r11,1)
  .byte  196,3,121,20,68,24,5,10             // vpextrb       $0xa,%xmm8,0x5(%r8,%r11,1)
  .byte  196,3,121,20,68,24,4,8              // vpextrb       $0x8,%xmm8,0x4(%r8,%r11,1)
  .byte  196,98,57,0,5,184,17,2,0            // vpshufb       0x211b8(%rip),%xmm8,%xmm8        # 2c270 <_sk_overlay_sse2_8bit+0xe54>
  .byte  196,1,121,126,4,24                  // vmovd         %xmm8,(%r8,%r11,1)
  .byte  235,135                             // jmp           b047 <_sk_store_a8_avx+0x41>
  .byte  180,255                             // mov           $0xff,%ah
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,255,255,255,239                 // mov           $0xefffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_avx
.globl _sk_load_g8_avx
FUNCTION(_sk_load_g8_avx)
_sk_load_g8_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,71                              // jne           b13b <_sk_load_g8_avx+0x5f>
  .byte  196,130,121,48,4,24                 // vpmovzxbw     (%r8,%r11,1),%xmm0
  .byte  197,249,219,5,78,17,2,0             // vpand         0x2114e(%rip),%xmm0,%xmm0        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,174,7,2,0         // vbroadcastss  0x207ae(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,43,7,2,0          // vbroadcastss  0x2072b(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,171                             // ja            b0fa <_sk_load_g8_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # b1d4 <_sk_load_g8_avx+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,140                             // jmp           b0fa <_sk_load_g8_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,2                   // vpinsrw       $0x2,%eax,%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,100,255,255,255                 // jmpq          b0fa <_sk_load_g8_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,249,196,192,6                   // vpinsrw       $0x6,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,249,196,192,5                   // vpinsrw       $0x5,%eax,%xmm0,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,249,196,192,4                   // vpinsrw       $0x4,%eax,%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,226,121,48,201                  // vpmovzxbw     %xmm1,%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,41,255,255,255                  // jmpq          b0fa <_sk_load_g8_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_avx
.globl _sk_load_g8_dst_avx
FUNCTION(_sk_load_g8_dst_avx)
_sk_load_g8_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,71                              // jne           b24f <_sk_load_g8_dst_avx+0x5f>
  .byte  196,130,121,48,36,24                // vpmovzxbw     (%r8,%r11,1),%xmm4
  .byte  197,217,219,37,58,16,2,0            // vpand         0x2103a(%rip),%xmm4,%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,154,6,2,0         // vbroadcastss  0x2069a(%rip),%ymm5        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,23,6,2,0          // vbroadcastss  0x20617(%rip),%ymm7        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,236                      // vmovaps       %ymm4,%ymm5
  .byte  197,252,40,244                      // vmovaps       %ymm4,%ymm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,171                             // ja            b20e <_sk_load_g8_dst_avx+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,122,0,0,0                 // lea           0x7a(%rip),%r10        # b2e8 <_sk_load_g8_dst_avx+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  235,140                             // jmp           b20e <_sk_load_g8_dst_avx+0x1e>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,2                   // vpinsrw       $0x2,%eax,%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,100,255,255,255                 // jmpq          b20e <_sk_load_g8_dst_avx+0x1e>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,217,196,224,6                   // vpinsrw       $0x6,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  197,217,196,224,5                   // vpinsrw       $0x5,%eax,%xmm4,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  197,217,196,224,4                   // vpinsrw       $0x4,%eax,%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,226,121,48,237                  // vpmovzxbw     %xmm5,%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,41,255,255,255                  // jmpq          b20e <_sk_load_g8_dst_avx+0x1e>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  143                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_g8_avx
.globl _sk_gather_g8_avx
FUNCTION(_sk_gather_g8_avx)
_sk_gather_g8_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,131,121,32,4,48,0               // vpinsrb       $0x0,(%r8,%r14,1),%xmm0,%xmm0
  .byte  196,195,121,32,4,24,1               // vpinsrb       $0x1,(%r8,%rbx,1),%xmm0,%xmm0
  .byte  67,15,182,28,32                     // movzbl        (%r8,%r12,1),%ebx
  .byte  196,227,121,32,195,2                // vpinsrb       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,182,28,56                     // movzbl        (%r8,%r15,1),%ebx
  .byte  196,227,121,32,195,3                // vpinsrb       $0x3,%ebx,%xmm0,%xmm0
  .byte  196,226,121,49,192                  // vpmovzxbd     %xmm0,%xmm0
  .byte  196,131,121,32,12,24,0              // vpinsrb       $0x0,(%r8,%r11,1),%xmm0,%xmm1
  .byte  196,131,113,32,12,16,1              // vpinsrb       $0x1,(%r8,%r10,1),%xmm1,%xmm1
  .byte  67,15,182,28,8                      // movzbl        (%r8,%r9,1),%ebx
  .byte  196,227,113,32,203,2                // vpinsrb       $0x2,%ebx,%xmm1,%xmm1
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  196,227,113,32,200,3                // vpinsrb       $0x3,%eax,%xmm1,%xmm1
  .byte  196,226,121,49,201                  // vpmovzxbd     %xmm1,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,249,4,2,0         // vbroadcastss  0x204f9(%rip),%ymm1        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,118,4,2,0         // vbroadcastss  0x20476(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_avx
.globl _sk_load_565_avx
FUNCTION(_sk_load_565_avx)
_sk_load_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,128,0,0,0                    // jne           b496 <_sk_load_565_avx+0x9f>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm2
  .byte  196,226,125,24,5,156,4,2,0          // vbroadcastss  0x2049c(%rip),%ymm0        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  197,236,84,192                      // vandps        %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,143,4,2,0         // vbroadcastss  0x2048f(%rip),%ymm1        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,134,4,2,0         // vbroadcastss  0x20486(%rip),%ymm1        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  197,236,84,201                      // vandps        %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,121,4,2,0         // vbroadcastss  0x20479(%rip),%ymm3        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,24,29,112,4,2,0         // vbroadcastss  0x20470(%rip),%ymm3        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  197,236,84,211                      // vandps        %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,99,4,2,0          // vbroadcastss  0x20463(%rip),%ymm3        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,200,3,2,0         // vbroadcastss  0x203c8(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,110,255,255,255              // ja            b41c <_sk_load_565_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,99,0,0,0                  // lea           0x63(%rip),%r10        # b51c <_sk_load_565_avx+0x125>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,76,255,255,255                  // jmpq          b41c <_sk_load_565_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,47,255,255,255                  // jmpq          b41c <_sk_load_565_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,2,255,255,255                   // jmpq          b41c <_sk_load_565_avx+0x25>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  166                                 // cmpsb         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,180,255,255,255,237,255         // pushq         -0x120001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_565_dst_avx
.globl _sk_load_565_dst_avx
FUNCTION(_sk_load_565_dst_avx)
_sk_load_565_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,128,0,0,0                    // jne           b5d7 <_sk_load_565_dst_avx+0x9f>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,245,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm6
  .byte  196,226,125,24,37,91,3,2,0          // vbroadcastss  0x2035b(%rip),%ymm4        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  197,204,84,228                      // vandps        %ymm4,%ymm6,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,78,3,2,0          // vbroadcastss  0x2034e(%rip),%ymm5        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,24,45,69,3,2,0          // vbroadcastss  0x20345(%rip),%ymm5        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  197,204,84,237                      // vandps        %ymm5,%ymm6,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,61,56,3,2,0          // vbroadcastss  0x20338(%rip),%ymm7        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  197,212,89,239                      // vmulps        %ymm7,%ymm5,%ymm5
  .byte  196,226,125,24,61,47,3,2,0          // vbroadcastss  0x2032f(%rip),%ymm7        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  197,204,84,247                      // vandps        %ymm7,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,226,125,24,61,34,3,2,0          // vbroadcastss  0x20322(%rip),%ymm7        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  197,204,89,247                      // vmulps        %ymm7,%ymm6,%ymm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,61,135,2,2,0         // vbroadcastss  0x20287(%rip),%ymm7        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,110,255,255,255              // ja            b55d <_sk_load_565_dst_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # b65c <_sk_load_565_dst_avx+0x124>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,76,255,255,255                  // jmpq          b55d <_sk_load_565_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,47,255,255,255                  // jmpq          b55d <_sk_load_565_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,2,255,255,255                   // jmpq          b55d <_sk_load_565_dst_avx+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_565_avx
.globl _sk_gather_565_avx
FUNCTION(_sk_gather_565_avx)
_sk_gather_565_avx:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,15,183,28,88                     // movzwl        (%r8,%rbx,2),%ebx
  .byte  67,15,183,44,112                    // movzwl        (%r8,%r14,2),%ebp
  .byte  197,249,110,197                     // vmovd         %ebp,%xmm0
  .byte  197,249,196,195,1                   // vpinsrw       $0x1,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,96                     // movzwl        (%r8,%r12,2),%ebx
  .byte  197,249,196,195,2                   // vpinsrw       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,120                    // movzwl        (%r8,%r15,2),%ebx
  .byte  197,249,196,195,3                   // vpinsrw       $0x3,%ebx,%xmm0,%xmm0
  .byte  67,15,183,44,88                     // movzwl        (%r8,%r11,2),%ebp
  .byte  197,249,196,197,4                   // vpinsrw       $0x4,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,80                     // movzwl        (%r8,%r10,2),%ebp
  .byte  197,249,196,197,5                   // vpinsrw       $0x5,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,72                     // movzwl        (%r8,%r9,2),%ebp
  .byte  197,249,196,197,6                   // vpinsrw       $0x6,%ebp,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm2
  .byte  196,226,125,24,5,130,1,2,0          // vbroadcastss  0x20182(%rip),%ymm0        # 2b8d4 <_sk_overlay_sse2_8bit+0x4b8>
  .byte  197,236,84,192                      // vandps        %ymm0,%ymm2,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,117,1,2,0         // vbroadcastss  0x20175(%rip),%ymm1        # 2b8d8 <_sk_overlay_sse2_8bit+0x4bc>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,108,1,2,0         // vbroadcastss  0x2016c(%rip),%ymm1        # 2b8dc <_sk_overlay_sse2_8bit+0x4c0>
  .byte  197,236,84,201                      // vandps        %ymm1,%ymm2,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,29,95,1,2,0          // vbroadcastss  0x2015f(%rip),%ymm3        # 2b8e0 <_sk_overlay_sse2_8bit+0x4c4>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  196,226,125,24,29,86,1,2,0          // vbroadcastss  0x20156(%rip),%ymm3        # 2b8e4 <_sk_overlay_sse2_8bit+0x4c8>
  .byte  197,236,84,211                      // vandps        %ymm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,226,125,24,29,73,1,2,0          // vbroadcastss  0x20149(%rip),%ymm3        # 2b8e8 <_sk_overlay_sse2_8bit+0x4cc>
  .byte  197,236,89,211                      // vmulps        %ymm3,%ymm2,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,174,0,2,0         // vbroadcastss  0x200ae(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_avx
.globl _sk_store_565_avx
FUNCTION(_sk_store_565_avx)
_sk_store_565_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,113,1,2,0           // vbroadcastss  0x20171(%rip),%ymm8        # 2b948 <_sk_overlay_sse2_8bit+0x52c>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,41,114,241,11               // vpslld        $0xb,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,11               // vpslld        $0xb,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,98,125,24,21,74,1,2,0           // vbroadcastss  0x2014a(%rip),%ymm10        # 2b94c <_sk_overlay_sse2_8bit+0x530>
  .byte  196,65,116,89,210                   // vmulps        %ymm10,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,5                // vpslld        $0x5,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,5                // vpslld        $0x5,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,192                   // vmulps        %ymm8,%ymm2,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           b852 <_sk_store_565_avx+0x9a>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            b84e <_sk_store_565_avx+0x96>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,67,0,0,0                  // lea           0x43(%rip),%r10        # b8b0 <_sk_store_565_avx+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           b84e <_sk_store_565_avx+0x96>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           b84e <_sk_store_565_avx+0x96>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           b84e <_sk_store_565_avx+0x96>
  .byte  144                                 // nop
  .byte  198                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  239                                 // out           %eax,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_avx
.globl _sk_load_4444_avx
FUNCTION(_sk_load_4444_avx)
_sk_load_4444_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,152,0,0,0                    // jne           b983 <_sk_load_4444_avx+0xb7>
  .byte  196,129,122,111,4,88                // vmovdqu       (%r8,%r11,2),%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm3
  .byte  196,226,125,24,5,67,0,2,0           // vbroadcastss  0x20043(%rip),%ymm0        # 2b950 <_sk_overlay_sse2_8bit+0x534>
  .byte  197,228,84,192                      // vandps        %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,54,0,2,0          // vbroadcastss  0x20036(%rip),%ymm1        # 2b954 <_sk_overlay_sse2_8bit+0x538>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,45,0,2,0          // vbroadcastss  0x2002d(%rip),%ymm1        # 2b958 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,228,84,201                      // vandps        %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,32,0,2,0          // vbroadcastss  0x20020(%rip),%ymm2        # 2b95c <_sk_overlay_sse2_8bit+0x540>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,23,0,2,0          // vbroadcastss  0x20017(%rip),%ymm2        # 2b960 <_sk_overlay_sse2_8bit+0x544>
  .byte  197,228,84,210                      // vandps        %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,10,0,2,0            // vbroadcastss  0x2000a(%rip),%ymm8        # 2b964 <_sk_overlay_sse2_8bit+0x548>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,0,0,2,0             // vbroadcastss  0x20000(%rip),%ymm8        # 2b968 <_sk_overlay_sse2_8bit+0x54c>
  .byte  196,193,100,84,216                  // vandps        %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,242,255,1,0         // vbroadcastss  0x1fff2(%rip),%ymm8        # 2b96c <_sk_overlay_sse2_8bit+0x550>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,86,255,255,255               // ja            b8f1 <_sk_load_4444_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # ba08 <_sk_load_4444_avx+0x13c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  233,52,255,255,255                  // jmpq          b8f1 <_sk_load_4444_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,110,12,88               // vmovd         (%r8,%r11,2),%xmm1
  .byte  196,227,121,14,193,3                // vpblendw      $0x3,%xmm1,%xmm0,%xmm0
  .byte  233,23,255,255,255                  // jmpq          b8f1 <_sk_load_4444_avx+0x25>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,129,121,196,68,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,121,196,68,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm0,%xmm0
  .byte  196,129,122,126,12,88               // vmovq         (%r8,%r11,2),%xmm1
  .byte  196,227,113,14,192,240              // vpblendw      $0xf0,%xmm0,%xmm1,%xmm0
  .byte  233,234,254,255,255                 // jmpq          b8f1 <_sk_load_4444_avx+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_4444_dst_avx
.globl _sk_load_4444_dst_avx
FUNCTION(_sk_load_4444_dst_avx)
_sk_load_4444_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,152,0,0,0                    // jne           badb <_sk_load_4444_dst_avx+0xb7>
  .byte  196,129,122,111,36,88               // vmovdqu       (%r8,%r11,2),%xmm4
  .byte  197,209,239,237                     // vpxor         %xmm5,%xmm5,%xmm5
  .byte  197,217,105,237                     // vpunpckhwd    %xmm5,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,253,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm7
  .byte  196,226,125,24,37,235,254,1,0       // vbroadcastss  0x1feeb(%rip),%ymm4        # 2b950 <_sk_overlay_sse2_8bit+0x534>
  .byte  197,196,84,228                      // vandps        %ymm4,%ymm7,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,226,125,24,45,222,254,1,0       // vbroadcastss  0x1fede(%rip),%ymm5        # 2b954 <_sk_overlay_sse2_8bit+0x538>
  .byte  197,220,89,229                      // vmulps        %ymm5,%ymm4,%ymm4
  .byte  196,226,125,24,45,213,254,1,0       // vbroadcastss  0x1fed5(%rip),%ymm5        # 2b958 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,196,84,237                      // vandps        %ymm5,%ymm7,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,226,125,24,53,200,254,1,0       // vbroadcastss  0x1fec8(%rip),%ymm6        # 2b95c <_sk_overlay_sse2_8bit+0x540>
  .byte  197,212,89,238                      // vmulps        %ymm6,%ymm5,%ymm5
  .byte  196,226,125,24,53,191,254,1,0       // vbroadcastss  0x1febf(%rip),%ymm6        # 2b960 <_sk_overlay_sse2_8bit+0x544>
  .byte  197,196,84,246                      // vandps        %ymm6,%ymm7,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,98,125,24,5,178,254,1,0         // vbroadcastss  0x1feb2(%rip),%ymm8        # 2b964 <_sk_overlay_sse2_8bit+0x548>
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  196,98,125,24,5,168,254,1,0         // vbroadcastss  0x1fea8(%rip),%ymm8        # 2b968 <_sk_overlay_sse2_8bit+0x54c>
  .byte  196,193,68,84,248                   // vandps        %ymm8,%ymm7,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,98,125,24,5,154,254,1,0         // vbroadcastss  0x1fe9a(%rip),%ymm8        # 2b96c <_sk_overlay_sse2_8bit+0x550>
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,86,255,255,255               // ja            ba49 <_sk_load_4444_dst_avx+0x25>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,98,0,0,0                  // lea           0x62(%rip),%r10        # bb60 <_sk_load_4444_dst_avx+0x13c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,183,4,88                      // movzwl        (%r8,%r11,2),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,52,255,255,255                  // jmpq          ba49 <_sk_load_4444_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,4,2           // vpinsrw       $0x2,0x4(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,121,110,44,88               // vmovd         (%r8,%r11,2),%xmm5
  .byte  196,227,89,14,229,3                 // vpblendw      $0x3,%xmm5,%xmm4,%xmm4
  .byte  233,23,255,255,255                  // jmpq          ba49 <_sk_load_4444_dst_avx+0x25>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,129,89,196,100,88,12,6          // vpinsrw       $0x6,0xc(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,10,5          // vpinsrw       $0x5,0xa(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,89,196,100,88,8,4           // vpinsrw       $0x4,0x8(%r8,%r11,2),%xmm4,%xmm4
  .byte  196,129,122,126,44,88               // vmovq         (%r8,%r11,2),%xmm5
  .byte  196,227,81,14,228,240               // vpblendw      $0xf0,%xmm4,%xmm5,%xmm4
  .byte  233,234,254,255,255                 // jmpq          ba49 <_sk_load_4444_dst_avx+0x25>
  .byte  144                                 // nop
  .byte  167                                 // cmpsl         %es:(%rdi),%ds:(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,193                             // inc           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,181,255,255,255,238             // pushq         -0x11000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_4444_avx
.globl _sk_gather_4444_avx
FUNCTION(_sk_gather_4444_avx)
_sk_gather_4444_avx:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,15,183,28,88                     // movzwl        (%r8,%rbx,2),%ebx
  .byte  67,15,183,44,112                    // movzwl        (%r8,%r14,2),%ebp
  .byte  197,249,110,197                     // vmovd         %ebp,%xmm0
  .byte  197,249,196,195,1                   // vpinsrw       $0x1,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,96                     // movzwl        (%r8,%r12,2),%ebx
  .byte  197,249,196,195,2                   // vpinsrw       $0x2,%ebx,%xmm0,%xmm0
  .byte  67,15,183,28,120                    // movzwl        (%r8,%r15,2),%ebx
  .byte  197,249,196,195,3                   // vpinsrw       $0x3,%ebx,%xmm0,%xmm0
  .byte  67,15,183,44,88                     // movzwl        (%r8,%r11,2),%ebp
  .byte  197,249,196,197,4                   // vpinsrw       $0x4,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,80                     // movzwl        (%r8,%r10,2),%ebp
  .byte  197,249,196,197,5                   // vpinsrw       $0x5,%ebp,%xmm0,%xmm0
  .byte  67,15,183,44,72                     // movzwl        (%r8,%r9,2),%ebp
  .byte  197,249,196,197,6                   // vpinsrw       $0x6,%ebp,%xmm0,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  197,249,196,192,7                   // vpinsrw       $0x7,%eax,%xmm0,%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm3
  .byte  196,226,125,24,5,250,252,1,0        // vbroadcastss  0x1fcfa(%rip),%ymm0        # 2b950 <_sk_overlay_sse2_8bit+0x534>
  .byte  197,228,84,192                      // vandps        %ymm0,%ymm3,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,13,237,252,1,0       // vbroadcastss  0x1fced(%rip),%ymm1        # 2b954 <_sk_overlay_sse2_8bit+0x538>
  .byte  197,252,89,193                      // vmulps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,228,252,1,0       // vbroadcastss  0x1fce4(%rip),%ymm1        # 2b958 <_sk_overlay_sse2_8bit+0x53c>
  .byte  197,228,84,201                      // vandps        %ymm1,%ymm3,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,226,125,24,21,215,252,1,0       // vbroadcastss  0x1fcd7(%rip),%ymm2        # 2b95c <_sk_overlay_sse2_8bit+0x540>
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,21,206,252,1,0       // vbroadcastss  0x1fcce(%rip),%ymm2        # 2b960 <_sk_overlay_sse2_8bit+0x544>
  .byte  197,228,84,210                      // vandps        %ymm2,%ymm3,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,98,125,24,5,193,252,1,0         // vbroadcastss  0x1fcc1(%rip),%ymm8        # 2b964 <_sk_overlay_sse2_8bit+0x548>
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,98,125,24,5,183,252,1,0         // vbroadcastss  0x1fcb7(%rip),%ymm8        # 2b968 <_sk_overlay_sse2_8bit+0x54c>
  .byte  196,193,100,84,216                  // vandps        %ymm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,98,125,24,5,169,252,1,0         // vbroadcastss  0x1fca9(%rip),%ymm8        # 2b96c <_sk_overlay_sse2_8bit+0x550>
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_avx
.globl _sk_store_4444_avx
FUNCTION(_sk_store_4444_avx)
_sk_store_4444_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,125,252,1,0         // vbroadcastss  0x1fc7d(%rip),%ymm8        # 2b970 <_sk_overlay_sse2_8bit+0x554>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,193,41,114,241,12               // vpslld        $0xc,%xmm9,%xmm10
  .byte  196,67,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm9
  .byte  196,193,49,114,241,12               // vpslld        $0xc,%xmm9,%xmm9
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,8                // vpslld        $0x8,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,8                // vpslld        $0x8,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,4                // vpslld        $0x4,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,4                // vpslld        $0x4,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,65,45,86,192                    // vorpd         %ymm8,%ymm10,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,66,57,43,193                    // vpackusdw     %xmm9,%xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           bd8c <_sk_store_4444_avx+0xb8>
  .byte  196,1,122,127,4,88                  // vmovdqu       %xmm8,(%r8,%r11,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            bd88 <_sk_store_4444_avx+0xb4>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,69,0,0,0                  // lea           0x45(%rip),%r10        # bdec <_sk_store_4444_avx+0x118>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,3,121,21,4,88,0                 // vpextrw       $0x0,%xmm8,(%r8,%r11,2)
  .byte  235,207                             // jmp           bd88 <_sk_store_4444_avx+0xb4>
  .byte  196,3,121,21,68,88,4,2              // vpextrw       $0x2,%xmm8,0x4(%r8,%r11,2)
  .byte  196,1,121,126,4,88                  // vmovd         %xmm8,(%r8,%r11,2)
  .byte  235,191                             // jmp           bd88 <_sk_store_4444_avx+0xb4>
  .byte  196,3,121,21,68,88,12,6             // vpextrw       $0x6,%xmm8,0xc(%r8,%r11,2)
  .byte  196,3,121,21,68,88,10,5             // vpextrw       $0x5,%xmm8,0xa(%r8,%r11,2)
  .byte  196,3,121,21,68,88,8,4              // vpextrw       $0x4,%xmm8,0x8(%r8,%r11,2)
  .byte  196,1,121,214,4,88                  // vmovq         %xmm8,(%r8,%r11,2)
  .byte  235,159                             // jmp           bd88 <_sk_store_4444_avx+0xb4>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  196                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,205                             // dec           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,245                             // push          %rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  237                                 // in            (%dx),%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_avx
.globl _sk_load_8888_avx
FUNCTION(_sk_load_8888_avx)
_sk_load_8888_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           beaf <_sk_load_8888_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,106,255,1,0           // vmovapd       0x1ff6a(%rip),%ymm10        # 2bda0 <_sk_overlay_sse2_8bit+0x984>
  .byte  196,193,53,84,194                   // vandpd        %ymm10,%ymm9,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,5,136,250,1,0         // vbroadcastss  0x1fa88(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,193,113,114,209,8               // vpsrld        $0x8,%xmm9,%xmm1
  .byte  196,99,125,25,203,1                 // vextractf128  $0x1,%ymm9,%xmm3
  .byte  197,233,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,117,84,202                  // vandpd        %ymm10,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,233,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm2
  .byte  196,227,37,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm11,%ymm2
  .byte  196,193,109,84,210                  // vandpd        %ymm10,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,208                  // vmulps        %ymm8,%ymm2,%ymm2
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,53,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm9,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            be2e <_sk_load_8888_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # bf64 <_sk_load_8888_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          be2e <_sk_load_8888_avx+0x26>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,4                 // vblendps      $0x4,%ymm0,%ymm1,%ymm9
  .byte  196,129,123,16,4,152                // vmovsd        (%r8,%r11,4),%xmm0
  .byte  196,99,53,13,200,1                  // vblendpd      $0x1,%ymm0,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          be2e <_sk_load_8888_avx+0x26>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,64                // vblendps      $0x40,%ymm0,%ymm1,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,129,121,16,4,152                // vmovupd       (%r8,%r11,4),%xmm0
  .byte  196,67,125,13,201,12                // vblendpd      $0xc,%ymm9,%ymm0,%ymm9
  .byte  233,203,254,255,255                 // jmpq          be2e <_sk_load_8888_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            bf65 <_sk_load_8888_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_avx
.globl _sk_load_8888_dst_avx
FUNCTION(_sk_load_8888_dst_avx)
_sk_load_8888_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           c027 <_sk_load_8888_dst_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,18,254,1,0            // vmovapd       0x1fe12(%rip),%ymm10        # 2bdc0 <_sk_overlay_sse2_8bit+0x9a4>
  .byte  196,193,53,84,226                   // vandpd        %ymm10,%ymm9,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,98,125,24,5,16,249,1,0          // vbroadcastss  0x1f910(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  196,193,81,114,209,8                // vpsrld        $0x8,%xmm9,%xmm5
  .byte  196,99,125,25,207,1                 // vextractf128  $0x1,%ymm9,%xmm7
  .byte  197,201,114,215,8                   // vpsrld        $0x8,%xmm7,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  196,193,85,84,234                   // vandpd        %ymm10,%ymm5,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,193,84,89,232                   // vmulps        %ymm8,%ymm5,%ymm5
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,201,114,215,16                  // vpsrld        $0x10,%xmm7,%xmm6
  .byte  196,227,37,24,246,1                 // vinsertf128   $0x1,%xmm6,%ymm11,%ymm6
  .byte  196,193,77,84,242                   // vandpd        %ymm10,%ymm6,%ymm6
  .byte  197,252,91,246                      // vcvtdq2ps     %ymm6,%ymm6
  .byte  196,193,76,89,240                   // vmulps        %ymm8,%ymm6,%ymm6
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,193,114,215,24                  // vpsrld        $0x18,%xmm7,%xmm7
  .byte  196,227,53,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm9,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            bfa6 <_sk_load_8888_dst_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # c0dc <_sk_load_8888_dst_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          bfa6 <_sk_load_8888_dst_avx+0x26>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,4                  // vblendps      $0x4,%ymm4,%ymm5,%ymm9
  .byte  196,129,123,16,36,152               // vmovsd        (%r8,%r11,4),%xmm4
  .byte  196,99,53,13,204,1                  // vblendpd      $0x1,%ymm4,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          bfa6 <_sk_load_8888_dst_avx+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,64                 // vblendps      $0x40,%ymm4,%ymm5,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,129,121,16,36,152               // vmovupd       (%r8,%r11,4),%xmm4
  .byte  196,67,93,13,201,12                 // vblendpd      $0xc,%ymm9,%ymm4,%ymm9
  .byte  233,203,254,255,255                 // jmpq          bfa6 <_sk_load_8888_dst_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            c0dd <_sk_load_8888_dst_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_8888_avx
.globl _sk_gather_8888_avx
FUNCTION(_sk_gather_8888_avx)
_sk_gather_8888_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  197,249,110,80,8                    // vmovd         0x8(%rax),%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,226,105,64,217                  // vpmulld       %xmm1,%xmm2,%xmm3
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,226,105,64,201                  // vpmulld       %xmm1,%xmm2,%xmm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  197,241,254,202                     // vpaddd        %xmm2,%xmm1,%xmm1
  .byte  196,225,249,126,200                 // vmovq         %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,225,254,192                     // vpaddd        %xmm0,%xmm3,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,121,110,4,176               // vmovd         (%r8,%r14,4),%xmm0
  .byte  196,195,121,34,4,152,1              // vpinsrd       $0x1,(%r8,%rbx,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,160,2              // vpinsrd       $0x2,(%r8,%r12,4),%xmm0,%xmm0
  .byte  196,3,121,34,4,184,3                // vpinsrd       $0x3,(%r8,%r15,4),%xmm0,%xmm8
  .byte  196,129,121,110,4,136               // vmovd         (%r8,%r9,4),%xmm0
  .byte  196,195,121,34,4,128,1              // vpinsrd       $0x1,(%r8,%rax,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,152,2              // vpinsrd       $0x2,(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,131,121,34,28,144,3             // vpinsrd       $0x3,(%r8,%r10,4),%xmm0,%xmm3
  .byte  196,227,61,24,195,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm0
  .byte  197,124,40,21,54,252,1,0            // vmovaps       0x1fc36(%rip),%ymm10        # 2bde0 <_sk_overlay_sse2_8bit+0x9c4>
  .byte  196,193,124,84,194                  // vandps        %ymm10,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,13,20,247,1,0         // vbroadcastss  0x1f714(%rip),%ymm9        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,193                  // vmulps        %ymm9,%ymm0,%ymm0
  .byte  196,193,113,114,208,8               // vpsrld        $0x8,%xmm8,%xmm1
  .byte  197,233,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,116,84,202                  // vandps        %ymm10,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,201                  // vmulps        %ymm9,%ymm1,%ymm1
  .byte  196,193,33,114,208,16               // vpsrld        $0x10,%xmm8,%xmm11
  .byte  197,233,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm2
  .byte  196,227,37,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm11,%ymm2
  .byte  196,193,108,84,210                  // vandps        %ymm10,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,209                  // vmulps        %ymm9,%ymm2,%ymm2
  .byte  196,193,57,114,208,24               // vpsrld        $0x18,%xmm8,%xmm8
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,61,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,217                  // vmulps        %ymm9,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_avx
.globl _sk_store_8888_avx
FUNCTION(_sk_store_8888_avx)
_sk_store_8888_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,68,246,1,0          // vbroadcastss  0x1f644(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,8                // vpslld        $0x8,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,8                // vpslld        $0x8,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,108,89,208                   // vmulps        %ymm8,%ymm2,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,16               // vpslld        $0x10,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,16               // vpslld        $0x10,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,33,114,240,24               // vpslld        $0x18,%xmm8,%xmm11
  .byte  196,67,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm8
  .byte  196,193,57,114,240,24               // vpslld        $0x18,%xmm8,%xmm8
  .byte  196,67,37,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm11,%ymm8
  .byte  196,65,45,86,192                    // vorpd         %ymm8,%ymm10,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           c2d2 <_sk_store_8888_avx+0xae>
  .byte  196,1,124,17,4,152                  // vmovups       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            c2ce <_sk_store_8888_avx+0xaa>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # c340 <_sk_store_8888_avx+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           c2ce <_sk_store_8888_avx+0xaa>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           c2ce <_sk_store_8888_avx+0xaa>
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,1,122,17,76,152,16              // vmovss        %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,121,17,4,152                  // vmovupd       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           c2ce <_sk_store_8888_avx+0xaa>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_avx
.globl _sk_load_bgra_avx
FUNCTION(_sk_load_bgra_avx)
_sk_load_bgra_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           c403 <_sk_load_bgra_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,118,250,1,0           // vmovapd       0x1fa76(%rip),%ymm10        # 2be00 <_sk_overlay_sse2_8bit+0x9e4>
  .byte  196,193,53,84,202                   // vandpd        %ymm10,%ymm9,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,98,125,24,5,52,245,1,0          // vbroadcastss  0x1f534(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,116,89,208                  // vmulps        %ymm8,%ymm1,%ymm2
  .byte  196,193,113,114,209,8               // vpsrld        $0x8,%xmm9,%xmm1
  .byte  196,99,125,25,203,1                 // vextractf128  $0x1,%ymm9,%xmm3
  .byte  197,249,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm0
  .byte  196,227,117,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm1,%ymm0
  .byte  196,193,125,84,194                  // vandpd        %ymm10,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,200                  // vmulps        %ymm8,%ymm0,%ymm1
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,249,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm0
  .byte  196,227,37,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm11,%ymm0
  .byte  196,193,125,84,194                  // vandpd        %ymm10,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,53,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm9,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,216                  // vmulps        %ymm8,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            c382 <_sk_load_bgra_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # c4b8 <_sk_load_bgra_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          c382 <_sk_load_bgra_avx+0x26>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,4                 // vblendps      $0x4,%ymm0,%ymm1,%ymm9
  .byte  196,129,123,16,4,152                // vmovsd        (%r8,%r11,4),%xmm0
  .byte  196,99,53,13,200,1                  // vblendpd      $0x1,%ymm0,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          c382 <_sk_load_bgra_avx+0x26>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  197,249,112,192,68                  // vpshufd       $0x44,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,99,117,12,200,64                // vblendps      $0x40,%ymm0,%ymm1,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,131,121,34,68,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,99,53,24,200,1                  // vinsertf128   $0x1,%xmm0,%ymm9,%ymm9
  .byte  196,129,121,16,4,152                // vmovupd       (%r8,%r11,4),%xmm0
  .byte  196,67,125,13,201,12                // vblendpd      $0xc,%ymm9,%ymm0,%ymm9
  .byte  233,203,254,255,255                 // jmpq          c382 <_sk_load_bgra_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            c4b9 <_sk_load_bgra_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_avx
.globl _sk_load_bgra_dst_avx
FUNCTION(_sk_load_bgra_dst_avx)
_sk_load_bgra_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,135,0,0,0                    // jne           c57b <_sk_load_bgra_dst_avx+0xa7>
  .byte  196,1,125,16,12,152                 // vmovupd       (%r8,%r11,4),%ymm9
  .byte  197,125,40,21,30,249,1,0            // vmovapd       0x1f91e(%rip),%ymm10        # 2be20 <_sk_overlay_sse2_8bit+0xa04>
  .byte  196,193,53,84,234                   // vandpd        %ymm10,%ymm9,%ymm5
  .byte  197,252,91,237                      // vcvtdq2ps     %ymm5,%ymm5
  .byte  196,98,125,24,5,188,243,1,0         // vbroadcastss  0x1f3bc(%rip),%ymm8        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,84,89,240                   // vmulps        %ymm8,%ymm5,%ymm6
  .byte  196,193,81,114,209,8                // vpsrld        $0x8,%xmm9,%xmm5
  .byte  196,99,125,25,207,1                 // vextractf128  $0x1,%ymm9,%xmm7
  .byte  197,217,114,215,8                   // vpsrld        $0x8,%xmm7,%xmm4
  .byte  196,227,85,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm5,%ymm4
  .byte  196,193,93,84,226                   // vandpd        %ymm10,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,232                   // vmulps        %ymm8,%ymm4,%ymm5
  .byte  196,193,33,114,209,16               // vpsrld        $0x10,%xmm9,%xmm11
  .byte  197,217,114,215,16                  // vpsrld        $0x10,%xmm7,%xmm4
  .byte  196,227,37,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm11,%ymm4
  .byte  196,193,93,84,226                   // vandpd        %ymm10,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  196,193,92,89,224                   // vmulps        %ymm8,%ymm4,%ymm4
  .byte  196,193,49,114,209,24               // vpsrld        $0x18,%xmm9,%xmm9
  .byte  197,193,114,215,24                  // vpsrld        $0x18,%xmm7,%xmm7
  .byte  196,227,53,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm9,%ymm7
  .byte  197,252,91,255                      // vcvtdq2ps     %ymm7,%ymm7
  .byte  196,193,68,89,248                   // vmulps        %ymm8,%ymm7,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,102,255,255,255              // ja            c4fa <_sk_load_bgra_dst_avx+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,145,0,0,0                 // lea           0x91(%rip),%r10        # c630 <_sk_load_bgra_dst_avx+0x15c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,122,16,12,152                 // vmovss        (%r8,%r11,4),%xmm9
  .byte  233,71,255,255,255                  // jmpq          c4fa <_sk_load_bgra_dst_avx+0x26>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,4                  // vblendps      $0x4,%ymm4,%ymm5,%ymm9
  .byte  196,129,123,16,36,152               // vmovsd        (%r8,%r11,4),%xmm4
  .byte  196,99,53,13,204,1                  // vblendpd      $0x1,%ymm4,%ymm9,%ymm9
  .byte  233,32,255,255,255                  // jmpq          c4fa <_sk_load_bgra_dst_avx+0x26>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  197,249,112,228,68                  // vpshufd       $0x44,%xmm4,%xmm4
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  197,212,87,237                      // vxorps        %ymm5,%ymm5,%ymm5
  .byte  196,99,85,12,204,64                 // vblendps      $0x40,%ymm4,%ymm5,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,99,125,25,204,1                 // vextractf128  $0x1,%ymm9,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,99,53,24,204,1                  // vinsertf128   $0x1,%xmm4,%ymm9,%ymm9
  .byte  196,129,121,16,36,152               // vmovupd       (%r8,%r11,4),%xmm4
  .byte  196,67,93,13,201,12                 // vblendpd      $0xc,%ymm9,%ymm4,%ymm9
  .byte  233,203,254,255,255                 // jmpq          c4fa <_sk_load_bgra_dst_avx+0x26>
  .byte  144                                 // nop
  .byte  120,255                             // js            c631 <_sk_load_bgra_dst_avx+0x15d>
  .byte  255                                 // (bad)
  .byte  255,153,255,255,255,131             // lcall         *-0x7c000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_gather_bgra_avx
.globl _sk_gather_bgra_avx
FUNCTION(_sk_gather_bgra_avx)
_sk_gather_bgra_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  197,249,110,80,8                    // vmovd         0x8(%rax),%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,226,105,64,217                  // vpmulld       %xmm1,%xmm2,%xmm3
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,226,105,64,201                  // vpmulld       %xmm1,%xmm2,%xmm1
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  197,241,254,202                     // vpaddd        %xmm2,%xmm1,%xmm1
  .byte  196,225,249,126,200                 // vmovq         %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,225,254,192                     // vpaddd        %xmm0,%xmm3,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,129,121,110,4,176               // vmovd         (%r8,%r14,4),%xmm0
  .byte  196,195,121,34,4,152,1              // vpinsrd       $0x1,(%r8,%rbx,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,160,2              // vpinsrd       $0x2,(%r8,%r12,4),%xmm0,%xmm0
  .byte  196,3,121,34,4,184,3                // vpinsrd       $0x3,(%r8,%r15,4),%xmm0,%xmm8
  .byte  196,129,121,110,4,136               // vmovd         (%r8,%r9,4),%xmm0
  .byte  196,195,121,34,4,128,1              // vpinsrd       $0x1,(%r8,%rax,4),%xmm0,%xmm0
  .byte  196,131,121,34,4,152,2              // vpinsrd       $0x2,(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,131,121,34,28,144,3             // vpinsrd       $0x3,(%r8,%r10,4),%xmm0,%xmm3
  .byte  196,227,61,24,195,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm0
  .byte  197,124,40,13,66,247,1,0            // vmovaps       0x1f742(%rip),%ymm9        # 2be40 <_sk_overlay_sse2_8bit+0xa24>
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,21,192,241,1,0        // vbroadcastss  0x1f1c0(%rip),%ymm10        # 2b8d0 <_sk_overlay_sse2_8bit+0x4b4>
  .byte  196,193,124,89,210                  // vmulps        %ymm10,%ymm0,%ymm2
  .byte  196,193,121,114,208,8               // vpsrld        $0x8,%xmm8,%xmm0
  .byte  197,241,114,211,8                   // vpsrld        $0x8,%xmm3,%xmm1
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,202                  // vmulps        %ymm10,%ymm0,%ymm1
  .byte  196,193,33,114,208,16               // vpsrld        $0x10,%xmm8,%xmm11
  .byte  197,249,114,211,16                  // vpsrld        $0x10,%xmm3,%xmm0
  .byte  196,227,37,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm11,%ymm0
  .byte  196,193,124,84,193                  // vandps        %ymm9,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,193,124,89,194                  // vmulps        %ymm10,%ymm0,%ymm0
  .byte  196,193,57,114,208,24               // vpsrld        $0x18,%xmm8,%xmm8
  .byte  197,225,114,211,24                  // vpsrld        $0x18,%xmm3,%xmm3
  .byte  196,227,61,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm8,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,218                  // vmulps        %ymm10,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_avx
.globl _sk_store_bgra_avx
FUNCTION(_sk_store_bgra_avx)
_sk_store_bgra_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  196,98,125,24,5,240,240,1,0         // vbroadcastss  0x1f0f0(%rip),%ymm8        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  196,65,108,89,200                   // vmulps        %ymm8,%ymm2,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,8                // vpslld        $0x8,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,8                // vpslld        $0x8,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,45,86,201                    // vorpd         %ymm9,%ymm10,%ymm9
  .byte  196,65,124,89,208                   // vmulps        %ymm8,%ymm0,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,193,33,114,242,16               // vpslld        $0x10,%xmm10,%xmm11
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,242,16               // vpslld        $0x10,%xmm10,%xmm10
  .byte  196,67,37,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm11,%ymm10
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,193,33,114,240,24               // vpslld        $0x18,%xmm8,%xmm11
  .byte  196,67,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm8
  .byte  196,193,57,114,240,24               // vpslld        $0x18,%xmm8,%xmm8
  .byte  196,67,37,24,192,1                  // vinsertf128   $0x1,%xmm8,%ymm11,%ymm8
  .byte  196,65,45,86,192                    // vorpd         %ymm8,%ymm10,%ymm8
  .byte  196,65,53,86,192                    // vorpd         %ymm8,%ymm9,%ymm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           c826 <_sk_store_bgra_avx+0xae>
  .byte  196,1,124,17,4,152                  // vmovups       %ymm8,(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            c822 <_sk_store_bgra_avx+0xaa>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # c894 <_sk_store_bgra_avx+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,126,4,152                 // vmovd         %xmm8,(%r8,%r11,4)
  .byte  235,208                             // jmp           c822 <_sk_store_bgra_avx+0xaa>
  .byte  196,3,121,22,68,152,8,2             // vpextrd       $0x2,%xmm8,0x8(%r8,%r11,4)
  .byte  196,1,121,214,4,152                 // vmovq         %xmm8,(%r8,%r11,4)
  .byte  235,192                             // jmp           c822 <_sk_store_bgra_avx+0xaa>
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,24,2            // vpextrd       $0x2,%xmm9,0x18(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,3,121,22,76,152,20,1            // vpextrd       $0x1,%xmm9,0x14(%r8,%r11,4)
  .byte  196,67,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm9
  .byte  196,1,122,17,76,152,16              // vmovss        %xmm9,0x10(%r8,%r11,4)
  .byte  196,1,121,17,4,152                  // vmovupd       %xmm8,(%r8,%r11,4)
  .byte  235,143                             // jmp           c822 <_sk_store_bgra_avx+0xaa>
  .byte  144                                 // nop
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,247                 // mov           $0xf7ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,206                             // dec           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f16_avx
.globl _sk_load_f16_avx
FUNCTION(_sk_load_f16_avx)
_sk_load_f16_avx:
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,124,36,224               // vmovups       %ymm7,-0x20(%rsp)
  .byte  197,252,17,116,36,192               // vmovups       %ymm6,-0x40(%rsp)
  .byte  197,252,17,108,36,160               // vmovups       %ymm5,-0x60(%rsp)
  .byte  197,254,127,100,36,128              // vmovdqu       %ymm4,-0x80(%rsp)
  .byte  15,133,145,2,0,0                    // jne           cb7d <_sk_load_f16_avx+0x2cd>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,84,192,16            // vmovupd       0x10(%r8,%rax,8),%xmm2
  .byte  196,193,121,16,76,192,32            // vmovupd       0x20(%r8,%rax,8),%xmm1
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,113,97,217                  // vpunpcklwd    %xmm9,%xmm1,%xmm3
  .byte  196,193,113,105,201                 // vpunpckhwd    %xmm9,%xmm1,%xmm1
  .byte  197,121,97,250                      // vpunpcklwd    %xmm2,%xmm0,%xmm15
  .byte  197,121,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm8
  .byte  197,225,97,209                      // vpunpcklwd    %xmm1,%xmm3,%xmm2
  .byte  197,97,105,201                      // vpunpckhwd    %xmm1,%xmm3,%xmm9
  .byte  197,129,108,194                     // vpunpcklqdq   %xmm2,%xmm15,%xmm0
  .byte  197,241,239,201                     // vpxor         %xmm1,%xmm1,%xmm1
  .byte  197,249,105,201                     // vpunpckhwd    %xmm1,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,98,125,24,37,143,240,1,0        // vbroadcastss  0x1f08f(%rip),%ymm12        # 2b9d8 <_sk_overlay_sse2_8bit+0x5bc>
  .byte  196,193,124,84,204                  // vandps        %ymm12,%ymm0,%ymm1
  .byte  197,252,87,193                      // vxorps        %ymm1,%ymm0,%ymm0
  .byte  196,195,125,25,198,1                // vextractf128  $0x1,%ymm0,%xmm14
  .byte  196,98,121,24,29,83,240,1,0         // vbroadcastss  0x1f053(%rip),%xmm11        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,193,8,87,219                    // vxorps        %xmm11,%xmm14,%xmm3
  .byte  196,98,121,24,45,109,240,1,0        // vbroadcastss  0x1f06d(%rip),%xmm13        # 2b9dc <_sk_overlay_sse2_8bit+0x5c0>
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,65,120,87,211                   // vxorps        %xmm11,%xmm0,%xmm10
  .byte  196,65,17,102,210                   // vpcmpgtd      %xmm10,%xmm13,%xmm10
  .byte  196,99,45,24,211,1                  // vinsertf128   $0x1,%xmm3,%ymm10,%ymm10
  .byte  197,225,114,241,16                  // vpslld        $0x10,%xmm1,%xmm3
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  197,241,114,241,16                  // vpslld        $0x10,%xmm1,%xmm1
  .byte  196,227,101,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm1
  .byte  197,249,114,240,13                  // vpslld        $0xd,%xmm0,%xmm0
  .byte  196,193,97,114,246,13               // vpslld        $0xd,%xmm14,%xmm3
  .byte  196,227,125,24,195,1                // vinsertf128   $0x1,%xmm3,%ymm0,%ymm0
  .byte  197,252,86,193                      // vorps         %ymm1,%ymm0,%ymm0
  .byte  196,227,125,25,193,1                // vextractf128  $0x1,%ymm0,%xmm1
  .byte  196,226,121,24,29,35,240,1,0        // vbroadcastss  0x1f023(%rip),%xmm3        # 2b9e0 <_sk_overlay_sse2_8bit+0x5c4>
  .byte  197,241,254,203                     // vpaddd        %xmm3,%xmm1,%xmm1
  .byte  197,249,254,195                     // vpaddd        %xmm3,%xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,195,125,74,198,160              // vblendvps     %ymm10,%ymm14,%ymm0,%ymm0
  .byte  197,129,109,202                     // vpunpckhqdq   %xmm2,%xmm15,%xmm1
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,241,105,212                     // vpunpckhwd    %xmm4,%xmm1,%xmm2
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,116,84,212                  // vandps        %ymm12,%ymm1,%ymm2
  .byte  197,244,87,202                      // vxorps        %ymm2,%ymm1,%ymm1
  .byte  196,195,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm10
  .byte  196,193,40,87,251                   // vxorps        %xmm11,%xmm10,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,193,112,87,243                  // vxorps        %xmm11,%xmm1,%xmm6
  .byte  197,145,102,246                     // vpcmpgtd      %xmm6,%xmm13,%xmm6
  .byte  196,227,77,24,247,1                 // vinsertf128   $0x1,%xmm7,%ymm6,%ymm6
  .byte  197,193,114,242,16                  // vpslld        $0x10,%xmm2,%xmm7
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  197,233,114,242,16                  // vpslld        $0x10,%xmm2,%xmm2
  .byte  196,227,69,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm7,%ymm2
  .byte  197,241,114,241,13                  // vpslld        $0xd,%xmm1,%xmm1
  .byte  196,193,65,114,242,13               // vpslld        $0xd,%xmm10,%xmm7
  .byte  196,227,117,24,207,1                // vinsertf128   $0x1,%xmm7,%ymm1,%ymm1
  .byte  197,244,86,202                      // vorps         %ymm2,%ymm1,%ymm1
  .byte  196,227,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm2
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,241,254,203                     // vpaddd        %xmm3,%xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,195,117,74,206,96               // vblendvps     %ymm6,%ymm14,%ymm1,%ymm1
  .byte  196,193,57,108,209                  // vpunpcklqdq   %xmm9,%xmm8,%xmm2
  .byte  197,233,105,244                     // vpunpckhwd    %xmm4,%xmm2,%xmm6
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  196,193,108,84,244                  // vandps        %ymm12,%ymm2,%ymm6
  .byte  197,236,87,214                      // vxorps        %ymm6,%ymm2,%ymm2
  .byte  196,227,125,25,215,1                // vextractf128  $0x1,%ymm2,%xmm7
  .byte  196,193,64,87,235                   // vxorps        %xmm11,%xmm7,%xmm5
  .byte  197,145,102,237                     // vpcmpgtd      %xmm5,%xmm13,%xmm5
  .byte  196,193,104,87,227                  // vxorps        %xmm11,%xmm2,%xmm4
  .byte  197,145,102,228                     // vpcmpgtd      %xmm4,%xmm13,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,209,114,246,16                  // vpslld        $0x10,%xmm6,%xmm5
  .byte  196,227,125,25,246,1                // vextractf128  $0x1,%ymm6,%xmm6
  .byte  197,201,114,246,16                  // vpslld        $0x10,%xmm6,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  197,201,114,247,13                  // vpslld        $0xd,%xmm7,%xmm6
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  197,236,86,213                      // vorps         %ymm5,%ymm2,%ymm2
  .byte  196,227,125,25,213,1                // vextractf128  $0x1,%ymm2,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,213,1                // vinsertf128   $0x1,%xmm5,%ymm2,%ymm2
  .byte  196,195,109,74,214,64               // vblendvps     %ymm4,%ymm14,%ymm2,%ymm2
  .byte  196,193,57,109,225                  // vpunpckhqdq   %xmm9,%xmm8,%xmm4
  .byte  196,193,89,105,234                  // vpunpckhwd    %xmm10,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,193,92,84,236                   // vandps        %ymm12,%ymm4,%ymm5
  .byte  197,220,87,229                      // vxorps        %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,230,1                // vextractf128  $0x1,%ymm4,%xmm6
  .byte  196,193,72,87,251                   // vxorps        %xmm11,%xmm6,%xmm7
  .byte  197,17,102,199                      // vpcmpgtd      %xmm7,%xmm13,%xmm8
  .byte  196,193,88,87,251                   // vxorps        %xmm11,%xmm4,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,195,69,24,248,1                 // vinsertf128   $0x1,%xmm8,%ymm7,%ymm7
  .byte  197,185,114,245,16                  // vpslld        $0x10,%xmm5,%xmm8
  .byte  196,227,125,25,237,1                // vextractf128  $0x1,%ymm5,%xmm5
  .byte  197,209,114,245,16                  // vpslld        $0x10,%xmm5,%xmm5
  .byte  196,227,61,24,237,1                 // vinsertf128   $0x1,%xmm5,%ymm8,%ymm5
  .byte  197,217,114,244,13                  // vpslld        $0xd,%xmm4,%xmm4
  .byte  197,201,114,246,13                  // vpslld        $0xd,%xmm6,%xmm6
  .byte  196,227,93,24,230,1                 // vinsertf128   $0x1,%xmm6,%ymm4,%ymm4
  .byte  197,220,86,229                      // vorps         %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,229,1                // vextractf128  $0x1,%ymm4,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,217,254,219                     // vpaddd        %xmm3,%xmm4,%xmm3
  .byte  196,227,101,24,221,1                // vinsertf128   $0x1,%xmm5,%ymm3,%ymm3
  .byte  196,195,101,74,222,112              // vblendvps     %ymm7,%ymm14,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            cbe3 <_sk_load_f16_avx+0x333>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            cbe3 <_sk_load_f16_avx+0x333>
  .byte  196,193,123,16,84,192,16            // vmovsd        0x10(%r8,%rax,8),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            cbf0 <_sk_load_f16_avx+0x340>
  .byte  196,193,105,22,84,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            cbf0 <_sk_load_f16_avx+0x340>
  .byte  196,193,123,16,76,192,32            // vmovsd        0x20(%r8,%rax,8),%xmm1
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,65,253,255,255               // je            c907 <_sk_load_f16_avx+0x57>
  .byte  196,193,113,22,76,192,40            // vmovhpd       0x28(%r8,%rax,8),%xmm1,%xmm1
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,48,253,255,255               // jb            c907 <_sk_load_f16_avx+0x57>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,36,253,255,255                  // jmpq          c907 <_sk_load_f16_avx+0x57>
  .byte  197,241,87,201                      // vxorpd        %xmm1,%xmm1,%xmm1
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,23,253,255,255                  // jmpq          c907 <_sk_load_f16_avx+0x57>
  .byte  197,241,87,201                      // vxorpd        %xmm1,%xmm1,%xmm1
  .byte  233,14,253,255,255                  // jmpq          c907 <_sk_load_f16_avx+0x57>

HIDDEN _sk_load_f16_dst_avx
.globl _sk_load_f16_dst_avx
FUNCTION(_sk_load_f16_dst_avx)
_sk_load_f16_dst_avx:
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  197,252,17,92,36,224                // vmovups       %ymm3,-0x20(%rsp)
  .byte  197,252,17,84,36,192                // vmovups       %ymm2,-0x40(%rsp)
  .byte  197,252,17,76,36,160                // vmovups       %ymm1,-0x60(%rsp)
  .byte  197,254,127,68,36,128               // vmovdqu       %ymm0,-0x80(%rsp)
  .byte  15,133,145,2,0,0                    // jne           cec6 <_sk_load_f16_dst_avx+0x2cd>
  .byte  196,65,121,16,4,192                 // vmovupd       (%r8,%rax,8),%xmm8
  .byte  196,193,121,16,116,192,16           // vmovupd       0x10(%r8,%rax,8),%xmm6
  .byte  196,193,121,16,108,192,32           // vmovupd       0x20(%r8,%rax,8),%xmm5
  .byte  196,65,122,111,76,192,48            // vmovdqu       0x30(%r8,%rax,8),%xmm9
  .byte  197,185,97,230                      // vpunpcklwd    %xmm6,%xmm8,%xmm4
  .byte  197,185,105,246                     // vpunpckhwd    %xmm6,%xmm8,%xmm6
  .byte  196,193,81,97,249                   // vpunpcklwd    %xmm9,%xmm5,%xmm7
  .byte  196,193,81,105,233                  // vpunpckhwd    %xmm9,%xmm5,%xmm5
  .byte  197,89,97,254                       // vpunpcklwd    %xmm6,%xmm4,%xmm15
  .byte  197,89,105,198                      // vpunpckhwd    %xmm6,%xmm4,%xmm8
  .byte  197,193,97,245                      // vpunpcklwd    %xmm5,%xmm7,%xmm6
  .byte  197,65,105,205                      // vpunpckhwd    %xmm5,%xmm7,%xmm9
  .byte  197,129,108,230                     // vpunpcklqdq   %xmm6,%xmm15,%xmm4
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,217,105,232                     // vpunpckhwd    %xmm0,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,98,125,24,37,70,237,1,0         // vbroadcastss  0x1ed46(%rip),%ymm12        # 2b9d8 <_sk_overlay_sse2_8bit+0x5bc>
  .byte  196,193,92,84,236                   // vandps        %ymm12,%ymm4,%ymm5
  .byte  197,220,87,229                      // vxorps        %ymm5,%ymm4,%ymm4
  .byte  196,195,125,25,230,1                // vextractf128  $0x1,%ymm4,%xmm14
  .byte  196,98,121,24,29,10,237,1,0         // vbroadcastss  0x1ed0a(%rip),%xmm11        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,193,8,87,251                    // vxorps        %xmm11,%xmm14,%xmm7
  .byte  196,98,121,24,45,36,237,1,0         // vbroadcastss  0x1ed24(%rip),%xmm13        # 2b9dc <_sk_overlay_sse2_8bit+0x5c0>
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,65,88,87,211                    // vxorps        %xmm11,%xmm4,%xmm10
  .byte  196,65,17,102,210                   // vpcmpgtd      %xmm10,%xmm13,%xmm10
  .byte  196,99,45,24,215,1                  // vinsertf128   $0x1,%xmm7,%ymm10,%ymm10
  .byte  197,193,114,245,16                  // vpslld        $0x10,%xmm5,%xmm7
  .byte  196,227,125,25,237,1                // vextractf128  $0x1,%ymm5,%xmm5
  .byte  197,209,114,245,16                  // vpslld        $0x10,%xmm5,%xmm5
  .byte  196,227,69,24,237,1                 // vinsertf128   $0x1,%xmm5,%ymm7,%ymm5
  .byte  197,217,114,244,13                  // vpslld        $0xd,%xmm4,%xmm4
  .byte  196,193,65,114,246,13               // vpslld        $0xd,%xmm14,%xmm7
  .byte  196,227,93,24,231,1                 // vinsertf128   $0x1,%xmm7,%ymm4,%ymm4
  .byte  197,220,86,229                      // vorps         %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,229,1                // vextractf128  $0x1,%ymm4,%xmm5
  .byte  196,226,121,24,61,218,236,1,0       // vbroadcastss  0x1ecda(%rip),%xmm7        # 2b9e0 <_sk_overlay_sse2_8bit+0x5c4>
  .byte  197,209,254,239                     // vpaddd        %xmm7,%xmm5,%xmm5
  .byte  197,217,254,231                     // vpaddd        %xmm7,%xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,195,93,74,230,160               // vblendvps     %ymm10,%ymm14,%ymm4,%ymm4
  .byte  197,129,109,238                     // vpunpckhqdq   %xmm6,%xmm15,%xmm5
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  197,209,105,240                     // vpunpckhwd    %xmm0,%xmm5,%xmm6
  .byte  196,226,121,51,237                  // vpmovzxwd     %xmm5,%xmm5
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  196,193,84,84,244                   // vandps        %ymm12,%ymm5,%ymm6
  .byte  197,212,87,238                      // vxorps        %ymm6,%ymm5,%ymm5
  .byte  196,195,125,25,234,1                // vextractf128  $0x1,%ymm5,%xmm10
  .byte  196,193,40,87,219                   // vxorps        %xmm11,%xmm10,%xmm3
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,193,80,87,211                   // vxorps        %xmm11,%xmm5,%xmm2
  .byte  197,145,102,210                     // vpcmpgtd      %xmm2,%xmm13,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,225,114,246,16                  // vpslld        $0x10,%xmm6,%xmm3
  .byte  196,227,125,25,246,1                // vextractf128  $0x1,%ymm6,%xmm6
  .byte  197,201,114,246,16                  // vpslld        $0x10,%xmm6,%xmm6
  .byte  196,227,101,24,222,1                // vinsertf128   $0x1,%xmm6,%ymm3,%ymm3
  .byte  197,209,114,245,13                  // vpslld        $0xd,%xmm5,%xmm5
  .byte  196,193,73,114,242,13               // vpslld        $0xd,%xmm10,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  197,212,86,219                      // vorps         %ymm3,%ymm5,%ymm3
  .byte  196,227,125,25,221,1                // vextractf128  $0x1,%ymm3,%xmm5
  .byte  197,209,254,239                     // vpaddd        %xmm7,%xmm5,%xmm5
  .byte  197,225,254,223                     // vpaddd        %xmm7,%xmm3,%xmm3
  .byte  196,227,101,24,221,1                // vinsertf128   $0x1,%xmm5,%ymm3,%ymm3
  .byte  196,195,101,74,238,32               // vblendvps     %ymm2,%ymm14,%ymm3,%ymm5
  .byte  196,193,57,108,209                  // vpunpcklqdq   %xmm9,%xmm8,%xmm2
  .byte  197,233,105,216                     // vpunpckhwd    %xmm0,%xmm2,%xmm3
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  196,193,108,84,220                  // vandps        %ymm12,%ymm2,%ymm3
  .byte  197,236,87,211                      // vxorps        %ymm3,%ymm2,%ymm2
  .byte  196,227,125,25,214,1                // vextractf128  $0x1,%ymm2,%xmm6
  .byte  196,193,72,87,203                   // vxorps        %xmm11,%xmm6,%xmm1
  .byte  197,145,102,201                     // vpcmpgtd      %xmm1,%xmm13,%xmm1
  .byte  196,193,104,87,195                  // vxorps        %xmm11,%xmm2,%xmm0
  .byte  197,145,102,192                     // vpcmpgtd      %xmm0,%xmm13,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,241,114,243,16                  // vpslld        $0x10,%xmm3,%xmm1
  .byte  196,227,125,25,219,1                // vextractf128  $0x1,%ymm3,%xmm3
  .byte  197,225,114,243,16                  // vpslld        $0x10,%xmm3,%xmm3
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  197,225,114,246,13                  // vpslld        $0xd,%xmm6,%xmm3
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,236,86,201                      // vorps         %ymm1,%ymm2,%ymm1
  .byte  196,227,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm2
  .byte  197,233,254,215                     // vpaddd        %xmm7,%xmm2,%xmm2
  .byte  197,241,254,207                     // vpaddd        %xmm7,%xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,195,117,74,246,0                // vblendvps     %ymm0,%ymm14,%ymm1,%ymm6
  .byte  196,193,57,109,193                  // vpunpckhqdq   %xmm9,%xmm8,%xmm0
  .byte  196,193,121,105,202                 // vpunpckhwd    %xmm10,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,193,124,84,204                  // vandps        %ymm12,%ymm0,%ymm1
  .byte  197,252,87,193                      // vxorps        %ymm1,%ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  196,193,104,87,219                  // vxorps        %xmm11,%xmm2,%xmm3
  .byte  197,17,102,195                      // vpcmpgtd      %xmm3,%xmm13,%xmm8
  .byte  196,193,120,87,219                  // vxorps        %xmm11,%xmm0,%xmm3
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  197,185,114,241,16                  // vpslld        $0x10,%xmm1,%xmm8
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  197,241,114,241,16                  // vpslld        $0x10,%xmm1,%xmm1
  .byte  196,227,61,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm8,%ymm1
  .byte  197,249,114,240,13                  // vpslld        $0xd,%xmm0,%xmm0
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  197,252,86,193                      // vorps         %ymm1,%ymm0,%ymm0
  .byte  196,227,125,25,193,1                // vextractf128  $0x1,%ymm0,%xmm1
  .byte  197,241,254,207                     // vpaddd        %xmm7,%xmm1,%xmm1
  .byte  197,249,254,199                     // vpaddd        %xmm7,%xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  196,195,125,74,254,48               // vblendvps     %ymm3,%ymm14,%ymm0,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,252,16,92,36,224                // vmovups       -0x20(%rsp),%ymm3
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,192                 // vmovsd        (%r8,%rax,8),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            cf2c <_sk_load_f16_dst_avx+0x333>
  .byte  196,65,57,22,68,192,8               // vmovhpd       0x8(%r8,%rax,8),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            cf2c <_sk_load_f16_dst_avx+0x333>
  .byte  196,193,123,16,116,192,16           // vmovsd        0x10(%r8,%rax,8),%xmm6
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            cf39 <_sk_load_f16_dst_avx+0x340>
  .byte  196,193,73,22,116,192,24            // vmovhpd       0x18(%r8,%rax,8),%xmm6,%xmm6
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            cf39 <_sk_load_f16_dst_avx+0x340>
  .byte  196,193,123,16,108,192,32           // vmovsd        0x20(%r8,%rax,8),%xmm5
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,65,253,255,255               // je            cc50 <_sk_load_f16_dst_avx+0x57>
  .byte  196,193,81,22,108,192,40            // vmovhpd       0x28(%r8,%rax,8),%xmm5,%xmm5
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,48,253,255,255               // jb            cc50 <_sk_load_f16_dst_avx+0x57>
  .byte  196,65,122,126,76,192,48            // vmovq         0x30(%r8,%rax,8),%xmm9
  .byte  233,36,253,255,255                  // jmpq          cc50 <_sk_load_f16_dst_avx+0x57>
  .byte  197,209,87,237                      // vxorpd        %xmm5,%xmm5,%xmm5
  .byte  197,201,87,246                      // vxorpd        %xmm6,%xmm6,%xmm6
  .byte  233,23,253,255,255                  // jmpq          cc50 <_sk_load_f16_dst_avx+0x57>
  .byte  197,209,87,237                      // vxorpd        %xmm5,%xmm5,%xmm5
  .byte  233,14,253,255,255                  // jmpq          cc50 <_sk_load_f16_dst_avx+0x57>

HIDDEN _sk_gather_f16_avx
.globl _sk_gather_f16_avx
FUNCTION(_sk_gather_f16_avx)
_sk_gather_f16_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,252,17,124,36,224               // vmovups       %ymm7,-0x20(%rsp)
  .byte  197,252,17,116,36,192               // vmovups       %ymm6,-0x40(%rsp)
  .byte  197,252,17,108,36,160               // vmovups       %ymm5,-0x60(%rsp)
  .byte  197,254,127,100,36,128              // vmovdqu       %ymm4,-0x80(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,254,91,209                      // vcvttps2dq    %ymm1,%ymm2
  .byte  197,249,110,72,8                    // vmovd         0x8(%rax),%xmm1
  .byte  197,249,112,217,0                   // vpshufd       $0x0,%xmm1,%xmm3
  .byte  196,226,97,64,202                   // vpmulld       %xmm2,%xmm3,%xmm1
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,195,1                // vextractf128  $0x1,%ymm0,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,249,22,208,1                // vpextrq       $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,241,254,192                     // vpaddd        %xmm0,%xmm1,%xmm0
  .byte  196,225,249,126,195                 // vmovq         %xmm0,%rbx
  .byte  65,137,222                          // mov           %ebx,%r14d
  .byte  196,195,249,22,199,1                // vpextrq       $0x1,%xmm0,%r15
  .byte  69,137,252                          // mov           %r15d,%r12d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,193,122,126,4,216               // vmovq         (%r8,%rbx,8),%xmm0
  .byte  196,129,122,126,12,240              // vmovq         (%r8,%r14,8),%xmm1
  .byte  197,113,108,200                     // vpunpcklqdq   %xmm0,%xmm1,%xmm9
  .byte  196,129,122,126,12,248              // vmovq         (%r8,%r15,8),%xmm1
  .byte  196,129,122,126,20,224              // vmovq         (%r8,%r12,8),%xmm2
  .byte  197,233,108,201                     // vpunpcklqdq   %xmm1,%xmm2,%xmm1
  .byte  196,129,122,126,20,208              // vmovq         (%r8,%r10,8),%xmm2
  .byte  196,129,122,126,28,216              // vmovq         (%r8,%r11,8),%xmm3
  .byte  197,97,108,210                      // vpunpcklqdq   %xmm2,%xmm3,%xmm10
  .byte  196,65,122,126,4,192                // vmovq         (%r8,%rax,8),%xmm8
  .byte  196,129,122,126,28,200              // vmovq         (%r8,%r9,8),%xmm3
  .byte  196,193,97,108,216                  // vpunpcklqdq   %xmm8,%xmm3,%xmm3
  .byte  197,177,97,193                      // vpunpcklwd    %xmm1,%xmm9,%xmm0
  .byte  197,177,105,201                     // vpunpckhwd    %xmm1,%xmm9,%xmm1
  .byte  197,169,97,211                      // vpunpcklwd    %xmm3,%xmm10,%xmm2
  .byte  197,169,105,219                     // vpunpckhwd    %xmm3,%xmm10,%xmm3
  .byte  197,121,97,249                      // vpunpcklwd    %xmm1,%xmm0,%xmm15
  .byte  197,121,105,193                     // vpunpckhwd    %xmm1,%xmm0,%xmm8
  .byte  197,233,97,203                      // vpunpcklwd    %xmm3,%xmm2,%xmm1
  .byte  197,105,105,203                     // vpunpckhwd    %xmm3,%xmm2,%xmm9
  .byte  197,129,108,193                     // vpunpcklqdq   %xmm1,%xmm15,%xmm0
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  197,249,105,210                     // vpunpckhwd    %xmm2,%xmm0,%xmm2
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  196,98,125,24,37,139,233,1,0        // vbroadcastss  0x1e98b(%rip),%ymm12        # 2b9d8 <_sk_overlay_sse2_8bit+0x5bc>
  .byte  196,193,124,84,212                  // vandps        %ymm12,%ymm0,%ymm2
  .byte  197,252,87,194                      // vxorps        %ymm2,%ymm0,%ymm0
  .byte  196,195,125,25,198,1                // vextractf128  $0x1,%ymm0,%xmm14
  .byte  196,98,121,24,29,79,233,1,0         // vbroadcastss  0x1e94f(%rip),%xmm11        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,193,8,87,219                    // vxorps        %xmm11,%xmm14,%xmm3
  .byte  196,98,121,24,45,105,233,1,0        // vbroadcastss  0x1e969(%rip),%xmm13        # 2b9dc <_sk_overlay_sse2_8bit+0x5c0>
  .byte  197,145,102,219                     // vpcmpgtd      %xmm3,%xmm13,%xmm3
  .byte  196,65,120,87,211                   // vxorps        %xmm11,%xmm0,%xmm10
  .byte  196,65,17,102,210                   // vpcmpgtd      %xmm10,%xmm13,%xmm10
  .byte  196,99,45,24,211,1                  // vinsertf128   $0x1,%xmm3,%ymm10,%ymm10
  .byte  197,225,114,242,16                  // vpslld        $0x10,%xmm2,%xmm3
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  197,233,114,242,16                  // vpslld        $0x10,%xmm2,%xmm2
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  197,249,114,240,13                  // vpslld        $0xd,%xmm0,%xmm0
  .byte  196,193,97,114,246,13               // vpslld        $0xd,%xmm14,%xmm3
  .byte  196,227,125,24,195,1                // vinsertf128   $0x1,%xmm3,%ymm0,%ymm0
  .byte  197,252,86,194                      // vorps         %ymm2,%ymm0,%ymm0
  .byte  196,227,125,25,194,1                // vextractf128  $0x1,%ymm0,%xmm2
  .byte  196,226,121,24,29,31,233,1,0        // vbroadcastss  0x1e91f(%rip),%xmm3        # 2b9e0 <_sk_overlay_sse2_8bit+0x5c4>
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,249,254,195                     // vpaddd        %xmm3,%xmm0,%xmm0
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  196,65,12,87,246                    // vxorps        %ymm14,%ymm14,%ymm14
  .byte  196,195,125,74,198,160              // vblendvps     %ymm10,%ymm14,%ymm0,%ymm0
  .byte  197,129,109,201                     // vpunpckhqdq   %xmm1,%xmm15,%xmm1
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  197,241,105,212                     // vpunpckhwd    %xmm4,%xmm1,%xmm2
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,193,116,84,212                  // vandps        %ymm12,%ymm1,%ymm2
  .byte  197,244,87,202                      // vxorps        %ymm2,%ymm1,%ymm1
  .byte  196,195,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm10
  .byte  196,193,40,87,251                   // vxorps        %xmm11,%xmm10,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,193,112,87,243                  // vxorps        %xmm11,%xmm1,%xmm6
  .byte  197,145,102,246                     // vpcmpgtd      %xmm6,%xmm13,%xmm6
  .byte  196,227,77,24,247,1                 // vinsertf128   $0x1,%xmm7,%ymm6,%ymm6
  .byte  197,193,114,242,16                  // vpslld        $0x10,%xmm2,%xmm7
  .byte  196,227,125,25,210,1                // vextractf128  $0x1,%ymm2,%xmm2
  .byte  197,233,114,242,16                  // vpslld        $0x10,%xmm2,%xmm2
  .byte  196,227,69,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm7,%ymm2
  .byte  197,241,114,241,13                  // vpslld        $0xd,%xmm1,%xmm1
  .byte  196,193,65,114,242,13               // vpslld        $0xd,%xmm10,%xmm7
  .byte  196,227,117,24,207,1                // vinsertf128   $0x1,%xmm7,%ymm1,%ymm1
  .byte  197,244,86,202                      // vorps         %ymm2,%ymm1,%ymm1
  .byte  196,227,125,25,202,1                // vextractf128  $0x1,%ymm1,%xmm2
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,241,254,203                     // vpaddd        %xmm3,%xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  196,195,117,74,206,96               // vblendvps     %ymm6,%ymm14,%ymm1,%ymm1
  .byte  196,193,57,108,209                  // vpunpcklqdq   %xmm9,%xmm8,%xmm2
  .byte  197,233,105,244                     // vpunpckhwd    %xmm4,%xmm2,%xmm6
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  196,193,108,84,244                  // vandps        %ymm12,%ymm2,%ymm6
  .byte  197,236,87,214                      // vxorps        %ymm6,%ymm2,%ymm2
  .byte  196,227,125,25,215,1                // vextractf128  $0x1,%ymm2,%xmm7
  .byte  196,193,64,87,235                   // vxorps        %xmm11,%xmm7,%xmm5
  .byte  197,145,102,237                     // vpcmpgtd      %xmm5,%xmm13,%xmm5
  .byte  196,193,104,87,227                  // vxorps        %xmm11,%xmm2,%xmm4
  .byte  197,145,102,228                     // vpcmpgtd      %xmm4,%xmm13,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  197,209,114,246,16                  // vpslld        $0x10,%xmm6,%xmm5
  .byte  196,227,125,25,246,1                // vextractf128  $0x1,%ymm6,%xmm6
  .byte  197,201,114,246,16                  // vpslld        $0x10,%xmm6,%xmm6
  .byte  196,227,85,24,238,1                 // vinsertf128   $0x1,%xmm6,%ymm5,%ymm5
  .byte  197,233,114,242,13                  // vpslld        $0xd,%xmm2,%xmm2
  .byte  197,201,114,247,13                  // vpslld        $0xd,%xmm7,%xmm6
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  197,236,86,213                      // vorps         %ymm5,%ymm2,%ymm2
  .byte  196,227,125,25,213,1                // vextractf128  $0x1,%ymm2,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,213,1                // vinsertf128   $0x1,%xmm5,%ymm2,%ymm2
  .byte  196,195,109,74,214,64               // vblendvps     %ymm4,%ymm14,%ymm2,%ymm2
  .byte  196,193,57,109,225                  // vpunpckhqdq   %xmm9,%xmm8,%xmm4
  .byte  196,193,89,105,234                  // vpunpckhwd    %xmm10,%xmm4,%xmm5
  .byte  196,226,121,51,228                  // vpmovzxwd     %xmm4,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,193,92,84,236                   // vandps        %ymm12,%ymm4,%ymm5
  .byte  197,220,87,229                      // vxorps        %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,230,1                // vextractf128  $0x1,%ymm4,%xmm6
  .byte  196,193,72,87,251                   // vxorps        %xmm11,%xmm6,%xmm7
  .byte  197,17,102,199                      // vpcmpgtd      %xmm7,%xmm13,%xmm8
  .byte  196,193,88,87,251                   // vxorps        %xmm11,%xmm4,%xmm7
  .byte  197,145,102,255                     // vpcmpgtd      %xmm7,%xmm13,%xmm7
  .byte  196,195,69,24,248,1                 // vinsertf128   $0x1,%xmm8,%ymm7,%ymm7
  .byte  197,185,114,245,16                  // vpslld        $0x10,%xmm5,%xmm8
  .byte  196,227,125,25,237,1                // vextractf128  $0x1,%ymm5,%xmm5
  .byte  197,209,114,245,16                  // vpslld        $0x10,%xmm5,%xmm5
  .byte  196,227,61,24,237,1                 // vinsertf128   $0x1,%xmm5,%ymm8,%ymm5
  .byte  197,217,114,244,13                  // vpslld        $0xd,%xmm4,%xmm4
  .byte  197,201,114,246,13                  // vpslld        $0xd,%xmm6,%xmm6
  .byte  196,227,93,24,230,1                 // vinsertf128   $0x1,%xmm6,%ymm4,%ymm4
  .byte  197,220,86,229                      // vorps         %ymm5,%ymm4,%ymm4
  .byte  196,227,125,25,229,1                // vextractf128  $0x1,%ymm4,%xmm5
  .byte  197,209,254,235                     // vpaddd        %xmm3,%xmm5,%xmm5
  .byte  197,217,254,219                     // vpaddd        %xmm3,%xmm4,%xmm3
  .byte  196,227,101,24,221,1                // vinsertf128   $0x1,%xmm5,%ymm3,%ymm3
  .byte  196,195,101,74,222,112              // vblendvps     %ymm7,%ymm14,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_avx
.globl _sk_store_f16_avx
FUNCTION(_sk_store_f16_avx)
_sk_store_f16_avx:
  .byte  72,131,236,88                       // sub           $0x58,%rsp
  .byte  197,252,17,124,36,32                // vmovups       %ymm7,0x20(%rsp)
  .byte  197,252,17,52,36                    // vmovups       %ymm6,(%rsp)
  .byte  197,252,17,108,36,224               // vmovups       %ymm5,-0x20(%rsp)
  .byte  197,252,17,100,36,192               // vmovups       %ymm4,-0x40(%rsp)
  .byte  196,98,125,24,13,8,231,1,0          // vbroadcastss  0x1e708(%rip),%ymm9        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,65,124,84,209                   // vandps        %ymm9,%ymm0,%ymm10
  .byte  197,252,17,68,36,128                // vmovups       %ymm0,-0x80(%rsp)
  .byte  196,65,124,87,218                   // vxorps        %ymm10,%ymm0,%ymm11
  .byte  196,67,125,25,220,1                 // vextractf128  $0x1,%ymm11,%xmm12
  .byte  196,98,121,24,5,25,231,1,0          // vbroadcastss  0x1e719(%rip),%xmm8        # 2b9e4 <_sk_overlay_sse2_8bit+0x5c8>
  .byte  196,65,57,102,236                   // vpcmpgtd      %xmm12,%xmm8,%xmm13
  .byte  196,65,57,102,243                   // vpcmpgtd      %xmm11,%xmm8,%xmm14
  .byte  196,67,13,24,237,1                  // vinsertf128   $0x1,%xmm13,%ymm14,%ymm13
  .byte  196,193,9,114,210,16                // vpsrld        $0x10,%xmm10,%xmm14
  .byte  196,67,125,25,210,1                 // vextractf128  $0x1,%ymm10,%xmm10
  .byte  196,193,41,114,210,16               // vpsrld        $0x10,%xmm10,%xmm10
  .byte  196,67,13,24,242,1                  // vinsertf128   $0x1,%xmm10,%ymm14,%ymm14
  .byte  196,193,33,114,211,13               // vpsrld        $0xd,%xmm11,%xmm11
  .byte  196,193,25,114,212,13               // vpsrld        $0xd,%xmm12,%xmm12
  .byte  196,98,125,24,21,224,230,1,0        // vbroadcastss  0x1e6e0(%rip),%ymm10        # 2b9e8 <_sk_overlay_sse2_8bit+0x5cc>
  .byte  196,65,12,86,242                    // vorps         %ymm10,%ymm14,%ymm14
  .byte  196,67,125,25,247,1                 // vextractf128  $0x1,%ymm14,%xmm15
  .byte  196,65,1,254,228                    // vpaddd        %xmm12,%xmm15,%xmm12
  .byte  196,65,9,254,219                    // vpaddd        %xmm11,%xmm14,%xmm11
  .byte  196,67,37,24,228,1                  // vinsertf128   $0x1,%xmm12,%ymm11,%ymm12
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  196,99,29,74,224,208                // vblendvps     %ymm13,%ymm0,%ymm12,%ymm12
  .byte  196,65,116,84,233                   // vandps        %ymm9,%ymm1,%ymm13
  .byte  197,252,17,76,36,160                // vmovups       %ymm1,-0x60(%rsp)
  .byte  196,65,116,87,245                   // vxorps        %ymm13,%ymm1,%ymm14
  .byte  196,67,125,25,247,1                 // vextractf128  $0x1,%ymm14,%xmm15
  .byte  196,193,57,102,255                  // vpcmpgtd      %xmm15,%xmm8,%xmm7
  .byte  196,65,57,102,222                   // vpcmpgtd      %xmm14,%xmm8,%xmm11
  .byte  196,227,37,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm11,%ymm7
  .byte  196,193,33,114,213,16               // vpsrld        $0x10,%xmm13,%xmm11
  .byte  196,99,125,25,238,1                 // vextractf128  $0x1,%ymm13,%xmm6
  .byte  197,201,114,214,16                  // vpsrld        $0x10,%xmm6,%xmm6
  .byte  196,227,37,24,246,1                 // vinsertf128   $0x1,%xmm6,%ymm11,%ymm6
  .byte  196,193,33,114,215,13               // vpsrld        $0xd,%xmm15,%xmm11
  .byte  196,193,76,86,242                   // vorps         %ymm10,%ymm6,%ymm6
  .byte  196,227,125,25,245,1                // vextractf128  $0x1,%ymm6,%xmm5
  .byte  196,193,81,254,235                  // vpaddd        %xmm11,%xmm5,%xmm5
  .byte  196,193,89,114,214,13               // vpsrld        $0xd,%xmm14,%xmm4
  .byte  197,201,254,228                     // vpaddd        %xmm4,%xmm6,%xmm4
  .byte  196,227,93,24,229,1                 // vinsertf128   $0x1,%xmm5,%ymm4,%ymm4
  .byte  196,99,93,74,232,112                // vblendvps     %ymm7,%ymm0,%ymm4,%ymm13
  .byte  196,193,108,84,225                  // vandps        %ymm9,%ymm2,%ymm4
  .byte  197,236,87,236                      // vxorps        %ymm4,%ymm2,%ymm5
  .byte  196,227,125,25,238,1                // vextractf128  $0x1,%ymm5,%xmm6
  .byte  197,185,102,254                     // vpcmpgtd      %xmm6,%xmm8,%xmm7
  .byte  197,57,102,221                      // vpcmpgtd      %xmm5,%xmm8,%xmm11
  .byte  196,227,37,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm11,%ymm7
  .byte  197,161,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm11
  .byte  196,227,125,25,228,1                // vextractf128  $0x1,%ymm4,%xmm4
  .byte  197,217,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm4
  .byte  196,227,37,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm11,%ymm4
  .byte  197,201,114,214,13                  // vpsrld        $0xd,%xmm6,%xmm6
  .byte  196,193,92,86,226                   // vorps         %ymm10,%ymm4,%ymm4
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,241,254,206                     // vpaddd        %xmm6,%xmm1,%xmm1
  .byte  197,209,114,213,13                  // vpsrld        $0xd,%xmm5,%xmm5
  .byte  197,217,254,229                     // vpaddd        %xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,99,117,74,216,112               // vblendvps     %ymm7,%ymm0,%ymm1,%ymm11
  .byte  196,193,100,84,225                  // vandps        %ymm9,%ymm3,%ymm4
  .byte  197,228,87,236                      // vxorps        %ymm4,%ymm3,%ymm5
  .byte  196,227,125,25,238,1                // vextractf128  $0x1,%ymm5,%xmm6
  .byte  197,185,102,254                     // vpcmpgtd      %xmm6,%xmm8,%xmm7
  .byte  197,57,102,197                      // vpcmpgtd      %xmm5,%xmm8,%xmm8
  .byte  196,227,61,24,255,1                 // vinsertf128   $0x1,%xmm7,%ymm8,%ymm7
  .byte  197,185,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm8
  .byte  196,227,125,25,228,1                // vextractf128  $0x1,%ymm4,%xmm4
  .byte  197,217,114,212,16                  // vpsrld        $0x10,%xmm4,%xmm4
  .byte  196,227,61,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm8,%ymm4
  .byte  196,193,92,86,226                   // vorps         %ymm10,%ymm4,%ymm4
  .byte  197,201,114,214,13                  // vpsrld        $0xd,%xmm6,%xmm6
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,241,254,206                     // vpaddd        %xmm6,%xmm1,%xmm1
  .byte  197,209,114,213,13                  // vpsrld        $0xd,%xmm5,%xmm5
  .byte  197,217,254,229                     // vpaddd        %xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,227,117,74,200,112              // vblendvps     %ymm7,%ymm0,%ymm1,%ymm1
  .byte  196,99,125,25,224,1                 // vextractf128  $0x1,%ymm12,%xmm0
  .byte  196,226,25,43,192                   // vpackusdw     %xmm0,%xmm12,%xmm0
  .byte  196,99,125,25,236,1                 // vextractf128  $0x1,%ymm13,%xmm4
  .byte  196,226,17,43,228                   // vpackusdw     %xmm4,%xmm13,%xmm4
  .byte  196,99,125,25,221,1                 // vextractf128  $0x1,%ymm11,%xmm5
  .byte  196,226,33,43,245                   // vpackusdw     %xmm5,%xmm11,%xmm6
  .byte  196,227,125,25,205,1                // vextractf128  $0x1,%ymm1,%xmm5
  .byte  196,226,113,43,205                  // vpackusdw     %xmm5,%xmm1,%xmm1
  .byte  197,249,97,236                      // vpunpcklwd    %xmm4,%xmm0,%xmm5
  .byte  197,249,105,196                     // vpunpckhwd    %xmm4,%xmm0,%xmm0
  .byte  197,201,97,225                      // vpunpcklwd    %xmm1,%xmm6,%xmm4
  .byte  197,201,105,201                     // vpunpckhwd    %xmm1,%xmm6,%xmm1
  .byte  197,81,98,220                       // vpunpckldq    %xmm4,%xmm5,%xmm11
  .byte  197,81,106,212                      // vpunpckhdq    %xmm4,%xmm5,%xmm10
  .byte  197,121,98,201                      // vpunpckldq    %xmm1,%xmm0,%xmm9
  .byte  197,121,106,193                     // vpunpckhdq    %xmm1,%xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,70                              // jne           d4fc <_sk_store_f16_avx+0x274>
  .byte  196,65,120,17,28,192                // vmovups       %xmm11,(%r8,%rax,8)
  .byte  196,65,120,17,84,192,16             // vmovups       %xmm10,0x10(%r8,%rax,8)
  .byte  196,65,120,17,76,192,32             // vmovups       %xmm9,0x20(%r8,%rax,8)
  .byte  196,65,122,127,68,192,48            // vmovdqu       %xmm8,0x30(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,100,36,192               // vmovups       -0x40(%rsp),%ymm4
  .byte  197,252,16,108,36,224               // vmovups       -0x20(%rsp),%ymm5
  .byte  197,252,16,52,36                    // vmovups       (%rsp),%ymm6
  .byte  197,252,16,124,36,32                // vmovups       0x20(%rsp),%ymm7
  .byte  72,131,196,88                       // add           $0x58,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,192               // vmovq         %xmm11,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,201                             // je            d4d1 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,23,92,192,8              // vmovhpd       %xmm11,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,188                             // jb            d4d1 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,214,84,192,16            // vmovq         %xmm10,0x10(%r8,%rax,8)
  .byte  116,179                             // je            d4d1 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,23,84,192,24             // vmovhpd       %xmm10,0x18(%r8,%rax,8)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,166                             // jb            d4d1 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,214,76,192,32            // vmovq         %xmm9,0x20(%r8,%rax,8)
  .byte  116,157                             // je            d4d1 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,23,76,192,40             // vmovhpd       %xmm9,0x28(%r8,%rax,8)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,144                             // jb            d4d1 <_sk_store_f16_avx+0x249>
  .byte  196,65,121,214,68,192,48            // vmovq         %xmm8,0x30(%r8,%rax,8)
  .byte  235,135                             // jmp           d4d1 <_sk_store_f16_avx+0x249>

HIDDEN _sk_load_u16_be_avx
.globl _sk_load_u16_be_avx
FUNCTION(_sk_load_u16_be_avx)
_sk_load_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,253,0,0,0                    // jne           d66e <_sk_load_u16_be_avx+0x124>
  .byte  196,65,121,16,4,64                  // vmovupd       (%r8,%rax,2),%xmm8
  .byte  196,193,121,16,84,64,16             // vmovupd       0x10(%r8,%rax,2),%xmm2
  .byte  196,193,121,16,92,64,32             // vmovupd       0x20(%r8,%rax,2),%xmm3
  .byte  196,65,122,111,76,64,48             // vmovdqu       0x30(%r8,%rax,2),%xmm9
  .byte  197,185,97,194                      // vpunpcklwd    %xmm2,%xmm8,%xmm0
  .byte  197,185,105,210                     // vpunpckhwd    %xmm2,%xmm8,%xmm2
  .byte  196,193,97,97,201                   // vpunpcklwd    %xmm9,%xmm3,%xmm1
  .byte  196,193,97,105,217                  // vpunpckhwd    %xmm9,%xmm3,%xmm3
  .byte  197,121,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm9
  .byte  197,121,105,194                     // vpunpckhwd    %xmm2,%xmm0,%xmm8
  .byte  197,241,97,211                      // vpunpcklwd    %xmm3,%xmm1,%xmm2
  .byte  197,113,105,227                     // vpunpckhwd    %xmm3,%xmm1,%xmm12
  .byte  197,177,108,194                     // vpunpcklqdq   %xmm2,%xmm9,%xmm0
  .byte  197,241,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm1
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,241,235,192                     // vpor          %xmm0,%xmm1,%xmm0
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  196,193,121,105,202                 // vpunpckhwd    %xmm10,%xmm0,%xmm1
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,193,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,98,125,24,29,10,227,1,0         // vbroadcastss  0x1e30a(%rip),%ymm11        # 2b8ec <_sk_overlay_sse2_8bit+0x4d0>
  .byte  196,193,124,89,195                  // vmulps        %ymm11,%ymm0,%ymm0
  .byte  197,177,109,202                     // vpunpckhqdq   %xmm2,%xmm9,%xmm1
  .byte  197,233,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm2
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,233,235,201                     // vpor          %xmm1,%xmm2,%xmm1
  .byte  196,193,113,105,210                 // vpunpckhwd    %xmm10,%xmm1,%xmm2
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  196,193,116,89,203                  // vmulps        %ymm11,%ymm1,%ymm1
  .byte  196,193,57,108,212                  // vpunpcklqdq   %xmm12,%xmm8,%xmm2
  .byte  197,225,113,242,8                   // vpsllw        $0x8,%xmm2,%xmm3
  .byte  197,233,113,210,8                   // vpsrlw        $0x8,%xmm2,%xmm2
  .byte  197,225,235,210                     // vpor          %xmm2,%xmm3,%xmm2
  .byte  196,193,105,105,218                 // vpunpckhwd    %xmm10,%xmm2,%xmm3
  .byte  196,226,121,51,210                  // vpmovzxwd     %xmm2,%xmm2
  .byte  196,227,109,24,211,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  196,193,108,89,211                  // vmulps        %ymm11,%ymm2,%ymm2
  .byte  196,193,57,109,220                  // vpunpckhqdq   %xmm12,%xmm8,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,65,97,105,194                   // vpunpckhwd    %xmm10,%xmm3,%xmm8
  .byte  196,226,121,51,219                  // vpmovzxwd     %xmm3,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  196,193,100,89,219                  // vmulps        %ymm11,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,123,16,4,64                  // vmovsd        (%r8,%rax,2),%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,85                              // je            d6d4 <_sk_load_u16_be_avx+0x18a>
  .byte  196,65,57,22,68,64,8                // vmovhpd       0x8(%r8,%rax,2),%xmm8,%xmm8
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,72                              // jb            d6d4 <_sk_load_u16_be_avx+0x18a>
  .byte  196,193,123,16,84,64,16             // vmovsd        0x10(%r8,%rax,2),%xmm2
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  116,72                              // je            d6e1 <_sk_load_u16_be_avx+0x197>
  .byte  196,193,105,22,84,64,24             // vmovhpd       0x18(%r8,%rax,2),%xmm2,%xmm2
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,59                              // jb            d6e1 <_sk_load_u16_be_avx+0x197>
  .byte  196,193,123,16,92,64,32             // vmovsd        0x20(%r8,%rax,2),%xmm3
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  15,132,213,254,255,255              // je            d58c <_sk_load_u16_be_avx+0x42>
  .byte  196,193,97,22,92,64,40              // vmovhpd       0x28(%r8,%rax,2),%xmm3,%xmm3
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,130,196,254,255,255              // jb            d58c <_sk_load_u16_be_avx+0x42>
  .byte  196,65,122,126,76,64,48             // vmovq         0x30(%r8,%rax,2),%xmm9
  .byte  233,184,254,255,255                 // jmpq          d58c <_sk_load_u16_be_avx+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  197,233,87,210                      // vxorpd        %xmm2,%xmm2,%xmm2
  .byte  233,171,254,255,255                 // jmpq          d58c <_sk_load_u16_be_avx+0x42>
  .byte  197,225,87,219                      // vxorpd        %xmm3,%xmm3,%xmm3
  .byte  233,162,254,255,255                 // jmpq          d58c <_sk_load_u16_be_avx+0x42>

HIDDEN _sk_load_rgb_u16_be_avx
.globl _sk_load_rgb_u16_be_avx
FUNCTION(_sk_load_rgb_u16_be_avx)
_sk_load_rgb_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,241,0,0,0                    // jne           d806 <_sk_load_rgb_u16_be_avx+0x11c>
  .byte  196,65,122,111,28,64                // vmovdqu       (%r8,%rax,2),%xmm11
  .byte  196,193,122,111,92,64,12            // vmovdqu       0xc(%r8,%rax,2),%xmm3
  .byte  196,193,122,111,84,64,24            // vmovdqu       0x18(%r8,%rax,2),%xmm2
  .byte  196,193,122,111,68,64,32            // vmovdqu       0x20(%r8,%rax,2),%xmm0
  .byte  197,249,115,216,4                   // vpsrldq       $0x4,%xmm0,%xmm0
  .byte  196,193,57,115,219,6                // vpsrldq       $0x6,%xmm11,%xmm8
  .byte  197,169,115,219,6                   // vpsrldq       $0x6,%xmm3,%xmm10
  .byte  197,153,115,218,6                   // vpsrldq       $0x6,%xmm2,%xmm12
  .byte  197,177,115,216,6                   // vpsrldq       $0x6,%xmm0,%xmm9
  .byte  197,161,97,219                      // vpunpcklwd    %xmm3,%xmm11,%xmm3
  .byte  196,193,57,97,202                   // vpunpcklwd    %xmm10,%xmm8,%xmm1
  .byte  197,233,97,192                      // vpunpcklwd    %xmm0,%xmm2,%xmm0
  .byte  196,193,25,97,209                   // vpunpcklwd    %xmm9,%xmm12,%xmm2
  .byte  197,97,97,193                       // vpunpcklwd    %xmm1,%xmm3,%xmm8
  .byte  197,97,105,201                      // vpunpckhwd    %xmm1,%xmm3,%xmm9
  .byte  197,249,97,202                      // vpunpcklwd    %xmm2,%xmm0,%xmm1
  .byte  197,121,105,210                     // vpunpckhwd    %xmm2,%xmm0,%xmm10
  .byte  197,185,108,193                     // vpunpcklqdq   %xmm1,%xmm8,%xmm0
  .byte  197,225,113,240,8                   // vpsllw        $0x8,%xmm0,%xmm3
  .byte  197,249,113,208,8                   // vpsrlw        $0x8,%xmm0,%xmm0
  .byte  197,225,235,192                     // vpor          %xmm0,%xmm3,%xmm0
  .byte  196,65,33,239,219                   // vpxor         %xmm11,%xmm11,%xmm11
  .byte  196,193,121,105,211                 // vpunpckhwd    %xmm11,%xmm0,%xmm2
  .byte  196,226,121,51,192                  // vpmovzxwd     %xmm0,%xmm0
  .byte  196,227,125,24,194,1                // vinsertf128   $0x1,%xmm2,%ymm0,%ymm0
  .byte  197,252,91,192                      // vcvtdq2ps     %ymm0,%ymm0
  .byte  196,226,125,24,21,76,225,1,0        // vbroadcastss  0x1e14c(%rip),%ymm2        # 2b8ec <_sk_overlay_sse2_8bit+0x4d0>
  .byte  197,252,89,194                      // vmulps        %ymm2,%ymm0,%ymm0
  .byte  197,185,109,201                     // vpunpckhqdq   %xmm1,%xmm8,%xmm1
  .byte  197,225,113,241,8                   // vpsllw        $0x8,%xmm1,%xmm3
  .byte  197,241,113,209,8                   // vpsrlw        $0x8,%xmm1,%xmm1
  .byte  197,225,235,201                     // vpor          %xmm1,%xmm3,%xmm1
  .byte  196,193,113,105,219                 // vpunpckhwd    %xmm11,%xmm1,%xmm3
  .byte  196,226,121,51,201                  // vpmovzxwd     %xmm1,%xmm1
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,244,89,202                      // vmulps        %ymm2,%ymm1,%ymm1
  .byte  196,193,49,108,218                  // vpunpcklqdq   %xmm10,%xmm9,%xmm3
  .byte  197,185,113,243,8                   // vpsllw        $0x8,%xmm3,%xmm8
  .byte  197,225,113,211,8                   // vpsrlw        $0x8,%xmm3,%xmm3
  .byte  197,185,235,219                     // vpor          %xmm3,%xmm8,%xmm3
  .byte  196,65,97,105,195                   // vpunpckhwd    %xmm11,%xmm3,%xmm8
  .byte  196,226,121,51,219                  // vpmovzxwd     %xmm3,%xmm3
  .byte  196,195,101,24,216,1                // vinsertf128   $0x1,%xmm8,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,88,224,1,0        // vbroadcastss  0x1e058(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  255,224                             // jmpq          *%rax
  .byte  196,193,121,110,4,64                // vmovd         (%r8,%rax,2),%xmm0
  .byte  196,65,121,196,92,64,4,2            // vpinsrw       $0x2,0x4(%r8,%rax,2),%xmm0,%xmm11
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,32                              // jne           d83f <_sk_load_rgb_u16_be_avx+0x155>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  196,65,57,239,192                   // vpxor         %xmm8,%xmm8,%xmm8
  .byte  233,11,255,255,255                  // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>
  .byte  196,193,121,110,68,64,6             // vmovd         0x6(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,68,64,10,2           // vpinsrw       $0x2,0xa(%r8,%rax,2),%xmm0,%xmm8
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,49                              // jb            d88a <_sk_load_rgb_u16_be_avx+0x1a0>
  .byte  196,193,121,110,68,64,12            // vmovd         0xc(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,92,64,16,2          // vpinsrw       $0x2,0x10(%r8,%rax,2),%xmm0,%xmm3
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  117,50                              // jne           d8a5 <_sk_load_rgb_u16_be_avx+0x1bb>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  233,192,254,255,255                 // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,65,41,239,210                   // vpxor         %xmm10,%xmm10,%xmm10
  .byte  197,225,239,219                     // vpxor         %xmm3,%xmm3,%xmm3
  .byte  233,165,254,255,255                 // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>
  .byte  196,193,121,110,68,64,18            // vmovd         0x12(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,84,64,22,2           // vpinsrw       $0x2,0x16(%r8,%rax,2),%xmm0,%xmm10
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,40                              // jb            d8e7 <_sk_load_rgb_u16_be_avx+0x1fd>
  .byte  196,193,121,110,68,64,24            // vmovd         0x18(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,84,64,28,2          // vpinsrw       $0x2,0x1c(%r8,%rax,2),%xmm0,%xmm2
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  117,32                              // jne           d8f9 <_sk_load_rgb_u16_be_avx+0x20f>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  233,99,254,255,255                  // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,65,25,239,228                   // vpxor         %xmm12,%xmm12,%xmm12
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  233,81,254,255,255                  // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>
  .byte  196,193,121,110,68,64,30            // vmovd         0x1e(%r8,%rax,2),%xmm0
  .byte  196,65,121,196,100,64,34,2          // vpinsrw       $0x2,0x22(%r8,%rax,2),%xmm0,%xmm12
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,25                              // jb            d92c <_sk_load_rgb_u16_be_avx+0x242>
  .byte  196,193,121,110,68,64,36            // vmovd         0x24(%r8,%rax,2),%xmm0
  .byte  196,193,121,196,68,64,40,2          // vpinsrw       $0x2,0x28(%r8,%rax,2),%xmm0,%xmm0
  .byte  196,65,49,239,201                   // vpxor         %xmm9,%xmm9,%xmm9
  .byte  233,30,254,255,255                  // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  233,21,254,255,255                  // jmpq          d74a <_sk_load_rgb_u16_be_avx+0x60>

HIDDEN _sk_store_u16_be_avx
.globl _sk_store_u16_be_avx
FUNCTION(_sk_store_u16_be_avx)
_sk_store_u16_be_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  196,98,125,24,5,24,224,1,0          // vbroadcastss  0x1e018(%rip),%ymm8        # 2b974 <_sk_overlay_sse2_8bit+0x558>
  .byte  196,65,124,89,200                   // vmulps        %ymm8,%ymm0,%ymm9
  .byte  196,65,125,91,201                   // vcvtps2dq     %ymm9,%ymm9
  .byte  196,67,125,25,202,1                 // vextractf128  $0x1,%ymm9,%xmm10
  .byte  196,66,49,43,202                    // vpackusdw     %xmm10,%xmm9,%xmm9
  .byte  196,193,41,113,241,8                // vpsllw        $0x8,%xmm9,%xmm10
  .byte  196,193,49,113,209,8                // vpsrlw        $0x8,%xmm9,%xmm9
  .byte  196,65,41,235,201                   // vpor          %xmm9,%xmm10,%xmm9
  .byte  196,65,116,89,208                   // vmulps        %ymm8,%ymm1,%ymm10
  .byte  196,65,125,91,210                   // vcvtps2dq     %ymm10,%ymm10
  .byte  196,67,125,25,211,1                 // vextractf128  $0x1,%ymm10,%xmm11
  .byte  196,66,41,43,211                    // vpackusdw     %xmm11,%xmm10,%xmm10
  .byte  196,193,33,113,242,8                // vpsllw        $0x8,%xmm10,%xmm11
  .byte  196,193,41,113,210,8                // vpsrlw        $0x8,%xmm10,%xmm10
  .byte  196,65,33,235,210                   // vpor          %xmm10,%xmm11,%xmm10
  .byte  196,65,108,89,216                   // vmulps        %ymm8,%ymm2,%ymm11
  .byte  196,65,125,91,219                   // vcvtps2dq     %ymm11,%ymm11
  .byte  196,67,125,25,220,1                 // vextractf128  $0x1,%ymm11,%xmm12
  .byte  196,66,33,43,220                    // vpackusdw     %xmm12,%xmm11,%xmm11
  .byte  196,193,25,113,243,8                // vpsllw        $0x8,%xmm11,%xmm12
  .byte  196,193,33,113,211,8                // vpsrlw        $0x8,%xmm11,%xmm11
  .byte  196,65,25,235,219                   // vpor          %xmm11,%xmm12,%xmm11
  .byte  196,65,100,89,192                   // vmulps        %ymm8,%ymm3,%ymm8
  .byte  196,65,125,91,192                   // vcvtps2dq     %ymm8,%ymm8
  .byte  196,67,125,25,196,1                 // vextractf128  $0x1,%ymm8,%xmm12
  .byte  196,66,57,43,196                    // vpackusdw     %xmm12,%xmm8,%xmm8
  .byte  196,193,25,113,240,8                // vpsllw        $0x8,%xmm8,%xmm12
  .byte  196,193,57,113,208,8                // vpsrlw        $0x8,%xmm8,%xmm8
  .byte  196,65,25,235,192                   // vpor          %xmm8,%xmm12,%xmm8
  .byte  196,65,49,97,226                    // vpunpcklwd    %xmm10,%xmm9,%xmm12
  .byte  196,65,49,105,234                   // vpunpckhwd    %xmm10,%xmm9,%xmm13
  .byte  196,65,33,97,200                    // vpunpcklwd    %xmm8,%xmm11,%xmm9
  .byte  196,65,33,105,192                   // vpunpckhwd    %xmm8,%xmm11,%xmm8
  .byte  196,65,25,98,217                    // vpunpckldq    %xmm9,%xmm12,%xmm11
  .byte  196,65,25,106,209                   // vpunpckhdq    %xmm9,%xmm12,%xmm10
  .byte  196,65,17,98,200                    // vpunpckldq    %xmm8,%xmm13,%xmm9
  .byte  196,65,17,106,192                   // vpunpckhdq    %xmm8,%xmm13,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,31                              // jne           da40 <_sk_store_u16_be_avx+0x10b>
  .byte  196,65,120,17,28,64                 // vmovups       %xmm11,(%r8,%rax,2)
  .byte  196,65,120,17,84,64,16              // vmovups       %xmm10,0x10(%r8,%rax,2)
  .byte  196,65,120,17,76,64,32              // vmovups       %xmm9,0x20(%r8,%rax,2)
  .byte  196,65,122,127,68,64,48             // vmovdqu       %xmm8,0x30(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,214,28,64                // vmovq         %xmm11,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            da3c <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,23,92,64,8               // vmovhpd       %xmm11,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            da3c <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,214,84,64,16             // vmovq         %xmm10,0x10(%r8,%rax,2)
  .byte  116,218                             // je            da3c <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,23,84,64,24              // vmovhpd       %xmm10,0x18(%r8,%rax,2)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            da3c <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,214,76,64,32             // vmovq         %xmm9,0x20(%r8,%rax,2)
  .byte  116,196                             // je            da3c <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,23,76,64,40              // vmovhpd       %xmm9,0x28(%r8,%rax,2)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,183                             // jb            da3c <_sk_store_u16_be_avx+0x107>
  .byte  196,65,121,214,68,64,48             // vmovq         %xmm8,0x30(%r8,%rax,2)
  .byte  235,174                             // jmp           da3c <_sk_store_u16_be_avx+0x107>

HIDDEN _sk_load_f32_avx
.globl _sk_load_f32_avx
FUNCTION(_sk_load_f32_avx)
_sk_load_f32_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            dbff <_sk_load_f32_avx+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,100,36,128               // vmovupd       %ymm4,-0x80(%rsp)
  .byte  197,253,17,108,36,160               // vmovupd       %ymm5,-0x60(%rsp)
  .byte  197,253,17,116,36,192               // vmovupd       %ymm6,-0x40(%rsp)
  .byte  197,253,17,124,36,224               // vmovupd       %ymm7,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,50,1,0,0                  // lea           0x132(%rip),%r10        # dc10 <_sk_load_f32_avx+0x182>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,225,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm4
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,209,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm2
  .byte  197,125,40,204                      // vmovapd       %ymm4,%ymm9
  .byte  196,129,121,16,76,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm1
  .byte  196,99,125,6,193,40                 // vperm2f128    $0x28,%ymm1,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,226                      // vmovapd       %ymm2,%ymm12
  .byte  196,129,121,16,76,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm1
  .byte  196,227,117,13,192,12               // vblendpd      $0xc,%ymm0,%ymm1,%ymm0
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,230                      // vmovapd       %ymm12,%ymm6
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,76,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm1
  .byte  196,195,117,13,206,12               // vblendpd      $0xc,%ymm14,%ymm1,%ymm1
  .byte  197,125,40,238                      // vmovapd       %ymm6,%ymm13
  .byte  197,125,41,253                      // vmovapd       %ymm15,%ymm5
  .byte  196,129,121,16,84,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm2
  .byte  196,67,109,13,213,12                // vblendpd      $0xc,%ymm13,%ymm2,%ymm10
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  196,129,121,16,12,136               // vmovupd       (%r8,%r9,4),%xmm1
  .byte  196,227,117,13,207,12               // vblendpd      $0xc,%ymm7,%ymm1,%ymm1
  .byte  197,252,16,124,36,224               // vmovups       -0x20(%rsp),%ymm7
  .byte  197,252,16,116,36,192               // vmovups       -0x40(%rsp),%ymm6
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,252,16,100,36,128               // vmovups       -0x80(%rsp),%ymm4
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,116,20,210                  // vunpcklps     %ymm10,%ymm1,%ymm2
  .byte  196,65,116,21,194                   // vunpckhps     %ymm10,%ymm1,%ymm8
  .byte  197,228,20,200                      // vunpcklps     %ymm0,%ymm3,%ymm1
  .byte  197,228,21,216                      // vunpckhps     %ymm0,%ymm3,%ymm3
  .byte  197,237,20,193                      // vunpcklpd     %ymm1,%ymm2,%ymm0
  .byte  197,237,21,201                      // vunpckhpd     %ymm1,%ymm2,%ymm1
  .byte  197,189,20,211                      // vunpcklpd     %ymm3,%ymm8,%ymm2
  .byte  197,189,21,219                      // vunpckhpd     %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  235,203                             // jmp           dbd9 <_sk_load_f32_avx+0x14b>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  27,255                              // sbb           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,161,255,255,255,140             // jmpq          *-0x73000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,119,255                         // pushq         -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,70,255                          // incl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,53,255,255,255,40               // pushq         0x28ffffff(%rip)        # 2900dc2c <_sk_overlay_sse2_8bit+0x28fe2810>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_f32_dst_avx
.globl _sk_load_f32_dst_avx
FUNCTION(_sk_load_f32_dst_avx)
_sk_load_f32_dst_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,221,87,228                      // vxorpd        %ymm4,%ymm4,%ymm4
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  15,135,97,1,0,0                     // ja            dda1 <_sk_load_f32_dst_avx+0x171>
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  197,253,17,68,36,128                // vmovupd       %ymm0,-0x80(%rsp)
  .byte  197,253,17,76,36,160                // vmovupd       %ymm1,-0x60(%rsp)
  .byte  197,253,17,84,36,192                // vmovupd       %ymm2,-0x40(%rsp)
  .byte  197,253,17,92,36,224                // vmovupd       %ymm3,-0x20(%rsp)
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  77,99,201                           // movslq        %r9d,%r9
  .byte  76,141,21,48,1,0,0                  // lea           0x130(%rip),%r10        # ddb0 <_sk_load_f32_dst_avx+0x180>
  .byte  73,99,4,186                         // movslq        (%r10,%rdi,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  197,253,87,192                      // vxorpd        %ymm0,%ymm0,%ymm0
  .byte  196,65,53,87,201                    // vxorpd        %ymm9,%ymm9,%ymm9
  .byte  197,205,87,246                      // vxorpd        %ymm6,%ymm6,%ymm6
  .byte  196,65,37,87,219                    // vxorpd        %ymm11,%ymm11,%ymm11
  .byte  196,65,29,87,228                    // vxorpd        %ymm12,%ymm12,%ymm12
  .byte  196,65,61,87,192                    // vxorpd        %ymm8,%ymm8,%ymm8
  .byte  196,65,13,87,246                    // vxorpd        %ymm14,%ymm14,%ymm14
  .byte  197,237,87,210                      // vxorpd        %ymm2,%ymm2,%ymm2
  .byte  196,65,5,87,255                     // vxorpd        %ymm15,%ymm15,%ymm15
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  196,65,21,87,237                    // vxorpd        %ymm13,%ymm13,%ymm13
  .byte  197,245,87,201                      // vxorpd        %ymm1,%ymm1,%ymm1
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,229,87,219                      // vxorpd        %ymm3,%ymm3,%ymm3
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,16,68,136,112           // vmovupd       0x70(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,224,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm4
  .byte  196,129,121,16,68,136,96            // vmovupd       0x60(%r8,%r9,4),%xmm0
  .byte  196,227,125,6,192,40                // vperm2f128    $0x28,%ymm0,%ymm0,%ymm0
  .byte  196,129,121,16,76,136,80            // vmovupd       0x50(%r8,%r9,4),%xmm1
  .byte  196,227,125,6,241,40                // vperm2f128    $0x28,%ymm1,%ymm0,%ymm6
  .byte  197,125,40,200                      // vmovapd       %ymm0,%ymm9
  .byte  196,129,121,16,68,136,64            // vmovupd       0x40(%r8,%r9,4),%xmm0
  .byte  196,99,125,6,192,40                 // vperm2f128    $0x28,%ymm0,%ymm0,%ymm8
  .byte  196,65,125,40,217                   // vmovapd       %ymm9,%ymm11
  .byte  197,125,40,230                      // vmovapd       %ymm6,%ymm12
  .byte  196,129,121,16,68,136,48            // vmovupd       0x30(%r8,%r9,4),%xmm0
  .byte  196,227,125,13,228,12               // vblendpd      $0xc,%ymm4,%ymm0,%ymm4
  .byte  196,65,125,40,243                   // vmovapd       %ymm11,%ymm14
  .byte  197,125,41,226                      // vmovapd       %ymm12,%ymm2
  .byte  196,65,125,40,248                   // vmovapd       %ymm8,%ymm15
  .byte  196,129,121,16,68,136,32            // vmovupd       0x20(%r8,%r9,4),%xmm0
  .byte  196,195,125,13,238,12               // vblendpd      $0xc,%ymm14,%ymm0,%ymm5
  .byte  197,125,40,234                      // vmovapd       %ymm2,%ymm13
  .byte  197,125,41,249                      // vmovapd       %ymm15,%ymm1
  .byte  196,129,121,16,68,136,16            // vmovupd       0x10(%r8,%r9,4),%xmm0
  .byte  196,67,125,13,213,12                // vblendpd      $0xc,%ymm13,%ymm0,%ymm10
  .byte  197,253,40,253                      // vmovapd       %ymm5,%ymm7
  .byte  197,253,40,217                      // vmovapd       %ymm1,%ymm3
  .byte  196,129,121,16,4,136                // vmovupd       (%r8,%r9,4),%xmm0
  .byte  196,227,125,13,235,12               // vblendpd      $0xc,%ymm3,%ymm0,%ymm5
  .byte  197,252,16,92,36,224                // vmovups       -0x20(%rsp),%ymm3
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,252,16,76,36,160                // vmovups       -0x60(%rsp),%ymm1
  .byte  197,252,16,68,36,128                // vmovups       -0x80(%rsp),%ymm0
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  196,193,84,20,242                   // vunpcklps     %ymm10,%ymm5,%ymm6
  .byte  196,65,84,21,194                    // vunpckhps     %ymm10,%ymm5,%ymm8
  .byte  197,196,20,236                      // vunpcklps     %ymm4,%ymm7,%ymm5
  .byte  197,196,21,252                      // vunpckhps     %ymm4,%ymm7,%ymm7
  .byte  197,205,20,229                      // vunpcklpd     %ymm5,%ymm6,%ymm4
  .byte  197,205,21,237                      // vunpckhpd     %ymm5,%ymm6,%ymm5
  .byte  197,189,20,247                      // vunpcklpd     %ymm7,%ymm8,%ymm6
  .byte  197,189,21,255                      // vunpckhpd     %ymm7,%ymm8,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  197,197,87,255                      // vxorpd        %ymm7,%ymm7,%ymm7
  .byte  196,65,45,87,210                    // vxorpd        %ymm10,%ymm10,%ymm10
  .byte  197,213,87,237                      // vxorpd        %ymm5,%ymm5,%ymm5
  .byte  235,203                             // jmp           dd7b <_sk_load_f32_dst_avx+0x14b>
  .byte  29,255,255,255,163                  // sbb           $0xa3ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,142,255,255,255,121             // decl          0x79ffffff(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,72,255                          // decl          -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,55                              // pushq         (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,42                              // ljmp          *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_f32_avx
.globl _sk_store_f32_avx
FUNCTION(_sk_store_f32_avx)
_sk_store_f32_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  197,124,20,193                      // vunpcklps     %ymm1,%ymm0,%ymm8
  .byte  197,124,21,217                      // vunpckhps     %ymm1,%ymm0,%ymm11
  .byte  197,108,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm9
  .byte  197,108,21,227                      // vunpckhps     %ymm3,%ymm2,%ymm12
  .byte  196,65,61,20,209                    // vunpcklpd     %ymm9,%ymm8,%ymm10
  .byte  196,65,61,21,201                    // vunpckhpd     %ymm9,%ymm8,%ymm9
  .byte  196,65,37,20,196                    // vunpcklpd     %ymm12,%ymm11,%ymm8
  .byte  196,65,37,21,220                    // vunpckhpd     %ymm12,%ymm11,%ymm11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,55                              // jne           de4f <_sk_store_f32_avx+0x7f>
  .byte  196,67,45,24,225,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm12
  .byte  196,67,61,24,235,1                  // vinsertf128   $0x1,%xmm11,%ymm8,%ymm13
  .byte  196,67,45,6,201,49                  // vperm2f128    $0x31,%ymm9,%ymm10,%ymm9
  .byte  196,67,61,6,195,49                  // vperm2f128    $0x31,%ymm11,%ymm8,%ymm8
  .byte  196,65,125,17,36,128                // vmovupd       %ymm12,(%r8,%rax,4)
  .byte  196,65,125,17,108,128,32            // vmovupd       %ymm13,0x20(%r8,%rax,4)
  .byte  196,65,125,17,76,128,64             // vmovupd       %ymm9,0x40(%r8,%rax,4)
  .byte  196,65,125,17,68,128,96             // vmovupd       %ymm8,0x60(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,65,121,17,20,128                // vmovupd       %xmm10,(%r8,%rax,4)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            de4b <_sk_store_f32_avx+0x7b>
  .byte  196,65,121,17,76,128,16             // vmovupd       %xmm9,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            de4b <_sk_store_f32_avx+0x7b>
  .byte  196,65,121,17,68,128,32             // vmovupd       %xmm8,0x20(%r8,%rax,4)
  .byte  116,218                             // je            de4b <_sk_store_f32_avx+0x7b>
  .byte  196,65,121,17,92,128,48             // vmovupd       %xmm11,0x30(%r8,%rax,4)
  .byte  72,131,255,5                        // cmp           $0x5,%rdi
  .byte  114,205                             // jb            de4b <_sk_store_f32_avx+0x7b>
  .byte  196,67,125,25,84,128,64,1           // vextractf128  $0x1,%ymm10,0x40(%r8,%rax,4)
  .byte  116,195                             // je            de4b <_sk_store_f32_avx+0x7b>
  .byte  196,67,125,25,76,128,80,1           // vextractf128  $0x1,%ymm9,0x50(%r8,%rax,4)
  .byte  72,131,255,7                        // cmp           $0x7,%rdi
  .byte  114,181                             // jb            de4b <_sk_store_f32_avx+0x7b>
  .byte  196,67,125,25,68,128,96,1           // vextractf128  $0x1,%ymm8,0x60(%r8,%rax,4)
  .byte  235,171                             // jmp           de4b <_sk_store_f32_avx+0x7b>

HIDDEN _sk_clamp_x_avx
.globl _sk_clamp_x_avx
FUNCTION(_sk_clamp_x_avx)
_sk_clamp_x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,200                       // vmaxps        %ymm0,%ymm8,%ymm9
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,99,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm0
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,121,254,194                 // vpaddd        %xmm10,%xmm0,%xmm0
  .byte  196,65,57,254,194                   // vpaddd        %xmm10,%xmm8,%xmm8
  .byte  196,227,61,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm8,%ymm0
  .byte  197,180,93,192                      // vminps        %ymm0,%ymm9,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_avx
.globl _sk_clamp_y_avx
FUNCTION(_sk_clamp_y_avx)
_sk_clamp_y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,201                       // vmaxps        %ymm1,%ymm8,%ymm9
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,99,125,25,193,1                 // vextractf128  $0x1,%ymm8,%xmm1
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,113,254,202                 // vpaddd        %xmm10,%xmm1,%xmm1
  .byte  196,65,57,254,194                   // vpaddd        %xmm10,%xmm8,%xmm8
  .byte  196,227,61,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm8,%ymm1
  .byte  197,180,93,201                      // vminps        %ymm1,%ymm9,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_avx
.globl _sk_repeat_x_avx
FUNCTION(_sk_repeat_x_avx)
_sk_repeat_x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,192                       // vmaxps        %ymm0,%ymm8,%ymm8
  .byte  196,99,125,25,200,1                 // vextractf128  $0x1,%ymm9,%xmm0
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,121,254,194                 // vpaddd        %xmm10,%xmm0,%xmm0
  .byte  196,65,49,254,202                   // vpaddd        %xmm10,%xmm9,%xmm9
  .byte  196,227,53,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm9,%ymm0
  .byte  197,188,93,192                      // vminps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_avx
.globl _sk_repeat_y_avx
FUNCTION(_sk_repeat_y_avx)
_sk_repeat_y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,60,89,193                       // vmulps        %ymm1,%ymm8,%ymm8
  .byte  196,67,125,8,192,1                  // vroundps      $0x1,%ymm8,%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,193,116,92,200                  // vsubps        %ymm8,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,95,193                       // vmaxps        %ymm1,%ymm8,%ymm8
  .byte  196,99,125,25,201,1                 // vextractf128  $0x1,%ymm9,%xmm1
  .byte  196,65,41,118,210                   // vpcmpeqd      %xmm10,%xmm10,%xmm10
  .byte  196,193,113,254,202                 // vpaddd        %xmm10,%xmm1,%xmm1
  .byte  196,65,49,254,202                   // vpaddd        %xmm10,%xmm9,%xmm9
  .byte  196,227,53,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm9,%ymm1
  .byte  197,188,93,201                      // vminps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_avx
.globl _sk_mirror_x_avx
FUNCTION(_sk_mirror_x_avx)
_sk_mirror_x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,0                       // vmovd         (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,65,121,112,208,0                // vpshufd       $0x0,%xmm8,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  196,65,124,92,218                   // vsubps        %ymm10,%ymm0,%ymm11
  .byte  196,193,58,88,192                   // vaddss        %xmm8,%xmm8,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,99,125,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm0,%ymm8
  .byte  197,178,89,5,131,216,1,0            // vmulss        0x1d883(%rip),%xmm9,%xmm0        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  196,227,125,8,192,1                 // vroundps      $0x1,%ymm0,%ymm0
  .byte  196,193,124,89,192                  // vmulps        %ymm8,%ymm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,180,84,192                      // vandps        %ymm0,%ymm9,%ymm0
  .byte  197,60,95,192                       // vmaxps        %ymm0,%ymm8,%ymm8
  .byte  196,99,125,25,208,1                 // vextractf128  $0x1,%ymm10,%xmm0
  .byte  196,65,49,118,201                   // vpcmpeqd      %xmm9,%xmm9,%xmm9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,65,41,254,201                   // vpaddd        %xmm9,%xmm10,%xmm9
  .byte  196,227,53,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm9,%ymm0
  .byte  197,188,93,192                      // vminps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_avx
.globl _sk_mirror_y_avx
FUNCTION(_sk_mirror_y_avx)
_sk_mirror_y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,121,110,0                       // vmovd         (%rax),%xmm8
  .byte  197,122,16,72,4                     // vmovss        0x4(%rax),%xmm9
  .byte  196,65,121,112,208,0                // vpshufd       $0x0,%xmm8,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  196,65,116,92,218                   // vsubps        %ymm10,%ymm1,%ymm11
  .byte  196,193,58,88,200                   // vaddss        %xmm8,%xmm8,%xmm1
  .byte  196,227,121,4,201,0                 // vpermilps     $0x0,%xmm1,%xmm1
  .byte  196,99,117,24,193,1                 // vinsertf128   $0x1,%xmm1,%ymm1,%ymm8
  .byte  197,178,89,13,246,215,1,0           // vmulss        0x1d7f6(%rip),%xmm9,%xmm1        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,227,121,4,201,0                 // vpermilps     $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  196,227,125,8,201,1                 // vroundps      $0x1,%ymm1,%ymm1
  .byte  196,193,116,89,200                  // vmulps        %ymm8,%ymm1,%ymm1
  .byte  197,164,92,201                      // vsubps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,92,202                  // vsubps        %ymm10,%ymm1,%ymm1
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,201                       // vsubps        %ymm1,%ymm8,%ymm9
  .byte  197,180,84,201                      // vandps        %ymm1,%ymm9,%ymm1
  .byte  197,60,95,193                       // vmaxps        %ymm1,%ymm8,%ymm8
  .byte  196,99,125,25,209,1                 // vextractf128  $0x1,%ymm10,%xmm1
  .byte  196,65,49,118,201                   // vpcmpeqd      %xmm9,%xmm9,%xmm9
  .byte  196,193,113,254,201                 // vpaddd        %xmm9,%xmm1,%xmm1
  .byte  196,65,41,254,201                   // vpaddd        %xmm9,%xmm10,%xmm9
  .byte  196,227,53,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm9,%ymm1
  .byte  197,188,93,201                      // vminps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_avx
.globl _sk_clamp_x_1_avx
FUNCTION(_sk_clamp_x_1_avx)
_sk_clamp_x_1_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,188,95,192                      // vmaxps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,5,144,215,1,0         // vbroadcastss  0x1d790(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  196,193,124,93,192                  // vminps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_avx
.globl _sk_repeat_x_1_avx
FUNCTION(_sk_repeat_x_1_avx)
_sk_repeat_x_1_avx:
  .byte  196,99,125,8,192,1                  // vroundps      $0x1,%ymm0,%ymm8
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_avx
.globl _sk_mirror_x_1_avx
FUNCTION(_sk_mirror_x_1_avx)
_sk_mirror_x_1_avx:
  .byte  196,98,125,24,5,135,215,1,0         // vbroadcastss  0x1d787(%rip),%ymm8        # 2b874 <_sk_overlay_sse2_8bit+0x458>
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,13,93,215,1,0         // vbroadcastss  0x1d75d(%rip),%ymm9        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,124,89,201                   // vmulps        %ymm9,%ymm0,%ymm9
  .byte  196,67,125,8,201,1                  // vroundps      $0x1,%ymm9,%ymm9
  .byte  196,65,52,88,201                    // vaddps        %ymm9,%ymm9,%ymm9
  .byte  196,193,124,92,193                  // vsubps        %ymm9,%ymm0,%ymm0
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,192                       // vsubps        %ymm0,%ymm8,%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_avx
.globl _sk_luminance_to_alpha_avx
FUNCTION(_sk_luminance_to_alpha_avx)
_sk_luminance_to_alpha_avx:
  .byte  196,226,125,24,29,73,216,1,0        // vbroadcastss  0x1d849(%rip),%ymm3        # 2b978 <_sk_overlay_sse2_8bit+0x55c>
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,29,64,216,1,0        // vbroadcastss  0x1d840(%rip),%ymm3        # 2b97c <_sk_overlay_sse2_8bit+0x560>
  .byte  197,244,89,203                      // vmulps        %ymm3,%ymm1,%ymm1
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  196,226,125,24,13,51,216,1,0        // vbroadcastss  0x1d833(%rip),%ymm1        # 2b980 <_sk_overlay_sse2_8bit+0x564>
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,252,88,217                      // vaddps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  197,236,87,210                      // vxorps        %ymm2,%ymm2,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_avx
.globl _sk_matrix_translate_avx
FUNCTION(_sk_matrix_translate_avx)
_sk_matrix_translate_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  196,98,125,24,64,4                  // vbroadcastss  0x4(%rax),%ymm8
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_avx
.globl _sk_matrix_scale_translate_avx
FUNCTION(_sk_matrix_scale_translate_avx)
_sk_matrix_scale_translate_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,8                  // vbroadcastss  0x8(%rax),%ymm8
  .byte  196,98,125,24,8                     // vbroadcastss  (%rax),%ymm9
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,193,124,88,193                  // vaddps        %ymm9,%ymm0,%ymm0
  .byte  196,98,125,24,64,12                 // vbroadcastss  0xc(%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  197,188,89,201                      // vmulps        %ymm1,%ymm8,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_avx
.globl _sk_matrix_2x3_avx
FUNCTION(_sk_matrix_2x3_avx)
_sk_matrix_2x3_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,8                  // vbroadcastss  0x8(%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,12                 // vbroadcastss  0xc(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  197,180,89,192                      // vmulps        %ymm0,%ymm9,%ymm0
  .byte  197,252,88,201                      // vaddps        %ymm1,%ymm0,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_avx
.globl _sk_matrix_3x4_avx
FUNCTION(_sk_matrix_3x4_avx)
_sk_matrix_3x4_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,98,125,24,88,36                 // vbroadcastss  0x24(%rax),%ymm11
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  196,98,125,24,88,28                 // vbroadcastss  0x1c(%rax),%ymm11
  .byte  196,98,125,24,96,40                 // vbroadcastss  0x28(%rax),%ymm12
  .byte  197,36,89,218                       // vmulps        %ymm2,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,209                       // vmulps        %ymm1,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  196,98,125,24,96,32                 // vbroadcastss  0x20(%rax),%ymm12
  .byte  196,98,125,24,104,44                // vbroadcastss  0x2c(%rax),%ymm13
  .byte  197,156,89,210                      // vmulps        %ymm2,%ymm12,%ymm2
  .byte  196,193,108,88,213                  // vaddps        %ymm13,%ymm2,%ymm2
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  197,252,88,209                      // vaddps        %ymm1,%ymm0,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_avx
.globl _sk_matrix_4x5_avx
FUNCTION(_sk_matrix_4x5_avx)
_sk_matrix_4x5_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,16                 // vbroadcastss  0x10(%rax),%ymm9
  .byte  196,98,125,24,80,32                 // vbroadcastss  0x20(%rax),%ymm10
  .byte  196,98,125,24,88,48                 // vbroadcastss  0x30(%rax),%ymm11
  .byte  196,98,125,24,96,64                 // vbroadcastss  0x40(%rax),%ymm12
  .byte  197,36,89,219                       // vmulps        %ymm3,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,210                       // vmulps        %ymm2,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,20                 // vbroadcastss  0x14(%rax),%ymm10
  .byte  196,98,125,24,88,36                 // vbroadcastss  0x24(%rax),%ymm11
  .byte  196,98,125,24,96,52                 // vbroadcastss  0x34(%rax),%ymm12
  .byte  196,98,125,24,104,68                // vbroadcastss  0x44(%rax),%ymm13
  .byte  197,28,89,227                       // vmulps        %ymm3,%ymm12,%ymm12
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  197,36,89,218                       // vmulps        %ymm2,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,209                       // vmulps        %ymm1,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  196,98,125,24,88,24                 // vbroadcastss  0x18(%rax),%ymm11
  .byte  196,98,125,24,96,40                 // vbroadcastss  0x28(%rax),%ymm12
  .byte  196,98,125,24,104,56                // vbroadcastss  0x38(%rax),%ymm13
  .byte  196,98,125,24,112,72                // vbroadcastss  0x48(%rax),%ymm14
  .byte  197,20,89,235                       // vmulps        %ymm3,%ymm13,%ymm13
  .byte  196,65,20,88,238                    // vaddps        %ymm14,%ymm13,%ymm13
  .byte  197,28,89,226                       // vmulps        %ymm2,%ymm12,%ymm12
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  197,36,89,217                       // vmulps        %ymm1,%ymm11,%ymm11
  .byte  196,65,36,88,220                    // vaddps        %ymm12,%ymm11,%ymm11
  .byte  197,44,89,208                       // vmulps        %ymm0,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,98,125,24,88,12                 // vbroadcastss  0xc(%rax),%ymm11
  .byte  196,98,125,24,96,28                 // vbroadcastss  0x1c(%rax),%ymm12
  .byte  196,98,125,24,104,44                // vbroadcastss  0x2c(%rax),%ymm13
  .byte  196,98,125,24,112,60                // vbroadcastss  0x3c(%rax),%ymm14
  .byte  196,98,125,24,120,76                // vbroadcastss  0x4c(%rax),%ymm15
  .byte  197,140,89,219                      // vmulps        %ymm3,%ymm14,%ymm3
  .byte  196,193,100,88,223                  // vaddps        %ymm15,%ymm3,%ymm3
  .byte  197,148,89,210                      // vmulps        %ymm2,%ymm13,%ymm2
  .byte  197,236,88,211                      // vaddps        %ymm3,%ymm2,%ymm2
  .byte  197,156,89,201                      // vmulps        %ymm1,%ymm12,%ymm1
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  197,164,89,192                      // vmulps        %ymm0,%ymm11,%ymm0
  .byte  197,252,88,217                      // vaddps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  197,124,41,210                      // vmovaps       %ymm10,%ymm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_avx
.globl _sk_matrix_4x3_avx
FUNCTION(_sk_matrix_4x3_avx)
_sk_matrix_4x3_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,16                   // vbroadcastss  (%rax),%ymm2
  .byte  196,226,125,24,88,16                // vbroadcastss  0x10(%rax),%ymm3
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  196,193,100,88,216                  // vaddps        %ymm8,%ymm3,%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,108,88,195                      // vaddps        %ymm3,%ymm2,%ymm8
  .byte  196,226,125,24,80,4                 // vbroadcastss  0x4(%rax),%ymm2
  .byte  196,226,125,24,88,20                // vbroadcastss  0x14(%rax),%ymm3
  .byte  196,98,125,24,72,36                 // vbroadcastss  0x24(%rax),%ymm9
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  196,193,100,88,217                  // vaddps        %ymm9,%ymm3,%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,108,88,203                      // vaddps        %ymm3,%ymm2,%ymm9
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,24                // vbroadcastss  0x18(%rax),%ymm3
  .byte  196,98,125,24,80,40                 // vbroadcastss  0x28(%rax),%ymm10
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  196,193,100,88,218                  // vaddps        %ymm10,%ymm3,%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,236,88,211                      // vaddps        %ymm3,%ymm2,%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  196,98,125,24,80,28                 // vbroadcastss  0x1c(%rax),%ymm10
  .byte  196,98,125,24,88,44                 // vbroadcastss  0x2c(%rax),%ymm11
  .byte  197,172,89,201                      // vmulps        %ymm1,%ymm10,%ymm1
  .byte  196,193,116,88,203                  // vaddps        %ymm11,%ymm1,%ymm1
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,252,88,217                      // vaddps        %ymm1,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,124,41,201                      // vmovaps       %ymm9,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_avx
.globl _sk_matrix_perspective_avx
FUNCTION(_sk_matrix_perspective_avx)
_sk_matrix_perspective_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,0                     // vbroadcastss  (%rax),%ymm8
  .byte  196,98,125,24,72,4                  // vbroadcastss  0x4(%rax),%ymm9
  .byte  196,98,125,24,80,8                  // vbroadcastss  0x8(%rax),%ymm10
  .byte  197,52,89,201                       // vmulps        %ymm1,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,72,12                 // vbroadcastss  0xc(%rax),%ymm9
  .byte  196,98,125,24,80,16                 // vbroadcastss  0x10(%rax),%ymm10
  .byte  196,98,125,24,88,20                 // vbroadcastss  0x14(%rax),%ymm11
  .byte  197,44,89,209                       // vmulps        %ymm1,%ymm10,%ymm10
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  197,52,89,200                       // vmulps        %ymm0,%ymm9,%ymm9
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,80,24                 // vbroadcastss  0x18(%rax),%ymm10
  .byte  196,98,125,24,88,28                 // vbroadcastss  0x1c(%rax),%ymm11
  .byte  196,98,125,24,96,32                 // vbroadcastss  0x20(%rax),%ymm12
  .byte  197,164,89,201                      // vmulps        %ymm1,%ymm11,%ymm1
  .byte  196,193,116,88,204                  // vaddps        %ymm12,%ymm1,%ymm1
  .byte  197,172,89,192                      // vmulps        %ymm0,%ymm10,%ymm0
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,83,200                      // vrcpps        %ymm0,%ymm1
  .byte  197,188,89,193                      // vmulps        %ymm1,%ymm8,%ymm0
  .byte  197,180,89,201                      // vmulps        %ymm1,%ymm9,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_avx
.globl _sk_evenly_spaced_gradient_avx
FUNCTION(_sk_evenly_spaced_gradient_avx)
_sk_evenly_spaced_gradient_avx:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  197,252,17,124,36,216               // vmovups       %ymm7,-0x28(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  72,139,104,8                        // mov           0x8(%rax),%rbp
  .byte  72,255,203                          // dec           %rbx
  .byte  120,7                               // js            e4f1 <_sk_evenly_spaced_gradient_avx+0x25>
  .byte  196,225,242,42,203                  // vcvtsi2ss     %rbx,%xmm1,%xmm1
  .byte  235,21                              // jmp           e506 <_sk_evenly_spaced_gradient_avx+0x3a>
  .byte  73,137,216                          // mov           %rbx,%r8
  .byte  73,209,232                          // shr           %r8
  .byte  131,227,1                           // and           $0x1,%ebx
  .byte  76,9,195                            // or            %r8,%rbx
  .byte  196,225,242,42,203                  // vcvtsi2ss     %rbx,%xmm1,%xmm1
  .byte  197,242,88,201                      // vaddss        %xmm1,%xmm1,%xmm1
  .byte  196,227,121,4,201,0                 // vpermilps     $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,254,91,201                      // vcvttps2dq    %ymm1,%ymm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,195,249,22,207,1                // vpextrq       $0x1,%xmm1,%r15
  .byte  69,137,254                          // mov           %r15d,%r14d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,193,249,126,205                 // vmovq         %xmm1,%r13
  .byte  69,137,236                          // mov           %r13d,%r12d
  .byte  73,193,237,32                       // shr           $0x20,%r13
  .byte  196,161,122,16,76,165,0             // vmovss        0x0(%rbp,%r12,4),%xmm1
  .byte  196,163,113,33,76,173,0,16          // vinsertps     $0x10,0x0(%rbp,%r13,4),%xmm1,%xmm1
  .byte  196,161,122,16,84,181,0             // vmovss        0x0(%rbp,%r14,4),%xmm2
  .byte  196,33,122,16,68,189,0              // vmovss        0x0(%rbp,%r15,4),%xmm8
  .byte  196,161,122,16,92,157,0             // vmovss        0x0(%rbp,%r11,4),%xmm3
  .byte  196,35,97,33,76,149,0,16            // vinsertps     $0x10,0x0(%rbp,%r10,4),%xmm3,%xmm9
  .byte  196,161,122,16,124,141,0            // vmovss        0x0(%rbp,%r9,4),%xmm7
  .byte  196,33,122,16,92,133,0              // vmovss        0x0(%rbp,%r8,4),%xmm11
  .byte  196,99,113,33,226,32                // vinsertps     $0x20,%xmm2,%xmm1,%xmm12
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  196,161,122,16,20,163               // vmovss        (%rbx,%r12,4),%xmm2
  .byte  196,35,105,33,44,171,16             // vinsertps     $0x10,(%rbx,%r13,4),%xmm2,%xmm13
  .byte  196,161,122,16,28,179               // vmovss        (%rbx,%r14,4),%xmm3
  .byte  196,161,122,16,12,187               // vmovss        (%rbx,%r15,4),%xmm1
  .byte  196,161,122,16,20,155               // vmovss        (%rbx,%r11,4),%xmm2
  .byte  196,35,105,33,52,147,16             // vinsertps     $0x10,(%rbx,%r10,4),%xmm2,%xmm14
  .byte  196,33,122,16,60,139                // vmovss        (%rbx,%r9,4),%xmm15
  .byte  196,33,122,16,20,131                // vmovss        (%rbx,%r8,4),%xmm10
  .byte  196,67,25,33,192,48                 // vinsertps     $0x30,%xmm8,%xmm12,%xmm8
  .byte  196,227,49,33,215,32                // vinsertps     $0x20,%xmm7,%xmm9,%xmm2
  .byte  196,195,105,33,211,48               // vinsertps     $0x30,%xmm11,%xmm2,%xmm2
  .byte  196,67,109,24,192,1                 // vinsertf128   $0x1,%xmm8,%ymm2,%ymm8
  .byte  196,227,17,33,211,32                // vinsertps     $0x20,%xmm3,%xmm13,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  72,139,88,16                        // mov           0x10(%rax),%rbx
  .byte  196,161,122,16,20,163               // vmovss        (%rbx,%r12,4),%xmm2
  .byte  196,35,105,33,28,171,16             // vinsertps     $0x10,(%rbx,%r13,4),%xmm2,%xmm11
  .byte  196,33,122,16,36,179                // vmovss        (%rbx,%r14,4),%xmm12
  .byte  196,161,122,16,12,187               // vmovss        (%rbx,%r15,4),%xmm1
  .byte  196,161,122,16,60,155               // vmovss        (%rbx,%r11,4),%xmm7
  .byte  196,163,65,33,60,147,16             // vinsertps     $0x10,(%rbx,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,28,139               // vmovss        (%rbx,%r9,4),%xmm3
  .byte  196,33,122,16,44,131                // vmovss        (%rbx,%r8,4),%xmm13
  .byte  196,195,9,33,215,32                 // vinsertps     $0x20,%xmm15,%xmm14,%xmm2
  .byte  196,195,105,33,210,48               // vinsertps     $0x30,%xmm10,%xmm2,%xmm2
  .byte  196,67,109,24,241,1                 // vinsertf128   $0x1,%xmm9,%ymm2,%ymm14
  .byte  196,195,33,33,212,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  196,99,65,33,211,32                 // vinsertps     $0x20,%xmm3,%xmm7,%xmm10
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  196,161,122,16,28,163               // vmovss        (%rbx,%r12,4),%xmm3
  .byte  196,35,97,33,28,171,16              // vinsertps     $0x10,(%rbx,%r13,4),%xmm3,%xmm11
  .byte  196,33,122,16,60,179                // vmovss        (%rbx,%r14,4),%xmm15
  .byte  196,33,122,16,36,187                // vmovss        (%rbx,%r15,4),%xmm12
  .byte  196,161,122,16,20,155               // vmovss        (%rbx,%r11,4),%xmm2
  .byte  196,163,105,33,20,147,16            // vinsertps     $0x10,(%rbx,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,60,139               // vmovss        (%rbx,%r9,4),%xmm7
  .byte  196,161,122,16,28,131               // vmovss        (%rbx,%r8,4),%xmm3
  .byte  196,67,41,33,213,48                 // vinsertps     $0x30,%xmm13,%xmm10,%xmm10
  .byte  196,67,45,24,233,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm13
  .byte  196,195,33,33,207,32                // vinsertps     $0x20,%xmm15,%xmm11,%xmm1
  .byte  196,67,113,33,204,48                // vinsertps     $0x30,%xmm12,%xmm1,%xmm9
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,99,105,33,211,48                // vinsertps     $0x30,%xmm3,%xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  196,161,122,16,28,163               // vmovss        (%rbx,%r12,4),%xmm3
  .byte  196,35,97,33,28,171,16              // vinsertps     $0x10,(%rbx,%r13,4),%xmm3,%xmm11
  .byte  196,33,122,16,36,179                // vmovss        (%rbx,%r14,4),%xmm12
  .byte  196,33,122,16,60,187                // vmovss        (%rbx,%r15,4),%xmm15
  .byte  196,161,122,16,20,155               // vmovss        (%rbx,%r11,4),%xmm2
  .byte  196,163,105,33,20,147,16            // vinsertps     $0x10,(%rbx,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,139               // vmovss        (%rbx,%r9,4),%xmm3
  .byte  196,161,122,16,60,131               // vmovss        (%rbx,%r8,4),%xmm7
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,195,33,33,204,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm1
  .byte  196,195,113,33,207,48               // vinsertps     $0x30,%xmm15,%xmm1,%xmm1
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,99,109,24,209,1                 // vinsertf128   $0x1,%xmm1,%ymm2,%ymm10
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  196,161,122,16,12,163               // vmovss        (%rbx,%r12,4),%xmm1
  .byte  196,35,113,33,28,171,16             // vinsertps     $0x10,(%rbx,%r13,4),%xmm1,%xmm11
  .byte  196,33,122,16,36,179                // vmovss        (%rbx,%r14,4),%xmm12
  .byte  196,33,122,16,60,187                // vmovss        (%rbx,%r15,4),%xmm15
  .byte  196,161,122,16,60,155               // vmovss        (%rbx,%r11,4),%xmm7
  .byte  196,163,65,33,60,147,16             // vinsertps     $0x10,(%rbx,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,12,139               // vmovss        (%rbx,%r9,4),%xmm1
  .byte  196,161,122,16,20,131               // vmovss        (%rbx,%r8,4),%xmm2
  .byte  196,195,33,33,220,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm3
  .byte  196,195,97,33,223,48                // vinsertps     $0x30,%xmm15,%xmm3,%xmm3
  .byte  196,227,65,33,201,32                // vinsertps     $0x20,%xmm1,%xmm7,%xmm1
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,99,117,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm1,%ymm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  196,161,122,16,12,163               // vmovss        (%rbx,%r12,4),%xmm1
  .byte  196,163,113,33,12,171,16            // vinsertps     $0x10,(%rbx,%r13,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,179               // vmovss        (%rbx,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  196,161,122,16,20,187               // vmovss        (%rbx,%r15,4),%xmm2
  .byte  196,161,122,16,28,155               // vmovss        (%rbx,%r11,4),%xmm3
  .byte  196,35,97,33,36,147,16              // vinsertps     $0x10,(%rbx,%r10,4),%xmm3,%xmm12
  .byte  196,161,122,16,60,139               // vmovss        (%rbx,%r9,4),%xmm7
  .byte  196,161,122,16,28,131               // vmovss        (%rbx,%r8,4),%xmm3
  .byte  196,99,113,33,250,48                // vinsertps     $0x30,%xmm2,%xmm1,%xmm15
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,161,122,16,20,160               // vmovss        (%rax,%r12,4),%xmm2
  .byte  196,163,105,33,20,168,16            // vinsertps     $0x10,(%rax,%r13,4),%xmm2,%xmm2
  .byte  196,227,25,33,255,32                // vinsertps     $0x20,%xmm7,%xmm12,%xmm7
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,65,33,219,48                // vinsertps     $0x30,%xmm3,%xmm7,%xmm3
  .byte  196,161,122,16,60,184               // vmovss        (%rax,%r15,4),%xmm7
  .byte  196,67,101,24,231,1                 // vinsertf128   $0x1,%xmm15,%ymm3,%ymm12
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,105,33,201,32               // vinsertps     $0x20,%xmm1,%xmm2,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,207,48               // vinsertps     $0x30,%xmm7,%xmm1,%xmm1
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,97,33,210,32                // vinsertps     $0x20,%xmm2,%xmm3,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,227,109,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm3
  .byte  197,188,89,200                      // vmulps        %ymm0,%ymm8,%ymm1
  .byte  196,65,116,88,198                   // vaddps        %ymm14,%ymm1,%ymm8
  .byte  197,148,89,200                      // vmulps        %ymm0,%ymm13,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,208                      // vmulps        %ymm0,%ymm10,%ymm2
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,252,88,219                      // vaddps        %ymm3,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,16,124,36,216               // vmovups       -0x28(%rsp),%ymm7
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_avx
.globl _sk_gauss_a_to_rgba_avx
FUNCTION(_sk_gauss_a_to_rgba_avx)
_sk_gauss_a_to_rgba_avx:
  .byte  196,226,125,24,5,78,209,1,0         // vbroadcastss  0x1d14e(%rip),%ymm0        # 2b988 <_sk_overlay_sse2_8bit+0x56c>
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  196,226,125,24,13,61,209,1,0        // vbroadcastss  0x1d13d(%rip),%ymm1        # 2b984 <_sk_overlay_sse2_8bit+0x568>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,13,52,209,1,0        // vbroadcastss  0x1d134(%rip),%ymm1        # 2b98c <_sk_overlay_sse2_8bit+0x570>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,13,39,209,1,0        // vbroadcastss  0x1d127(%rip),%ymm1        # 2b990 <_sk_overlay_sse2_8bit+0x574>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  197,252,89,195                      // vmulps        %ymm3,%ymm0,%ymm0
  .byte  196,226,125,24,13,26,209,1,0        // vbroadcastss  0x1d11a(%rip),%ymm1        # 2b994 <_sk_overlay_sse2_8bit+0x578>
  .byte  197,252,88,193                      // vaddps        %ymm1,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,216                      // vmovaps       %ymm0,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_avx
.globl _sk_gradient_avx
FUNCTION(_sk_gradient_avx)
_sk_gradient_avx:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  197,252,17,124,36,208               // vmovups       %ymm7,-0x30(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  73,131,248,2                        // cmp           $0x2,%r8
  .byte  114,80                              // jb            e8fc <_sk_gradient_avx+0x6e>
  .byte  72,139,88,72                        // mov           0x48(%rax),%rbx
  .byte  73,255,200                          // dec           %r8
  .byte  72,131,195,4                        // add           $0x4,%rbx
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  196,98,125,24,21,155,207,1,0        // vbroadcastss  0x1cf9b(%rip),%ymm10        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  196,98,125,24,3                     // vbroadcastss  (%rbx),%ymm8
  .byte  197,60,194,192,2                    // vcmpleps      %ymm0,%ymm8,%ymm8
  .byte  196,67,53,74,194,128                // vblendvps     %ymm8,%ymm10,%ymm9,%ymm8
  .byte  196,99,125,25,194,1                 // vextractf128  $0x1,%ymm8,%xmm2
  .byte  196,227,125,25,203,1                // vextractf128  $0x1,%ymm1,%xmm3
  .byte  197,233,254,211                     // vpaddd        %xmm3,%xmm2,%xmm2
  .byte  197,185,254,201                     // vpaddd        %xmm1,%xmm8,%xmm1
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  72,131,195,4                        // add           $0x4,%rbx
  .byte  73,255,200                          // dec           %r8
  .byte  117,205                             // jne           e8c9 <_sk_gradient_avx+0x3b>
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,227,125,25,201,1                // vextractf128  $0x1,%ymm1,%xmm1
  .byte  196,195,249,22,207,1                // vpextrq       $0x1,%xmm1,%r15
  .byte  69,137,254                          // mov           %r15d,%r14d
  .byte  73,193,239,32                       // shr           $0x20,%r15
  .byte  196,225,249,126,203                 // vmovq         %xmm1,%rbx
  .byte  65,137,220                          // mov           %ebx,%r12d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  76,139,104,8                        // mov           0x8(%rax),%r13
  .byte  196,129,122,16,76,165,0             // vmovss        0x0(%r13,%r12,4),%xmm1
  .byte  196,195,113,33,76,157,0,16          // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm1,%xmm1
  .byte  196,129,122,16,84,181,0             // vmovss        0x0(%r13,%r14,4),%xmm2
  .byte  196,1,122,16,68,189,0               // vmovss        0x0(%r13,%r15,4),%xmm8
  .byte  196,129,122,16,92,157,0             // vmovss        0x0(%r13,%r11,4),%xmm3
  .byte  196,3,97,33,76,149,0,16             // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm3,%xmm9
  .byte  196,129,122,16,124,141,0            // vmovss        0x0(%r13,%r9,4),%xmm7
  .byte  196,1,122,16,92,133,0               // vmovss        0x0(%r13,%r8,4),%xmm11
  .byte  196,99,113,33,226,32                // vinsertps     $0x20,%xmm2,%xmm1,%xmm12
  .byte  76,139,104,40                       // mov           0x28(%rax),%r13
  .byte  196,129,122,16,84,165,0             // vmovss        0x0(%r13,%r12,4),%xmm2
  .byte  196,67,105,33,108,157,0,16          // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm2,%xmm13
  .byte  196,129,122,16,92,181,0             // vmovss        0x0(%r13,%r14,4),%xmm3
  .byte  196,129,122,16,76,189,0             // vmovss        0x0(%r13,%r15,4),%xmm1
  .byte  196,129,122,16,84,157,0             // vmovss        0x0(%r13,%r11,4),%xmm2
  .byte  196,3,105,33,116,149,0,16           // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm2,%xmm14
  .byte  196,1,122,16,124,141,0              // vmovss        0x0(%r13,%r9,4),%xmm15
  .byte  196,1,122,16,84,133,0               // vmovss        0x0(%r13,%r8,4),%xmm10
  .byte  196,67,25,33,192,48                 // vinsertps     $0x30,%xmm8,%xmm12,%xmm8
  .byte  196,227,49,33,215,32                // vinsertps     $0x20,%xmm7,%xmm9,%xmm2
  .byte  196,195,105,33,211,48               // vinsertps     $0x30,%xmm11,%xmm2,%xmm2
  .byte  196,67,109,24,192,1                 // vinsertf128   $0x1,%xmm8,%ymm2,%ymm8
  .byte  196,227,17,33,211,32                // vinsertps     $0x20,%xmm3,%xmm13,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  76,139,104,16                       // mov           0x10(%rax),%r13
  .byte  196,129,122,16,84,165,0             // vmovss        0x0(%r13,%r12,4),%xmm2
  .byte  196,67,105,33,92,157,0,16           // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm2,%xmm11
  .byte  196,1,122,16,100,181,0              // vmovss        0x0(%r13,%r14,4),%xmm12
  .byte  196,129,122,16,76,189,0             // vmovss        0x0(%r13,%r15,4),%xmm1
  .byte  196,129,122,16,124,157,0            // vmovss        0x0(%r13,%r11,4),%xmm7
  .byte  196,131,65,33,124,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm7,%xmm7
  .byte  196,129,122,16,92,141,0             // vmovss        0x0(%r13,%r9,4),%xmm3
  .byte  196,1,122,16,108,133,0              // vmovss        0x0(%r13,%r8,4),%xmm13
  .byte  196,195,9,33,215,32                 // vinsertps     $0x20,%xmm15,%xmm14,%xmm2
  .byte  196,195,105,33,210,48               // vinsertps     $0x30,%xmm10,%xmm2,%xmm2
  .byte  196,67,109,24,241,1                 // vinsertf128   $0x1,%xmm9,%ymm2,%ymm14
  .byte  196,195,33,33,212,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm2
  .byte  196,99,105,33,201,48                // vinsertps     $0x30,%xmm1,%xmm2,%xmm9
  .byte  196,99,65,33,211,32                 // vinsertps     $0x20,%xmm3,%xmm7,%xmm10
  .byte  76,139,104,48                       // mov           0x30(%rax),%r13
  .byte  196,129,122,16,92,165,0             // vmovss        0x0(%r13,%r12,4),%xmm3
  .byte  196,67,97,33,92,157,0,16            // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm3,%xmm11
  .byte  196,1,122,16,124,181,0              // vmovss        0x0(%r13,%r14,4),%xmm15
  .byte  196,1,122,16,100,189,0              // vmovss        0x0(%r13,%r15,4),%xmm12
  .byte  196,129,122,16,84,157,0             // vmovss        0x0(%r13,%r11,4),%xmm2
  .byte  196,131,105,33,84,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm2,%xmm2
  .byte  196,129,122,16,124,141,0            // vmovss        0x0(%r13,%r9,4),%xmm7
  .byte  196,129,122,16,92,133,0             // vmovss        0x0(%r13,%r8,4),%xmm3
  .byte  196,67,41,33,213,48                 // vinsertps     $0x30,%xmm13,%xmm10,%xmm10
  .byte  196,67,45,24,233,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm13
  .byte  196,195,33,33,207,32                // vinsertps     $0x20,%xmm15,%xmm11,%xmm1
  .byte  196,67,113,33,204,48                // vinsertps     $0x30,%xmm12,%xmm1,%xmm9
  .byte  196,227,105,33,215,32               // vinsertps     $0x20,%xmm7,%xmm2,%xmm2
  .byte  196,99,105,33,211,48                // vinsertps     $0x30,%xmm3,%xmm2,%xmm10
  .byte  76,139,104,24                       // mov           0x18(%rax),%r13
  .byte  196,129,122,16,92,165,0             // vmovss        0x0(%r13,%r12,4),%xmm3
  .byte  196,67,97,33,92,157,0,16            // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm3,%xmm11
  .byte  196,1,122,16,100,181,0              // vmovss        0x0(%r13,%r14,4),%xmm12
  .byte  196,1,122,16,124,189,0              // vmovss        0x0(%r13,%r15,4),%xmm15
  .byte  196,129,122,16,84,157,0             // vmovss        0x0(%r13,%r11,4),%xmm2
  .byte  196,131,105,33,84,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm2,%xmm2
  .byte  196,129,122,16,92,141,0             // vmovss        0x0(%r13,%r9,4),%xmm3
  .byte  196,129,122,16,124,133,0            // vmovss        0x0(%r13,%r8,4),%xmm7
  .byte  196,67,45,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm10,%ymm9
  .byte  196,195,33,33,204,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm1
  .byte  196,195,113,33,207,48               // vinsertps     $0x30,%xmm15,%xmm1,%xmm1
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,99,109,24,209,1                 // vinsertf128   $0x1,%xmm1,%ymm2,%ymm10
  .byte  76,139,104,56                       // mov           0x38(%rax),%r13
  .byte  196,129,122,16,76,165,0             // vmovss        0x0(%r13,%r12,4),%xmm1
  .byte  196,67,113,33,92,157,0,16           // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm1,%xmm11
  .byte  196,1,122,16,100,181,0              // vmovss        0x0(%r13,%r14,4),%xmm12
  .byte  196,1,122,16,124,189,0              // vmovss        0x0(%r13,%r15,4),%xmm15
  .byte  196,129,122,16,124,157,0            // vmovss        0x0(%r13,%r11,4),%xmm7
  .byte  196,131,65,33,124,149,0,16          // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm7,%xmm7
  .byte  196,129,122,16,76,141,0             // vmovss        0x0(%r13,%r9,4),%xmm1
  .byte  196,129,122,16,84,133,0             // vmovss        0x0(%r13,%r8,4),%xmm2
  .byte  196,195,33,33,220,32                // vinsertps     $0x20,%xmm12,%xmm11,%xmm3
  .byte  196,195,97,33,223,48                // vinsertps     $0x30,%xmm15,%xmm3,%xmm3
  .byte  196,227,65,33,201,32                // vinsertps     $0x20,%xmm1,%xmm7,%xmm1
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,99,117,24,219,1                 // vinsertf128   $0x1,%xmm3,%ymm1,%ymm11
  .byte  76,139,104,32                       // mov           0x20(%rax),%r13
  .byte  196,129,122,16,76,165,0             // vmovss        0x0(%r13,%r12,4),%xmm1
  .byte  196,195,113,33,76,157,0,16          // vinsertps     $0x10,0x0(%r13,%rbx,4),%xmm1,%xmm1
  .byte  196,129,122,16,84,181,0             // vmovss        0x0(%r13,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  196,129,122,16,84,189,0             // vmovss        0x0(%r13,%r15,4),%xmm2
  .byte  196,129,122,16,92,157,0             // vmovss        0x0(%r13,%r11,4),%xmm3
  .byte  196,3,97,33,100,149,0,16            // vinsertps     $0x10,0x0(%r13,%r10,4),%xmm3,%xmm12
  .byte  196,129,122,16,124,141,0            // vmovss        0x0(%r13,%r9,4),%xmm7
  .byte  196,129,122,16,92,133,0             // vmovss        0x0(%r13,%r8,4),%xmm3
  .byte  196,99,113,33,250,48                // vinsertps     $0x30,%xmm2,%xmm1,%xmm15
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  196,161,122,16,20,160               // vmovss        (%rax,%r12,4),%xmm2
  .byte  196,227,105,33,20,152,16            // vinsertps     $0x10,(%rax,%rbx,4),%xmm2,%xmm2
  .byte  196,227,25,33,255,32                // vinsertps     $0x20,%xmm7,%xmm12,%xmm7
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,65,33,219,48                // vinsertps     $0x30,%xmm3,%xmm7,%xmm3
  .byte  196,161,122,16,60,184               // vmovss        (%rax,%r15,4),%xmm7
  .byte  196,67,101,24,231,1                 // vinsertf128   $0x1,%xmm15,%ymm3,%ymm12
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,105,33,201,32               // vinsertps     $0x20,%xmm1,%xmm2,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,207,48               // vinsertps     $0x30,%xmm7,%xmm1,%xmm1
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,97,33,210,32                // vinsertps     $0x20,%xmm2,%xmm3,%xmm2
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,227,109,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm3
  .byte  197,188,89,200                      // vmulps        %ymm0,%ymm8,%ymm1
  .byte  196,65,116,88,198                   // vaddps        %ymm14,%ymm1,%ymm8
  .byte  197,148,89,200                      // vmulps        %ymm0,%ymm13,%ymm1
  .byte  196,193,116,88,201                  // vaddps        %ymm9,%ymm1,%ymm1
  .byte  197,172,89,208                      // vmulps        %ymm0,%ymm10,%ymm2
  .byte  196,193,108,88,211                  // vaddps        %ymm11,%ymm2,%ymm2
  .byte  197,156,89,192                      // vmulps        %ymm0,%ymm12,%ymm0
  .byte  197,252,88,219                      // vaddps        %ymm3,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  197,252,16,124,36,208               // vmovups       -0x30(%rsp),%ymm7
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_avx
.globl _sk_evenly_spaced_2_stop_gradient_avx
FUNCTION(_sk_evenly_spaced_2_stop_gradient_avx)
_sk_evenly_spaced_2_stop_gradient_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,8                    // vbroadcastss  (%rax),%ymm1
  .byte  196,226,125,24,80,16                // vbroadcastss  0x10(%rax),%ymm2
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,116,88,194                      // vaddps        %ymm2,%ymm1,%ymm8
  .byte  196,226,125,24,72,4                 // vbroadcastss  0x4(%rax),%ymm1
  .byte  196,226,125,24,80,20                // vbroadcastss  0x14(%rax),%ymm2
  .byte  197,244,89,200                      // vmulps        %ymm0,%ymm1,%ymm1
  .byte  197,244,88,202                      // vaddps        %ymm2,%ymm1,%ymm1
  .byte  196,226,125,24,80,8                 // vbroadcastss  0x8(%rax),%ymm2
  .byte  196,226,125,24,88,24                // vbroadcastss  0x18(%rax),%ymm3
  .byte  197,236,89,208                      // vmulps        %ymm0,%ymm2,%ymm2
  .byte  197,236,88,211                      // vaddps        %ymm3,%ymm2,%ymm2
  .byte  196,226,125,24,88,12                // vbroadcastss  0xc(%rax),%ymm3
  .byte  196,98,125,24,72,28                 // vbroadcastss  0x1c(%rax),%ymm9
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  196,193,124,88,217                  // vaddps        %ymm9,%ymm0,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,41,192                      // vmovaps       %ymm8,%ymm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_avx
.globl _sk_xy_to_unit_angle_avx
FUNCTION(_sk_xy_to_unit_angle_avx)
_sk_xy_to_unit_angle_avx:
  .byte  196,65,60,87,192                    // vxorps        %ymm8,%ymm8,%ymm8
  .byte  197,60,92,200                       // vsubps        %ymm0,%ymm8,%ymm9
  .byte  197,52,84,200                       // vandps        %ymm0,%ymm9,%ymm9
  .byte  197,60,92,209                       // vsubps        %ymm1,%ymm8,%ymm10
  .byte  197,44,84,209                       // vandps        %ymm1,%ymm10,%ymm10
  .byte  196,65,52,93,218                    // vminps        %ymm10,%ymm9,%ymm11
  .byte  196,65,52,95,226                    // vmaxps        %ymm10,%ymm9,%ymm12
  .byte  196,65,36,94,220                    // vdivps        %ymm12,%ymm11,%ymm11
  .byte  196,65,36,89,227                    // vmulps        %ymm11,%ymm11,%ymm12
  .byte  196,98,125,24,45,198,204,1,0        // vbroadcastss  0x1ccc6(%rip),%ymm13        # 2b998 <_sk_overlay_sse2_8bit+0x57c>
  .byte  196,65,28,89,237                    // vmulps        %ymm13,%ymm12,%ymm13
  .byte  196,98,125,24,53,188,204,1,0        // vbroadcastss  0x1ccbc(%rip),%ymm14        # 2b99c <_sk_overlay_sse2_8bit+0x580>
  .byte  196,65,20,88,238                    // vaddps        %ymm14,%ymm13,%ymm13
  .byte  196,65,28,89,237                    // vmulps        %ymm13,%ymm12,%ymm13
  .byte  196,98,125,24,53,173,204,1,0        // vbroadcastss  0x1ccad(%rip),%ymm14        # 2b9a0 <_sk_overlay_sse2_8bit+0x584>
  .byte  196,65,20,88,238                    // vaddps        %ymm14,%ymm13,%ymm13
  .byte  196,65,28,89,229                    // vmulps        %ymm13,%ymm12,%ymm12
  .byte  196,98,125,24,45,158,204,1,0        // vbroadcastss  0x1cc9e(%rip),%ymm13        # 2b9a4 <_sk_overlay_sse2_8bit+0x588>
  .byte  196,65,28,88,229                    // vaddps        %ymm13,%ymm12,%ymm12
  .byte  196,65,36,89,220                    // vmulps        %ymm12,%ymm11,%ymm11
  .byte  196,65,52,194,202,1                 // vcmpltps      %ymm10,%ymm9,%ymm9
  .byte  196,98,125,24,21,137,204,1,0        // vbroadcastss  0x1cc89(%rip),%ymm10        # 2b9a8 <_sk_overlay_sse2_8bit+0x58c>
  .byte  196,65,44,92,211                    // vsubps        %ymm11,%ymm10,%ymm10
  .byte  196,67,37,74,202,144                // vblendvps     %ymm9,%ymm10,%ymm11,%ymm9
  .byte  196,193,124,194,192,1               // vcmpltps      %ymm8,%ymm0,%ymm0
  .byte  196,98,125,24,21,31,203,1,0         // vbroadcastss  0x1cb1f(%rip),%ymm10        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,44,92,209                    // vsubps        %ymm9,%ymm10,%ymm10
  .byte  196,195,53,74,194,0                 // vblendvps     %ymm0,%ymm10,%ymm9,%ymm0
  .byte  196,65,116,194,200,1                // vcmpltps      %ymm8,%ymm1,%ymm9
  .byte  196,98,125,24,21,9,203,1,0          // vbroadcastss  0x1cb09(%rip),%ymm10        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,44,92,208                       // vsubps        %ymm0,%ymm10,%ymm10
  .byte  196,195,125,74,194,144              // vblendvps     %ymm9,%ymm10,%ymm0,%ymm0
  .byte  196,65,124,194,200,3                // vcmpunordps   %ymm8,%ymm0,%ymm9
  .byte  196,195,125,74,192,144              // vblendvps     %ymm9,%ymm8,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_avx
.globl _sk_xy_to_radius_avx
FUNCTION(_sk_xy_to_radius_avx)
_sk_xy_to_radius_avx:
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,193                      // vmulps        %ymm1,%ymm1,%ymm8
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_avx
.globl _sk_xy_to_2pt_conical_quadratic_max_avx
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_avx)
_sk_xy_to_2pt_conical_quadratic_max_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,67,121,4,210,0                  // vpermilps     $0x0,%xmm10,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,255,203,1,0        // vbroadcastss  0x1cbff(%rip),%ymm11        # 2b9ac <_sk_overlay_sse2_8bit+0x590>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,65,124,88,219                   // vaddps        %ymm11,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,211,203,1,0        // vbroadcastss  0x1cbd3(%rip),%ymm9        # 2b9b0 <_sk_overlay_sse2_8bit+0x594>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,65,44,89,194                    // vmulps        %ymm10,%ymm10,%ymm8
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,177,203,1,0        // vbroadcastss  0x1cbb1(%rip),%ymm9        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,66,202,1,0         // vbroadcastss  0x1ca42(%rip),%ymm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,60,89,210                    // vmulps        %ymm10,%ymm8,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,172,95,192                      // vmaxps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_avx
.globl _sk_xy_to_2pt_conical_quadratic_min_avx
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_avx)
_sk_xy_to_2pt_conical_quadratic_min_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,32                 // vbroadcastss  0x20(%rax),%ymm8
  .byte  197,122,16,72,40                    // vmovss        0x28(%rax),%xmm9
  .byte  197,50,89,80,44                     // vmulss        0x2c(%rax),%xmm9,%xmm10
  .byte  196,67,121,4,210,0                  // vpermilps     $0x0,%xmm10,%xmm10
  .byte  196,67,45,24,210,1                  // vinsertf128   $0x1,%xmm10,%ymm10,%ymm10
  .byte  197,44,88,208                       // vaddps        %ymm0,%ymm10,%ymm10
  .byte  196,98,125,24,29,81,203,1,0         // vbroadcastss  0x1cb51(%rip),%ymm11        # 2b9ac <_sk_overlay_sse2_8bit+0x590>
  .byte  196,65,44,89,211                    // vmulps        %ymm11,%ymm10,%ymm10
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,217                      // vmulps        %ymm1,%ymm1,%ymm11
  .byte  196,65,124,88,219                   // vaddps        %ymm11,%ymm0,%ymm11
  .byte  196,193,50,89,193                   // vmulss        %xmm9,%xmm9,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,164,92,192                      // vsubps        %ymm0,%ymm11,%ymm0
  .byte  196,98,125,24,13,37,203,1,0         // vbroadcastss  0x1cb25(%rip),%ymm9        # 2b9b0 <_sk_overlay_sse2_8bit+0x594>
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  196,65,44,89,194                    // vmulps        %ymm10,%ymm10,%ymm8
  .byte  196,193,124,88,192                  // vaddps        %ymm8,%ymm0,%ymm0
  .byte  197,252,81,192                      // vsqrtps       %ymm0,%ymm0
  .byte  196,98,125,24,64,36                 // vbroadcastss  0x24(%rax),%ymm8
  .byte  196,98,125,24,13,3,203,1,0          // vbroadcastss  0x1cb03(%rip),%ymm9        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,65,44,87,201                    // vxorps        %ymm9,%ymm10,%ymm9
  .byte  196,65,124,92,210                   // vsubps        %ymm10,%ymm0,%ymm10
  .byte  196,98,125,24,29,148,201,1,0        // vbroadcastss  0x1c994(%rip),%ymm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,60,89,195                    // vmulps        %ymm11,%ymm8,%ymm8
  .byte  196,65,60,89,210                    // vmulps        %ymm10,%ymm8,%ymm10
  .byte  197,180,92,192                      // vsubps        %ymm0,%ymm9,%ymm0
  .byte  197,188,89,192                      // vmulps        %ymm0,%ymm8,%ymm0
  .byte  197,172,93,192                      // vminps        %ymm0,%ymm10,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_avx
.globl _sk_xy_to_2pt_conical_linear_avx
FUNCTION(_sk_xy_to_2pt_conical_linear_avx)
_sk_xy_to_2pt_conical_linear_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,122,16,64,40                    // vmovss        0x28(%rax),%xmm8
  .byte  197,58,89,72,44                     // vmulss        0x2c(%rax),%xmm8,%xmm9
  .byte  196,67,121,4,201,0                  // vpermilps     $0x0,%xmm9,%xmm9
  .byte  196,67,53,24,201,1                  // vinsertf128   $0x1,%xmm9,%ymm9,%ymm9
  .byte  197,52,88,200                       // vaddps        %ymm0,%ymm9,%ymm9
  .byte  196,98,125,24,21,169,202,1,0        // vbroadcastss  0x1caa9(%rip),%ymm10        # 2b9ac <_sk_overlay_sse2_8bit+0x590>
  .byte  196,65,52,89,202                    // vmulps        %ymm10,%ymm9,%ymm9
  .byte  197,252,89,192                      // vmulps        %ymm0,%ymm0,%ymm0
  .byte  197,116,89,209                      // vmulps        %ymm1,%ymm1,%ymm10
  .byte  196,65,124,88,210                   // vaddps        %ymm10,%ymm0,%ymm10
  .byte  196,193,58,89,192                   // vmulss        %xmm8,%xmm8,%xmm0
  .byte  196,227,121,4,192,0                 // vpermilps     $0x0,%xmm0,%xmm0
  .byte  196,227,125,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm0,%ymm0
  .byte  197,172,92,192                      // vsubps        %ymm0,%ymm10,%ymm0
  .byte  196,98,125,24,5,129,202,1,0         // vbroadcastss  0x1ca81(%rip),%ymm8        # 2b9b4 <_sk_overlay_sse2_8bit+0x598>
  .byte  196,193,124,87,192                  // vxorps        %ymm8,%ymm0,%ymm0
  .byte  196,193,124,94,193                  // vdivps        %ymm9,%ymm0,%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_avx
.globl _sk_mask_2pt_conical_degenerates_avx
FUNCTION(_sk_mask_2pt_conical_degenerates_avx)
_sk_mask_2pt_conical_degenerates_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,64,44                 // vbroadcastss  0x2c(%rax),%ymm8
  .byte  196,98,125,24,72,40                 // vbroadcastss  0x28(%rax),%ymm9
  .byte  197,60,89,192                       // vmulps        %ymm0,%ymm8,%ymm8
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  196,65,52,87,201                    // vxorps        %ymm9,%ymm9,%ymm9
  .byte  196,65,52,194,192,2                 // vcmpleps      %ymm8,%ymm9,%ymm8
  .byte  196,65,124,194,201,7                // vcmpordps     %ymm9,%ymm0,%ymm9
  .byte  196,65,60,84,193                    // vandps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,0                        // vmovups       %ymm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_avx
.globl _sk_apply_vector_mask_avx
FUNCTION(_sk_apply_vector_mask_avx)
_sk_apply_vector_mask_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,0                        // vmovups       (%rax),%ymm8
  .byte  197,188,84,192                      // vandps        %ymm0,%ymm8,%ymm0
  .byte  197,188,84,201                      // vandps        %ymm1,%ymm8,%ymm1
  .byte  197,188,84,210                      // vandps        %ymm2,%ymm8,%ymm2
  .byte  197,188,84,219                      // vandps        %ymm3,%ymm8,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_avx
.globl _sk_save_xy_avx
FUNCTION(_sk_save_xy_avx)
_sk_save_xy_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,189,200,1,0         // vbroadcastss  0x1c8bd(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,124,88,200                   // vaddps        %ymm8,%ymm0,%ymm9
  .byte  196,67,125,8,209,1                  // vroundps      $0x1,%ymm9,%ymm10
  .byte  196,65,52,92,202                    // vsubps        %ymm10,%ymm9,%ymm9
  .byte  196,65,116,88,192                   // vaddps        %ymm8,%ymm1,%ymm8
  .byte  196,67,125,8,208,1                  // vroundps      $0x1,%ymm8,%ymm10
  .byte  196,65,60,92,194                    // vsubps        %ymm10,%ymm8,%ymm8
  .byte  197,252,17,0                        // vmovups       %ymm0,(%rax)
  .byte  197,252,17,72,32                    // vmovups       %ymm1,0x20(%rax)
  .byte  197,124,17,72,64                    // vmovups       %ymm9,0x40(%rax)
  .byte  197,124,17,64,96                    // vmovups       %ymm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_avx
.globl _sk_accumulate_avx
FUNCTION(_sk_accumulate_avx)
_sk_accumulate_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,124,16,128,128,0,0,0            // vmovups       0x80(%rax),%ymm8
  .byte  197,60,89,128,160,0,0,0             // vmulps        0xa0(%rax),%ymm8,%ymm8
  .byte  197,60,89,200                       // vmulps        %ymm0,%ymm8,%ymm9
  .byte  197,180,88,228                      // vaddps        %ymm4,%ymm9,%ymm4
  .byte  197,60,89,201                       // vmulps        %ymm1,%ymm8,%ymm9
  .byte  197,180,88,237                      // vaddps        %ymm5,%ymm9,%ymm5
  .byte  197,60,89,202                       // vmulps        %ymm2,%ymm8,%ymm9
  .byte  197,180,88,246                      // vaddps        %ymm6,%ymm9,%ymm6
  .byte  197,60,89,195                       // vmulps        %ymm3,%ymm8,%ymm8
  .byte  197,188,88,255                      // vaddps        %ymm7,%ymm8,%ymm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_avx
.globl _sk_bilinear_nx_avx
FUNCTION(_sk_bilinear_nx_avx)
_sk_bilinear_nx_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,165,201,1,0        // vbroadcastss  0x1c9a5(%rip),%ymm0        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,60,200,1,0          // vbroadcastss  0x1c83c(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_avx
.globl _sk_bilinear_px_avx
FUNCTION(_sk_bilinear_px_avx)
_sk_bilinear_px_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,28,200,1,0         // vbroadcastss  0x1c81c(%rip),%ymm0        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_avx
.globl _sk_bilinear_ny_avx
FUNCTION(_sk_bilinear_ny_avx)
_sk_bilinear_ny_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,92,201,1,0        // vbroadcastss  0x1c95c(%rip),%ymm1        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,242,199,1,0         // vbroadcastss  0x1c7f2(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_avx
.globl _sk_bilinear_py_avx
FUNCTION(_sk_bilinear_py_avx)
_sk_bilinear_py_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,210,199,1,0       // vbroadcastss  0x1c7d2(%rip),%ymm1        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_avx
.globl _sk_bicubic_n3x_avx
FUNCTION(_sk_bicubic_n3x_avx)
_sk_bicubic_n3x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,21,201,1,0         // vbroadcastss  0x1c915(%rip),%ymm0        # 2b9bc <_sk_overlay_sse2_8bit+0x5a0>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,168,199,1,0         // vbroadcastss  0x1c7a8(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,249,200,1,0        // vbroadcastss  0x1c8f9(%rip),%ymm10        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,247,199,1,0        // vbroadcastss  0x1c7f7(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_avx
.globl _sk_bicubic_n1x_avx
FUNCTION(_sk_bicubic_n1x_avx)
_sk_bicubic_n1x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,194,200,1,0        // vbroadcastss  0x1c8c2(%rip),%ymm0        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  196,98,125,24,5,89,199,1,0          // vbroadcastss  0x1c759(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,64                     // vsubps        0x40(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,183,200,1,0        // vbroadcastss  0x1c8b7(%rip),%ymm9        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,165,200,1,0        // vbroadcastss  0x1c8a5(%rip),%ymm10        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,38,199,1,0         // vbroadcastss  0x1c726(%rip),%ymm10        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,135,200,1,0        // vbroadcastss  0x1c887(%rip),%ymm9        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_avx
.globl _sk_bicubic_p1x_avx
FUNCTION(_sk_bicubic_p1x_avx)
_sk_bicubic_p1x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,247,198,1,0         // vbroadcastss  0x1c6f7(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,188,88,0                        // vaddps        (%rax),%ymm8,%ymm0
  .byte  197,124,16,72,64                    // vmovups       0x40(%rax),%ymm9
  .byte  196,98,125,24,21,85,200,1,0         // vbroadcastss  0x1c855(%rip),%ymm10        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,98,125,24,29,67,200,1,0         // vbroadcastss  0x1c843(%rip),%ymm11        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,192                    // vaddps        %ymm8,%ymm10,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  196,98,125,24,13,46,200,1,0         // vbroadcastss  0x1c82e(%rip),%ymm9        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_avx
.globl _sk_bicubic_p3x_avx
FUNCTION(_sk_bicubic_p3x_avx)
_sk_bicubic_p3x_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,10,200,1,0         // vbroadcastss  0x1c80a(%rip),%ymm0        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  197,252,88,0                        // vaddps        (%rax),%ymm0,%ymm0
  .byte  197,124,16,64,64                    // vmovups       0x40(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,239,199,1,0        // vbroadcastss  0x1c7ef(%rip),%ymm10        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,237,198,1,0        // vbroadcastss  0x1c6ed(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,128,0,0,0            // vmovups       %ymm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_avx
.globl _sk_bicubic_n3y_avx
FUNCTION(_sk_bicubic_n3y_avx)
_sk_bicubic_n3y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,188,199,1,0       // vbroadcastss  0x1c7bc(%rip),%ymm1        # 2b9bc <_sk_overlay_sse2_8bit+0x5a0>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,78,198,1,0          // vbroadcastss  0x1c64e(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,159,199,1,0        // vbroadcastss  0x1c79f(%rip),%ymm10        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,157,198,1,0        // vbroadcastss  0x1c69d(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_avx
.globl _sk_bicubic_n1y_avx
FUNCTION(_sk_bicubic_n1y_avx)
_sk_bicubic_n1y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,104,199,1,0       // vbroadcastss  0x1c768(%rip),%ymm1        # 2b9b8 <_sk_overlay_sse2_8bit+0x59c>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  196,98,125,24,5,254,197,1,0         // vbroadcastss  0x1c5fe(%rip),%ymm8        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,60,92,64,96                     // vsubps        0x60(%rax),%ymm8,%ymm8
  .byte  196,98,125,24,13,92,199,1,0         // vbroadcastss  0x1c75c(%rip),%ymm9        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,74,199,1,0         // vbroadcastss  0x1c74a(%rip),%ymm10        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,201                    // vmulps        %ymm9,%ymm8,%ymm9
  .byte  196,98,125,24,21,203,197,1,0        // vbroadcastss  0x1c5cb(%rip),%ymm10        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  196,65,52,88,202                    // vaddps        %ymm10,%ymm9,%ymm9
  .byte  196,65,60,89,193                    // vmulps        %ymm9,%ymm8,%ymm8
  .byte  196,98,125,24,13,44,199,1,0         // vbroadcastss  0x1c72c(%rip),%ymm9        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_avx
.globl _sk_bicubic_p1y_avx
FUNCTION(_sk_bicubic_p1y_avx)
_sk_bicubic_p1y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,98,125,24,5,156,197,1,0         // vbroadcastss  0x1c59c(%rip),%ymm8        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  197,188,88,72,32                    // vaddps        0x20(%rax),%ymm8,%ymm1
  .byte  197,124,16,72,96                    // vmovups       0x60(%rax),%ymm9
  .byte  196,98,125,24,21,249,198,1,0        // vbroadcastss  0x1c6f9(%rip),%ymm10        # 2b9c8 <_sk_overlay_sse2_8bit+0x5ac>
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,98,125,24,29,231,198,1,0        // vbroadcastss  0x1c6e7(%rip),%ymm11        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  196,65,44,88,211                    // vaddps        %ymm11,%ymm10,%ymm10
  .byte  196,65,52,89,210                    // vmulps        %ymm10,%ymm9,%ymm10
  .byte  196,65,44,88,192                    // vaddps        %ymm8,%ymm10,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  196,98,125,24,13,210,198,1,0        // vbroadcastss  0x1c6d2(%rip),%ymm9        # 2b9cc <_sk_overlay_sse2_8bit+0x5b0>
  .byte  196,65,60,88,193                    // vaddps        %ymm9,%ymm8,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_avx
.globl _sk_bicubic_p3y_avx
FUNCTION(_sk_bicubic_p3y_avx)
_sk_bicubic_p3y_avx:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,13,174,198,1,0       // vbroadcastss  0x1c6ae(%rip),%ymm1        # 2b9c4 <_sk_overlay_sse2_8bit+0x5a8>
  .byte  197,244,88,72,32                    // vaddps        0x20(%rax),%ymm1,%ymm1
  .byte  197,124,16,64,96                    // vmovups       0x60(%rax),%ymm8
  .byte  196,65,60,89,200                    // vmulps        %ymm8,%ymm8,%ymm9
  .byte  196,98,125,24,21,146,198,1,0        // vbroadcastss  0x1c692(%rip),%ymm10        # 2b9c0 <_sk_overlay_sse2_8bit+0x5a4>
  .byte  196,65,60,89,194                    // vmulps        %ymm10,%ymm8,%ymm8
  .byte  196,98,125,24,21,144,197,1,0        // vbroadcastss  0x1c590(%rip),%ymm10        # 2b8cc <_sk_overlay_sse2_8bit+0x4b0>
  .byte  196,65,60,88,194                    // vaddps        %ymm10,%ymm8,%ymm8
  .byte  196,65,52,89,192                    // vmulps        %ymm8,%ymm9,%ymm8
  .byte  197,124,17,128,160,0,0,0            // vmovups       %ymm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_avx
.globl _sk_callback_avx
FUNCTION(_sk_callback_avx)
_sk_callback_avx:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,228,224                      // and           $0xffffffffffffffe0,%rsp
  .byte  72,129,236,160,0,0,0                // sub           $0xa0,%rsp
  .byte  197,252,41,124,36,96                // vmovaps       %ymm7,0x60(%rsp)
  .byte  197,252,41,116,36,64                // vmovaps       %ymm6,0x40(%rsp)
  .byte  197,252,41,108,36,32                // vmovaps       %ymm5,0x20(%rsp)
  .byte  197,252,41,36,36                    // vmovaps       %ymm4,(%rsp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,193                      // vunpckhps     %ymm1,%ymm0,%ymm0
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,211                      // vunpckhps     %ymm3,%ymm2,%ymm2
  .byte  197,221,20,217                      // vunpcklpd     %ymm1,%ymm4,%ymm3
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,253,20,226                      // vunpcklpd     %ymm2,%ymm0,%ymm4
  .byte  197,253,21,194                      // vunpckhpd     %ymm2,%ymm0,%ymm0
  .byte  196,227,101,24,209,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm2
  .byte  196,227,93,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm5
  .byte  196,227,101,6,201,49                // vperm2f128    $0x31,%ymm1,%ymm3,%ymm1
  .byte  196,227,93,6,192,49                 // vperm2f128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,253,17,83,8                     // vmovupd       %ymm2,0x8(%rbx)
  .byte  197,253,17,107,40                   // vmovupd       %ymm5,0x28(%rbx)
  .byte  197,253,17,75,72                    // vmovupd       %ymm1,0x48(%rbx)
  .byte  197,253,17,67,104                   // vmovupd       %ymm0,0x68(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,8,0,0,0                         // mov           $0x8,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  197,248,119                         // vzeroupper
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  197,248,16,0                        // vmovups       (%rax),%xmm0
  .byte  197,248,16,72,16                    // vmovups       0x10(%rax),%xmm1
  .byte  197,248,16,80,32                    // vmovups       0x20(%rax),%xmm2
  .byte  197,248,16,88,48                    // vmovups       0x30(%rax),%xmm3
  .byte  196,227,101,24,88,112,1             // vinsertf128   $0x1,0x70(%rax),%ymm3,%ymm3
  .byte  196,227,109,24,80,96,1              // vinsertf128   $0x1,0x60(%rax),%ymm2,%ymm2
  .byte  196,227,117,24,72,80,1              // vinsertf128   $0x1,0x50(%rax),%ymm1,%ymm1
  .byte  196,227,125,24,64,64,1              // vinsertf128   $0x1,0x40(%rax),%ymm0,%ymm0
  .byte  197,252,20,225                      // vunpcklps     %ymm1,%ymm0,%ymm4
  .byte  197,252,21,233                      // vunpckhps     %ymm1,%ymm0,%ymm5
  .byte  197,236,20,203                      // vunpcklps     %ymm3,%ymm2,%ymm1
  .byte  197,236,21,219                      // vunpckhps     %ymm3,%ymm2,%ymm3
  .byte  197,221,20,193                      // vunpcklpd     %ymm1,%ymm4,%ymm0
  .byte  197,221,21,201                      // vunpckhpd     %ymm1,%ymm4,%ymm1
  .byte  197,213,20,211                      // vunpcklpd     %ymm3,%ymm5,%ymm2
  .byte  197,213,21,219                      // vunpckhpd     %ymm3,%ymm5,%ymm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  197,252,40,36,36                    // vmovaps       (%rsp),%ymm4
  .byte  197,252,40,108,36,32                // vmovaps       0x20(%rsp),%ymm5
  .byte  197,252,40,116,36,64                // vmovaps       0x40(%rsp),%ymm6
  .byte  197,252,40,124,36,96                // vmovaps       0x60(%rsp),%ymm7
  .byte  72,141,101,216                      // lea           -0x28(%rbp),%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_avx
.globl _sk_clut_3D_avx
FUNCTION(_sk_clut_3D_avx)
_sk_clut_3D_avx:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,129,236,8,2,0,0                  // sub           $0x208,%rsp
  .byte  197,252,17,188,36,224,1,0,0         // vmovups       %ymm7,0x1e0(%rsp)
  .byte  197,252,17,180,36,192,1,0,0         // vmovups       %ymm6,0x1c0(%rsp)
  .byte  197,252,17,172,36,160,1,0,0         // vmovups       %ymm5,0x1a0(%rsp)
  .byte  197,252,17,164,36,128,1,0,0         // vmovups       %ymm4,0x180(%rsp)
  .byte  197,252,17,156,36,96,1,0,0          // vmovups       %ymm3,0x160(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  197,249,112,219,0                   // vpshufd       $0x0,%xmm3,%xmm3
  .byte  196,227,101,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,148,36,0,1,0,0           // vmovups       %ymm2,0x100(%rsp)
  .byte  197,254,91,218                      // vcvttps2dq    %ymm2,%ymm3
  .byte  68,139,72,12                        // mov           0xc(%rax),%r9d
  .byte  69,141,81,255                       // lea           -0x1(%r9),%r10d
  .byte  196,193,121,110,210                 // vmovd         %r10d,%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,227,109,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,252,17,12,36                    // vmovups       %ymm1,(%rsp)
  .byte  197,254,91,225                      // vcvttps2dq    %ymm1,%ymm4
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  197,121,112,233,0                   // vpshufd       $0x0,%xmm1,%xmm13
  .byte  196,194,89,64,213                   // vpmulld       %xmm13,%xmm4,%xmm2
  .byte  197,253,111,236                     // vmovdqa       %ymm4,%ymm5
  .byte  197,254,127,108,36,96               // vmovdqu       %ymm5,0x60(%rsp)
  .byte  197,249,127,148,36,160,0,0,0        // vmovdqa       %xmm2,0xa0(%rsp)
  .byte  197,105,254,211                     // vpaddd        %xmm3,%xmm2,%xmm10
  .byte  197,254,127,156,36,224,0,0,0        // vmovdqu       %ymm3,0xe0(%rsp)
  .byte  196,193,121,110,209                 // vmovd         %r9d,%xmm2
  .byte  196,226,105,64,201                  // vpmulld       %xmm1,%xmm2,%xmm1
  .byte  197,121,112,241,0                   // vpshufd       $0x0,%xmm1,%xmm14
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  197,249,112,201,0                   // vpshufd       $0x0,%xmm1,%xmm1
  .byte  196,227,117,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm1,%ymm1
  .byte  197,252,91,201                      // vcvtdq2ps     %ymm1,%ymm1
  .byte  197,116,89,192                      // vmulps        %ymm0,%ymm1,%ymm8
  .byte  196,193,126,91,200                  // vcvttps2dq    %ymm8,%ymm1
  .byte  196,194,113,64,198                  // vpmulld       %xmm14,%xmm1,%xmm0
  .byte  197,253,111,241                     // vmovdqa       %ymm1,%ymm6
  .byte  197,254,127,116,36,160              // vmovdqu       %ymm6,-0x60(%rsp)
  .byte  197,249,127,68,36,224               // vmovdqa       %xmm0,-0x20(%rsp)
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,193,121,254,194                 // vpaddd        %xmm10,%xmm0,%xmm0
  .byte  196,98,121,24,29,64,196,1,0         // vbroadcastss  0x1c440(%rip),%xmm11        # 2b9d4 <_sk_overlay_sse2_8bit+0x5b8>
  .byte  196,194,121,64,203                  // vpmulld       %xmm11,%xmm0,%xmm1
  .byte  196,193,249,126,200                 // vmovq         %xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,195,249,22,202,1                // vpextrq       $0x1,%xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,4,136                // vmovss        (%rax,%r9,4),%xmm0
  .byte  196,163,121,33,4,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,152,32             // vinsertps     $0x20,(%rax,%r11,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,144               // vmovss        (%rax,%r10,4),%xmm2
  .byte  196,227,121,33,226,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm4
  .byte  196,227,125,25,232,1                // vextractf128  $0x1,%ymm5,%xmm0
  .byte  196,194,121,64,213                  // vpmulld       %xmm13,%xmm0,%xmm2
  .byte  197,249,127,148,36,128,0,0,0        // vmovdqa       %xmm2,0x80(%rsp)
  .byte  196,227,125,25,240,1                // vextractf128  $0x1,%ymm6,%xmm0
  .byte  196,194,121,64,238                  // vpmulld       %xmm14,%xmm0,%xmm5
  .byte  197,249,127,108,36,208              // vmovdqa       %xmm5,-0x30(%rsp)
  .byte  196,227,125,25,216,1                // vextractf128  $0x1,%ymm3,%xmm0
  .byte  197,248,41,68,36,128                // vmovaps       %xmm0,-0x80(%rsp)
  .byte  197,233,254,192                     // vpaddd        %xmm0,%xmm2,%xmm0
  .byte  197,209,254,208                     // vpaddd        %xmm0,%xmm5,%xmm2
  .byte  196,194,105,64,211                  // vpmulld       %xmm11,%xmm2,%xmm2
  .byte  196,193,121,126,208                 // vmovd         %xmm2,%r8d
  .byte  196,195,121,22,209,1                // vpextrd       $0x1,%xmm2,%r9d
  .byte  196,195,121,22,210,2                // vpextrd       $0x2,%xmm2,%r10d
  .byte  196,195,121,22,211,3                // vpextrd       $0x3,%xmm2,%r11d
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,152,48             // vinsertps     $0x30,(%rax,%r11,4),%xmm7,%xmm7
  .byte  196,227,93,24,223,1                 // vinsertf128   $0x1,%xmm7,%ymm4,%ymm3
  .byte  197,252,17,92,36,64                 // vmovups       %ymm3,0x40(%rsp)
  .byte  196,98,121,24,13,9,194,1,0          // vbroadcastss  0x1c209(%rip),%xmm9        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,193,105,254,249                 // vpaddd        %xmm9,%xmm2,%xmm7
  .byte  196,195,249,22,248,1                // vpextrq       $0x1,%xmm7,%r8
  .byte  196,193,249,126,249                 // vmovq         %xmm7,%r9
  .byte  196,193,113,254,249                 // vpaddd        %xmm9,%xmm1,%xmm7
  .byte  196,193,249,126,250                 // vmovq         %xmm7,%r10
  .byte  196,195,249,22,251,1                // vpextrq       $0x1,%xmm7,%r11
  .byte  68,137,203                          // mov           %r9d,%ebx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,65,33,246,32                // vinsertps     $0x20,%xmm6,%xmm7,%xmm6
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  68,137,211                          // mov           %r10d,%ebx
  .byte  69,137,216                          // mov           %r11d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,227,65,33,237,32                // vinsertps     $0x20,%xmm5,%xmm7,%xmm5
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  196,161,122,16,60,152               // vmovss        (%rax,%r11,4),%xmm7
  .byte  196,227,81,33,239,48                // vinsertps     $0x30,%xmm7,%xmm5,%xmm5
  .byte  196,99,85,24,254,1                  // vinsertf128   $0x1,%xmm6,%ymm5,%ymm15
  .byte  196,98,121,24,37,126,193,1,0        // vbroadcastss  0x1c17e(%rip),%xmm12        # 2b868 <_sk_overlay_sse2_8bit+0x44c>
  .byte  196,193,105,254,212                 // vpaddd        %xmm12,%xmm2,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,113,254,204                 // vpaddd        %xmm12,%xmm1,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,105,33,213,32               // vinsertps     $0x20,%xmm5,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,105,33,213,48               // vinsertps     $0x30,%xmm5,%xmm2,%xmm2
  .byte  196,227,109,24,225,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm4
  .byte  196,226,125,24,13,82,194,1,0        // vbroadcastss  0x1c252(%rip),%ymm1        # 2b9d0 <_sk_overlay_sse2_8bit+0x5b4>
  .byte  197,188,88,209                      // vaddps        %ymm1,%ymm8,%ymm2
  .byte  197,252,17,76,36,32                 // vmovups       %ymm1,0x20(%rsp)
  .byte  197,254,91,210                      // vcvttps2dq    %ymm2,%ymm2
  .byte  196,227,125,25,213,1                // vextractf128  $0x1,%ymm2,%xmm5
  .byte  196,194,81,64,222                   // vpmulld       %xmm14,%xmm5,%xmm3
  .byte  197,249,127,92,36,240               // vmovdqa       %xmm3,-0x10(%rsp)
  .byte  196,194,105,64,214                  // vpmulld       %xmm14,%xmm2,%xmm2
  .byte  197,249,127,84,36,192               // vmovdqa       %xmm2,-0x40(%rsp)
  .byte  196,193,105,254,210                 // vpaddd        %xmm10,%xmm2,%xmm2
  .byte  196,194,105,64,235                  // vpmulld       %xmm11,%xmm2,%xmm5
  .byte  196,193,249,126,233                 // vmovq         %xmm5,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,235,1                // vpextrq       $0x1,%xmm5,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,105,33,214,48               // vinsertps     $0x30,%xmm6,%xmm2,%xmm2
  .byte  197,225,254,192                     // vpaddd        %xmm0,%xmm3,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,163,73,33,52,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,227,109,24,214,1                // vinsertf128   $0x1,%xmm6,%ymm2,%ymm2
  .byte  196,193,121,254,241                 // vpaddd        %xmm9,%xmm0,%xmm6
  .byte  196,195,249,22,240,1                // vpextrq       $0x1,%xmm6,%r8
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  196,193,81,254,241                  // vpaddd        %xmm9,%xmm5,%xmm6
  .byte  196,193,249,126,242                 // vmovq         %xmm6,%r10
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,52,152               // vmovss        (%rax,%r11,4),%xmm6
  .byte  196,163,73,33,52,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,65,33,219,32                // vinsertps     $0x20,%xmm3,%xmm7,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,97,33,223,48                // vinsertps     $0x30,%xmm7,%xmm3,%xmm3
  .byte  196,99,101,24,214,1                 // vinsertf128   $0x1,%xmm6,%ymm3,%ymm10
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,81,254,196                  // vpaddd        %xmm12,%xmm5,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  197,252,91,92,36,160                // vcvtdq2ps     -0x60(%rsp),%ymm3
  .byte  197,60,92,243                       // vsubps        %ymm3,%ymm8,%ymm14
  .byte  197,252,16,92,36,64                 // vmovups       0x40(%rsp),%ymm3
  .byte  197,236,92,211                      // vsubps        %ymm3,%ymm2,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,228,88,210                      // vaddps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,84,36,160                // vmovups       %ymm2,-0x60(%rsp)
  .byte  196,193,44,92,215                   // vsubps        %ymm15,%ymm10,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,132,88,210                      // vaddps        %ymm2,%ymm15,%ymm2
  .byte  197,252,17,148,36,64,1,0,0          // vmovups       %ymm2,0x140(%rsp)
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,220,88,192                      // vaddps        %ymm0,%ymm4,%ymm0
  .byte  197,252,17,132,36,32,1,0,0          // vmovups       %ymm0,0x120(%rsp)
  .byte  197,244,88,4,36                     // vaddps        (%rsp),%ymm1,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,194,121,64,205                  // vpmulld       %xmm13,%xmm0,%xmm1
  .byte  197,249,127,76,36,64                // vmovdqa       %xmm1,0x40(%rsp)
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  196,194,121,64,213                  // vpmulld       %xmm13,%xmm0,%xmm2
  .byte  197,249,127,148,36,208,0,0,0        // vmovdqa       %xmm2,0xd0(%rsp)
  .byte  197,241,254,180,36,224,0,0,0        // vpaddd        0xe0(%rsp),%xmm1,%xmm6
  .byte  197,249,111,100,36,224              // vmovdqa       -0x20(%rsp),%xmm4
  .byte  197,201,254,196                     // vpaddd        %xmm4,%xmm6,%xmm0
  .byte  196,194,121,64,235                  // vpmulld       %xmm11,%xmm0,%xmm5
  .byte  196,193,249,126,233                 // vmovq         %xmm5,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,235,1                // vpextrq       $0x1,%xmm5,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,201,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm1
  .byte  197,233,254,124,36,128              // vpaddd        -0x80(%rsp),%xmm2,%xmm7
  .byte  197,121,111,108,36,208              // vmovdqa       -0x30(%rsp),%xmm13
  .byte  196,193,65,254,197                  // vpaddd        %xmm13,%xmm7,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,163,105,33,20,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,227,117,24,202,1                // vinsertf128   $0x1,%xmm2,%ymm1,%ymm1
  .byte  197,252,17,76,36,128                // vmovups       %ymm1,-0x80(%rsp)
  .byte  196,193,121,254,201                 // vpaddd        %xmm9,%xmm0,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,81,254,201                  // vpaddd        %xmm9,%xmm5,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,99,109,24,209,1                 // vinsertf128   $0x1,%xmm1,%ymm2,%ymm10
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,81,254,196                  // vpaddd        %xmm12,%xmm5,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,232,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm5
  .byte  197,121,111,124,36,192              // vmovdqa       -0x40(%rsp),%xmm15
  .byte  197,129,254,198                     // vpaddd        %xmm6,%xmm15,%xmm0
  .byte  196,194,121,64,243                  // vpmulld       %xmm11,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,121,33,210,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm2
  .byte  197,193,254,68,36,240               // vpaddd        -0x10(%rsp),%xmm7,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,109,24,251,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm7
  .byte  196,193,121,254,209                 // vpaddd        %xmm9,%xmm0,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,73,254,209                  // vpaddd        %xmm9,%xmm6,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,12,136               // vmovss        (%rax,%r9,4),%xmm1
  .byte  196,227,97,33,201,32                // vinsertps     $0x20,%xmm1,%xmm3,%xmm1
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,113,33,203,48               // vinsertps     $0x30,%xmm3,%xmm1,%xmm1
  .byte  196,99,117,24,194,1                 // vinsertf128   $0x1,%xmm2,%ymm1,%ymm8
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,196                  // vpaddd        %xmm12,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,121,33,193,32               // vinsertps     $0x20,%xmm1,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,227,121,33,193,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,227,117,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm1,%ymm0
  .byte  197,252,16,84,36,128                // vmovups       -0x80(%rsp),%ymm2
  .byte  197,196,92,202                      // vsubps        %ymm2,%ymm7,%ymm1
  .byte  197,140,89,201                      // vmulps        %ymm1,%ymm14,%ymm1
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  196,193,60,92,210                   // vsubps        %ymm10,%ymm8,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,172,88,210                      // vaddps        %ymm2,%ymm10,%ymm2
  .byte  197,252,92,197                      // vsubps        %ymm5,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,212,88,192                      // vaddps        %ymm0,%ymm5,%ymm0
  .byte  197,252,91,92,36,96                 // vcvtdq2ps     0x60(%rsp),%ymm3
  .byte  197,252,16,44,36                    // vmovups       (%rsp),%ymm5
  .byte  197,212,92,219                      // vsubps        %ymm3,%ymm5,%ymm3
  .byte  197,252,17,92,36,128                // vmovups       %ymm3,-0x80(%rsp)
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,244,92,205                      // vsubps        %ymm5,%ymm1,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,17,12,36                    // vmovups       %ymm1,(%rsp)
  .byte  197,252,16,172,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm5
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,17,76,36,96                 // vmovups       %ymm1,0x60(%rsp)
  .byte  197,252,16,140,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,68,36,160                // vmovups       %ymm0,-0x60(%rsp)
  .byte  197,252,16,68,36,32                 // vmovups       0x20(%rsp),%ymm0
  .byte  197,252,88,132,36,0,1,0,0           // vaddps        0x100(%rsp),%ymm0,%ymm0
  .byte  197,126,91,192                      // vcvttps2dq    %ymm0,%ymm8
  .byte  197,185,254,188,36,160,0,0,0        // vpaddd        0xa0(%rsp),%xmm8,%xmm7
  .byte  197,217,254,199                     // vpaddd        %xmm7,%xmm4,%xmm0
  .byte  196,194,121,64,243                  // vpmulld       %xmm11,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,217,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm3
  .byte  196,99,125,25,192,1                 // vextractf128  $0x1,%ymm8,%xmm0
  .byte  197,248,41,68,36,32                 // vmovaps       %xmm0,0x20(%rsp)
  .byte  197,249,254,140,36,128,0,0,0        // vpaddd        0x80(%rsp),%xmm0,%xmm1
  .byte  197,145,254,193                     // vpaddd        %xmm1,%xmm13,%xmm0
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,163,105,33,20,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,227,101,24,226,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm4
  .byte  196,193,121,254,209                 // vpaddd        %xmm9,%xmm0,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,73,254,209                  // vpaddd        %xmm9,%xmm6,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  196,99,101,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm3,%ymm10
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,196                  // vpaddd        %xmm12,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,99,109,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm2,%ymm13
  .byte  197,129,254,199                     // vpaddd        %xmm7,%xmm15,%xmm0
  .byte  196,194,121,64,243                  // vpmulld       %xmm11,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  197,121,111,124,36,240              // vmovdqa       -0x10(%rsp),%xmm15
  .byte  197,129,254,201                     // vpaddd        %xmm1,%xmm15,%xmm1
  .byte  196,194,113,64,251                  // vpmulld       %xmm11,%xmm1,%xmm7
  .byte  197,249,126,251                     // vmovd         %xmm7,%ebx
  .byte  196,195,121,22,248,1                // vpextrd       $0x1,%xmm7,%r8d
  .byte  196,195,121,22,249,2                // vpextrd       $0x2,%xmm7,%r9d
  .byte  196,195,121,22,250,3                // vpextrd       $0x3,%xmm7,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,125,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm1
  .byte  196,193,65,254,193                  // vpaddd        %xmm9,%xmm7,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,193                  // vpaddd        %xmm9,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,65,254,212                  // vpaddd        %xmm12,%xmm7,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,73,254,212                  // vpaddd        %xmm12,%xmm6,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  196,227,101,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm2
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,140,89,201                      // vmulps        %ymm1,%ymm14,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,160,0,0,0         // vmovups       %ymm1,0xa0(%rsp)
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,172,88,192                      // vaddps        %ymm0,%ymm10,%ymm0
  .byte  197,252,17,132,36,128,0,0,0         // vmovups       %ymm0,0x80(%rsp)
  .byte  196,193,108,92,197                  // vsubps        %ymm13,%ymm2,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,20,88,208                       // vaddps        %ymm0,%ymm13,%ymm10
  .byte  197,249,111,68,36,32                // vmovdqa       0x20(%rsp),%xmm0
  .byte  197,249,254,180,36,208,0,0,0        // vpaddd        0xd0(%rsp),%xmm0,%xmm6
  .byte  197,185,254,68,36,64                // vpaddd        0x40(%rsp),%xmm8,%xmm0
  .byte  197,249,254,76,36,224               // vpaddd        -0x20(%rsp),%xmm0,%xmm1
  .byte  196,66,113,64,235                   // vpmulld       %xmm11,%xmm1,%xmm13
  .byte  196,65,249,126,233                  // vmovq         %xmm13,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,99,249,22,235,1                 // vpextrq       $0x1,%xmm13,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  197,201,254,84,36,208               // vpaddd        -0x30(%rsp),%xmm6,%xmm2
  .byte  196,194,105,64,211                  // vpmulld       %xmm11,%xmm2,%xmm2
  .byte  197,249,126,211                     // vmovd         %xmm2,%ebx
  .byte  196,195,121,22,208,1                // vpextrd       $0x1,%xmm2,%r8d
  .byte  196,195,121,22,209,2                // vpextrd       $0x2,%xmm2,%r9d
  .byte  196,195,121,22,210,3                // vpextrd       $0x3,%xmm2,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,117,24,203,1                // vinsertf128   $0x1,%xmm3,%ymm1,%ymm1
  .byte  196,193,105,254,217                 // vpaddd        %xmm9,%xmm2,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,17,254,217                  // vpaddd        %xmm9,%xmm13,%xmm3
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,161,122,16,44,176               // vmovss        (%rax,%r14,4),%xmm5
  .byte  196,227,97,33,221,32                // vinsertps     $0x20,%xmm5,%xmm3,%xmm3
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,227,97,33,221,48                // vinsertps     $0x30,%xmm5,%xmm3,%xmm3
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,163,81,33,44,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm5,%xmm5
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,81,33,239,32                // vinsertps     $0x20,%xmm7,%xmm5,%xmm5
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,81,33,239,48                // vinsertps     $0x30,%xmm7,%xmm5,%xmm5
  .byte  196,227,85,24,235,1                 // vinsertf128   $0x1,%xmm3,%ymm5,%ymm5
  .byte  196,193,105,254,212                 // vpaddd        %xmm12,%xmm2,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,17,254,212                  // vpaddd        %xmm12,%xmm13,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,97,33,223,32                // vinsertps     $0x20,%xmm7,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,97,33,223,48                // vinsertps     $0x30,%xmm7,%xmm3,%xmm3
  .byte  196,99,101,24,234,1                 // vinsertf128   $0x1,%xmm2,%ymm3,%ymm13
  .byte  197,249,254,68,36,192               // vpaddd        -0x40(%rsp),%xmm0,%xmm0
  .byte  197,129,254,214                     // vpaddd        %xmm6,%xmm15,%xmm2
  .byte  196,194,105,64,243                  // vpmulld       %xmm11,%xmm2,%xmm6
  .byte  196,194,121,64,195                  // vpmulld       %xmm11,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,249,126,243                     // vmovd         %xmm6,%ebx
  .byte  196,195,121,22,240,1                // vpextrd       $0x1,%xmm6,%r8d
  .byte  196,195,121,22,241,2                // vpextrd       $0x2,%xmm6,%r9d
  .byte  196,195,121,22,242,3                // vpextrd       $0x3,%xmm6,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,109,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm3
  .byte  196,193,73,254,209                  // vpaddd        %xmm9,%xmm6,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,209                 // vpaddd        %xmm9,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,73,254,228                  // vpaddd        %xmm12,%xmm6,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,196                 // vpaddd        %xmm12,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,121,33,196,32               // vinsertps     $0x20,%xmm4,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,121,33,196,48               // vinsertps     $0x30,%xmm4,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm0
  .byte  197,228,92,217                      // vsubps        %ymm1,%ymm3,%ymm3
  .byte  197,140,89,219                      // vmulps        %ymm3,%ymm14,%ymm3
  .byte  197,244,88,203                      // vaddps        %ymm3,%ymm1,%ymm1
  .byte  197,236,92,213                      // vsubps        %ymm5,%ymm2,%ymm2
  .byte  197,140,89,210                      // vmulps        %ymm2,%ymm14,%ymm2
  .byte  197,212,88,210                      // vaddps        %ymm2,%ymm5,%ymm2
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  197,140,89,192                      // vmulps        %ymm0,%ymm14,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  197,252,16,164,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,92,36,128                // vmovups       -0x80(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,16,164,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm4
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  196,193,124,92,194                  // vsubps        %ymm10,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,172,88,216                      // vaddps        %ymm0,%ymm10,%ymm3
  .byte  197,252,91,132,36,224,0,0,0         // vcvtdq2ps     0xe0(%rsp),%ymm0
  .byte  197,252,16,164,36,0,1,0,0           // vmovups       0x100(%rsp),%ymm4
  .byte  197,220,92,224                      // vsubps        %ymm0,%ymm4,%ymm4
  .byte  197,252,16,44,36                    // vmovups       (%rsp),%ymm5
  .byte  197,244,92,197                      // vsubps        %ymm5,%ymm1,%ymm0
  .byte  197,220,89,192                      // vmulps        %ymm0,%ymm4,%ymm0
  .byte  197,212,88,192                      // vaddps        %ymm0,%ymm5,%ymm0
  .byte  197,252,16,108,36,96                // vmovups       0x60(%rsp),%ymm5
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  197,220,89,201                      // vmulps        %ymm1,%ymm4,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,16,108,36,160               // vmovups       -0x60(%rsp),%ymm5
  .byte  197,228,92,213                      // vsubps        %ymm5,%ymm3,%ymm2
  .byte  197,220,89,210                      // vmulps        %ymm2,%ymm4,%ymm2
  .byte  197,212,88,210                      // vaddps        %ymm2,%ymm5,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,156,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm3
  .byte  197,252,16,164,36,128,1,0,0         // vmovups       0x180(%rsp),%ymm4
  .byte  197,252,16,172,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm5
  .byte  197,252,16,180,36,192,1,0,0         // vmovups       0x1c0(%rsp),%ymm6
  .byte  197,252,16,188,36,224,1,0,0         // vmovups       0x1e0(%rsp),%ymm7
  .byte  72,129,196,8,2,0,0                  // add           $0x208,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_avx
.globl _sk_clut_4D_avx
FUNCTION(_sk_clut_4D_avx)
_sk_clut_4D_avx:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,129,236,168,2,0,0                // sub           $0x2a8,%rsp
  .byte  197,252,17,188,36,128,2,0,0         // vmovups       %ymm7,0x280(%rsp)
  .byte  197,252,17,180,36,96,2,0,0          // vmovups       %ymm6,0x260(%rsp)
  .byte  197,252,17,172,36,64,2,0,0          // vmovups       %ymm5,0x240(%rsp)
  .byte  197,252,17,164,36,32,2,0,0          // vmovups       %ymm4,0x220(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,225                 // vmovd         %r9d,%xmm4
  .byte  197,249,112,228,0                   // vpshufd       $0x0,%xmm4,%xmm4
  .byte  196,227,93,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm4,%ymm4
  .byte  197,252,91,228                      // vcvtdq2ps     %ymm4,%ymm4
  .byte  197,220,89,219                      // vmulps        %ymm3,%ymm4,%ymm3
  .byte  197,252,17,156,36,0,2,0,0           // vmovups       %ymm3,0x200(%rsp)
  .byte  197,254,91,227                      // vcvttps2dq    %ymm3,%ymm4
  .byte  68,139,72,16                        // mov           0x10(%rax),%r9d
  .byte  69,141,81,255                       // lea           -0x1(%r9),%r10d
  .byte  196,193,121,110,218                 // vmovd         %r10d,%xmm3
  .byte  197,249,112,219,0                   // vpshufd       $0x0,%xmm3,%xmm3
  .byte  196,227,101,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,252,17,148,36,32,1,0,0          // vmovups       %ymm2,0x120(%rsp)
  .byte  197,254,91,234                      // vcvttps2dq    %ymm2,%ymm5
  .byte  196,193,121,110,208                 // vmovd         %r8d,%xmm2
  .byte  197,249,112,242,0                   // vpshufd       $0x0,%xmm2,%xmm6
  .byte  196,226,81,64,222                   // vpmulld       %xmm6,%xmm5,%xmm3
  .byte  197,249,111,254                     // vmovdqa       %xmm6,%xmm7
  .byte  197,249,127,124,36,224              // vmovdqa       %xmm7,-0x20(%rsp)
  .byte  197,254,127,172,36,128,1,0,0        // vmovdqu       %ymm5,0x180(%rsp)
  .byte  197,249,127,156,36,192,0,0,0        // vmovdqa       %xmm3,0xc0(%rsp)
  .byte  197,225,254,244                     // vpaddd        %xmm4,%xmm3,%xmm6
  .byte  197,249,127,116,36,96               // vmovdqa       %xmm6,0x60(%rsp)
  .byte  197,254,127,164,36,224,1,0,0        // vmovdqu       %ymm4,0x1e0(%rsp)
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  196,226,97,64,210                   // vpmulld       %xmm2,%xmm3,%xmm2
  .byte  197,121,112,194,0                   // vpshufd       $0x0,%xmm2,%xmm8
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  196,193,121,110,217                 // vmovd         %r9d,%xmm3
  .byte  197,249,112,219,0                   // vpshufd       $0x0,%xmm3,%xmm3
  .byte  196,227,101,24,219,1                // vinsertf128   $0x1,%xmm3,%ymm3,%ymm3
  .byte  197,252,91,219                      // vcvtdq2ps     %ymm3,%ymm3
  .byte  197,228,89,217                      // vmulps        %ymm1,%ymm3,%ymm3
  .byte  197,252,17,156,36,128,0,0,0         // vmovups       %ymm3,0x80(%rsp)
  .byte  196,193,121,110,200                 // vmovd         %r8d,%xmm1
  .byte  196,226,113,64,202                  // vpmulld       %xmm2,%xmm1,%xmm1
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  196,193,121,110,208                 // vmovd         %r8d,%xmm2
  .byte  197,249,112,210,0                   // vpshufd       $0x0,%xmm2,%xmm2
  .byte  196,227,109,24,210,1                // vinsertf128   $0x1,%xmm2,%ymm2,%ymm2
  .byte  197,252,91,210                      // vcvtdq2ps     %ymm2,%ymm2
  .byte  197,108,89,232                      // vmulps        %ymm0,%ymm2,%ymm13
  .byte  197,254,91,211                      // vcvttps2dq    %ymm3,%ymm2
  .byte  197,249,112,193,0                   // vpshufd       $0x0,%xmm1,%xmm0
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  196,194,105,64,200                  // vpmulld       %xmm8,%xmm2,%xmm1
  .byte  197,125,111,210                     // vmovdqa       %ymm2,%ymm10
  .byte  197,126,127,148,36,224,0,0,0        // vmovdqu       %ymm10,0xe0(%rsp)
  .byte  197,249,127,140,36,0,1,0,0          // vmovdqa       %xmm1,0x100(%rsp)
  .byte  197,241,254,214                     // vpaddd        %xmm6,%xmm1,%xmm2
  .byte  196,65,126,91,229                   // vcvttps2dq    %ymm13,%ymm12
  .byte  196,226,25,64,200                   // vpmulld       %xmm0,%xmm12,%xmm1
  .byte  197,249,127,76,36,128               // vmovdqa       %xmm1,-0x80(%rsp)
  .byte  197,241,254,202                     // vpaddd        %xmm2,%xmm1,%xmm1
  .byte  196,98,121,24,61,2,179,1,0          // vbroadcastss  0x1b302(%rip),%xmm15        # 2b9d4 <_sk_overlay_sse2_8bit+0x5b8>
  .byte  196,194,113,64,247                  // vpmulld       %xmm15,%xmm1,%xmm6
  .byte  196,193,249,126,240                 // vmovq         %xmm6,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  196,195,249,22,242,1                // vpextrq       $0x1,%xmm6,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,12,136               // vmovss        (%rax,%r9,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,152,32            // vinsertps     $0x20,(%rax,%r11,4),%xmm1,%xmm1
  .byte  196,161,122,16,28,144               // vmovss        (%rax,%r10,4),%xmm3
  .byte  196,99,113,33,203,48                // vinsertps     $0x30,%xmm3,%xmm1,%xmm9
  .byte  196,227,125,25,233,1                // vextractf128  $0x1,%ymm5,%xmm1
  .byte  196,226,113,64,239                  // vpmulld       %xmm7,%xmm1,%xmm5
  .byte  197,249,127,172,36,160,0,0,0        // vmovdqa       %xmm5,0xa0(%rsp)
  .byte  196,99,125,25,209,1                 // vextractf128  $0x1,%ymm10,%xmm1
  .byte  196,194,113,64,216                  // vpmulld       %xmm8,%xmm1,%xmm3
  .byte  197,249,127,92,36,16                // vmovdqa       %xmm3,0x10(%rsp)
  .byte  196,99,125,25,225,1                 // vextractf128  $0x1,%ymm12,%xmm1
  .byte  196,226,113,64,248                  // vpmulld       %xmm0,%xmm1,%xmm7
  .byte  197,249,127,124,36,176              // vmovdqa       %xmm7,-0x50(%rsp)
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,248,41,76,36,192                // vmovaps       %xmm1,-0x40(%rsp)
  .byte  197,209,254,201                     // vpaddd        %xmm1,%xmm5,%xmm1
  .byte  197,249,127,140,36,64,1,0,0         // vmovdqa       %xmm1,0x140(%rsp)
  .byte  197,225,254,201                     // vpaddd        %xmm1,%xmm3,%xmm1
  .byte  197,193,254,217                     // vpaddd        %xmm1,%xmm7,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  196,193,121,126,216                 // vmovd         %xmm3,%r8d
  .byte  196,195,121,22,217,1                // vpextrd       $0x1,%xmm3,%r9d
  .byte  196,195,121,22,218,2                // vpextrd       $0x2,%xmm3,%r10d
  .byte  196,195,121,22,219,3                // vpextrd       $0x3,%xmm3,%r11d
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,152,48             // vinsertps     $0x30,(%rax,%r11,4),%xmm7,%xmm7
  .byte  196,99,53,24,247,1                  // vinsertf128   $0x1,%xmm7,%ymm9,%ymm14
  .byte  196,98,121,24,21,179,176,1,0        // vbroadcastss  0x1b0b3(%rip),%xmm10        # 2b860 <_sk_overlay_sse2_8bit+0x444>
  .byte  196,65,97,254,202                   // vpaddd        %xmm10,%xmm3,%xmm9
  .byte  196,67,249,22,200,1                 // vpextrq       $0x1,%xmm9,%r8
  .byte  196,65,249,126,201                  // vmovq         %xmm9,%r9
  .byte  196,65,73,254,202                   // vpaddd        %xmm10,%xmm6,%xmm9
  .byte  196,65,249,126,202                  // vmovq         %xmm9,%r10
  .byte  196,67,249,22,203,1                 // vpextrq       $0x1,%xmm9,%r11
  .byte  68,137,203                          // mov           %r9d,%ebx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,65,33,228,32                // vinsertps     $0x20,%xmm4,%xmm7,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  68,137,211                          // mov           %r10d,%ebx
  .byte  69,137,216                          // mov           %r11d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,44,128               // vmovss        (%rax,%r8,4),%xmm5
  .byte  196,227,65,33,237,32                // vinsertps     $0x20,%xmm5,%xmm7,%xmm5
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  196,161,122,16,60,152               // vmovss        (%rax,%r11,4),%xmm7
  .byte  196,227,81,33,239,48                // vinsertps     $0x30,%xmm7,%xmm5,%xmm5
  .byte  196,99,85,24,220,1                  // vinsertf128   $0x1,%xmm4,%ymm5,%ymm11
  .byte  196,98,121,24,13,40,176,1,0         // vbroadcastss  0x1b028(%rip),%xmm9        # 2b868 <_sk_overlay_sse2_8bit+0x44c>
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,73,254,217                  // vpaddd        %xmm9,%xmm6,%xmm3
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,89,33,229,32                // vinsertps     $0x20,%xmm5,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,89,33,229,48                // vinsertps     $0x30,%xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,243,1                 // vinsertf128   $0x1,%xmm3,%ymm4,%ymm6
  .byte  196,226,125,24,37,252,176,1,0       // vbroadcastss  0x1b0fc(%rip),%ymm4        # 2b9d0 <_sk_overlay_sse2_8bit+0x5b4>
  .byte  197,148,88,220                      // vaddps        %ymm4,%ymm13,%ymm3
  .byte  197,252,40,252                      // vmovaps       %ymm4,%ymm7
  .byte  197,252,17,124,36,32                // vmovups       %ymm7,0x20(%rsp)
  .byte  197,254,91,219                      // vcvttps2dq    %ymm3,%ymm3
  .byte  196,227,125,25,220,1                // vextractf128  $0x1,%ymm3,%xmm4
  .byte  196,226,89,64,224                   // vpmulld       %xmm0,%xmm4,%xmm4
  .byte  197,249,127,100,36,160              // vmovdqa       %xmm4,-0x60(%rsp)
  .byte  196,226,97,64,192                   // vpmulld       %xmm0,%xmm3,%xmm0
  .byte  197,249,127,68,36,144               // vmovdqa       %xmm0,-0x70(%rsp)
  .byte  197,249,254,194                     // vpaddd        %xmm2,%xmm0,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,219,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm3
  .byte  197,217,254,193                     // vpaddd        %xmm1,%xmm4,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,101,24,217,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm3
  .byte  196,193,121,254,202                 // vpaddd        %xmm10,%xmm0,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,105,254,202                 // vpaddd        %xmm10,%xmm2,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,113,33,204,32               // vinsertps     $0x20,%xmm4,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,113,33,204,48               // vinsertps     $0x30,%xmm4,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,44,136               // vmovss        (%rax,%r9,4),%xmm5
  .byte  196,227,89,33,229,32                // vinsertps     $0x20,%xmm5,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,44,152                   // vmovss        (%rax,%rbx,4),%xmm5
  .byte  196,227,89,33,229,48                // vinsertps     $0x30,%xmm5,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,124,91,212                  // vcvtdq2ps     %ymm12,%ymm2
  .byte  197,148,92,234                      // vsubps        %ymm2,%ymm13,%ymm5
  .byte  196,193,100,92,214                  // vsubps        %ymm14,%ymm3,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,12,88,234                       // vaddps        %ymm2,%ymm14,%ymm13
  .byte  196,193,116,92,203                  // vsubps        %ymm11,%ymm1,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,164,88,201                      // vaddps        %ymm1,%ymm11,%ymm1
  .byte  197,252,17,140,36,96,1,0,0          // vmovups       %ymm1,0x160(%rsp)
  .byte  197,252,92,198                      // vsubps        %ymm6,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,204,88,192                      // vaddps        %ymm0,%ymm6,%ymm0
  .byte  197,252,17,68,36,64                 // vmovups       %ymm0,0x40(%rsp)
  .byte  197,124,16,156,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm11
  .byte  197,164,88,199                      // vaddps        %ymm7,%ymm11,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,194,121,64,200                  // vpmulld       %xmm8,%xmm0,%xmm1
  .byte  197,249,127,12,36                   // vmovdqa       %xmm1,(%rsp)
  .byte  196,227,125,25,192,1                // vextractf128  $0x1,%ymm0,%xmm0
  .byte  196,194,121,64,216                  // vpmulld       %xmm8,%xmm0,%xmm3
  .byte  197,249,127,92,36,240               // vmovdqa       %xmm3,-0x10(%rsp)
  .byte  197,241,254,124,36,96               // vpaddd        0x60(%rsp),%xmm1,%xmm7
  .byte  197,193,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm7,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  197,225,254,148,36,64,1,0,0         // vpaddd        0x140(%rsp),%xmm3,%xmm2
  .byte  197,233,254,92,36,176               // vpaddd        -0x50(%rsp),%xmm2,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,117,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm1,%ymm12
  .byte  196,193,97,254,202                  // vpaddd        %xmm10,%xmm3,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,121,254,202                 // vpaddd        %xmm10,%xmm0,%xmm1
  .byte  196,193,249,126,202                 // vmovq         %xmm1,%r10
  .byte  196,227,249,22,203,1                // vpextrq       $0x1,%xmm1,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,12,152               // vmovss        (%rax,%r11,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,113,33,204,32               // vinsertps     $0x20,%xmm4,%xmm1,%xmm1
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,113,33,204,48               // vinsertps     $0x30,%xmm4,%xmm1,%xmm1
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,201,1                 // vinsertf128   $0x1,%xmm1,%ymm4,%ymm1
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,192,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm8
  .byte  197,121,111,116,36,144              // vmovdqa       -0x70(%rsp),%xmm14
  .byte  197,137,254,199                     // vpaddd        %xmm7,%xmm14,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm3,%xmm3
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,228,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm4
  .byte  197,233,254,84,36,160               // vpaddd        -0x60(%rsp),%xmm2,%xmm2
  .byte  196,194,105,64,223                  // vpmulld       %xmm15,%xmm2,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,163,105,33,20,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,163,73,33,52,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,227,77,24,252,1                 // vinsertf128   $0x1,%xmm4,%ymm6,%ymm7
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  196,193,108,92,212                  // vsubps        %ymm12,%ymm2,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,156,88,210                      // vaddps        %ymm2,%ymm12,%ymm2
  .byte  197,196,92,217                      // vsubps        %ymm1,%ymm7,%ymm3
  .byte  197,212,89,219                      // vmulps        %ymm3,%ymm5,%ymm3
  .byte  197,244,88,203                      // vaddps        %ymm3,%ymm1,%ymm1
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,252,91,156,36,224,0,0,0         // vcvtdq2ps     0xe0(%rsp),%ymm3
  .byte  197,164,92,219                      // vsubps        %ymm3,%ymm11,%ymm3
  .byte  197,252,17,156,36,224,0,0,0         // vmovups       %ymm3,0xe0(%rsp)
  .byte  196,193,108,92,213                  // vsubps        %ymm13,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,148,88,210                      // vaddps        %ymm2,%ymm13,%ymm2
  .byte  197,252,17,148,36,128,0,0,0         // vmovups       %ymm2,0x80(%rsp)
  .byte  197,252,16,148,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm2
  .byte  197,244,92,202                      // vsubps        %ymm2,%ymm1,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  197,252,17,76,36,96                 // vmovups       %ymm1,0x60(%rsp)
  .byte  197,252,16,76,36,64                 // vmovups       0x40(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,68,36,64                 // vmovups       %ymm0,0x40(%rsp)
  .byte  197,252,16,68,36,32                 // vmovups       0x20(%rsp),%ymm0
  .byte  197,252,88,132,36,32,1,0,0          // vaddps        0x120(%rsp),%ymm0,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  196,227,125,25,193,1                // vextractf128  $0x1,%ymm0,%xmm1
  .byte  197,249,111,84,36,224               // vmovdqa       -0x20(%rsp),%xmm2
  .byte  196,226,113,64,218                  // vpmulld       %xmm2,%xmm1,%xmm3
  .byte  197,249,127,156,36,96,1,0,0         // vmovdqa       %xmm3,0x160(%rsp)
  .byte  196,226,121,64,194                  // vpmulld       %xmm2,%xmm0,%xmm0
  .byte  197,249,127,68,36,224               // vmovdqa       %xmm0,-0x20(%rsp)
  .byte  197,249,254,132,36,224,1,0,0        // vpaddd        0x1e0(%rsp),%xmm0,%xmm0
  .byte  197,249,127,132,36,208,1,0,0        // vmovdqa       %xmm0,0x1d0(%rsp)
  .byte  197,249,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%xmm0,%xmm2
  .byte  197,233,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm2,%xmm0
  .byte  196,194,121,64,247                  // vpmulld       %xmm15,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,225,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm4
  .byte  197,225,254,68,36,192               // vpaddd        -0x40(%rsp),%xmm3,%xmm0
  .byte  197,249,127,132,36,192,1,0,0        // vmovdqa       %xmm0,0x1c0(%rsp)
  .byte  197,249,254,76,36,16                // vpaddd        0x10(%rsp),%xmm0,%xmm1
  .byte  197,121,111,108,36,176              // vmovdqa       -0x50(%rsp),%xmm13
  .byte  196,193,113,254,221                 // vpaddd        %xmm13,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,163,65,33,60,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,163,65,33,60,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,227,93,24,199,1                 // vinsertf128   $0x1,%xmm7,%ymm4,%ymm0
  .byte  197,252,17,68,36,192                // vmovups       %ymm0,-0x40(%rsp)
  .byte  196,193,97,254,250                  // vpaddd        %xmm10,%xmm3,%xmm7
  .byte  196,195,249,22,248,1                // vpextrq       $0x1,%xmm7,%r8
  .byte  196,193,249,126,249                 // vmovq         %xmm7,%r9
  .byte  196,193,73,254,250                  // vpaddd        %xmm10,%xmm6,%xmm7
  .byte  196,193,249,126,250                 // vmovq         %xmm7,%r10
  .byte  196,227,249,22,251,1                // vpextrq       $0x1,%xmm7,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,60,152               // vmovss        (%rax,%r11,4),%xmm7
  .byte  196,163,65,33,60,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm7,%xmm7
  .byte  196,161,122,16,4,176                // vmovss        (%rax,%r14,4),%xmm0
  .byte  196,227,65,33,192,32                // vinsertps     $0x20,%xmm0,%xmm7,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,121,33,199,48               // vinsertps     $0x30,%xmm7,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,65,33,228,32                // vinsertps     $0x20,%xmm4,%xmm7,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  196,99,93,24,192,1                  // vinsertf128   $0x1,%xmm0,%ymm4,%ymm8
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,193                  // vpaddd        %xmm9,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,224,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm12
  .byte  197,137,254,194                     // vpaddd        %xmm2,%xmm14,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  197,121,111,92,36,160               // vmovdqa       -0x60(%rsp),%xmm11
  .byte  197,161,254,201                     // vpaddd        %xmm1,%xmm11,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,125,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm1
  .byte  196,193,97,254,194                  // vpaddd        %xmm10,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,194                 // vpaddd        %xmm10,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,121,33,196,32               // vinsertps     $0x20,%xmm4,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,121,33,196,48               // vinsertps     $0x30,%xmm4,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,240,1                 // vinsertf128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  197,252,16,84,36,192                // vmovups       -0x40(%rsp),%ymm2
  .byte  197,244,92,202                      // vsubps        %ymm2,%ymm1,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,236,88,201                      // vaddps        %ymm1,%ymm2,%ymm1
  .byte  197,252,17,76,36,192                // vmovups       %ymm1,-0x40(%rsp)
  .byte  196,193,76,92,200                   // vsubps        %ymm8,%ymm6,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,252,17,140,36,64,1,0,0          // vmovups       %ymm1,0x140(%rsp)
  .byte  196,193,124,92,196                  // vsubps        %ymm12,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,28,88,192                       // vaddps        %ymm0,%ymm12,%ymm8
  .byte  197,249,111,132,36,208,1,0,0        // vmovdqa       0x1d0(%rsp),%xmm0
  .byte  197,249,254,52,36                   // vpaddd        (%rsp),%xmm0,%xmm6
  .byte  197,201,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm6,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,217,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm3
  .byte  197,249,111,132,36,192,1,0,0        // vmovdqa       0x1c0(%rsp),%xmm0
  .byte  197,249,254,76,36,240               // vpaddd        -0x10(%rsp),%xmm0,%xmm1
  .byte  196,193,113,254,197                 // vpaddd        %xmm13,%xmm1,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,101,24,236,1                 // vinsertf128   $0x1,%xmm4,%ymm3,%ymm13
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,105,254,226                 // vpaddd        %xmm10,%xmm2,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,65,33,219,32                // vinsertps     $0x20,%xmm3,%xmm7,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,97,33,223,48                // vinsertps     $0x30,%xmm7,%xmm3,%xmm3
  .byte  196,99,101,24,244,1                 // vinsertf128   $0x1,%xmm4,%ymm3,%ymm14
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,99,109,24,224,1                 // vinsertf128   $0x1,%xmm0,%ymm2,%ymm12
  .byte  197,201,254,68,36,144               // vpaddd        -0x70(%rsp),%xmm6,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,219,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm3
  .byte  197,161,254,193                     // vpaddd        %xmm1,%xmm11,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  197,249,126,195                     // vmovd         %xmm0,%ebx
  .byte  196,195,121,22,192,1                // vpextrd       $0x1,%xmm0,%r8d
  .byte  196,195,121,22,193,2                // vpextrd       $0x2,%xmm0,%r9d
  .byte  196,195,121,22,194,3                // vpextrd       $0x3,%xmm0,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,101,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm3,%ymm1
  .byte  196,193,121,254,218                 // vpaddd        %xmm10,%xmm0,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,105,254,218                 // vpaddd        %xmm10,%xmm2,%xmm3
  .byte  196,193,249,126,218                 // vmovq         %xmm3,%r10
  .byte  196,227,249,22,219,1                // vpextrq       $0x1,%xmm3,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,28,152               // vmovss        (%rax,%r11,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,243,1                 // vinsertf128   $0x1,%xmm3,%ymm4,%ymm6
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,116,92,205                  // vsubps        %ymm13,%ymm1,%ymm1
  .byte  197,252,17,172,36,160,1,0,0         // vmovups       %ymm5,0x1a0(%rsp)
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,148,88,201                      // vaddps        %ymm1,%ymm13,%ymm1
  .byte  196,193,76,92,214                   // vsubps        %ymm14,%ymm6,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,140,88,210                      // vaddps        %ymm2,%ymm14,%ymm2
  .byte  196,193,124,92,196                  // vsubps        %ymm12,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,156,88,192                      // vaddps        %ymm0,%ymm12,%ymm0
  .byte  197,252,16,100,36,192               // vmovups       -0x40(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,156,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,16,164,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm4
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  196,193,124,92,192                  // vsubps        %ymm8,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,188,88,192                      // vaddps        %ymm0,%ymm8,%ymm0
  .byte  197,252,91,156,36,128,1,0,0         // vcvtdq2ps     0x180(%rsp),%ymm3
  .byte  197,252,16,164,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm4
  .byte  197,220,92,219                      // vsubps        %ymm3,%ymm4,%ymm3
  .byte  197,252,17,92,36,192                // vmovups       %ymm3,-0x40(%rsp)
  .byte  197,252,16,164,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,32,1,0,0          // vmovups       %ymm1,0x120(%rsp)
  .byte  197,252,16,100,36,96                // vmovups       0x60(%rsp),%ymm4
  .byte  197,236,92,204                      // vsubps        %ymm4,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,128,1,0,0         // vmovups       %ymm1,0x180(%rsp)
  .byte  197,252,16,76,36,64                 // vmovups       0x40(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,132,36,128,0,0,0         // vmovups       %ymm0,0x80(%rsp)
  .byte  197,252,16,68,36,32                 // vmovups       0x20(%rsp),%ymm0
  .byte  197,252,88,132,36,0,2,0,0           // vaddps        0x200(%rsp),%ymm0,%ymm0
  .byte  197,254,91,192                      // vcvttps2dq    %ymm0,%ymm0
  .byte  197,249,254,140,36,192,0,0,0        // vpaddd        0xc0(%rsp),%xmm0,%xmm1
  .byte  197,249,127,76,36,32                // vmovdqa       %xmm1,0x20(%rsp)
  .byte  197,253,111,224                     // vmovdqa       %ymm0,%ymm4
  .byte  197,254,127,100,36,64               // vmovdqu       %ymm4,0x40(%rsp)
  .byte  197,241,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%xmm1,%xmm2
  .byte  197,249,111,108,36,128              // vmovdqa       -0x80(%rsp),%xmm5
  .byte  197,209,254,194                     // vpaddd        %xmm2,%xmm5,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,113,33,251,48               // vinsertps     $0x30,%xmm3,%xmm1,%xmm7
  .byte  196,227,125,25,225,1                // vextractf128  $0x1,%ymm4,%xmm1
  .byte  197,248,41,76,36,96                 // vmovaps       %xmm1,0x60(%rsp)
  .byte  197,113,254,180,36,160,0,0,0        // vpaddd        0xa0(%rsp),%xmm1,%xmm14
  .byte  197,137,254,76,36,16                // vpaddd        0x10(%rsp),%xmm14,%xmm1
  .byte  197,241,254,92,36,176               // vpaddd        -0x50(%rsp),%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,69,24,228,1                  // vinsertf128   $0x1,%xmm4,%ymm7,%ymm12
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,225,249,126,227                 // vmovq         %xmm4,%rbx
  .byte  196,195,249,22,226,1                // vpextrq       $0x1,%xmm4,%r10
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  69,137,209                          // mov           %r10d,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,73,33,52,152,16             // vinsertps     $0x10,(%rax,%rbx,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,144               // vmovss        (%rax,%r10,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,99,77,24,196,1                  // vinsertf128   $0x1,%xmm4,%ymm6,%ymm8
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm13
  .byte  197,121,111,92,36,144               // vmovdqa       -0x70(%rsp),%xmm11
  .byte  197,161,254,194                     // vpaddd        %xmm2,%xmm11,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,241,254,76,36,160               // vpaddd        -0x60(%rsp),%xmm1,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,109,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm1
  .byte  196,193,97,254,210                  // vpaddd        %xmm10,%xmm3,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,210                 // vpaddd        %xmm10,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  196,193,116,92,204                  // vsubps        %ymm12,%ymm1,%ymm1
  .byte  197,252,16,156,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,28,88,225                       // vaddps        %ymm1,%ymm12,%ymm12
  .byte  196,193,108,92,200                  // vsubps        %ymm8,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,252,17,140,36,192,0,0,0         // vmovups       %ymm1,0xc0(%rsp)
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  197,252,17,132,36,160,0,0,0         // vmovups       %ymm0,0xa0(%rsp)
  .byte  197,249,111,68,36,32                // vmovdqa       0x20(%rsp),%xmm0
  .byte  197,249,254,20,36                   // vpaddd        (%rsp),%xmm0,%xmm2
  .byte  197,233,254,197                     // vpaddd        %xmm5,%xmm2,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm1,%xmm1
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,113,33,227,48               // vinsertps     $0x30,%xmm3,%xmm1,%xmm4
  .byte  197,137,254,76,36,240               // vpaddd        -0x10(%rsp),%xmm14,%xmm1
  .byte  197,121,111,68,36,176               // vmovdqa       -0x50(%rsp),%xmm8
  .byte  196,193,113,254,216                 // vpaddd        %xmm8,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,163,73,33,52,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,99,93,24,246,1                  // vinsertf128   $0x1,%xmm6,%ymm4,%ymm14
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,121,254,226                 // vpaddd        %xmm10,%xmm0,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,89,33,230,32                // vinsertps     $0x20,%xmm6,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,89,33,230,48                // vinsertps     $0x30,%xmm6,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,163,73,33,52,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,227,77,24,244,1                 // vinsertf128   $0x1,%xmm4,%ymm6,%ymm6
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,232,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm13
  .byte  197,161,254,194                     // vpaddd        %xmm2,%xmm11,%xmm0
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,249,111,108,36,160              // vmovdqa       -0x60(%rsp),%xmm5
  .byte  197,209,254,201                     // vpaddd        %xmm1,%xmm5,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,109,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm2,%ymm1
  .byte  196,193,97,254,210                  // vpaddd        %xmm10,%xmm3,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,210                 // vpaddd        %xmm10,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,36,176               // vmovss        (%rax,%r14,4),%xmm4
  .byte  196,227,105,33,212,32               // vinsertps     $0x20,%xmm4,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,227,105,33,212,48               // vinsertps     $0x30,%xmm4,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,36,128               // vmovss        (%rax,%r8,4),%xmm4
  .byte  196,163,89,33,36,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  196,227,93,24,210,1                 // vinsertf128   $0x1,%xmm2,%ymm4,%ymm2
  .byte  196,193,97,254,217                  // vpaddd        %xmm9,%xmm3,%xmm3
  .byte  196,195,249,22,216,1                // vpextrq       $0x1,%xmm3,%r8
  .byte  196,193,249,126,217                 // vmovq         %xmm3,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,227,101,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm3,%ymm0
  .byte  196,193,116,92,206                  // vsubps        %ymm14,%ymm1,%ymm1
  .byte  197,252,16,156,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,140,88,201                      // vaddps        %ymm1,%ymm14,%ymm1
  .byte  197,236,92,214                      // vsubps        %ymm6,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,204,88,210                      // vaddps        %ymm2,%ymm6,%ymm2
  .byte  196,193,124,92,197                  // vsubps        %ymm13,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,148,88,192                      // vaddps        %ymm0,%ymm13,%ymm0
  .byte  196,193,116,92,204                  // vsubps        %ymm12,%ymm1,%ymm1
  .byte  197,252,16,156,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,156,88,201                      // vaddps        %ymm1,%ymm12,%ymm1
  .byte  197,252,17,76,36,32                 // vmovups       %ymm1,0x20(%rsp)
  .byte  197,252,16,164,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm4
  .byte  197,236,92,204                      // vsubps        %ymm4,%ymm2,%ymm1
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,17,140,36,192,0,0,0         // vmovups       %ymm1,0xc0(%rsp)
  .byte  197,252,16,140,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm1
  .byte  197,252,92,193                      // vsubps        %ymm1,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,244,88,192                      // vaddps        %ymm0,%ymm1,%ymm0
  .byte  197,252,17,132,36,160,0,0,0         // vmovups       %ymm0,0xa0(%rsp)
  .byte  197,254,111,68,36,64                // vmovdqu       0x40(%rsp),%ymm0
  .byte  197,121,254,116,36,224              // vpaddd        -0x20(%rsp),%xmm0,%xmm14
  .byte  197,249,111,68,36,96                // vmovdqa       0x60(%rsp),%xmm0
  .byte  197,121,254,172,36,96,1,0,0         // vpaddd        0x160(%rsp),%xmm0,%xmm13
  .byte  197,137,254,148,36,0,1,0,0          // vpaddd        0x100(%rsp),%xmm14,%xmm2
  .byte  197,233,254,68,36,128               // vpaddd        -0x80(%rsp),%xmm2,%xmm0
  .byte  196,194,121,64,247                  // vpmulld       %xmm15,%xmm0,%xmm6
  .byte  196,193,249,126,241                 // vmovq         %xmm6,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,243,1                // vpextrq       $0x1,%xmm6,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,227,121,33,193,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm0
  .byte  197,145,254,76,36,16                // vpaddd        0x10(%rsp),%xmm13,%xmm1
  .byte  196,193,113,254,216                 // vpaddd        %xmm8,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,163,89,33,36,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,163,89,33,36,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm4,%xmm4
  .byte  196,99,125,24,228,1                 // vinsertf128   $0x1,%xmm4,%ymm0,%ymm12
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,73,254,226                  // vpaddd        %xmm10,%xmm6,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,4,136                // vmovss        (%rax,%r9,4),%xmm0
  .byte  196,227,65,33,192,32                // vinsertps     $0x20,%xmm0,%xmm7,%xmm0
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,121,33,199,48               // vinsertps     $0x30,%xmm7,%xmm0,%xmm0
  .byte  196,227,125,24,228,1                // vinsertf128   $0x1,%xmm4,%ymm0,%ymm4
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,73,254,193                  // vpaddd        %xmm9,%xmm6,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,121,33,195,32               // vinsertps     $0x20,%xmm3,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,97,33,222,32                // vinsertps     $0x20,%xmm6,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,97,33,222,48                // vinsertps     $0x30,%xmm6,%xmm3,%xmm3
  .byte  196,99,101,24,216,1                 // vinsertf128   $0x1,%xmm0,%ymm3,%ymm11
  .byte  197,233,254,68,36,144               // vpaddd        -0x70(%rsp),%xmm2,%xmm0
  .byte  196,194,121,64,215                  // vpmulld       %xmm15,%xmm0,%xmm2
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,4,128                // vmovss        (%rax,%r8,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,163,121,33,4,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm0,%xmm0
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,121,33,195,48               // vinsertps     $0x30,%xmm3,%xmm0,%xmm0
  .byte  197,209,254,201                     // vpaddd        %xmm1,%xmm5,%xmm1
  .byte  196,194,113,64,223                  // vpmulld       %xmm15,%xmm1,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,12,152                   // vmovss        (%rax,%rbx,4),%xmm1
  .byte  196,163,113,33,12,128,16            // vinsertps     $0x10,(%rax,%r8,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,136,32            // vinsertps     $0x20,(%rax,%r9,4),%xmm1,%xmm1
  .byte  196,163,113,33,12,144,48            // vinsertps     $0x30,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,227,125,24,201,1                // vinsertf128   $0x1,%xmm1,%ymm0,%ymm1
  .byte  196,193,97,254,194                  // vpaddd        %xmm10,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,194                 // vpaddd        %xmm10,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,52,176               // vmovss        (%rax,%r14,4),%xmm6
  .byte  196,227,121,33,198,32               // vinsertps     $0x20,%xmm6,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,227,121,33,198,48               // vinsertps     $0x30,%xmm6,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,52,128               // vmovss        (%rax,%r8,4),%xmm6
  .byte  196,163,73,33,52,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,161,122,16,60,136               // vmovss        (%rax,%r9,4),%xmm7
  .byte  196,227,73,33,247,32                // vinsertps     $0x20,%xmm7,%xmm6,%xmm6
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,73,33,247,48                // vinsertps     $0x30,%xmm7,%xmm6,%xmm6
  .byte  196,227,77,24,240,1                 // vinsertf128   $0x1,%xmm0,%ymm6,%ymm6
  .byte  196,193,97,254,193                  // vpaddd        %xmm9,%xmm3,%xmm0
  .byte  196,195,249,22,192,1                // vpextrq       $0x1,%xmm0,%r8
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  196,193,105,254,193                 // vpaddd        %xmm9,%xmm2,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,20,176               // vmovss        (%rax,%r14,4),%xmm2
  .byte  196,227,121,33,194,32               // vinsertps     $0x20,%xmm2,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,227,121,33,194,48               // vinsertps     $0x30,%xmm2,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,136               // vmovss        (%rax,%r9,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  196,227,109,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm2,%ymm0
  .byte  196,193,116,92,204                  // vsubps        %ymm12,%ymm1,%ymm1
  .byte  197,252,16,148,36,160,1,0,0         // vmovups       0x1a0(%rsp),%ymm2
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,156,88,201                      // vaddps        %ymm1,%ymm12,%ymm1
  .byte  197,252,17,140,36,0,1,0,0           // vmovups       %ymm1,0x100(%rsp)
  .byte  197,204,92,204                      // vsubps        %ymm4,%ymm6,%ymm1
  .byte  197,236,89,201                      // vmulps        %ymm1,%ymm2,%ymm1
  .byte  197,92,88,225                       // vaddps        %ymm1,%ymm4,%ymm12
  .byte  196,193,124,92,195                  // vsubps        %ymm11,%ymm0,%ymm0
  .byte  197,236,89,192                      // vmulps        %ymm0,%ymm2,%ymm0
  .byte  197,252,40,234                      // vmovaps       %ymm2,%ymm5
  .byte  197,36,88,216                       // vaddps        %ymm0,%ymm11,%ymm11
  .byte  197,145,254,76,36,240               // vpaddd        -0x10(%rsp),%xmm13,%xmm1
  .byte  197,137,254,4,36                    // vpaddd        (%rsp),%xmm14,%xmm0
  .byte  197,249,254,92,36,128               // vpaddd        -0x80(%rsp),%xmm0,%xmm3
  .byte  196,66,97,64,247                    // vpmulld       %xmm15,%xmm3,%xmm14
  .byte  196,65,249,126,241                  // vmovq         %xmm14,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,99,249,22,243,1                 // vpextrq       $0x1,%xmm14,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,32             // vinsertps     $0x20,(%rax,%r10,4),%xmm3,%xmm3
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,228,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm4
  .byte  196,193,113,254,216                 // vpaddd        %xmm8,%xmm1,%xmm3
  .byte  196,194,97,64,223                   // vpmulld       %xmm15,%xmm3,%xmm3
  .byte  197,249,126,219                     // vmovd         %xmm3,%ebx
  .byte  196,195,121,22,216,1                // vpextrd       $0x1,%xmm3,%r8d
  .byte  196,195,121,22,217,2                // vpextrd       $0x2,%xmm3,%r9d
  .byte  196,195,121,22,218,3                // vpextrd       $0x3,%xmm3,%r10d
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,163,73,33,52,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm6,%xmm6
  .byte  196,163,73,33,52,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm6,%xmm6
  .byte  196,99,93,24,198,1                  // vinsertf128   $0x1,%xmm6,%ymm4,%ymm8
  .byte  196,193,97,254,226                  // vpaddd        %xmm10,%xmm3,%xmm4
  .byte  196,195,249,22,224,1                // vpextrq       $0x1,%xmm4,%r8
  .byte  196,193,249,126,225                 // vmovq         %xmm4,%r9
  .byte  196,193,9,254,226                   // vpaddd        %xmm10,%xmm14,%xmm4
  .byte  196,193,249,126,226                 // vmovq         %xmm4,%r10
  .byte  196,227,249,22,227,1                // vpextrq       $0x1,%xmm4,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,36,152               // vmovss        (%rax,%r11,4),%xmm4
  .byte  196,163,89,33,36,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm4,%xmm4
  .byte  196,161,122,16,60,176               // vmovss        (%rax,%r14,4),%xmm7
  .byte  196,227,89,33,231,32                // vinsertps     $0x20,%xmm7,%xmm4,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,227,89,33,231,48                // vinsertps     $0x30,%xmm7,%xmm4,%xmm4
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,60,128               // vmovss        (%rax,%r8,4),%xmm7
  .byte  196,163,65,33,60,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm7,%xmm7
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,65,33,210,32                // vinsertps     $0x20,%xmm2,%xmm7,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,60,152                   // vmovss        (%rax,%rbx,4),%xmm7
  .byte  196,227,105,33,215,48               // vinsertps     $0x30,%xmm7,%xmm2,%xmm2
  .byte  196,227,109,24,252,1                // vinsertf128   $0x1,%xmm4,%ymm2,%ymm7
  .byte  196,193,97,254,209                  // vpaddd        %xmm9,%xmm3,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,9,254,209                   // vpaddd        %xmm9,%xmm14,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,36,136               // vmovss        (%rax,%r9,4),%xmm4
  .byte  196,227,97,33,220,32                // vinsertps     $0x20,%xmm4,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,36,152                   // vmovss        (%rax,%rbx,4),%xmm4
  .byte  196,227,97,33,220,48                // vinsertps     $0x30,%xmm4,%xmm3,%xmm3
  .byte  196,99,101,24,242,1                 // vinsertf128   $0x1,%xmm2,%ymm3,%ymm14
  .byte  197,249,254,68,36,144               // vpaddd        -0x70(%rsp),%xmm0,%xmm0
  .byte  197,241,254,76,36,160               // vpaddd        -0x60(%rsp),%xmm1,%xmm1
  .byte  196,194,113,64,207                  // vpmulld       %xmm15,%xmm1,%xmm1
  .byte  196,194,121,64,199                  // vpmulld       %xmm15,%xmm0,%xmm0
  .byte  196,193,249,126,193                 // vmovq         %xmm0,%r9
  .byte  69,137,200                          // mov           %r9d,%r8d
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  196,161,122,16,20,128               // vmovss        (%rax,%r8,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,163,105,33,20,144,32            // vinsertps     $0x20,(%rax,%r10,4),%xmm2,%xmm2
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  197,249,126,203                     // vmovd         %xmm1,%ebx
  .byte  196,195,121,22,200,1                // vpextrd       $0x1,%xmm1,%r8d
  .byte  196,195,121,22,201,2                // vpextrd       $0x2,%xmm1,%r9d
  .byte  196,195,121,22,202,3                // vpextrd       $0x3,%xmm1,%r10d
  .byte  197,250,16,28,152                   // vmovss        (%rax,%rbx,4),%xmm3
  .byte  196,163,97,33,28,128,16             // vinsertps     $0x10,(%rax,%r8,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,136,32             // vinsertps     $0x20,(%rax,%r9,4),%xmm3,%xmm3
  .byte  196,163,97,33,28,144,48             // vinsertps     $0x30,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,227,109,24,227,1                // vinsertf128   $0x1,%xmm3,%ymm2,%ymm4
  .byte  196,193,113,254,210                 // vpaddd        %xmm10,%xmm1,%xmm2
  .byte  196,195,249,22,208,1                // vpextrq       $0x1,%xmm2,%r8
  .byte  196,193,249,126,209                 // vmovq         %xmm2,%r9
  .byte  196,193,121,254,210                 // vpaddd        %xmm10,%xmm0,%xmm2
  .byte  196,193,249,126,210                 // vmovq         %xmm2,%r10
  .byte  196,227,249,22,211,1                // vpextrq       $0x1,%xmm2,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,20,152               // vmovss        (%rax,%r11,4),%xmm2
  .byte  196,163,105,33,20,136,16            // vinsertps     $0x10,(%rax,%r9,4),%xmm2,%xmm2
  .byte  196,161,122,16,28,176               // vmovss        (%rax,%r14,4),%xmm3
  .byte  196,227,105,33,211,32               // vinsertps     $0x20,%xmm3,%xmm2,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,227,105,33,211,48               // vinsertps     $0x30,%xmm3,%xmm2,%xmm2
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,28,128               // vmovss        (%rax,%r8,4),%xmm3
  .byte  196,163,97,33,28,144,16             // vinsertps     $0x10,(%rax,%r10,4),%xmm3,%xmm3
  .byte  196,161,122,16,52,136               // vmovss        (%rax,%r9,4),%xmm6
  .byte  196,227,97,33,222,32                // vinsertps     $0x20,%xmm6,%xmm3,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,52,152                   // vmovss        (%rax,%rbx,4),%xmm6
  .byte  196,227,97,33,222,48                // vinsertps     $0x30,%xmm6,%xmm3,%xmm3
  .byte  196,227,101,24,218,1                // vinsertf128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,193,113,254,201                 // vpaddd        %xmm9,%xmm1,%xmm1
  .byte  196,195,249,22,200,1                // vpextrq       $0x1,%xmm1,%r8
  .byte  196,193,249,126,201                 // vmovq         %xmm1,%r9
  .byte  196,193,121,254,193                 // vpaddd        %xmm9,%xmm0,%xmm0
  .byte  196,193,249,126,194                 // vmovq         %xmm0,%r10
  .byte  196,227,249,22,195,1                // vpextrq       $0x1,%xmm0,%rbx
  .byte  69,137,203                          // mov           %r9d,%r11d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,198                          // mov           %r8d,%r14d
  .byte  196,161,122,16,4,152                // vmovss        (%rax,%r11,4),%xmm0
  .byte  196,163,121,33,4,136,16             // vinsertps     $0x10,(%rax,%r9,4),%xmm0,%xmm0
  .byte  196,161,122,16,12,176               // vmovss        (%rax,%r14,4),%xmm1
  .byte  196,227,121,33,193,32               // vinsertps     $0x20,%xmm1,%xmm0,%xmm0
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,227,121,33,193,48               // vinsertps     $0x30,%xmm1,%xmm0,%xmm0
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  196,161,122,16,12,128               // vmovss        (%rax,%r8,4),%xmm1
  .byte  196,163,113,33,12,144,16            // vinsertps     $0x10,(%rax,%r10,4),%xmm1,%xmm1
  .byte  196,161,122,16,20,136               // vmovss        (%rax,%r9,4),%xmm2
  .byte  196,227,113,33,202,32               // vinsertps     $0x20,%xmm2,%xmm1,%xmm1
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  197,250,16,20,152                   // vmovss        (%rax,%rbx,4),%xmm2
  .byte  196,227,113,33,202,48               // vinsertps     $0x30,%xmm2,%xmm1,%xmm1
  .byte  196,227,117,24,192,1                // vinsertf128   $0x1,%xmm0,%ymm1,%ymm0
  .byte  196,193,92,92,200                   // vsubps        %ymm8,%ymm4,%ymm1
  .byte  197,212,89,201                      // vmulps        %ymm1,%ymm5,%ymm1
  .byte  197,188,88,201                      // vaddps        %ymm1,%ymm8,%ymm1
  .byte  197,228,92,215                      // vsubps        %ymm7,%ymm3,%ymm2
  .byte  197,212,89,210                      // vmulps        %ymm2,%ymm5,%ymm2
  .byte  197,196,88,210                      // vaddps        %ymm2,%ymm7,%ymm2
  .byte  196,193,124,92,198                  // vsubps        %ymm14,%ymm0,%ymm0
  .byte  197,212,89,192                      // vmulps        %ymm0,%ymm5,%ymm0
  .byte  197,140,88,192                      // vaddps        %ymm0,%ymm14,%ymm0
  .byte  197,252,16,164,36,0,1,0,0           // vmovups       0x100(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,156,36,224,0,0,0         // vmovups       0xe0(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  196,193,108,92,212                  // vsubps        %ymm12,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,156,88,210                      // vaddps        %ymm2,%ymm12,%ymm2
  .byte  196,193,124,92,195                  // vsubps        %ymm11,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,164,88,192                      // vaddps        %ymm0,%ymm11,%ymm0
  .byte  197,252,16,100,36,32                // vmovups       0x20(%rsp),%ymm4
  .byte  197,244,92,204                      // vsubps        %ymm4,%ymm1,%ymm1
  .byte  197,252,16,92,36,192                // vmovups       -0x40(%rsp),%ymm3
  .byte  197,228,89,201                      // vmulps        %ymm1,%ymm3,%ymm1
  .byte  197,220,88,201                      // vaddps        %ymm1,%ymm4,%ymm1
  .byte  197,252,16,164,36,192,0,0,0         // vmovups       0xc0(%rsp),%ymm4
  .byte  197,236,92,212                      // vsubps        %ymm4,%ymm2,%ymm2
  .byte  197,228,89,210                      // vmulps        %ymm2,%ymm3,%ymm2
  .byte  197,220,88,210                      // vaddps        %ymm2,%ymm4,%ymm2
  .byte  197,252,16,164,36,160,0,0,0         // vmovups       0xa0(%rsp),%ymm4
  .byte  197,252,92,196                      // vsubps        %ymm4,%ymm0,%ymm0
  .byte  197,228,89,192                      // vmulps        %ymm0,%ymm3,%ymm0
  .byte  197,220,88,216                      // vaddps        %ymm0,%ymm4,%ymm3
  .byte  197,252,91,132,36,224,1,0,0         // vcvtdq2ps     0x1e0(%rsp),%ymm0
  .byte  197,252,16,164,36,0,2,0,0           // vmovups       0x200(%rsp),%ymm4
  .byte  197,220,92,224                      // vsubps        %ymm0,%ymm4,%ymm4
  .byte  197,252,16,172,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm5
  .byte  197,244,92,197                      // vsubps        %ymm5,%ymm1,%ymm0
  .byte  197,220,89,192                      // vmulps        %ymm0,%ymm4,%ymm0
  .byte  197,212,88,192                      // vaddps        %ymm0,%ymm5,%ymm0
  .byte  197,252,16,172,36,128,1,0,0         // vmovups       0x180(%rsp),%ymm5
  .byte  197,236,92,205                      // vsubps        %ymm5,%ymm2,%ymm1
  .byte  197,220,89,201                      // vmulps        %ymm1,%ymm4,%ymm1
  .byte  197,212,88,201                      // vaddps        %ymm1,%ymm5,%ymm1
  .byte  197,252,16,172,36,128,0,0,0         // vmovups       0x80(%rsp),%ymm5
  .byte  197,228,92,213                      // vsubps        %ymm5,%ymm3,%ymm2
  .byte  197,220,89,210                      // vmulps        %ymm2,%ymm4,%ymm2
  .byte  197,212,88,210                      // vaddps        %ymm2,%ymm5,%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,29,10,146,1,0        // vbroadcastss  0x1920a(%rip),%ymm3        # 2b85c <_sk_overlay_sse2_8bit+0x440>
  .byte  197,252,16,164,36,32,2,0,0          // vmovups       0x220(%rsp),%ymm4
  .byte  197,252,16,172,36,64,2,0,0          // vmovups       0x240(%rsp),%ymm5
  .byte  197,252,16,180,36,96,2,0,0          // vmovups       0x260(%rsp),%ymm6
  .byte  197,252,16,188,36,128,2,0,0         // vmovups       0x280(%rsp),%ymm7
  .byte  72,129,196,168,2,0,0                // add           $0x2a8,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_start_pipeline_sse41
.globl _sk_start_pipeline_sse41
FUNCTION(_sk_start_pipeline_sse41)
_sk_start_pipeline_sse41:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           12704 <_sk_start_pipeline_sse41+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,4                         // lea           0x4(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            126ea <_sk_start_pipeline_sse41+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,4                      // lea           0x4(%r12),%rdx
  .byte  73,131,196,8                        // add           $0x8,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           126cb <_sk_start_pipeline_sse41+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            126fb <_sk_start_pipeline_sse41+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           126bd <_sk_start_pipeline_sse41+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse41
.globl _sk_just_return_sse41
FUNCTION(_sk_just_return_sse41)
_sk_just_return_sse41:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_sse41
.globl _sk_seed_shader_sse41
FUNCTION(_sk_seed_shader_sse41)
_sk_seed_shader_sse41:
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,21,121,155,1,0                // movaps        0x19b79(%rip),%xmm2        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,88,5,127,155,1,0                 // addps         0x19b7f(%rip),%xmm0        # 2c2b0 <_sk_overlay_sse2_8bit+0xe94>
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,21,119,155,1,0                // movaps        0x19b77(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_sse41
.globl _sk_dither_sse41
FUNCTION(_sk_dither_sse41)
_sk_dither_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,68,15,110,194                   // movd          %edx,%xmm8
  .byte  102,69,15,112,200,0                 // pshufd        $0x0,%xmm8,%xmm9
  .byte  102,68,15,254,13,16,155,1,0         // paddd         0x19b10(%rip),%xmm9        # 2c280 <_sk_overlay_sse2_8bit+0xe64>
  .byte  102,68,15,110,193                   // movd          %ecx,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,68,15,111,21,71,155,1,0         // movdqa        0x19b47(%rip),%xmm10        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,69,15,111,216                   // movdqa        %xmm8,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,65,15,114,243,5                 // pslld         $0x5,%xmm11
  .byte  102,69,15,219,209                   // pand          %xmm9,%xmm10
  .byte  102,65,15,114,242,4                 // pslld         $0x4,%xmm10
  .byte  102,68,15,111,37,51,155,1,0         // movdqa        0x19b33(%rip),%xmm12        # 2c2e0 <_sk_overlay_sse2_8bit+0xec4>
  .byte  102,68,15,111,45,58,155,1,0         // movdqa        0x19b3a(%rip),%xmm13        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,69,15,219,245                   // pand          %xmm13,%xmm14
  .byte  102,65,15,114,246,2                 // pslld         $0x2,%xmm14
  .byte  102,69,15,219,233                   // pand          %xmm9,%xmm13
  .byte  102,69,15,254,237                   // paddd         %xmm13,%xmm13
  .byte  102,69,15,219,196                   // pand          %xmm12,%xmm8
  .byte  102,65,15,114,208,1                 // psrld         $0x1,%xmm8
  .byte  102,69,15,219,204                   // pand          %xmm12,%xmm9
  .byte  102,65,15,114,209,2                 // psrld         $0x2,%xmm9
  .byte  102,69,15,235,234                   // por           %xmm10,%xmm13
  .byte  102,69,15,235,233                   // por           %xmm9,%xmm13
  .byte  102,69,15,235,243                   // por           %xmm11,%xmm14
  .byte  102,69,15,235,245                   // por           %xmm13,%xmm14
  .byte  102,69,15,235,240                   // por           %xmm8,%xmm14
  .byte  69,15,91,198                        // cvtdq2ps      %xmm14,%xmm8
  .byte  68,15,89,5,245,154,1,0              // mulps         0x19af5(%rip),%xmm8        # 2c300 <_sk_overlay_sse2_8bit+0xee4>
  .byte  68,15,88,5,253,154,1,0              // addps         0x19afd(%rip),%xmm8        # 2c310 <_sk_overlay_sse2_8bit+0xef4>
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  68,15,93,211                        // minps         %xmm3,%xmm10
  .byte  65,15,95,210                        // maxps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_sse41
.globl _sk_uniform_color_sse41
FUNCTION(_sk_uniform_color_sse41)
_sk_uniform_color_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse41
.globl _sk_black_color_sse41
FUNCTION(_sk_black_color_sse41)
_sk_black_color_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,51,154,1,0                 // movaps        0x19a33(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse41
.globl _sk_white_color_sse41
FUNCTION(_sk_white_color_sse41)
_sk_white_color_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,31,154,1,0                  // movaps        0x19a1f(%rip),%xmm0        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_sse41
.globl _sk_load_rgba_sse41
FUNCTION(_sk_load_rgba_sse41)
_sk_load_rgba_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  15,16,72,16                         // movups        0x10(%rax),%xmm1
  .byte  15,16,80,32                         // movups        0x20(%rax),%xmm2
  .byte  15,16,88,48                         // movups        0x30(%rax),%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_sse41
.globl _sk_store_rgba_sse41
FUNCTION(_sk_store_rgba_sse41)
_sk_store_rgba_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  15,17,72,16                         // movups        %xmm1,0x10(%rax)
  .byte  15,17,80,32                         // movups        %xmm2,0x20(%rax)
  .byte  15,17,88,48                         // movups        %xmm3,0x30(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse41
.globl _sk_clear_sse41
FUNCTION(_sk_clear_sse41)
_sk_clear_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse41
.globl _sk_srcatop_sse41
FUNCTION(_sk_srcatop_sse41)
_sk_srcatop_sse41:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  68,15,40,5,207,153,1,0              // movaps        0x199cf(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse41
.globl _sk_dstatop_sse41
FUNCTION(_sk_dstatop_sse41)
_sk_dstatop_sse41:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  68,15,40,13,130,153,1,0             // movaps        0x19982(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse41
.globl _sk_srcin_sse41
FUNCTION(_sk_srcin_sse41)
_sk_srcin_sse41:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse41
.globl _sk_dstin_sse41
FUNCTION(_sk_dstin_sse41)
_sk_dstin_sse41:
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse41
.globl _sk_srcout_sse41
FUNCTION(_sk_srcout_sse41)
_sk_srcout_sse41:
  .byte  68,15,40,5,22,153,1,0               // movaps        0x19916(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse41
.globl _sk_dstout_sse41
FUNCTION(_sk_dstout_sse41)
_sk_dstout_sse41:
  .byte  68,15,40,5,246,152,1,0              // movaps        0x198f6(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse41
.globl _sk_srcover_sse41
FUNCTION(_sk_srcover_sse41)
_sk_srcover_sse41:
  .byte  68,15,40,5,201,152,1,0              // movaps        0x198c9(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse41
.globl _sk_dstover_sse41
FUNCTION(_sk_dstover_sse41)
_sk_dstover_sse41:
  .byte  68,15,40,5,141,152,1,0              // movaps        0x1988d(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse41
.globl _sk_modulate_sse41
FUNCTION(_sk_modulate_sse41)
_sk_modulate_sse41:
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse41
.globl _sk_multiply_sse41
FUNCTION(_sk_multiply_sse41)
_sk_multiply_sse41:
  .byte  68,15,40,5,81,152,1,0               // movaps        0x19851(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,220                        // mulps         %xmm4,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,221                        // mulps         %xmm5,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse41
.globl _sk_plus__sse41
FUNCTION(_sk_plus__sse41)
_sk_plus__sse41:
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,40,5,210,151,1,0              // movaps        0x197d2(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse41
.globl _sk_screen_sse41
FUNCTION(_sk_screen_sse41)
_sk_screen_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  68,15,88,206                        // addps         %xmm6,%xmm9
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,92,202                        // subps         %xmm2,%xmm9
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,88,215                        // addps         %xmm7,%xmm10
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse41
.globl _sk_xor__sse41
FUNCTION(_sk_xor__sse41)
_sk_xor__sse41:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  15,40,29,94,151,1,0                 // movaps        0x1975e(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,92,216                        // subps         %xmm8,%xmm3
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,212                        // mulps         %xmm4,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse41
.globl _sk_darken_sse41
FUNCTION(_sk_darken_sse41)
_sk_darken_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,95,209                        // maxps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,185,150,1,0                // movaps        0x196b9(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse41
.globl _sk_lighten_sse41
FUNCTION(_sk_lighten_sse41)
_sk_lighten_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,78,150,1,0                 // movaps        0x1964e(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse41
.globl _sk_difference_sse41
FUNCTION(_sk_difference_sse41)
_sk_difference_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,216,149,1,0                // movaps        0x195d8(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse41
.globl _sk_exclusion_sse41
FUNCTION(_sk_exclusion_sse41)
_sk_exclusion_sse41:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,136,149,1,0                // movaps        0x19588(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_sse41
.globl _sk_colorburn_sse41
FUNCTION(_sk_colorburn_sse41)
_sk_colorburn_sse41:
  .byte  68,15,40,29,111,149,1,0             // movaps        0x1956f(%rip),%xmm11        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  68,15,92,231                        // subps         %xmm7,%xmm12
  .byte  69,15,40,204                        // movaps        %xmm12,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  68,15,92,196                        // subps         %xmm4,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  68,15,83,208                        // rcpps         %xmm0,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,93,234                        // minps         %xmm10,%xmm13
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  69,15,92,197                        // subps         %xmm13,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  68,15,88,204                        // addps         %xmm4,%xmm9
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  69,15,40,235                        // movaps        %xmm11,%xmm13
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  65,15,194,194,0                     // cmpeqps       %xmm10,%xmm0
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  102,69,15,56,20,197                 // blendvps      %xmm0,%xmm13,%xmm8
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,194,199,0                        // cmpeqps       %xmm7,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  68,15,89,233                        // mulps         %xmm1,%xmm13
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  68,15,83,201                        // rcpps         %xmm1,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,93,193                        // minps         %xmm9,%xmm0
  .byte  68,15,40,207                        // movaps        %xmm7,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,40,243                        // movaps        %xmm11,%xmm14
  .byte  68,15,89,245                        // mulps         %xmm5,%xmm14
  .byte  65,15,194,202,0                     // cmpeqps       %xmm10,%xmm1
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  102,69,15,56,20,206                 // blendvps      %xmm0,%xmm14,%xmm9
  .byte  68,15,88,237                        // addps         %xmm5,%xmm13
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,0                        // cmpeqps       %xmm7,%xmm0
  .byte  102,69,15,56,20,205                 // blendvps      %xmm0,%xmm13,%xmm9
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  68,15,194,210,0                     // cmpeqps       %xmm2,%xmm10
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,83,202                           // rcpps         %xmm2,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,93,193                           // minps         %xmm1,%xmm0
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,15,56,20,209                    // blendvps      %xmm0,%xmm1,%xmm2
  .byte  68,15,88,230                        // addps         %xmm6,%xmm12
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,194,199,0                        // cmpeqps       %xmm7,%xmm0
  .byte  102,65,15,56,20,212                 // blendvps      %xmm0,%xmm12,%xmm2
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_sse41
.globl _sk_colordodge_sse41
FUNCTION(_sk_colordodge_sse41)
_sk_colordodge_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,40,21,57,148,1,0              // movaps        0x19439(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  68,15,92,223                        // subps         %xmm7,%xmm11
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,89,224                        // mulps         %xmm8,%xmm12
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  68,15,83,200                        // rcpps         %xmm0,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  69,15,93,241                        // minps         %xmm9,%xmm14
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,194,195,0                        // cmpeqps       %xmm3,%xmm0
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  69,15,88,244                        // addps         %xmm12,%xmm14
  .byte  102,69,15,56,20,240                 // blendvps      %xmm0,%xmm8,%xmm14
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  69,15,88,198                        // addps         %xmm14,%xmm8
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,194,193,0                     // cmpeqps       %xmm9,%xmm0
  .byte  102,69,15,56,20,196                 // blendvps      %xmm0,%xmm12,%xmm8
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,229                        // mulps         %xmm5,%xmm12
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  68,15,89,225                        // mulps         %xmm1,%xmm12
  .byte  68,15,93,232                        // minps         %xmm0,%xmm13
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,194,195,0                        // cmpeqps       %xmm3,%xmm0
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  102,68,15,56,20,233                 // blendvps      %xmm0,%xmm1,%xmm13
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,205                        // addps         %xmm13,%xmm1
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  65,15,194,193,0                     // cmpeqps       %xmm9,%xmm0
  .byte  102,65,15,56,20,204                 // blendvps      %xmm0,%xmm12,%xmm1
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,93,224                        // minps         %xmm0,%xmm12
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,194,195,0                        // cmpeqps       %xmm3,%xmm0
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  102,68,15,56,20,226                 // blendvps      %xmm0,%xmm2,%xmm12
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  68,15,194,206,0                     // cmpeqps       %xmm6,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm2
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse41
.globl _sk_hardlight_sse41
FUNCTION(_sk_hardlight_sse41)
_sk_hardlight_sse41:
  .byte  15,41,116,36,232                    // movaps        %xmm6,-0x18(%rsp)
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,40,21,4,147,1,0               // movaps        0x19304(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,40,234                        // movaps        %xmm10,%xmm5
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  68,15,92,212                        // subps         %xmm4,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  68,15,40,252                        // movaps        %xmm4,%xmm15
  .byte  69,15,92,249                        // subps         %xmm9,%xmm15
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  65,15,89,199                        // mulps         %xmm15,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  68,15,40,251                        // movaps        %xmm3,%xmm15
  .byte  68,15,92,248                        // subps         %xmm0,%xmm15
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  102,69,15,56,20,249                 // blendvps      %xmm0,%xmm9,%xmm15
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  69,15,40,204                        // movaps        %xmm12,%xmm9
  .byte  69,15,92,233                        // subps         %xmm9,%xmm13
  .byte  68,15,89,232                        // mulps         %xmm0,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  102,68,15,56,20,225                 // blendvps      %xmm0,%xmm1,%xmm12
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  69,15,88,199                        // addps         %xmm15,%xmm8
  .byte  65,15,89,205                        // mulps         %xmm13,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,88,204                        // addps         %xmm12,%xmm1
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  68,15,40,92,36,232                  // movaps        -0x18(%rsp),%xmm11
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  68,15,88,205                        // addps         %xmm5,%xmm9
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  68,15,89,245                        // mulps         %xmm5,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  65,15,92,222                        // subps         %xmm14,%xmm3
  .byte  102,15,56,20,218                    // blendvps      %xmm0,%xmm2,%xmm3
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  65,15,88,226                        // addps         %xmm10,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  65,15,40,237                        // movaps        %xmm13,%xmm5
  .byte  65,15,40,243                        // movaps        %xmm11,%xmm6
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse41
.globl _sk_overlay_sse41
FUNCTION(_sk_overlay_sse41)
_sk_overlay_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  68,15,40,21,217,145,1,0             // movaps        0x191d9(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  68,15,92,223                        // subps         %xmm7,%xmm11
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  69,15,92,238                        // subps         %xmm14,%xmm13
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,231                        // mulps         %xmm7,%xmm12
  .byte  65,15,89,205                        // mulps         %xmm13,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  68,15,92,233                        // subps         %xmm1,%xmm13
  .byte  102,69,15,56,20,238                 // blendvps      %xmm0,%xmm14,%xmm13
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  69,15,92,233                        // subps         %xmm9,%xmm13
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  68,15,92,245                        // subps         %xmm5,%xmm14
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  69,15,92,238                        // subps         %xmm14,%xmm13
  .byte  102,69,15,56,20,233                 // blendvps      %xmm0,%xmm9,%xmm13
  .byte  65,15,88,205                        // addps         %xmm13,%xmm1
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  68,15,92,218                        // subps         %xmm2,%xmm11
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,92,238                        // subps         %xmm6,%xmm13
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,89,235                        // mulps         %xmm11,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  102,68,15,56,20,226                 // blendvps      %xmm0,%xmm2,%xmm12
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_sse41
.globl _sk_softlight_sse41
FUNCTION(_sk_softlight_sse41)
_sk_softlight_sse41:
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,41,76,36,200                     // movaps        %xmm1,-0x38(%rsp)
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,207,1                     // cmpltps       %xmm7,%xmm9
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  15,40,13,160,144,1,0                // movaps        0x190a0(%rip),%xmm1        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  68,15,40,248                        // movaps        %xmm0,%xmm15
  .byte  15,82,208                           // rsqrtps       %xmm0,%xmm2
  .byte  68,15,83,218                        // rcpps         %xmm2,%xmm11
  .byte  68,15,92,216                        // subps         %xmm0,%xmm11
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  68,15,40,45,206,144,1,0             // movaps        0x190ce(%rip),%xmm13        # 2c320 <_sk_overlay_sse2_8bit+0xf04>
  .byte  69,15,88,245                        // addps         %xmm13,%xmm14
  .byte  68,15,89,242                        // mulps         %xmm2,%xmm14
  .byte  68,15,40,37,206,144,1,0             // movaps        0x190ce(%rip),%xmm12        # 2c330 <_sk_overlay_sse2_8bit+0xf14>
  .byte  69,15,89,252                        // mulps         %xmm12,%xmm15
  .byte  69,15,88,254                        // addps         %xmm14,%xmm15
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  102,69,15,56,20,223                 // blendvps      %xmm0,%xmm15,%xmm11
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,88,211                        // addps         %xmm3,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  102,69,15,56,20,218                 // blendvps      %xmm0,%xmm10,%xmm11
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,94,215                        // divps         %xmm7,%xmm10
  .byte  69,15,84,209                        // andps         %xmm9,%xmm10
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  65,15,82,194                        // rsqrtps       %xmm10,%xmm0
  .byte  68,15,83,240                        // rcpps         %xmm0,%xmm14
  .byte  69,15,92,242                        // subps         %xmm10,%xmm14
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  102,68,15,56,20,242                 // blendvps      %xmm0,%xmm2,%xmm14
  .byte  68,15,40,249                        // movaps        %xmm1,%xmm15
  .byte  69,15,92,250                        // subps         %xmm10,%xmm15
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  68,15,89,250                        // mulps         %xmm2,%xmm15
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,89,242                        // mulps         %xmm2,%xmm14
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  68,15,88,242                        // addps         %xmm2,%xmm14
  .byte  68,15,88,251                        // addps         %xmm3,%xmm15
  .byte  68,15,89,252                        // mulps         %xmm4,%xmm15
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  102,69,15,56,20,247                 // blendvps      %xmm0,%xmm15,%xmm14
  .byte  68,15,40,249                        // movaps        %xmm1,%xmm15
  .byte  15,40,100,36,216                    // movaps        -0x28(%rsp),%xmm4
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,82,208                           // rsqrtps       %xmm0,%xmm2
  .byte  68,15,83,202                        // rcpps         %xmm2,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  102,69,15,56,20,204                 // blendvps      %xmm0,%xmm12,%xmm9
  .byte  68,15,40,100,36,232                 // movaps        -0x18(%rsp),%xmm12
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  68,15,88,202                        // addps         %xmm2,%xmm9
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  102,68,15,56,20,201                 // blendvps      %xmm0,%xmm1,%xmm9
  .byte  68,15,92,255                        // subps         %xmm7,%xmm15
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  69,15,89,252                        // mulps         %xmm12,%xmm15
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  69,15,88,195                        // addps         %xmm11,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,40,108,36,184                    // movaps        -0x48(%rsp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_sse41
.globl _sk_hue_sse41
FUNCTION(_sk_hue_sse41)
_sk_hue_sse41:
  .byte  15,41,124,36,152                    // movaps        %xmm7,-0x68(%rsp)
  .byte  68,15,40,246                        // movaps        %xmm6,%xmm14
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,41,76,36,216                     // movaps        %xmm1,-0x28(%rsp)
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,41,84,36,200                  // movaps        %xmm10,-0x38(%rsp)
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  68,15,40,234                        // movaps        %xmm2,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,205                        // movaps        %xmm5,%xmm9
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  15,41,108,36,184                    // movaps        %xmm5,-0x48(%rsp)
  .byte  69,15,95,222                        // maxps         %xmm14,%xmm11
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  65,15,95,211                        // maxps         %xmm11,%xmm2
  .byte  65,15,40,230                        // movaps        %xmm14,%xmm4
  .byte  15,41,100,36,168                    // movaps        %xmm4,-0x58(%rsp)
  .byte  68,15,93,204                        // minps         %xmm4,%xmm9
  .byte  65,15,93,249                        // minps         %xmm9,%xmm7
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,93,253                        // minps         %xmm13,%xmm7
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,223                           // minps         %xmm7,%xmm3
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,95,253                        // maxps         %xmm13,%xmm7
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,95,199                           // maxps         %xmm7,%xmm0
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  68,15,92,235                        // subps         %xmm3,%xmm13
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,94,208                        // divps         %xmm0,%xmm10
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,94,200                           // divps         %xmm0,%xmm1
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  68,15,94,232                        // divps         %xmm0,%xmm13
  .byte  15,194,195,4                        // cmpneqps      %xmm3,%xmm0
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  68,15,84,232                        // andps         %xmm0,%xmm13
  .byte  15,40,5,57,142,1,0                  // movaps        0x18e39(%rip),%xmm0        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,40,21,62,142,1,0                 // movaps        0x18e3e(%rip),%xmm2        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  65,15,88,252                        // addps         %xmm12,%xmm7
  .byte  68,15,40,53,63,142,1,0              // movaps        0x18e3f(%rip),%xmm14        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  68,15,40,252                        // movaps        %xmm4,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  68,15,88,255                        // addps         %xmm7,%xmm15
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  65,15,40,221                        // movaps        %xmm13,%xmm3
  .byte  65,15,89,222                        // mulps         %xmm14,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  69,15,89,248                        // mulps         %xmm8,%xmm15
  .byte  68,15,92,251                        // subps         %xmm3,%xmm15
  .byte  69,15,88,215                        // addps         %xmm15,%xmm10
  .byte  65,15,88,207                        // addps         %xmm15,%xmm1
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  65,15,93,223                        // minps         %xmm15,%xmm3
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  15,93,251                           // minps         %xmm3,%xmm7
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  69,15,89,247                        // mulps         %xmm15,%xmm14
  .byte  68,15,88,242                        // addps         %xmm2,%xmm14
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,207,2                     // cmpleps       %xmm7,%xmm9
  .byte  65,15,40,222                        // movaps        %xmm14,%xmm3
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  69,15,40,234                        // movaps        %xmm10,%xmm13
  .byte  69,15,92,238                        // subps         %xmm14,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,94,235                        // divps         %xmm3,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,234                 // blendvps      %xmm0,%xmm10,%xmm13
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,95,199                        // maxps         %xmm15,%xmm0
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  65,15,40,248                        // movaps        %xmm8,%xmm7
  .byte  15,40,108,36,152                    // movaps        -0x68(%rsp),%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  65,15,194,226,1                     // cmpltps       %xmm10,%xmm4
  .byte  65,15,40,213                        // movaps        %xmm13,%xmm2
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  68,15,40,223                        // movaps        %xmm7,%xmm11
  .byte  69,15,92,222                        // subps         %xmm14,%xmm11
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  69,15,92,214                        // subps         %xmm14,%xmm10
  .byte  65,15,94,210                        // divps         %xmm10,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  102,68,15,56,20,234                 // blendvps      %xmm0,%xmm2,%xmm13
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,92,230                        // subps         %xmm14,%xmm12
  .byte  69,15,89,230                        // mulps         %xmm14,%xmm12
  .byte  68,15,94,227                        // divps         %xmm3,%xmm12
  .byte  69,15,88,230                        // addps         %xmm14,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,68,15,56,20,225                 // blendvps      %xmm0,%xmm1,%xmm12
  .byte  65,15,40,204                        // movaps        %xmm12,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,202                        // divps         %xmm10,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  102,68,15,56,20,225                 // blendvps      %xmm0,%xmm1,%xmm12
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  15,94,203                           // divps         %xmm3,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,207                 // blendvps      %xmm0,%xmm15,%xmm1
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  65,15,94,210                        // divps         %xmm10,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  102,15,56,20,202                    // blendvps      %xmm0,%xmm2,%xmm1
  .byte  68,15,40,13,83,140,1,0              // movaps        0x18c53(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,68,36,200                     // movaps        -0x38(%rsp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,92,36,216                     // movaps        -0x28(%rsp),%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,89,100,36,232                    // mulps         -0x18(%rsp),%xmm4
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  68,15,95,234                        // maxps         %xmm2,%xmm13
  .byte  68,15,95,226                        // maxps         %xmm2,%xmm12
  .byte  15,95,202                           // maxps         %xmm2,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,108,36,184                    // movaps        -0x48(%rsp),%xmm5
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,88,204                        // addps         %xmm4,%xmm9
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_sse41
.globl _sk_saturation_sse41
FUNCTION(_sk_saturation_sse41)
_sk_saturation_sse41:
  .byte  68,15,40,206                        // movaps        %xmm6,%xmm9
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,41,76,36,216                     // movaps        %xmm1,-0x28(%rsp)
  .byte  15,41,68,36,200                     // movaps        %xmm0,-0x38(%rsp)
  .byte  68,15,40,212                        // movaps        %xmm4,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  68,15,40,220                        // movaps        %xmm4,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,40,196                        // movaps        %xmm4,%xmm8
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  68,15,41,116,36,184                 // movaps        %xmm14,-0x48(%rsp)
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  68,15,41,76,36,232                  // movaps        %xmm9,-0x18(%rsp)
  .byte  65,15,95,217                        // maxps         %xmm9,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,95,211                           // maxps         %xmm3,%xmm2
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,93,225                        // minps         %xmm9,%xmm12
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  65,15,93,220                        // minps         %xmm12,%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,41,100,36,168                 // movaps        %xmm12,-0x58(%rsp)
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,95,192                        // maxps         %xmm8,%xmm0
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  15,95,248                           // maxps         %xmm0,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,94,215                        // divps         %xmm7,%xmm10
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,94,223                        // divps         %xmm7,%xmm11
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  68,15,94,199                        // divps         %xmm7,%xmm8
  .byte  15,194,248,4                        // cmpneqps      %xmm0,%xmm7
  .byte  68,15,84,215                        // andps         %xmm7,%xmm10
  .byte  68,15,84,223                        // andps         %xmm7,%xmm11
  .byte  68,15,84,199                        // andps         %xmm7,%xmm8
  .byte  15,40,21,125,139,1,0                // movaps        0x18b7d(%rip),%xmm2        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,40,13,128,139,1,0                // movaps        0x18b80(%rip),%xmm1        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  68,15,40,45,127,139,1,0             // movaps        0x18b7f(%rip),%xmm13        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  68,15,88,247                        // addps         %xmm7,%xmm14
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  68,15,92,243                        // subps         %xmm3,%xmm14
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  69,15,88,240                        // addps         %xmm8,%xmm14
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,93,198                        // minps         %xmm14,%xmm0
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,233                        // addps         %xmm1,%xmm13
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,203,2                     // cmpleps       %xmm3,%xmm9
  .byte  65,15,40,253                        // movaps        %xmm13,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  69,15,92,253                        // subps         %xmm13,%xmm15
  .byte  69,15,89,253                        // mulps         %xmm13,%xmm15
  .byte  68,15,94,255                        // divps         %xmm7,%xmm15
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,250                 // blendvps      %xmm0,%xmm10,%xmm15
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,95,198                        // maxps         %xmm14,%xmm0
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  69,15,194,194,1                     // cmpltps       %xmm10,%xmm8
  .byte  65,15,40,223                        // movaps        %xmm15,%xmm3
  .byte  65,15,92,221                        // subps         %xmm13,%xmm3
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  65,15,92,205                        // subps         %xmm13,%xmm1
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  69,15,92,213                        // subps         %xmm13,%xmm10
  .byte  65,15,94,218                        // divps         %xmm10,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  102,68,15,56,20,251                 // blendvps      %xmm0,%xmm3,%xmm15
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  68,15,94,231                        // divps         %xmm7,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,227                 // blendvps      %xmm0,%xmm11,%xmm12
  .byte  65,15,40,220                        // movaps        %xmm12,%xmm3
  .byte  65,15,92,221                        // subps         %xmm13,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  65,15,94,218                        // divps         %xmm10,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  102,68,15,56,20,227                 // blendvps      %xmm0,%xmm3,%xmm12
  .byte  69,15,40,222                        // movaps        %xmm14,%xmm11
  .byte  69,15,92,221                        // subps         %xmm13,%xmm11
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  68,15,94,223                        // divps         %xmm7,%xmm11
  .byte  69,15,88,221                        // addps         %xmm13,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,222                 // blendvps      %xmm0,%xmm14,%xmm11
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  65,15,92,253                        // subps         %xmm13,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  65,15,94,250                        // divps         %xmm10,%xmm7
  .byte  65,15,88,253                        // addps         %xmm13,%xmm7
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  102,68,15,56,20,223                 // blendvps      %xmm0,%xmm7,%xmm11
  .byte  68,15,40,13,149,137,1,0             // movaps        0x18995(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,92,204                        // subps         %xmm4,%xmm9
  .byte  15,40,124,36,168                    // movaps        -0x58(%rsp),%xmm7
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,248                        // maxps         %xmm0,%xmm15
  .byte  68,15,95,224                        // maxps         %xmm0,%xmm12
  .byte  68,15,95,216                        // maxps         %xmm0,%xmm11
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  15,40,68,36,200                     // movaps        -0x38(%rsp),%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,84,36,216                     // movaps        -0x28(%rsp),%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  68,15,89,68,36,232                  // mulps         -0x18(%rsp),%xmm8
  .byte  15,40,84,36,184                     // movaps        -0x48(%rsp),%xmm2
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_sse41
.globl _sk_color_sse41
FUNCTION(_sk_color_sse41)
_sk_color_sse41:
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  68,15,41,100,36,200                 // movaps        %xmm12,-0x38(%rsp)
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,41,92,36,216                  // movaps        %xmm11,-0x28(%rsp)
  .byte  68,15,40,212                        // movaps        %xmm4,%xmm10
  .byte  68,15,41,84,36,232                  // movaps        %xmm10,-0x18(%rsp)
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,84,36,184                     // movaps        %xmm2,-0x48(%rsp)
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,40,240                        // movaps        %xmm8,%xmm14
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,40,13,80,137,1,0              // movaps        0x18950(%rip),%xmm9        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  65,15,40,250                        // movaps        %xmm10,%xmm7
  .byte  65,15,89,249                        // mulps         %xmm9,%xmm7
  .byte  68,15,40,21,80,137,1,0              // movaps        0x18950(%rip),%xmm10        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  65,15,89,218                        // mulps         %xmm10,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  68,15,40,29,77,137,1,0              // movaps        0x1894d(%rip),%xmm11        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  69,15,89,235                        // mulps         %xmm11,%xmm13
  .byte  68,15,88,235                        // addps         %xmm3,%xmm13
  .byte  65,15,40,222                        // movaps        %xmm14,%xmm3
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,89,250                        // mulps         %xmm10,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  65,15,89,219                        // mulps         %xmm11,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  68,15,89,238                        // mulps         %xmm6,%xmm13
  .byte  68,15,92,235                        // subps         %xmm3,%xmm13
  .byte  69,15,88,245                        // addps         %xmm13,%xmm14
  .byte  65,15,88,205                        // addps         %xmm13,%xmm1
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,93,197                        // minps         %xmm13,%xmm0
  .byte  65,15,40,222                        // movaps        %xmm14,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  69,15,89,206                        // mulps         %xmm14,%xmm9
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,194,203,2                     // cmpleps       %xmm3,%xmm9
  .byte  69,15,40,230                        // movaps        %xmm14,%xmm12
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,227                        // mulps         %xmm11,%xmm12
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  68,15,94,231                        // divps         %xmm7,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,230                 // blendvps      %xmm0,%xmm14,%xmm12
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,95,197                        // maxps         %xmm13,%xmm0
  .byte  65,15,40,214                        // movaps        %xmm14,%xmm2
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,194,210,1                     // cmpltps       %xmm2,%xmm10
  .byte  69,15,40,244                        // movaps        %xmm12,%xmm14
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  68,15,40,251                        // movaps        %xmm3,%xmm15
  .byte  69,15,92,251                        // subps         %xmm11,%xmm15
  .byte  69,15,89,247                        // mulps         %xmm15,%xmm14
  .byte  65,15,92,211                        // subps         %xmm11,%xmm2
  .byte  68,15,94,242                        // divps         %xmm2,%xmm14
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,230                 // blendvps      %xmm0,%xmm14,%xmm12
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  68,15,94,247                        // divps         %xmm7,%xmm14
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,68,15,56,20,241                 // blendvps      %xmm0,%xmm1,%xmm14
  .byte  65,15,40,206                        // movaps        %xmm14,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,94,202                           // divps         %xmm2,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,68,15,56,20,241                 // blendvps      %xmm0,%xmm1,%xmm14
  .byte  65,15,40,205                        // movaps        %xmm13,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  15,94,207                           // divps         %xmm7,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,205                 // blendvps      %xmm0,%xmm13,%xmm1
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  65,15,92,251                        // subps         %xmm11,%xmm7
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  15,94,250                           // divps         %xmm2,%xmm7
  .byte  65,15,88,251                        // addps         %xmm11,%xmm7
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,15,56,20,207                    // blendvps      %xmm0,%xmm7,%xmm1
  .byte  68,15,40,13,89,135,1,0              // movaps        0x18759(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,89,68,36,184                     // mulps         -0x48(%rsp),%xmm0
  .byte  68,15,92,206                        // subps         %xmm6,%xmm9
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,92,243                           // subps         %xmm3,%xmm6
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  68,15,95,226                        // maxps         %xmm2,%xmm12
  .byte  68,15,95,242                        // maxps         %xmm2,%xmm14
  .byte  15,95,202                           // maxps         %xmm2,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,100,36,232                    // movaps        -0x18(%rsp),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  15,40,84,36,200                     // movaps        -0x38(%rsp),%xmm2
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_sse41
.globl _sk_luminosity_sse41
FUNCTION(_sk_luminosity_sse41)
_sk_luminosity_sse41:
  .byte  15,41,116,36,200                    // movaps        %xmm6,-0x38(%rsp)
  .byte  15,41,108,36,232                    // movaps        %xmm5,-0x18(%rsp)
  .byte  68,15,40,196                        // movaps        %xmm4,%xmm8
  .byte  68,15,41,68,36,216                  // movaps        %xmm8,-0x28(%rsp)
  .byte  15,41,84,36,184                     // movaps        %xmm2,-0x48(%rsp)
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  68,15,40,5,33,135,1,0               // movaps        0x18721(%rip),%xmm8        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  68,15,40,21,37,135,1,0              // movaps        0x18725(%rip),%xmm10        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  65,15,89,234                        // mulps         %xmm10,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  68,15,40,37,35,135,1,0              // movaps        0x18723(%rip),%xmm12        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  68,15,40,242                        // movaps        %xmm2,%xmm14
  .byte  69,15,89,244                        // mulps         %xmm12,%xmm14
  .byte  68,15,88,245                        // addps         %xmm5,%xmm14
  .byte  65,15,40,235                        // movaps        %xmm11,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  65,15,89,236                        // mulps         %xmm12,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  68,15,89,247                        // mulps         %xmm7,%xmm14
  .byte  68,15,92,245                        // subps         %xmm5,%xmm14
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  68,15,88,240                        // addps         %xmm0,%xmm14
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,93,198                        // minps         %xmm14,%xmm0
  .byte  65,15,40,235                        // movaps        %xmm11,%xmm5
  .byte  15,93,232                           // minps         %xmm0,%xmm5
  .byte  69,15,89,195                        // mulps         %xmm11,%xmm8
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,230                        // mulps         %xmm14,%xmm12
  .byte  69,15,88,226                        // addps         %xmm10,%xmm12
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,194,213,2                     // cmpleps       %xmm5,%xmm10
  .byte  69,15,40,235                        // movaps        %xmm11,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  65,15,40,244                        // movaps        %xmm12,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  68,15,94,238                        // divps         %xmm6,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,235                 // blendvps      %xmm0,%xmm11,%xmm13
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,95,198                        // maxps         %xmm14,%xmm0
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,194,218,1                     // cmpltps       %xmm2,%xmm11
  .byte  69,15,40,197                        // movaps        %xmm13,%xmm8
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  69,15,92,252                        // subps         %xmm12,%xmm15
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  65,15,92,212                        // subps         %xmm12,%xmm2
  .byte  68,15,94,194                        // divps         %xmm2,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,69,15,56,20,232                 // blendvps      %xmm0,%xmm8,%xmm13
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,94,198                        // divps         %xmm6,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  68,15,94,202                        // divps         %xmm2,%xmm9
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  69,15,40,206                        // movaps        %xmm14,%xmm9
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,204                        // mulps         %xmm12,%xmm9
  .byte  68,15,94,206                        // divps         %xmm6,%xmm9
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,206                 // blendvps      %xmm0,%xmm14,%xmm9
  .byte  65,15,40,241                        // movaps        %xmm9,%xmm6
  .byte  65,15,92,244                        // subps         %xmm12,%xmm6
  .byte  65,15,89,247                        // mulps         %xmm15,%xmm6
  .byte  15,94,242                           // divps         %xmm2,%xmm6
  .byte  65,15,88,244                        // addps         %xmm12,%xmm6
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,68,15,56,20,206                 // blendvps      %xmm0,%xmm6,%xmm9
  .byte  15,40,5,41,133,1,0                  // movaps        0x18529(%rip),%xmm0        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,89,84,36,184                     // mulps         -0x48(%rsp),%xmm2
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  68,15,95,237                        // maxps         %xmm5,%xmm13
  .byte  68,15,95,197                        // maxps         %xmm5,%xmm8
  .byte  68,15,95,205                        // maxps         %xmm5,%xmm9
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  68,15,40,84,36,216                  // movaps        -0x28(%rsp),%xmm10
  .byte  65,15,89,234                        // mulps         %xmm10,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  65,15,88,229                        // addps         %xmm13,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,40,108,36,232                    // movaps        -0x18(%rsp),%xmm5
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  15,40,116,36,200                    // movaps        -0x38(%rsp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,226                        // movaps        %xmm10,%xmm4
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_sse41
.globl _sk_srcover_rgba_8888_sse41
FUNCTION(_sk_srcover_rgba_8888_sse41)
_sk_srcover_rgba_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,219,0,0,0                    // jne           13eff <_sk_srcover_rgba_8888_sse41+0xfb>
  .byte  243,65,15,111,60,128                // movdqu        (%r8,%rax,4),%xmm7
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  102,15,111,37,59,133,1,0            // movdqa        0x1853b(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,56,0,45,55,133,1,0           // pshufb        0x18537(%rip),%xmm5        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,56,0,53,55,133,1,0           // pshufb        0x18537(%rip),%xmm6        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  102,15,114,215,24                   // psrld         $0x18,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  68,15,40,5,84,132,1,0               // movaps        0x18454(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  68,15,40,37,40,133,1,0              // movaps        0x18528(%rip),%xmm12        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  68,15,88,209                        // addps         %xmm1,%xmm10
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  65,15,89,220                        // mulps         %xmm12,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,88,195                        // addps         %xmm3,%xmm8
  .byte  102,65,15,91,193                    // cvtps2dq      %xmm9,%xmm0
  .byte  102,65,15,91,202                    // cvtps2dq      %xmm10,%xmm1
  .byte  102,15,114,241,8                    // pslld         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,65,15,91,211                    // cvtps2dq      %xmm11,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,91,192                    // cvtps2dq      %xmm8,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  117,88                              // jne           13f3d <_sk_srcover_rgba_8888_sse41+0x139>
  .byte  243,65,15,127,4,128                 // movdqu        %xmm0,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,91                              // je            13f67 <_sk_srcover_rgba_8888_sse41+0x163>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,22                              // je            13f2c <_sk_srcover_rgba_8888_sse41+0x128>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,10,255,255,255               // jne           13e2a <_sk_srcover_rgba_8888_sse41+0x26>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  243,65,15,126,36,128                // movq          (%r8,%rax,4),%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,237,254,255,255                 // jmpq          13e2a <_sk_srcover_rgba_8888_sse41+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,40                              // je            13f72 <_sk_srcover_rgba_8888_sse41+0x16e>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            13f5f <_sk_srcover_rgba_8888_sse41+0x15b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,149                             // jne           13eeb <_sk_srcover_rgba_8888_sse41+0xe7>
  .byte  102,65,15,58,22,68,128,8,2          // pextrd        $0x2,%xmm0,0x8(%r8,%rax,4)
  .byte  102,65,15,214,4,128                 // movq          %xmm0,(%r8,%rax,4)
  .byte  235,132                             // jmp           13eeb <_sk_srcover_rgba_8888_sse41+0xe7>
  .byte  102,65,15,110,60,128                // movd          (%r8,%rax,4),%xmm7
  .byte  233,184,254,255,255                 // jmpq          13e2a <_sk_srcover_rgba_8888_sse41+0x26>
  .byte  102,65,15,126,4,128                 // movd          %xmm0,(%r8,%rax,4)
  .byte  233,110,255,255,255                 // jmpq          13eeb <_sk_srcover_rgba_8888_sse41+0xe7>

HIDDEN _sk_clamp_0_sse41
.globl _sk_clamp_0_sse41
FUNCTION(_sk_clamp_0_sse41)
_sk_clamp_0_sse41:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  65,15,95,192                        // maxps         %xmm8,%xmm0
  .byte  65,15,95,200                        // maxps         %xmm8,%xmm1
  .byte  65,15,95,208                        // maxps         %xmm8,%xmm2
  .byte  65,15,95,216                        // maxps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_sse41
.globl _sk_clamp_1_sse41
FUNCTION(_sk_clamp_1_sse41)
_sk_clamp_1_sse41:
  .byte  68,15,40,5,35,131,1,0               // movaps        0x18323(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_sse41
.globl _sk_clamp_a_sse41
FUNCTION(_sk_clamp_a_sse41)
_sk_clamp_a_sse41:
  .byte  15,93,29,8,131,1,0                  // minps         0x18308(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_sse41
.globl _sk_clamp_a_dst_sse41
FUNCTION(_sk_clamp_a_dst_sse41)
_sk_clamp_a_dst_sse41:
  .byte  15,93,61,244,130,1,0                // minps         0x182f4(%rip),%xmm7        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,93,239                           // minps         %xmm7,%xmm5
  .byte  15,93,247                           // minps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse41
.globl _sk_set_rgb_sse41
FUNCTION(_sk_set_rgb_sse41)
_sk_set_rgb_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse41
.globl _sk_swap_rb_sse41
FUNCTION(_sk_swap_rb_sse41)
_sk_swap_rb_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse41
.globl _sk_invert_sse41
FUNCTION(_sk_invert_sse41)
_sk_invert_sse41:
  .byte  68,15,40,5,176,130,1,0              // movaps        0x182b0(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,92,218                        // subps         %xmm2,%xmm11
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_sse41
.globl _sk_move_src_dst_sse41
FUNCTION(_sk_move_src_dst_sse41)
_sk_move_src_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse41
.globl _sk_move_dst_src_sse41
FUNCTION(_sk_move_dst_src_sse41)
_sk_move_dst_src_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse41
.globl _sk_premul_sse41
FUNCTION(_sk_premul_sse41)
_sk_premul_sse41:
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_sse41
.globl _sk_premul_dst_sse41
FUNCTION(_sk_premul_dst_sse41)
_sk_premul_dst_sse41:
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_sse41
.globl _sk_unpremul_sse41
FUNCTION(_sk_unpremul_sse41)
_sk_unpremul_sse41:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,13,58,130,1,0              // movaps        0x1823a(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,94,203                        // divps         %xmm3,%xmm9
  .byte  68,15,194,195,4                     // cmpneqps      %xmm3,%xmm8
  .byte  69,15,84,193                        // andps         %xmm9,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_sse41
.globl _sk_from_srgb_sse41
FUNCTION(_sk_from_srgb_sse41)
_sk_from_srgb_sse41:
  .byte  68,15,40,29,5,131,1,0               // movaps        0x18305(%rip),%xmm11        # 2c3b0 <_sk_overlay_sse2_8bit+0xf94>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  68,15,40,37,125,130,1,0             // movaps        0x1827d(%rip),%xmm12        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,40,45,237,130,1,0             // movaps        0x182ed(%rip),%xmm13        # 2c3c0 <_sk_overlay_sse2_8bit+0xfa4>
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  68,15,40,53,237,130,1,0             // movaps        0x182ed(%rip),%xmm14        # 2c3d0 <_sk_overlay_sse2_8bit+0xfb4>
  .byte  69,15,88,198                        // addps         %xmm14,%xmm8
  .byte  68,15,40,61,241,130,1,0             // movaps        0x182f1(%rip),%xmm15        # 2c3e0 <_sk_overlay_sse2_8bit+0xfc4>
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,89,204                        // mulps         %xmm12,%xmm9
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  65,15,194,207,1                     // cmpltps       %xmm15,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  102,69,15,56,20,202                 // blendvps      %xmm0,%xmm10,%xmm9
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,40,210                        // movaps        %xmm2,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  65,15,194,215,1                     // cmpltps       %xmm15,%xmm2
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_sse41
.globl _sk_from_srgb_dst_sse41
FUNCTION(_sk_from_srgb_dst_sse41)
_sk_from_srgb_dst_sse41:
  .byte  68,15,40,204                        // movaps        %xmm4,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,40,29,60,130,1,0              // movaps        0x1823c(%rip),%xmm11        # 2c3b0 <_sk_overlay_sse2_8bit+0xf94>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,37,181,129,1,0             // movaps        0x181b5(%rip),%xmm12        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  65,15,89,228                        // mulps         %xmm12,%xmm4
  .byte  68,15,40,45,41,130,1,0              // movaps        0x18229(%rip),%xmm13        # 2c3c0 <_sk_overlay_sse2_8bit+0xfa4>
  .byte  65,15,88,229                        // addps         %xmm13,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  68,15,40,53,42,130,1,0              // movaps        0x1822a(%rip),%xmm14        # 2c3d0 <_sk_overlay_sse2_8bit+0xfb4>
  .byte  65,15,88,230                        // addps         %xmm14,%xmm4
  .byte  68,15,40,61,46,130,1,0              // movaps        0x1822e(%rip),%xmm15        # 2c3e0 <_sk_overlay_sse2_8bit+0xfc4>
  .byte  69,15,194,207,1                     // cmpltps       %xmm15,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,226                 // blendvps      %xmm0,%xmm10,%xmm4
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,205                        // movaps        %xmm5,%xmm9
  .byte  69,15,89,204                        // mulps         %xmm12,%xmm9
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  65,15,194,239,1                     // cmpltps       %xmm15,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,69,15,56,20,202                 // blendvps      %xmm0,%xmm10,%xmm9
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,40,214                        // movaps        %xmm6,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  65,15,194,247,1                     // cmpltps       %xmm15,%xmm6
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,233                        // movaps        %xmm9,%xmm5
  .byte  65,15,40,242                        // movaps        %xmm10,%xmm6
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_sse41
.globl _sk_to_srgb_sse41
FUNCTION(_sk_to_srgb_sse41)
_sk_to_srgb_sse41:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  68,15,82,192                        // rsqrtps       %xmm0,%xmm8
  .byte  68,15,40,29,162,129,1,0             // movaps        0x181a2(%rip),%xmm11        # 2c3f0 <_sk_overlay_sse2_8bit+0xfd4>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  68,15,40,37,162,129,1,0             // movaps        0x181a2(%rip),%xmm12        # 2c400 <_sk_overlay_sse2_8bit+0xfe4>
  .byte  69,15,40,248                        // movaps        %xmm8,%xmm15
  .byte  69,15,89,252                        // mulps         %xmm12,%xmm15
  .byte  68,15,40,21,162,129,1,0             // movaps        0x181a2(%rip),%xmm10        # 2c410 <_sk_overlay_sse2_8bit+0xff4>
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,248                        // mulps         %xmm8,%xmm15
  .byte  68,15,40,45,162,129,1,0             // movaps        0x181a2(%rip),%xmm13        # 2c420 <_sk_overlay_sse2_8bit+0x1004>
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  68,15,40,53,166,129,1,0             // movaps        0x181a6(%rip),%xmm14        # 2c430 <_sk_overlay_sse2_8bit+0x1014>
  .byte  69,15,88,198                        // addps         %xmm14,%xmm8
  .byte  69,15,83,192                        // rcpps         %xmm8,%xmm8
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  68,15,40,61,162,129,1,0             // movaps        0x181a2(%rip),%xmm15        # 2c440 <_sk_overlay_sse2_8bit+0x1024>
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  68,15,82,202                        // rsqrtps       %xmm2,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  69,15,83,201                        // rcpps         %xmm9,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,194,215,1                     // cmpltps       %xmm15,%xmm2
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,68,15,56,20,201                 // blendvps      %xmm0,%xmm1,%xmm9
  .byte  15,82,195                           // rsqrtps       %xmm3,%xmm0
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  69,15,88,226                        // addps         %xmm10,%xmm12
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  65,15,88,198                        // addps         %xmm14,%xmm0
  .byte  68,15,83,208                        // rcpps         %xmm0,%xmm10
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  65,15,194,223,1                     // cmpltps       %xmm15,%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_sse41
.globl _sk_rgb_to_hsl_sse41
FUNCTION(_sk_rgb_to_hsl_sse41)
_sk_rgb_to_hsl_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,95,216                        // maxps         %xmm0,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  69,15,40,224                        // movaps        %xmm8,%xmm12
  .byte  68,15,93,224                        // minps         %xmm0,%xmm12
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  65,15,92,204                        // subps         %xmm12,%xmm1
  .byte  68,15,40,53,89,127,1,0              // movaps        0x17f59(%rip),%xmm14        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,94,241                        // divps         %xmm1,%xmm14
  .byte  69,15,40,211                        // movaps        %xmm11,%xmm10
  .byte  69,15,194,208,0                     // cmpeqps       %xmm8,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  68,15,194,250,1                     // cmpltps       %xmm2,%xmm15
  .byte  68,15,84,61,192,128,1,0             // andps         0x180c0(%rip),%xmm15        # 2c450 <_sk_overlay_sse2_8bit+0x1034>
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,194,193,0                     // cmpeqps       %xmm9,%xmm0
  .byte  65,15,92,208                        // subps         %xmm8,%xmm2
  .byte  65,15,89,214                        // mulps         %xmm14,%xmm2
  .byte  68,15,40,45,179,128,1,0             // movaps        0x180b3(%rip),%xmm13        # 2c460 <_sk_overlay_sse2_8bit+0x1044>
  .byte  65,15,88,213                        // addps         %xmm13,%xmm2
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  69,15,89,198                        // mulps         %xmm14,%xmm8
  .byte  68,15,88,5,175,128,1,0              // addps         0x180af(%rip),%xmm8        # 2c470 <_sk_overlay_sse2_8bit+0x1054>
  .byte  102,68,15,56,20,194                 // blendvps      %xmm0,%xmm2,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  102,69,15,56,20,199                 // blendvps      %xmm0,%xmm15,%xmm8
  .byte  68,15,89,5,167,128,1,0              // mulps         0x180a7(%rip),%xmm8        # 2c480 <_sk_overlay_sse2_8bit+0x1064>
  .byte  69,15,40,203                        // movaps        %xmm11,%xmm9
  .byte  69,15,194,204,4                     // cmpneqps      %xmm12,%xmm9
  .byte  69,15,84,193                        // andps         %xmm9,%xmm8
  .byte  69,15,92,235                        // subps         %xmm11,%xmm13
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  15,40,5,171,126,1,0                 // movaps        0x17eab(%rip),%xmm0        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,194,194,1                        // cmpltps       %xmm2,%xmm0
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  102,69,15,56,20,221                 // blendvps      %xmm0,%xmm13,%xmm11
  .byte  65,15,94,203                        // divps         %xmm11,%xmm1
  .byte  65,15,84,201                        // andps         %xmm9,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_sse41
.globl _sk_hsl_to_rgb_sse41
FUNCTION(_sk_hsl_to_rgb_sse41)
_sk_hsl_to_rgb_sse41:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,40,13,97,126,1,0              // movaps        0x17e61(%rip),%xmm9        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,194,194,2                        // cmpleps       %xmm2,%xmm0
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  102,15,56,20,235                    // blendvps      %xmm0,%xmm3,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  15,41,84,36,152                     // movaps        %xmm2,-0x68(%rsp)
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  68,15,92,197                        // subps         %xmm5,%xmm8
  .byte  68,15,40,53,28,128,1,0              // movaps        0x1801c(%rip),%xmm14        # 2c490 <_sk_overlay_sse2_8bit+0x1074>
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  102,65,15,58,8,198,1                // roundps       $0x1,%xmm14,%xmm0
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  68,15,40,29,21,128,1,0              // movaps        0x18015(%rip),%xmm11        # 2c4a0 <_sk_overlay_sse2_8bit+0x1084>
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,194,198,2                     // cmpleps       %xmm14,%xmm0
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  65,15,92,240                        // subps         %xmm8,%xmm6
  .byte  15,40,61,174,127,1,0                // movaps        0x17fae(%rip),%xmm7        # 2c450 <_sk_overlay_sse2_8bit+0x1034>
  .byte  69,15,40,238                        // movaps        %xmm14,%xmm13
  .byte  68,15,89,239                        // mulps         %xmm7,%xmm13
  .byte  15,40,29,191,127,1,0                // movaps        0x17fbf(%rip),%xmm3        # 2c470 <_sk_overlay_sse2_8bit+0x1054>
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  69,15,88,224                        // addps         %xmm8,%xmm12
  .byte  102,69,15,56,20,224                 // blendvps      %xmm0,%xmm8,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,198,2                     // cmpleps       %xmm14,%xmm0
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  102,69,15,56,20,252                 // blendvps      %xmm0,%xmm12,%xmm15
  .byte  68,15,40,37,158,127,1,0             // movaps        0x17f9e(%rip),%xmm12        # 2c480 <_sk_overlay_sse2_8bit+0x1064>
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  65,15,194,198,2                     // cmpleps       %xmm14,%xmm0
  .byte  68,15,89,238                        // mulps         %xmm6,%xmm13
  .byte  69,15,88,232                        // addps         %xmm8,%xmm13
  .byte  102,69,15,56,20,239                 // blendvps      %xmm0,%xmm15,%xmm13
  .byte  69,15,87,246                        // xorps         %xmm14,%xmm14
  .byte  68,15,194,241,0                     // cmpeqps       %xmm1,%xmm14
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  102,68,15,56,20,234                 // blendvps      %xmm0,%xmm2,%xmm13
  .byte  102,65,15,58,8,194,1                // roundps       $0x1,%xmm10,%xmm0
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  68,15,92,248                        // subps         %xmm0,%xmm15
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,194,199,2                     // cmpleps       %xmm15,%xmm0
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  102,65,15,56,20,208                 // blendvps      %xmm0,%xmm8,%xmm2
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,199,2                     // cmpleps       %xmm15,%xmm0
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  102,15,56,20,226                    // blendvps      %xmm0,%xmm2,%xmm4
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  65,15,194,199,2                     // cmpleps       %xmm15,%xmm0
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  102,15,56,20,204                    // blendvps      %xmm0,%xmm4,%xmm1
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  15,40,84,36,152                     // movaps        -0x68(%rsp),%xmm2
  .byte  102,15,56,20,202                    // blendvps      %xmm0,%xmm2,%xmm1
  .byte  68,15,88,21,54,127,1,0              // addps         0x17f36(%rip),%xmm10        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  102,65,15,58,8,194,1                // roundps       $0x1,%xmm10,%xmm0
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,194,218,2                     // cmpleps       %xmm10,%xmm11
  .byte  65,15,89,250                        // mulps         %xmm10,%xmm7
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  102,65,15,56,20,216                 // blendvps      %xmm0,%xmm8,%xmm3
  .byte  69,15,194,202,2                     // cmpleps       %xmm10,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,15,56,20,235                    // blendvps      %xmm0,%xmm3,%xmm5
  .byte  69,15,194,226,2                     // cmpleps       %xmm10,%xmm12
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  65,15,40,196                        // movaps        %xmm12,%xmm0
  .byte  102,68,15,56,20,197                 // blendvps      %xmm0,%xmm5,%xmm8
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  102,68,15,56,20,194                 // blendvps      %xmm0,%xmm2,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,197                        // movaps        %xmm13,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_sse41
.globl _sk_scale_1_float_sse41
FUNCTION(_sk_scale_1_float_sse41)
_sk_scale_1_float_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse41
.globl _sk_scale_u8_sse41
FUNCTION(_sk_scale_u8_sse41)
_sk_scale_u8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,52                              // jne           14661 <_sk_scale_u8_sse41+0x4c>
  .byte  102,71,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm8
  .byte  102,68,15,219,5,51,125,1,0          // pand          0x17d33(%rip),%xmm8        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,119,126,1,0              // mulps         0x17e77(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            146a9 <_sk_scale_u8_sse41+0x94>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            14690 <_sk_scale_u8_sse41+0x7b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,181                             // jne           14634 <_sk_scale_u8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,69,15,56,49,201                 // pmovzxbd      %xmm9,%xmm9
  .byte  102,69,15,58,14,193,15              // pblendw       $0xf,%xmm9,%xmm8
  .byte  235,139                             // jmp           14634 <_sk_scale_u8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,124,255,255,255                 // jmpq          14634 <_sk_scale_u8_sse41+0x1f>

HIDDEN _sk_scale_565_sse41
.globl _sk_scale_565_sse41
FUNCTION(_sk_scale_565_sse41)
_sk_scale_565_sse41:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,159,0,0,0                    // jne           1477b <_sk_scale_565_sse41+0xc3>
  .byte  102,71,15,56,51,28,80               // pmovzxwd      (%r8,%r10,2),%xmm11
  .byte  102,15,111,5,229,125,1,0            // movdqa        0x17de5(%rip),%xmm0        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,65,15,219,195                   // pand          %xmm11,%xmm0
  .byte  68,15,91,200                        // cvtdq2ps      %xmm0,%xmm9
  .byte  68,15,89,13,228,125,1,0             // mulps         0x17de4(%rip),%xmm9        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,5,236,125,1,0            // movdqa        0x17dec(%rip),%xmm0        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,65,15,219,195                   // pand          %xmm11,%xmm0
  .byte  68,15,91,208                        // cvtdq2ps      %xmm0,%xmm10
  .byte  68,15,89,21,235,125,1,0             // mulps         0x17deb(%rip),%xmm10        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,68,15,219,29,242,125,1,0        // pand          0x17df2(%rip),%xmm11        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  69,15,91,219                        // cvtdq2ps      %xmm11,%xmm11
  .byte  68,15,89,29,246,125,1,0             // mulps         0x17df6(%rip),%xmm11        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  69,15,93,227                        // minps         %xmm11,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,93,236                        // minps         %xmm12,%xmm13
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  69,15,95,243                        // maxps         %xmm11,%xmm14
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,95,230                        // maxps         %xmm14,%xmm12
  .byte  102,69,15,56,20,229                 // blendvps      %xmm0,%xmm13,%xmm12
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,220                        // movaps        %xmm12,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,60                              // je            147c4 <_sk_scale_565_sse41+0x10c>
  .byte  102,69,15,239,219                   // pxor          %xmm11,%xmm11
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,26                              // je            147ad <_sk_scale_565_sse41+0xf5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,70,255,255,255               // jne           146e3 <_sk_scale_565_sse41+0x2b>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,68,15,112,216,69                // pshufd        $0x45,%xmm0,%xmm11
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,68,15,58,14,216,15              // pblendw       $0xf,%xmm0,%xmm11
  .byte  233,31,255,255,255                  // jmpq          146e3 <_sk_scale_565_sse41+0x2b>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,216                   // movd          %eax,%xmm11
  .byte  233,16,255,255,255                  // jmpq          146e3 <_sk_scale_565_sse41+0x2b>

HIDDEN _sk_lerp_1_float_sse41
.globl _sk_lerp_1_float_sse41
FUNCTION(_sk_lerp_1_float_sse41)
_sk_lerp_1_float_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse41
.globl _sk_lerp_u8_sse41
FUNCTION(_sk_lerp_u8_sse41)
_sk_lerp_u8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,72                              // jne           1486b <_sk_lerp_u8_sse41+0x60>
  .byte  102,71,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm8
  .byte  102,68,15,219,5,61,123,1,0          // pand          0x17b3d(%rip),%xmm8        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,129,124,1,0              // mulps         0x17c81(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,62                              // je            148b6 <_sk_lerp_u8_sse41+0xab>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1489a <_sk_lerp_u8_sse41+0x8f>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,161                             // jne           1482a <_sk_lerp_u8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,69,15,56,49,201                 // pmovzxbd      %xmm9,%xmm9
  .byte  102,69,15,58,14,193,15              // pblendw       $0xf,%xmm9,%xmm8
  .byte  233,116,255,255,255                 // jmpq          1482a <_sk_lerp_u8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,101,255,255,255                 // jmpq          1482a <_sk_lerp_u8_sse41+0x1f>

HIDDEN _sk_lerp_565_sse41
.globl _sk_lerp_565_sse41
FUNCTION(_sk_lerp_565_sse41)
_sk_lerp_565_sse41:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,165,0,0,0                    // jne           1498e <_sk_lerp_565_sse41+0xc9>
  .byte  102,71,15,56,51,20,80               // pmovzxwd      (%r8,%r10,2),%xmm10
  .byte  102,15,111,5,216,123,1,0            // movdqa        0x17bd8(%rip),%xmm0        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,65,15,219,194                   // pand          %xmm10,%xmm0
  .byte  68,15,91,200                        // cvtdq2ps      %xmm0,%xmm9
  .byte  68,15,89,13,215,123,1,0             // mulps         0x17bd7(%rip),%xmm9        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,5,223,123,1,0            // movdqa        0x17bdf(%rip),%xmm0        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,65,15,219,194                   // pand          %xmm10,%xmm0
  .byte  68,15,91,216                        // cvtdq2ps      %xmm0,%xmm11
  .byte  68,15,89,29,222,123,1,0             // mulps         0x17bde(%rip),%xmm11        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,68,15,219,21,229,123,1,0        // pand          0x17be5(%rip),%xmm10        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  68,15,89,21,233,123,1,0             // mulps         0x17be9(%rip),%xmm10        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  69,15,93,218                        // minps         %xmm10,%xmm11
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  68,15,92,196                        // subps         %xmm4,%xmm8
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  69,15,93,203                        // minps         %xmm11,%xmm9
  .byte  69,15,95,226                        // maxps         %xmm10,%xmm12
  .byte  69,15,95,236                        // maxps         %xmm12,%xmm13
  .byte  102,69,15,56,20,233                 // blendvps      %xmm0,%xmm9,%xmm13
  .byte  68,15,88,196                        // addps         %xmm4,%xmm8
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,60                              // je            149d7 <_sk_lerp_565_sse41+0x112>
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,26                              // je            149c0 <_sk_lerp_565_sse41+0xfb>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,64,255,255,255               // jne           148f0 <_sk_lerp_565_sse41+0x2b>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,68,15,112,208,69                // pshufd        $0x45,%xmm0,%xmm10
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,68,15,58,14,208,15              // pblendw       $0xf,%xmm0,%xmm10
  .byte  233,25,255,255,255                  // jmpq          148f0 <_sk_lerp_565_sse41+0x2b>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,208                   // movd          %eax,%xmm10
  .byte  233,10,255,255,255                  // jmpq          148f0 <_sk_lerp_565_sse41+0x2b>

HIDDEN _sk_load_tables_sse41
.globl _sk_load_tables_sse41
FUNCTION(_sk_load_tables_sse41)
_sk_load_tables_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,20,1,0,0                     // jne           14b08 <_sk_load_tables_sse41+0x122>
  .byte  243,69,15,111,4,144                 // movdqu        (%r8,%rdx,4),%xmm8
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,15,111,5,107,121,1,0            // movdqa        0x1796b(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,11,16             // insertps      $0x10,(%rbx,%r9,1),%xmm0
  .byte  102,66,15,58,33,4,155,32            // insertps      $0x20,(%rbx,%r11,4),%xmm0
  .byte  102,66,15,58,33,4,3,48              // insertps      $0x30,(%rbx,%r8,1),%xmm0
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  102,15,56,0,13,38,121,1,0           // pshufb        0x17926(%rip),%xmm1        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,65,15,58,33,12,30,16            // insertps      $0x10,(%r14,%rbx,1),%xmm1
  .byte  243,67,15,16,20,150                 // movss         (%r14,%r10,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,67,15,16,20,6                   // movss         (%r14,%r8,1),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,65,15,111,208                   // movdqa        %xmm8,%xmm2
  .byte  102,15,56,0,21,226,120,1,0          // pshufb        0x178e2(%rip),%xmm2        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  102,65,15,58,33,20,0,16             // insertps      $0x10,(%r8,%rax,1),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,65,15,16,28,24                  // movss         (%r8,%rbx,1),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  102,65,15,114,208,24                // psrld         $0x18,%xmm8
  .byte  65,15,91,216                        // cvtdq2ps      %xmm8,%xmm3
  .byte  15,89,29,191,121,1,0                // mulps         0x179bf(%rip),%xmm3        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,52                              // je            14b49 <_sk_load_tables_sse41+0x163>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            14b37 <_sk_load_tables_sse41+0x151>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,208,254,255,255              // jne           149fa <_sk_load_tables_sse41+0x14>
  .byte  102,65,15,110,68,144,8              // movd          0x8(%r8,%rdx,4),%xmm0
  .byte  102,68,15,112,192,69                // pshufd        $0x45,%xmm0,%xmm8
  .byte  243,65,15,126,4,144                 // movq          (%r8,%rdx,4),%xmm0
  .byte  102,68,15,58,14,192,15              // pblendw       $0xf,%xmm0,%xmm8
  .byte  233,177,254,255,255                 // jmpq          149fa <_sk_load_tables_sse41+0x14>
  .byte  102,69,15,110,4,144                 // movd          (%r8,%rdx,4),%xmm8
  .byte  233,166,254,255,255                 // jmpq          149fa <_sk_load_tables_sse41+0x14>

HIDDEN _sk_load_tables_u16_be_sse41
.globl _sk_load_tables_u16_be_sse41
FUNCTION(_sk_load_tables_u16_be_sse41)
_sk_load_tables_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,95,1,0,0                     // jne           14cc9 <_sk_load_tables_u16_be_sse41+0x175>
  .byte  102,67,15,16,4,72                   // movupd        (%r8,%r9,2),%xmm0
  .byte  243,67,15,111,76,72,16              // movdqu        0x10(%r8,%r9,2),%xmm1
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,40,200                    // movapd        %xmm0,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,68,15,105,200                   // punpckhwd     %xmm0,%xmm9
  .byte  102,68,15,111,5,145,121,1,0         // movdqa        0x17991(%rip),%xmm8        # 2c530 <_sk_overlay_sse2_8bit+0x1114>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,11,16             // insertps      $0x10,(%rbx,%r9,1),%xmm0
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  102,15,58,33,194,32                 // insertps      $0x20,%xmm2,%xmm0
  .byte  243,66,15,16,20,3                   // movss         (%rbx,%r8,1),%xmm2
  .byte  102,15,58,33,194,48                 // insertps      $0x30,%xmm2,%xmm0
  .byte  102,15,56,0,13,64,121,1,0           // pshufb        0x17940(%rip),%xmm1        # 2c540 <_sk_overlay_sse2_8bit+0x1124>
  .byte  102,15,56,51,201                    // pmovzxwd      %xmm1,%xmm1
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,65,15,58,33,12,30,16            // insertps      $0x10,(%r14,%rbx,1),%xmm1
  .byte  243,67,15,16,20,150                 // movss         (%r14,%r10,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,67,15,16,20,6                   // movss         (%r14,%r8,1),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,65,15,56,51,208                 // pmovzxwd      %xmm8,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  102,65,15,58,33,20,0,16             // insertps      $0x10,(%r8,%rax,1),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,65,15,16,28,24                  // movss         (%r8,%rbx,1),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  102,65,15,112,217,78                // pshufd        $0x4e,%xmm9,%xmm3
  .byte  102,68,15,111,195                   // movdqa        %xmm3,%xmm8
  .byte  102,65,15,113,240,8                 // psllw         $0x8,%xmm8
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,216                   // por           %xmm8,%xmm3
  .byte  102,15,56,51,219                    // pmovzxwd      %xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,142,120,1,0                // mulps         0x1788e(%rip),%xmm3        # 2c550 <_sk_overlay_sse2_8bit+0x1134>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  242,67,15,16,4,72                   // movsd         (%r8,%r9,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           14ce2 <_sk_load_tables_u16_be_sse41+0x18e>
  .byte  243,15,126,192                      // movq          %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,149,254,255,255                 // jmpq          14b77 <_sk_load_tables_u16_be_sse41+0x23>
  .byte  102,67,15,22,68,72,8                // movhpd        0x8(%r8,%r9,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,128,254,255,255              // jb            14b77 <_sk_load_tables_u16_be_sse41+0x23>
  .byte  243,67,15,126,76,72,16              // movq          0x10(%r8,%r9,2),%xmm1
  .byte  233,116,254,255,255                 // jmpq          14b77 <_sk_load_tables_u16_be_sse41+0x23>

HIDDEN _sk_load_tables_rgb_u16_be_sse41
.globl _sk_load_tables_rgb_u16_be_sse41
FUNCTION(_sk_load_tables_rgb_u16_be_sse41)
_sk_load_tables_rgb_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,79,1,0,0                     // jne           14e64 <_sk_load_tables_rgb_u16_be_sse41+0x161>
  .byte  243,67,15,111,20,72                 // movdqu        (%r8,%r9,2),%xmm2
  .byte  243,67,15,111,76,72,8               // movdqu        0x8(%r8,%r9,2),%xmm1
  .byte  102,15,115,217,4                    // psrldq        $0x4,%xmm1
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,65,15,115,217,6                 // psrldq        $0x6,%xmm9
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  102,68,15,111,5,215,119,1,0         // movdqa        0x177d7(%rip),%xmm8        # 2c530 <_sk_overlay_sse2_8bit+0x1114>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,11,16             // insertps      $0x10,(%rbx,%r9,1),%xmm0
  .byte  243,66,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm3
  .byte  102,15,58,33,195,32                 // insertps      $0x20,%xmm3,%xmm0
  .byte  243,66,15,16,28,3                   // movss         (%rbx,%r8,1),%xmm3
  .byte  102,15,58,33,195,48                 // insertps      $0x30,%xmm3,%xmm0
  .byte  102,15,56,0,13,166,119,1,0          // pshufb        0x177a6(%rip),%xmm1        # 2c560 <_sk_overlay_sse2_8bit+0x1144>
  .byte  102,15,56,51,201                    // pmovzxwd      %xmm1,%xmm1
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,65,15,58,33,12,30,16            // insertps      $0x10,(%r14,%rbx,1),%xmm1
  .byte  243,67,15,16,28,150                 // movss         (%r14,%r10,4),%xmm3
  .byte  102,15,58,33,203,32                 // insertps      $0x20,%xmm3,%xmm1
  .byte  243,67,15,16,28,6                   // movss         (%r14,%r8,1),%xmm3
  .byte  102,15,58,33,203,48                 // insertps      $0x30,%xmm3,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,65,15,105,209                   // punpckhwd     %xmm9,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,56,51,210                    // pmovzxwd      %xmm2,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  102,65,15,58,33,20,0,16             // insertps      $0x10,(%r8,%rax,1),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,65,15,16,28,24                  // movss         (%r8,%rbx,1),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,97,116,1,0                 // movaps        0x17461(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,20,72                 // movd          (%r8,%r9,2),%xmm2
  .byte  102,67,15,196,84,72,4,2             // pinsrw        $0x2,0x4(%r8,%r9,2),%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,14                              // jne           14e8a <_sk_load_tables_rgb_u16_be_sse41+0x187>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  233,177,254,255,255                 // jmpq          14d3b <_sk_load_tables_rgb_u16_be_sse41+0x38>
  .byte  102,71,15,110,76,72,6               // movd          0x6(%r8,%r9,2),%xmm9
  .byte  102,71,15,196,76,72,10,2            // pinsrw        $0x2,0xa(%r8,%r9,2),%xmm9
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            14ebb <_sk_load_tables_rgb_u16_be_sse41+0x1b8>
  .byte  102,67,15,110,76,72,12              // movd          0xc(%r8,%r9,2),%xmm1
  .byte  102,67,15,196,76,72,16,2            // pinsrw        $0x2,0x10(%r8,%r9,2),%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,128,254,255,255                 // jmpq          14d3b <_sk_load_tables_rgb_u16_be_sse41+0x38>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,119,254,255,255                 // jmpq          14d3b <_sk_load_tables_rgb_u16_be_sse41+0x38>

HIDDEN _sk_byte_tables_sse41
.globl _sk_byte_tables_sse41
FUNCTION(_sk_byte_tables_sse41)
_sk_byte_tables_sse41:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,205,116,1,0              // movaps        0x174cd(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,139,56                           // mov           (%rax),%r15
  .byte  76,139,112,8                        // mov           0x8(%rax),%r14
  .byte  102,67,15,58,32,4,31,0              // pinsrb        $0x0,(%r15,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,23,1              // pinsrb        $0x1,(%r15,%r10,1),%xmm0
  .byte  67,15,182,28,15                     // movzbl        (%r15,%r9,1),%ebx
  .byte  102,15,58,32,195,2                  // pinsrb        $0x2,%ebx,%xmm0
  .byte  67,15,182,28,7                      // movzbl        (%r15,%r8,1),%ebx
  .byte  102,15,58,32,195,3                  // pinsrb        $0x3,%ebx,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,13,142,117,1,0             // movaps        0x1758e(%rip),%xmm9        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  102,67,15,58,32,12,22,0             // pinsrb        $0x0,(%r14,%r10,1),%xmm1
  .byte  102,67,15,58,32,12,14,1             // pinsrb        $0x1,(%r14,%r9,1),%xmm1
  .byte  71,15,182,4,6                       // movzbl        (%r14,%r8,1),%r8d
  .byte  102,65,15,58,32,200,2               // pinsrb        $0x2,%r8d,%xmm1
  .byte  65,15,182,28,30                     // movzbl        (%r14,%rbx,1),%ebx
  .byte  102,15,58,32,203,3                  // pinsrb        $0x3,%ebx,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  76,139,80,16                        // mov           0x10(%rax),%r10
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,73,15,58,22,208,1               // pextrq        $0x1,%xmm2,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,219                          // mov           %ebx,%r11d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,67,15,58,32,20,26,0             // pinsrb        $0x0,(%r10,%r11,1),%xmm2
  .byte  102,65,15,58,32,20,26,1             // pinsrb        $0x1,(%r10,%rbx,1),%xmm2
  .byte  67,15,182,28,10                     // movzbl        (%r10,%r9,1),%ebx
  .byte  102,15,58,32,211,2                  // pinsrb        $0x2,%ebx,%xmm2
  .byte  67,15,182,28,2                      // movzbl        (%r10,%r8,1),%ebx
  .byte  102,15,58,32,211,3                  // pinsrb        $0x3,%ebx,%xmm2
  .byte  102,15,56,49,210                    // pmovzxbd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  102,15,91,219                       // cvtps2dq      %xmm3,%xmm3
  .byte  102,72,15,58,22,219,1               // pextrq        $0x1,%xmm3,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,72,15,126,216                   // movq          %xmm3,%rax
  .byte  65,137,194                          // mov           %eax,%r10d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,67,15,58,32,28,17,0             // pinsrb        $0x0,(%r9,%r10,1),%xmm3
  .byte  102,65,15,58,32,28,1,1              // pinsrb        $0x1,(%r9,%rax,1),%xmm3
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  102,15,58,32,216,2                  // pinsrb        $0x2,%eax,%xmm3
  .byte  65,15,182,4,25                      // movzbl        (%r9,%rbx,1),%eax
  .byte  102,15,58,32,216,3                  // pinsrb        $0x3,%eax,%xmm3
  .byte  102,15,56,49,219                    // pmovzxbd      %xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_sse41
.globl _sk_byte_tables_rgb_sse41
FUNCTION(_sk_byte_tables_rgb_sse41)
_sk_byte_tables_rgb_sse41:
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,69,15,110,192                   // movd          %r8d,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,58,22,192,1               // pextrq        $0x1,%xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  77,137,198                          // mov           %r8,%r14
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  76,139,56                           // mov           (%rax),%r15
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  102,67,15,58,32,4,31,0              // pinsrb        $0x0,(%r15,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,55,1              // pinsrb        $0x1,(%r15,%r14,1),%xmm0
  .byte  67,15,182,28,15                     // movzbl        (%r15,%r9,1),%ebx
  .byte  102,15,58,32,195,2                  // pinsrb        $0x2,%ebx,%xmm0
  .byte  67,15,182,28,23                     // movzbl        (%r15,%r10,1),%ebx
  .byte  102,15,58,32,195,3                  // pinsrb        $0x3,%ebx,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,13,250,115,1,0             // movaps        0x173fa(%rip),%xmm9        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,58,32,12,24,0             // pinsrb        $0x0,(%r8,%r11,1),%xmm1
  .byte  102,67,15,58,32,12,16,1             // pinsrb        $0x1,(%r8,%r10,1),%xmm1
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  102,65,15,58,32,201,2               // pinsrb        $0x2,%r9d,%xmm1
  .byte  65,15,182,28,24                     // movzbl        (%r8,%rbx,1),%ebx
  .byte  102,15,58,32,203,3                  // pinsrb        $0x3,%ebx,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  65,137,194                          // mov           %eax,%r10d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,67,15,58,32,20,17,0             // pinsrb        $0x0,(%r9,%r10,1),%xmm2
  .byte  102,65,15,58,32,20,1,1              // pinsrb        $0x1,(%r9,%rax,1),%xmm2
  .byte  67,15,182,4,1                       // movzbl        (%r9,%r8,1),%eax
  .byte  102,15,58,32,208,2                  // pinsrb        $0x2,%eax,%xmm2
  .byte  65,15,182,4,25                      // movzbl        (%r9,%rbx,1),%eax
  .byte  102,15,58,32,208,3                  // pinsrb        $0x3,%eax,%xmm2
  .byte  102,15,56,49,210                    // pmovzxbd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_sse41
.globl _sk_table_r_sse41
FUNCTION(_sk_table_r_sse41)
_sk_table_r_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  102,65,15,91,192                    // cvtps2dq      %xmm8,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  102,67,15,58,33,4,144,16            // insertps      $0x10,(%r8,%r10,4),%xmm0
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,192,32              // insertps      $0x20,%xmm8,%xmm0
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,192,48              // insertps      $0x30,%xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_sse41
.globl _sk_table_g_sse41
FUNCTION(_sk_table_g_sse41)
_sk_table_g_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  102,65,15,91,200                    // cvtps2dq      %xmm8,%xmm1
  .byte  102,72,15,58,22,200,1               // pextrq        $0x1,%xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,12,152                 // movss         (%r8,%r11,4),%xmm1
  .byte  102,67,15,58,33,12,144,16           // insertps      $0x10,(%r8,%r10,4),%xmm1
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,200,32              // insertps      $0x20,%xmm8,%xmm1
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,200,48              // insertps      $0x30,%xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_sse41
.globl _sk_table_b_sse41
FUNCTION(_sk_table_b_sse41)
_sk_table_b_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,65,15,91,208                    // cvtps2dq      %xmm8,%xmm2
  .byte  102,72,15,58,22,208,1               // pextrq        $0x1,%xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,210                   // movq          %xmm2,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  102,67,15,58,33,20,144,16           // insertps      $0x10,(%r8,%r10,4),%xmm2
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,208,32              // insertps      $0x20,%xmm8,%xmm2
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,208,48              // insertps      $0x30,%xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_sse41
.globl _sk_table_a_sse41
FUNCTION(_sk_table_a_sse41)
_sk_table_a_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,65,15,91,216                    // cvtps2dq      %xmm8,%xmm3
  .byte  102,72,15,58,22,216,1               // pextrq        $0x1,%xmm3,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,218                   // movq          %xmm3,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,16,28,152                 // movss         (%r8,%r11,4),%xmm3
  .byte  102,67,15,58,33,28,144,16           // insertps      $0x10,(%r8,%r10,4),%xmm3
  .byte  243,71,15,16,4,136                  // movss         (%r8,%r9,4),%xmm8
  .byte  102,65,15,58,33,216,32              // insertps      $0x20,%xmm8,%xmm3
  .byte  243,69,15,16,4,128                  // movss         (%r8,%rax,4),%xmm8
  .byte  102,65,15,58,33,216,48              // insertps      $0x30,%xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_sse41
.globl _sk_parametric_r_sse41
FUNCTION(_sk_parametric_r_sse41)
_sk_parametric_r_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,16                  // movss         0x10(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  65,15,194,192,2                     // cmpleps       %xmm8,%xmm0
  .byte  243,68,15,16,64,24                  // movss         0x18(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,64,8                   // movss         0x8(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,194                        // cvtdq2ps      %xmm10,%xmm8
  .byte  68,15,89,5,236,113,1,0              // mulps         0x171ec(%rip),%xmm8        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,21,244,113,1,0             // andps         0x171f4(%rip),%xmm10        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,21,12,111,1,0              // orps          0x16f0c(%rip),%xmm10        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,5,244,113,1,0              // addps         0x171f4(%rip),%xmm8        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  68,15,40,37,252,113,1,0             // movaps        0x171fc(%rip),%xmm12        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  68,15,88,21,252,113,1,0             // addps         0x171fc(%rip),%xmm10        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  68,15,40,37,4,114,1,0               // movaps        0x17204(%rip),%xmm12        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,196                        // subps         %xmm12,%xmm8
  .byte  69,15,89,195                        // mulps         %xmm11,%xmm8
  .byte  102,69,15,58,8,208,1                // roundps       $0x1,%xmm8,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,5,241,113,1,0              // addps         0x171f1(%rip),%xmm8        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  68,15,40,21,249,113,1,0             // movaps        0x171f9(%rip),%xmm10        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  69,15,89,211                        // mulps         %xmm11,%xmm10
  .byte  69,15,92,194                        // subps         %xmm10,%xmm8
  .byte  68,15,40,21,249,113,1,0             // movaps        0x171f9(%rip),%xmm10        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  68,15,40,29,253,113,1,0             // movaps        0x171fd(%rip),%xmm11        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  69,15,94,218                        // divps         %xmm10,%xmm11
  .byte  69,15,88,216                        // addps         %xmm8,%xmm11
  .byte  68,15,89,29,253,113,1,0             // mulps         0x171fd(%rip),%xmm11        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,69,15,91,211                    // cvtps2dq      %xmm11,%xmm10
  .byte  243,68,15,16,64,20                  // movss         0x14(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,88,194                        // addps         %xmm10,%xmm8
  .byte  102,69,15,56,20,193                 // blendvps      %xmm0,%xmm9,%xmm8
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  68,15,93,5,132,110,1,0              // minps         0x16e84(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_sse41
.globl _sk_parametric_g_sse41
FUNCTION(_sk_parametric_g_sse41)
_sk_parametric_g_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,194,194,2                     // cmpleps       %xmm10,%xmm0
  .byte  243,15,16,72,24                     // movss         0x18(%rax),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,15,16,72,8                      // movss         0x8(%rax),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  68,15,88,217                        // addps         %xmm1,%xmm11
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,91,227                        // cvtdq2ps      %xmm11,%xmm12
  .byte  68,15,89,37,197,112,1,0             // mulps         0x170c5(%rip),%xmm12        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,29,205,112,1,0             // andps         0x170cd(%rip),%xmm11        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,29,229,109,1,0             // orps          0x16de5(%rip),%xmm11        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,37,205,112,1,0             // addps         0x170cd(%rip),%xmm12        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  15,40,13,214,112,1,0                // movaps        0x170d6(%rip),%xmm1        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  68,15,88,29,214,112,1,0             // addps         0x170d6(%rip),%xmm11        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  15,40,13,223,112,1,0                // movaps        0x170df(%rip),%xmm1        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  65,15,94,203                        // divps         %xmm11,%xmm1
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  102,69,15,58,8,212,1                // roundps       $0x1,%xmm12,%xmm10
  .byte  69,15,40,220                        // movaps        %xmm12,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,37,204,112,1,0             // addps         0x170cc(%rip),%xmm12        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  15,40,13,213,112,1,0                // movaps        0x170d5(%rip),%xmm1        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  68,15,40,21,213,112,1,0             // movaps        0x170d5(%rip),%xmm10        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  15,40,13,218,112,1,0                // movaps        0x170da(%rip),%xmm1        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  65,15,94,202                        // divps         %xmm10,%xmm1
  .byte  65,15,88,204                        // addps         %xmm12,%xmm1
  .byte  15,89,13,219,112,1,0                // mulps         0x170db(%rip),%xmm1        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,68,15,91,209                    // cvtps2dq      %xmm1,%xmm10
  .byte  243,15,16,72,20                     // movss         0x14(%rax),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  102,65,15,56,20,201                 // blendvps      %xmm0,%xmm9,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,93,13,102,109,1,0                // minps         0x16d66(%rip),%xmm1        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_sse41
.globl _sk_parametric_b_sse41
FUNCTION(_sk_parametric_b_sse41)
_sk_parametric_b_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,194,194,2                     // cmpleps       %xmm10,%xmm0
  .byte  243,15,16,80,24                     // movss         0x18(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  68,15,88,202                        // addps         %xmm2,%xmm9
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,91,227                        // cvtdq2ps      %xmm11,%xmm12
  .byte  68,15,89,37,167,111,1,0             // mulps         0x16fa7(%rip),%xmm12        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,29,175,111,1,0             // andps         0x16faf(%rip),%xmm11        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,29,199,108,1,0             // orps          0x16cc7(%rip),%xmm11        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,37,175,111,1,0             // addps         0x16faf(%rip),%xmm12        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  15,40,21,184,111,1,0                // movaps        0x16fb8(%rip),%xmm2        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  68,15,88,29,184,111,1,0             // addps         0x16fb8(%rip),%xmm11        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  15,40,21,193,111,1,0                // movaps        0x16fc1(%rip),%xmm2        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  65,15,94,211                        // divps         %xmm11,%xmm2
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  102,69,15,58,8,212,1                // roundps       $0x1,%xmm12,%xmm10
  .byte  69,15,40,220                        // movaps        %xmm12,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,37,174,111,1,0             // addps         0x16fae(%rip),%xmm12        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  15,40,21,183,111,1,0                // movaps        0x16fb7(%rip),%xmm2        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  68,15,40,21,183,111,1,0             // movaps        0x16fb7(%rip),%xmm10        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  15,40,21,188,111,1,0                // movaps        0x16fbc(%rip),%xmm2        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  65,15,94,210                        // divps         %xmm10,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,89,21,189,111,1,0                // mulps         0x16fbd(%rip),%xmm2        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,68,15,91,210                    // cvtps2dq      %xmm2,%xmm10
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  102,65,15,56,20,209                 // blendvps      %xmm0,%xmm9,%xmm2
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,93,21,72,108,1,0                 // minps         0x16c48(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_sse41
.globl _sk_parametric_a_sse41
FUNCTION(_sk_parametric_a_sse41)
_sk_parametric_a_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,194,194,2                     // cmpleps       %xmm10,%xmm0
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,15,16,88,8                      // movss         0x8(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,91,227                        // cvtdq2ps      %xmm11,%xmm12
  .byte  68,15,89,37,137,110,1,0             // mulps         0x16e89(%rip),%xmm12        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,29,145,110,1,0             // andps         0x16e91(%rip),%xmm11        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,29,169,107,1,0             // orps          0x16ba9(%rip),%xmm11        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,37,145,110,1,0             // addps         0x16e91(%rip),%xmm12        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  15,40,29,154,110,1,0                // movaps        0x16e9a(%rip),%xmm3        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  65,15,89,219                        // mulps         %xmm11,%xmm3
  .byte  68,15,92,227                        // subps         %xmm3,%xmm12
  .byte  68,15,88,29,154,110,1,0             // addps         0x16e9a(%rip),%xmm11        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  15,40,29,163,110,1,0                // movaps        0x16ea3(%rip),%xmm3        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  65,15,94,219                        // divps         %xmm11,%xmm3
  .byte  68,15,92,227                        // subps         %xmm3,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  102,69,15,58,8,212,1                // roundps       $0x1,%xmm12,%xmm10
  .byte  69,15,40,220                        // movaps        %xmm12,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,88,37,144,110,1,0             // addps         0x16e90(%rip),%xmm12        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  15,40,29,153,110,1,0                // movaps        0x16e99(%rip),%xmm3        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  65,15,89,219                        // mulps         %xmm11,%xmm3
  .byte  68,15,92,227                        // subps         %xmm3,%xmm12
  .byte  68,15,40,21,153,110,1,0             // movaps        0x16e99(%rip),%xmm10        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  15,40,29,158,110,1,0                // movaps        0x16e9e(%rip),%xmm3        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  65,15,94,218                        // divps         %xmm10,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  15,89,29,159,110,1,0                // mulps         0x16e9f(%rip),%xmm3        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,68,15,91,211                    // cvtps2dq      %xmm3,%xmm10
  .byte  243,15,16,88,20                     // movss         0x14(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  102,65,15,56,20,217                 // blendvps      %xmm0,%xmm9,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,93,29,42,107,1,0                 // minps         0x16b2a(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_sse41
.globl _sk_gamma_sse41
FUNCTION(_sk_gamma_sse41)
_sk_gamma_sse41:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,89,5,169,109,1,0                 // mulps         0x16da9(%rip),%xmm0        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,40,53,177,109,1,0             // movaps        0x16db1(%rip),%xmm14        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  65,15,84,214                        // andps         %xmm14,%xmm2
  .byte  68,15,40,37,197,106,1,0             // movaps        0x16ac5(%rip),%xmm12        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,86,212                        // orps          %xmm12,%xmm2
  .byte  68,15,40,21,169,109,1,0             // movaps        0x16da9(%rip),%xmm10        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,40,29,173,109,1,0             // movaps        0x16dad(%rip),%xmm11        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  65,15,89,227                        // mulps         %xmm11,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  68,15,40,13,171,109,1,0             // movaps        0x16dab(%rip),%xmm9        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  68,15,40,45,175,109,1,0             // movaps        0x16daf(%rip),%xmm13        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  65,15,40,229                        // movaps        %xmm13,%xmm4
  .byte  15,94,226                           // divps         %xmm2,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,58,8,208,1                   // roundps       $0x1,%xmm0,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,53,146,109,1,0                // movaps        0x16d92(%rip),%xmm6        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,61,168,109,1,0                // movaps        0x16da8(%rip),%xmm7        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,40,37,136,109,1,0                // movaps        0x16d88(%rip),%xmm4        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  68,15,40,61,154,109,1,0             // movaps        0x16d9a(%rip),%xmm15        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  65,15,40,215                        // movaps        %xmm15,%xmm2
  .byte  15,94,213                           // divps         %xmm5,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  15,89,5,246,108,1,0                 // mulps         0x16cf6(%rip),%xmm0        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  65,15,84,206                        // andps         %xmm14,%xmm1
  .byte  65,15,86,204                        // orps          %xmm12,%xmm1
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  65,15,89,235                        // mulps         %xmm11,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  65,15,40,237                        // movaps        %xmm13,%xmm5
  .byte  15,94,233                           // divps         %xmm1,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,58,8,200,1                   // roundps       $0x1,%xmm0,%xmm1
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  68,15,40,206                        // movaps        %xmm6,%xmm9
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,94,206                           // divps         %xmm6,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  15,89,5,151,108,1,0                 // mulps         0x16c97(%rip),%xmm0        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  15,84,29,160,108,1,0                // andps         0x16ca0(%rip),%xmm3        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  65,15,86,220                        // orps          %xmm12,%xmm3
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,88,222                        // addps         %xmm14,%xmm3
  .byte  68,15,94,235                        // divps         %xmm3,%xmm13
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,58,8,216,1                   // roundps       $0x1,%xmm0,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  68,15,94,255                        // divps         %xmm7,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  15,40,5,232,108,1,0                 // movaps        0x16ce8(%rip),%xmm0        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  68,15,89,248                        // mulps         %xmm0,%xmm15
  .byte  102,15,91,194                       // cvtps2dq      %xmm2,%xmm0
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,65,15,91,215                    // cvtps2dq      %xmm15,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_sse41
.globl _sk_lab_to_xyz_sse41
FUNCTION(_sk_lab_to_xyz_sse41)
_sk_lab_to_xyz_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,89,5,184,108,1,0              // mulps         0x16cb8(%rip),%xmm8        # 2c620 <_sk_overlay_sse2_8bit+0x1204>
  .byte  68,15,40,13,48,106,1,0              // movaps        0x16a30(%rip),%xmm9        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  15,40,5,181,108,1,0                 // movaps        0x16cb5(%rip),%xmm0        # 2c630 <_sk_overlay_sse2_8bit+0x1214>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  68,15,88,5,179,108,1,0              // addps         0x16cb3(%rip),%xmm8        # 2c640 <_sk_overlay_sse2_8bit+0x1224>
  .byte  68,15,89,5,187,108,1,0              // mulps         0x16cbb(%rip),%xmm8        # 2c650 <_sk_overlay_sse2_8bit+0x1234>
  .byte  15,89,13,196,108,1,0                // mulps         0x16cc4(%rip),%xmm1        # 2c660 <_sk_overlay_sse2_8bit+0x1244>
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  15,89,21,201,108,1,0                // mulps         0x16cc9(%rip),%xmm2        # 2c670 <_sk_overlay_sse2_8bit+0x1254>
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  68,15,40,217                        // movaps        %xmm1,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  68,15,40,13,189,108,1,0             // movaps        0x16cbd(%rip),%xmm9        # 2c680 <_sk_overlay_sse2_8bit+0x1264>
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,195,1                     // cmpltps       %xmm11,%xmm0
  .byte  15,40,21,189,108,1,0                // movaps        0x16cbd(%rip),%xmm2        # 2c690 <_sk_overlay_sse2_8bit+0x1274>
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  68,15,40,37,194,108,1,0             // movaps        0x16cc2(%rip),%xmm12        # 2c6a0 <_sk_overlay_sse2_8bit+0x1284>
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  102,65,15,56,20,203                 // blendvps      %xmm0,%xmm11,%xmm1
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,194,195,1                     // cmpltps       %xmm11,%xmm0
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  102,69,15,56,20,195                 // blendvps      %xmm0,%xmm11,%xmm8
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  69,15,89,218                        // mulps         %xmm10,%xmm11
  .byte  69,15,194,203,1                     // cmpltps       %xmm11,%xmm9
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,65,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm2
  .byte  15,89,13,123,108,1,0                // mulps         0x16c7b(%rip),%xmm1        # 2c6b0 <_sk_overlay_sse2_8bit+0x1294>
  .byte  15,89,21,132,108,1,0                // mulps         0x16c84(%rip),%xmm2        # 2c6c0 <_sk_overlay_sse2_8bit+0x12a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_sse41
.globl _sk_load_a8_sse41
FUNCTION(_sk_load_a8_sse41)
_sk_load_a8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,39                              // jne           15a86 <_sk_load_a8_sse41+0x3f>
  .byte  102,67,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm0
  .byte  102,15,219,5,2,105,1,0              // pand          0x16902(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,72,106,1,0                 // mulps         0x16a48(%rip),%xmm3        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15ac8 <_sk_load_a8_sse41+0x81>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15ab2 <_sk_load_a8_sse41+0x6b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           15a66 <_sk_load_a8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  102,15,58,14,193,15                 // pblendw       $0xf,%xmm1,%xmm0
  .byte  235,158                             // jmp           15a66 <_sk_load_a8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,147                             // jmp           15a66 <_sk_load_a8_sse41+0x1f>

HIDDEN _sk_load_a8_dst_sse41
.globl _sk_load_a8_dst_sse41
FUNCTION(_sk_load_a8_dst_sse41)
_sk_load_a8_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,39                              // jne           15b12 <_sk_load_a8_dst_sse41+0x3f>
  .byte  102,67,15,56,49,36,16               // pmovzxbd      (%r8,%r10,1),%xmm4
  .byte  102,15,219,37,118,104,1,0           // pand          0x16876(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,89,61,188,105,1,0                // mulps         0x169bc(%rip),%xmm7        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15b54 <_sk_load_a8_dst_sse41+0x81>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15b3e <_sk_load_a8_dst_sse41+0x6b>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           15af2 <_sk_load_a8_dst_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,56,49,237                    // pmovzxbd      %xmm5,%xmm5
  .byte  102,15,58,14,229,15                 // pblendw       $0xf,%xmm5,%xmm4
  .byte  235,158                             // jmp           15af2 <_sk_load_a8_dst_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,147                             // jmp           15af2 <_sk_load_a8_dst_sse41+0x1f>

HIDDEN _sk_gather_a8_sse41
.globl _sk_gather_a8_sse41
FUNCTION(_sk_gather_a8_sse41)
_sk_gather_a8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,58,32,4,24,0              // pinsrb        $0x0,(%r8,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,16,1              // pinsrb        $0x1,(%r8,%r10,1),%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  102,65,15,58,32,193,2               // pinsrb        $0x2,%r9d,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  102,15,58,32,192,3                  // pinsrb        $0x3,%eax,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,241,104,1,0                // mulps         0x168f1(%rip),%xmm3        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_sse41
.globl _sk_store_a8_sse41
FUNCTION(_sk_store_a8_sse41)
_sk_store_a8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,167,103,1,0              // movaps        0x167a7(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,13                              // jne           15c1f <_sk_store_a8_sse41+0x41>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  67,137,4,16                         // mov           %eax,(%r8,%r10,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,56,49,192                 // pmovzxbd      %xmm8,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            15c5b <_sk_store_a8_sse41+0x7d>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            15c47 <_sk_store_a8_sse41+0x69>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,221                             // jne           15c1b <_sk_store_a8_sse41+0x3d>
  .byte  102,71,15,58,20,68,16,2,8           // pextrb        $0x8,%xmm8,0x2(%r8,%r10,1)
  .byte  102,68,15,56,0,5,127,106,1,0        // pshufb        0x16a7f(%rip),%xmm8        # 2c6d0 <_sk_overlay_sse2_8bit+0x12b4>
  .byte  102,71,15,58,21,4,16,0              // pextrw        $0x0,%xmm8,(%r8,%r10,1)
  .byte  235,192                             // jmp           15c1b <_sk_store_a8_sse41+0x3d>
  .byte  102,71,15,58,20,4,16,0              // pextrb        $0x0,%xmm8,(%r8,%r10,1)
  .byte  235,182                             // jmp           15c1b <_sk_store_a8_sse41+0x3d>

HIDDEN _sk_load_g8_sse41
.globl _sk_load_g8_sse41
FUNCTION(_sk_load_g8_sse41)
_sk_load_g8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           15ca7 <_sk_load_g8_sse41+0x42>
  .byte  102,67,15,56,49,4,16                // pmovzxbd      (%r8,%r10,1),%xmm0
  .byte  102,15,219,5,228,102,1,0            // pand          0x166e4(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,42,104,1,0                  // mulps         0x1682a(%rip),%xmm0        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,33,102,1,0                 // movaps        0x16621(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15ce9 <_sk_load_g8_sse41+0x84>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15cd3 <_sk_load_g8_sse41+0x6e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           15c84 <_sk_load_g8_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,56,49,201                    // pmovzxbd      %xmm1,%xmm1
  .byte  102,15,58,14,193,15                 // pblendw       $0xf,%xmm1,%xmm0
  .byte  235,155                             // jmp           15c84 <_sk_load_g8_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,144                             // jmp           15c84 <_sk_load_g8_sse41+0x1f>

HIDDEN _sk_load_g8_dst_sse41
.globl _sk_load_g8_dst_sse41
FUNCTION(_sk_load_g8_dst_sse41)
_sk_load_g8_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           15d36 <_sk_load_g8_dst_sse41+0x42>
  .byte  102,67,15,56,49,36,16               // pmovzxbd      (%r8,%r10,1),%xmm4
  .byte  102,15,219,37,85,102,1,0            // pand          0x16655(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,155,103,1,0                // mulps         0x1679b(%rip),%xmm4        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,146,101,1,0                // movaps        0x16592(%rip),%xmm7        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15d78 <_sk_load_g8_dst_sse41+0x84>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15d62 <_sk_load_g8_dst_sse41+0x6e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           15d13 <_sk_load_g8_dst_sse41+0x1f>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,56,49,237                    // pmovzxbd      %xmm5,%xmm5
  .byte  102,15,58,14,229,15                 // pblendw       $0xf,%xmm5,%xmm4
  .byte  235,155                             // jmp           15d13 <_sk_load_g8_dst_sse41+0x1f>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,144                             // jmp           15d13 <_sk_load_g8_dst_sse41+0x1f>

HIDDEN _sk_gather_g8_sse41
.globl _sk_gather_g8_sse41
FUNCTION(_sk_gather_g8_sse41)
_sk_gather_g8_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,58,32,4,24,0              // pinsrb        $0x0,(%r8,%r11,1),%xmm0
  .byte  102,67,15,58,32,4,16,1              // pinsrb        $0x1,(%r8,%r10,1),%xmm0
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  102,65,15,58,32,193,2               // pinsrb        $0x2,%r9d,%xmm0
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  102,15,58,32,192,3                  // pinsrb        $0x3,%eax,%xmm0
  .byte  102,15,56,49,192                    // pmovzxbd      %xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,205,102,1,0                 // mulps         0x166cd(%rip),%xmm0        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,196,100,1,0                // movaps        0x164c4(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_sse41
.globl _sk_load_565_sse41
FUNCTION(_sk_load_565_sse41)
_sk_load_565_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,80                              // jne           15e6f <_sk_load_565_sse41+0x6b>
  .byte  102,67,15,56,51,20,80               // pmovzxwd      (%r8,%r10,2),%xmm2
  .byte  102,15,111,5,162,102,1,0            // movdqa        0x166a2(%rip),%xmm0        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,164,102,1,0                 // mulps         0x166a4(%rip),%xmm0        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,13,172,102,1,0           // movdqa        0x166ac(%rip),%xmm1        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,174,102,1,0                // mulps         0x166ae(%rip),%xmm1        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,15,219,21,182,102,1,0           // pand          0x166b6(%rip),%xmm2        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,188,102,1,0                // mulps         0x166bc(%rip),%xmm2        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,83,100,1,0                 // movaps        0x16453(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15eb1 <_sk_load_565_sse41+0xad>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15e9b <_sk_load_565_sse41+0x97>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           15e26 <_sk_load_565_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,208,69                   // pshufd        $0x45,%xmm0,%xmm2
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,15,58,14,208,15                 // pblendw       $0xf,%xmm0,%xmm2
  .byte  233,117,255,255,255                 // jmpq          15e26 <_sk_load_565_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,103,255,255,255                 // jmpq          15e26 <_sk_load_565_sse41+0x22>

HIDDEN _sk_load_565_dst_sse41
.globl _sk_load_565_dst_sse41
FUNCTION(_sk_load_565_dst_sse41)
_sk_load_565_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,80                              // jne           15f2a <_sk_load_565_dst_sse41+0x6b>
  .byte  102,67,15,56,51,52,80               // pmovzxwd      (%r8,%r10,2),%xmm6
  .byte  102,15,111,37,231,101,1,0           // movdqa        0x165e7(%rip),%xmm4        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,233,101,1,0                // mulps         0x165e9(%rip),%xmm4        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,45,241,101,1,0           // movdqa        0x165f1(%rip),%xmm5        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,243,101,1,0                // mulps         0x165f3(%rip),%xmm5        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,15,219,53,251,101,1,0           // pand          0x165fb(%rip),%xmm6        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,1,102,1,0                  // mulps         0x16601(%rip),%xmm6        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,152,99,1,0                 // movaps        0x16398(%rip),%xmm7        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            15f6c <_sk_load_565_dst_sse41+0xad>
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            15f56 <_sk_load_565_dst_sse41+0x97>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           15ee1 <_sk_load_565_dst_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,244,69                   // pshufd        $0x45,%xmm4,%xmm6
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,56,51,228                    // pmovzxwd      %xmm4,%xmm4
  .byte  102,15,58,14,244,15                 // pblendw       $0xf,%xmm4,%xmm6
  .byte  233,117,255,255,255                 // jmpq          15ee1 <_sk_load_565_dst_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  233,103,255,255,255                 // jmpq          15ee1 <_sk_load_565_dst_sse41+0x22>

HIDDEN _sk_gather_565_sse41
.globl _sk_gather_565_sse41
FUNCTION(_sk_gather_565_sse41)
_sk_gather_565_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,4,88,0                // pinsrw        $0x0,(%r8,%r11,2),%xmm0
  .byte  102,67,15,196,4,80,1                // pinsrw        $0x1,(%r8,%r10,2),%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,193,2                 // pinsrw        $0x2,%r9d,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,192,3                    // pinsrw        $0x3,%eax,%xmm0
  .byte  102,15,56,51,208                    // pmovzxwd      %xmm0,%xmm2
  .byte  102,15,111,5,236,100,1,0            // movdqa        0x164ec(%rip),%xmm0        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,238,100,1,0                 // mulps         0x164ee(%rip),%xmm0        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,13,246,100,1,0           // movdqa        0x164f6(%rip),%xmm1        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,248,100,1,0                // mulps         0x164f8(%rip),%xmm1        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,15,219,21,0,101,1,0             // pand          0x16500(%rip),%xmm2        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,6,101,1,0                  // mulps         0x16506(%rip),%xmm2        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,157,98,1,0                 // movaps        0x1629d(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_sse41
.globl _sk_store_565_sse41
FUNCTION(_sk_store_565_sse41)
_sk_store_565_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,157,102,1,0              // movaps        0x1669d(%rip),%xmm8        # 2c6e0 <_sk_overlay_sse2_8bit+0x12c4>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,11                // pslld         $0xb,%xmm9
  .byte  68,15,40,21,146,102,1,0             // movaps        0x16692(%rip),%xmm10        # 2c6f0 <_sk_overlay_sse2_8bit+0x12d4>
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,5                 // pslld         $0x5,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16095 <_sk_store_565_sse41+0x70>
  .byte  242,69,15,17,4,64                   // movsd         %xmm8,(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,56,51,192                 // pmovzxwd      %xmm8,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,35                              // je            160cb <_sk_store_565_sse41+0xa6>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            160bd <_sk_store_565_sse41+0x98>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,221                             // jne           16091 <_sk_store_565_sse41+0x6c>
  .byte  102,69,15,58,21,68,64,4,4           // pextrw        $0x4,%xmm8,0x4(%r8,%rax,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,69,15,126,4,64                  // movd          %xmm8,(%r8,%rax,2)
  .byte  235,198                             // jmp           16091 <_sk_store_565_sse41+0x6c>
  .byte  102,69,15,58,21,4,64,0              // pextrw        $0x0,%xmm8,(%r8,%rax,2)
  .byte  235,188                             // jmp           16091 <_sk_store_565_sse41+0x6c>

HIDDEN _sk_load_4444_sse41
.globl _sk_load_4444_sse41
FUNCTION(_sk_load_4444_sse41)
_sk_load_4444_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,95                              // jne           1614f <_sk_load_4444_sse41+0x7a>
  .byte  102,67,15,56,51,28,80               // pmovzxwd      (%r8,%r10,2),%xmm3
  .byte  102,15,111,5,1,102,1,0              // movdqa        0x16601(%rip),%xmm0        # 2c700 <_sk_overlay_sse2_8bit+0x12e4>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,3,102,1,0                   // mulps         0x16603(%rip),%xmm0        # 2c710 <_sk_overlay_sse2_8bit+0x12f4>
  .byte  102,15,111,13,11,102,1,0            // movdqa        0x1660b(%rip),%xmm1        # 2c720 <_sk_overlay_sse2_8bit+0x1304>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,13,102,1,0                 // mulps         0x1660d(%rip),%xmm1        # 2c730 <_sk_overlay_sse2_8bit+0x1314>
  .byte  102,15,111,21,21,102,1,0            // movdqa        0x16615(%rip),%xmm2        # 2c740 <_sk_overlay_sse2_8bit+0x1324>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,23,102,1,0                 // mulps         0x16617(%rip),%xmm2        # 2c750 <_sk_overlay_sse2_8bit+0x1334>
  .byte  102,15,219,29,31,102,1,0            // pand          0x1661f(%rip),%xmm3        # 2c760 <_sk_overlay_sse2_8bit+0x1344>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,37,102,1,0                 // mulps         0x16625(%rip),%xmm3        # 2c770 <_sk_overlay_sse2_8bit+0x1354>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            16191 <_sk_load_4444_sse41+0xbc>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1617b <_sk_load_4444_sse41+0xa6>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           160f7 <_sk_load_4444_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,56,51,192                    // pmovzxwd      %xmm0,%xmm0
  .byte  102,15,58,14,216,15                 // pblendw       $0xf,%xmm0,%xmm3
  .byte  233,102,255,255,255                 // jmpq          160f7 <_sk_load_4444_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  233,88,255,255,255                  // jmpq          160f7 <_sk_load_4444_sse41+0x22>

HIDDEN _sk_load_4444_dst_sse41
.globl _sk_load_4444_dst_sse41
FUNCTION(_sk_load_4444_dst_sse41)
_sk_load_4444_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,95                              // jne           16219 <_sk_load_4444_dst_sse41+0x7a>
  .byte  102,67,15,56,51,60,80               // pmovzxwd      (%r8,%r10,2),%xmm7
  .byte  102,15,111,37,55,101,1,0            // movdqa        0x16537(%rip),%xmm4        # 2c700 <_sk_overlay_sse2_8bit+0x12e4>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,57,101,1,0                 // mulps         0x16539(%rip),%xmm4        # 2c710 <_sk_overlay_sse2_8bit+0x12f4>
  .byte  102,15,111,45,65,101,1,0            // movdqa        0x16541(%rip),%xmm5        # 2c720 <_sk_overlay_sse2_8bit+0x1304>
  .byte  102,15,219,239                      // pand          %xmm7,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,67,101,1,0                 // mulps         0x16543(%rip),%xmm5        # 2c730 <_sk_overlay_sse2_8bit+0x1314>
  .byte  102,15,111,53,75,101,1,0            // movdqa        0x1654b(%rip),%xmm6        # 2c740 <_sk_overlay_sse2_8bit+0x1324>
  .byte  102,15,219,247                      // pand          %xmm7,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,77,101,1,0                 // mulps         0x1654d(%rip),%xmm6        # 2c750 <_sk_overlay_sse2_8bit+0x1334>
  .byte  102,15,219,61,85,101,1,0            // pand          0x16555(%rip),%xmm7        # 2c760 <_sk_overlay_sse2_8bit+0x1344>
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,89,61,91,101,1,0                 // mulps         0x1655b(%rip),%xmm7        # 2c770 <_sk_overlay_sse2_8bit+0x1354>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,53                              // je            1625b <_sk_load_4444_dst_sse41+0xbc>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            16245 <_sk_load_4444_dst_sse41+0xa6>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           161c1 <_sk_load_4444_dst_sse41+0x22>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,56,51,228                    // pmovzxwd      %xmm4,%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,102,255,255,255                 // jmpq          161c1 <_sk_load_4444_dst_sse41+0x22>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,248                      // movd          %eax,%xmm7
  .byte  233,88,255,255,255                  // jmpq          161c1 <_sk_load_4444_dst_sse41+0x22>

HIDDEN _sk_gather_4444_sse41
.globl _sk_gather_4444_sse41
FUNCTION(_sk_gather_4444_sse41)
_sk_gather_4444_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,192,1               // pextrq        $0x1,%xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,4,88,0                // pinsrw        $0x0,(%r8,%r11,2),%xmm0
  .byte  102,67,15,196,4,80,1                // pinsrw        $0x1,(%r8,%r10,2),%xmm0
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,193,2                 // pinsrw        $0x2,%r9d,%xmm0
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,192,3                    // pinsrw        $0x3,%eax,%xmm0
  .byte  102,15,56,51,216                    // pmovzxwd      %xmm0,%xmm3
  .byte  102,15,111,5,45,100,1,0             // movdqa        0x1642d(%rip),%xmm0        # 2c700 <_sk_overlay_sse2_8bit+0x12e4>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,47,100,1,0                  // mulps         0x1642f(%rip),%xmm0        # 2c710 <_sk_overlay_sse2_8bit+0x12f4>
  .byte  102,15,111,13,55,100,1,0            // movdqa        0x16437(%rip),%xmm1        # 2c720 <_sk_overlay_sse2_8bit+0x1304>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,57,100,1,0                 // mulps         0x16439(%rip),%xmm1        # 2c730 <_sk_overlay_sse2_8bit+0x1314>
  .byte  102,15,111,21,65,100,1,0            // movdqa        0x16441(%rip),%xmm2        # 2c740 <_sk_overlay_sse2_8bit+0x1324>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,67,100,1,0                 // mulps         0x16443(%rip),%xmm2        # 2c750 <_sk_overlay_sse2_8bit+0x1334>
  .byte  102,15,219,29,75,100,1,0            // pand          0x1644b(%rip),%xmm3        # 2c760 <_sk_overlay_sse2_8bit+0x1344>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,81,100,1,0                 // mulps         0x16451(%rip),%xmm3        # 2c770 <_sk_overlay_sse2_8bit+0x1354>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_sse41
.globl _sk_store_4444_sse41
FUNCTION(_sk_store_4444_sse41)
_sk_store_4444_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,63,100,1,0               // movaps        0x1643f(%rip),%xmm8        # 2c780 <_sk_overlay_sse2_8bit+0x1364>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,12                // pslld         $0xc,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,4                 // pslld         $0x4,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,193                    // orpd          %xmm9,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           163a7 <_sk_store_4444_sse41+0x84>
  .byte  242,69,15,17,4,64                   // movsd         %xmm8,(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,56,51,192                 // pmovzxwd      %xmm8,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,35                              // je            163dd <_sk_store_4444_sse41+0xba>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            163cf <_sk_store_4444_sse41+0xac>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,221                             // jne           163a3 <_sk_store_4444_sse41+0x80>
  .byte  102,69,15,58,21,68,64,4,4           // pextrw        $0x4,%xmm8,0x4(%r8,%rax,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,69,15,126,4,64                  // movd          %xmm8,(%r8,%rax,2)
  .byte  235,198                             // jmp           163a3 <_sk_store_4444_sse41+0x80>
  .byte  102,69,15,58,21,4,64,0              // pextrw        $0x0,%xmm8,(%r8,%rax,2)
  .byte  235,188                             // jmp           163a3 <_sk_store_4444_sse41+0x80>

HIDDEN _sk_load_8888_sse41
.globl _sk_load_8888_sse41
FUNCTION(_sk_load_8888_sse41)
_sk_load_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           1645c <_sk_load_8888_sse41+0x75>
  .byte  243,65,15,111,28,128                // movdqu        (%r8,%rax,4),%xmm3
  .byte  102,15,111,5,95,95,1,0              // movdqa        0x15f5f(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,160,96,1,0               // movaps        0x160a0(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,56,0,13,79,95,1,0            // pshufb        0x15f4f(%rip),%xmm1        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,56,0,21,75,95,1,0            // pshufb        0x15f4b(%rip),%xmm2        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16496 <_sk_load_8888_sse41+0xaf>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            16485 <_sk_load_8888_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           16409 <_sk_load_8888_sse41+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  243,65,15,126,4,128                 // movq          (%r8,%rax,4),%xmm0
  .byte  102,15,58,14,216,15                 // pblendw       $0xf,%xmm0,%xmm3
  .byte  233,115,255,255,255                 // jmpq          16409 <_sk_load_8888_sse41+0x22>
  .byte  102,65,15,110,28,128                // movd          (%r8,%rax,4),%xmm3
  .byte  233,104,255,255,255                 // jmpq          16409 <_sk_load_8888_sse41+0x22>

HIDDEN _sk_load_8888_dst_sse41
.globl _sk_load_8888_dst_sse41
FUNCTION(_sk_load_8888_dst_sse41)
_sk_load_8888_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           16516 <_sk_load_8888_dst_sse41+0x75>
  .byte  243,65,15,111,60,128                // movdqu        (%r8,%rax,4),%xmm7
  .byte  102,15,111,37,165,94,1,0            // movdqa        0x15ea5(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  68,15,40,5,230,95,1,0               // movaps        0x15fe6(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,56,0,45,149,94,1,0           // pshufb        0x15e95(%rip),%xmm5        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,56,0,53,145,94,1,0           // pshufb        0x15e91(%rip),%xmm6        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,15,114,215,24                   // psrld         $0x18,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16550 <_sk_load_8888_dst_sse41+0xaf>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1653f <_sk_load_8888_dst_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           164c3 <_sk_load_8888_dst_sse41+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  243,65,15,126,36,128                // movq          (%r8,%rax,4),%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,115,255,255,255                 // jmpq          164c3 <_sk_load_8888_dst_sse41+0x22>
  .byte  102,65,15,110,60,128                // movd          (%r8,%rax,4),%xmm7
  .byte  233,104,255,255,255                 // jmpq          164c3 <_sk_load_8888_dst_sse41+0x22>

HIDDEN _sk_gather_8888_sse41
.globl _sk_gather_8888_sse41
FUNCTION(_sk_gather_8888_sse41)
_sk_gather_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,58,22,194,1               // pextrq        $0x1,%xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,28,136                // movd          (%r8,%r9,4),%xmm3
  .byte  102,65,15,58,34,28,128,1            // pinsrd        $0x1,(%r8,%rax,4),%xmm3
  .byte  102,67,15,58,34,28,152,2            // pinsrd        $0x2,(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,28,144,3            // pinsrd        $0x3,(%r8,%r10,4),%xmm3
  .byte  102,15,111,5,181,93,1,0             // movdqa        0x15db5(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,246,94,1,0               // movaps        0x15ef6(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,56,0,13,165,93,1,0           // pshufb        0x15da5(%rip),%xmm1        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,56,0,21,161,93,1,0           // pshufb        0x15da1(%rip),%xmm2        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_sse41
.globl _sk_store_8888_sse41
FUNCTION(_sk_store_8888_sse41)
_sk_store_8888_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,123,93,1,0               // movaps        0x15d7b(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16685 <_sk_store_8888_sse41+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,29                              // je            166af <_sk_store_8888_sse41+0xa9>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            166a7 <_sk_store_8888_sse41+0xa1>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           16681 <_sk_store_8888_sse41+0x7b>
  .byte  102,69,15,58,22,68,128,8,2          // pextrd        $0x2,%xmm8,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,210                             // jmp           16681 <_sk_store_8888_sse41+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,202                             // jmp           16681 <_sk_store_8888_sse41+0x7b>

HIDDEN _sk_load_bgra_sse41
.globl _sk_load_bgra_sse41
FUNCTION(_sk_load_bgra_sse41)
_sk_load_bgra_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           1672c <_sk_load_bgra_sse41+0x75>
  .byte  243,65,15,111,28,128                // movdqu        (%r8,%rax,4),%xmm3
  .byte  102,15,111,5,143,92,1,0             // movdqa        0x15c8f(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,208                           // cvtdq2ps      %xmm0,%xmm2
  .byte  68,15,40,5,208,93,1,0               // movaps        0x15dd0(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,127,92,1,0            // pshufb        0x15c7f(%rip),%xmm0        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,200                           // cvtdq2ps      %xmm0,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,123,92,1,0            // pshufb        0x15c7b(%rip),%xmm0        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16766 <_sk_load_bgra_sse41+0xaf>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            16755 <_sk_load_bgra_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           166d9 <_sk_load_bgra_sse41+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  243,65,15,126,4,128                 // movq          (%r8,%rax,4),%xmm0
  .byte  102,15,58,14,216,15                 // pblendw       $0xf,%xmm0,%xmm3
  .byte  233,115,255,255,255                 // jmpq          166d9 <_sk_load_bgra_sse41+0x22>
  .byte  102,65,15,110,28,128                // movd          (%r8,%rax,4),%xmm3
  .byte  233,104,255,255,255                 // jmpq          166d9 <_sk_load_bgra_sse41+0x22>

HIDDEN _sk_load_bgra_dst_sse41
.globl _sk_load_bgra_dst_sse41
FUNCTION(_sk_load_bgra_dst_sse41)
_sk_load_bgra_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,89                              // jne           167e6 <_sk_load_bgra_dst_sse41+0x75>
  .byte  243,65,15,111,60,128                // movdqu        (%r8,%rax,4),%xmm7
  .byte  102,15,111,37,213,91,1,0            // movdqa        0x15bd5(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,244                           // cvtdq2ps      %xmm4,%xmm6
  .byte  68,15,40,5,22,93,1,0                // movaps        0x15d16(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,56,0,37,197,91,1,0           // pshufb        0x15bc5(%rip),%xmm4        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,236                           // cvtdq2ps      %xmm4,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,56,0,37,193,91,1,0           // pshufb        0x15bc1(%rip),%xmm4        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,15,114,215,24                   // psrld         $0x18,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            16820 <_sk_load_bgra_dst_sse41+0xaf>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1680f <_sk_load_bgra_dst_sse41+0x9e>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,144                             // jne           16793 <_sk_load_bgra_dst_sse41+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  243,65,15,126,36,128                // movq          (%r8,%rax,4),%xmm4
  .byte  102,15,58,14,252,15                 // pblendw       $0xf,%xmm4,%xmm7
  .byte  233,115,255,255,255                 // jmpq          16793 <_sk_load_bgra_dst_sse41+0x22>
  .byte  102,65,15,110,60,128                // movd          (%r8,%rax,4),%xmm7
  .byte  233,104,255,255,255                 // jmpq          16793 <_sk_load_bgra_dst_sse41+0x22>

HIDDEN _sk_gather_bgra_sse41
.globl _sk_gather_bgra_sse41
FUNCTION(_sk_gather_bgra_sse41)
_sk_gather_bgra_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,58,22,194,1               // pextrq        $0x1,%xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,28,136                // movd          (%r8,%r9,4),%xmm3
  .byte  102,65,15,58,34,28,128,1            // pinsrd        $0x1,(%r8,%rax,4),%xmm3
  .byte  102,67,15,58,34,28,152,2            // pinsrd        $0x2,(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,28,144,3            // pinsrd        $0x3,(%r8,%r10,4),%xmm3
  .byte  102,15,111,5,229,90,1,0             // movdqa        0x15ae5(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,208                           // cvtdq2ps      %xmm0,%xmm2
  .byte  68,15,40,5,38,92,1,0                // movaps        0x15c26(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,213,90,1,0            // pshufb        0x15ad5(%rip),%xmm0        # 2c380 <_sk_overlay_sse2_8bit+0xf64>
  .byte  15,91,200                           // cvtdq2ps      %xmm0,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,56,0,5,209,90,1,0            // pshufb        0x15ad1(%rip),%xmm0        # 2c390 <_sk_overlay_sse2_8bit+0xf74>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_sse41
.globl _sk_store_bgra_sse41
FUNCTION(_sk_store_bgra_sse41)
_sk_store_bgra_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,171,90,1,0               // movaps        0x15aab(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           16955 <_sk_store_bgra_sse41+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,29                              // je            1697f <_sk_store_bgra_sse41+0xa9>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,15                              // je            16977 <_sk_store_bgra_sse41+0xa1>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           16951 <_sk_store_bgra_sse41+0x7b>
  .byte  102,69,15,58,22,68,128,8,2          // pextrd        $0x2,%xmm8,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,210                             // jmp           16951 <_sk_store_bgra_sse41+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,202                             // jmp           16951 <_sk_store_bgra_sse41+0x7b>

HIDDEN _sk_load_f16_sse41
.globl _sk_load_f16_sse41
FUNCTION(_sk_load_f16_sse41)
_sk_load_f16_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,62,1,0,0                     // jne           16ae5 <_sk_load_f16_sse41+0x15e>
  .byte  102,65,15,16,4,192                  // movupd        (%r8,%rax,8),%xmm0
  .byte  243,65,15,111,76,192,16             // movdqu        0x10(%r8,%rax,8),%xmm1
  .byte  102,68,15,40,200                    // movapd        %xmm0,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,68,15,97,216                    // punpcklwd     %xmm0,%xmm11
  .byte  102,68,15,105,200                   // punpckhwd     %xmm0,%xmm9
  .byte  102,65,15,56,51,203                 // pmovzxwd      %xmm11,%xmm1
  .byte  102,68,15,111,5,176,93,1,0          // movdqa        0x15db0(%rip),%xmm8        # 2c790 <_sk_overlay_sse2_8bit+0x1374>
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,239,202                      // pxor          %xmm2,%xmm1
  .byte  102,15,111,29,171,93,1,0            // movdqa        0x15dab(%rip),%xmm3        # 2c7a0 <_sk_overlay_sse2_8bit+0x1384>
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,56,63,195                    // pmaxud        %xmm3,%xmm0
  .byte  102,15,118,193                      // pcmpeqd       %xmm1,%xmm0
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,68,15,111,21,151,93,1,0         // movdqa        0x15d97(%rip),%xmm10        # 2c7b0 <_sk_overlay_sse2_8bit+0x1394>
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,15,219,193                      // pand          %xmm1,%xmm0
  .byte  102,65,15,115,219,8                 // psrldq        $0x8,%xmm11
  .byte  102,69,15,56,51,219                 // pmovzxwd      %xmm11,%xmm11
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,68,15,239,218                   // pxor          %xmm2,%xmm11
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,111,203                   // movdqa        %xmm11,%xmm1
  .byte  102,15,56,63,203                    // pmaxud        %xmm3,%xmm1
  .byte  102,65,15,118,203                   // pcmpeqd       %xmm11,%xmm1
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,68,15,235,218                   // por           %xmm2,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,203                   // pand          %xmm11,%xmm1
  .byte  102,69,15,56,51,217                 // pmovzxwd      %xmm9,%xmm11
  .byte  102,69,15,111,227                   // movdqa        %xmm11,%xmm12
  .byte  102,69,15,219,224                   // pand          %xmm8,%xmm12
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,15,56,63,211                    // pmaxud        %xmm3,%xmm2
  .byte  102,65,15,118,211                   // pcmpeqd       %xmm11,%xmm2
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,211                   // pand          %xmm11,%xmm2
  .byte  102,65,15,115,217,8                 // psrldq        $0x8,%xmm9
  .byte  102,69,15,56,51,201                 // pmovzxwd      %xmm9,%xmm9
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,69,15,239,200                   // pxor          %xmm8,%xmm9
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,56,63,217                 // pmaxud        %xmm9,%xmm3
  .byte  102,65,15,118,217                   // pcmpeqd       %xmm9,%xmm3
  .byte  102,65,15,114,241,13                // pslld         $0xd,%xmm9
  .byte  102,69,15,235,200                   // por           %xmm8,%xmm9
  .byte  102,69,15,254,202                   // paddd         %xmm10,%xmm9
  .byte  102,65,15,219,217                   // pand          %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,192                  // movsd         (%r8,%rax,8),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           16afe <_sk_load_f16_sse41+0x177>
  .byte  243,15,126,192                      // movq          %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,182,254,255,255                 // jmpq          169b4 <_sk_load_f16_sse41+0x2d>
  .byte  102,65,15,22,68,192,8               // movhpd        0x8(%r8,%rax,8),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,161,254,255,255              // jb            169b4 <_sk_load_f16_sse41+0x2d>
  .byte  243,65,15,126,76,192,16             // movq          0x10(%r8,%rax,8),%xmm1
  .byte  233,149,254,255,255                 // jmpq          169b4 <_sk_load_f16_sse41+0x2d>

HIDDEN _sk_load_f16_dst_sse41
.globl _sk_load_f16_dst_sse41
FUNCTION(_sk_load_f16_dst_sse41)
_sk_load_f16_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,62,1,0,0                     // jne           16c7d <_sk_load_f16_dst_sse41+0x15e>
  .byte  102,65,15,16,36,192                 // movupd        (%r8,%rax,8),%xmm4
  .byte  243,65,15,111,108,192,16            // movdqu        0x10(%r8,%rax,8),%xmm5
  .byte  102,68,15,40,204                    // movapd        %xmm4,%xmm9
  .byte  102,68,15,97,205                    // punpcklwd     %xmm5,%xmm9
  .byte  102,15,105,229                      // punpckhwd     %xmm5,%xmm4
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,68,15,97,220                    // punpcklwd     %xmm4,%xmm11
  .byte  102,68,15,105,204                   // punpckhwd     %xmm4,%xmm9
  .byte  102,65,15,56,51,235                 // pmovzxwd      %xmm11,%xmm5
  .byte  102,68,15,111,5,24,92,1,0           // movdqa        0x15c18(%rip),%xmm8        # 2c790 <_sk_overlay_sse2_8bit+0x1374>
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,65,15,219,240                   // pand          %xmm8,%xmm6
  .byte  102,15,239,238                      // pxor          %xmm6,%xmm5
  .byte  102,15,111,61,19,92,1,0             // movdqa        0x15c13(%rip),%xmm7        # 2c7a0 <_sk_overlay_sse2_8bit+0x1384>
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,56,63,231                    // pmaxud        %xmm7,%xmm4
  .byte  102,15,118,229                      // pcmpeqd       %xmm5,%xmm4
  .byte  102,15,114,245,13                   // pslld         $0xd,%xmm5
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  102,68,15,111,21,255,91,1,0         // movdqa        0x15bff(%rip),%xmm10        # 2c7b0 <_sk_overlay_sse2_8bit+0x1394>
  .byte  102,65,15,254,234                   // paddd         %xmm10,%xmm5
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,65,15,115,219,8                 // psrldq        $0x8,%xmm11
  .byte  102,69,15,56,51,219                 // pmovzxwd      %xmm11,%xmm11
  .byte  102,65,15,111,243                   // movdqa        %xmm11,%xmm6
  .byte  102,65,15,219,240                   // pand          %xmm8,%xmm6
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,65,15,111,235                   // movdqa        %xmm11,%xmm5
  .byte  102,15,56,63,239                    // pmaxud        %xmm7,%xmm5
  .byte  102,65,15,118,235                   // pcmpeqd       %xmm11,%xmm5
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,68,15,235,222                   // por           %xmm6,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,235                   // pand          %xmm11,%xmm5
  .byte  102,69,15,56,51,217                 // pmovzxwd      %xmm9,%xmm11
  .byte  102,69,15,111,227                   // movdqa        %xmm11,%xmm12
  .byte  102,69,15,219,224                   // pand          %xmm8,%xmm12
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,111,243                   // movdqa        %xmm11,%xmm6
  .byte  102,15,56,63,247                    // pmaxud        %xmm7,%xmm6
  .byte  102,65,15,118,243                   // pcmpeqd       %xmm11,%xmm6
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,243                   // pand          %xmm11,%xmm6
  .byte  102,65,15,115,217,8                 // psrldq        $0x8,%xmm9
  .byte  102,69,15,56,51,201                 // pmovzxwd      %xmm9,%xmm9
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,69,15,239,200                   // pxor          %xmm8,%xmm9
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,56,63,249                 // pmaxud        %xmm9,%xmm7
  .byte  102,65,15,118,249                   // pcmpeqd       %xmm9,%xmm7
  .byte  102,65,15,114,241,13                // pslld         $0xd,%xmm9
  .byte  102,69,15,235,200                   // por           %xmm8,%xmm9
  .byte  102,69,15,254,202                   // paddd         %xmm10,%xmm9
  .byte  102,65,15,219,249                   // pand          %xmm9,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,36,192                 // movsd         (%r8,%rax,8),%xmm4
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           16c96 <_sk_load_f16_dst_sse41+0x177>
  .byte  243,15,126,228                      // movq          %xmm4,%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  233,182,254,255,255                 // jmpq          16b4c <_sk_load_f16_dst_sse41+0x2d>
  .byte  102,65,15,22,100,192,8              // movhpd        0x8(%r8,%rax,8),%xmm4
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,161,254,255,255              // jb            16b4c <_sk_load_f16_dst_sse41+0x2d>
  .byte  243,65,15,126,108,192,16            // movq          0x10(%r8,%rax,8),%xmm5
  .byte  233,149,254,255,255                 // jmpq          16b4c <_sk_load_f16_dst_sse41+0x2d>

HIDDEN _sk_gather_f16_sse41
.globl _sk_gather_f16_sse41
FUNCTION(_sk_gather_f16_sse41)
_sk_gather_f16_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,56,64,209                    // pmulld        %xmm1,%xmm2
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,58,22,194,1               // pextrq        $0x1,%xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,126,4,208                 // movq          (%r8,%r10,8),%xmm0
  .byte  243,67,15,126,12,216                // movq          (%r8,%r11,8),%xmm1
  .byte  102,15,108,200                      // punpcklqdq    %xmm0,%xmm1
  .byte  243,65,15,126,4,192                 // movq          (%r8,%rax,8),%xmm0
  .byte  243,67,15,126,20,200                // movq          (%r8,%r9,8),%xmm2
  .byte  102,15,108,208                      // punpcklqdq    %xmm0,%xmm2
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,209                      // punpckhwd     %xmm1,%xmm2
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,68,15,97,218                    // punpcklwd     %xmm2,%xmm11
  .byte  102,68,15,105,202                   // punpckhwd     %xmm2,%xmm9
  .byte  102,65,15,56,51,203                 // pmovzxwd      %xmm11,%xmm1
  .byte  102,68,15,111,5,83,90,1,0           // movdqa        0x15a53(%rip),%xmm8        # 2c790 <_sk_overlay_sse2_8bit+0x1374>
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,239,202                      // pxor          %xmm2,%xmm1
  .byte  102,15,111,29,78,90,1,0             // movdqa        0x15a4e(%rip),%xmm3        # 2c7a0 <_sk_overlay_sse2_8bit+0x1384>
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,56,63,195                    // pmaxud        %xmm3,%xmm0
  .byte  102,15,118,193                      // pcmpeqd       %xmm1,%xmm0
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,68,15,111,21,58,90,1,0          // movdqa        0x15a3a(%rip),%xmm10        # 2c7b0 <_sk_overlay_sse2_8bit+0x1394>
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,15,219,193                      // pand          %xmm1,%xmm0
  .byte  102,65,15,115,219,8                 // psrldq        $0x8,%xmm11
  .byte  102,69,15,56,51,219                 // pmovzxwd      %xmm11,%xmm11
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,68,15,239,218                   // pxor          %xmm2,%xmm11
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,111,203                   // movdqa        %xmm11,%xmm1
  .byte  102,15,56,63,203                    // pmaxud        %xmm3,%xmm1
  .byte  102,65,15,118,203                   // pcmpeqd       %xmm11,%xmm1
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,68,15,235,218                   // por           %xmm2,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,203                   // pand          %xmm11,%xmm1
  .byte  102,69,15,56,51,217                 // pmovzxwd      %xmm9,%xmm11
  .byte  102,69,15,111,227                   // movdqa        %xmm11,%xmm12
  .byte  102,69,15,219,224                   // pand          %xmm8,%xmm12
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,15,56,63,211                    // pmaxud        %xmm3,%xmm2
  .byte  102,65,15,118,211                   // pcmpeqd       %xmm11,%xmm2
  .byte  102,65,15,114,243,13                // pslld         $0xd,%xmm11
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,218                   // paddd         %xmm10,%xmm11
  .byte  102,65,15,219,211                   // pand          %xmm11,%xmm2
  .byte  102,65,15,115,217,8                 // psrldq        $0x8,%xmm9
  .byte  102,69,15,56,51,201                 // pmovzxwd      %xmm9,%xmm9
  .byte  102,69,15,219,193                   // pand          %xmm9,%xmm8
  .byte  102,69,15,239,200                   // pxor          %xmm8,%xmm9
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,56,63,217                 // pmaxud        %xmm9,%xmm3
  .byte  102,65,15,118,217                   // pcmpeqd       %xmm9,%xmm3
  .byte  102,65,15,114,241,13                // pslld         $0xd,%xmm9
  .byte  102,69,15,235,200                   // por           %xmm8,%xmm9
  .byte  102,69,15,254,202                   // paddd         %xmm10,%xmm9
  .byte  102,65,15,219,217                   // pand          %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_sse41
.globl _sk_store_f16_sse41
FUNCTION(_sk_store_f16_sse41)
_sk_store_f16_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  102,68,15,111,21,94,89,1,0          // movdqa        0x1595e(%rip),%xmm10        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  102,68,15,111,216                   // movdqa        %xmm0,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,68,15,111,232                   // movdqa        %xmm0,%xmm13
  .byte  102,69,15,239,235                   // pxor          %xmm11,%xmm13
  .byte  102,68,15,111,13,81,89,1,0          // movdqa        0x15951(%rip),%xmm9        # 2c7d0 <_sk_overlay_sse2_8bit+0x13b4>
  .byte  102,65,15,114,211,16                // psrld         $0x10,%xmm11
  .byte  102,69,15,111,193                   // movdqa        %xmm9,%xmm8
  .byte  102,69,15,102,197                   // pcmpgtd       %xmm13,%xmm8
  .byte  102,65,15,114,213,13                // psrld         $0xd,%xmm13
  .byte  102,68,15,111,37,66,89,1,0          // movdqa        0x15942(%rip),%xmm12        # 2c7e0 <_sk_overlay_sse2_8bit+0x13c4>
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,221                   // paddd         %xmm13,%xmm11
  .byte  102,69,15,223,195                   // pandn         %xmm11,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,69,15,239,243                   // pxor          %xmm11,%xmm14
  .byte  102,65,15,114,211,16                // psrld         $0x10,%xmm11
  .byte  102,69,15,111,233                   // movdqa        %xmm9,%xmm13
  .byte  102,69,15,102,238                   // pcmpgtd       %xmm14,%xmm13
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,220                   // por           %xmm12,%xmm11
  .byte  102,69,15,254,222                   // paddd         %xmm14,%xmm11
  .byte  102,69,15,223,235                   // pandn         %xmm11,%xmm13
  .byte  102,69,15,56,43,237                 // packusdw      %xmm13,%xmm13
  .byte  102,68,15,111,242                   // movdqa        %xmm2,%xmm14
  .byte  102,69,15,219,242                   // pand          %xmm10,%xmm14
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,69,15,239,254                   // pxor          %xmm14,%xmm15
  .byte  102,65,15,114,214,16                // psrld         $0x10,%xmm14
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,69,15,102,223                   // pcmpgtd       %xmm15,%xmm11
  .byte  102,65,15,114,215,13                // psrld         $0xd,%xmm15
  .byte  102,69,15,235,244                   // por           %xmm12,%xmm14
  .byte  102,69,15,254,247                   // paddd         %xmm15,%xmm14
  .byte  102,69,15,223,222                   // pandn         %xmm14,%xmm11
  .byte  102,69,15,56,43,219                 // packusdw      %xmm11,%xmm11
  .byte  102,68,15,219,211                   // pand          %xmm3,%xmm10
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,69,15,239,242                   // pxor          %xmm10,%xmm14
  .byte  102,65,15,114,210,16                // psrld         $0x10,%xmm10
  .byte  102,69,15,102,206                   // pcmpgtd       %xmm14,%xmm9
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,212                   // por           %xmm12,%xmm10
  .byte  102,69,15,254,214                   // paddd         %xmm14,%xmm10
  .byte  102,69,15,223,202                   // pandn         %xmm10,%xmm9
  .byte  102,69,15,56,43,201                 // packusdw      %xmm9,%xmm9
  .byte  102,69,15,97,197                    // punpcklwd     %xmm13,%xmm8
  .byte  102,69,15,97,217                    // punpcklwd     %xmm9,%xmm11
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,69,15,98,203                    // punpckldq     %xmm11,%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           16f94 <_sk_store_f16_sse41+0x152>
  .byte  69,15,17,12,192                     // movups        %xmm9,(%r8,%rax,8)
  .byte  102,69,15,106,195                   // punpckhdq     %xmm11,%xmm8
  .byte  243,69,15,127,68,192,16             // movdqu        %xmm8,0x10(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,12,192                // movq          %xmm9,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            16f90 <_sk_store_f16_sse41+0x14e>
  .byte  102,69,15,23,76,192,8               // movhpd        %xmm9,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            16f90 <_sk_store_f16_sse41+0x14e>
  .byte  102,69,15,106,195                   // punpckhdq     %xmm11,%xmm8
  .byte  102,69,15,214,68,192,16             // movq          %xmm8,0x10(%r8,%rax,8)
  .byte  235,213                             // jmp           16f90 <_sk_store_f16_sse41+0x14e>

HIDDEN _sk_load_u16_be_sse41
.globl _sk_load_u16_be_sse41
FUNCTION(_sk_load_u16_be_sse41)
_sk_load_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,185,0,0,0                    // jne           1709b <_sk_load_u16_be_sse41+0xe0>
  .byte  102,65,15,16,4,64                   // movupd        (%r8,%rax,2),%xmm0
  .byte  243,65,15,111,76,64,16              // movdqu        0x10(%r8,%rax,2),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,34,85,1,0                // movaps        0x15522(%rip),%xmm8        # 2c550 <_sk_overlay_sse2_8bit+0x1134>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,15,56,51,203                    // pmovzxwd      %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,65,15,235,209                   // por           %xmm9,%xmm2
  .byte  102,15,56,51,210                    // pmovzxwd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,217                   // por           %xmm9,%xmm3
  .byte  102,15,56,51,219                    // pmovzxwd      %xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,64                   // movsd         (%r8,%rax,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           170b4 <_sk_load_u16_be_sse41+0xf9>
  .byte  243,15,126,192                      // movq          %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,59,255,255,255                  // jmpq          16fef <_sk_load_u16_be_sse41+0x34>
  .byte  102,65,15,22,68,64,8                // movhpd        0x8(%r8,%rax,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,38,255,255,255               // jb            16fef <_sk_load_u16_be_sse41+0x34>
  .byte  243,65,15,126,76,64,16              // movq          0x10(%r8,%rax,2),%xmm1
  .byte  233,26,255,255,255                  // jmpq          16fef <_sk_load_u16_be_sse41+0x34>

HIDDEN _sk_load_rgb_u16_be_sse41
.globl _sk_load_rgb_u16_be_sse41
FUNCTION(_sk_load_rgb_u16_be_sse41)
_sk_load_rgb_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,170,0,0,0                    // jne           171aa <_sk_load_rgb_u16_be_sse41+0xd5>
  .byte  243,65,15,111,20,64                 // movdqu        (%r8,%rax,2),%xmm2
  .byte  243,65,15,111,92,64,8               // movdqu        0x8(%r8,%rax,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,115,217,6                    // psrldq        $0x6,%xmm1
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,241,83,1,0               // movaps        0x153f1(%rip),%xmm8        # 2c550 <_sk_overlay_sse2_8bit+0x1134>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,15,56,51,203                    // pmovzxwd      %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,113,243,8                    // psllw         $0x8,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,211                      // por           %xmm3,%xmm2
  .byte  102,15,56,51,210                    // pmovzxwd      %xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,24,81,1,0                  // movaps        0x15118(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax
  .byte  102,65,15,110,20,64                 // movd          (%r8,%rax,2),%xmm2
  .byte  102,65,15,196,84,64,4,2             // pinsrw        $0x2,0x4(%r8,%rax,2),%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           171cf <_sk_load_rgb_u16_be_sse41+0xfa>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,85,255,255,255                  // jmpq          17124 <_sk_load_rgb_u16_be_sse41+0x4f>
  .byte  102,65,15,110,68,64,6               // movd          0x6(%r8,%rax,2),%xmm0
  .byte  102,65,15,196,68,64,10,2            // pinsrw        $0x2,0xa(%r8,%rax,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            17200 <_sk_load_rgb_u16_be_sse41+0x12b>
  .byte  102,65,15,110,92,64,12              // movd          0xc(%r8,%rax,2),%xmm3
  .byte  102,65,15,196,92,64,16,2            // pinsrw        $0x2,0x10(%r8,%rax,2),%xmm3
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,36,255,255,255                  // jmpq          17124 <_sk_load_rgb_u16_be_sse41+0x4f>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,27,255,255,255                  // jmpq          17124 <_sk_load_rgb_u16_be_sse41+0x4f>

HIDDEN _sk_store_u16_be_sse41
.globl _sk_store_u16_be_sse41
FUNCTION(_sk_store_u16_be_sse41)
_sk_store_u16_be_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,21,193,85,1,0              // movaps        0x155c1(%rip),%xmm10        # 2c7f0 <_sk_overlay_sse2_8bit+0x13d4>
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,56,43,192                 // packusdw      %xmm8,%xmm8
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,217                    // cvtps2dq      %xmm9,%xmm11
  .byte  102,69,15,56,43,219                 // packusdw      %xmm11,%xmm11
  .byte  102,69,15,111,203                   // movdqa        %xmm11,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,69,15,235,217                   // por           %xmm9,%xmm11
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,69,15,56,43,201                 // packusdw      %xmm9,%xmm9
  .byte  102,69,15,111,225                   // movdqa        %xmm9,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,69,15,235,204                   // por           %xmm12,%xmm9
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,69,15,56,43,210                 // packusdw      %xmm10,%xmm10
  .byte  102,69,15,111,226                   // movdqa        %xmm10,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,69,15,235,212                   // por           %xmm12,%xmm10
  .byte  102,69,15,97,195                    // punpcklwd     %xmm11,%xmm8
  .byte  102,69,15,97,202                    // punpcklwd     %xmm10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,69,15,98,209                    // punpckldq     %xmm9,%xmm10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           172fd <_sk_store_u16_be_sse41+0xf4>
  .byte  69,15,17,20,64                      // movups        %xmm10,(%r8,%rax,2)
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  243,69,15,127,68,64,16              // movdqu        %xmm8,0x10(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,20,64                 // movq          %xmm10,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            172f9 <_sk_store_u16_be_sse41+0xf0>
  .byte  102,69,15,23,84,64,8                // movhpd        %xmm10,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            172f9 <_sk_store_u16_be_sse41+0xf0>
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  102,69,15,214,68,64,16              // movq          %xmm8,0x10(%r8,%rax,2)
  .byte  235,213                             // jmp           172f9 <_sk_store_u16_be_sse41+0xf0>

HIDDEN _sk_load_f32_sse41
.globl _sk_load_f32_sse41
FUNCTION(_sk_load_f32_sse41)
_sk_load_f32_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           1738f <_sk_load_f32_sse41+0x6b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  65,15,20,201                        // unpcklps      %xmm9,%xmm1
  .byte  68,15,21,192                        // unpckhps      %xmm0,%xmm8
  .byte  65,15,21,217                        // unpckhps      %xmm9,%xmm3
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,202                           // movhlps       %xmm2,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  65,15,18,216                        // movhlps       %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           173a1 <_sk_load_f32_sse41+0x7d>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  235,190                             // jmp           1735f <_sk_load_f32_sse41+0x3b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            173b5 <_sk_load_f32_sse41+0x91>
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  235,170                             // jmp           1735f <_sk_load_f32_sse41+0x3b>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,165                             // jmp           1735f <_sk_load_f32_sse41+0x3b>

HIDDEN _sk_load_f32_dst_sse41
.globl _sk_load_f32_dst_sse41
FUNCTION(_sk_load_f32_dst_sse41)
_sk_load_f32_dst_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           17425 <_sk_load_f32_dst_sse41+0x6b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  65,15,20,233                        // unpcklps      %xmm9,%xmm5
  .byte  68,15,21,196                        // unpckhps      %xmm4,%xmm8
  .byte  65,15,21,249                        // unpckhps      %xmm9,%xmm7
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  102,15,20,229                       // unpcklpd      %xmm5,%xmm4
  .byte  15,18,238                           // movhlps       %xmm6,%xmm5
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  102,15,20,247                       // unpcklpd      %xmm7,%xmm6
  .byte  65,15,18,248                        // movhlps       %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           17437 <_sk_load_f32_dst_sse41+0x7d>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  235,190                             // jmp           173f5 <_sk_load_f32_dst_sse41+0x3b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            1744b <_sk_load_f32_dst_sse41+0x91>
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  235,170                             // jmp           173f5 <_sk_load_f32_dst_sse41+0x3b>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  235,165                             // jmp           173f5 <_sk_load_f32_dst_sse41+0x3b>

HIDDEN _sk_store_f32_sse41
.globl _sk_store_f32_sse41
FUNCTION(_sk_store_f32_sse41)
_sk_store_f32_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,20,195                        // unpcklps      %xmm3,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,21,209                        // unpckhps      %xmm1,%xmm10
  .byte  68,15,40,218                        // movaps        %xmm2,%xmm11
  .byte  68,15,21,219                        // unpckhps      %xmm3,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  102,69,15,20,224                    // unpcklpd      %xmm8,%xmm12
  .byte  69,15,18,193                        // movhlps       %xmm9,%xmm8
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  102,69,15,20,203                    // unpcklpd      %xmm11,%xmm9
  .byte  102,69,15,17,36,128                 // movupd        %xmm12,(%r8,%rax,4)
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,29                              // jne           174cd <_sk_store_f32_sse41+0x7d>
  .byte  102,69,15,21,211                    // unpckhpd      %xmm11,%xmm10
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  102,69,15,17,84,128,48              // movupd        %xmm10,0x30(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,246                             // je            174c9 <_sk_store_f32_sse41+0x79>
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,234                             // jb            174c9 <_sk_store_f32_sse41+0x79>
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  235,225                             // jmp           174c9 <_sk_store_f32_sse41+0x79>

HIDDEN _sk_clamp_x_sse41
.globl _sk_clamp_x_sse41
FUNCTION(_sk_clamp_x_sse41)
_sk_clamp_x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_sse41
.globl _sk_clamp_y_sse41
FUNCTION(_sk_clamp_y_sse41)
_sk_clamp_y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_sse41
.globl _sk_repeat_x_sse41
FUNCTION(_sk_repeat_x_sse41)
_sk_repeat_x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,64,4                   // movss         0x4(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  102,69,15,58,8,192,1                // roundps       $0x1,%xmm8,%xmm8
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_sse41
.globl _sk_repeat_y_sse41
FUNCTION(_sk_repeat_y_sse41)
_sk_repeat_y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,64,4                   // movss         0x4(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  102,69,15,58,8,192,1                // roundps       $0x1,%xmm8,%xmm8
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_sse41
.globl _sk_mirror_x_sse41
FUNCTION(_sk_mirror_x_sse41)
_sk_mirror_x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,92,194                        // subps         %xmm10,%xmm0
  .byte  243,69,15,88,192                    // addss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,89,13,99,66,1,0           // mulss         0x14263(%rip),%xmm9        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  102,69,15,58,8,201,1                // roundps       $0x1,%xmm9,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,92,194                        // subps         %xmm10,%xmm0
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  68,15,84,200                        // andps         %xmm0,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,194                   // paddd         %xmm10,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_sse41
.globl _sk_mirror_y_sse41
FUNCTION(_sk_mirror_y_sse41)
_sk_mirror_y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  243,69,15,88,192                    // addss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,89,13,241,65,1,0          // mulss         0x141f1(%rip),%xmm9        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  102,69,15,58,8,201,1                // roundps       $0x1,%xmm9,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  68,15,92,201                        // subps         %xmm1,%xmm9
  .byte  68,15,84,201                        // andps         %xmm1,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_sse41
.globl _sk_clamp_x_1_sse41
FUNCTION(_sk_clamp_x_1_sse41)
_sk_clamp_x_1_sse41:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  68,15,93,5,4,76,1,0                 // minps         0x14c04(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_sse41
.globl _sk_repeat_x_1_sse41
FUNCTION(_sk_repeat_x_1_sse41)
_sk_repeat_x_1_sse41:
  .byte  102,68,15,58,8,192,1                // roundps       $0x1,%xmm0,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_sse41
.globl _sk_mirror_x_1_sse41
FUNCTION(_sk_mirror_x_1_sse41)
_sk_mirror_x_1_sse41:
  .byte  68,15,40,5,69,76,1,0                // movaps        0x14c45(%rip),%xmm8        # 2c320 <_sk_overlay_sse2_8bit+0xf04>
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,13,185,75,1,0              // movaps        0x14bb9(%rip),%xmm9        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  102,69,15,58,8,201,1                // roundps       $0x1,%xmm9,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,92,192                        // subps         %xmm0,%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_sse41
.globl _sk_luminance_to_alpha_sse41
FUNCTION(_sk_luminance_to_alpha_sse41)
_sk_luminance_to_alpha_sse41:
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,89,5,232,80,1,0                  // mulps         0x150e8(%rip),%xmm0        # 2c800 <_sk_overlay_sse2_8bit+0x13e4>
  .byte  15,89,13,241,80,1,0                 // mulps         0x150f1(%rip),%xmm1        # 2c810 <_sk_overlay_sse2_8bit+0x13f4>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,29,247,80,1,0                 // mulps         0x150f7(%rip),%xmm3        # 2c820 <_sk_overlay_sse2_8bit+0x1404>
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_sse41
.globl _sk_matrix_translate_sse41
FUNCTION(_sk_matrix_translate_sse41)
_sk_matrix_translate_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_sse41
.globl _sk_matrix_scale_translate_sse41
FUNCTION(_sk_matrix_scale_translate_sse41)
_sk_matrix_scale_translate_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,8                   // movss         0x8(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_sse41
.globl _sk_matrix_2x3_sse41
FUNCTION(_sk_matrix_2x3_sse41)
_sk_matrix_2x3_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,16                  // movss         0x10(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_sse41
.globl _sk_matrix_3x4_sse41
FUNCTION(_sk_matrix_3x4_sse41)
_sk_matrix_3x4_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,36                  // movss         0x24(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_sse41
.globl _sk_matrix_4x5_sse41
FUNCTION(_sk_matrix_4x5_sse41)
_sk_matrix_4x5_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,32                  // movss         0x20(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,48                  // movss         0x30(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,64                 // movss         0x40(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,20                  // movss         0x14(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,36                  // movss         0x24(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,52                  // movss         0x34(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,68                 // movss         0x44(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,56                 // movss         0x38(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,72                 // movss         0x48(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  243,68,15,16,88,12                  // movss         0xc(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,28                  // movss         0x1c(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,60                 // movss         0x3c(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  243,68,15,16,120,76                 // movss         0x4c(%rax),%xmm15
  .byte  69,15,198,255,0                     // shufps        $0x0,%xmm15,%xmm15
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  69,15,88,247                        // addps         %xmm15,%xmm14
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  69,15,89,225                        // mulps         %xmm9,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_sse41
.globl _sk_matrix_4x3_sse41
FUNCTION(_sk_matrix_4x3_sse41)
_sk_matrix_4x3_sse41:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,32                     // movss         0x20(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,36                     // movss         0x24(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,40                  // movss         0x28(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,28                  // movss         0x1c(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,44                  // movss         0x2c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_sse41
.globl _sk_matrix_perspective_sse41
FUNCTION(_sk_matrix_perspective_sse41)
_sk_matrix_perspective_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  243,68,15,16,80,24                  // movss         0x18(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,83,202                        // rcpps         %xmm10,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_sse41
.globl _sk_evenly_spaced_gradient_sse41
FUNCTION(_sk_evenly_spaced_gradient_sse41)
_sk_evenly_spaced_gradient_sse41:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,112,8                        // mov           0x8(%rax),%r14
  .byte  72,255,203                          // dec           %rbx
  .byte  120,7                               // js            17bc9 <_sk_evenly_spaced_gradient_sse41+0x18>
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  235,21                              // jmp           17bde <_sk_evenly_spaced_gradient_sse41+0x2d>
  .byte  73,137,216                          // mov           %rbx,%r8
  .byte  73,209,232                          // shr           %r8
  .byte  131,227,1                           // and           $0x1,%ebx
  .byte  76,9,195                            // or            %r8,%rbx
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  243,15,88,201                       // addss         %xmm1,%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,158                  // movss         (%r14,%r11,4),%xmm8
  .byte  102,71,15,58,33,4,150,16            // insertps      $0x10,(%r14,%r10,4),%xmm8
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  102,68,15,58,33,193,32              // insertps      $0x20,%xmm1,%xmm8
  .byte  243,67,15,16,12,134                 // movss         (%r14,%r8,4),%xmm1
  .byte  102,68,15,58,33,193,48              // insertps      $0x30,%xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,70,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm9
  .byte  102,70,15,58,33,12,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm9
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  102,68,15,58,33,201,32              // insertps      $0x20,%xmm1,%xmm9
  .byte  243,66,15,16,12,131                 // movss         (%rbx,%r8,4),%xmm1
  .byte  102,68,15,58,33,201,48              // insertps      $0x30,%xmm1,%xmm9
  .byte  72,139,88,16                        // mov           0x10(%rax),%rbx
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  102,66,15,58,33,12,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm1
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,70,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm10
  .byte  102,70,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm10
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  102,68,15,58,33,210,32              // insertps      $0x20,%xmm2,%xmm10
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  102,68,15,58,33,210,48              // insertps      $0x30,%xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  102,66,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm2
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  102,70,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm11
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,68,15,58,33,219,32              // insertps      $0x20,%xmm3,%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,68,15,58,33,219,48              // insertps      $0x30,%xmm3,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,66,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm3
  .byte  102,66,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm3
  .byte  243,70,15,16,36,139                 // movss         (%rbx,%r9,4),%xmm12
  .byte  102,65,15,58,33,220,32              // insertps      $0x20,%xmm12,%xmm3
  .byte  243,70,15,16,36,131                 // movss         (%rbx,%r8,4),%xmm12
  .byte  102,65,15,58,33,220,48              // insertps      $0x30,%xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  102,70,15,58,33,36,144,16           // insertps      $0x10,(%rax,%r10,4),%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  102,69,15,58,33,229,32              // insertps      $0x20,%xmm13,%xmm12
  .byte  243,70,15,16,44,128                 // movss         (%rax,%r8,4),%xmm13
  .byte  102,69,15,58,33,229,48              // insertps      $0x30,%xmm13,%xmm12
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_sse41
.globl _sk_gauss_a_to_rgba_sse41
FUNCTION(_sk_gauss_a_to_rgba_sse41)
_sk_gauss_a_to_rgba_sse41:
  .byte  15,40,5,166,74,1,0                  // movaps        0x14aa6(%rip),%xmm0        # 2c830 <_sk_overlay_sse2_8bit+0x1414>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,172,74,1,0                  // addps         0x14aac(%rip),%xmm0        # 2c840 <_sk_overlay_sse2_8bit+0x1424>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,178,74,1,0                  // addps         0x14ab2(%rip),%xmm0        # 2c850 <_sk_overlay_sse2_8bit+0x1434>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,184,74,1,0                  // addps         0x14ab8(%rip),%xmm0        # 2c860 <_sk_overlay_sse2_8bit+0x1444>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,190,74,1,0                  // addps         0x14abe(%rip),%xmm0        # 2c870 <_sk_overlay_sse2_8bit+0x1454>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_sse41
.globl _sk_gradient_sse41
FUNCTION(_sk_gradient_sse41)
_sk_gradient_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  73,131,248,2                        // cmp           $0x2,%r8
  .byte  114,51                              // jb            17e01 <_sk_gradient_sse41+0x42>
  .byte  76,139,72,72                        // mov           0x48(%rax),%r9
  .byte  73,255,200                          // dec           %r8
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,40,21,236,68,1,0                 // movaps        0x144ec(%rip),%xmm2        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  243,65,15,16,25                     // movss         (%r9),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  73,255,200                          // dec           %r8
  .byte  117,227                             // jne           17de4 <_sk_gradient_sse41+0x25>
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,73,15,58,22,200,1               // pextrq        $0x1,%xmm1,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,202                   // movq          %xmm1,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,70,15,16,4,155                  // movss         (%rbx,%r11,4),%xmm8
  .byte  102,70,15,58,33,4,147,16            // insertps      $0x10,(%rbx,%r10,4),%xmm8
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  102,68,15,58,33,193,32              // insertps      $0x20,%xmm1,%xmm8
  .byte  243,66,15,16,12,131                 // movss         (%rbx,%r8,4),%xmm1
  .byte  102,68,15,58,33,193,48              // insertps      $0x30,%xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,70,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm9
  .byte  102,70,15,58,33,12,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm9
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  102,68,15,58,33,201,32              // insertps      $0x20,%xmm1,%xmm9
  .byte  243,66,15,16,12,131                 // movss         (%rbx,%r8,4),%xmm1
  .byte  102,68,15,58,33,201,48              // insertps      $0x30,%xmm1,%xmm9
  .byte  243,67,15,16,12,158                 // movss         (%r14,%r11,4),%xmm1
  .byte  102,67,15,58,33,12,150,16           // insertps      $0x10,(%r14,%r10,4),%xmm1
  .byte  243,67,15,16,20,142                 // movss         (%r14,%r9,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  243,67,15,16,20,134                 // movss         (%r14,%r8,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,70,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm10
  .byte  102,70,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm10
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  102,68,15,58,33,210,32              // insertps      $0x20,%xmm2,%xmm10
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  102,68,15,58,33,210,48              // insertps      $0x30,%xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  102,66,15,58,33,20,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm2
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  102,70,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm11
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  102,68,15,58,33,219,32              // insertps      $0x20,%xmm3,%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  102,68,15,58,33,219,48              // insertps      $0x30,%xmm3,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,66,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm3
  .byte  102,66,15,58,33,28,147,16           // insertps      $0x10,(%rbx,%r10,4),%xmm3
  .byte  243,70,15,16,36,139                 // movss         (%rbx,%r9,4),%xmm12
  .byte  102,65,15,58,33,220,32              // insertps      $0x20,%xmm12,%xmm3
  .byte  243,70,15,16,36,131                 // movss         (%rbx,%r8,4),%xmm12
  .byte  102,65,15,58,33,220,48              // insertps      $0x30,%xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  102,70,15,58,33,36,144,16           // insertps      $0x10,(%rax,%r10,4),%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  102,69,15,58,33,229,32              // insertps      $0x20,%xmm13,%xmm12
  .byte  243,70,15,16,44,128                 // movss         (%rax,%r8,4),%xmm13
  .byte  102,69,15,58,33,229,48              // insertps      $0x30,%xmm13,%xmm12
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,220                        // addps         %xmm12,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_sse41
.globl _sk_evenly_spaced_2_stop_gradient_sse41
FUNCTION(_sk_evenly_spaced_2_stop_gradient_sse41)
_sk_evenly_spaced_2_stop_gradient_sse41:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,72,28                  // movss         0x1c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_sse41
.globl _sk_xy_to_unit_angle_sse41
FUNCTION(_sk_xy_to_unit_angle_sse41)
_sk_xy_to_unit_angle_sse41:
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  68,15,84,217                        // andps         %xmm1,%xmm11
  .byte  68,15,40,224                        // movaps        %xmm0,%xmm12
  .byte  69,15,93,227                        // minps         %xmm11,%xmm12
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,95,211                        // maxps         %xmm11,%xmm10
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  69,15,89,237                        // mulps         %xmm13,%xmm13
  .byte  68,15,40,21,43,72,1,0               // movaps        0x1482b(%rip),%xmm10        # 2c880 <_sk_overlay_sse2_8bit+0x1464>
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,21,47,72,1,0               // addps         0x1482f(%rip),%xmm10        # 2c890 <_sk_overlay_sse2_8bit+0x1474>
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,21,51,72,1,0               // addps         0x14833(%rip),%xmm10        # 2c8a0 <_sk_overlay_sse2_8bit+0x1484>
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,21,55,72,1,0               // addps         0x14837(%rip),%xmm10        # 2c8b0 <_sk_overlay_sse2_8bit+0x1494>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,194,195,1                     // cmpltps       %xmm11,%xmm0
  .byte  68,15,40,29,54,72,1,0               // movaps        0x14836(%rip),%xmm11        # 2c8c0 <_sk_overlay_sse2_8bit+0x14a4>
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  69,15,194,200,1                     // cmpltps       %xmm8,%xmm9
  .byte  68,15,40,29,255,65,1,0              // movaps        0x141ff(%rip),%xmm11        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  102,69,15,56,20,211                 // blendvps      %xmm0,%xmm11,%xmm10
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,194,192,1                     // cmpltps       %xmm8,%xmm0
  .byte  68,15,40,13,1,66,1,0                // movaps        0x14201(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  102,69,15,56,20,209                 // blendvps      %xmm0,%xmm9,%xmm10
  .byte  69,15,194,194,7                     // cmpordps      %xmm10,%xmm8
  .byte  69,15,84,194                        // andps         %xmm10,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_sse41
.globl _sk_xy_to_radius_sse41
FUNCTION(_sk_xy_to_radius_sse41)
_sk_xy_to_radius_sse41:
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  65,15,81,192                        // sqrtps        %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_sse41
.globl _sk_xy_to_2pt_conical_quadratic_max_sse41
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_sse41)
_sk_xy_to_2pt_conical_quadratic_max_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,170,71,1,0              // mulps         0x147aa(%rip),%xmm9        # 2c8d0 <_sk_overlay_sse2_8bit+0x14b4>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,149,71,1,0              // mulps         0x14795(%rip),%xmm10        # 2c8e0 <_sk_overlay_sse2_8bit+0x14c4>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,77,70,1,0               // xorps         0x1464d(%rip),%xmm9        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  68,15,89,5,37,65,1,0                // mulps         0x14125(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,95,193                        // maxps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_sse41
.globl _sk_xy_to_2pt_conical_quadratic_min_sse41
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_sse41)
_sk_xy_to_2pt_conical_quadratic_min_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,12,71,1,0               // mulps         0x1470c(%rip),%xmm9        # 2c8d0 <_sk_overlay_sse2_8bit+0x14b4>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,247,70,1,0              // mulps         0x146f7(%rip),%xmm10        # 2c8e0 <_sk_overlay_sse2_8bit+0x14c4>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,175,69,1,0              // xorps         0x145af(%rip),%xmm9        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  68,15,89,5,135,64,1,0               // mulps         0x14087(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,93,193                        // minps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_sse41
.globl _sk_xy_to_2pt_conical_linear_sse41
FUNCTION(_sk_xy_to_2pt_conical_linear_sse41)
_sk_xy_to_2pt_conical_linear_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,200                    // mulss         %xmm8,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,127,70,1,0              // mulps         0x1467f(%rip),%xmm9        # 2c8d0 <_sk_overlay_sse2_8bit+0x14b4>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  243,69,15,89,192                    // mulss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,87,5,75,69,1,0                   // xorps         0x1454b(%rip),%xmm0        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  65,15,94,193                        // divps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_sse41
.globl _sk_mask_2pt_conical_degenerates_sse41
FUNCTION(_sk_mask_2pt_conical_degenerates_sse41)
_sk_mask_2pt_conical_degenerates_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,194,208,7                     // cmpordps      %xmm8,%xmm10
  .byte  69,15,194,193,2                     // cmpleps       %xmm9,%xmm8
  .byte  69,15,84,194                        // andps         %xmm10,%xmm8
  .byte  68,15,17,0                          // movups        %xmm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_sse41
.globl _sk_apply_vector_mask_sse41
FUNCTION(_sk_apply_vector_mask_sse41)
_sk_apply_vector_mask_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,0                          // movups        (%rax),%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  65,15,84,200                        // andps         %xmm8,%xmm1
  .byte  65,15,84,208                        // andps         %xmm8,%xmm2
  .byte  65,15,84,216                        // andps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_sse41
.globl _sk_save_xy_sse41
FUNCTION(_sk_save_xy_sse41)
_sk_save_xy_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,193,63,1,0               // movaps        0x13fc1(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  102,69,15,58,8,209,1                // roundps       $0x1,%xmm9,%xmm10
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  102,69,15,58,8,208,1                // roundps       $0x1,%xmm8,%xmm10
  .byte  69,15,92,194                        // subps         %xmm10,%xmm8
  .byte  15,17,72,32                         // movups        %xmm1,0x20(%rax)
  .byte  68,15,17,72,64                      // movups        %xmm9,0x40(%rax)
  .byte  68,15,17,64,96                      // movups        %xmm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_sse41
.globl _sk_accumulate_sse41
FUNCTION(_sk_accumulate_sse41)
_sk_accumulate_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,128,128,0,0,0              // movups        0x80(%rax),%xmm8
  .byte  68,15,16,136,160,0,0,0              // movups        0xa0(%rax),%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  65,15,88,224                        // addps         %xmm8,%xmm4
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  65,15,88,232                        // addps         %xmm8,%xmm5
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  65,15,88,240                        // addps         %xmm8,%xmm6
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_sse41
.globl _sk_bilinear_nx_sse41
FUNCTION(_sk_bilinear_nx_sse41)
_sk_bilinear_nx_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,131,69,1,0                  // addps         0x14583(%rip),%xmm0        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,75,63,1,0               // movaps        0x13f4b(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_sse41
.globl _sk_bilinear_px_sse41
FUNCTION(_sk_bilinear_px_sse41)
_sk_bilinear_px_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,10,63,1,0                   // addps         0x13f0a(%rip),%xmm0        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_sse41
.globl _sk_bilinear_ny_sse41
FUNCTION(_sk_bilinear_ny_sse41)
_sk_bilinear_ny_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,60,69,1,0                  // addps         0x1453c(%rip),%xmm1        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,4,63,1,0                // movaps        0x13f04(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_sse41
.globl _sk_bilinear_py_sse41
FUNCTION(_sk_bilinear_py_sse41)
_sk_bilinear_py_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,194,62,1,0                 // addps         0x13ec2(%rip),%xmm1        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_sse41
.globl _sk_bicubic_n3x_sse41
FUNCTION(_sk_bicubic_n3x_sse41)
_sk_bicubic_n3x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,5,69,1,0                    // addps         0x14505(%rip),%xmm0        # 2c900 <_sk_overlay_sse2_8bit+0x14e4>
  .byte  68,15,40,13,189,62,1,0              // movaps        0x13ebd(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,249,68,1,0              // mulps         0x144f9(%rip),%xmm9        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,13,145,64,1,0              // addps         0x14091(%rip),%xmm9        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_sse41
.globl _sk_bicubic_n1x_sse41
FUNCTION(_sk_bicubic_n1x_sse41)
_sk_bicubic_n1x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,176,68,1,0                  // addps         0x144b0(%rip),%xmm0        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,120,62,1,0              // movaps        0x13e78(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,204,68,1,0               // movaps        0x144cc(%rip),%xmm8        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,208,68,1,0               // addps         0x144d0(%rip),%xmm8        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,52,62,1,0                // addps         0x13e34(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,200,68,1,0               // addps         0x144c8(%rip),%xmm8        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_sse41
.globl _sk_bicubic_p1x_sse41
FUNCTION(_sk_bicubic_p1x_sse41)
_sk_bicubic_p1x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,18,62,1,0                // movaps        0x13e12(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,72,64                      // movups        0x40(%rax),%xmm9
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,21,126,68,1,0              // movaps        0x1447e(%rip),%xmm10        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,130,68,1,0              // addps         0x14482(%rip),%xmm10        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,126,68,1,0              // addps         0x1447e(%rip),%xmm10        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,144,128,0,0,0              // movups        %xmm10,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_sse41
.globl _sk_bicubic_p3x_sse41
FUNCTION(_sk_bicubic_p3x_sse41)
_sk_bicubic_p3x_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,81,68,1,0                   // addps         0x14451(%rip),%xmm0        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,33,68,1,0                // mulps         0x14421(%rip),%xmm8        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,5,185,63,1,0               // addps         0x13fb9(%rip),%xmm8        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_sse41
.globl _sk_bicubic_n3y_sse41
FUNCTION(_sk_bicubic_n3y_sse41)
_sk_bicubic_n3y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,231,67,1,0                 // addps         0x143e7(%rip),%xmm1        # 2c900 <_sk_overlay_sse2_8bit+0x14e4>
  .byte  68,15,40,13,159,61,1,0              // movaps        0x13d9f(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,219,67,1,0              // mulps         0x143db(%rip),%xmm9        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,13,115,63,1,0              // addps         0x13f73(%rip),%xmm9        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_sse41
.globl _sk_bicubic_n1y_sse41
FUNCTION(_sk_bicubic_n1y_sse41)
_sk_bicubic_n1y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,145,67,1,0                 // addps         0x14391(%rip),%xmm1        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,89,61,1,0               // movaps        0x13d59(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,173,67,1,0               // movaps        0x143ad(%rip),%xmm8        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,177,67,1,0               // addps         0x143b1(%rip),%xmm8        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,21,61,1,0                // addps         0x13d15(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,169,67,1,0               // addps         0x143a9(%rip),%xmm8        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_sse41
.globl _sk_bicubic_p1y_sse41
FUNCTION(_sk_bicubic_p1y_sse41)
_sk_bicubic_p1y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,243,60,1,0               // movaps        0x13cf3(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,72,96                      // movups        0x60(%rax),%xmm9
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,21,94,67,1,0               // movaps        0x1435e(%rip),%xmm10        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,98,67,1,0               // addps         0x14362(%rip),%xmm10        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,94,67,1,0               // addps         0x1435e(%rip),%xmm10        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,144,160,0,0,0              // movups        %xmm10,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_sse41
.globl _sk_bicubic_p3y_sse41
FUNCTION(_sk_bicubic_p3y_sse41)
_sk_bicubic_p3y_sse41:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,48,67,1,0                  // addps         0x14330(%rip),%xmm1        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,0,67,1,0                 // mulps         0x14300(%rip),%xmm8        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,5,152,62,1,0               // addps         0x13e98(%rip),%xmm8        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_sse41
.globl _sk_callback_sse41
FUNCTION(_sk_callback_sse41)
_sk_callback_sse41:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,72                       // sub           $0x48,%rsp
  .byte  15,41,125,144                       // movaps        %xmm7,-0x70(%rbp)
  .byte  15,41,117,160                       // movaps        %xmm6,-0x60(%rbp)
  .byte  15,41,109,176                       // movaps        %xmm5,-0x50(%rbp)
  .byte  15,41,101,192                       // movaps        %xmm4,-0x40(%rbp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,21,193                           // unpckhps      %xmm1,%xmm0
  .byte  15,21,211                           // unpckhps      %xmm3,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  102,15,20,205                       // unpcklpd      %xmm5,%xmm1
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  102,15,20,218                       // unpcklpd      %xmm2,%xmm3
  .byte  102,15,17,75,8                      // movupd        %xmm1,0x8(%rbx)
  .byte  15,18,208                           // movhlps       %xmm0,%xmm2
  .byte  15,17,107,24                        // movups        %xmm5,0x18(%rbx)
  .byte  102,15,17,91,40                     // movupd        %xmm3,0x28(%rbx)
  .byte  15,17,83,56                         // movups        %xmm2,0x38(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,4,0,0,0                         // mov           $0x4,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  15,16,32                            // movups        (%rax),%xmm4
  .byte  15,16,64,16                         // movups        0x10(%rax),%xmm0
  .byte  15,16,88,32                         // movups        0x20(%rax),%xmm3
  .byte  15,16,80,48                         // movups        0x30(%rax),%xmm2
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,21,224                           // unpckhps      %xmm0,%xmm4
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  15,40,101,192                       // movaps        -0x40(%rbp),%xmm4
  .byte  15,40,109,176                       // movaps        -0x50(%rbp),%xmm5
  .byte  15,40,117,160                       // movaps        -0x60(%rbp),%xmm6
  .byte  15,40,125,144                       // movaps        -0x70(%rbp),%xmm7
  .byte  72,131,196,72                       // add           $0x48,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_sse41
.globl _sk_clut_3D_sse41
FUNCTION(_sk_clut_3D_sse41)
_sk_clut_3D_sse41:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,72                       // sub           $0x48,%rsp
  .byte  15,41,124,36,48                     // movaps        %xmm7,0x30(%rsp)
  .byte  15,41,116,36,32                     // movaps        %xmm6,0x20(%rsp)
  .byte  15,41,108,36,16                     // movaps        %xmm5,0x10(%rsp)
  .byte  15,41,36,36                         // movaps        %xmm4,(%rsp)
  .byte  15,41,92,36,240                     // movaps        %xmm3,-0x10(%rsp)
  .byte  72,137,76,36,152                    // mov           %rcx,-0x68(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  243,15,91,227                       // cvttps2dq     %xmm3,%xmm4
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,41,68,36,224                  // movaps        %xmm8,-0x20(%rsp)
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,112,234,0                    // pshufd        $0x0,%xmm2,%xmm5
  .byte  102,15,127,108,36,160               // movdqa        %xmm5,-0x60(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  243,68,15,91,235                    // cvttps2dq     %xmm3,%xmm13
  .byte  102,68,15,127,108,36,192            // movdqa        %xmm13,-0x40(%rsp)
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,124,36,128                    // movaps        %xmm7,-0x80(%rsp)
  .byte  102,68,15,56,64,237                 // pmulld        %xmm5,%xmm13
  .byte  102,65,15,111,205                   // movdqa        %xmm13,%xmm1
  .byte  102,15,254,204                      // paddd         %xmm4,%xmm1
  .byte  102,68,15,111,212                   // movdqa        %xmm4,%xmm10
  .byte  102,68,15,127,84,36,208             // movdqa        %xmm10,-0x30(%rsp)
  .byte  102,65,15,110,216                   // movd          %r8d,%xmm3
  .byte  102,15,56,64,218                    // pmulld        %xmm2,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  68,15,91,242                        // cvtdq2ps      %xmm2,%xmm14
  .byte  68,15,89,240                        // mulps         %xmm0,%xmm14
  .byte  243,65,15,91,198                    // cvttps2dq     %xmm14,%xmm0
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,68,15,56,64,227                 // pmulld        %xmm3,%xmm12
  .byte  102,65,15,111,212                   // movdqa        %xmm12,%xmm2
  .byte  102,15,254,209                      // paddd         %xmm1,%xmm2
  .byte  102,15,111,37,96,65,1,0             // movdqa        0x14160(%rip),%xmm4        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,56,64,212                    // pmulld        %xmm4,%xmm2
  .byte  102,68,15,111,220                   // movdqa        %xmm4,%xmm11
  .byte  102,68,15,111,61,189,58,1,0         // movdqa        0x13abd(%rip),%xmm15        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,254,231                   // paddd         %xmm15,%xmm4
  .byte  102,73,15,58,22,224,1               // pextrq        $0x1,%xmm4,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  243,66,15,16,36,144                 // movss         (%rax,%r10,4),%xmm4
  .byte  102,66,15,58,33,36,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm4
  .byte  243,66,15,16,44,152                 // movss         (%rax,%r11,4),%xmm5
  .byte  102,15,58,33,229,32                 // insertps      $0x20,%xmm5,%xmm4
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,15,58,33,229,48                 // insertps      $0x30,%xmm5,%xmm4
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,65,15,58,22,209,1               // pextrd        $0x1,%xmm2,%r9d
  .byte  102,65,15,58,22,210,2               // pextrd        $0x2,%xmm2,%r10d
  .byte  102,65,15,58,22,211,3               // pextrd        $0x3,%xmm2,%r11d
  .byte  102,68,15,111,13,110,58,1,0         // movdqa        0x13a6e(%rip),%xmm9        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,65,15,254,209                   // paddd         %xmm9,%xmm2
  .byte  102,73,15,58,22,214,1               // pextrq        $0x1,%xmm2,%r14
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,52,184                 // movss         (%rax,%r15,4),%xmm6
  .byte  102,15,58,33,52,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm6
  .byte  243,66,15,16,20,160                 // movss         (%rax,%r12,4),%xmm2
  .byte  102,15,58,33,242,32                 // insertps      $0x20,%xmm2,%xmm6
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,15,58,33,242,48                 // insertps      $0x30,%xmm2,%xmm6
  .byte  15,40,45,131,64,1,0                 // movaps        0x14083(%rip),%xmm5        # 2c950 <_sk_overlay_sse2_8bit+0x1534>
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  68,15,41,68,36,176                  // movaps        %xmm8,-0x50(%rsp)
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  65,15,88,238                        // addps         %xmm14,%xmm5
  .byte  243,68,15,91,197                    // cvttps2dq     %xmm5,%xmm8
  .byte  102,68,15,56,64,195                 // pmulld        %xmm3,%xmm8
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,15,56,64,207                    // pmulld        %xmm7,%xmm1
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,65,15,254,223                   // paddd         %xmm15,%xmm3
  .byte  102,73,15,58,22,222,1               // pextrq        $0x1,%xmm3,%r14
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,44,184                 // movss         (%rax,%r15,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,28,160                 // movss         (%rax,%r12,4),%xmm3
  .byte  102,15,58,33,235,32                 // insertps      $0x20,%xmm3,%xmm5
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,15,58,33,235,48                 // insertps      $0x30,%xmm3,%xmm5
  .byte  102,65,15,126,205                   // movd          %xmm1,%r13d
  .byte  102,65,15,58,22,206,1               // pextrd        $0x1,%xmm1,%r14d
  .byte  102,65,15,58,22,207,2               // pextrd        $0x2,%xmm1,%r15d
  .byte  102,65,15,58,22,204,3               // pextrd        $0x3,%xmm1,%r12d
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,217,32                 // insertps      $0x20,%xmm1,%xmm3
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,217,48                 // insertps      $0x30,%xmm1,%xmm3
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  243,66,15,16,4,128                  // movss         (%rax,%r8,4),%xmm0
  .byte  102,66,15,58,33,4,136,16            // insertps      $0x10,(%rax,%r9,4),%xmm0
  .byte  102,66,15,58,33,4,144,32            // insertps      $0x20,(%rax,%r10,4),%xmm0
  .byte  102,66,15,58,33,4,152,48            // insertps      $0x30,(%rax,%r11,4),%xmm0
  .byte  243,66,15,16,12,168                 // movss         (%rax,%r13,4),%xmm1
  .byte  102,66,15,58,33,12,176,16           // insertps      $0x10,(%rax,%r14,4),%xmm1
  .byte  102,66,15,58,33,12,184,32           // insertps      $0x20,(%rax,%r15,4),%xmm1
  .byte  102,66,15,58,33,12,160,48           // insertps      $0x30,(%rax,%r12,4),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  65,15,89,238                        // mulps         %xmm14,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,92,222                           // subps         %xmm6,%xmm3
  .byte  65,15,89,222                        // mulps         %xmm14,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  243,68,15,91,218                    // cvttps2dq     %xmm2,%xmm11
  .byte  102,68,15,56,64,92,36,160           // pmulld        -0x60(%rsp),%xmm11
  .byte  102,65,15,111,227                   // movdqa        %xmm11,%xmm4
  .byte  102,65,15,254,226                   // paddd         %xmm10,%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,254,196                   // paddd         %xmm12,%xmm0
  .byte  102,15,56,64,199                    // pmulld        %xmm7,%xmm0
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,58,22,197,1                  // pextrd        $0x1,%xmm0,%ebp
  .byte  102,65,15,58,22,192,2               // pextrd        $0x2,%xmm0,%r8d
  .byte  102,15,58,22,195,3                  // pextrd        $0x3,%xmm0,%ebx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,52,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm6
  .byte  102,66,15,58,33,52,128,32           // insertps      $0x20,(%rax,%r8,4),%xmm6
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,15,58,33,242,48                 // insertps      $0x30,%xmm2,%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,254,215                   // paddd         %xmm15,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  243,66,15,16,60,128                 // movss         (%rax,%r8,4),%xmm7
  .byte  102,15,58,33,215,32                 // insertps      $0x20,%xmm7,%xmm2
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,15,58,33,215,48                 // insertps      $0x30,%xmm7,%xmm2
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,60,128                 // movss         (%rax,%r8,4),%xmm7
  .byte  102,15,58,33,199,32                 // insertps      $0x20,%xmm7,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,15,58,33,199,48                 // insertps      $0x30,%xmm7,%xmm0
  .byte  102,65,15,254,224                   // paddd         %xmm8,%xmm4
  .byte  102,65,15,56,64,226                 // pmulld        %xmm10,%xmm4
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,65,15,254,255                   // paddd         %xmm15,%xmm7
  .byte  102,72,15,58,22,249,1               // pextrq        $0x1,%xmm7,%rcx
  .byte  102,72,15,126,253                   // movq          %xmm7,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,68,15,16,20,152                 // movss         (%rax,%rbx,4),%xmm10
  .byte  102,68,15,58,33,20,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm10
  .byte  243,66,15,16,60,128                 // movss         (%rax,%r8,4),%xmm7
  .byte  102,68,15,58,33,215,32              // insertps      $0x20,%xmm7,%xmm10
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,68,15,58,33,215,48              // insertps      $0x30,%xmm7,%xmm10
  .byte  102,65,15,126,225                   // movd          %xmm4,%r9d
  .byte  102,65,15,58,22,227,1               // pextrd        $0x1,%xmm4,%r11d
  .byte  102,65,15,58,22,226,2               // pextrd        $0x2,%xmm4,%r10d
  .byte  102,65,15,58,22,224,3               // pextrd        $0x3,%xmm4,%r8d
  .byte  102,65,15,111,249                   // movdqa        %xmm9,%xmm7
  .byte  102,15,254,231                      // paddd         %xmm7,%xmm4
  .byte  102,72,15,58,22,225,1               // pextrq        $0x1,%xmm4,%rcx
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,12,168                 // movss         (%rax,%rbp,4),%xmm9
  .byte  102,68,15,58,33,12,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm9
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,68,15,58,33,204,32              // insertps      $0x20,%xmm4,%xmm9
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,68,15,58,33,204,48              // insertps      $0x30,%xmm4,%xmm9
  .byte  243,66,15,16,36,136                 // movss         (%rax,%r9,4),%xmm4
  .byte  102,66,15,58,33,36,152,16           // insertps      $0x10,(%rax,%r11,4),%xmm4
  .byte  102,66,15,58,33,36,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm4
  .byte  102,66,15,58,33,36,128,48           // insertps      $0x30,(%rax,%r8,4),%xmm4
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  65,15,89,230                        // mulps         %xmm14,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  69,15,89,214                        // mulps         %xmm14,%xmm10
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,89,206                        // mulps         %xmm14,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  15,91,68,36,192                     // cvtdq2ps      -0x40(%rsp),%xmm0
  .byte  15,40,84,36,128                     // movaps        -0x80(%rsp),%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,41,84,36,128                     // movaps        %xmm2,-0x80(%rsp)
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  68,15,92,213                        // subps         %xmm5,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,88,213                        // addps         %xmm5,%xmm10
  .byte  68,15,92,203                        // subps         %xmm3,%xmm9
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  243,15,91,68,36,176                 // cvttps2dq     -0x50(%rsp),%xmm0
  .byte  102,68,15,254,232                   // paddd         %xmm0,%xmm13
  .byte  102,65,15,111,212                   // movdqa        %xmm12,%xmm2
  .byte  102,65,15,254,213                   // paddd         %xmm13,%xmm2
  .byte  102,15,111,45,54,61,1,0             // movdqa        0x13d36(%rip),%xmm5        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,56,64,213                    // pmulld        %xmm5,%xmm2
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,65,15,254,207                   // paddd         %xmm15,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,12,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm1
  .byte  243,66,15,16,28,128                 // movss         (%rax,%r8,4),%xmm3
  .byte  102,15,58,33,203,32                 // insertps      $0x20,%xmm3,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,203,48                 // insertps      $0x30,%xmm3,%xmm1
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,65,15,58,22,209,1               // pextrd        $0x1,%xmm2,%r9d
  .byte  102,65,15,58,22,210,2               // pextrd        $0x2,%xmm2,%r10d
  .byte  102,65,15,58,22,211,3               // pextrd        $0x3,%xmm2,%r11d
  .byte  102,15,254,215                      // paddd         %xmm7,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,20,168                    // movss         (%rax,%rbp,4),%xmm2
  .byte  102,15,58,33,20,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm2
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  102,65,15,111,240                   // movdqa        %xmm8,%xmm6
  .byte  102,68,15,254,238                   // paddd         %xmm6,%xmm13
  .byte  102,68,15,56,64,237                 // pmulld        %xmm5,%xmm13
  .byte  102,65,15,111,221                   // movdqa        %xmm13,%xmm3
  .byte  102,65,15,254,223                   // paddd         %xmm15,%xmm3
  .byte  102,72,15,58,22,217,1               // pextrq        $0x1,%xmm3,%rcx
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,4,168                  // movss         (%rax,%rbp,4),%xmm8
  .byte  102,68,15,58,33,4,152,16            // insertps      $0x10,(%rax,%rbx,4),%xmm8
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,68,15,58,33,195,32              // insertps      $0x20,%xmm3,%xmm8
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,68,15,58,33,195,48              // insertps      $0x30,%xmm3,%xmm8
  .byte  102,69,15,126,237                   // movd          %xmm13,%r13d
  .byte  102,69,15,58,22,239,1               // pextrd        $0x1,%xmm13,%r15d
  .byte  102,69,15,58,22,236,2               // pextrd        $0x2,%xmm13,%r12d
  .byte  102,69,15,58,22,238,3               // pextrd        $0x3,%xmm13,%r14d
  .byte  102,68,15,254,239                   // paddd         %xmm7,%xmm13
  .byte  102,76,15,58,22,235,1               // pextrq        $0x1,%xmm13,%rbx
  .byte  102,76,15,126,237                   // movq          %xmm13,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,44,136                 // movss         (%rax,%rcx,4),%xmm13
  .byte  102,68,15,58,33,44,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm13
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,68,15,58,33,235,32              // insertps      $0x20,%xmm3,%xmm13
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,68,15,58,33,235,48              // insertps      $0x30,%xmm3,%xmm13
  .byte  243,66,15,16,28,128                 // movss         (%rax,%r8,4),%xmm3
  .byte  102,66,15,58,33,28,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm3
  .byte  102,66,15,58,33,28,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm3
  .byte  102,66,15,58,33,28,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm3
  .byte  243,66,15,16,60,168                 // movss         (%rax,%r13,4),%xmm7
  .byte  102,66,15,58,33,60,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm7
  .byte  102,66,15,58,33,60,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm7
  .byte  102,66,15,58,33,60,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  65,15,89,254                        // mulps         %xmm14,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  69,15,89,198                        // mulps         %xmm14,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  68,15,92,234                        // subps         %xmm2,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,234                        // addps         %xmm2,%xmm13
  .byte  102,68,15,254,216                   // paddd         %xmm0,%xmm11
  .byte  102,69,15,254,227                   // paddd         %xmm11,%xmm12
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,68,15,56,64,225                 // pmulld        %xmm1,%xmm12
  .byte  102,65,15,111,196                   // movdqa        %xmm12,%xmm0
  .byte  102,65,15,254,199                   // paddd         %xmm15,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  243,66,15,16,4,128                  // movss         (%rax,%r8,4),%xmm0
  .byte  102,15,58,33,216,32                 // insertps      $0x20,%xmm0,%xmm3
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,216,48                 // insertps      $0x30,%xmm0,%xmm3
  .byte  102,69,15,126,224                   // movd          %xmm12,%r8d
  .byte  102,69,15,58,22,225,1               // pextrd        $0x1,%xmm12,%r9d
  .byte  102,69,15,58,22,226,2               // pextrd        $0x2,%xmm12,%r10d
  .byte  102,69,15,58,22,227,3               // pextrd        $0x3,%xmm12,%r11d
  .byte  102,15,111,21,145,52,1,0            // movdqa        0x13491(%rip),%xmm2        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,68,15,254,226                   // paddd         %xmm2,%xmm12
  .byte  102,76,15,58,22,225,1               // pextrq        $0x1,%xmm12,%rcx
  .byte  102,76,15,126,227                   // movq          %xmm12,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  102,68,15,254,222                   // paddd         %xmm6,%xmm11
  .byte  102,68,15,56,64,217                 // pmulld        %xmm1,%xmm11
  .byte  102,69,15,254,251                   // paddd         %xmm11,%xmm15
  .byte  102,76,15,58,22,249,1               // pextrq        $0x1,%xmm15,%rcx
  .byte  102,76,15,126,251                   // movq          %xmm15,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,200,32                 // insertps      $0x20,%xmm0,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,200,48                 // insertps      $0x30,%xmm0,%xmm1
  .byte  102,69,15,126,221                   // movd          %xmm11,%r13d
  .byte  102,69,15,58,22,223,1               // pextrd        $0x1,%xmm11,%r15d
  .byte  102,69,15,58,22,220,2               // pextrd        $0x2,%xmm11,%r12d
  .byte  102,69,15,58,22,222,3               // pextrd        $0x3,%xmm11,%r14d
  .byte  102,68,15,254,218                   // paddd         %xmm2,%xmm11
  .byte  102,76,15,58,22,219,1               // pextrq        $0x1,%xmm11,%rbx
  .byte  102,76,15,126,221                   // movq          %xmm11,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,208,32                 // insertps      $0x20,%xmm0,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,208,48                 // insertps      $0x30,%xmm0,%xmm2
  .byte  243,66,15,16,52,128                 // movss         (%rax,%r8,4),%xmm6
  .byte  102,66,15,58,33,52,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm6
  .byte  102,66,15,58,33,52,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm6
  .byte  102,66,15,58,33,52,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm6
  .byte  243,66,15,16,4,168                  // movss         (%rax,%r13,4),%xmm0
  .byte  102,66,15,58,33,4,184,16            // insertps      $0x10,(%rax,%r15,4),%xmm0
  .byte  102,66,15,58,33,4,160,32            // insertps      $0x20,(%rax,%r12,4),%xmm0
  .byte  102,66,15,58,33,4,176,48            // insertps      $0x30,(%rax,%r14,4),%xmm0
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  65,15,89,214                        // mulps         %xmm14,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,92,36,128                     // movaps        -0x80(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  65,15,92,213                        // subps         %xmm13,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,213                        // addps         %xmm13,%xmm2
  .byte  15,91,92,36,208                     // cvtdq2ps      -0x30(%rsp),%xmm3
  .byte  15,40,108,36,224                    // movaps        -0x20(%rsp),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,92,209                        // subps         %xmm9,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,76,36,152                    // mov           -0x68(%rsp),%rcx
  .byte  15,40,92,36,240                     // movaps        -0x10(%rsp),%xmm3
  .byte  15,40,36,36                         // movaps        (%rsp),%xmm4
  .byte  15,40,108,36,16                     // movaps        0x10(%rsp),%xmm5
  .byte  15,40,116,36,32                     // movaps        0x20(%rsp),%xmm6
  .byte  15,40,124,36,48                     // movaps        0x30(%rsp),%xmm7
  .byte  72,131,196,72                       // add           $0x48,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_sse41
.globl _sk_clut_4D_sse41
FUNCTION(_sk_clut_4D_sse41)
_sk_clut_4D_sse41:
  .byte  85                                  // push          %rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,129,236,152,0,0,0                // sub           $0x98,%rsp
  .byte  15,41,188,36,128,0,0,0              // movaps        %xmm7,0x80(%rsp)
  .byte  15,41,116,36,112                    // movaps        %xmm6,0x70(%rsp)
  .byte  15,41,108,36,96                     // movaps        %xmm5,0x60(%rsp)
  .byte  15,41,100,36,80                     // movaps        %xmm4,0x50(%rsp)
  .byte  72,137,76,36,248                    // mov           %rcx,-0x8(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  243,15,91,236                       // cvttps2dq     %xmm4,%xmm5
  .byte  102,15,127,44,36                    // movdqa        %xmm5,(%rsp)
  .byte  68,15,40,212                        // movaps        %xmm4,%xmm10
  .byte  68,15,41,84,36,64                   // movaps        %xmm10,0x40(%rsp)
  .byte  102,65,15,110,224                   // movd          %r8d,%xmm4
  .byte  102,15,112,244,0                    // pshufd        $0x0,%xmm4,%xmm6
  .byte  102,15,127,116,36,32                // movdqa        %xmm6,0x20(%rsp)
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  243,68,15,91,227                    // cvttps2dq     %xmm3,%xmm12
  .byte  102,68,15,127,100,36,192            // movdqa        %xmm12,-0x40(%rsp)
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,124,36,224                    // movaps        %xmm7,-0x20(%rsp)
  .byte  102,68,15,56,64,230                 // pmulld        %xmm6,%xmm12
  .byte  102,65,15,111,220                   // movdqa        %xmm12,%xmm3
  .byte  102,15,254,221                      // paddd         %xmm5,%xmm3
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,56,64,212                    // pmulld        %xmm4,%xmm2
  .byte  102,15,112,234,0                    // pshufd        $0x0,%xmm2,%xmm5
  .byte  102,15,127,108,36,144               // movdqa        %xmm5,-0x70(%rsp)
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  68,15,91,244                        // cvtdq2ps      %xmm4,%xmm14
  .byte  68,15,89,241                        // mulps         %xmm1,%xmm14
  .byte  102,65,15,110,224                   // movd          %r8d,%xmm4
  .byte  102,15,56,64,226                    // pmulld        %xmm2,%xmm4
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  68,15,91,249                        // cvtdq2ps      %xmm1,%xmm15
  .byte  68,15,89,248                        // mulps         %xmm0,%xmm15
  .byte  243,65,15,91,198                    // cvttps2dq     %xmm14,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,15,56,64,197                    // pmulld        %xmm5,%xmm0
  .byte  102,15,127,68,36,208                // movdqa        %xmm0,-0x30(%rsp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  243,69,15,91,207                    // cvttps2dq     %xmm15,%xmm9
  .byte  102,69,15,111,233                   // movdqa        %xmm9,%xmm13
  .byte  102,68,15,56,64,236                 // pmulld        %xmm4,%xmm13
  .byte  102,65,15,111,197                   // movdqa        %xmm13,%xmm0
  .byte  102,68,15,127,108,36,176            // movdqa        %xmm13,-0x50(%rsp)
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,56,64,5,255,55,1,0           // pmulld        0x137ff(%rip),%xmm0        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,68,15,111,29,102,49,1,0         // movdqa        0x13166(%rip),%xmm11        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,73,15,58,22,208,1               // pextrq        $0x1,%xmm2,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  72,139,0                            // mov           (%rax),%rax
  .byte  69,137,202                          // mov           %r9d,%r10d
  .byte  73,193,233,32                       // shr           $0x20,%r9
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  243,66,15,16,20,144                 // movss         (%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm2
  .byte  243,66,15,16,44,152                 // movss         (%rax,%r11,4),%xmm5
  .byte  102,15,58,33,213,32                 // insertps      $0x20,%xmm5,%xmm2
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,15,58,33,213,48                 // insertps      $0x30,%xmm5,%xmm2
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,68,15,111,5,23,49,1,0           // movdqa        0x13117(%rip),%xmm8        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,65,15,254,192                   // paddd         %xmm8,%xmm0
  .byte  102,73,15,58,22,198,1               // pextrq        $0x1,%xmm0,%r14
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,44,184                 // movss         (%rax,%r15,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,160                  // movss         (%rax,%r12,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  15,40,53,44,55,1,0                  // movaps        0x1372c(%rip),%xmm6        # 2c950 <_sk_overlay_sse2_8bit+0x1534>
  .byte  68,15,88,214                        // addps         %xmm6,%xmm10
  .byte  68,15,41,84,36,48                   // movaps        %xmm10,0x30(%rsp)
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,41,124,36,16                     // movaps        %xmm7,0x10(%rsp)
  .byte  65,15,40,198                        // movaps        %xmm14,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  65,15,88,247                        // addps         %xmm15,%xmm6
  .byte  243,15,91,246                       // cvttps2dq     %xmm6,%xmm6
  .byte  102,15,56,64,244                    // pmulld        %xmm4,%xmm6
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,68,15,111,214                   // movdqa        %xmm6,%xmm10
  .byte  102,68,15,127,84,36,160             // movdqa        %xmm10,-0x60(%rsp)
  .byte  102,15,56,64,13,253,54,1,0          // pmulld        0x136fd(%rip),%xmm1        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,254,227                   // paddd         %xmm11,%xmm4
  .byte  102,73,15,58,22,230,1               // pextrq        $0x1,%xmm4,%r14
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  65,137,223                          // mov           %ebx,%r15d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  69,137,244                          // mov           %r14d,%r12d
  .byte  243,66,15,16,52,184                 // movss         (%rax,%r15,4),%xmm6
  .byte  102,15,58,33,52,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm6
  .byte  243,66,15,16,36,160                 // movss         (%rax,%r12,4),%xmm4
  .byte  102,15,58,33,244,32                 // insertps      $0x20,%xmm4,%xmm6
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,15,58,33,244,48                 // insertps      $0x30,%xmm4,%xmm6
  .byte  102,65,15,126,205                   // movd          %xmm1,%r13d
  .byte  102,65,15,58,22,206,1               // pextrd        $0x1,%xmm1,%r14d
  .byte  102,65,15,58,22,207,2               // pextrd        $0x2,%xmm1,%r15d
  .byte  102,65,15,58,22,204,3               // pextrd        $0x3,%xmm1,%r12d
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,69,15,111,216                   // movdqa        %xmm8,%xmm11
  .byte  102,72,15,58,22,203,1               // pextrq        $0x1,%xmm1,%rbx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,15,58,33,36,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm4
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,225,32                 // insertps      $0x20,%xmm1,%xmm4
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,225,48                 // insertps      $0x30,%xmm1,%xmm4
  .byte  65,15,91,201                        // cvtdq2ps      %xmm9,%xmm1
  .byte  68,15,92,249                        // subps         %xmm1,%xmm15
  .byte  243,66,15,16,12,128                 // movss         (%rax,%r8,4),%xmm1
  .byte  102,66,15,58,33,12,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm1
  .byte  102,66,15,58,33,12,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm1
  .byte  102,66,15,58,33,12,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm1
  .byte  243,66,15,16,60,168                 // movss         (%rax,%r13,4),%xmm7
  .byte  102,66,15,58,33,60,176,16           // insertps      $0x10,(%rax,%r14,4),%xmm7
  .byte  102,66,15,58,33,60,184,32           // insertps      $0x20,(%rax,%r15,4),%xmm7
  .byte  102,66,15,58,33,60,160,48           // insertps      $0x30,(%rax,%r12,4),%xmm7
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  65,15,89,247                        // mulps         %xmm15,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,56,64,68,36,144              // pmulld        -0x70(%rsp),%xmm0
  .byte  102,15,127,68,36,144                // movdqa        %xmm0,-0x70(%rsp)
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,65,15,254,205                   // paddd         %xmm13,%xmm1
  .byte  102,15,111,5,207,53,1,0             // movdqa        0x135cf(%rip),%xmm0        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,56,64,200                    // pmulld        %xmm0,%xmm1
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,68,15,111,5,40,47,1,0           // movdqa        0x12f28(%rip),%xmm8        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,192                   // paddd         %xmm8,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,194,32                 // insertps      $0x20,%xmm2,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,194,48                 // insertps      $0x30,%xmm2,%xmm0
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,65,15,58,22,201,1               // pextrd        $0x1,%xmm1,%r9d
  .byte  102,65,15,58,22,202,2               // pextrd        $0x2,%xmm1,%r10d
  .byte  102,65,15,58,22,203,3               // pextrd        $0x3,%xmm1,%r11d
  .byte  102,65,15,254,203                   // paddd         %xmm11,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  102,65,15,254,218                   // paddd         %xmm10,%xmm3
  .byte  102,65,15,56,64,217                 // pmulld        %xmm9,%xmm3
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,65,15,254,208                   // paddd         %xmm8,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,20,168                 // movss         (%rax,%rbp,4),%xmm10
  .byte  102,68,15,58,33,20,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm10
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,68,15,58,33,210,32              // insertps      $0x20,%xmm2,%xmm10
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,210,48              // insertps      $0x30,%xmm2,%xmm10
  .byte  102,65,15,126,221                   // movd          %xmm3,%r13d
  .byte  102,65,15,58,22,223,1               // pextrd        $0x1,%xmm3,%r15d
  .byte  102,65,15,58,22,220,2               // pextrd        $0x2,%xmm3,%r12d
  .byte  102,65,15,58,22,222,3               // pextrd        $0x3,%xmm3,%r14d
  .byte  102,65,15,254,219                   // paddd         %xmm11,%xmm3
  .byte  102,72,15,58,22,219,1               // pextrq        $0x1,%xmm3,%rbx
  .byte  102,72,15,126,221                   // movq          %xmm3,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,12,136                 // movss         (%rax,%rcx,4),%xmm9
  .byte  102,68,15,58,33,12,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm9
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,202,32              // insertps      $0x20,%xmm2,%xmm9
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,68,15,58,33,202,48              // insertps      $0x30,%xmm2,%xmm9
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,66,15,58,33,20,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm2
  .byte  102,66,15,58,33,20,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm2
  .byte  243,70,15,16,4,168                  // movss         (%rax,%r13,4),%xmm8
  .byte  102,70,15,58,33,4,184,16            // insertps      $0x10,(%rax,%r15,4),%xmm8
  .byte  102,70,15,58,33,4,160,32            // insertps      $0x20,(%rax,%r12,4),%xmm8
  .byte  102,70,15,58,33,4,176,48            // insertps      $0x30,(%rax,%r14,4),%xmm8
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,89,215                        // mulps         %xmm15,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  68,15,92,201                        // subps         %xmm1,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  68,15,88,201                        // addps         %xmm1,%xmm9
  .byte  15,91,68,36,128                     // cvtdq2ps      -0x80(%rsp),%xmm0
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  68,15,41,116,36,128                 // movaps        %xmm14,-0x80(%rsp)
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  69,15,89,198                        // mulps         %xmm14,%xmm8
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  68,15,92,214                        // subps         %xmm6,%xmm10
  .byte  69,15,89,214                        // mulps         %xmm14,%xmm10
  .byte  68,15,88,214                        // addps         %xmm6,%xmm10
  .byte  68,15,92,204                        // subps         %xmm4,%xmm9
  .byte  69,15,89,206                        // mulps         %xmm14,%xmm9
  .byte  68,15,88,204                        // addps         %xmm4,%xmm9
  .byte  243,68,15,91,116,36,16              // cvttps2dq     0x10(%rsp),%xmm14
  .byte  102,68,15,56,64,116,36,32           // pmulld        0x20(%rsp),%xmm14
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,254,36,36                    // paddd         (%rsp),%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,254,68,36,208                // paddd         -0x30(%rsp),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,108,36,176            // movdqa        -0x50(%rsp),%xmm13
  .byte  102,65,15,254,205                   // paddd         %xmm13,%xmm1
  .byte  102,15,111,45,157,51,1,0            // movdqa        0x1339d(%rip),%xmm5        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,56,64,205                    // pmulld        %xmm5,%xmm1
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,58,22,205,1                  // pextrd        $0x1,%xmm1,%ebp
  .byte  102,65,15,58,22,200,2               // pextrd        $0x2,%xmm1,%r8d
  .byte  102,15,58,22,203,3                  // pextrd        $0x3,%xmm1,%ebx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,52,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm6
  .byte  102,66,15,58,33,52,128,32           // insertps      $0x20,(%rax,%r8,4),%xmm6
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,15,58,33,242,48                 // insertps      $0x30,%xmm2,%xmm6
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,29,198,44,1,0            // movdqa        0x12cc6(%rip),%xmm3        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,60,152                    // movss         (%rax,%rbx,4),%xmm7
  .byte  102,15,58,33,60,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm7
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,250,32                 // insertps      $0x20,%xmm2,%xmm7
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,250,48                 // insertps      $0x30,%xmm2,%xmm7
  .byte  102,65,15,254,203                   // paddd         %xmm11,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,12,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm1
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  102,68,15,111,92,36,160             // movdqa        -0x60(%rsp),%xmm11
  .byte  102,65,15,254,195                   // paddd         %xmm11,%xmm0
  .byte  102,15,56,64,197                    // pmulld        %xmm5,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,218,32                 // insertps      $0x20,%xmm2,%xmm3
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,218,48                 // insertps      $0x30,%xmm2,%xmm3
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,65,15,58,22,195,1               // pextrd        $0x1,%xmm0,%r11d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,192,3               // pextrd        $0x3,%xmm0,%r8d
  .byte  102,15,254,5,238,43,1,0             // paddd         0x12bee(%rip),%xmm0        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  243,66,15,16,20,136                 // movss         (%rax,%r9,4),%xmm2
  .byte  102,66,15,58,33,20,152,16           // insertps      $0x10,(%rax,%r11,4),%xmm2
  .byte  102,66,15,58,33,20,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,128,48           // insertps      $0x30,(%rax,%r8,4),%xmm2
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,223                        // mulps         %xmm15,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  65,15,89,239                        // mulps         %xmm15,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  102,15,254,100,36,144               // paddd         -0x70(%rsp),%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,254,197                   // paddd         %xmm13,%xmm0
  .byte  102,68,15,111,45,206,49,1,0         // movdqa        0x131ce(%rip),%xmm13        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,65,15,56,64,197                 // pmulld        %xmm13,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,53,44,43,1,0             // movdqa        0x12b2c(%rip),%xmm6        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,12,152                    // movss         (%rax,%rbx,4),%xmm1
  .byte  102,15,58,33,12,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm1
  .byte  243,66,15,16,52,128                 // movss         (%rax,%r8,4),%xmm6
  .byte  102,15,58,33,206,32                 // insertps      $0x20,%xmm6,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,206,48                 // insertps      $0x30,%xmm6,%xmm1
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,15,111,61,234,42,1,0            // movdqa        0x12aea(%rip),%xmm7        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,254,199                      // paddd         %xmm7,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,4,168                     // movss         (%rax,%rbp,4),%xmm0
  .byte  102,15,58,33,4,152,16               // insertps      $0x10,(%rax,%rbx,4),%xmm0
  .byte  243,66,15,16,52,176                 // movss         (%rax,%r14,4),%xmm6
  .byte  102,15,58,33,198,32                 // insertps      $0x20,%xmm6,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,15,58,33,198,48                 // insertps      $0x30,%xmm6,%xmm0
  .byte  102,65,15,254,227                   // paddd         %xmm11,%xmm4
  .byte  102,65,15,56,64,229                 // pmulld        %xmm13,%xmm4
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,68,15,111,45,114,42,1,0         // movdqa        0x12a72(%rip),%xmm13        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,245                   // paddd         %xmm13,%xmm6
  .byte  102,72,15,58,22,241,1               // pextrq        $0x1,%xmm6,%rcx
  .byte  102,72,15,126,243                   // movq          %xmm6,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,28,168                 // movss         (%rax,%rbp,4),%xmm11
  .byte  102,68,15,58,33,28,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm11
  .byte  243,66,15,16,52,176                 // movss         (%rax,%r14,4),%xmm6
  .byte  102,68,15,58,33,222,32              // insertps      $0x20,%xmm6,%xmm11
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,52,136                    // movss         (%rax,%rcx,4),%xmm6
  .byte  102,68,15,58,33,222,48              // insertps      $0x30,%xmm6,%xmm11
  .byte  102,65,15,126,229                   // movd          %xmm4,%r13d
  .byte  102,65,15,58,22,231,1               // pextrd        $0x1,%xmm4,%r15d
  .byte  102,65,15,58,22,228,2               // pextrd        $0x2,%xmm4,%r12d
  .byte  102,65,15,58,22,230,3               // pextrd        $0x3,%xmm4,%r14d
  .byte  102,15,254,231                      // paddd         %xmm7,%xmm4
  .byte  102,72,15,58,22,227,1               // pextrq        $0x1,%xmm4,%rbx
  .byte  102,72,15,126,229                   // movq          %xmm4,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,60,136                    // movss         (%rax,%rcx,4),%xmm7
  .byte  102,15,58,33,60,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm7
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,15,58,33,252,32                 // insertps      $0x20,%xmm4,%xmm7
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,36,152                    // movss         (%rax,%rbx,4),%xmm4
  .byte  102,15,58,33,252,48                 // insertps      $0x30,%xmm4,%xmm7
  .byte  243,66,15,16,36,128                 // movss         (%rax,%r8,4),%xmm4
  .byte  102,66,15,58,33,36,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm4
  .byte  102,66,15,58,33,36,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm4
  .byte  102,66,15,58,33,36,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm4
  .byte  243,66,15,16,52,168                 // movss         (%rax,%r13,4),%xmm6
  .byte  102,66,15,58,33,52,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm6
  .byte  102,66,15,58,33,52,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm6
  .byte  102,66,15,58,33,52,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm6
  .byte  15,92,244                           // subps         %xmm4,%xmm6
  .byte  65,15,89,247                        // mulps         %xmm15,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  69,15,89,223                        // mulps         %xmm15,%xmm11
  .byte  68,15,88,217                        // addps         %xmm1,%xmm11
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,40,68,36,128                     // movaps        -0x80(%rsp),%xmm0
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  68,15,89,216                        // mulps         %xmm0,%xmm11
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,91,68,36,192                     // cvtdq2ps      -0x40(%rsp),%xmm0
  .byte  15,40,76,36,224                     // movaps        -0x20(%rsp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,76,36,224                     // movaps        %xmm1,-0x20(%rsp)
  .byte  65,15,92,240                        // subps         %xmm8,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  65,15,88,240                        // addps         %xmm8,%xmm6
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  65,15,92,249                        // subps         %xmm9,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  243,15,91,68,36,48                  // cvttps2dq     0x30(%rsp),%xmm0
  .byte  102,15,127,68,36,192                // movdqa        %xmm0,-0x40(%rsp)
  .byte  102,68,15,254,224                   // paddd         %xmm0,%xmm12
  .byte  102,15,111,84,36,208                // movdqa        -0x30(%rsp),%xmm2
  .byte  102,65,15,254,212                   // paddd         %xmm12,%xmm2
  .byte  102,68,15,111,76,36,176             // movdqa        -0x50(%rsp),%xmm9
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,15,111,29,126,47,1,0            // movdqa        0x12f7e(%rip),%xmm3        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,56,64,195                    // pmulld        %xmm3,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,69,15,111,213                   // movdqa        %xmm13,%xmm10
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,36,152                    // movss         (%rax,%rbx,4),%xmm4
  .byte  102,15,58,33,36,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm4
  .byte  243,66,15,16,12,128                 // movss         (%rax,%r8,4),%xmm1
  .byte  102,15,58,33,225,32                 // insertps      $0x20,%xmm1,%xmm4
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,225,48                 // insertps      $0x30,%xmm1,%xmm4
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,15,111,45,157,40,1,0            // movdqa        0x1289d(%rip),%xmm5        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,4,168                     // movss         (%rax,%rbp,4),%xmm0
  .byte  102,15,58,33,4,152,16               // insertps      $0x10,(%rax,%rbx,4),%xmm0
  .byte  243,66,15,16,12,176                 // movss         (%rax,%r14,4),%xmm1
  .byte  102,15,58,33,193,32                 // insertps      $0x20,%xmm1,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,12,136                    // movss         (%rax,%rcx,4),%xmm1
  .byte  102,15,58,33,193,48                 // insertps      $0x30,%xmm1,%xmm0
  .byte  102,68,15,111,68,36,160             // movdqa        -0x60(%rsp),%xmm8
  .byte  102,65,15,254,208                   // paddd         %xmm8,%xmm2
  .byte  102,15,56,64,211                    // pmulld        %xmm3,%xmm2
  .byte  102,68,15,111,235                   // movdqa        %xmm3,%xmm13
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,28,176                 // movss         (%rax,%r14,4),%xmm3
  .byte  102,15,58,33,203,32                 // insertps      $0x20,%xmm3,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,203,48                 // insertps      $0x30,%xmm3,%xmm1
  .byte  102,65,15,126,213                   // movd          %xmm2,%r13d
  .byte  102,65,15,58,22,215,1               // pextrd        $0x1,%xmm2,%r15d
  .byte  102,65,15,58,22,212,2               // pextrd        $0x2,%xmm2,%r12d
  .byte  102,65,15,58,22,214,3               // pextrd        $0x3,%xmm2,%r14d
  .byte  102,15,254,213                      // paddd         %xmm5,%xmm2
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,28,136                    // movss         (%rax,%rcx,4),%xmm3
  .byte  102,15,58,33,211,32                 // insertps      $0x20,%xmm3,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,211,48                 // insertps      $0x30,%xmm3,%xmm2
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,66,15,58,33,44,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm5
  .byte  102,66,15,58,33,44,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm5
  .byte  102,66,15,58,33,44,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm5
  .byte  243,66,15,16,28,168                 // movss         (%rax,%r13,4),%xmm3
  .byte  102,66,15,58,33,28,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm3
  .byte  102,66,15,58,33,28,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm3
  .byte  102,66,15,58,33,28,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  65,15,89,223                        // mulps         %xmm15,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  102,68,15,254,100,36,144            // paddd         -0x70(%rsp),%xmm12
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,254,225                   // paddd         %xmm9,%xmm4
  .byte  102,65,15,56,64,229                 // pmulld        %xmm13,%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,254,194                   // paddd         %xmm10,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,44,128                 // movss         (%rax,%r8,4),%xmm5
  .byte  102,15,58,33,197,32                 // insertps      $0x20,%xmm5,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,44,136                    // movss         (%rax,%rcx,4),%xmm5
  .byte  102,15,58,33,197,48                 // insertps      $0x30,%xmm5,%xmm0
  .byte  102,65,15,126,224                   // movd          %xmm4,%r8d
  .byte  102,65,15,58,22,225,1               // pextrd        $0x1,%xmm4,%r9d
  .byte  102,65,15,58,22,226,2               // pextrd        $0x2,%xmm4,%r10d
  .byte  102,65,15,58,22,227,3               // pextrd        $0x3,%xmm4,%r11d
  .byte  102,68,15,111,13,209,38,1,0         // movdqa        0x126d1(%rip),%xmm9        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,65,15,254,225                   // paddd         %xmm9,%xmm4
  .byte  102,72,15,58,22,225,1               // pextrq        $0x1,%xmm4,%rcx
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,15,58,33,236,32                 // insertps      $0x20,%xmm4,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,15,58,33,236,48                 // insertps      $0x30,%xmm4,%xmm5
  .byte  102,69,15,254,224                   // paddd         %xmm8,%xmm12
  .byte  102,69,15,56,64,229                 // pmulld        %xmm13,%xmm12
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,254,226                   // paddd         %xmm10,%xmm4
  .byte  102,72,15,58,22,225,1               // pextrq        $0x1,%xmm4,%rcx
  .byte  102,72,15,126,227                   // movq          %xmm4,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,20,168                 // movss         (%rax,%rbp,4),%xmm10
  .byte  102,68,15,58,33,20,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm10
  .byte  243,66,15,16,36,176                 // movss         (%rax,%r14,4),%xmm4
  .byte  102,68,15,58,33,212,32              // insertps      $0x20,%xmm4,%xmm10
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,68,15,58,33,212,48              // insertps      $0x30,%xmm4,%xmm10
  .byte  102,69,15,126,229                   // movd          %xmm12,%r13d
  .byte  102,69,15,58,22,231,1               // pextrd        $0x1,%xmm12,%r15d
  .byte  102,69,15,58,22,228,2               // pextrd        $0x2,%xmm12,%r12d
  .byte  102,69,15,58,22,230,3               // pextrd        $0x3,%xmm12,%r14d
  .byte  102,69,15,254,225                   // paddd         %xmm9,%xmm12
  .byte  102,76,15,58,22,227,1               // pextrq        $0x1,%xmm12,%rbx
  .byte  102,76,15,126,229                   // movq          %xmm12,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,4,136                  // movss         (%rax,%rcx,4),%xmm8
  .byte  102,68,15,58,33,4,168,16            // insertps      $0x10,(%rax,%rbp,4),%xmm8
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,36,136                    // movss         (%rax,%rcx,4),%xmm4
  .byte  102,68,15,58,33,196,32              // insertps      $0x20,%xmm4,%xmm8
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,36,152                    // movss         (%rax,%rbx,4),%xmm4
  .byte  102,68,15,58,33,196,48              // insertps      $0x30,%xmm4,%xmm8
  .byte  243,70,15,16,36,128                 // movss         (%rax,%r8,4),%xmm12
  .byte  102,70,15,58,33,36,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm12
  .byte  102,70,15,58,33,36,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm12
  .byte  102,70,15,58,33,36,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm12
  .byte  243,66,15,16,36,168                 // movss         (%rax,%r13,4),%xmm4
  .byte  102,66,15,58,33,36,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm4
  .byte  102,66,15,58,33,36,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm4
  .byte  102,66,15,58,33,36,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm4
  .byte  65,15,92,228                        // subps         %xmm12,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  65,15,88,228                        // addps         %xmm12,%xmm4
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,89,215                        // mulps         %xmm15,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  68,15,92,197                        // subps         %xmm5,%xmm8
  .byte  69,15,89,199                        // mulps         %xmm15,%xmm8
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,68,36,128                     // movaps        -0x80(%rsp),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,227                           // addps         %xmm3,%xmm4
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  68,15,88,209                        // addps         %xmm1,%xmm10
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  102,68,15,254,116,36,192            // paddd         -0x40(%rsp),%xmm14
  .byte  102,15,111,68,36,208                // movdqa        -0x30(%rsp),%xmm0
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,254,76,36,176                // paddd         -0x50(%rsp),%xmm1
  .byte  102,65,15,56,64,205                 // pmulld        %xmm13,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,68,15,111,37,5,37,1,0           // movdqa        0x12505(%rip),%xmm12        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,196                   // paddd         %xmm12,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,4,168,16               // insertps      $0x10,(%rax,%rbp,4),%xmm0
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,15,58,33,194,32                 // insertps      $0x20,%xmm2,%xmm0
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,194,48                 // insertps      $0x30,%xmm2,%xmm0
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,65,15,58,22,201,1               // pextrd        $0x1,%xmm1,%r9d
  .byte  102,65,15,58,22,202,2               // pextrd        $0x2,%xmm1,%r10d
  .byte  102,65,15,58,22,203,3               // pextrd        $0x3,%xmm1,%r11d
  .byte  102,15,111,29,194,36,1,0            // movdqa        0x124c2(%rip),%xmm3        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  102,72,15,58,22,201,1               // pextrq        $0x1,%xmm1,%rcx
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,15,58,33,202,32                 // insertps      $0x20,%xmm2,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,202,48                 // insertps      $0x30,%xmm2,%xmm1
  .byte  102,15,254,108,36,160               // paddd         -0x60(%rsp),%xmm5
  .byte  102,65,15,56,64,237                 // pmulld        %xmm13,%xmm5
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,65,15,254,212                   // paddd         %xmm12,%xmm2
  .byte  102,72,15,58,22,209,1               // pextrq        $0x1,%xmm2,%rcx
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,68,15,16,12,168                 // movss         (%rax,%rbp,4),%xmm9
  .byte  102,68,15,58,33,12,152,16           // insertps      $0x10,(%rax,%rbx,4),%xmm9
  .byte  243,66,15,16,20,176                 // movss         (%rax,%r14,4),%xmm2
  .byte  102,68,15,58,33,202,32              // insertps      $0x20,%xmm2,%xmm9
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,202,48              // insertps      $0x30,%xmm2,%xmm9
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,65,15,126,213                   // movd          %xmm2,%r13d
  .byte  102,65,15,58,22,215,1               // pextrd        $0x1,%xmm2,%r15d
  .byte  102,65,15,58,22,212,2               // pextrd        $0x2,%xmm2,%r12d
  .byte  102,65,15,58,22,214,3               // pextrd        $0x3,%xmm2,%r14d
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,72,15,58,22,211,1               // pextrq        $0x1,%xmm2,%rbx
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,68,15,16,36,136                 // movss         (%rax,%rcx,4),%xmm12
  .byte  102,68,15,58,33,36,168,16           // insertps      $0x10,(%rax,%rbp,4),%xmm12
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,68,15,58,33,226,32              // insertps      $0x20,%xmm2,%xmm12
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,20,152                    // movss         (%rax,%rbx,4),%xmm2
  .byte  102,68,15,58,33,226,48              // insertps      $0x30,%xmm2,%xmm12
  .byte  243,66,15,16,20,128                 // movss         (%rax,%r8,4),%xmm2
  .byte  102,66,15,58,33,20,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm2
  .byte  102,66,15,58,33,20,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm2
  .byte  102,66,15,58,33,20,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm2
  .byte  243,70,15,16,44,168                 // movss         (%rax,%r13,4),%xmm13
  .byte  102,70,15,58,33,44,184,16           // insertps      $0x10,(%rax,%r15,4),%xmm13
  .byte  102,70,15,58,33,44,160,32           // insertps      $0x20,(%rax,%r12,4),%xmm13
  .byte  102,70,15,58,33,44,176,48           // insertps      $0x30,(%rax,%r14,4),%xmm13
  .byte  68,15,92,234                        // subps         %xmm2,%xmm13
  .byte  69,15,89,239                        // mulps         %xmm15,%xmm13
  .byte  68,15,88,234                        // addps         %xmm2,%xmm13
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  69,15,89,231                        // mulps         %xmm15,%xmm12
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  102,68,15,254,116,36,144            // paddd         -0x70(%rsp),%xmm14
  .byte  102,15,111,68,36,176                // movdqa        -0x50(%rsp),%xmm0
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,15,56,64,5,190,41,1,0           // pmulld        0x129be(%rip),%xmm0        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,5,34,35,1,0              // paddd         0x12322(%rip),%xmm0        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,197                   // movq          %xmm0,%rbp
  .byte  137,235                             // mov           %ebp,%ebx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  65,137,200                          // mov           %ecx,%r8d
  .byte  243,15,16,28,152                    // movss         (%rax,%rbx,4),%xmm3
  .byte  102,15,58,33,28,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm3
  .byte  243,66,15,16,4,128                  // movss         (%rax,%r8,4),%xmm0
  .byte  102,15,58,33,216,32                 // insertps      $0x20,%xmm0,%xmm3
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,216,48                 // insertps      $0x30,%xmm0,%xmm3
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,65,15,58,22,193,1               // pextrd        $0x1,%xmm0,%r9d
  .byte  102,65,15,58,22,194,2               // pextrd        $0x2,%xmm0,%r10d
  .byte  102,65,15,58,22,195,3               // pextrd        $0x3,%xmm0,%r11d
  .byte  102,15,111,213                      // movdqa        %xmm5,%xmm2
  .byte  102,15,254,194                      // paddd         %xmm2,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,44,168                    // movss         (%rax,%rbp,4),%xmm5
  .byte  102,15,58,33,44,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm5
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,232,32                 // insertps      $0x20,%xmm0,%xmm5
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,232,48                 // insertps      $0x30,%xmm0,%xmm5
  .byte  102,68,15,254,116,36,160            // paddd         -0x60(%rsp),%xmm14
  .byte  102,68,15,56,64,53,3,41,1,0         // pmulld        0x12903(%rip),%xmm14        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,111,5,107,34,1,0             // movdqa        0x1226b(%rip),%xmm0        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,72,15,58,22,193,1               // pextrq        $0x1,%xmm0,%rcx
  .byte  102,72,15,126,195                   // movq          %xmm0,%rbx
  .byte  137,221                             // mov           %ebx,%ebp
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  65,137,206                          // mov           %ecx,%r14d
  .byte  243,15,16,12,168                    // movss         (%rax,%rbp,4),%xmm1
  .byte  102,15,58,33,12,152,16              // insertps      $0x10,(%rax,%rbx,4),%xmm1
  .byte  243,66,15,16,4,176                  // movss         (%rax,%r14,4),%xmm0
  .byte  102,15,58,33,200,32                 // insertps      $0x20,%xmm0,%xmm1
  .byte  72,193,233,32                       // shr           $0x20,%rcx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,200,48                 // insertps      $0x30,%xmm0,%xmm1
  .byte  102,69,15,126,245                   // movd          %xmm14,%r13d
  .byte  102,69,15,58,22,247,1               // pextrd        $0x1,%xmm14,%r15d
  .byte  102,69,15,58,22,244,2               // pextrd        $0x2,%xmm14,%r12d
  .byte  102,69,15,58,22,246,3               // pextrd        $0x3,%xmm14,%r14d
  .byte  102,68,15,254,242                   // paddd         %xmm2,%xmm14
  .byte  102,76,15,58,22,243,1               // pextrq        $0x1,%xmm14,%rbx
  .byte  102,76,15,126,245                   // movq          %xmm14,%rbp
  .byte  137,233                             // mov           %ebp,%ecx
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  243,15,16,20,136                    // movss         (%rax,%rcx,4),%xmm2
  .byte  102,15,58,33,20,168,16              // insertps      $0x10,(%rax,%rbp,4),%xmm2
  .byte  137,217                             // mov           %ebx,%ecx
  .byte  243,15,16,4,136                     // movss         (%rax,%rcx,4),%xmm0
  .byte  102,15,58,33,208,32                 // insertps      $0x20,%xmm0,%xmm2
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  243,15,16,4,152                     // movss         (%rax,%rbx,4),%xmm0
  .byte  102,15,58,33,208,48                 // insertps      $0x30,%xmm0,%xmm2
  .byte  243,70,15,16,52,128                 // movss         (%rax,%r8,4),%xmm14
  .byte  102,70,15,58,33,52,136,16           // insertps      $0x10,(%rax,%r9,4),%xmm14
  .byte  102,70,15,58,33,52,144,32           // insertps      $0x20,(%rax,%r10,4),%xmm14
  .byte  102,70,15,58,33,52,152,48           // insertps      $0x30,(%rax,%r11,4),%xmm14
  .byte  243,66,15,16,4,168                  // movss         (%rax,%r13,4),%xmm0
  .byte  102,66,15,58,33,4,184,16            // insertps      $0x10,(%rax,%r15,4),%xmm0
  .byte  102,66,15,58,33,4,160,32            // insertps      $0x20,(%rax,%r12,4),%xmm0
  .byte  102,66,15,58,33,4,176,48            // insertps      $0x30,(%rax,%r14,4),%xmm0
  .byte  65,15,92,198                        // subps         %xmm14,%xmm0
  .byte  65,15,89,199                        // mulps         %xmm15,%xmm0
  .byte  65,15,88,198                        // addps         %xmm14,%xmm0
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  15,40,92,36,128                     // movaps        -0x80(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,197                        // addps         %xmm13,%xmm0
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  65,15,92,212                        // subps         %xmm12,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,92,208                        // subps         %xmm8,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  15,91,28,36                         // cvtdq2ps      (%rsp),%xmm3
  .byte  15,40,100,36,64                     // movaps        0x40(%rsp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,233,32,1,0                 // movaps        0x120e9(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,139,76,36,248                    // mov           -0x8(%rsp),%rcx
  .byte  15,40,100,36,80                     // movaps        0x50(%rsp),%xmm4
  .byte  15,40,108,36,96                     // movaps        0x60(%rsp),%xmm5
  .byte  15,40,116,36,112                    // movaps        0x70(%rsp),%xmm6
  .byte  15,40,188,36,128,0,0,0              // movaps        0x80(%rsp),%xmm7
  .byte  72,129,196,152,0,0,0                // add           $0x98,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_start_pipeline_sse2
.globl _sk_start_pipeline_sse2
FUNCTION(_sk_start_pipeline_sse2)
_sk_start_pipeline_sse2:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           1a288 <_sk_start_pipeline_sse2+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,4                         // lea           0x4(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            1a26e <_sk_start_pipeline_sse2+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,4                      // lea           0x4(%r12),%rdx
  .byte  73,131,196,8                        // add           $0x8,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           1a24f <_sk_start_pipeline_sse2+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            1a27f <_sk_start_pipeline_sse2+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           1a241 <_sk_start_pipeline_sse2+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse2
.globl _sk_just_return_sse2
FUNCTION(_sk_just_return_sse2)
_sk_just_return_sse2:
  .byte  195                                 // retq

HIDDEN _sk_seed_shader_sse2
.globl _sk_seed_shader_sse2
FUNCTION(_sk_seed_shader_sse2)
_sk_seed_shader_sse2:
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,21,245,31,1,0                 // movaps        0x11ff5(%rip),%xmm2        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,88,5,251,31,1,0                  // addps         0x11ffb(%rip),%xmm0        # 2c2b0 <_sk_overlay_sse2_8bit+0xe94>
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,21,243,31,1,0                 // movaps        0x11ff3(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dither_sse2
.globl _sk_dither_sse2
FUNCTION(_sk_dither_sse2)
_sk_dither_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,68,15,110,194                   // movd          %edx,%xmm8
  .byte  102,69,15,112,200,0                 // pshufd        $0x0,%xmm8,%xmm9
  .byte  102,68,15,254,13,140,31,1,0         // paddd         0x11f8c(%rip),%xmm9        # 2c280 <_sk_overlay_sse2_8bit+0xe64>
  .byte  102,68,15,110,193                   // movd          %ecx,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,68,15,111,21,195,31,1,0         // movdqa        0x11fc3(%rip),%xmm10        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,69,15,111,216                   // movdqa        %xmm8,%xmm11
  .byte  102,69,15,219,218                   // pand          %xmm10,%xmm11
  .byte  102,65,15,114,243,5                 // pslld         $0x5,%xmm11
  .byte  102,69,15,219,209                   // pand          %xmm9,%xmm10
  .byte  102,65,15,114,242,4                 // pslld         $0x4,%xmm10
  .byte  102,68,15,111,37,175,31,1,0         // movdqa        0x11faf(%rip),%xmm12        # 2c2e0 <_sk_overlay_sse2_8bit+0xec4>
  .byte  102,68,15,111,45,182,31,1,0         // movdqa        0x11fb6(%rip),%xmm13        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,69,15,219,245                   // pand          %xmm13,%xmm14
  .byte  102,65,15,114,246,2                 // pslld         $0x2,%xmm14
  .byte  102,69,15,219,233                   // pand          %xmm9,%xmm13
  .byte  102,69,15,254,237                   // paddd         %xmm13,%xmm13
  .byte  102,69,15,219,196                   // pand          %xmm12,%xmm8
  .byte  102,65,15,114,208,1                 // psrld         $0x1,%xmm8
  .byte  102,69,15,219,204                   // pand          %xmm12,%xmm9
  .byte  102,65,15,114,209,2                 // psrld         $0x2,%xmm9
  .byte  102,69,15,235,234                   // por           %xmm10,%xmm13
  .byte  102,69,15,235,233                   // por           %xmm9,%xmm13
  .byte  102,69,15,235,243                   // por           %xmm11,%xmm14
  .byte  102,69,15,235,245                   // por           %xmm13,%xmm14
  .byte  102,69,15,235,240                   // por           %xmm8,%xmm14
  .byte  69,15,91,198                        // cvtdq2ps      %xmm14,%xmm8
  .byte  68,15,89,5,113,31,1,0               // mulps         0x11f71(%rip),%xmm8        # 2c300 <_sk_overlay_sse2_8bit+0xee4>
  .byte  68,15,88,5,121,31,1,0               // addps         0x11f79(%rip),%xmm8        # 2c310 <_sk_overlay_sse2_8bit+0xef4>
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  68,15,93,211                        // minps         %xmm3,%xmm10
  .byte  65,15,95,210                        // maxps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_uniform_color_sse2
.globl _sk_uniform_color_sse2
FUNCTION(_sk_uniform_color_sse2)
_sk_uniform_color_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse2
.globl _sk_black_color_sse2
FUNCTION(_sk_black_color_sse2)
_sk_black_color_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,175,30,1,0                 // movaps        0x11eaf(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse2
.globl _sk_white_color_sse2
FUNCTION(_sk_white_color_sse2)
_sk_white_color_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,155,30,1,0                  // movaps        0x11e9b(%rip),%xmm0        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_rgba_sse2
.globl _sk_load_rgba_sse2
FUNCTION(_sk_load_rgba_sse2)
_sk_load_rgba_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  15,16,72,16                         // movups        0x10(%rax),%xmm1
  .byte  15,16,80,32                         // movups        0x20(%rax),%xmm2
  .byte  15,16,88,48                         // movups        0x30(%rax),%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_rgba_sse2
.globl _sk_store_rgba_sse2
FUNCTION(_sk_store_rgba_sse2)
_sk_store_rgba_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  15,17,72,16                         // movups        %xmm1,0x10(%rax)
  .byte  15,17,80,32                         // movups        %xmm2,0x20(%rax)
  .byte  15,17,88,48                         // movups        %xmm3,0x30(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse2
.globl _sk_clear_sse2
FUNCTION(_sk_clear_sse2)
_sk_clear_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse2
.globl _sk_srcatop_sse2
FUNCTION(_sk_srcatop_sse2)
_sk_srcatop_sse2:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  68,15,40,5,75,30,1,0                // movaps        0x11e4b(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse2
.globl _sk_dstatop_sse2
FUNCTION(_sk_dstatop_sse2)
_sk_dstatop_sse2:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  68,15,40,13,254,29,1,0              // movaps        0x11dfe(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  65,15,88,208                        // addps         %xmm8,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse2
.globl _sk_srcin_sse2
FUNCTION(_sk_srcin_sse2)
_sk_srcin_sse2:
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse2
.globl _sk_dstin_sse2
FUNCTION(_sk_dstin_sse2)
_sk_dstin_sse2:
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse2
.globl _sk_srcout_sse2
FUNCTION(_sk_srcout_sse2)
_sk_srcout_sse2:
  .byte  68,15,40,5,146,29,1,0               // movaps        0x11d92(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse2
.globl _sk_dstout_sse2
FUNCTION(_sk_dstout_sse2)
_sk_dstout_sse2:
  .byte  68,15,40,5,114,29,1,0               // movaps        0x11d72(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse2
.globl _sk_srcover_sse2
FUNCTION(_sk_srcover_sse2)
_sk_srcover_sse2:
  .byte  68,15,40,5,69,29,1,0                // movaps        0x11d45(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse2
.globl _sk_dstover_sse2
FUNCTION(_sk_dstover_sse2)
_sk_dstover_sse2:
  .byte  68,15,40,5,9,29,1,0                 // movaps        0x11d09(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse2
.globl _sk_modulate_sse2
FUNCTION(_sk_modulate_sse2)
_sk_modulate_sse2:
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse2
.globl _sk_multiply_sse2
FUNCTION(_sk_multiply_sse2)
_sk_multiply_sse2:
  .byte  68,15,40,5,205,28,1,0               // movaps        0x11ccd(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,220                        // mulps         %xmm4,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,221                        // mulps         %xmm5,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,216                        // addps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse2
.globl _sk_plus__sse2
FUNCTION(_sk_plus__sse2)
_sk_plus__sse2:
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,40,5,78,28,1,0                // movaps        0x11c4e(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse2
.globl _sk_screen_sse2
FUNCTION(_sk_screen_sse2)
_sk_screen_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,196                        // mulps         %xmm4,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  68,15,88,206                        // addps         %xmm6,%xmm9
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,92,202                        // subps         %xmm2,%xmm9
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,88,215                        // addps         %xmm7,%xmm10
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse2
.globl _sk_xor__sse2
FUNCTION(_sk_xor__sse2)
_sk_xor__sse2:
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  15,40,29,218,27,1,0                 // movaps        0x11bda(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,92,207                        // subps         %xmm7,%xmm9
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  65,15,92,216                        // subps         %xmm8,%xmm3
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,212                        // mulps         %xmm4,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse2
.globl _sk_darken_sse2
FUNCTION(_sk_darken_sse2)
_sk_darken_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,95,201                        // maxps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,95,193                        // maxps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,95,209                        // maxps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,53,27,1,0                  // movaps        0x11b35(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse2
.globl _sk_lighten_sse2
FUNCTION(_sk_lighten_sse2)
_sk_lighten_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,202,26,1,0                 // movaps        0x11aca(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse2
.globl _sk_difference_sse2
FUNCTION(_sk_difference_sse2)
_sk_difference_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  68,15,93,201                        // minps         %xmm1,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,93,193                        // minps         %xmm9,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,93,209                        // minps         %xmm9,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,84,26,1,0                  // movaps        0x11a54(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse2
.globl _sk_exclusion_sse2
FUNCTION(_sk_exclusion_sse2)
_sk_exclusion_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,88,198                        // addps         %xmm6,%xmm8
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  68,15,92,194                        // subps         %xmm2,%xmm8
  .byte  15,40,21,4,26,1,0                   // movaps        0x11a04(%rip),%xmm2        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colorburn_sse2
.globl _sk_colorburn_sse2
FUNCTION(_sk_colorburn_sse2)
_sk_colorburn_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  68,15,40,13,231,25,1,0              // movaps        0x119e7(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,92,215                        // subps         %xmm7,%xmm10
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  69,15,83,224                        // rcpps         %xmm8,%xmm12
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,93,196                        // minps         %xmm12,%xmm0
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,92,224                        // subps         %xmm0,%xmm12
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  68,15,92,203                        // subps         %xmm3,%xmm9
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  69,15,194,195,0                     // cmpeqps       %xmm11,%xmm8
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,84,232                        // andps         %xmm8,%xmm13
  .byte  69,15,85,196                        // andnps        %xmm12,%xmm8
  .byte  68,15,40,228                        // movaps        %xmm4,%xmm12
  .byte  68,15,194,231,0                     // cmpeqps       %xmm7,%xmm12
  .byte  69,15,86,197                        // orps          %xmm13,%xmm8
  .byte  65,15,84,196                        // andps         %xmm12,%xmm0
  .byte  69,15,85,224                        // andnps        %xmm8,%xmm12
  .byte  65,15,86,196                        // orps          %xmm12,%xmm0
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,92,229                        // subps         %xmm5,%xmm12
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  68,15,83,233                        // rcpps         %xmm1,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  69,15,93,229                        // minps         %xmm13,%xmm12
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  68,15,89,229                        // mulps         %xmm5,%xmm12
  .byte  65,15,194,203,0                     // cmpeqps       %xmm11,%xmm1
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,232                        // addps         %xmm8,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  68,15,84,225                        // andps         %xmm1,%xmm12
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  68,15,88,197                        // addps         %xmm5,%xmm8
  .byte  65,15,86,204                        // orps          %xmm12,%xmm1
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  68,15,194,231,0                     // cmpeqps       %xmm7,%xmm12
  .byte  69,15,84,196                        // andps         %xmm12,%xmm8
  .byte  68,15,85,225                        // andnps        %xmm1,%xmm12
  .byte  69,15,86,196                        // orps          %xmm12,%xmm8
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,194,218,0                     // cmpeqps       %xmm2,%xmm11
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,83,210                           // rcpps         %xmm2,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,93,202                           // minps         %xmm2,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  65,15,84,203                        // andps         %xmm11,%xmm1
  .byte  68,15,85,218                        // andnps        %xmm2,%xmm11
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  68,15,86,217                        // orps          %xmm1,%xmm11
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,194,207,0                        // cmpeqps       %xmm7,%xmm1
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  65,15,85,203                        // andnps        %xmm11,%xmm1
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_colordodge_sse2
.globl _sk_colordodge_sse2
FUNCTION(_sk_colordodge_sse2)
_sk_colordodge_sse2:
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,40,21,143,24,1,0              // movaps        0x1188f(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  68,15,92,223                        // subps         %xmm7,%xmm11
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,228                        // mulps         %xmm4,%xmm12
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  69,15,83,192                        // rcpps         %xmm8,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,93,232                        // minps         %xmm8,%xmm13
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  68,15,194,243,0                     // cmpeqps       %xmm3,%xmm14
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  69,15,84,206                        // andps         %xmm14,%xmm9
  .byte  69,15,85,245                        // andnps        %xmm13,%xmm14
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,92,211                        // subps         %xmm3,%xmm10
  .byte  69,15,86,241                        // orps          %xmm9,%xmm14
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  69,15,88,241                        // addps         %xmm9,%xmm14
  .byte  68,15,40,204                        // movaps        %xmm4,%xmm9
  .byte  69,15,194,200,0                     // cmpeqps       %xmm8,%xmm9
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  69,15,85,206                        // andnps        %xmm14,%xmm9
  .byte  65,15,86,193                        // orps          %xmm9,%xmm0
  .byte  68,15,40,203                        // movaps        %xmm3,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  68,15,40,235                        // movaps        %xmm3,%xmm13
  .byte  68,15,92,233                        // subps         %xmm1,%xmm13
  .byte  69,15,83,237                        // rcpps         %xmm13,%xmm13
  .byte  69,15,89,233                        // mulps         %xmm9,%xmm13
  .byte  69,15,40,203                        // movaps        %xmm11,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,93,229                        // minps         %xmm13,%xmm12
  .byte  68,15,40,233                        // movaps        %xmm1,%xmm13
  .byte  68,15,194,235,0                     // cmpeqps       %xmm3,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  65,15,84,205                        // andps         %xmm13,%xmm1
  .byte  69,15,85,236                        // andnps        %xmm12,%xmm13
  .byte  68,15,86,233                        // orps          %xmm1,%xmm13
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  68,15,88,233                        // addps         %xmm1,%xmm13
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  65,15,194,200,0                     // cmpeqps       %xmm8,%xmm1
  .byte  68,15,84,201                        // andps         %xmm1,%xmm9
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  68,15,89,230                        // mulps         %xmm6,%xmm12
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  68,15,83,233                        // rcpps         %xmm1,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,93,229                        // minps         %xmm13,%xmm12
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,194,203,0                        // cmpeqps       %xmm3,%xmm1
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  65,15,85,204                        // andnps        %xmm12,%xmm1
  .byte  15,86,202                           // orps          %xmm2,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  68,15,194,198,0                     // cmpeqps       %xmm6,%xmm8
  .byte  69,15,84,216                        // andps         %xmm8,%xmm11
  .byte  68,15,85,193                        // andnps        %xmm1,%xmm8
  .byte  69,15,86,195                        // orps          %xmm11,%xmm8
  .byte  68,15,89,215                        // mulps         %xmm7,%xmm10
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse2
.globl _sk_hardlight_sse2
FUNCTION(_sk_hardlight_sse2)
_sk_hardlight_sse2:
  .byte  15,41,116,36,232                    // movaps        %xmm6,-0x18(%rsp)
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  68,15,40,29,56,23,1,0               // movaps        0x11738(%rip),%xmm11        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,211                        // movaps        %xmm11,%xmm10
  .byte  68,15,92,215                        // subps         %xmm7,%xmm10
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  69,15,40,203                        // movaps        %xmm11,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  68,15,40,195                        // movaps        %xmm3,%xmm8
  .byte  68,15,92,192                        // subps         %xmm0,%xmm8
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  68,15,40,255                        // movaps        %xmm7,%xmm15
  .byte  68,15,92,253                        // subps         %xmm5,%xmm15
  .byte  69,15,89,248                        // mulps         %xmm8,%xmm15
  .byte  69,15,88,255                        // addps         %xmm15,%xmm15
  .byte  68,15,40,228                        // movaps        %xmm4,%xmm12
  .byte  69,15,92,231                        // subps         %xmm15,%xmm12
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  68,15,194,195,2                     // cmpleps       %xmm3,%xmm8
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  69,15,85,196                        // andnps        %xmm12,%xmm8
  .byte  68,15,86,192                        // orps          %xmm0,%xmm8
  .byte  69,15,40,251                        // movaps        %xmm11,%xmm15
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,89,254                        // mulps         %xmm6,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  68,15,92,238                        // subps         %xmm6,%xmm13
  .byte  68,15,89,232                        // mulps         %xmm0,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,88,201                        // addps         %xmm9,%xmm9
  .byte  68,15,194,203,2                     // cmpleps       %xmm3,%xmm9
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  65,15,84,201                        // andps         %xmm9,%xmm1
  .byte  68,15,85,200                        // andnps        %xmm0,%xmm9
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  69,15,88,207                        // addps         %xmm15,%xmm9
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,40,108,36,232                 // movaps        -0x18(%rsp),%xmm13
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,88,226                        // addps         %xmm10,%xmm12
  .byte  68,15,40,210                        // movaps        %xmm2,%xmm10
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  68,15,194,211,2                     // cmpleps       %xmm3,%xmm10
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,92,245                        // subps         %xmm13,%xmm14
  .byte  68,15,89,240                        // mulps         %xmm0,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  65,15,92,230                        // subps         %xmm14,%xmm4
  .byte  65,15,84,210                        // andps         %xmm10,%xmm2
  .byte  68,15,85,212                        // andnps        %xmm4,%xmm10
  .byte  68,15,86,210                        // orps          %xmm2,%xmm10
  .byte  69,15,88,212                        // addps         %xmm12,%xmm10
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  65,15,40,245                        // movaps        %xmm13,%xmm6
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse2
.globl _sk_overlay_sse2
FUNCTION(_sk_overlay_sse2)
_sk_overlay_sse2:
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  68,15,40,232                        // movaps        %xmm0,%xmm13
  .byte  68,15,40,13,246,21,1,0              // movaps        0x115f6(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  68,15,92,215                        // subps         %xmm7,%xmm10
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  68,15,92,203                        // subps         %xmm3,%xmm9
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,89,236                        // mulps         %xmm4,%xmm13
  .byte  68,15,40,247                        // movaps        %xmm7,%xmm14
  .byte  68,15,92,244                        // subps         %xmm4,%xmm14
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,207,2                        // cmpleps       %xmm7,%xmm1
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  69,15,89,244                        // mulps         %xmm12,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,92,230                        // subps         %xmm14,%xmm12
  .byte  68,15,84,233                        // andps         %xmm1,%xmm13
  .byte  65,15,85,204                        // andnps        %xmm12,%xmm1
  .byte  65,15,86,205                        // orps          %xmm13,%xmm1
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  69,15,89,224                        // mulps         %xmm8,%xmm12
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  65,15,88,204                        // addps         %xmm12,%xmm1
  .byte  68,15,40,227                        // movaps        %xmm3,%xmm12
  .byte  69,15,92,224                        // subps         %xmm8,%xmm12
  .byte  68,15,89,197                        // mulps         %xmm5,%xmm8
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  68,15,92,237                        // subps         %xmm5,%xmm13
  .byte  68,15,40,245                        // movaps        %xmm5,%xmm14
  .byte  69,15,88,246                        // addps         %xmm14,%xmm14
  .byte  68,15,194,247,2                     // cmpleps       %xmm7,%xmm14
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,84,198                        // andps         %xmm14,%xmm8
  .byte  69,15,85,244                        // andnps        %xmm12,%xmm14
  .byte  69,15,86,240                        // orps          %xmm8,%xmm14
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  69,15,88,194                        // addps         %xmm10,%xmm8
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,92,230                        // subps         %xmm6,%xmm12
  .byte  68,15,40,238                        // movaps        %xmm6,%xmm13
  .byte  69,15,88,237                        // addps         %xmm13,%xmm13
  .byte  68,15,194,239,2                     // cmpleps       %xmm7,%xmm13
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,88,228                        // addps         %xmm12,%xmm12
  .byte  69,15,92,220                        // subps         %xmm12,%xmm11
  .byte  65,15,84,213                        // andps         %xmm13,%xmm2
  .byte  69,15,85,235                        // andnps        %xmm11,%xmm13
  .byte  68,15,86,234                        // orps          %xmm2,%xmm13
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  68,15,89,207                        // mulps         %xmm7,%xmm9
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_softlight_sse2
.globl _sk_softlight_sse2
FUNCTION(_sk_softlight_sse2)
_sk_softlight_sse2:
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,87,228                        // xorps         %xmm12,%xmm12
  .byte  68,15,194,231,1                     // cmpltps       %xmm7,%xmm12
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  68,15,94,215                        // divps         %xmm7,%xmm10
  .byte  69,15,84,212                        // andps         %xmm12,%xmm10
  .byte  68,15,40,13,163,20,1,0              // movaps        0x114a3(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  69,15,92,250                        // subps         %xmm10,%xmm15
  .byte  69,15,40,218                        // movaps        %xmm10,%xmm11
  .byte  69,15,40,234                        // movaps        %xmm10,%xmm13
  .byte  65,15,82,194                        // rsqrtps       %xmm10,%xmm0
  .byte  15,83,200                           // rcpps         %xmm0,%xmm1
  .byte  65,15,92,202                        // subps         %xmm10,%xmm1
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,40,53,205,20,1,0              // movaps        0x114cd(%rip),%xmm14        # 2c320 <_sk_overlay_sse2_8bit+0xf04>
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  68,15,89,216                        // mulps         %xmm0,%xmm11
  .byte  68,15,40,21,205,20,1,0              // movaps        0x114cd(%rip),%xmm10        # 2c330 <_sk_overlay_sse2_8bit+0xf14>
  .byte  69,15,89,234                        // mulps         %xmm10,%xmm13
  .byte  69,15,88,235                        // addps         %xmm11,%xmm13
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,194,231,2                        // cmpleps       %xmm7,%xmm4
  .byte  68,15,84,236                        // andps         %xmm4,%xmm13
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  65,15,86,229                        // orps          %xmm13,%xmm4
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  68,15,89,249                        // mulps         %xmm1,%xmm15
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  69,15,40,217                        // movaps        %xmm9,%xmm11
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  68,15,92,239                        // subps         %xmm7,%xmm13
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  68,15,88,251                        // addps         %xmm3,%xmm15
  .byte  68,15,89,253                        // mulps         %xmm5,%xmm15
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  68,15,84,248                        // andps         %xmm0,%xmm15
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  65,15,86,199                        // orps          %xmm15,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,198                        // movaps        %xmm6,%xmm8
  .byte  68,15,94,199                        // divps         %xmm7,%xmm8
  .byte  69,15,84,196                        // andps         %xmm12,%xmm8
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  69,15,92,248                        // subps         %xmm8,%xmm15
  .byte  65,15,82,224                        // rsqrtps       %xmm8,%xmm4
  .byte  15,83,228                           // rcpps         %xmm4,%xmm4
  .byte  65,15,92,224                        // subps         %xmm8,%xmm4
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,207,2                        // cmpleps       %xmm7,%xmm1
  .byte  68,15,84,193                        // andps         %xmm1,%xmm8
  .byte  15,85,204                           // andnps        %xmm4,%xmm1
  .byte  65,15,86,200                        // orps          %xmm8,%xmm1
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  69,15,88,192                        // addps         %xmm8,%xmm8
  .byte  65,15,40,224                        // movaps        %xmm8,%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  68,15,89,252                        // mulps         %xmm4,%xmm15
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  65,15,40,227                        // movaps        %xmm11,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  68,15,88,251                        // addps         %xmm3,%xmm15
  .byte  68,15,89,254                        // mulps         %xmm6,%xmm15
  .byte  68,15,194,195,2                     // cmpleps       %xmm3,%xmm8
  .byte  69,15,84,248                        // andps         %xmm8,%xmm15
  .byte  68,15,85,193                        // andnps        %xmm1,%xmm8
  .byte  69,15,86,199                        // orps          %xmm15,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  68,15,40,124,36,216                 // movaps        -0x28(%rsp),%xmm15
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,94,207                           // divps         %xmm7,%xmm1
  .byte  65,15,84,204                        // andps         %xmm12,%xmm1
  .byte  68,15,92,201                        // subps         %xmm1,%xmm9
  .byte  68,15,88,241                        // addps         %xmm1,%xmm14
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  15,82,209                           // rsqrtps       %xmm1,%xmm2
  .byte  15,83,210                           // rcpps         %xmm2,%xmm2
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  68,15,89,244                        // mulps         %xmm4,%xmm14
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,207,2                        // cmpleps       %xmm7,%xmm1
  .byte  68,15,84,209                        // andps         %xmm1,%xmm10
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,40,84,36,232                     // movaps        -0x18(%rsp),%xmm2
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  65,15,86,202                        // orps          %xmm10,%xmm1
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  65,15,40,227                        // movaps        %xmm11,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  65,15,88,229                        // addps         %xmm13,%xmm4
  .byte  68,15,88,203                        // addps         %xmm3,%xmm9
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  69,15,40,215                        // movaps        %xmm15,%xmm10
  .byte  15,194,211,2                        // cmpleps       %xmm3,%xmm2
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  65,15,86,209                        // orps          %xmm9,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  68,15,89,223                        // mulps         %xmm7,%xmm11
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  65,15,40,242                        // movaps        %xmm10,%xmm6
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hue_sse2
.globl _sk_hue_sse2
FUNCTION(_sk_hue_sse2)
_sk_hue_sse2:
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  68,15,40,5,96,18,1,0                // movaps        0x11260(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  15,41,68,36,232                     // movaps        %xmm0,-0x18(%rsp)
  .byte  69,15,89,227                        // mulps         %xmm11,%xmm12
  .byte  68,15,41,100,36,216                 // movaps        %xmm12,-0x28(%rsp)
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  68,15,40,237                        // movaps        %xmm5,%xmm13
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,41,68,36,200                     // movaps        %xmm0,-0x38(%rsp)
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  68,15,95,239                        // maxps         %xmm7,%xmm13
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  68,15,40,245                        // movaps        %xmm5,%xmm14
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  69,15,95,253                        // maxps         %xmm13,%xmm15
  .byte  68,15,93,231                        // minps         %xmm7,%xmm12
  .byte  69,15,93,244                        // minps         %xmm12,%xmm14
  .byte  69,15,92,254                        // subps         %xmm14,%xmm15
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  68,15,93,226                        // minps         %xmm2,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,93,236                        // minps         %xmm12,%xmm13
  .byte  69,15,40,226                        // movaps        %xmm10,%xmm12
  .byte  68,15,95,226                        // maxps         %xmm2,%xmm12
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  69,15,95,244                        // maxps         %xmm12,%xmm14
  .byte  69,15,92,245                        // subps         %xmm13,%xmm14
  .byte  69,15,92,205                        // subps         %xmm13,%xmm9
  .byte  69,15,92,213                        // subps         %xmm13,%xmm10
  .byte  65,15,92,213                        // subps         %xmm13,%xmm2
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  68,15,89,251                        // mulps         %xmm3,%xmm15
  .byte  69,15,89,207                        // mulps         %xmm15,%xmm9
  .byte  69,15,89,215                        // mulps         %xmm15,%xmm10
  .byte  65,15,89,215                        // mulps         %xmm15,%xmm2
  .byte  69,15,87,228                        // xorps         %xmm12,%xmm12
  .byte  69,15,94,206                        // divps         %xmm14,%xmm9
  .byte  69,15,94,214                        // divps         %xmm14,%xmm10
  .byte  65,15,94,214                        // divps         %xmm14,%xmm2
  .byte  69,15,194,244,4                     // cmpneqps      %xmm12,%xmm14
  .byte  69,15,84,206                        // andps         %xmm14,%xmm9
  .byte  69,15,84,214                        // andps         %xmm14,%xmm10
  .byte  65,15,84,214                        // andps         %xmm14,%xmm2
  .byte  68,15,40,61,29,18,1,0               // movaps        0x1121d(%rip),%xmm15        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  15,40,5,34,18,1,0                   // movaps        0x11222(%rip),%xmm0        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  68,15,40,53,36,18,1,0               // movaps        0x11224(%rip),%xmm14        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  68,15,40,239                        // movaps        %xmm7,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,238                        // addps         %xmm6,%xmm13
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,89,231                        // mulps         %xmm15,%xmm4
  .byte  65,15,40,242                        // movaps        %xmm10,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  65,15,89,230                        // mulps         %xmm14,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  68,15,92,236                        // subps         %xmm4,%xmm13
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  69,15,88,213                        // addps         %xmm13,%xmm10
  .byte  68,15,88,234                        // addps         %xmm2,%xmm13
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,93,213                        // minps         %xmm13,%xmm2
  .byte  65,15,40,241                        // movaps        %xmm9,%xmm6
  .byte  15,93,242                           // minps         %xmm2,%xmm6
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,95,213                        // maxps         %xmm13,%xmm2
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  15,95,226                           // maxps         %xmm2,%xmm4
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  68,15,88,240                        // addps         %xmm0,%xmm14
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,194,214,2                        // cmpleps       %xmm6,%xmm2
  .byte  69,15,40,254                        // movaps        %xmm14,%xmm15
  .byte  68,15,92,254                        // subps         %xmm6,%xmm15
  .byte  65,15,40,241                        // movaps        %xmm9,%xmm6
  .byte  65,15,92,246                        // subps         %xmm14,%xmm6
  .byte  65,15,89,246                        // mulps         %xmm14,%xmm6
  .byte  65,15,94,247                        // divps         %xmm15,%xmm6
  .byte  65,15,88,246                        // addps         %xmm14,%xmm6
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,85,198                           // andnps        %xmm6,%xmm0
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,41,76,36,184                     // movaps        %xmm1,-0x48(%rsp)
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,196,1                        // cmpltps       %xmm4,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,201                        // andnps        %xmm9,%xmm1
  .byte  69,15,92,206                        // subps         %xmm14,%xmm9
  .byte  65,15,92,246                        // subps         %xmm14,%xmm6
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  65,15,92,230                        // subps         %xmm14,%xmm4
  .byte  68,15,94,204                        // divps         %xmm4,%xmm9
  .byte  69,15,88,206                        // addps         %xmm14,%xmm9
  .byte  68,15,84,200                        // andps         %xmm0,%xmm9
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  65,15,94,207                        // divps         %xmm15,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,85,217                           // andnps        %xmm1,%xmm3
  .byte  68,15,84,210                        // andps         %xmm2,%xmm10
  .byte  68,15,86,211                        // orps          %xmm3,%xmm10
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,202                        // andnps        %xmm10,%xmm1
  .byte  69,15,92,214                        // subps         %xmm14,%xmm10
  .byte  68,15,89,214                        // mulps         %xmm6,%xmm10
  .byte  68,15,94,212                        // divps         %xmm4,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  68,15,86,209                        // orps          %xmm1,%xmm10
  .byte  65,15,40,205                        // movaps        %xmm13,%xmm1
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  65,15,94,207                        // divps         %xmm15,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  68,15,84,234                        // andps         %xmm2,%xmm13
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  65,15,86,213                        // orps          %xmm13,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,94,212                           // divps         %xmm4,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  69,15,95,204                        // maxps         %xmm12,%xmm9
  .byte  69,15,95,212                        // maxps         %xmm12,%xmm10
  .byte  65,15,95,212                        // maxps         %xmm12,%xmm2
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,76,36,232                     // movaps        -0x18(%rsp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  15,40,116,36,200                    // movaps        -0x38(%rsp),%xmm6
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  15,40,76,36,216                     // movaps        -0x28(%rsp),%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  69,15,88,195                        // addps         %xmm11,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,124,36,184                    // movaps        -0x48(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_saturation_sse2
.globl _sk_saturation_sse2
FUNCTION(_sk_saturation_sse2)
_sk_saturation_sse2:
  .byte  68,15,40,231                        // movaps        %xmm7,%xmm12
  .byte  68,15,40,198                        // movaps        %xmm6,%xmm8
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  68,15,40,216                        // movaps        %xmm0,%xmm11
  .byte  68,15,40,215                        // movaps        %xmm7,%xmm10
  .byte  68,15,89,212                        // mulps         %xmm4,%xmm10
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,116,36,184                    // movaps        %xmm6,-0x48(%rsp)
  .byte  68,15,40,207                        // movaps        %xmm7,%xmm9
  .byte  68,15,89,205                        // mulps         %xmm5,%xmm9
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,40,232                        // movaps        %xmm8,%xmm13
  .byte  68,15,41,108,36,168                 // movaps        %xmm13,-0x58(%rsp)
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,41,100,36,216                    // movaps        %xmm4,-0x28(%rsp)
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,41,84,36,232                     // movaps        %xmm2,-0x18(%rsp)
  .byte  15,95,218                           // maxps         %xmm2,%xmm3
  .byte  65,15,40,203                        // movaps        %xmm11,%xmm1
  .byte  15,95,203                           // maxps         %xmm3,%xmm1
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,93,218                           // minps         %xmm2,%xmm3
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  65,15,40,228                        // movaps        %xmm12,%xmm4
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,93,208                           // minps         %xmm0,%xmm2
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  68,15,93,194                        // minps         %xmm2,%xmm8
  .byte  65,15,40,209                        // movaps        %xmm9,%xmm2
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,95,218                           // maxps         %xmm2,%xmm3
  .byte  65,15,92,216                        // subps         %xmm8,%xmm3
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  69,15,92,208                        // subps         %xmm8,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  68,15,94,211                        // divps         %xmm3,%xmm10
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  68,15,94,203                        // divps         %xmm3,%xmm9
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,94,195                           // divps         %xmm3,%xmm0
  .byte  15,194,218,4                        // cmpneqps      %xmm2,%xmm3
  .byte  68,15,84,211                        // andps         %xmm3,%xmm10
  .byte  68,15,84,203                        // andps         %xmm3,%xmm9
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  68,15,40,5,118,15,1,0               // movaps        0x10f76(%rip),%xmm8        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,40,13,120,15,1,0                 // movaps        0x10f78(%rip),%xmm1        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  68,15,40,37,119,15,1,0              // movaps        0x10f77(%rip),%xmm12        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,235                        // addps         %xmm3,%xmm13
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,40,217                        // movaps        %xmm9,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  68,15,89,239                        // mulps         %xmm7,%xmm13
  .byte  68,15,92,234                        // subps         %xmm2,%xmm13
  .byte  69,15,88,213                        // addps         %xmm13,%xmm10
  .byte  69,15,88,205                        // addps         %xmm13,%xmm9
  .byte  68,15,88,232                        // addps         %xmm0,%xmm13
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,93,197                        // minps         %xmm13,%xmm0
  .byte  65,15,40,218                        // movaps        %xmm10,%xmm3
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,95,197                        // maxps         %xmm13,%xmm0
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  68,15,95,240                        // maxps         %xmm0,%xmm14
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,194,211,2                        // cmpleps       %xmm3,%xmm2
  .byte  65,15,40,244                        // movaps        %xmm12,%xmm6
  .byte  15,92,243                           // subps         %xmm3,%xmm6
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,94,198                           // divps         %xmm6,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  68,15,84,210                        // andps         %xmm2,%xmm10
  .byte  68,15,86,209                        // orps          %xmm1,%xmm10
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  68,15,40,5,44,14,1,0                // movaps        0x10e2c(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,40,224                        // movaps        %xmm8,%xmm4
  .byte  68,15,92,199                        // subps         %xmm7,%xmm8
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  65,15,194,222,1                     // cmpltps       %xmm14,%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,85,194                        // andnps        %xmm10,%xmm0
  .byte  69,15,92,212                        // subps         %xmm12,%xmm10
  .byte  65,15,92,204                        // subps         %xmm12,%xmm1
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,92,244                        // subps         %xmm12,%xmm14
  .byte  69,15,94,214                        // divps         %xmm14,%xmm10
  .byte  69,15,88,212                        // addps         %xmm12,%xmm10
  .byte  68,15,84,211                        // andps         %xmm3,%xmm10
  .byte  68,15,86,208                        // orps          %xmm0,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,94,198                           // divps         %xmm6,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,40,250                        // movaps        %xmm2,%xmm15
  .byte  68,15,85,248                        // andnps        %xmm0,%xmm15
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  69,15,86,207                        // orps          %xmm15,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,85,193                        // andnps        %xmm9,%xmm0
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,94,206                        // divps         %xmm14,%xmm9
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  68,15,84,203                        // andps         %xmm3,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  65,15,40,197                        // movaps        %xmm13,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,94,198                           // divps         %xmm6,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,84,234                        // andps         %xmm2,%xmm13
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  65,15,86,213                        // orps          %xmm13,%xmm2
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,85,194                           // andnps        %xmm2,%xmm0
  .byte  65,15,92,212                        // subps         %xmm12,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  65,15,94,214                        // divps         %xmm14,%xmm2
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  15,84,211                           // andps         %xmm3,%xmm2
  .byte  15,86,208                           // orps          %xmm0,%xmm2
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  68,15,95,200                        // maxps         %xmm0,%xmm9
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,92,36,184                     // movaps        -0x48(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  68,15,40,229                        // movaps        %xmm5,%xmm12
  .byte  65,15,92,228                        // subps         %xmm12,%xmm4
  .byte  68,15,89,220                        // mulps         %xmm4,%xmm11
  .byte  68,15,88,216                        // addps         %xmm0,%xmm11
  .byte  69,15,88,218                        // addps         %xmm10,%xmm11
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,76,36,216                     // movaps        -0x28(%rsp),%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  15,89,100,36,232                    // mulps         -0x18(%rsp),%xmm4
  .byte  15,40,68,36,168                     // movaps        -0x58(%rsp),%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,88,196                        // addps         %xmm4,%xmm8
  .byte  68,15,88,194                        // addps         %xmm2,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  65,15,40,252                        // movaps        %xmm12,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_color_sse2
.globl _sk_color_sse2
FUNCTION(_sk_color_sse2)
_sk_color_sse2:
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  68,15,41,100,36,216                 // movaps        %xmm12,-0x28(%rsp)
  .byte  68,15,40,221                        // movaps        %xmm5,%xmm11
  .byte  68,15,41,92,36,232                  // movaps        %xmm11,-0x18(%rsp)
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,84,36,184                     // movaps        %xmm2,-0x48(%rsp)
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  68,15,40,207                        // movaps        %xmm7,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,40,213                        // movaps        %xmm5,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  68,15,40,45,58,13,1,0               // movaps        0x10d3a(%rip),%xmm13        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  68,15,40,198                        // movaps        %xmm6,%xmm8
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,40,53,58,13,1,0               // movaps        0x10d3a(%rip),%xmm14        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  65,15,40,195                        // movaps        %xmm11,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,29,54,13,1,0               // movaps        0x10d36(%rip),%xmm11        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  69,15,89,227                        // mulps         %xmm11,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,89,197                        // mulps         %xmm13,%xmm0
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  68,15,40,5,114,12,1,0               // movaps        0x10c72(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,40,224                        // movaps        %xmm8,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,40,76,36,184                     // movaps        -0x48(%rsp),%xmm1
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  68,15,92,224                        // subps         %xmm0,%xmm12
  .byte  69,15,88,204                        // addps         %xmm12,%xmm9
  .byte  69,15,88,212                        // addps         %xmm12,%xmm10
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,93,196                        // minps         %xmm12,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,95,196                        // maxps         %xmm12,%xmm0
  .byte  69,15,40,249                        // movaps        %xmm9,%xmm15
  .byte  68,15,95,248                        // maxps         %xmm0,%xmm15
  .byte  69,15,89,233                        // mulps         %xmm9,%xmm13
  .byte  69,15,89,242                        // mulps         %xmm10,%xmm14
  .byte  69,15,88,245                        // addps         %xmm13,%xmm14
  .byte  69,15,89,220                        // mulps         %xmm12,%xmm11
  .byte  69,15,88,222                        // addps         %xmm14,%xmm11
  .byte  69,15,87,237                        // xorps         %xmm13,%xmm13
  .byte  68,15,194,233,2                     // cmpleps       %xmm1,%xmm13
  .byte  69,15,40,243                        // movaps        %xmm11,%xmm14
  .byte  68,15,92,241                        // subps         %xmm1,%xmm14
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,206                        // divps         %xmm14,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,197                        // movaps        %xmm13,%xmm0
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  69,15,84,205                        // andps         %xmm13,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,41,84,36,200                     // movaps        %xmm2,-0x38(%rsp)
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,41,92,36,184                     // movaps        %xmm3,-0x48(%rsp)
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,201                        // andnps        %xmm9,%xmm1
  .byte  69,15,92,203                        // subps         %xmm11,%xmm9
  .byte  65,15,92,219                        // subps         %xmm11,%xmm3
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  69,15,92,251                        // subps         %xmm11,%xmm15
  .byte  69,15,94,207                        // divps         %xmm15,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  68,15,84,200                        // andps         %xmm0,%xmm9
  .byte  68,15,86,201                        // orps          %xmm1,%xmm9
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,206                        // divps         %xmm14,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,40,213                        // movaps        %xmm13,%xmm2
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  69,15,84,213                        // andps         %xmm13,%xmm10
  .byte  68,15,86,210                        // orps          %xmm2,%xmm10
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,202                        // andnps        %xmm10,%xmm1
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  69,15,94,215                        // divps         %xmm15,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  68,15,86,209                        // orps          %xmm1,%xmm10
  .byte  65,15,40,204                        // movaps        %xmm12,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  65,15,94,206                        // divps         %xmm14,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  69,15,84,229                        // andps         %xmm13,%xmm12
  .byte  68,15,85,233                        // andnps        %xmm1,%xmm13
  .byte  69,15,86,236                        // orps          %xmm12,%xmm13
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  69,15,92,235                        // subps         %xmm11,%xmm13
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,94,239                        // divps         %xmm15,%xmm13
  .byte  69,15,88,235                        // addps         %xmm11,%xmm13
  .byte  68,15,84,232                        // andps         %xmm0,%xmm13
  .byte  68,15,86,233                        // orps          %xmm1,%xmm13
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,200                        // maxps         %xmm0,%xmm9
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  68,15,95,232                        // maxps         %xmm0,%xmm13
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,84,36,232                     // movaps        -0x18(%rsp),%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  65,15,88,234                        // addps         %xmm10,%xmm5
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,68,36,216                     // movaps        -0x28(%rsp),%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,88,196                        // addps         %xmm4,%xmm8
  .byte  69,15,88,197                        // addps         %xmm13,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,92,36,184                     // movaps        -0x48(%rsp),%xmm3
  .byte  15,40,124,36,200                    // movaps        -0x38(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminosity_sse2
.globl _sk_luminosity_sse2
FUNCTION(_sk_luminosity_sse2)
_sk_luminosity_sse2:
  .byte  68,15,40,215                        // movaps        %xmm7,%xmm10
  .byte  15,41,116,36,200                    // movaps        %xmm6,-0x38(%rsp)
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,41,116,36,232                    // movaps        %xmm6,-0x18(%rsp)
  .byte  15,41,100,36,216                    // movaps        %xmm4,-0x28(%rsp)
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  68,15,40,205                        // movaps        %xmm5,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  68,15,40,37,249,10,1,0              // movaps        0x10af9(%rip),%xmm12        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  69,15,89,196                        // mulps         %xmm12,%xmm8
  .byte  68,15,40,45,249,10,1,0              // movaps        0x10af9(%rip),%xmm13        # 2c350 <_sk_overlay_sse2_8bit+0xf34>
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  69,15,88,240                        // addps         %xmm8,%xmm14
  .byte  68,15,40,29,245,10,1,0              // movaps        0x10af5(%rip),%xmm11        # 2c360 <_sk_overlay_sse2_8bit+0xf44>
  .byte  68,15,40,5,77,10,1,0                // movaps        0x10a4d(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,248                        // movaps        %xmm8,%xmm15
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  68,15,92,248                        // subps         %xmm0,%xmm15
  .byte  65,15,89,255                        // mulps         %xmm15,%xmm7
  .byte  65,15,89,207                        // mulps         %xmm15,%xmm1
  .byte  15,41,76,36,184                     // movaps        %xmm1,-0x48(%rsp)
  .byte  68,15,89,250                        // mulps         %xmm2,%xmm15
  .byte  65,15,89,211                        // mulps         %xmm11,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  69,15,89,244                        // mulps         %xmm12,%xmm14
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  69,15,88,214                        // addps         %xmm14,%xmm10
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,40,116,36,200                    // movaps        -0x38(%rsp),%xmm6
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  68,15,40,244                        // movaps        %xmm4,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  68,15,88,202                        // addps         %xmm2,%xmm9
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,93,210                        // minps         %xmm2,%xmm10
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,93,226                        // minps         %xmm10,%xmm4
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,95,210                        // maxps         %xmm2,%xmm10
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  69,15,95,242                        // maxps         %xmm10,%xmm14
  .byte  69,15,89,225                        // mulps         %xmm9,%xmm12
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,221                        // addps         %xmm13,%xmm11
  .byte  69,15,87,228                        // xorps         %xmm12,%xmm12
  .byte  68,15,194,228,2                     // cmpleps       %xmm4,%xmm12
  .byte  69,15,40,211                        // movaps        %xmm11,%xmm10
  .byte  68,15,92,212                        // subps         %xmm4,%xmm10
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,92,227                        // subps         %xmm11,%xmm4
  .byte  65,15,89,227                        // mulps         %xmm11,%xmm4
  .byte  65,15,94,226                        // divps         %xmm10,%xmm4
  .byte  65,15,88,227                        // addps         %xmm11,%xmm4
  .byte  69,15,40,236                        // movaps        %xmm12,%xmm13
  .byte  68,15,85,236                        // andnps        %xmm4,%xmm13
  .byte  69,15,84,204                        // andps         %xmm12,%xmm9
  .byte  69,15,86,205                        // orps          %xmm13,%xmm9
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,41,68,36,168                     // movaps        %xmm0,-0x58(%rsp)
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  68,15,92,197                        // subps         %xmm5,%xmm8
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  68,15,40,236                        // movaps        %xmm4,%xmm13
  .byte  65,15,194,230,1                     // cmpltps       %xmm14,%xmm4
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,85,193                        // andnps        %xmm9,%xmm0
  .byte  69,15,92,203                        // subps         %xmm11,%xmm9
  .byte  69,15,92,235                        // subps         %xmm11,%xmm13
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  69,15,94,206                        // divps         %xmm14,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  68,15,84,204                        // andps         %xmm4,%xmm9
  .byte  68,15,86,200                        // orps          %xmm0,%xmm9
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  65,15,94,194                        // divps         %xmm10,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,40,204                        // movaps        %xmm12,%xmm1
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  65,15,84,220                        // andps         %xmm12,%xmm3
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,85,195                           // andnps        %xmm3,%xmm0
  .byte  65,15,92,219                        // subps         %xmm11,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  65,15,94,222                        // divps         %xmm14,%xmm3
  .byte  65,15,88,219                        // addps         %xmm11,%xmm3
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  65,15,94,194                        // divps         %xmm10,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,84,212                        // andps         %xmm12,%xmm2
  .byte  68,15,85,224                        // andnps        %xmm0,%xmm12
  .byte  68,15,86,226                        // orps          %xmm2,%xmm12
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  65,15,85,196                        // andnps        %xmm12,%xmm0
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,94,230                        // divps         %xmm14,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  68,15,84,228                        // andps         %xmm4,%xmm12
  .byte  68,15,86,224                        // orps          %xmm0,%xmm12
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  68,15,95,200                        // maxps         %xmm0,%xmm9
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  68,15,95,224                        // maxps         %xmm0,%xmm12
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,100,36,216                    // movaps        -0x28(%rsp),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  68,15,40,84,36,232                  // movaps        -0x18(%rsp),%xmm10
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  15,40,76,36,184                     // movaps        -0x48(%rsp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  69,15,88,199                        // addps         %xmm15,%xmm8
  .byte  69,15,88,196                        // addps         %xmm12,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  65,15,40,234                        // movaps        %xmm10,%xmm5
  .byte  15,40,124,36,168                    // movaps        -0x58(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_rgba_8888_sse2
.globl _sk_srcover_rgba_8888_sse2
FUNCTION(_sk_srcover_rgba_8888_sse2)
_sk_srcover_rgba_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,228,0,0,0                    // jne           1bb5e <_sk_srcover_rgba_8888_sse2+0x104>
  .byte  243,69,15,111,4,128                 // movdqu        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  102,15,111,53,229,8,1,0             // movdqa        0x108e5(%rip),%xmm6        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,224                   // movdqa        %xmm8,%xmm4
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  102,65,15,111,232                   // movdqa        %xmm8,%xmm5
  .byte  102,15,114,213,8                    // psrld         $0x8,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  102,65,15,111,248                   // movdqa        %xmm8,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  15,91,247                           // cvtdq2ps      %xmm7,%xmm6
  .byte  102,65,15,114,208,24                // psrld         $0x18,%xmm8
  .byte  65,15,91,248                        // cvtdq2ps      %xmm8,%xmm7
  .byte  68,15,40,5,245,7,1,0                // movaps        0x107f5(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  68,15,40,37,201,8,1,0               // movaps        0x108c9(%rip),%xmm12        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,89,204                        // mulps         %xmm4,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  65,15,89,204                        // mulps         %xmm12,%xmm1
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,89,213                        // mulps         %xmm5,%xmm10
  .byte  68,15,88,209                        // addps         %xmm1,%xmm10
  .byte  65,15,89,212                        // mulps         %xmm12,%xmm2
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,89,222                        // mulps         %xmm6,%xmm11
  .byte  68,15,88,218                        // addps         %xmm2,%xmm11
  .byte  65,15,89,220                        // mulps         %xmm12,%xmm3
  .byte  68,15,89,199                        // mulps         %xmm7,%xmm8
  .byte  68,15,88,195                        // addps         %xmm3,%xmm8
  .byte  102,65,15,91,193                    // cvtps2dq      %xmm9,%xmm0
  .byte  102,65,15,91,202                    // cvtps2dq      %xmm10,%xmm1
  .byte  102,15,114,241,8                    // pslld         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,65,15,91,211                    // cvtps2dq      %xmm11,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,65,15,91,192                    // cvtps2dq      %xmm8,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  117,84                              // jne           1bb98 <_sk_srcover_rgba_8888_sse2+0x13e>
  .byte  243,65,15,127,4,128                 // movdqu        %xmm0,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,90                              // je            1bbc5 <_sk_srcover_rgba_8888_sse2+0x16b>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1bb8d <_sk_srcover_rgba_8888_sse2+0x133>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,0,255,255,255                // jne           1ba80 <_sk_srcover_rgba_8888_sse2+0x26>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,68,15,112,196,69                // pshufd        $0x45,%xmm4,%xmm8
  .byte  102,69,15,18,4,128                  // movlpd        (%r8,%rax,4),%xmm8
  .byte  233,232,254,255,255                 // jmpq          1ba80 <_sk_srcover_rgba_8888_sse2+0x26>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,43                              // je            1bbd0 <_sk_srcover_rgba_8888_sse2+0x176>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1bbbd <_sk_srcover_rgba_8888_sse2+0x163>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,153                             // jne           1bb4a <_sk_srcover_rgba_8888_sse2+0xf0>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,76,128,8              // movd          %xmm1,0x8(%r8,%rax,4)
  .byte  102,65,15,214,4,128                 // movq          %xmm0,(%r8,%rax,4)
  .byte  235,133                             // jmp           1bb4a <_sk_srcover_rgba_8888_sse2+0xf0>
  .byte  102,69,15,110,4,128                 // movd          (%r8,%rax,4),%xmm8
  .byte  233,176,254,255,255                 // jmpq          1ba80 <_sk_srcover_rgba_8888_sse2+0x26>
  .byte  102,65,15,126,4,128                 // movd          %xmm0,(%r8,%rax,4)
  .byte  233,111,255,255,255                 // jmpq          1bb4a <_sk_srcover_rgba_8888_sse2+0xf0>

HIDDEN _sk_clamp_0_sse2
.globl _sk_clamp_0_sse2
FUNCTION(_sk_clamp_0_sse2)
_sk_clamp_0_sse2:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  65,15,95,192                        // maxps         %xmm8,%xmm0
  .byte  65,15,95,200                        // maxps         %xmm8,%xmm1
  .byte  65,15,95,208                        // maxps         %xmm8,%xmm2
  .byte  65,15,95,216                        // maxps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_1_sse2
.globl _sk_clamp_1_sse2
FUNCTION(_sk_clamp_1_sse2)
_sk_clamp_1_sse2:
  .byte  68,15,40,5,197,6,1,0                // movaps        0x106c5(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,93,192                        // minps         %xmm8,%xmm0
  .byte  65,15,93,200                        // minps         %xmm8,%xmm1
  .byte  65,15,93,208                        // minps         %xmm8,%xmm2
  .byte  65,15,93,216                        // minps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_sse2
.globl _sk_clamp_a_sse2
FUNCTION(_sk_clamp_a_sse2)
_sk_clamp_a_sse2:
  .byte  15,93,29,170,6,1,0                  // minps         0x106aa(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_a_dst_sse2
.globl _sk_clamp_a_dst_sse2
FUNCTION(_sk_clamp_a_dst_sse2)
_sk_clamp_a_dst_sse2:
  .byte  15,93,61,150,6,1,0                  // minps         0x10696(%rip),%xmm7        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,93,239                           // minps         %xmm7,%xmm5
  .byte  15,93,247                           // minps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse2
.globl _sk_set_rgb_sse2
FUNCTION(_sk_set_rgb_sse2)
_sk_set_rgb_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse2
.globl _sk_swap_rb_sse2
FUNCTION(_sk_swap_rb_sse2)
_sk_swap_rb_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse2
.globl _sk_invert_sse2
FUNCTION(_sk_invert_sse2)
_sk_invert_sse2:
  .byte  68,15,40,5,82,6,1,0                 // movaps        0x10652(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  68,15,92,200                        // subps         %xmm0,%xmm9
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,92,218                        // subps         %xmm2,%xmm11
  .byte  68,15,92,195                        // subps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,40,211                        // movaps        %xmm11,%xmm2
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_src_dst_sse2
.globl _sk_move_src_dst_sse2
FUNCTION(_sk_move_src_dst_sse2)
_sk_move_src_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse2
.globl _sk_move_dst_src_sse2
FUNCTION(_sk_move_dst_src_sse2)
_sk_move_dst_src_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse2
.globl _sk_premul_sse2
FUNCTION(_sk_premul_sse2)
_sk_premul_sse2:
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_dst_sse2
.globl _sk_premul_dst_sse2
FUNCTION(_sk_premul_dst_sse2)
_sk_premul_dst_sse2:
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_unpremul_sse2
.globl _sk_unpremul_sse2
FUNCTION(_sk_unpremul_sse2)
_sk_unpremul_sse2:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,13,220,5,1,0               // movaps        0x105dc(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,94,203                        // divps         %xmm3,%xmm9
  .byte  68,15,194,195,4                     // cmpneqps      %xmm3,%xmm8
  .byte  69,15,84,193                        // andps         %xmm9,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_sse2
.globl _sk_from_srgb_sse2
FUNCTION(_sk_from_srgb_sse2)
_sk_from_srgb_sse2:
  .byte  68,15,40,5,167,6,1,0                // movaps        0x106a7(%rip),%xmm8        # 2c3b0 <_sk_overlay_sse2_8bit+0xf94>
  .byte  68,15,40,232                        // movaps        %xmm0,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,216                        // movaps        %xmm0,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  68,15,40,13,31,6,1,0                // movaps        0x1061f(%rip),%xmm9        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  68,15,40,21,143,6,1,0               // movaps        0x1068f(%rip),%xmm10        # 2c3c0 <_sk_overlay_sse2_8bit+0xfa4>
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  68,15,40,29,143,6,1,0               // movaps        0x1068f(%rip),%xmm11        # 2c3d0 <_sk_overlay_sse2_8bit+0xfb4>
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  68,15,40,37,147,6,1,0               // movaps        0x10693(%rip),%xmm12        # 2c3e0 <_sk_overlay_sse2_8bit+0xfc4>
  .byte  65,15,194,196,1                     // cmpltps       %xmm12,%xmm0
  .byte  68,15,84,232                        // andps         %xmm0,%xmm13
  .byte  65,15,85,198                        // andnps        %xmm14,%xmm0
  .byte  65,15,86,197                        // orps          %xmm13,%xmm0
  .byte  68,15,40,233                        // movaps        %xmm1,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,89,246                        // mulps         %xmm14,%xmm14
  .byte  68,15,40,249                        // movaps        %xmm1,%xmm15
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  69,15,88,251                        // addps         %xmm11,%xmm15
  .byte  65,15,194,204,1                     // cmpltps       %xmm12,%xmm1
  .byte  68,15,84,233                        // andps         %xmm1,%xmm13
  .byte  65,15,85,207                        // andnps        %xmm15,%xmm1
  .byte  65,15,86,205                        // orps          %xmm13,%xmm1
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  68,15,40,234                        // movaps        %xmm2,%xmm13
  .byte  69,15,89,237                        // mulps         %xmm13,%xmm13
  .byte  68,15,89,202                        // mulps         %xmm2,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  65,15,194,212,1                     // cmpltps       %xmm12,%xmm2
  .byte  68,15,84,194                        // andps         %xmm2,%xmm8
  .byte  65,15,85,209                        // andnps        %xmm9,%xmm2
  .byte  65,15,86,208                        // orps          %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_from_srgb_dst_sse2
.globl _sk_from_srgb_dst_sse2
FUNCTION(_sk_from_srgb_dst_sse2)
_sk_from_srgb_dst_sse2:
  .byte  68,15,40,5,228,5,1,0                // movaps        0x105e4(%rip),%xmm8        # 2c3b0 <_sk_overlay_sse2_8bit+0xf94>
  .byte  68,15,40,236                        // movaps        %xmm4,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,220                        // movaps        %xmm4,%xmm11
  .byte  69,15,89,219                        // mulps         %xmm11,%xmm11
  .byte  68,15,40,13,92,5,1,0                // movaps        0x1055c(%rip),%xmm9        # 2c340 <_sk_overlay_sse2_8bit+0xf24>
  .byte  68,15,40,244                        // movaps        %xmm4,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  68,15,40,21,204,5,1,0               // movaps        0x105cc(%rip),%xmm10        # 2c3c0 <_sk_overlay_sse2_8bit+0xfa4>
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  69,15,89,243                        // mulps         %xmm11,%xmm14
  .byte  68,15,40,29,204,5,1,0               // movaps        0x105cc(%rip),%xmm11        # 2c3d0 <_sk_overlay_sse2_8bit+0xfb4>
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  68,15,40,37,208,5,1,0               // movaps        0x105d0(%rip),%xmm12        # 2c3e0 <_sk_overlay_sse2_8bit+0xfc4>
  .byte  65,15,194,228,1                     // cmpltps       %xmm12,%xmm4
  .byte  68,15,84,236                        // andps         %xmm4,%xmm13
  .byte  65,15,85,230                        // andnps        %xmm14,%xmm4
  .byte  65,15,86,229                        // orps          %xmm13,%xmm4
  .byte  68,15,40,237                        // movaps        %xmm5,%xmm13
  .byte  69,15,89,232                        // mulps         %xmm8,%xmm13
  .byte  68,15,40,245                        // movaps        %xmm5,%xmm14
  .byte  69,15,89,246                        // mulps         %xmm14,%xmm14
  .byte  68,15,40,253                        // movaps        %xmm5,%xmm15
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,254                        // mulps         %xmm14,%xmm15
  .byte  69,15,88,251                        // addps         %xmm11,%xmm15
  .byte  65,15,194,236,1                     // cmpltps       %xmm12,%xmm5
  .byte  68,15,84,237                        // andps         %xmm5,%xmm13
  .byte  65,15,85,239                        // andnps        %xmm15,%xmm5
  .byte  65,15,86,237                        // orps          %xmm13,%xmm5
  .byte  68,15,89,198                        // mulps         %xmm6,%xmm8
  .byte  68,15,40,238                        // movaps        %xmm6,%xmm13
  .byte  69,15,89,237                        // mulps         %xmm13,%xmm13
  .byte  68,15,89,206                        // mulps         %xmm6,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  65,15,194,244,1                     // cmpltps       %xmm12,%xmm6
  .byte  68,15,84,198                        // andps         %xmm6,%xmm8
  .byte  65,15,85,241                        // andnps        %xmm9,%xmm6
  .byte  65,15,86,240                        // orps          %xmm8,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_to_srgb_sse2
.globl _sk_to_srgb_sse2
FUNCTION(_sk_to_srgb_sse2)
_sk_to_srgb_sse2:
  .byte  68,15,82,232                        // rsqrtps       %xmm0,%xmm13
  .byte  68,15,40,5,93,5,1,0                 // movaps        0x1055d(%rip),%xmm8        # 2c3f0 <_sk_overlay_sse2_8bit+0xfd4>
  .byte  68,15,40,240                        // movaps        %xmm0,%xmm14
  .byte  69,15,89,240                        // mulps         %xmm8,%xmm14
  .byte  68,15,40,13,93,5,1,0                // movaps        0x1055d(%rip),%xmm9        # 2c400 <_sk_overlay_sse2_8bit+0xfe4>
  .byte  69,15,40,253                        // movaps        %xmm13,%xmm15
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  68,15,40,21,93,5,1,0                // movaps        0x1055d(%rip),%xmm10        # 2c410 <_sk_overlay_sse2_8bit+0xff4>
  .byte  69,15,88,250                        // addps         %xmm10,%xmm15
  .byte  69,15,89,253                        // mulps         %xmm13,%xmm15
  .byte  68,15,40,29,93,5,1,0                // movaps        0x1055d(%rip),%xmm11        # 2c420 <_sk_overlay_sse2_8bit+0x1004>
  .byte  69,15,88,251                        // addps         %xmm11,%xmm15
  .byte  68,15,40,37,97,5,1,0                // movaps        0x10561(%rip),%xmm12        # 2c430 <_sk_overlay_sse2_8bit+0x1014>
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  69,15,83,237                        // rcpps         %xmm13,%xmm13
  .byte  69,15,89,239                        // mulps         %xmm15,%xmm13
  .byte  68,15,40,61,93,5,1,0                // movaps        0x1055d(%rip),%xmm15        # 2c440 <_sk_overlay_sse2_8bit+0x1024>
  .byte  65,15,194,199,1                     // cmpltps       %xmm15,%xmm0
  .byte  68,15,84,240                        // andps         %xmm0,%xmm14
  .byte  65,15,85,197                        // andnps        %xmm13,%xmm0
  .byte  65,15,86,198                        // orps          %xmm14,%xmm0
  .byte  68,15,82,233                        // rsqrtps       %xmm1,%xmm13
  .byte  69,15,40,245                        // movaps        %xmm13,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  69,15,88,242                        // addps         %xmm10,%xmm14
  .byte  69,15,89,245                        // mulps         %xmm13,%xmm14
  .byte  69,15,88,243                        // addps         %xmm11,%xmm14
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  69,15,83,237                        // rcpps         %xmm13,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,40,241                        // movaps        %xmm1,%xmm14
  .byte  69,15,89,240                        // mulps         %xmm8,%xmm14
  .byte  65,15,194,207,1                     // cmpltps       %xmm15,%xmm1
  .byte  68,15,84,241                        // andps         %xmm1,%xmm14
  .byte  65,15,85,205                        // andnps        %xmm13,%xmm1
  .byte  65,15,86,206                        // orps          %xmm14,%xmm1
  .byte  68,15,82,234                        // rsqrtps       %xmm2,%xmm13
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,205                        // mulps         %xmm13,%xmm9
  .byte  69,15,88,203                        // addps         %xmm11,%xmm9
  .byte  69,15,88,236                        // addps         %xmm12,%xmm13
  .byte  69,15,83,213                        // rcpps         %xmm13,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  65,15,194,215,1                     // cmpltps       %xmm15,%xmm2
  .byte  68,15,84,194                        // andps         %xmm2,%xmm8
  .byte  65,15,85,210                        // andnps        %xmm10,%xmm2
  .byte  65,15,86,208                        // orps          %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_rgb_to_hsl_sse2
.globl _sk_rgb_to_hsl_sse2
FUNCTION(_sk_rgb_to_hsl_sse2)
_sk_rgb_to_hsl_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  69,15,40,208                        // movaps        %xmm8,%xmm10
  .byte  68,15,95,208                        // maxps         %xmm0,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  68,15,93,216                        // minps         %xmm0,%xmm11
  .byte  65,15,40,202                        // movaps        %xmm10,%xmm1
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  68,15,40,45,32,3,1,0                // movaps        0x10320(%rip),%xmm13        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  68,15,94,233                        // divps         %xmm1,%xmm13
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,194,192,0                     // cmpeqps       %xmm8,%xmm0
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  68,15,92,226                        // subps         %xmm2,%xmm12
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,40,241                        // movaps        %xmm9,%xmm14
  .byte  68,15,194,242,1                     // cmpltps       %xmm2,%xmm14
  .byte  68,15,84,53,134,4,1,0               // andps         0x10486(%rip),%xmm14        # 2c450 <_sk_overlay_sse2_8bit+0x1034>
  .byte  69,15,88,244                        // addps         %xmm12,%xmm14
  .byte  69,15,40,250                        // movaps        %xmm10,%xmm15
  .byte  69,15,194,249,0                     // cmpeqps       %xmm9,%xmm15
  .byte  65,15,92,208                        // subps         %xmm8,%xmm2
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  68,15,40,37,121,4,1,0               // movaps        0x10479(%rip),%xmm12        # 2c460 <_sk_overlay_sse2_8bit+0x1044>
  .byte  65,15,88,212                        // addps         %xmm12,%xmm2
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,88,5,117,4,1,0                // addps         0x10475(%rip),%xmm8        # 2c470 <_sk_overlay_sse2_8bit+0x1054>
  .byte  65,15,84,215                        // andps         %xmm15,%xmm2
  .byte  69,15,85,248                        // andnps        %xmm8,%xmm15
  .byte  68,15,86,250                        // orps          %xmm2,%xmm15
  .byte  68,15,84,240                        // andps         %xmm0,%xmm14
  .byte  65,15,85,199                        // andnps        %xmm15,%xmm0
  .byte  65,15,86,198                        // orps          %xmm14,%xmm0
  .byte  15,89,5,102,4,1,0                   // mulps         0x10466(%rip),%xmm0        # 2c480 <_sk_overlay_sse2_8bit+0x1064>
  .byte  69,15,40,194                        // movaps        %xmm10,%xmm8
  .byte  69,15,194,195,4                     // cmpneqps      %xmm11,%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  69,15,92,226                        // subps         %xmm10,%xmm12
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  68,15,40,13,105,2,1,0               // movaps        0x10269(%rip),%xmm9        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  68,15,194,202,1                     // cmpltps       %xmm2,%xmm9
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,84,225                        // andps         %xmm9,%xmm12
  .byte  69,15,85,202                        // andnps        %xmm10,%xmm9
  .byte  69,15,86,204                        // orps          %xmm12,%xmm9
  .byte  65,15,94,201                        // divps         %xmm9,%xmm1
  .byte  65,15,84,200                        // andps         %xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hsl_to_rgb_sse2
.globl _sk_hsl_to_rgb_sse2
FUNCTION(_sk_hsl_to_rgb_sse2)
_sk_hsl_to_rgb_sse2:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  68,15,40,218                        // movaps        %xmm2,%xmm11
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  68,15,40,13,24,2,1,0                // movaps        0x10218(%rip),%xmm9        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,40,209                        // movaps        %xmm9,%xmm10
  .byte  69,15,194,211,2                     // cmpleps       %xmm11,%xmm10
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,194,217,0                        // cmpeqps       %xmm1,%xmm3
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,124,36,136                    // movaps        %xmm7,-0x78(%rsp)
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  65,15,84,194                        // andps         %xmm10,%xmm0
  .byte  68,15,85,209                        // andnps        %xmm1,%xmm10
  .byte  68,15,86,208                        // orps          %xmm0,%xmm10
  .byte  68,15,41,92,36,152                  // movaps        %xmm11,-0x68(%rsp)
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  69,15,88,219                        // addps         %xmm11,%xmm11
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  15,40,5,193,3,1,0                   // movaps        0x103c1(%rip),%xmm0        # 2c490 <_sk_overlay_sse2_8bit+0x1074>
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  243,15,91,200                       // cvttps2dq     %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,194,217,1                        // cmpltps       %xmm1,%xmm3
  .byte  15,84,29,217,1,1,0                  // andps         0x101d9(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  68,15,40,45,171,3,1,0               // movaps        0x103ab(%rip),%xmm13        # 2c4a0 <_sk_overlay_sse2_8bit+0x1084>
  .byte  69,15,40,197                        // movaps        %xmm13,%xmm8
  .byte  68,15,194,192,2                     // cmpleps       %xmm0,%xmm8
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  69,15,92,243                        // subps         %xmm11,%xmm14
  .byte  65,15,40,217                        // movaps        %xmm9,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,40,21,107,3,1,0                  // movaps        0x1036b(%rip),%xmm2        # 2c480 <_sk_overlay_sse2_8bit+0x1064>
  .byte  68,15,40,250                        // movaps        %xmm2,%xmm15
  .byte  68,15,194,248,2                     // cmpleps       %xmm0,%xmm15
  .byte  15,40,13,43,3,1,0                   // movaps        0x1032b(%rip),%xmm1        # 2c450 <_sk_overlay_sse2_8bit+0x1034>
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,45,65,3,1,0                   // movaps        0x10341(%rip),%xmm5        # 2c470 <_sk_overlay_sse2_8bit+0x1054>
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  65,15,89,230                        // mulps         %xmm14,%xmm4
  .byte  65,15,88,227                        // addps         %xmm11,%xmm4
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,84,224                        // andps         %xmm8,%xmm12
  .byte  68,15,85,196                        // andnps        %xmm4,%xmm8
  .byte  69,15,86,196                        // orps          %xmm12,%xmm8
  .byte  68,15,84,195                        // andps         %xmm3,%xmm8
  .byte  65,15,85,218                        // andnps        %xmm10,%xmm3
  .byte  65,15,86,216                        // orps          %xmm8,%xmm3
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,84,223                        // andps         %xmm15,%xmm3
  .byte  68,15,85,248                        // andnps        %xmm0,%xmm15
  .byte  68,15,86,251                        // orps          %xmm3,%xmm15
  .byte  68,15,40,199                        // movaps        %xmm7,%xmm8
  .byte  69,15,85,199                        // andnps        %xmm15,%xmm8
  .byte  243,15,91,198                       // cvttps2dq     %xmm6,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,194,216,1                        // cmpltps       %xmm0,%xmm3
  .byte  15,84,29,54,1,1,0                   // andps         0x10136(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  68,15,40,230                        // movaps        %xmm6,%xmm12
  .byte  68,15,92,224                        // subps         %xmm0,%xmm12
  .byte  69,15,40,253                        // movaps        %xmm13,%xmm15
  .byte  69,15,194,252,2                     // cmpleps       %xmm12,%xmm15
  .byte  65,15,40,225                        // movaps        %xmm9,%xmm4
  .byte  65,15,194,228,2                     // cmpleps       %xmm12,%xmm4
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  65,15,194,220,2                     // cmpleps       %xmm12,%xmm3
  .byte  68,15,89,225                        // mulps         %xmm1,%xmm12
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  65,15,88,195                        // addps         %xmm11,%xmm0
  .byte  65,15,40,251                        // movaps        %xmm11,%xmm7
  .byte  65,15,84,255                        // andps         %xmm15,%xmm7
  .byte  68,15,85,248                        // andnps        %xmm0,%xmm15
  .byte  68,15,86,255                        // orps          %xmm7,%xmm15
  .byte  68,15,84,252                        // andps         %xmm4,%xmm15
  .byte  65,15,85,226                        // andnps        %xmm10,%xmm4
  .byte  65,15,86,231                        // orps          %xmm15,%xmm4
  .byte  69,15,89,230                        // mulps         %xmm14,%xmm12
  .byte  69,15,88,227                        // addps         %xmm11,%xmm12
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  65,15,85,220                        // andnps        %xmm12,%xmm3
  .byte  15,86,220                           // orps          %xmm4,%xmm3
  .byte  15,40,124,36,136                    // movaps        -0x78(%rsp),%xmm7
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,85,227                           // andnps        %xmm3,%xmm4
  .byte  15,88,53,174,2,1,0                  // addps         0x102ae(%rip),%xmm6        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  243,15,91,198                       // cvttps2dq     %xmm6,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,194,216,1                        // cmpltps       %xmm0,%xmm3
  .byte  15,84,29,169,0,1,0                  // andps         0x100a9(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  65,15,89,238                        // mulps         %xmm14,%xmm5
  .byte  65,15,89,206                        // mulps         %xmm14,%xmm1
  .byte  65,15,88,235                        // addps         %xmm11,%xmm5
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  68,15,194,238,2                     // cmpleps       %xmm6,%xmm13
  .byte  69,15,84,221                        // andps         %xmm13,%xmm11
  .byte  68,15,85,237                        // andnps        %xmm5,%xmm13
  .byte  69,15,86,235                        // orps          %xmm11,%xmm13
  .byte  68,15,194,206,2                     // cmpleps       %xmm6,%xmm9
  .byte  69,15,84,233                        // andps         %xmm9,%xmm13
  .byte  69,15,85,202                        // andnps        %xmm10,%xmm9
  .byte  69,15,86,205                        // orps          %xmm13,%xmm9
  .byte  15,194,214,2                        // cmpleps       %xmm6,%xmm2
  .byte  68,15,84,202                        // andps         %xmm2,%xmm9
  .byte  15,85,209                           // andnps        %xmm1,%xmm2
  .byte  65,15,86,209                        // orps          %xmm9,%xmm2
  .byte  15,40,68,36,152                     // movaps        -0x68(%rsp),%xmm0
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  68,15,86,192                        // orps          %xmm0,%xmm8
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_1_float_sse2
.globl _sk_scale_1_float_sse2
FUNCTION(_sk_scale_1_float_sse2)
_sk_scale_1_float_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse2
.globl _sk_scale_u8_sse2
FUNCTION(_sk_scale_u8_sse2)
_sk_scale_u8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,61                              // jne           1c318 <_sk_scale_u8_sse2+0x55>
  .byte  102,71,15,110,4,16                  // movd          (%r8,%r10,1),%xmm8
  .byte  102,68,15,96,192                    // punpcklbw     %xmm0,%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  102,68,15,219,5,124,0,1,0           // pand          0x1007c(%rip),%xmm8        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,192,1,1,0                // mulps         0x101c0(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,216                        // movaps        %xmm8,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,61                              // je            1c362 <_sk_scale_u8_sse2+0x9f>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1c347 <_sk_scale_u8_sse2+0x84>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,181                             // jne           1c2eb <_sk_scale_u8_sse2+0x28>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,68,15,96,200                    // punpcklbw     %xmm0,%xmm9
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  242,69,15,16,193                    // movsd         %xmm9,%xmm8
  .byte  235,137                             // jmp           1c2eb <_sk_scale_u8_sse2+0x28>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,122,255,255,255                 // jmpq          1c2eb <_sk_scale_u8_sse2+0x28>

HIDDEN _sk_scale_565_sse2
.globl _sk_scale_565_sse2
FUNCTION(_sk_scale_565_sse2)
_sk_scale_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,173,0,0,0                    // jne           1c43d <_sk_scale_565_sse2+0xcc>
  .byte  243,71,15,126,20,80                 // movq          (%r8,%r10,2),%xmm10
  .byte  102,68,15,97,208                    // punpcklwd     %xmm0,%xmm10
  .byte  102,68,15,111,5,44,1,1,0            // movdqa        0x1012c(%rip),%xmm8        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,69,15,219,194                   // pand          %xmm10,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,43,1,1,0                 // mulps         0x1012b(%rip),%xmm8        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,68,15,111,13,50,1,1,0           // movdqa        0x10132(%rip),%xmm9        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,69,15,219,202                   // pand          %xmm10,%xmm9
  .byte  69,15,91,201                        // cvtdq2ps      %xmm9,%xmm9
  .byte  68,15,89,13,49,1,1,0                // mulps         0x10131(%rip),%xmm9        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,68,15,219,21,56,1,1,0           // pand          0x10138(%rip),%xmm10        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  68,15,89,21,60,1,1,0                // mulps         0x1013c(%rip),%xmm10        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  68,15,40,219                        // movaps        %xmm3,%xmm11
  .byte  68,15,194,223,1                     // cmpltps       %xmm7,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,93,226                        // minps         %xmm10,%xmm12
  .byte  69,15,40,232                        // movaps        %xmm8,%xmm13
  .byte  69,15,93,236                        // minps         %xmm12,%xmm13
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,95,226                        // maxps         %xmm10,%xmm12
  .byte  69,15,40,240                        // movaps        %xmm8,%xmm14
  .byte  69,15,95,244                        // maxps         %xmm12,%xmm14
  .byte  69,15,84,235                        // andps         %xmm11,%xmm13
  .byte  69,15,85,222                        // andnps        %xmm14,%xmm11
  .byte  69,15,86,221                        // orps          %xmm13,%xmm11
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1c485 <_sk_scale_565_sse2+0x114>
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,27                              // je            1c470 <_sk_scale_565_sse2+0xff>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,60,255,255,255               // jne           1c39b <_sk_scale_565_sse2+0x2a>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,208,69                // pshufd        $0x45,%xmm8,%xmm10
  .byte  102,71,15,110,4,80                  // movd          (%r8,%r10,2),%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  242,69,15,16,208                    // movsd         %xmm8,%xmm10
  .byte  233,22,255,255,255                  // jmpq          1c39b <_sk_scale_565_sse2+0x2a>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,208                   // movd          %eax,%xmm10
  .byte  233,7,255,255,255                   // jmpq          1c39b <_sk_scale_565_sse2+0x2a>

HIDDEN _sk_lerp_1_float_sse2
.globl _sk_lerp_1_float_sse2
FUNCTION(_sk_lerp_1_float_sse2)
_sk_lerp_1_float_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse2
.globl _sk_lerp_u8_sse2
FUNCTION(_sk_lerp_u8_sse2)
_sk_lerp_u8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,81                              // jne           1c535 <_sk_lerp_u8_sse2+0x69>
  .byte  102,71,15,110,4,16                  // movd          (%r8,%r10,1),%xmm8
  .byte  102,68,15,96,192                    // punpcklbw     %xmm0,%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  102,68,15,219,5,115,254,0,0         // pand          0xfe73(%rip),%xmm8        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,183,255,0,0              // mulps         0xffb7(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,64                              // je            1c582 <_sk_lerp_u8_sse2+0xb6>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1c564 <_sk_lerp_u8_sse2+0x98>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,161                             // jne           1c4f4 <_sk_lerp_u8_sse2+0x28>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,200                   // movd          %eax,%xmm9
  .byte  102,68,15,96,200                    // punpcklbw     %xmm0,%xmm9
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  242,69,15,16,193                    // movsd         %xmm9,%xmm8
  .byte  233,114,255,255,255                 // jmpq          1c4f4 <_sk_lerp_u8_sse2+0x28>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,99,255,255,255                  // jmpq          1c4f4 <_sk_lerp_u8_sse2+0x28>

HIDDEN _sk_lerp_565_sse2
.globl _sk_lerp_565_sse2
FUNCTION(_sk_lerp_565_sse2)
_sk_lerp_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,173,0,0,0                    // jne           1c65d <_sk_lerp_565_sse2+0xcc>
  .byte  243,71,15,126,4,80                  // movq          (%r8,%r10,2),%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  102,68,15,111,13,12,255,0,0         // movdqa        0xff0c(%rip),%xmm9        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  69,15,91,201                        // cvtdq2ps      %xmm9,%xmm9
  .byte  68,15,89,13,11,255,0,0              // mulps         0xff0b(%rip),%xmm9        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,68,15,111,21,18,255,0,0         // movdqa        0xff12(%rip),%xmm10        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,69,15,219,208                   // pand          %xmm8,%xmm10
  .byte  69,15,91,218                        // cvtdq2ps      %xmm10,%xmm11
  .byte  68,15,89,29,17,255,0,0              // mulps         0xff11(%rip),%xmm11        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,68,15,219,5,24,255,0,0          // pand          0xff18(%rip),%xmm8        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,5,28,255,0,0               // mulps         0xff1c(%rip),%xmm8        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  68,15,40,211                        // movaps        %xmm3,%xmm10
  .byte  68,15,194,215,1                     // cmpltps       %xmm7,%xmm10
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  69,15,93,216                        // minps         %xmm8,%xmm11
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  69,15,93,203                        // minps         %xmm11,%xmm9
  .byte  69,15,95,224                        // maxps         %xmm8,%xmm12
  .byte  69,15,95,236                        // maxps         %xmm12,%xmm13
  .byte  69,15,84,202                        // andps         %xmm10,%xmm9
  .byte  69,15,85,213                        // andnps        %xmm13,%xmm10
  .byte  69,15,86,209                        // orps          %xmm9,%xmm10
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,218                        // mulps         %xmm10,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1c6a5 <_sk_lerp_565_sse2+0x114>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,27                              // je            1c690 <_sk_lerp_565_sse2+0xff>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,60,255,255,255               // jne           1c5bb <_sk_lerp_565_sse2+0x2a>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,69                // pshufd        $0x45,%xmm8,%xmm8
  .byte  102,71,15,110,12,80                 // movd          (%r8,%r10,2),%xmm9
  .byte  102,68,15,97,200                    // punpcklwd     %xmm0,%xmm9
  .byte  242,69,15,16,193                    // movsd         %xmm9,%xmm8
  .byte  233,22,255,255,255                  // jmpq          1c5bb <_sk_lerp_565_sse2+0x2a>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  233,7,255,255,255                   // jmpq          1c5bb <_sk_lerp_565_sse2+0x2a>

HIDDEN _sk_load_tables_sse2
.globl _sk_load_tables_sse2
FUNCTION(_sk_load_tables_sse2)
_sk_load_tables_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,32,1,0,0                     // jne           1c7e2 <_sk_load_tables_sse2+0x12e>
  .byte  243,69,15,111,12,144                // movdqu        (%r8,%rdx,4),%xmm9
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,111,5,156,252,0,0         // movdqa        0xfc9c(%rip),%xmm8        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  69,15,182,216                       // movzbl        %r8b,%r11d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,12,11                  // movss         (%rbx,%r9,1),%xmm1
  .byte  243,66,15,16,4,3                    // movss         (%rbx,%r8,1),%xmm0
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,66,15,16,4,147                  // movss         (%rbx,%r10,4),%xmm0
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,65,15,219,200                   // pand          %xmm8,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  68,15,182,203                       // movzbl        %bl,%r9d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  69,15,182,208                       // movzbl        %r8b,%r10d
  .byte  73,193,232,30                       // shr           $0x1e,%r8
  .byte  243,65,15,16,20,30                  // movss         (%r14,%rbx,1),%xmm2
  .byte  243,67,15,16,12,6                   // movss         (%r14,%r8,1),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  243,67,15,16,28,150                 // movss         (%r14,%r10,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  76,139,64,24                        // mov           0x18(%rax),%r8
  .byte  102,65,15,111,209                   // movdqa        %xmm9,%xmm2
  .byte  102,15,114,210,16                   // psrld         $0x10,%xmm2
  .byte  102,65,15,219,208                   // pand          %xmm8,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  68,15,182,200                       // movzbl        %al,%r9d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  68,15,182,211                       // movzbl        %bl,%r10d
  .byte  72,193,235,30                       // shr           $0x1e,%rbx
  .byte  243,69,15,16,4,0                    // movss         (%r8,%rax,1),%xmm8
  .byte  243,65,15,16,20,24                  // movss         (%r8,%rbx,1),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  243,67,15,16,20,136                 // movss         (%r8,%r9,4),%xmm2
  .byte  243,67,15,16,28,144                 // movss         (%r8,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,208                        // unpcklps      %xmm8,%xmm2
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  15,89,29,229,252,0,0                // mulps         0xfce5(%rip),%xmm3        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,45                              // je            1c81c <_sk_load_tables_sse2+0x168>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,23                              // je            1c811 <_sk_load_tables_sse2+0x15d>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  15,133,196,254,255,255              // jne           1c6c8 <_sk_load_tables_sse2+0x14>
  .byte  102,65,15,110,68,144,8              // movd          0x8(%r8,%rdx,4),%xmm0
  .byte  102,68,15,112,200,69                // pshufd        $0x45,%xmm0,%xmm9
  .byte  102,69,15,18,12,144                 // movlpd        (%r8,%rdx,4),%xmm9
  .byte  233,172,254,255,255                 // jmpq          1c6c8 <_sk_load_tables_sse2+0x14>
  .byte  102,69,15,110,12,144                // movd          (%r8,%rdx,4),%xmm9
  .byte  233,161,254,255,255                 // jmpq          1c6c8 <_sk_load_tables_sse2+0x14>

HIDDEN _sk_load_tables_u16_be_sse2
.globl _sk_load_tables_u16_be_sse2
FUNCTION(_sk_load_tables_u16_be_sse2)
_sk_load_tables_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,97,1,0,0                     // jne           1c99e <_sk_load_tables_u16_be_sse2+0x177>
  .byte  102,67,15,16,4,72                   // movupd        (%r8,%r9,2),%xmm0
  .byte  102,67,15,16,76,72,16               // movupd        0x10(%r8,%r9,2),%xmm1
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,40,200                    // movapd        %xmm0,%xmm9
  .byte  102,68,15,97,201                    // punpcklwd     %xmm1,%xmm9
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,68,15,105,200                   // punpckhwd     %xmm0,%xmm9
  .byte  102,68,15,111,21,190,252,0,0        // movdqa        0xfcbe(%rip),%xmm10        # 2c530 <_sk_overlay_sse2_8bit+0x1114>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,194                   // pand          %xmm10,%xmm0
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,65,15,97,192                    // punpcklwd     %xmm8,%xmm0
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  69,15,182,200                       // movzbl        %r8b,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,15,182,218                       // movzbl        %r10b,%r11d
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,28,19                  // movss         (%rbx,%r10,1),%xmm3
  .byte  243,66,15,16,4,131                  // movss         (%rbx,%r8,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,66,15,16,4,155                  // movss         (%rbx,%r11,4),%xmm0
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,15,115,217,8                    // psrldq        $0x8,%xmm1
  .byte  102,65,15,219,202                   // pand          %xmm10,%xmm1
  .byte  102,65,15,97,200                    // punpcklwd     %xmm8,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  243,67,15,16,20,14                  // movss         (%r14,%r9,1),%xmm2
  .byte  243,65,15,16,12,158                 // movss         (%r14,%rbx,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,150                 // movss         (%r14,%r10,4),%xmm1
  .byte  243,67,15,16,28,134                 // movss         (%r14,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  102,69,15,219,209                   // pand          %xmm9,%xmm10
  .byte  102,69,15,97,208                    // punpcklwd     %xmm8,%xmm10
  .byte  102,65,15,112,210,78                // pshufd        $0x4e,%xmm10,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,76,15,126,208                   // movq          %xmm10,%rax
  .byte  68,15,182,208                       // movzbl        %al,%r10d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  243,69,15,16,20,1                   // movss         (%r9,%rax,1),%xmm10
  .byte  243,65,15,16,20,153                 // movss         (%r9,%rbx,4),%xmm2
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  243,67,15,16,20,145                 // movss         (%r9,%r10,4),%xmm2
  .byte  243,67,15,16,28,129                 // movss         (%r9,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,210                        // unpcklps      %xmm10,%xmm2
  .byte  102,65,15,112,217,78                // pshufd        $0x4e,%xmm9,%xmm3
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,217                   // por           %xmm9,%xmm3
  .byte  102,65,15,97,216                    // punpcklwd     %xmm8,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,185,251,0,0                // mulps         0xfbb9(%rip),%xmm3        # 2c550 <_sk_overlay_sse2_8bit+0x1134>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  242,67,15,16,4,72                   // movsd         (%r8,%r9,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1c9bb <_sk_load_tables_u16_be_sse2+0x194>
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  233,143,254,255,255                 // jmpq          1c84a <_sk_load_tables_u16_be_sse2+0x23>
  .byte  102,67,15,22,68,72,8                // movhpd        0x8(%r8,%r9,2),%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,122,254,255,255              // jb            1c84a <_sk_load_tables_u16_be_sse2+0x23>
  .byte  242,67,15,16,76,72,16               // movsd         0x10(%r8,%r9,2),%xmm1
  .byte  233,110,254,255,255                 // jmpq          1c84a <_sk_load_tables_u16_be_sse2+0x23>

HIDDEN _sk_load_tables_rgb_u16_be_sse2
.globl _sk_load_tables_rgb_u16_be_sse2
FUNCTION(_sk_load_tables_rgb_u16_be_sse2)
_sk_load_tables_rgb_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  76,141,12,82                        // lea           (%rdx,%rdx,2),%r9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,80,1,0,0                     // jne           1cb3e <_sk_load_tables_rgb_u16_be_sse2+0x162>
  .byte  243,71,15,111,28,72                 // movdqu        (%r8,%r9,2),%xmm11
  .byte  243,67,15,111,76,72,8               // movdqu        0x8(%r8,%r9,2),%xmm1
  .byte  102,15,115,217,4                    // psrldq        $0x4,%xmm1
  .byte  102,69,15,111,211                   // movdqa        %xmm11,%xmm10
  .byte  102,65,15,115,218,6                 // psrldq        $0x6,%xmm10
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,68,15,97,217                    // punpcklwd     %xmm1,%xmm11
  .byte  102,68,15,97,208                    // punpcklwd     %xmm0,%xmm10
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,65,15,97,194                    // punpcklwd     %xmm10,%xmm0
  .byte  102,68,15,111,5,252,250,0,0         // movdqa        0xfafc(%rip),%xmm8        # 2c530 <_sk_overlay_sse2_8bit+0x1114>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,219,192                   // pand          %xmm8,%xmm0
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,97,193                    // punpcklwd     %xmm9,%xmm0
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  69,15,182,200                       // movzbl        %r8b,%r9d
  .byte  73,193,232,32                       // shr           $0x20,%r8
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,15,182,218                       // movzbl        %r10b,%r11d
  .byte  73,193,234,30                       // shr           $0x1e,%r10
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,28,19                  // movss         (%rbx,%r10,1),%xmm3
  .byte  243,66,15,16,4,131                  // movss         (%rbx,%r8,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,66,15,16,4,155                  // movss         (%rbx,%r11,4),%xmm0
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,65,15,219,200                   // pand          %xmm8,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  69,15,182,209                       // movzbl        %r9b,%r10d
  .byte  73,193,233,30                       // shr           $0x1e,%r9
  .byte  243,67,15,16,20,14                  // movss         (%r14,%r9,1),%xmm2
  .byte  243,65,15,16,12,158                 // movss         (%r14,%rbx,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,150                 // movss         (%r14,%r10,4),%xmm1
  .byte  243,67,15,16,28,134                 // movss         (%r14,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  76,139,72,24                        // mov           0x18(%rax),%r9
  .byte  102,69,15,105,218                   // punpckhwd     %xmm10,%xmm11
  .byte  102,69,15,219,216                   // pand          %xmm8,%xmm11
  .byte  102,69,15,97,217                    // punpcklwd     %xmm9,%xmm11
  .byte  102,65,15,112,211,78                // pshufd        $0x4e,%xmm11,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  68,15,182,195                       // movzbl        %bl,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,76,15,126,216                   // movq          %xmm11,%rax
  .byte  68,15,182,208                       // movzbl        %al,%r10d
  .byte  72,193,232,30                       // shr           $0x1e,%rax
  .byte  243,69,15,16,4,1                    // movss         (%r9,%rax,1),%xmm8
  .byte  243,65,15,16,20,153                 // movss         (%r9,%rbx,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  243,67,15,16,20,145                 // movss         (%r9,%r10,4),%xmm2
  .byte  243,67,15,16,28,129                 // movss         (%r9,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,208                        // unpcklps      %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,135,247,0,0                // movaps        0xf787(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,110,28,72                 // movd          (%r8,%r9,2),%xmm11
  .byte  102,71,15,196,92,72,4,2             // pinsrw        $0x2,0x4(%r8,%r9,2),%xmm11
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,14                              // jne           1cb64 <_sk_load_tables_rgb_u16_be_sse2+0x188>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  233,176,254,255,255                 // jmpq          1ca14 <_sk_load_tables_rgb_u16_be_sse2+0x38>
  .byte  102,71,15,110,84,72,6               // movd          0x6(%r8,%r9,2),%xmm10
  .byte  102,71,15,196,84,72,10,2            // pinsrw        $0x2,0xa(%r8,%r9,2),%xmm10
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            1cb95 <_sk_load_tables_rgb_u16_be_sse2+0x1b9>
  .byte  102,67,15,110,76,72,12              // movd          0xc(%r8,%r9,2),%xmm1
  .byte  102,67,15,196,76,72,16,2            // pinsrw        $0x2,0x10(%r8,%r9,2),%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,127,254,255,255                 // jmpq          1ca14 <_sk_load_tables_rgb_u16_be_sse2+0x38>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,118,254,255,255                 // jmpq          1ca14 <_sk_load_tables_rgb_u16_be_sse2+0x38>

HIDDEN _sk_byte_tables_sse2
.globl _sk_byte_tables_sse2
FUNCTION(_sk_byte_tables_sse2)
_sk_byte_tables_sse2:
  .byte  85                                  // push          %rbp
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,244,247,0,0              // movaps        0xf7f4(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  77,137,198                          // mov           %r8,%r14
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  70,15,182,28,27                     // movzbl        (%rbx,%r11,1),%r11d
  .byte  66,15,182,44,51                     // movzbl        (%rbx,%r14,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,221                            // or            %r11d,%ebp
  .byte  70,15,182,12,11                     // movzbl        (%rbx,%r9,1),%r9d
  .byte  66,15,182,28,19                     // movzbl        (%rbx,%r10,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  102,15,196,195,0                    // pinsrw        $0x0,%ebx,%xmm0
  .byte  102,15,196,197,1                    // pinsrw        $0x1,%ebp,%xmm0
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,97,193                    // punpcklwd     %xmm9,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,21,158,248,0,0             // movaps        0xf89e(%rip),%xmm10        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  65,137,233                          // mov           %ebp,%r9d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,201,78                   // pshufd        $0x4e,%xmm1,%xmm1
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,15,182,28,24                     // movzbl        (%r8,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,211                            // or            %r10d,%ebx
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,44,40                     // movzbl        (%r8,%rbp,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,205                            // or            %r9d,%ebp
  .byte  102,15,196,205,0                    // pinsrw        $0x0,%ebp,%xmm1
  .byte  102,15,196,203,1                    // pinsrw        $0x1,%ebx,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,202                        // mulps         %xmm10,%xmm1
  .byte  76,139,72,16                        // mov           0x10(%rax),%r9
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,216                          // mov           %ebx,%r8d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  65,137,234                          // mov           %ebp,%r10d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  71,15,182,20,17                     // movzbl        (%r9,%r10,1),%r10d
  .byte  65,15,182,44,41                     // movzbl        (%r9,%rbp,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,213                            // or            %r10d,%ebp
  .byte  71,15,182,4,1                       // movzbl        (%r9,%r8,1),%r8d
  .byte  65,15,182,28,25                     // movzbl        (%r9,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,195                            // or            %r8d,%ebx
  .byte  102,15,196,211,0                    // pinsrw        $0x0,%ebx,%xmm2
  .byte  102,15,196,213,1                    // pinsrw        $0x1,%ebp,%xmm2
  .byte  102,65,15,96,209                    // punpcklbw     %xmm9,%xmm2
  .byte  102,65,15,97,209                    // punpcklwd     %xmm9,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  72,139,64,24                        // mov           0x18(%rax),%rax
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  102,15,91,219                       // cvtps2dq      %xmm3,%xmm3
  .byte  102,72,15,126,221                   // movq          %xmm3,%rbp
  .byte  65,137,232                          // mov           %ebp,%r8d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,219,78                   // pshufd        $0x4e,%xmm3,%xmm3
  .byte  102,72,15,126,219                   // movq          %xmm3,%rbx
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  70,15,182,12,8                      // movzbl        (%rax,%r9,1),%r9d
  .byte  15,182,28,24                        // movzbl        (%rax,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  70,15,182,4,0                       // movzbl        (%rax,%r8,1),%r8d
  .byte  15,182,4,40                         // movzbl        (%rax,%rbp,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,192                            // or            %r8d,%eax
  .byte  102,15,196,216,0                    // pinsrw        $0x0,%eax,%xmm3
  .byte  102,15,196,219,1                    // pinsrw        $0x1,%ebx,%xmm3
  .byte  102,65,15,96,217                    // punpcklbw     %xmm9,%xmm3
  .byte  102,65,15,97,217                    // punpcklwd     %xmm9,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,218                        // mulps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_byte_tables_rgb_sse2
.globl _sk_byte_tables_rgb_sse2
FUNCTION(_sk_byte_tables_rgb_sse2)
_sk_byte_tables_rgb_sse2:
  .byte  85                                  // push          %rbp
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,24                        // mov           0x18(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,69,15,110,192                   // movd          %r8d,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,193                          // mov           %r8d,%r9d
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  69,137,195                          // mov           %r8d,%r11d
  .byte  77,137,198                          // mov           %r8,%r14
  .byte  73,193,238,32                       // shr           $0x20,%r14
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,64,8                         // mov           0x8(%rax),%r8
  .byte  70,15,182,28,27                     // movzbl        (%rbx,%r11,1),%r11d
  .byte  66,15,182,44,51                     // movzbl        (%rbx,%r14,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,221                            // or            %r11d,%ebp
  .byte  70,15,182,12,11                     // movzbl        (%rbx,%r9,1),%r9d
  .byte  66,15,182,28,19                     // movzbl        (%rbx,%r10,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  102,15,196,195,0                    // pinsrw        $0x0,%ebx,%xmm0
  .byte  102,15,196,197,1                    // pinsrw        $0x1,%ebp,%xmm0
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,97,193                    // punpcklwd     %xmm9,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,21,218,246,0,0             // movaps        0xf6da(%rip),%xmm10        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,194                        // mulps         %xmm10,%xmm0
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,72,15,126,205                   // movq          %xmm1,%rbp
  .byte  65,137,233                          // mov           %ebp,%r9d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,201,78                   // pshufd        $0x4e,%xmm1,%xmm1
  .byte  102,72,15,126,203                   // movq          %xmm1,%rbx
  .byte  65,137,218                          // mov           %ebx,%r10d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,15,182,28,24                     // movzbl        (%r8,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,211                            // or            %r10d,%ebx
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,44,40                     // movzbl        (%r8,%rbp,1),%ebp
  .byte  193,229,8                           // shl           $0x8,%ebp
  .byte  68,9,205                            // or            %r9d,%ebp
  .byte  102,15,196,205,0                    // pinsrw        $0x0,%ebp,%xmm1
  .byte  102,15,196,203,1                    // pinsrw        $0x1,%ebx,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,202                        // mulps         %xmm10,%xmm1
  .byte  72,139,64,16                        // mov           0x10(%rax),%rax
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,72,15,126,213                   // movq          %xmm2,%rbp
  .byte  65,137,232                          // mov           %ebp,%r8d
  .byte  72,193,237,32                       // shr           $0x20,%rbp
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,72,15,126,211                   // movq          %xmm2,%rbx
  .byte  65,137,217                          // mov           %ebx,%r9d
  .byte  72,193,235,32                       // shr           $0x20,%rbx
  .byte  70,15,182,12,8                      // movzbl        (%rax,%r9,1),%r9d
  .byte  15,182,28,24                        // movzbl        (%rax,%rbx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  68,9,203                            // or            %r9d,%ebx
  .byte  70,15,182,4,0                       // movzbl        (%rax,%r8,1),%r8d
  .byte  15,182,4,40                         // movzbl        (%rax,%rbp,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,192                            // or            %r8d,%eax
  .byte  102,15,196,208,0                    // pinsrw        $0x0,%eax,%xmm2
  .byte  102,15,196,211,1                    // pinsrw        $0x1,%ebx,%xmm2
  .byte  102,65,15,96,209                    // punpcklbw     %xmm9,%xmm2
  .byte  102,65,15,97,209                    // punpcklwd     %xmm9,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,210                        // mulps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_r_sse2
.globl _sk_table_r_sse2
FUNCTION(_sk_table_r_sse2)
_sk_table_r_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,192,78                // pshufd        $0x4e,%xmm8,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,4,128                  // movss         (%r8,%rax,4),%xmm0
  .byte  68,15,20,192                        // unpcklps      %xmm0,%xmm8
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,193                        // unpcklps      %xmm9,%xmm0
  .byte  65,15,20,192                        // unpcklps      %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_g_sse2
.globl _sk_table_g_sse2
FUNCTION(_sk_table_g_sse2)
_sk_table_g_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,200,78                // pshufd        $0x4e,%xmm8,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,12,128                 // movss         (%r8,%rax,4),%xmm1
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  243,67,15,16,12,152                 // movss         (%r8,%r11,4),%xmm1
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,201                        // unpcklps      %xmm9,%xmm1
  .byte  65,15,20,200                        // unpcklps      %xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_b_sse2
.globl _sk_table_b_sse2
FUNCTION(_sk_table_b_sse2)
_sk_table_b_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,208,78                // pshufd        $0x4e,%xmm8,%xmm2
  .byte  102,72,15,126,208                   // movq          %xmm2,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,20,128                 // movss         (%r8,%rax,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,209                        // unpcklps      %xmm9,%xmm2
  .byte  65,15,20,208                        // unpcklps      %xmm8,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_table_a_sse2
.globl _sk_table_a_sse2
FUNCTION(_sk_table_a_sse2)
_sk_table_a_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  139,64,8                            // mov           0x8(%rax),%eax
  .byte  255,200                             // dec           %eax
  .byte  102,68,15,110,192                   // movd          %eax,%xmm8
  .byte  102,69,15,112,192,0                 // pshufd        $0x0,%xmm8,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,112,216,78                // pshufd        $0x4e,%xmm8,%xmm3
  .byte  102,72,15,126,216                   // movq          %xmm3,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,77,15,126,194                   // movq          %xmm8,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,71,15,16,4,144                  // movss         (%r8,%r10,4),%xmm8
  .byte  243,65,15,16,28,128                 // movss         (%r8,%rax,4),%xmm3
  .byte  68,15,20,195                        // unpcklps      %xmm3,%xmm8
  .byte  243,67,15,16,28,152                 // movss         (%r8,%r11,4),%xmm3
  .byte  243,71,15,16,12,136                 // movss         (%r8,%r9,4),%xmm9
  .byte  65,15,20,217                        // unpcklps      %xmm9,%xmm3
  .byte  65,15,20,216                        // unpcklps      %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_r_sse2
.globl _sk_parametric_r_sse2
FUNCTION(_sk_parametric_r_sse2)
_sk_parametric_r_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  65,15,194,193,2                     // cmpleps       %xmm9,%xmm0
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,184,244,0,0             // mulps         0xf4b8(%rip),%xmm9        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,21,192,244,0,0             // andps         0xf4c0(%rip),%xmm10        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,21,216,241,0,0             // orps          0xf1d8(%rip),%xmm10        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,13,192,244,0,0             // addps         0xf4c0(%rip),%xmm9        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  68,15,40,37,200,244,0,0             // movaps        0xf4c8(%rip),%xmm12        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,200,244,0,0             // addps         0xf4c8(%rip),%xmm10        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  68,15,40,37,208,244,0,0             // movaps        0xf4d0(%rip),%xmm12        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,170,241,0,0             // movaps        0xf1aa(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,158,244,0,0             // addps         0xf49e(%rip),%xmm9        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  68,15,40,37,166,244,0,0             // movaps        0xf4a6(%rip),%xmm12        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,166,244,0,0             // movaps        0xf4a6(%rip),%xmm12        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,170,244,0,0             // movaps        0xf4aa(%rip),%xmm13        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,170,244,0,0             // mulps         0xf4aa(%rip),%xmm13        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,192                        // andps         %xmm0,%xmm8
  .byte  65,15,85,196                        // andnps        %xmm12,%xmm0
  .byte  65,15,86,192                        // orps          %xmm8,%xmm0
  .byte  65,15,95,195                        // maxps         %xmm11,%xmm0
  .byte  65,15,93,194                        // minps         %xmm10,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_g_sse2
.globl _sk_parametric_g_sse2
FUNCTION(_sk_parametric_g_sse2)
_sk_parametric_g_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  65,15,194,201,2                     // cmpleps       %xmm9,%xmm1
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,122,243,0,0             // mulps         0xf37a(%rip),%xmm9        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,21,130,243,0,0             // andps         0xf382(%rip),%xmm10        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,21,154,240,0,0             // orps          0xf09a(%rip),%xmm10        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,13,130,243,0,0             // addps         0xf382(%rip),%xmm9        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  68,15,40,37,138,243,0,0             // movaps        0xf38a(%rip),%xmm12        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,138,243,0,0             // addps         0xf38a(%rip),%xmm10        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  68,15,40,37,146,243,0,0             // movaps        0xf392(%rip),%xmm12        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,108,240,0,0             // movaps        0xf06c(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,96,243,0,0              // addps         0xf360(%rip),%xmm9        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  68,15,40,37,104,243,0,0             // movaps        0xf368(%rip),%xmm12        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,104,243,0,0             // movaps        0xf368(%rip),%xmm12        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,108,243,0,0             // movaps        0xf36c(%rip),%xmm13        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,108,243,0,0             // mulps         0xf36c(%rip),%xmm13        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,193                        // andps         %xmm1,%xmm8
  .byte  65,15,85,204                        // andnps        %xmm12,%xmm1
  .byte  65,15,86,200                        // orps          %xmm8,%xmm1
  .byte  65,15,95,203                        // maxps         %xmm11,%xmm1
  .byte  65,15,93,202                        // minps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_b_sse2
.globl _sk_parametric_b_sse2
FUNCTION(_sk_parametric_b_sse2)
_sk_parametric_b_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  65,15,194,209,2                     // cmpleps       %xmm9,%xmm2
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,60,242,0,0              // mulps         0xf23c(%rip),%xmm9        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,21,68,242,0,0              // andps         0xf244(%rip),%xmm10        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,21,92,239,0,0              // orps          0xef5c(%rip),%xmm10        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,13,68,242,0,0              // addps         0xf244(%rip),%xmm9        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  68,15,40,37,76,242,0,0              // movaps        0xf24c(%rip),%xmm12        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,76,242,0,0              // addps         0xf24c(%rip),%xmm10        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  68,15,40,37,84,242,0,0              // movaps        0xf254(%rip),%xmm12        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,46,239,0,0              // movaps        0xef2e(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,34,242,0,0              // addps         0xf222(%rip),%xmm9        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  68,15,40,37,42,242,0,0              // movaps        0xf22a(%rip),%xmm12        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,42,242,0,0              // movaps        0xf22a(%rip),%xmm12        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,46,242,0,0              // movaps        0xf22e(%rip),%xmm13        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,46,242,0,0              // mulps         0xf22e(%rip),%xmm13        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,194                        // andps         %xmm2,%xmm8
  .byte  65,15,85,212                        // andnps        %xmm12,%xmm2
  .byte  65,15,86,208                        // orps          %xmm8,%xmm2
  .byte  65,15,95,211                        // maxps         %xmm11,%xmm2
  .byte  65,15,93,210                        // minps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_parametric_a_sse2
.globl _sk_parametric_a_sse2
FUNCTION(_sk_parametric_a_sse2)
_sk_parametric_a_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,72,16                  // movss         0x10(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  65,15,194,217,2                     // cmpleps       %xmm9,%xmm3
  .byte  243,68,15,16,72,24                  // movss         0x18(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  243,68,15,16,24                     // movss         (%rax),%xmm11
  .byte  243,68,15,16,72,8                   // movss         0x8(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,88,209                        // addps         %xmm9,%xmm10
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,91,202                        // cvtdq2ps      %xmm10,%xmm9
  .byte  68,15,89,13,254,240,0,0             // mulps         0xf0fe(%rip),%xmm9        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  68,15,84,21,6,241,0,0               // andps         0xf106(%rip),%xmm10        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,86,21,30,238,0,0              // orps          0xee1e(%rip),%xmm10        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,88,13,6,241,0,0               // addps         0xf106(%rip),%xmm9        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  68,15,40,37,14,241,0,0              // movaps        0xf10e(%rip),%xmm12        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,88,21,14,241,0,0              // addps         0xf10e(%rip),%xmm10        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  68,15,40,37,22,241,0,0              // movaps        0xf116(%rip),%xmm12        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  69,15,94,226                        // divps         %xmm10,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,226                        // cvtdq2ps      %xmm10,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,194,236,1                     // cmpltps       %xmm12,%xmm13
  .byte  68,15,40,21,240,237,0,0             // movaps        0xedf0(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,84,234                        // andps         %xmm10,%xmm13
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  69,15,40,233                        // movaps        %xmm9,%xmm13
  .byte  69,15,92,236                        // subps         %xmm12,%xmm13
  .byte  68,15,88,13,228,240,0,0             // addps         0xf0e4(%rip),%xmm9        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  68,15,40,37,236,240,0,0             // movaps        0xf0ec(%rip),%xmm12        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  69,15,89,229                        // mulps         %xmm13,%xmm12
  .byte  69,15,92,204                        // subps         %xmm12,%xmm9
  .byte  68,15,40,37,236,240,0,0             // movaps        0xf0ec(%rip),%xmm12        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  69,15,92,229                        // subps         %xmm13,%xmm12
  .byte  68,15,40,45,240,240,0,0             // movaps        0xf0f0(%rip),%xmm13        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  69,15,94,236                        // divps         %xmm12,%xmm13
  .byte  69,15,88,233                        // addps         %xmm9,%xmm13
  .byte  68,15,89,45,240,240,0,0             // mulps         0xf0f0(%rip),%xmm13        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  102,69,15,91,205                    // cvtps2dq      %xmm13,%xmm9
  .byte  243,68,15,16,96,20                  // movss         0x14(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  69,15,88,225                        // addps         %xmm9,%xmm12
  .byte  68,15,84,195                        // andps         %xmm3,%xmm8
  .byte  65,15,85,220                        // andnps        %xmm12,%xmm3
  .byte  65,15,86,216                        // orps          %xmm8,%xmm3
  .byte  65,15,95,219                        // maxps         %xmm11,%xmm3
  .byte  65,15,93,218                        // minps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gamma_sse2
.globl _sk_gamma_sse2
FUNCTION(_sk_gamma_sse2)
_sk_gamma_sse2:
  .byte  15,41,124,36,232                    // movaps        %xmm7,-0x18(%rsp)
  .byte  15,41,116,36,216                    // movaps        %xmm6,-0x28(%rsp)
  .byte  15,41,108,36,200                    // movaps        %xmm5,-0x38(%rsp)
  .byte  15,41,100,36,184                    // movaps        %xmm4,-0x48(%rsp)
  .byte  15,41,92,36,168                     // movaps        %xmm3,-0x58(%rsp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,89,5,251,239,0,0                 // mulps         0xeffb(%rip),%xmm0        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  15,84,21,4,240,0,0                  // andps         0xf004(%rip),%xmm2        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  68,15,40,53,28,237,0,0              // movaps        0xed1c(%rip),%xmm14        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,86,214                        // orps          %xmm14,%xmm2
  .byte  68,15,40,37,0,240,0,0               // movaps        0xf000(%rip),%xmm12        # 2c590 <_sk_overlay_sse2_8bit+0x1174>
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,40,29,4,240,0,0               // movaps        0xf004(%rip),%xmm11        # 2c5a0 <_sk_overlay_sse2_8bit+0x1184>
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  65,15,89,227                        // mulps         %xmm11,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  68,15,40,21,2,240,0,0               // movaps        0xf002(%rip),%xmm10        # 2c5b0 <_sk_overlay_sse2_8bit+0x1194>
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  68,15,40,45,6,240,0,0               // movaps        0xf006(%rip),%xmm13        # 2c5c0 <_sk_overlay_sse2_8bit+0x11a4>
  .byte  65,15,40,229                        // movaps        %xmm13,%xmm4
  .byte  15,94,226                           // divps         %xmm2,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  243,15,91,208                       // cvttps2dq     %xmm0,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,194,226,1                        // cmpltps       %xmm2,%xmm4
  .byte  68,15,40,13,214,236,0,0             // movaps        0xecd6(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  65,15,84,225                        // andps         %xmm9,%xmm4
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,53,210,239,0,0                // movaps        0xefd2(%rip),%xmm6        # 2c5d0 <_sk_overlay_sse2_8bit+0x11b4>
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,61,232,239,0,0                // movaps        0xefe8(%rip),%xmm7        # 2c5f0 <_sk_overlay_sse2_8bit+0x11d4>
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,40,37,200,239,0,0                // movaps        0xefc8(%rip),%xmm4        # 2c5e0 <_sk_overlay_sse2_8bit+0x11c4>
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  68,15,40,61,218,239,0,0             // movaps        0xefda(%rip),%xmm15        # 2c600 <_sk_overlay_sse2_8bit+0x11e4>
  .byte  65,15,40,215                        // movaps        %xmm15,%xmm2
  .byte  15,94,213                           // divps         %xmm5,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  15,89,5,54,239,0,0                  // mulps         0xef36(%rip),%xmm0        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  15,84,13,63,239,0,0                 // andps         0xef3f(%rip),%xmm1        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  65,15,86,206                        // orps          %xmm14,%xmm1
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  65,15,89,235                        // mulps         %xmm11,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  69,15,40,242                        // movaps        %xmm10,%xmm14
  .byte  65,15,40,237                        // movaps        %xmm13,%xmm5
  .byte  15,94,233                           // divps         %xmm1,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  243,15,91,200                       // cvttps2dq     %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,194,233,1                        // cmpltps       %xmm1,%xmm5
  .byte  65,15,84,233                        // andps         %xmm9,%xmm5
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  68,15,40,214                        // movaps        %xmm6,%xmm10
  .byte  15,40,247                           // movaps        %xmm7,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,40,207                        // movaps        %xmm15,%xmm1
  .byte  15,94,206                           // divps         %xmm6,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  15,89,5,197,238,0,0                 // mulps         0xeec5(%rip),%xmm0        # 2c570 <_sk_overlay_sse2_8bit+0x1154>
  .byte  15,84,29,206,238,0,0                // andps         0xeece(%rip),%xmm3        # 2c580 <_sk_overlay_sse2_8bit+0x1164>
  .byte  15,86,29,231,235,0,0                // orps          0xebe7(%rip),%xmm3        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  65,15,88,222                        // addps         %xmm14,%xmm3
  .byte  68,15,94,235                        // divps         %xmm3,%xmm13
  .byte  65,15,92,197                        // subps         %xmm13,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  243,15,91,216                       // cvttps2dq     %xmm0,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,194,235,1                        // cmpltps       %xmm3,%xmm5
  .byte  65,15,84,233                        // andps         %xmm9,%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  68,15,94,255                        // divps         %xmm7,%xmm15
  .byte  68,15,88,248                        // addps         %xmm0,%xmm15
  .byte  15,40,5,4,239,0,0                   // movaps        0xef04(%rip),%xmm0        # 2c610 <_sk_overlay_sse2_8bit+0x11f4>
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  68,15,89,248                        // mulps         %xmm0,%xmm15
  .byte  102,15,91,194                       // cvtps2dq      %xmm2,%xmm0
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,65,15,91,215                    // cvtps2dq      %xmm15,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,92,36,168                     // movaps        -0x58(%rsp),%xmm3
  .byte  15,40,100,36,184                    // movaps        -0x48(%rsp),%xmm4
  .byte  15,40,108,36,200                    // movaps        -0x38(%rsp),%xmm5
  .byte  15,40,116,36,216                    // movaps        -0x28(%rsp),%xmm6
  .byte  15,40,124,36,232                    // movaps        -0x18(%rsp),%xmm7
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lab_to_xyz_sse2
.globl _sk_lab_to_xyz_sse2
FUNCTION(_sk_lab_to_xyz_sse2)
_sk_lab_to_xyz_sse2:
  .byte  15,89,5,217,238,0,0                 // mulps         0xeed9(%rip),%xmm0        # 2c620 <_sk_overlay_sse2_8bit+0x1204>
  .byte  68,15,40,5,81,236,0,0               // movaps        0xec51(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  68,15,40,13,213,238,0,0             // movaps        0xeed5(%rip),%xmm9        # 2c630 <_sk_overlay_sse2_8bit+0x1214>
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  65,15,88,209                        // addps         %xmm9,%xmm2
  .byte  15,88,5,210,238,0,0                 // addps         0xeed2(%rip),%xmm0        # 2c640 <_sk_overlay_sse2_8bit+0x1224>
  .byte  15,89,5,219,238,0,0                 // mulps         0xeedb(%rip),%xmm0        # 2c650 <_sk_overlay_sse2_8bit+0x1234>
  .byte  15,89,13,228,238,0,0                // mulps         0xeee4(%rip),%xmm1        # 2c660 <_sk_overlay_sse2_8bit+0x1244>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,21,234,238,0,0                // mulps         0xeeea(%rip),%xmm2        # 2c670 <_sk_overlay_sse2_8bit+0x1254>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,92,202                        // subps         %xmm2,%xmm9
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,89,225                        // mulps         %xmm1,%xmm12
  .byte  15,40,21,223,238,0,0                // movaps        0xeedf(%rip),%xmm2        # 2c680 <_sk_overlay_sse2_8bit+0x1264>
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  69,15,194,196,1                     // cmpltps       %xmm12,%xmm8
  .byte  68,15,40,21,222,238,0,0             // movaps        0xeede(%rip),%xmm10        # 2c690 <_sk_overlay_sse2_8bit+0x1274>
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  68,15,40,29,226,238,0,0             // movaps        0xeee2(%rip),%xmm11        # 2c6a0 <_sk_overlay_sse2_8bit+0x1284>
  .byte  65,15,89,203                        // mulps         %xmm11,%xmm1
  .byte  69,15,84,224                        // andps         %xmm8,%xmm12
  .byte  68,15,85,193                        // andnps        %xmm1,%xmm8
  .byte  69,15,86,196                        // orps          %xmm12,%xmm8
  .byte  68,15,40,224                        // movaps        %xmm0,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,89,224                        // mulps         %xmm0,%xmm12
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  65,15,194,204,1                     // cmpltps       %xmm12,%xmm1
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  65,15,89,195                        // mulps         %xmm11,%xmm0
  .byte  68,15,84,225                        // andps         %xmm1,%xmm12
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  65,15,86,204                        // orps          %xmm12,%xmm1
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  15,194,208,1                        // cmpltps       %xmm0,%xmm2
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  69,15,89,203                        // mulps         %xmm11,%xmm9
  .byte  15,84,194                           // andps         %xmm2,%xmm0
  .byte  65,15,85,209                        // andnps        %xmm9,%xmm2
  .byte  15,86,208                           // orps          %xmm0,%xmm2
  .byte  68,15,89,5,146,238,0,0              // mulps         0xee92(%rip),%xmm8        # 2c6b0 <_sk_overlay_sse2_8bit+0x1294>
  .byte  15,89,21,155,238,0,0                // mulps         0xee9b(%rip),%xmm2        # 2c6c0 <_sk_overlay_sse2_8bit+0x12a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_a8_sse2
.globl _sk_load_a8_sse2
FUNCTION(_sk_load_a8_sse2)
_sk_load_a8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,46                              // jne           1d873 <_sk_load_a8_sse2+0x46>
  .byte  102,67,15,110,4,16                  // movd          (%r8,%r10,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,5,21,235,0,0             // pand          0xeb15(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,91,236,0,0                 // mulps         0xec5b(%rip),%xmm3        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1d8b6 <_sk_load_a8_sse2+0x89>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1d89f <_sk_load_a8_sse2+0x72>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           1d853 <_sk_load_a8_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,157                             // jmp           1d853 <_sk_load_a8_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,146                             // jmp           1d853 <_sk_load_a8_sse2+0x26>

HIDDEN _sk_load_a8_dst_sse2
.globl _sk_load_a8_dst_sse2
FUNCTION(_sk_load_a8_dst_sse2)
_sk_load_a8_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,46                              // jne           1d907 <_sk_load_a8_dst_sse2+0x46>
  .byte  102,67,15,110,36,16                 // movd          (%r8,%r10,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,37,129,234,0,0           // pand          0xea81(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,89,61,199,235,0,0                // mulps         0xebc7(%rip),%xmm7        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  15,87,246                           // xorps         %xmm6,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1d94a <_sk_load_a8_dst_sse2+0x89>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1d933 <_sk_load_a8_dst_sse2+0x72>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,195                             // jne           1d8e7 <_sk_load_a8_dst_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,157                             // jmp           1d8e7 <_sk_load_a8_dst_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,146                             // jmp           1d8e7 <_sk_load_a8_dst_sse2+0x26>

HIDDEN _sk_gather_a8_sse2
.globl _sk_gather_a8_sse2
FUNCTION(_sk_gather_a8_sse2)
_sk_gather_a8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,28,24                     // movzbl        (%r8,%r11,1),%r11d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,193,226,8                        // shl           $0x8,%r10d
  .byte  69,9,218                            // or            %r11d,%r10d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,196,192,0                    // pinsrw        $0x0,%eax,%xmm0
  .byte  102,65,15,196,194,1                 // pinsrw        $0x1,%r10d,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,29,214,234,0,0                // mulps         0xead6(%rip),%xmm3        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_a8_sse2
.globl _sk_store_a8_sse2
FUNCTION(_sk_store_a8_sse2)
_sk_store_a8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,140,233,0,0              // movaps        0xe98c(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,13                              // jne           1da45 <_sk_store_a8_sse2+0x4c>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  67,137,4,16                         // mov           %eax,(%r8,%r10,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,68,15,96,192                    // punpcklbw     %xmm0,%xmm8
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,59                              // je            1da97 <_sk_store_a8_sse2+0x9e>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,22                              // je            1da78 <_sk_store_a8_sse2+0x7f>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,217                             // jne           1da41 <_sk_store_a8_sse2+0x48>
  .byte  102,68,15,127,68,36,232             // movdqa        %xmm8,-0x18(%rsp)
  .byte  138,68,36,240                       // mov           -0x10(%rsp),%al
  .byte  67,136,68,16,2                      // mov           %al,0x2(%r8,%r10,1)
  .byte  102,68,15,219,5,239,232,0,0         // pand          0xe8ef(%rip),%xmm8        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  102,69,15,103,192                   // packuswb      %xmm8,%xmm8
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  102,67,137,4,16                     // mov           %ax,(%r8,%r10,1)
  .byte  235,170                             // jmp           1da41 <_sk_store_a8_sse2+0x48>
  .byte  102,68,15,127,68,36,216             // movdqa        %xmm8,-0x28(%rsp)
  .byte  138,68,36,216                       // mov           -0x28(%rsp),%al
  .byte  67,136,4,16                         // mov           %al,(%r8,%r10,1)
  .byte  235,153                             // jmp           1da41 <_sk_store_a8_sse2+0x48>

HIDDEN _sk_load_g8_sse2
.globl _sk_load_g8_sse2
FUNCTION(_sk_load_g8_sse2)
_sk_load_g8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,49                              // jne           1daf1 <_sk_load_g8_sse2+0x49>
  .byte  102,67,15,110,4,16                  // movd          (%r8,%r10,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,5,154,232,0,0            // pand          0xe89a(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,224,233,0,0                 // mulps         0xe9e0(%rip),%xmm0        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,215,231,0,0                // movaps        0xe7d7(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1db34 <_sk_load_g8_sse2+0x8c>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1db1d <_sk_load_g8_sse2+0x75>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           1dace <_sk_load_g8_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,154                             // jmp           1dace <_sk_load_g8_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,143                             // jmp           1dace <_sk_load_g8_sse2+0x26>

HIDDEN _sk_load_g8_dst_sse2
.globl _sk_load_g8_dst_sse2
FUNCTION(_sk_load_g8_dst_sse2)
_sk_load_g8_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,49                              // jne           1db88 <_sk_load_g8_dst_sse2+0x49>
  .byte  102,67,15,110,36,16                 // movd          (%r8,%r10,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,37,3,232,0,0             // pand          0xe803(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,73,233,0,0                 // mulps         0xe949(%rip),%xmm4        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,64,231,0,0                 // movaps        0xe740(%rip),%xmm7        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,54                              // je            1dbcb <_sk_load_g8_dst_sse2+0x8c>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1dbb4 <_sk_load_g8_dst_sse2+0x75>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,192                             // jne           1db65 <_sk_load_g8_dst_sse2+0x26>
  .byte  67,15,182,68,16,2                   // movzbl        0x2(%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  67,15,183,4,16                      // movzwl        (%r8,%r10,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,154                             // jmp           1db65 <_sk_load_g8_dst_sse2+0x26>
  .byte  67,15,182,4,16                      // movzbl        (%r8,%r10,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  235,143                             // jmp           1db65 <_sk_load_g8_dst_sse2+0x26>

HIDDEN _sk_gather_g8_sse2
.globl _sk_gather_g8_sse2
FUNCTION(_sk_gather_g8_sse2)
_sk_gather_g8_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,72,15,126,192                   // movq          %xmm0,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  71,15,182,28,24                     // movzbl        (%r8,%r11,1),%r11d
  .byte  71,15,182,20,16                     // movzbl        (%r8,%r10,1),%r10d
  .byte  65,193,226,8                        // shl           $0x8,%r10d
  .byte  69,9,218                            // or            %r11d,%r10d
  .byte  71,15,182,12,8                      // movzbl        (%r8,%r9,1),%r9d
  .byte  65,15,182,4,0                       // movzbl        (%r8,%rax,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,196,192,0                    // pinsrw        $0x0,%eax,%xmm0
  .byte  102,65,15,196,194,1                 // pinsrw        $0x1,%r10d,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,85,232,0,0                  // mulps         0xe855(%rip),%xmm0        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,76,230,0,0                 // movaps        0xe64c(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_565_sse2
.globl _sk_load_565_sse2
FUNCTION(_sk_load_565_sse2)
_sk_load_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,83                              // jne           1dcea <_sk_load_565_sse2+0x6e>
  .byte  243,67,15,126,20,80                 // movq          (%r8,%r10,2),%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,5,39,232,0,0             // movdqa        0xe827(%rip),%xmm0        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,41,232,0,0                  // mulps         0xe829(%rip),%xmm0        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,13,49,232,0,0            // movdqa        0xe831(%rip),%xmm1        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,51,232,0,0                 // mulps         0xe833(%rip),%xmm1        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,15,219,21,59,232,0,0            // pand          0xe83b(%rip),%xmm2        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,65,232,0,0                 // mulps         0xe841(%rip),%xmm2        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,216,229,0,0                // movaps        0xe5d8(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1dd29 <_sk_load_565_sse2+0xad>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1dd16 <_sk_load_565_sse2+0x9a>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           1dca1 <_sk_load_565_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,208,69                   // pshufd        $0x45,%xmm0,%xmm2
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,208                       // movsd         %xmm0,%xmm2
  .byte  233,120,255,255,255                 // jmpq          1dca1 <_sk_load_565_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,106,255,255,255                 // jmpq          1dca1 <_sk_load_565_sse2+0x25>

HIDDEN _sk_load_565_dst_sse2
.globl _sk_load_565_dst_sse2
FUNCTION(_sk_load_565_dst_sse2)
_sk_load_565_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,83                              // jne           1dda5 <_sk_load_565_dst_sse2+0x6e>
  .byte  243,67,15,126,52,80                 // movq          (%r8,%r10,2),%xmm6
  .byte  102,15,97,240                       // punpcklwd     %xmm0,%xmm6
  .byte  102,15,111,37,108,231,0,0           // movdqa        0xe76c(%rip),%xmm4        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,110,231,0,0                // mulps         0xe76e(%rip),%xmm4        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,45,118,231,0,0           // movdqa        0xe776(%rip),%xmm5        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,120,231,0,0                // mulps         0xe778(%rip),%xmm5        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,15,219,53,128,231,0,0           // pand          0xe780(%rip),%xmm6        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,134,231,0,0                // mulps         0xe786(%rip),%xmm6        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,61,29,229,0,0                 // movaps        0xe51d(%rip),%xmm7        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1dde4 <_sk_load_565_dst_sse2+0xad>
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1ddd1 <_sk_load_565_dst_sse2+0x9a>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,154                             // jne           1dd5c <_sk_load_565_dst_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,244,69                   // pshufd        $0x45,%xmm4,%xmm6
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,244                       // movsd         %xmm4,%xmm6
  .byte  233,120,255,255,255                 // jmpq          1dd5c <_sk_load_565_dst_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  233,106,255,255,255                 // jmpq          1dd5c <_sk_load_565_dst_sse2+0x25>

HIDDEN _sk_gather_565_sse2
.globl _sk_gather_565_sse2
FUNCTION(_sk_gather_565_sse2)
_sk_gather_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,20,88,0               // pinsrw        $0x0,(%r8,%r11,2),%xmm2
  .byte  102,67,15,196,20,80,1               // pinsrw        $0x1,(%r8,%r10,2),%xmm2
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,209,2                 // pinsrw        $0x2,%r9d,%xmm2
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,208,3                    // pinsrw        $0x3,%eax,%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,5,88,230,0,0             // movdqa        0xe658(%rip),%xmm0        # 2c4d0 <_sk_overlay_sse2_8bit+0x10b4>
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,90,230,0,0                  // mulps         0xe65a(%rip),%xmm0        # 2c4e0 <_sk_overlay_sse2_8bit+0x10c4>
  .byte  102,15,111,13,98,230,0,0            // movdqa        0xe662(%rip),%xmm1        # 2c4f0 <_sk_overlay_sse2_8bit+0x10d4>
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,100,230,0,0                // mulps         0xe664(%rip),%xmm1        # 2c500 <_sk_overlay_sse2_8bit+0x10e4>
  .byte  102,15,219,21,108,230,0,0           // pand          0xe66c(%rip),%xmm2        # 2c510 <_sk_overlay_sse2_8bit+0x10f4>
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,114,230,0,0                // mulps         0xe672(%rip),%xmm2        # 2c520 <_sk_overlay_sse2_8bit+0x1104>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,9,228,0,0                  // movaps        0xe409(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_565_sse2
.globl _sk_store_565_sse2
FUNCTION(_sk_store_565_sse2)
_sk_store_565_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,9,232,0,0                // movaps        0xe809(%rip),%xmm8        # 2c6e0 <_sk_overlay_sse2_8bit+0x12c4>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,11                // pslld         $0xb,%xmm9
  .byte  68,15,40,21,254,231,0,0             // movaps        0xe7fe(%rip),%xmm10        # 2c6f0 <_sk_overlay_sse2_8bit+0x12d4>
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,5                 // pslld         $0x5,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1df34 <_sk_store_565_sse2+0x7b>
  .byte  242,71,15,17,4,80                   // movsd         %xmm8,(%r8,%r10,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,38                              // je            1df6c <_sk_store_565_sse2+0xb3>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1df5e <_sk_store_565_sse2+0xa5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,222                             // jne           1df30 <_sk_store_565_sse2+0x77>
  .byte  102,65,15,197,192,4                 // pextrw        $0x4,%xmm8,%eax
  .byte  102,67,137,68,80,4                  // mov           %ax,0x4(%r8,%r10,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,71,15,126,4,80                  // movd          %xmm8,(%r8,%r10,2)
  .byte  235,196                             // jmp           1df30 <_sk_store_565_sse2+0x77>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  102,67,137,4,80                     // mov           %ax,(%r8,%r10,2)
  .byte  235,184                             // jmp           1df30 <_sk_store_565_sse2+0x77>

HIDDEN _sk_load_4444_sse2
.globl _sk_load_4444_sse2
FUNCTION(_sk_load_4444_sse2)
_sk_load_4444_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1dff5 <_sk_load_4444_sse2+0x7d>
  .byte  243,67,15,126,28,80                 // movq          (%r8,%r10,2),%xmm3
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,5,91,231,0,0             // movdqa        0xe75b(%rip),%xmm0        # 2c700 <_sk_overlay_sse2_8bit+0x12e4>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,93,231,0,0                  // mulps         0xe75d(%rip),%xmm0        # 2c710 <_sk_overlay_sse2_8bit+0x12f4>
  .byte  102,15,111,13,101,231,0,0           // movdqa        0xe765(%rip),%xmm1        # 2c720 <_sk_overlay_sse2_8bit+0x1304>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,103,231,0,0                // mulps         0xe767(%rip),%xmm1        # 2c730 <_sk_overlay_sse2_8bit+0x1314>
  .byte  102,15,111,21,111,231,0,0           // movdqa        0xe76f(%rip),%xmm2        # 2c740 <_sk_overlay_sse2_8bit+0x1324>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,113,231,0,0                // mulps         0xe771(%rip),%xmm2        # 2c750 <_sk_overlay_sse2_8bit+0x1334>
  .byte  102,15,219,29,121,231,0,0           // pand          0xe779(%rip),%xmm3        # 2c760 <_sk_overlay_sse2_8bit+0x1344>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,127,231,0,0                // mulps         0xe77f(%rip),%xmm3        # 2c770 <_sk_overlay_sse2_8bit+0x1354>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1e034 <_sk_load_4444_sse2+0xbc>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1e021 <_sk_load_4444_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           1df9d <_sk_load_4444_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,67,15,110,4,80                  // movd          (%r8,%r10,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,216                       // movsd         %xmm0,%xmm3
  .byte  233,105,255,255,255                 // jmpq          1df9d <_sk_load_4444_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  233,91,255,255,255                  // jmpq          1df9d <_sk_load_4444_sse2+0x25>

HIDDEN _sk_load_4444_dst_sse2
.globl _sk_load_4444_dst_sse2
FUNCTION(_sk_load_4444_dst_sse2)
_sk_load_4444_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e0bf <_sk_load_4444_dst_sse2+0x7d>
  .byte  243,67,15,126,60,80                 // movq          (%r8,%r10,2),%xmm7
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,111,37,145,230,0,0           // movdqa        0xe691(%rip),%xmm4        # 2c700 <_sk_overlay_sse2_8bit+0x12e4>
  .byte  102,15,219,231                      // pand          %xmm7,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,37,147,230,0,0                // mulps         0xe693(%rip),%xmm4        # 2c710 <_sk_overlay_sse2_8bit+0x12f4>
  .byte  102,15,111,45,155,230,0,0           // movdqa        0xe69b(%rip),%xmm5        # 2c720 <_sk_overlay_sse2_8bit+0x1304>
  .byte  102,15,219,239                      // pand          %xmm7,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,45,157,230,0,0                // mulps         0xe69d(%rip),%xmm5        # 2c730 <_sk_overlay_sse2_8bit+0x1314>
  .byte  102,15,111,53,165,230,0,0           // movdqa        0xe6a5(%rip),%xmm6        # 2c740 <_sk_overlay_sse2_8bit+0x1324>
  .byte  102,15,219,247                      // pand          %xmm7,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,53,167,230,0,0                // mulps         0xe6a7(%rip),%xmm6        # 2c750 <_sk_overlay_sse2_8bit+0x1334>
  .byte  102,15,219,61,175,230,0,0           // pand          0xe6af(%rip),%xmm7        # 2c760 <_sk_overlay_sse2_8bit+0x1344>
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,89,61,181,230,0,0                // mulps         0xe6b5(%rip),%xmm7        # 2c770 <_sk_overlay_sse2_8bit+0x1354>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,50                              // je            1e0fe <_sk_load_4444_dst_sse2+0xbc>
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,21                              // je            1e0eb <_sk_load_4444_dst_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,139                             // jne           1e067 <_sk_load_4444_dst_sse2+0x25>
  .byte  67,15,183,68,80,4                   // movzwl        0x4(%r8,%r10,2),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,252,69                   // pshufd        $0x45,%xmm4,%xmm7
  .byte  102,67,15,110,36,80                 // movd          (%r8,%r10,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,252                       // movsd         %xmm4,%xmm7
  .byte  233,105,255,255,255                 // jmpq          1e067 <_sk_load_4444_dst_sse2+0x25>
  .byte  67,15,183,4,80                      // movzwl        (%r8,%r10,2),%eax
  .byte  102,15,110,248                      // movd          %eax,%xmm7
  .byte  233,91,255,255,255                  // jmpq          1e067 <_sk_load_4444_dst_sse2+0x25>

HIDDEN _sk_gather_4444_sse2
.globl _sk_gather_4444_sse2
FUNCTION(_sk_gather_4444_sse2)
_sk_gather_4444_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,196,28,88,0               // pinsrw        $0x0,(%r8,%r11,2),%xmm3
  .byte  102,67,15,196,28,80,1               // pinsrw        $0x1,(%r8,%r10,2),%xmm3
  .byte  71,15,183,12,72                     // movzwl        (%r8,%r9,2),%r9d
  .byte  102,65,15,196,217,2                 // pinsrw        $0x2,%r9d,%xmm3
  .byte  65,15,183,4,64                      // movzwl        (%r8,%rax,2),%eax
  .byte  102,15,196,216,3                    // pinsrw        $0x3,%eax,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,5,110,229,0,0            // movdqa        0xe56e(%rip),%xmm0        # 2c700 <_sk_overlay_sse2_8bit+0x12e4>
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,5,112,229,0,0                 // mulps         0xe570(%rip),%xmm0        # 2c710 <_sk_overlay_sse2_8bit+0x12f4>
  .byte  102,15,111,13,120,229,0,0           // movdqa        0xe578(%rip),%xmm1        # 2c720 <_sk_overlay_sse2_8bit+0x1304>
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,13,122,229,0,0                // mulps         0xe57a(%rip),%xmm1        # 2c730 <_sk_overlay_sse2_8bit+0x1314>
  .byte  102,15,111,21,130,229,0,0           // movdqa        0xe582(%rip),%xmm2        # 2c740 <_sk_overlay_sse2_8bit+0x1324>
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,21,132,229,0,0                // mulps         0xe584(%rip),%xmm2        # 2c750 <_sk_overlay_sse2_8bit+0x1334>
  .byte  102,15,219,29,140,229,0,0           // pand          0xe58c(%rip),%xmm3        # 2c760 <_sk_overlay_sse2_8bit+0x1344>
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,29,146,229,0,0                // mulps         0xe592(%rip),%xmm3        # 2c770 <_sk_overlay_sse2_8bit+0x1354>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_4444_sse2
.globl _sk_store_4444_sse2
FUNCTION(_sk_store_4444_sse2)
_sk_store_4444_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,210                           // movslq        %edx,%r10
  .byte  68,15,40,5,128,229,0,0              // movaps        0xe580(%rip),%xmm8        # 2c780 <_sk_overlay_sse2_8bit+0x1364>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,12                // pslld         $0xc,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,4                 // pslld         $0x4,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,69,15,86,193                    // orpd          %xmm9,%xmm8
  .byte  102,69,15,86,194                    // orpd          %xmm10,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1e271 <_sk_store_4444_sse2+0x8f>
  .byte  242,71,15,17,4,80                   // movsd         %xmm8,(%r8,%r10,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,68,15,97,192                    // punpcklwd     %xmm0,%xmm8
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,38                              // je            1e2a9 <_sk_store_4444_sse2+0xc7>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,18                              // je            1e29b <_sk_store_4444_sse2+0xb9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,222                             // jne           1e26d <_sk_store_4444_sse2+0x8b>
  .byte  102,65,15,197,192,4                 // pextrw        $0x4,%xmm8,%eax
  .byte  102,67,137,68,80,4                  // mov           %ax,0x4(%r8,%r10,2)
  .byte  242,69,15,112,192,232               // pshuflw       $0xe8,%xmm8,%xmm8
  .byte  102,71,15,126,4,80                  // movd          %xmm8,(%r8,%r10,2)
  .byte  235,196                             // jmp           1e26d <_sk_store_4444_sse2+0x8b>
  .byte  102,68,15,126,192                   // movd          %xmm8,%eax
  .byte  102,67,137,4,80                     // mov           %ax,(%r8,%r10,2)
  .byte  235,184                             // jmp           1e26d <_sk_store_4444_sse2+0x8b>

HIDDEN _sk_load_8888_sse2
.globl _sk_load_8888_sse2
FUNCTION(_sk_load_8888_sse2)
_sk_load_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e333 <_sk_load_8888_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,21,145,224,0,0           // movdqa        0xe091(%rip),%xmm2        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,205,225,0,0              // movaps        0xe1cd(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  15,91,211                           // cvtdq2ps      %xmm3,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e369 <_sk_load_8888_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e35e <_sk_load_8888_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e2d7 <_sk_load_8888_sse2+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,68,15,112,200,69                // pshufd        $0x45,%xmm0,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e2d7 <_sk_load_8888_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e2d7 <_sk_load_8888_sse2+0x22>

HIDDEN _sk_load_8888_dst_sse2
.globl _sk_load_8888_dst_sse2
FUNCTION(_sk_load_8888_dst_sse2)
_sk_load_8888_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e3f2 <_sk_load_8888_dst_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,53,210,223,0,0           // movdqa        0xdfd2(%rip),%xmm6        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,225                   // movdqa        %xmm9,%xmm4
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  68,15,40,5,14,225,0,0               // movaps        0xe10e(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,65,15,111,233                   // movdqa        %xmm9,%xmm5
  .byte  102,15,114,213,8                    // psrld         $0x8,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,65,15,111,249                   // movdqa        %xmm9,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,254                      // pand          %xmm6,%xmm7
  .byte  15,91,247                           // cvtdq2ps      %xmm7,%xmm6
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,249                        // cvtdq2ps      %xmm9,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e428 <_sk_load_8888_dst_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e41d <_sk_load_8888_dst_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e396 <_sk_load_8888_dst_sse2+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e396 <_sk_load_8888_dst_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e396 <_sk_load_8888_dst_sse2+0x22>

HIDDEN _sk_gather_8888_sse2
.globl _sk_gather_8888_sse2
FUNCTION(_sk_gather_8888_sse2)
_sk_gather_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,4,144                 // movd          (%r8,%r10,4),%xmm0
  .byte  102,65,15,110,12,128                // movd          (%r8,%rax,4),%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,71,15,110,12,152                // movd          (%r8,%r11,4),%xmm9
  .byte  102,67,15,110,12,136                // movd          (%r8,%r9,4),%xmm1
  .byte  102,68,15,98,201                    // punpckldq     %xmm1,%xmm9
  .byte  102,68,15,98,200                    // punpckldq     %xmm0,%xmm9
  .byte  102,15,111,21,188,222,0,0           // movdqa        0xdebc(%rip),%xmm2        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  68,15,40,5,248,223,0,0              // movaps        0xdff8(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  15,91,211                           // cvtdq2ps      %xmm3,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_8888_sse2
.globl _sk_store_8888_sse2
FUNCTION(_sk_store_8888_sse2)
_sk_store_8888_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,121,222,0,0              // movaps        0xde79(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1e587 <_sk_store_8888_sse2+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,33                              // je            1e5b5 <_sk_store_8888_sse2+0xad>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e5ad <_sk_store_8888_sse2+0xa5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           1e583 <_sk_store_8888_sse2+0x7b>
  .byte  102,69,15,112,200,78                // pshufd        $0x4e,%xmm8,%xmm9
  .byte  102,69,15,126,76,128,8              // movd          %xmm9,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,206                             // jmp           1e583 <_sk_store_8888_sse2+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,198                             // jmp           1e583 <_sk_store_8888_sse2+0x7b>

HIDDEN _sk_load_bgra_sse2
.globl _sk_load_bgra_sse2
FUNCTION(_sk_load_bgra_sse2)
_sk_load_bgra_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e63b <_sk_load_bgra_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,5,137,221,0,0            // movdqa        0xdd89(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  68,15,40,5,197,222,0,0              // movaps        0xdec5(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,216                      // pand          %xmm0,%xmm3
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e671 <_sk_load_bgra_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e666 <_sk_load_bgra_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e5df <_sk_load_bgra_sse2+0x22>
  .byte  102,65,15,110,68,128,8              // movd          0x8(%r8,%rax,4),%xmm0
  .byte  102,68,15,112,200,69                // pshufd        $0x45,%xmm0,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e5df <_sk_load_bgra_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e5df <_sk_load_bgra_sse2+0x22>

HIDDEN _sk_load_bgra_dst_sse2
.globl _sk_load_bgra_dst_sse2
FUNCTION(_sk_load_bgra_dst_sse2)
_sk_load_bgra_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,98                              // jne           1e6fa <_sk_load_bgra_dst_sse2+0x7e>
  .byte  243,69,15,111,12,128                // movdqu        (%r8,%rax,4),%xmm9
  .byte  102,15,111,37,202,220,0,0           // movdqa        0xdcca(%rip),%xmm4        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,233                   // movdqa        %xmm9,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,245                           // cvtdq2ps      %xmm5,%xmm6
  .byte  68,15,40,5,6,222,0,0                // movaps        0xde06(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,240                        // mulps         %xmm8,%xmm6
  .byte  102,65,15,111,233                   // movdqa        %xmm9,%xmm5
  .byte  102,15,114,213,8                    // psrld         $0x8,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  102,65,15,111,249                   // movdqa        %xmm9,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,252                      // pand          %xmm4,%xmm7
  .byte  15,91,231                           // cvtdq2ps      %xmm7,%xmm4
  .byte  65,15,89,224                        // mulps         %xmm8,%xmm4
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,249                        // cvtdq2ps      %xmm9,%xmm7
  .byte  65,15,89,248                        // mulps         %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,41                              // je            1e730 <_sk_load_bgra_dst_sse2+0xb4>
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e725 <_sk_load_bgra_dst_sse2+0xa9>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,134                             // jne           1e69e <_sk_load_bgra_dst_sse2+0x22>
  .byte  102,65,15,110,100,128,8             // movd          0x8(%r8,%rax,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  102,69,15,18,12,128                 // movlpd        (%r8,%rax,4),%xmm9
  .byte  233,110,255,255,255                 // jmpq          1e69e <_sk_load_bgra_dst_sse2+0x22>
  .byte  102,69,15,110,12,128                // movd          (%r8,%rax,4),%xmm9
  .byte  233,99,255,255,255                  // jmpq          1e69e <_sk_load_bgra_dst_sse2+0x22>

HIDDEN _sk_gather_bgra_sse2
.globl _sk_gather_bgra_sse2
FUNCTION(_sk_gather_bgra_sse2)
_sk_gather_bgra_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,67,15,110,4,144                 // movd          (%r8,%r10,4),%xmm0
  .byte  102,65,15,110,12,128                // movd          (%r8,%rax,4),%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,71,15,110,12,152                // movd          (%r8,%r11,4),%xmm9
  .byte  102,67,15,110,12,136                // movd          (%r8,%r9,4),%xmm1
  .byte  102,68,15,98,201                    // punpckldq     %xmm1,%xmm9
  .byte  102,68,15,98,200                    // punpckldq     %xmm0,%xmm9
  .byte  102,15,111,5,180,219,0,0            // movdqa        0xdbb4(%rip),%xmm0        # 2c370 <_sk_overlay_sse2_8bit+0xf54>
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  68,15,40,5,240,220,0,0              // movaps        0xdcf0(%rip),%xmm8        # 2c4c0 <_sk_overlay_sse2_8bit+0x10a4>
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,114,211,16                   // psrld         $0x10,%xmm3
  .byte  102,15,219,216                      // pand          %xmm0,%xmm3
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,65,15,114,209,24                // psrld         $0x18,%xmm9
  .byte  65,15,91,217                        // cvtdq2ps      %xmm9,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_bgra_sse2
.globl _sk_store_bgra_sse2
FUNCTION(_sk_store_bgra_sse2)
_sk_store_bgra_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  68,15,40,5,113,219,0,0              // movaps        0xdb71(%rip),%xmm8        # 2c3a0 <_sk_overlay_sse2_8bit+0xf84>
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,8                 // pslld         $0x8,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,24                // pslld         $0x18,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  102,69,15,235,194                   // por           %xmm10,%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           1e88f <_sk_store_bgra_sse2+0x7f>
  .byte  243,69,15,127,4,128                 // movdqu        %xmm8,(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,3                        // and           $0x3,%r9b
  .byte  65,128,249,1                        // cmp           $0x1,%r9b
  .byte  116,33                              // je            1e8bd <_sk_store_bgra_sse2+0xad>
  .byte  65,128,249,2                        // cmp           $0x2,%r9b
  .byte  116,19                              // je            1e8b5 <_sk_store_bgra_sse2+0xa5>
  .byte  65,128,249,3                        // cmp           $0x3,%r9b
  .byte  117,227                             // jne           1e88b <_sk_store_bgra_sse2+0x7b>
  .byte  102,69,15,112,200,78                // pshufd        $0x4e,%xmm8,%xmm9
  .byte  102,69,15,126,76,128,8              // movd          %xmm9,0x8(%r8,%rax,4)
  .byte  102,69,15,214,4,128                 // movq          %xmm8,(%r8,%rax,4)
  .byte  235,206                             // jmp           1e88b <_sk_store_bgra_sse2+0x7b>
  .byte  102,69,15,126,4,128                 // movd          %xmm8,(%r8,%rax,4)
  .byte  235,198                             // jmp           1e88b <_sk_store_bgra_sse2+0x7b>

HIDDEN _sk_load_f16_sse2
.globl _sk_load_f16_sse2
FUNCTION(_sk_load_f16_sse2)
_sk_load_f16_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,98,1,0,0                     // jne           1ea47 <_sk_load_f16_sse2+0x182>
  .byte  102,65,15,16,4,192                  // movupd        (%r8,%rax,8),%xmm0
  .byte  102,65,15,16,76,192,16              // movupd        0x10(%r8,%rax,8),%xmm1
  .byte  102,68,15,40,192                    // movapd        %xmm0,%xmm8
  .byte  102,68,15,97,193                    // punpcklwd     %xmm1,%xmm8
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,97,240                    // punpcklwd     %xmm0,%xmm14
  .byte  102,68,15,105,192                   // punpckhwd     %xmm0,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,97,202                    // punpcklwd     %xmm10,%xmm1
  .byte  102,68,15,111,13,105,222,0,0        // movdqa        0xde69(%rip),%xmm9        # 2c790 <_sk_overlay_sse2_8bit+0x1374>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,193                   // pand          %xmm9,%xmm0
  .byte  102,15,239,200                      // pxor          %xmm0,%xmm1
  .byte  102,15,114,240,16                   // pslld         $0x10,%xmm0
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,65,15,114,245,13                // pslld         $0xd,%xmm13
  .byte  102,68,15,235,232                   // por           %xmm0,%xmm13
  .byte  102,68,15,111,29,94,222,0,0         // movdqa        0xde5e(%rip),%xmm11        # 2c7b0 <_sk_overlay_sse2_8bit+0x1394>
  .byte  102,69,15,254,235                   // paddd         %xmm11,%xmm13
  .byte  102,68,15,111,37,96,222,0,0         // movdqa        0xde60(%rip),%xmm12        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  102,65,15,239,204                   // pxor          %xmm12,%xmm1
  .byte  102,15,111,29,3,224,0,0             // movdqa        0xe003(%rip),%xmm3        # 2c970 <_sk_overlay_sse2_8bit+0x1554>
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,102,193                      // pcmpgtd       %xmm1,%xmm0
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,65,15,115,222,8                 // psrldq        $0x8,%xmm14
  .byte  102,69,15,97,242                    // punpcklwd     %xmm10,%xmm14
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,219,201                   // pand          %xmm9,%xmm1
  .byte  102,68,15,239,241                   // pxor          %xmm1,%xmm14
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,65,15,111,214                   // movdqa        %xmm14,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,209                      // por           %xmm1,%xmm2
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,65,15,102,206                   // pcmpgtd       %xmm14,%xmm1
  .byte  102,15,223,202                      // pandn         %xmm2,%xmm1
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,97,234                    // punpcklwd     %xmm10,%xmm13
  .byte  102,65,15,111,213                   // movdqa        %xmm13,%xmm2
  .byte  102,65,15,219,209                   // pand          %xmm9,%xmm2
  .byte  102,68,15,239,234                   // pxor          %xmm2,%xmm13
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,69,15,111,245                   // movdqa        %xmm13,%xmm14
  .byte  102,65,15,114,246,13                // pslld         $0xd,%xmm14
  .byte  102,68,15,235,242                   // por           %xmm2,%xmm14
  .byte  102,69,15,254,243                   // paddd         %xmm11,%xmm14
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,65,15,102,213                   // pcmpgtd       %xmm13,%xmm2
  .byte  102,65,15,223,214                   // pandn         %xmm14,%xmm2
  .byte  102,65,15,115,216,8                 // psrldq        $0x8,%xmm8
  .byte  102,69,15,97,194                    // punpcklwd     %xmm10,%xmm8
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,65,15,114,242,13                // pslld         $0xd,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  102,69,15,254,211                   // paddd         %xmm11,%xmm10
  .byte  102,69,15,239,196                   // pxor          %xmm12,%xmm8
  .byte  102,65,15,102,216                   // pcmpgtd       %xmm8,%xmm3
  .byte  102,65,15,223,218                   // pandn         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,192                  // movsd         (%r8,%rax,8),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1ea64 <_sk_load_f16_sse2+0x19f>
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  233,142,254,255,255                 // jmpq          1e8f2 <_sk_load_f16_sse2+0x2d>
  .byte  102,65,15,22,68,192,8               // movhpd        0x8(%r8,%rax,8),%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,121,254,255,255              // jb            1e8f2 <_sk_load_f16_sse2+0x2d>
  .byte  242,65,15,16,76,192,16              // movsd         0x10(%r8,%rax,8),%xmm1
  .byte  233,109,254,255,255                 // jmpq          1e8f2 <_sk_load_f16_sse2+0x2d>

HIDDEN _sk_load_f16_dst_sse2
.globl _sk_load_f16_dst_sse2
FUNCTION(_sk_load_f16_dst_sse2)
_sk_load_f16_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,98,1,0,0                     // jne           1ec07 <_sk_load_f16_dst_sse2+0x182>
  .byte  102,65,15,16,36,192                 // movupd        (%r8,%rax,8),%xmm4
  .byte  102,65,15,16,108,192,16             // movupd        0x10(%r8,%rax,8),%xmm5
  .byte  102,68,15,40,196                    // movapd        %xmm4,%xmm8
  .byte  102,68,15,97,197                    // punpcklwd     %xmm5,%xmm8
  .byte  102,15,105,229                      // punpckhwd     %xmm5,%xmm4
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,97,244                    // punpcklwd     %xmm4,%xmm14
  .byte  102,68,15,105,196                   // punpckhwd     %xmm4,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,111,238                   // movdqa        %xmm14,%xmm5
  .byte  102,65,15,97,234                    // punpcklwd     %xmm10,%xmm5
  .byte  102,68,15,111,13,169,220,0,0        // movdqa        0xdca9(%rip),%xmm9        # 2c790 <_sk_overlay_sse2_8bit+0x1374>
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,65,15,219,225                   // pand          %xmm9,%xmm4
  .byte  102,15,239,236                      // pxor          %xmm4,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,68,15,111,237                   // movdqa        %xmm5,%xmm13
  .byte  102,65,15,114,245,13                // pslld         $0xd,%xmm13
  .byte  102,68,15,235,236                   // por           %xmm4,%xmm13
  .byte  102,68,15,111,29,158,220,0,0        // movdqa        0xdc9e(%rip),%xmm11        # 2c7b0 <_sk_overlay_sse2_8bit+0x1394>
  .byte  102,69,15,254,235                   // paddd         %xmm11,%xmm13
  .byte  102,68,15,111,37,160,220,0,0        // movdqa        0xdca0(%rip),%xmm12        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  102,65,15,239,236                   // pxor          %xmm12,%xmm5
  .byte  102,15,111,61,67,222,0,0            // movdqa        0xde43(%rip),%xmm7        # 2c970 <_sk_overlay_sse2_8bit+0x1554>
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,102,229                      // pcmpgtd       %xmm5,%xmm4
  .byte  102,65,15,223,229                   // pandn         %xmm13,%xmm4
  .byte  102,65,15,115,222,8                 // psrldq        $0x8,%xmm14
  .byte  102,69,15,97,242                    // punpcklwd     %xmm10,%xmm14
  .byte  102,65,15,111,238                   // movdqa        %xmm14,%xmm5
  .byte  102,65,15,219,233                   // pand          %xmm9,%xmm5
  .byte  102,68,15,239,245                   // pxor          %xmm5,%xmm14
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,65,15,111,246                   // movdqa        %xmm14,%xmm6
  .byte  102,15,114,246,13                   // pslld         $0xd,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  102,65,15,254,243                   // paddd         %xmm11,%xmm6
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,102,238                   // pcmpgtd       %xmm14,%xmm5
  .byte  102,15,223,238                      // pandn         %xmm6,%xmm5
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,97,234                    // punpcklwd     %xmm10,%xmm13
  .byte  102,65,15,111,245                   // movdqa        %xmm13,%xmm6
  .byte  102,65,15,219,241                   // pand          %xmm9,%xmm6
  .byte  102,68,15,239,238                   // pxor          %xmm6,%xmm13
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,69,15,111,245                   // movdqa        %xmm13,%xmm14
  .byte  102,65,15,114,246,13                // pslld         $0xd,%xmm14
  .byte  102,68,15,235,246                   // por           %xmm6,%xmm14
  .byte  102,69,15,254,243                   // paddd         %xmm11,%xmm14
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,65,15,102,245                   // pcmpgtd       %xmm13,%xmm6
  .byte  102,65,15,223,246                   // pandn         %xmm14,%xmm6
  .byte  102,65,15,115,216,8                 // psrldq        $0x8,%xmm8
  .byte  102,69,15,97,194                    // punpcklwd     %xmm10,%xmm8
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,65,15,114,242,13                // pslld         $0xd,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  102,69,15,254,211                   // paddd         %xmm11,%xmm10
  .byte  102,69,15,239,196                   // pxor          %xmm12,%xmm8
  .byte  102,65,15,102,248                   // pcmpgtd       %xmm8,%xmm7
  .byte  102,65,15,223,250                   // pandn         %xmm10,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,36,192                 // movsd         (%r8,%rax,8),%xmm4
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1ec24 <_sk_load_f16_dst_sse2+0x19f>
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  102,15,20,229                       // unpcklpd      %xmm5,%xmm4
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  233,142,254,255,255                 // jmpq          1eab2 <_sk_load_f16_dst_sse2+0x2d>
  .byte  102,65,15,22,100,192,8              // movhpd        0x8(%r8,%rax,8),%xmm4
  .byte  102,15,87,237                       // xorpd         %xmm5,%xmm5
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,121,254,255,255              // jb            1eab2 <_sk_load_f16_dst_sse2+0x2d>
  .byte  242,65,15,16,108,192,16             // movsd         0x10(%r8,%rax,8),%xmm5
  .byte  233,109,254,255,255                 // jmpq          1eab2 <_sk_load_f16_dst_sse2+0x2d>

HIDDEN _sk_gather_f16_sse2
.globl _sk_gather_f16_sse2
FUNCTION(_sk_gather_f16_sse2)
_sk_gather_f16_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,80,8                     // movd          0x8(%rax),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,72,15,126,200                   // movq          %xmm1,%rax
  .byte  65,137,193                          // mov           %eax,%r9d
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  102,73,15,126,194                   // movq          %xmm0,%r10
  .byte  69,137,211                          // mov           %r10d,%r11d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  243,67,15,126,4,208                 // movq          (%r8,%r10,8),%xmm0
  .byte  243,67,15,126,12,216                // movq          (%r8,%r11,8),%xmm1
  .byte  102,15,108,200                      // punpcklqdq    %xmm0,%xmm1
  .byte  243,65,15,126,4,192                 // movq          (%r8,%rax,8),%xmm0
  .byte  243,67,15,126,20,200                // movq          (%r8,%r9,8),%xmm2
  .byte  102,15,108,208                      // punpcklqdq    %xmm0,%xmm2
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,97,194                    // punpcklwd     %xmm2,%xmm8
  .byte  102,15,105,202                      // punpckhwd     %xmm2,%xmm1
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,97,241                    // punpcklwd     %xmm1,%xmm14
  .byte  102,68,15,105,193                   // punpckhwd     %xmm1,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,97,202                    // punpcklwd     %xmm10,%xmm1
  .byte  102,68,15,111,13,163,218,0,0        // movdqa        0xdaa3(%rip),%xmm9        # 2c790 <_sk_overlay_sse2_8bit+0x1374>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,65,15,219,193                   // pand          %xmm9,%xmm0
  .byte  102,15,239,200                      // pxor          %xmm0,%xmm1
  .byte  102,15,114,240,16                   // pslld         $0x10,%xmm0
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,65,15,114,245,13                // pslld         $0xd,%xmm13
  .byte  102,68,15,235,232                   // por           %xmm0,%xmm13
  .byte  102,68,15,111,29,152,218,0,0        // movdqa        0xda98(%rip),%xmm11        # 2c7b0 <_sk_overlay_sse2_8bit+0x1394>
  .byte  102,69,15,254,235                   // paddd         %xmm11,%xmm13
  .byte  102,68,15,111,37,154,218,0,0        // movdqa        0xda9a(%rip),%xmm12        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  102,65,15,239,204                   // pxor          %xmm12,%xmm1
  .byte  102,15,111,29,61,220,0,0            // movdqa        0xdc3d(%rip),%xmm3        # 2c970 <_sk_overlay_sse2_8bit+0x1554>
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,102,193                      // pcmpgtd       %xmm1,%xmm0
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,65,15,115,222,8                 // psrldq        $0x8,%xmm14
  .byte  102,69,15,97,242                    // punpcklwd     %xmm10,%xmm14
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,219,201                   // pand          %xmm9,%xmm1
  .byte  102,68,15,239,241                   // pxor          %xmm1,%xmm14
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,65,15,111,214                   // movdqa        %xmm14,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,209                      // por           %xmm1,%xmm2
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,65,15,102,206                   // pcmpgtd       %xmm14,%xmm1
  .byte  102,15,223,202                      // pandn         %xmm2,%xmm1
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,97,234                    // punpcklwd     %xmm10,%xmm13
  .byte  102,65,15,111,213                   // movdqa        %xmm13,%xmm2
  .byte  102,65,15,219,209                   // pand          %xmm9,%xmm2
  .byte  102,68,15,239,234                   // pxor          %xmm2,%xmm13
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,69,15,111,245                   // movdqa        %xmm13,%xmm14
  .byte  102,65,15,114,246,13                // pslld         $0xd,%xmm14
  .byte  102,68,15,235,242                   // por           %xmm2,%xmm14
  .byte  102,69,15,254,243                   // paddd         %xmm11,%xmm14
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,65,15,102,213                   // pcmpgtd       %xmm13,%xmm2
  .byte  102,65,15,223,214                   // pandn         %xmm14,%xmm2
  .byte  102,65,15,115,216,8                 // psrldq        $0x8,%xmm8
  .byte  102,69,15,97,194                    // punpcklwd     %xmm10,%xmm8
  .byte  102,69,15,219,200                   // pand          %xmm8,%xmm9
  .byte  102,69,15,239,193                   // pxor          %xmm9,%xmm8
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,65,15,114,242,13                // pslld         $0xd,%xmm10
  .byte  102,69,15,235,209                   // por           %xmm9,%xmm10
  .byte  102,69,15,254,211                   // paddd         %xmm11,%xmm10
  .byte  102,69,15,239,196                   // pxor          %xmm12,%xmm8
  .byte  102,65,15,102,216                   // pcmpgtd       %xmm8,%xmm3
  .byte  102,65,15,223,218                   // pandn         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_store_f16_sse2
.globl _sk_store_f16_sse2
FUNCTION(_sk_store_f16_sse2)
_sk_store_f16_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,3                        // shl           $0x3,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,99,194                           // movslq        %edx,%rax
  .byte  102,68,15,111,21,147,217,0,0        // movdqa        0xd993(%rip),%xmm10        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,69,15,219,226                   // pand          %xmm10,%xmm12
  .byte  102,68,15,111,232                   // movdqa        %xmm0,%xmm13
  .byte  102,69,15,239,236                   // pxor          %xmm12,%xmm13
  .byte  102,68,15,111,13,134,217,0,0        // movdqa        0xd986(%rip),%xmm9        # 2c7d0 <_sk_overlay_sse2_8bit+0x13b4>
  .byte  102,65,15,114,212,16                // psrld         $0x10,%xmm12
  .byte  102,69,15,111,193                   // movdqa        %xmm9,%xmm8
  .byte  102,69,15,102,197                   // pcmpgtd       %xmm13,%xmm8
  .byte  102,65,15,114,213,13                // psrld         $0xd,%xmm13
  .byte  102,68,15,111,29,119,217,0,0        // movdqa        0xd977(%rip),%xmm11        # 2c7e0 <_sk_overlay_sse2_8bit+0x13c4>
  .byte  102,69,15,235,227                   // por           %xmm11,%xmm12
  .byte  102,69,15,254,229                   // paddd         %xmm13,%xmm12
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,114,228,16                // psrad         $0x10,%xmm12
  .byte  102,69,15,223,196                   // pandn         %xmm12,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,219,226                   // pand          %xmm10,%xmm12
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,69,15,239,244                   // pxor          %xmm12,%xmm14
  .byte  102,65,15,114,212,16                // psrld         $0x10,%xmm12
  .byte  102,69,15,111,233                   // movdqa        %xmm9,%xmm13
  .byte  102,69,15,102,238                   // pcmpgtd       %xmm14,%xmm13
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,227                   // por           %xmm11,%xmm12
  .byte  102,69,15,254,230                   // paddd         %xmm14,%xmm12
  .byte  102,65,15,114,244,16                // pslld         $0x10,%xmm12
  .byte  102,65,15,114,228,16                // psrad         $0x10,%xmm12
  .byte  102,69,15,223,236                   // pandn         %xmm12,%xmm13
  .byte  102,69,15,107,237                   // packssdw      %xmm13,%xmm13
  .byte  102,68,15,111,242                   // movdqa        %xmm2,%xmm14
  .byte  102,69,15,219,242                   // pand          %xmm10,%xmm14
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,69,15,239,254                   // pxor          %xmm14,%xmm15
  .byte  102,65,15,114,214,16                // psrld         $0x10,%xmm14
  .byte  102,69,15,111,225                   // movdqa        %xmm9,%xmm12
  .byte  102,69,15,102,231                   // pcmpgtd       %xmm15,%xmm12
  .byte  102,65,15,114,215,13                // psrld         $0xd,%xmm15
  .byte  102,69,15,235,243                   // por           %xmm11,%xmm14
  .byte  102,69,15,254,247                   // paddd         %xmm15,%xmm14
  .byte  102,65,15,114,246,16                // pslld         $0x10,%xmm14
  .byte  102,65,15,114,230,16                // psrad         $0x10,%xmm14
  .byte  102,69,15,223,230                   // pandn         %xmm14,%xmm12
  .byte  102,69,15,107,228                   // packssdw      %xmm12,%xmm12
  .byte  102,68,15,219,211                   // pand          %xmm3,%xmm10
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,69,15,239,242                   // pxor          %xmm10,%xmm14
  .byte  102,65,15,114,210,16                // psrld         $0x10,%xmm10
  .byte  102,69,15,102,206                   // pcmpgtd       %xmm14,%xmm9
  .byte  102,65,15,114,214,13                // psrld         $0xd,%xmm14
  .byte  102,69,15,235,211                   // por           %xmm11,%xmm10
  .byte  102,69,15,254,214                   // paddd         %xmm14,%xmm10
  .byte  102,65,15,114,242,16                // pslld         $0x10,%xmm10
  .byte  102,65,15,114,226,16                // psrad         $0x10,%xmm10
  .byte  102,69,15,223,202                   // pandn         %xmm10,%xmm9
  .byte  102,69,15,107,201                   // packssdw      %xmm9,%xmm9
  .byte  102,69,15,97,197                    // punpcklwd     %xmm13,%xmm8
  .byte  102,69,15,97,225                    // punpcklwd     %xmm9,%xmm12
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,69,15,98,204                    // punpckldq     %xmm12,%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           1ef8b <_sk_store_f16_sse2+0x17e>
  .byte  69,15,17,12,192                     // movups        %xmm9,(%r8,%rax,8)
  .byte  102,69,15,106,196                   // punpckhdq     %xmm12,%xmm8
  .byte  243,69,15,127,68,192,16             // movdqu        %xmm8,0x10(%r8,%rax,8)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,12,192                // movq          %xmm9,(%r8,%rax,8)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            1ef87 <_sk_store_f16_sse2+0x17a>
  .byte  102,69,15,23,76,192,8               // movhpd        %xmm9,0x8(%r8,%rax,8)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            1ef87 <_sk_store_f16_sse2+0x17a>
  .byte  102,69,15,106,196                   // punpckhdq     %xmm12,%xmm8
  .byte  102,69,15,214,68,192,16             // movq          %xmm8,0x10(%r8,%rax,8)
  .byte  235,213                             // jmp           1ef87 <_sk_store_f16_sse2+0x17a>

HIDDEN _sk_load_u16_be_sse2
.globl _sk_load_u16_be_sse2
FUNCTION(_sk_load_u16_be_sse2)
_sk_load_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,190,0,0,0                    // jne           1f097 <_sk_load_u16_be_sse2+0xe5>
  .byte  102,65,15,16,4,64                   // movupd        (%r8,%rax,2),%xmm0
  .byte  102,65,15,16,76,64,16               // movupd        0x10(%r8,%rax,2),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,97,201                    // punpcklwd     %xmm9,%xmm1
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  68,15,40,5,38,213,0,0               // movaps        0xd526(%rip),%xmm8        # 2c550 <_sk_overlay_sse2_8bit+0x1134>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,65,15,97,217                    // punpcklwd     %xmm9,%xmm3
  .byte  15,91,203                           // cvtdq2ps      %xmm3,%xmm1
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  102,68,15,111,210                   // movdqa        %xmm2,%xmm10
  .byte  102,65,15,113,242,8                 // psllw         $0x8,%xmm10
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,65,15,235,210                   // por           %xmm10,%xmm2
  .byte  102,65,15,97,209                    // punpcklwd     %xmm9,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,65,15,113,242,8                 // psllw         $0x8,%xmm10
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,65,15,235,218                   // por           %xmm10,%xmm3
  .byte  102,65,15,97,217                    // punpcklwd     %xmm9,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  242,65,15,16,4,64                   // movsd         (%r8,%rax,2),%xmm0
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,17                              // jne           1f0b4 <_sk_load_u16_be_sse2+0x102>
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  233,50,255,255,255                  // jmpq          1efe6 <_sk_load_u16_be_sse2+0x34>
  .byte  102,65,15,22,68,64,8                // movhpd        0x8(%r8,%rax,2),%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  15,130,29,255,255,255               // jb            1efe6 <_sk_load_u16_be_sse2+0x34>
  .byte  242,65,15,16,76,64,16               // movsd         0x10(%r8,%rax,2),%xmm1
  .byte  233,17,255,255,255                  // jmpq          1efe6 <_sk_load_u16_be_sse2+0x34>

HIDDEN _sk_load_rgb_u16_be_sse2
.globl _sk_load_rgb_u16_be_sse2
FUNCTION(_sk_load_rgb_u16_be_sse2)
_sk_load_rgb_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  72,137,208                          // mov           %rdx,%rax
  .byte  72,193,224,32                       // shl           $0x20,%rax
  .byte  72,141,4,64                         // lea           (%rax,%rax,2),%rax
  .byte  72,193,248,32                       // sar           $0x20,%rax
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,175,0,0,0                    // jne           1f1af <_sk_load_rgb_u16_be_sse2+0xda>
  .byte  243,65,15,111,20,64                 // movdqu        (%r8,%rax,2),%xmm2
  .byte  243,65,15,111,92,64,8               // movdqu        0x8(%r8,%rax,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,115,217,6                    // psrldq        $0x6,%xmm1
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,65,15,97,200                    // punpcklwd     %xmm8,%xmm1
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  68,15,40,13,236,211,0,0             // movaps        0xd3ec(%rip),%xmm9        # 2c550 <_sk_overlay_sse2_8bit+0x1134>
  .byte  65,15,89,193                        // mulps         %xmm9,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,217                      // por           %xmm1,%xmm3
  .byte  102,65,15,97,216                    // punpcklwd     %xmm8,%xmm3
  .byte  15,91,203                           // cvtdq2ps      %xmm3,%xmm1
  .byte  65,15,89,201                        // mulps         %xmm9,%xmm1
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,113,243,8                    // psllw         $0x8,%xmm3
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,211                      // por           %xmm3,%xmm2
  .byte  102,65,15,97,208                    // punpcklwd     %xmm8,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,19,209,0,0                 // movaps        0xd113(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  255,224                             // jmpq          *%rax
  .byte  102,65,15,110,20,64                 // movd          (%r8,%rax,2),%xmm2
  .byte  102,65,15,196,84,64,4,2             // pinsrw        $0x2,0x4(%r8,%rax,2),%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,13                              // jne           1f1d4 <_sk_load_rgb_u16_be_sse2+0xff>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,80,255,255,255                  // jmpq          1f124 <_sk_load_rgb_u16_be_sse2+0x4f>
  .byte  102,65,15,110,68,64,6               // movd          0x6(%r8,%rax,2),%xmm0
  .byte  102,65,15,196,68,64,10,2            // pinsrw        $0x2,0xa(%r8,%rax,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,24                              // jb            1f205 <_sk_load_rgb_u16_be_sse2+0x130>
  .byte  102,65,15,110,92,64,12              // movd          0xc(%r8,%rax,2),%xmm3
  .byte  102,65,15,196,92,64,16,2            // pinsrw        $0x2,0x10(%r8,%rax,2),%xmm3
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  233,31,255,255,255                  // jmpq          1f124 <_sk_load_rgb_u16_be_sse2+0x4f>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,22,255,255,255                  // jmpq          1f124 <_sk_load_rgb_u16_be_sse2+0x4f>

HIDDEN _sk_store_u16_be_sse2
.globl _sk_store_u16_be_sse2
FUNCTION(_sk_store_u16_be_sse2)
_sk_store_u16_be_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  77,1,192                            // add           %r8,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,21,188,213,0,0             // movaps        0xd5bc(%rip),%xmm10        # 2c7f0 <_sk_overlay_sse2_8bit+0x13d4>
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  69,15,89,194                        // mulps         %xmm10,%xmm8
  .byte  102,69,15,91,192                    // cvtps2dq      %xmm8,%xmm8
  .byte  102,65,15,114,240,16                // pslld         $0x10,%xmm8
  .byte  102,65,15,114,224,16                // psrad         $0x10,%xmm8
  .byte  102,69,15,107,192                   // packssdw      %xmm8,%xmm8
  .byte  102,69,15,111,200                   // movdqa        %xmm8,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,69,15,235,193                   // por           %xmm9,%xmm8
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,217                    // cvtps2dq      %xmm9,%xmm11
  .byte  102,65,15,114,243,16                // pslld         $0x10,%xmm11
  .byte  102,65,15,114,227,16                // psrad         $0x10,%xmm11
  .byte  102,69,15,107,219                   // packssdw      %xmm11,%xmm11
  .byte  102,69,15,111,203                   // movdqa        %xmm11,%xmm9
  .byte  102,65,15,113,241,8                 // psllw         $0x8,%xmm9
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,69,15,235,217                   // por           %xmm9,%xmm11
  .byte  68,15,40,202                        // movaps        %xmm2,%xmm9
  .byte  69,15,89,202                        // mulps         %xmm10,%xmm9
  .byte  102,69,15,91,201                    // cvtps2dq      %xmm9,%xmm9
  .byte  102,65,15,114,241,16                // pslld         $0x10,%xmm9
  .byte  102,65,15,114,225,16                // psrad         $0x10,%xmm9
  .byte  102,69,15,107,201                   // packssdw      %xmm9,%xmm9
  .byte  102,69,15,111,225                   // movdqa        %xmm9,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,69,15,235,204                   // por           %xmm12,%xmm9
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  102,69,15,91,210                    // cvtps2dq      %xmm10,%xmm10
  .byte  102,65,15,114,242,16                // pslld         $0x10,%xmm10
  .byte  102,65,15,114,226,16                // psrad         $0x10,%xmm10
  .byte  102,69,15,107,210                   // packssdw      %xmm10,%xmm10
  .byte  102,69,15,111,226                   // movdqa        %xmm10,%xmm12
  .byte  102,65,15,113,244,8                 // psllw         $0x8,%xmm12
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,69,15,235,212                   // por           %xmm12,%xmm10
  .byte  102,69,15,97,195                    // punpcklwd     %xmm11,%xmm8
  .byte  102,69,15,97,202                    // punpcklwd     %xmm10,%xmm9
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,69,15,98,209                    // punpckldq     %xmm9,%xmm10
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,21                              // jne           1f32e <_sk_store_u16_be_sse2+0x120>
  .byte  69,15,17,20,64                      // movups        %xmm10,(%r8,%rax,2)
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  243,69,15,127,68,64,16              // movdqu        %xmm8,0x10(%r8,%rax,2)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,69,15,214,20,64                 // movq          %xmm10,(%r8,%rax,2)
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,240                             // je            1f32a <_sk_store_u16_be_sse2+0x11c>
  .byte  102,69,15,23,84,64,8                // movhpd        %xmm10,0x8(%r8,%rax,2)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,227                             // jb            1f32a <_sk_store_u16_be_sse2+0x11c>
  .byte  102,69,15,106,193                   // punpckhdq     %xmm9,%xmm8
  .byte  102,69,15,214,68,64,16              // movq          %xmm8,0x10(%r8,%rax,2)
  .byte  235,213                             // jmp           1f32a <_sk_store_u16_be_sse2+0x11c>

HIDDEN _sk_load_f32_sse2
.globl _sk_load_f32_sse2
FUNCTION(_sk_load_f32_sse2)
_sk_load_f32_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           1f3c0 <_sk_load_f32_sse2+0x6b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  65,15,20,201                        // unpcklps      %xmm9,%xmm1
  .byte  68,15,21,192                        // unpckhps      %xmm0,%xmm8
  .byte  65,15,21,217                        // unpckhps      %xmm9,%xmm3
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,202                           // movhlps       %xmm2,%xmm1
  .byte  65,15,40,208                        // movaps        %xmm8,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  65,15,18,216                        // movhlps       %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           1f3d2 <_sk_load_f32_sse2+0x7d>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  235,190                             // jmp           1f390 <_sk_load_f32_sse2+0x3b>
  .byte  65,15,16,68,128,16                  // movups        0x10(%r8,%rax,4),%xmm0
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            1f3e6 <_sk_load_f32_sse2+0x91>
  .byte  65,15,16,92,128,32                  // movups        0x20(%r8,%rax,4),%xmm3
  .byte  235,170                             // jmp           1f390 <_sk_load_f32_sse2+0x3b>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,165                             // jmp           1f390 <_sk_load_f32_sse2+0x3b>

HIDDEN _sk_load_f32_dst_sse2
.globl _sk_load_f32_dst_sse2
FUNCTION(_sk_load_f32_dst_sse2)
_sk_load_f32_dst_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  69,15,16,4,128                      // movups        (%r8,%rax,4),%xmm8
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           1f456 <_sk_load_f32_dst_sse2+0x6b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  69,15,16,76,128,48                  // movups        0x30(%r8,%rax,4),%xmm9
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  65,15,20,233                        // unpcklps      %xmm9,%xmm5
  .byte  68,15,21,196                        // unpckhps      %xmm4,%xmm8
  .byte  65,15,21,249                        // unpckhps      %xmm9,%xmm7
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  102,15,20,229                       // unpcklpd      %xmm5,%xmm4
  .byte  15,18,238                           // movhlps       %xmm6,%xmm5
  .byte  65,15,40,240                        // movaps        %xmm8,%xmm6
  .byte  102,15,20,247                       // unpcklpd      %xmm7,%xmm6
  .byte  65,15,18,248                        // movhlps       %xmm8,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  117,8                               // jne           1f468 <_sk_load_f32_dst_sse2+0x7d>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  235,190                             // jmp           1f426 <_sk_load_f32_dst_sse2+0x3b>
  .byte  65,15,16,100,128,16                 // movups        0x10(%r8,%rax,4),%xmm4
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,8                               // jb            1f47c <_sk_load_f32_dst_sse2+0x91>
  .byte  65,15,16,124,128,32                 // movups        0x20(%r8,%rax,4),%xmm7
  .byte  235,170                             // jmp           1f426 <_sk_load_f32_dst_sse2+0x3b>
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  235,165                             // jmp           1f426 <_sk_load_f32_dst_sse2+0x3b>

HIDDEN _sk_store_f32_sse2
.globl _sk_store_f32_sse2
FUNCTION(_sk_store_f32_sse2)
_sk_store_f32_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,141,12,149,0,0,0,0               // lea           0x0(,%rdx,4),%r9d
  .byte  76,99,80,8                          // movslq        0x8(%rax),%r10
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,194                       // imul          %r10,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  73,99,193                           // movslq        %r9d,%rax
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,40,194                        // movaps        %xmm2,%xmm8
  .byte  68,15,20,195                        // unpcklps      %xmm3,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  68,15,21,209                        // unpckhps      %xmm1,%xmm10
  .byte  68,15,40,218                        // movaps        %xmm2,%xmm11
  .byte  68,15,21,219                        // unpckhps      %xmm3,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  102,69,15,20,224                    // unpcklpd      %xmm8,%xmm12
  .byte  69,15,18,193                        // movhlps       %xmm9,%xmm8
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  102,69,15,20,203                    // unpcklpd      %xmm11,%xmm9
  .byte  102,69,15,17,36,128                 // movupd        %xmm12,(%r8,%rax,4)
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,29                              // jne           1f4fe <_sk_store_f32_sse2+0x7d>
  .byte  102,69,15,21,211                    // unpckhpd      %xmm11,%xmm10
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  102,69,15,17,84,128,48              // movupd        %xmm10,0x30(%r8,%rax,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  72,131,255,1                        // cmp           $0x1,%rdi
  .byte  116,246                             // je            1f4fa <_sk_store_f32_sse2+0x79>
  .byte  69,15,17,68,128,16                  // movups        %xmm8,0x10(%r8,%rax,4)
  .byte  72,131,255,3                        // cmp           $0x3,%rdi
  .byte  114,234                             // jb            1f4fa <_sk_store_f32_sse2+0x79>
  .byte  102,69,15,17,76,128,32              // movupd        %xmm9,0x20(%r8,%rax,4)
  .byte  235,225                             // jmp           1f4fa <_sk_store_f32_sse2+0x79>

HIDDEN _sk_clamp_x_sse2
.globl _sk_clamp_x_sse2
FUNCTION(_sk_clamp_x_sse2)
_sk_clamp_x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_y_sse2
.globl _sk_clamp_y_sse2
FUNCTION(_sk_clamp_y_sse2)
_sk_clamp_y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_sse2
.globl _sk_repeat_x_sse2
FUNCTION(_sk_repeat_x_sse2)
_sk_repeat_x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,208                        // mulps         %xmm0,%xmm10
  .byte  243,69,15,91,194                    // cvttps2dq     %xmm10,%xmm8
  .byte  69,15,91,216                        // cvtdq2ps      %xmm8,%xmm11
  .byte  69,15,194,211,1                     // cmpltps       %xmm11,%xmm10
  .byte  68,15,84,21,41,205,0,0              // andps         0xcd29(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  65,15,92,195                        // subps         %xmm11,%xmm0
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_y_sse2
.globl _sk_repeat_y_sse2
FUNCTION(_sk_repeat_y_sse2)
_sk_repeat_y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  243,69,15,91,194                    // cvttps2dq     %xmm10,%xmm8
  .byte  69,15,91,216                        // cvtdq2ps      %xmm8,%xmm11
  .byte  69,15,194,211,1                     // cmpltps       %xmm11,%xmm10
  .byte  68,15,84,21,207,204,0,0             // andps         0xcccf(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,218                        // subps         %xmm10,%xmm11
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  68,15,95,193                        // maxps         %xmm1,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_sse2
.globl _sk_mirror_x_sse2
FUNCTION(_sk_mirror_x_sse2)
_sk_mirror_x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  243,69,15,88,210                    // addss         %xmm10,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,89,29,12,194,0,0          // mulss         0xc20c(%rip),%xmm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,216                        // mulps         %xmm0,%xmm11
  .byte  243,69,15,91,195                    // cvttps2dq     %xmm11,%xmm8
  .byte  69,15,91,224                        // cvtdq2ps      %xmm8,%xmm12
  .byte  69,15,194,220,1                     // cmpltps       %xmm12,%xmm11
  .byte  68,15,84,29,85,204,0,0              // andps         0xcc55(%rip),%xmm11        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,84,208                        // andps         %xmm0,%xmm10
  .byte  69,15,95,194                        // maxps         %xmm10,%xmm8
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  68,15,93,192                        // minps         %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_y_sse2
.globl _sk_mirror_y_sse2
FUNCTION(_sk_mirror_y_sse2)
_sk_mirror_y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,16                     // movss         (%rax),%xmm10
  .byte  243,68,15,16,88,4                   // movss         0x4(%rax),%xmm11
  .byte  69,15,40,202                        // movaps        %xmm10,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  243,69,15,88,210                    // addss         %xmm10,%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,89,29,135,193,0,0         // mulss         0xc187(%rip),%xmm11        # 2b858 <_sk_overlay_sse2_8bit+0x43c>
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  243,69,15,91,195                    // cvttps2dq     %xmm11,%xmm8
  .byte  69,15,91,224                        // cvtdq2ps      %xmm8,%xmm12
  .byte  69,15,194,220,1                     // cmpltps       %xmm12,%xmm11
  .byte  68,15,84,29,208,203,0,0             // andps         0xcbd0(%rip),%xmm11        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  69,15,89,226                        // mulps         %xmm10,%xmm12
  .byte  65,15,92,204                        // subps         %xmm12,%xmm1
  .byte  65,15,92,201                        // subps         %xmm9,%xmm1
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  68,15,84,209                        // andps         %xmm1,%xmm10
  .byte  69,15,95,194                        // maxps         %xmm10,%xmm8
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  68,15,93,193                        // minps         %xmm1,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,200                        // movaps        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clamp_x_1_sse2
.globl _sk_clamp_x_1_sse2
FUNCTION(_sk_clamp_x_1_sse2)
_sk_clamp_x_1_sse2:
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,95,192                        // maxps         %xmm0,%xmm8
  .byte  68,15,93,5,135,203,0,0              // minps         0xcb87(%rip),%xmm8        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_repeat_x_1_sse2
.globl _sk_repeat_x_1_sse2
FUNCTION(_sk_repeat_x_1_sse2)
_sk_repeat_x_1_sse2:
  .byte  243,68,15,91,192                    // cvttps2dq     %xmm0,%xmm8
  .byte  69,15,91,192                        // cvtdq2ps      %xmm8,%xmm8
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,194,200,1                     // cmpltps       %xmm8,%xmm9
  .byte  68,15,84,13,101,203,0,0             // andps         0xcb65(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mirror_x_1_sse2
.globl _sk_mirror_x_1_sse2
FUNCTION(_sk_mirror_x_1_sse2)
_sk_mirror_x_1_sse2:
  .byte  68,15,40,5,177,203,0,0              // movaps        0xcbb1(%rip),%xmm8        # 2c320 <_sk_overlay_sse2_8bit+0xf04>
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,13,37,203,0,0              // movaps        0xcb25(%rip),%xmm9        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  69,15,194,202,1                     // cmpltps       %xmm10,%xmm9
  .byte  68,15,84,13,43,203,0,0              // andps         0xcb2b(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,87,219                        // xorps         %xmm11,%xmm11
  .byte  69,15,92,209                        // subps         %xmm9,%xmm10
  .byte  69,15,88,210                        // addps         %xmm10,%xmm10
  .byte  65,15,92,194                        // subps         %xmm10,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,92,216                        // subps         %xmm0,%xmm11
  .byte  65,15,84,195                        // andps         %xmm11,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_luminance_to_alpha_sse2
.globl _sk_luminance_to_alpha_sse2
FUNCTION(_sk_luminance_to_alpha_sse2)
_sk_luminance_to_alpha_sse2:
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,89,5,65,208,0,0                  // mulps         0xd041(%rip),%xmm0        # 2c800 <_sk_overlay_sse2_8bit+0x13e4>
  .byte  15,89,13,74,208,0,0                 // mulps         0xd04a(%rip),%xmm1        # 2c810 <_sk_overlay_sse2_8bit+0x13f4>
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,29,80,208,0,0                 // mulps         0xd050(%rip),%xmm3        # 2c820 <_sk_overlay_sse2_8bit+0x1404>
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_translate_sse2
.globl _sk_matrix_translate_sse2
FUNCTION(_sk_matrix_translate_sse2)
_sk_matrix_translate_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,0                      // movss         (%rax),%xmm8
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,88,201                        // addps         %xmm9,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_scale_translate_sse2
.globl _sk_matrix_scale_translate_sse2
FUNCTION(_sk_matrix_scale_translate_sse2)
_sk_matrix_scale_translate_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,8                   // movss         0x8(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  243,68,15,16,8                      // movss         (%rax),%xmm9
  .byte  243,68,15,16,80,4                   // movss         0x4(%rax),%xmm10
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,64,12                  // movss         0xc(%rax),%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_2x3_sse2
.globl _sk_matrix_2x3_sse2
FUNCTION(_sk_matrix_2x3_sse2)
_sk_matrix_2x3_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,16                  // movss         0x10(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_3x4_sse2
.globl _sk_matrix_3x4_sse2
FUNCTION(_sk_matrix_3x4_sse2)
_sk_matrix_3x4_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,12                  // movss         0xc(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,36                  // movss         0x24(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x5_sse2
.globl _sk_matrix_4x5_sse2
FUNCTION(_sk_matrix_4x5_sse2)
_sk_matrix_4x5_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,32                  // movss         0x20(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,48                  // movss         0x30(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,64                 // movss         0x40(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,68,15,16,80,20                  // movss         0x14(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,36                  // movss         0x24(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,52                  // movss         0x34(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,68                 // movss         0x44(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  68,15,89,227                        // mulps         %xmm3,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,24                  // movss         0x18(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,40                  // movss         0x28(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,56                 // movss         0x38(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,72                 // movss         0x48(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,217                        // mulps         %xmm9,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  243,68,15,16,88,12                  // movss         0xc(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,28                  // movss         0x1c(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  243,68,15,16,104,44                 // movss         0x2c(%rax),%xmm13
  .byte  69,15,198,237,0                     // shufps        $0x0,%xmm13,%xmm13
  .byte  243,68,15,16,112,60                 // movss         0x3c(%rax),%xmm14
  .byte  69,15,198,246,0                     // shufps        $0x0,%xmm14,%xmm14
  .byte  243,68,15,16,120,76                 // movss         0x4c(%rax),%xmm15
  .byte  69,15,198,255,0                     // shufps        $0x0,%xmm15,%xmm15
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  69,15,88,247                        // addps         %xmm15,%xmm14
  .byte  68,15,89,234                        // mulps         %xmm2,%xmm13
  .byte  69,15,88,238                        // addps         %xmm14,%xmm13
  .byte  69,15,89,225                        // mulps         %xmm9,%xmm12
  .byte  69,15,88,229                        // addps         %xmm13,%xmm12
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,210                        // movaps        %xmm10,%xmm2
  .byte  65,15,40,219                        // movaps        %xmm11,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_4x3_sse2
.globl _sk_matrix_4x3_sse2
FUNCTION(_sk_matrix_4x3_sse2)
_sk_matrix_4x3_sse2:
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,32                     // movss         0x20(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,36                     // movss         0x24(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,209                        // mulps         %xmm9,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,40                  // movss         0x28(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  65,15,89,217                        // mulps         %xmm9,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,80,28                  // movss         0x1c(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,44                  // movss         0x2c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,218                        // addps         %xmm10,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_matrix_perspective_sse2
.globl _sk_matrix_perspective_sse2
FUNCTION(_sk_matrix_perspective_sse2)
_sk_matrix_perspective_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,68,15,16,72,4                   // movss         0x4(%rax),%xmm9
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,8                   // movss         0x8(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  243,68,15,16,72,12                  // movss         0xc(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  243,68,15,16,80,16                  // movss         0x10(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,20                  // movss         0x14(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,88,202                        // addps         %xmm10,%xmm9
  .byte  243,68,15,16,80,24                  // movss         0x18(%rax),%xmm10
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,28                  // movss         0x1c(%rax),%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  243,68,15,16,96,32                  // movss         0x20(%rax),%xmm12
  .byte  69,15,198,228,0                     // shufps        $0x0,%xmm12,%xmm12
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,220                        // addps         %xmm12,%xmm11
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  69,15,88,211                        // addps         %xmm11,%xmm10
  .byte  65,15,83,202                        // rcpps         %xmm10,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  68,15,89,201                        // mulps         %xmm1,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,201                        // movaps        %xmm9,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_gradient_sse2
.globl _sk_evenly_spaced_gradient_sse2
FUNCTION(_sk_evenly_spaced_gradient_sse2)
_sk_evenly_spaced_gradient_sse2:
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,139,24                           // mov           (%rax),%rbx
  .byte  76,139,112,8                        // mov           0x8(%rax),%r14
  .byte  72,255,203                          // dec           %rbx
  .byte  120,7                               // js            1fc70 <_sk_evenly_spaced_gradient_sse2+0x18>
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  235,21                              // jmp           1fc85 <_sk_evenly_spaced_gradient_sse2+0x2d>
  .byte  73,137,216                          // mov           %rbx,%r8
  .byte  73,209,232                          // shr           %r8
  .byte  131,227,1                           // and           $0x1,%ebx
  .byte  76,9,195                            // or            %r8,%rbx
  .byte  243,72,15,42,203                    // cvtsi2ss      %rbx,%xmm1
  .byte  243,15,88,201                       // addss         %xmm1,%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,210                   // movq          %xmm2,%r10
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,73,15,126,203                   // movq          %xmm1,%r11
  .byte  69,137,217                          // mov           %r11d,%r9d
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  243,67,15,16,12,158                 // movss         (%r14,%r11,4),%xmm1
  .byte  243,67,15,16,20,150                 // movss         (%r14,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,71,15,16,4,142                  // movss         (%r14,%r9,4),%xmm8
  .byte  243,67,15,16,20,134                 // movss         (%r14,%r8,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,70,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm9
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  72,139,88,16                        // mov           0x10(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  243,66,15,16,12,147                 // movss         (%rbx,%r10,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,66,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm1
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  243,70,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm10
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,211                        // unpcklps      %xmm3,%xmm10
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  68,15,20,218                        // unpcklps      %xmm2,%xmm11
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,211                        // unpcklps      %xmm11,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,70,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,219                        // unpcklps      %xmm3,%xmm11
  .byte  69,15,20,220                        // unpcklps      %xmm12,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  243,70,15,16,44,131                 // movss         (%rbx,%r8,4),%xmm13
  .byte  65,15,20,221                        // unpcklps      %xmm13,%xmm3
  .byte  65,15,20,220                        // unpcklps      %xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  243,70,15,16,44,144                 // movss         (%rax,%r10,4),%xmm13
  .byte  69,15,20,229                        // unpcklps      %xmm13,%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  243,70,15,16,52,128                 // movss         (%rax,%r8,4),%xmm14
  .byte  69,15,20,238                        // unpcklps      %xmm14,%xmm13
  .byte  69,15,20,236                        // unpcklps      %xmm12,%xmm13
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gauss_a_to_rgba_sse2
.globl _sk_gauss_a_to_rgba_sse2
FUNCTION(_sk_gauss_a_to_rgba_sse2)
_sk_gauss_a_to_rgba_sse2:
  .byte  15,40,5,31,202,0,0                  // movaps        0xca1f(%rip),%xmm0        # 2c830 <_sk_overlay_sse2_8bit+0x1414>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,37,202,0,0                  // addps         0xca25(%rip),%xmm0        # 2c840 <_sk_overlay_sse2_8bit+0x1424>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,43,202,0,0                  // addps         0xca2b(%rip),%xmm0        # 2c850 <_sk_overlay_sse2_8bit+0x1434>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,49,202,0,0                  // addps         0xca31(%rip),%xmm0        # 2c860 <_sk_overlay_sse2_8bit+0x1444>
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,5,55,202,0,0                  // addps         0xca37(%rip),%xmm0        # 2c870 <_sk_overlay_sse2_8bit+0x1454>
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_gradient_sse2
.globl _sk_gradient_sse2
FUNCTION(_sk_gradient_sse2)
_sk_gradient_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,139,0                            // mov           (%rax),%r8
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  73,131,248,2                        // cmp           $0x2,%r8
  .byte  114,51                              // jb            1fe88 <_sk_gradient_sse2+0x42>
  .byte  76,139,72,72                        // mov           0x48(%rax),%r9
  .byte  73,255,200                          // dec           %r8
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,40,21,101,196,0,0                // movaps        0xc465(%rip),%xmm2        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  243,65,15,16,25                     // movss         (%r9),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  73,131,193,4                        // add           $0x4,%r9
  .byte  73,255,200                          // dec           %r8
  .byte  117,227                             // jne           1fe6b <_sk_gradient_sse2+0x25>
  .byte  65,86                               // push          %r14
  .byte  83                                  // push          %rbx
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,210                   // movq          %xmm2,%r10
  .byte  69,137,208                          // mov           %r10d,%r8d
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  102,73,15,126,203                   // movq          %xmm1,%r11
  .byte  69,137,217                          // mov           %r11d,%r9d
  .byte  73,193,235,32                       // shr           $0x20,%r11
  .byte  72,139,88,8                         // mov           0x8(%rax),%rbx
  .byte  76,139,112,16                       // mov           0x10(%rax),%r14
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,70,15,16,4,139                  // movss         (%rbx,%r9,4),%xmm8
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  68,15,20,194                        // unpcklps      %xmm2,%xmm8
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  72,139,88,40                        // mov           0x28(%rax),%rbx
  .byte  243,66,15,16,12,155                 // movss         (%rbx,%r11,4),%xmm1
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  243,70,15,16,12,139                 // movss         (%rbx,%r9,4),%xmm9
  .byte  243,66,15,16,20,131                 // movss         (%rbx,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  243,67,15,16,20,158                 // movss         (%r14,%r11,4),%xmm2
  .byte  243,67,15,16,12,150                 // movss         (%r14,%r10,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,67,15,16,12,142                 // movss         (%r14,%r9,4),%xmm1
  .byte  243,67,15,16,28,134                 // movss         (%r14,%r8,4),%xmm3
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  72,139,88,48                        // mov           0x30(%rax),%rbx
  .byte  243,66,15,16,20,155                 // movss         (%rbx,%r11,4),%xmm2
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  243,70,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm10
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,211                        // unpcklps      %xmm3,%xmm10
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  72,139,88,24                        // mov           0x18(%rax),%rbx
  .byte  243,70,15,16,28,155                 // movss         (%rbx,%r11,4),%xmm11
  .byte  243,66,15,16,20,147                 // movss         (%rbx,%r10,4),%xmm2
  .byte  68,15,20,218                        // unpcklps      %xmm2,%xmm11
  .byte  243,66,15,16,20,139                 // movss         (%rbx,%r9,4),%xmm2
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  65,15,20,211                        // unpcklps      %xmm11,%xmm2
  .byte  72,139,88,56                        // mov           0x38(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,70,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm11
  .byte  243,66,15,16,28,131                 // movss         (%rbx,%r8,4),%xmm3
  .byte  68,15,20,219                        // unpcklps      %xmm3,%xmm11
  .byte  69,15,20,220                        // unpcklps      %xmm12,%xmm11
  .byte  72,139,88,32                        // mov           0x20(%rax),%rbx
  .byte  243,70,15,16,36,155                 // movss         (%rbx,%r11,4),%xmm12
  .byte  243,66,15,16,28,147                 // movss         (%rbx,%r10,4),%xmm3
  .byte  68,15,20,227                        // unpcklps      %xmm3,%xmm12
  .byte  243,66,15,16,28,139                 // movss         (%rbx,%r9,4),%xmm3
  .byte  243,70,15,16,44,131                 // movss         (%rbx,%r8,4),%xmm13
  .byte  65,15,20,221                        // unpcklps      %xmm13,%xmm3
  .byte  65,15,20,220                        // unpcklps      %xmm12,%xmm3
  .byte  72,139,64,64                        // mov           0x40(%rax),%rax
  .byte  243,70,15,16,36,152                 // movss         (%rax,%r11,4),%xmm12
  .byte  243,70,15,16,44,144                 // movss         (%rax,%r10,4),%xmm13
  .byte  69,15,20,229                        // unpcklps      %xmm13,%xmm12
  .byte  243,70,15,16,44,136                 // movss         (%rax,%r9,4),%xmm13
  .byte  243,70,15,16,52,128                 // movss         (%rax,%r8,4),%xmm14
  .byte  69,15,20,238                        // unpcklps      %xmm14,%xmm13
  .byte  69,15,20,236                        // unpcklps      %xmm12,%xmm13
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  65,15,88,202                        // addps         %xmm10,%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  65,15,88,211                        // addps         %xmm11,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  65,15,88,221                        // addps         %xmm13,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  65,15,40,192                        // movaps        %xmm8,%xmm0
  .byte  91                                  // pop           %rbx
  .byte  65,94                               // pop           %r14
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_evenly_spaced_2_stop_gradient_sse2
.globl _sk_evenly_spaced_2_stop_gradient_sse2
FUNCTION(_sk_evenly_spaced_2_stop_gradient_sse2)
_sk_evenly_spaced_2_stop_gradient_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,16,72,4                      // movss         0x4(%rax),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,80,16                     // movss         0x10(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,80,20                     // movss         0x14(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,80,8                      // movss         0x8(%rax),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,88,24                     // movss         0x18(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  65,15,89,208                        // mulps         %xmm8,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,88,12                     // movss         0xc(%rax),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,68,15,16,72,28                  // movss         0x1c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  65,15,89,216                        // mulps         %xmm8,%xmm3
  .byte  65,15,88,217                        // addps         %xmm9,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_unit_angle_sse2
.globl _sk_xy_to_unit_angle_sse2
FUNCTION(_sk_xy_to_unit_angle_sse2)
_sk_xy_to_unit_angle_sse2:
  .byte  68,15,40,192                        // movaps        %xmm0,%xmm8
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  69,15,87,201                        // xorps         %xmm9,%xmm9
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,84,200                        // andps         %xmm8,%xmm9
  .byte  69,15,87,210                        // xorps         %xmm10,%xmm10
  .byte  68,15,92,209                        // subps         %xmm1,%xmm10
  .byte  68,15,84,209                        // andps         %xmm1,%xmm10
  .byte  69,15,40,217                        // movaps        %xmm9,%xmm11
  .byte  69,15,93,218                        // minps         %xmm10,%xmm11
  .byte  69,15,40,225                        // movaps        %xmm9,%xmm12
  .byte  69,15,95,226                        // maxps         %xmm10,%xmm12
  .byte  69,15,94,220                        // divps         %xmm12,%xmm11
  .byte  69,15,40,227                        // movaps        %xmm11,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,40,45,196,199,0,0             // movaps        0xc7c4(%rip),%xmm13        # 2c880 <_sk_overlay_sse2_8bit+0x1464>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,45,200,199,0,0             // addps         0xc7c8(%rip),%xmm13        # 2c890 <_sk_overlay_sse2_8bit+0x1474>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,45,204,199,0,0             // addps         0xc7cc(%rip),%xmm13        # 2c8a0 <_sk_overlay_sse2_8bit+0x1484>
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,45,208,199,0,0             // addps         0xc7d0(%rip),%xmm13        # 2c8b0 <_sk_overlay_sse2_8bit+0x1494>
  .byte  69,15,89,235                        // mulps         %xmm11,%xmm13
  .byte  69,15,194,202,1                     // cmpltps       %xmm10,%xmm9
  .byte  68,15,40,21,207,199,0,0             // movaps        0xc7cf(%rip),%xmm10        # 2c8c0 <_sk_overlay_sse2_8bit+0x14a4>
  .byte  69,15,92,213                        // subps         %xmm13,%xmm10
  .byte  69,15,84,209                        // andps         %xmm9,%xmm10
  .byte  69,15,85,205                        // andnps        %xmm13,%xmm9
  .byte  69,15,86,202                        // orps          %xmm10,%xmm9
  .byte  68,15,194,192,1                     // cmpltps       %xmm0,%xmm8
  .byte  68,15,40,21,146,193,0,0             // movaps        0xc192(%rip),%xmm10        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,92,209                        // subps         %xmm9,%xmm10
  .byte  69,15,84,208                        // andps         %xmm8,%xmm10
  .byte  69,15,85,193                        // andnps        %xmm9,%xmm8
  .byte  69,15,86,194                        // orps          %xmm10,%xmm8
  .byte  68,15,40,201                        // movaps        %xmm1,%xmm9
  .byte  68,15,194,200,1                     // cmpltps       %xmm0,%xmm9
  .byte  68,15,40,21,145,193,0,0             // movaps        0xc191(%rip),%xmm10        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,208                        // subps         %xmm8,%xmm10
  .byte  69,15,84,209                        // andps         %xmm9,%xmm10
  .byte  69,15,85,200                        // andnps        %xmm8,%xmm9
  .byte  69,15,86,202                        // orps          %xmm10,%xmm9
  .byte  65,15,194,193,7                     // cmpordps      %xmm9,%xmm0
  .byte  65,15,84,193                        // andps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_radius_sse2
.globl _sk_xy_to_radius_sse2
FUNCTION(_sk_xy_to_radius_sse2)
_sk_xy_to_radius_sse2:
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,193                        // movaps        %xmm1,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,88,192                        // addps         %xmm0,%xmm8
  .byte  65,15,81,192                        // sqrtps        %xmm8,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_sse2
.globl _sk_xy_to_2pt_conical_quadratic_max_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_sse2)
_sk_xy_to_2pt_conical_quadratic_max_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,56,199,0,0              // mulps         0xc738(%rip),%xmm9        # 2c8d0 <_sk_overlay_sse2_8bit+0x14b4>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,35,199,0,0              // mulps         0xc723(%rip),%xmm10        # 2c8e0 <_sk_overlay_sse2_8bit+0x14c4>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,219,197,0,0             // xorps         0xc5db(%rip),%xmm9        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  68,15,89,5,179,192,0,0              // mulps         0xc0b3(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,95,193                        // maxps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_sse2
.globl _sk_xy_to_2pt_conical_quadratic_min_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_sse2)
_sk_xy_to_2pt_conical_quadratic_min_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,80,32                  // movss         0x20(%rax),%xmm10
  .byte  243,68,15,16,64,36                  // movss         0x24(%rax),%xmm8
  .byte  69,15,198,210,0                     // shufps        $0x0,%xmm10,%xmm10
  .byte  243,68,15,16,88,40                  // movss         0x28(%rax),%xmm11
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,203                    // mulss         %xmm11,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,154,198,0,0             // mulps         0xc69a(%rip),%xmm9        # 2c8d0 <_sk_overlay_sse2_8bit+0x14b4>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,225                        // movaps        %xmm1,%xmm12
  .byte  69,15,89,228                        // mulps         %xmm12,%xmm12
  .byte  68,15,88,224                        // addps         %xmm0,%xmm12
  .byte  243,69,15,89,219                    // mulss         %xmm11,%xmm11
  .byte  69,15,198,219,0                     // shufps        $0x0,%xmm11,%xmm11
  .byte  69,15,92,227                        // subps         %xmm11,%xmm12
  .byte  68,15,89,21,133,198,0,0             // mulps         0xc685(%rip),%xmm10        # 2c8e0 <_sk_overlay_sse2_8bit+0x14c4>
  .byte  69,15,89,212                        // mulps         %xmm12,%xmm10
  .byte  65,15,40,193                        // movaps        %xmm9,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  68,15,81,208                        // sqrtps        %xmm0,%xmm10
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,40,194                        // movaps        %xmm10,%xmm0
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  68,15,87,13,61,197,0,0              // xorps         0xc53d(%rip),%xmm9        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  68,15,89,5,21,192,0,0               // mulps         0xc015(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  65,15,93,193                        // minps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xy_to_2pt_conical_linear_sse2
.globl _sk_xy_to_2pt_conical_linear_sse2
FUNCTION(_sk_xy_to_2pt_conical_linear_sse2)
_sk_xy_to_2pt_conical_linear_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  243,69,15,89,200                    // mulss         %xmm8,%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  68,15,88,200                        // addps         %xmm0,%xmm9
  .byte  68,15,89,13,13,198,0,0              // mulps         0xc60d(%rip),%xmm9        # 2c8d0 <_sk_overlay_sse2_8bit+0x14b4>
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  68,15,40,209                        // movaps        %xmm1,%xmm10
  .byte  69,15,89,210                        // mulps         %xmm10,%xmm10
  .byte  65,15,88,194                        // addps         %xmm10,%xmm0
  .byte  243,69,15,89,192                    // mulss         %xmm8,%xmm8
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,87,5,217,196,0,0                 // xorps         0xc4d9(%rip),%xmm0        # 2c7c0 <_sk_overlay_sse2_8bit+0x13a4>
  .byte  65,15,94,193                        // divps         %xmm9,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_mask_2pt_conical_degenerates_sse2
.globl _sk_mask_2pt_conical_degenerates_sse2
FUNCTION(_sk_mask_2pt_conical_degenerates_sse2)
_sk_mask_2pt_conical_degenerates_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,68,15,16,64,40                  // movss         0x28(%rax),%xmm8
  .byte  243,68,15,16,72,44                  // movss         0x2c(%rax),%xmm9
  .byte  69,15,198,201,0                     // shufps        $0x0,%xmm9,%xmm9
  .byte  69,15,198,192,0                     // shufps        $0x0,%xmm8,%xmm8
  .byte  68,15,89,200                        // mulps         %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  69,15,87,192                        // xorps         %xmm8,%xmm8
  .byte  68,15,40,208                        // movaps        %xmm0,%xmm10
  .byte  69,15,194,208,7                     // cmpordps      %xmm8,%xmm10
  .byte  69,15,194,193,2                     // cmpleps       %xmm9,%xmm8
  .byte  69,15,84,194                        // andps         %xmm10,%xmm8
  .byte  68,15,17,0                          // movups        %xmm8,(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_apply_vector_mask_sse2
.globl _sk_apply_vector_mask_sse2
FUNCTION(_sk_apply_vector_mask_sse2)
_sk_apply_vector_mask_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,0                          // movups        (%rax),%xmm8
  .byte  65,15,84,192                        // andps         %xmm8,%xmm0
  .byte  65,15,84,200                        // andps         %xmm8,%xmm1
  .byte  65,15,84,208                        // andps         %xmm8,%xmm2
  .byte  65,15,84,216                        // andps         %xmm8,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_save_xy_sse2
.globl _sk_save_xy_sse2
FUNCTION(_sk_save_xy_sse2)
_sk_save_xy_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,79,191,0,0               // movaps        0xbf4f(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,17,0                             // movups        %xmm0,(%rax)
  .byte  68,15,40,200                        // movaps        %xmm0,%xmm9
  .byte  69,15,88,200                        // addps         %xmm8,%xmm9
  .byte  243,69,15,91,209                    // cvttps2dq     %xmm9,%xmm10
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  69,15,40,217                        // movaps        %xmm9,%xmm11
  .byte  69,15,194,218,1                     // cmpltps       %xmm10,%xmm11
  .byte  68,15,40,37,74,191,0,0              // movaps        0xbf4a(%rip),%xmm12        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,84,220                        // andps         %xmm12,%xmm11
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  69,15,92,202                        // subps         %xmm10,%xmm9
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  243,69,15,91,208                    // cvttps2dq     %xmm8,%xmm10
  .byte  69,15,91,210                        // cvtdq2ps      %xmm10,%xmm10
  .byte  69,15,40,216                        // movaps        %xmm8,%xmm11
  .byte  69,15,194,218,1                     // cmpltps       %xmm10,%xmm11
  .byte  69,15,84,220                        // andps         %xmm12,%xmm11
  .byte  69,15,92,211                        // subps         %xmm11,%xmm10
  .byte  69,15,92,194                        // subps         %xmm10,%xmm8
  .byte  15,17,72,32                         // movups        %xmm1,0x20(%rax)
  .byte  68,15,17,72,64                      // movups        %xmm9,0x40(%rax)
  .byte  68,15,17,64,96                      // movups        %xmm8,0x60(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_accumulate_sse2
.globl _sk_accumulate_sse2
FUNCTION(_sk_accumulate_sse2)
_sk_accumulate_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,16,128,128,0,0,0              // movups        0x80(%rax),%xmm8
  .byte  68,15,16,136,160,0,0,0              // movups        0xa0(%rax),%xmm9
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  65,15,88,224                        // addps         %xmm8,%xmm4
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,193                        // mulps         %xmm1,%xmm8
  .byte  65,15,88,232                        // addps         %xmm8,%xmm5
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  68,15,89,194                        // mulps         %xmm2,%xmm8
  .byte  65,15,88,240                        // addps         %xmm8,%xmm6
  .byte  68,15,89,203                        // mulps         %xmm3,%xmm9
  .byte  65,15,88,249                        // addps         %xmm9,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_nx_sse2
.globl _sk_bilinear_nx_sse2
FUNCTION(_sk_bilinear_nx_sse2)
_sk_bilinear_nx_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,227,196,0,0                 // addps         0xc4e3(%rip),%xmm0        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,171,190,0,0             // movaps        0xbeab(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_px_sse2
.globl _sk_bilinear_px_sse2
FUNCTION(_sk_bilinear_px_sse2)
_sk_bilinear_px_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,106,190,0,0                 // addps         0xbe6a(%rip),%xmm0        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_ny_sse2
.globl _sk_bilinear_ny_sse2
FUNCTION(_sk_bilinear_ny_sse2)
_sk_bilinear_ny_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,156,196,0,0                // addps         0xc49c(%rip),%xmm1        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,100,190,0,0             // movaps        0xbe64(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bilinear_py_sse2
.globl _sk_bilinear_py_sse2
FUNCTION(_sk_bilinear_py_sse2)
_sk_bilinear_py_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,34,190,0,0                 // addps         0xbe22(%rip),%xmm1        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3x_sse2
.globl _sk_bicubic_n3x_sse2
FUNCTION(_sk_bicubic_n3x_sse2)
_sk_bicubic_n3x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,101,196,0,0                 // addps         0xc465(%rip),%xmm0        # 2c900 <_sk_overlay_sse2_8bit+0x14e4>
  .byte  68,15,40,13,29,190,0,0              // movaps        0xbe1d(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,89,196,0,0              // mulps         0xc459(%rip),%xmm9        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,13,241,191,0,0             // addps         0xbff1(%rip),%xmm9        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,128,0,0,0              // movups        %xmm9,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1x_sse2
.globl _sk_bicubic_n1x_sse2
FUNCTION(_sk_bicubic_n1x_sse2)
_sk_bicubic_n1x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,16,196,0,0                  // addps         0xc410(%rip),%xmm0        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,216,189,0,0             // movaps        0xbdd8(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,44,196,0,0               // movaps        0xc42c(%rip),%xmm8        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,48,196,0,0               // addps         0xc430(%rip),%xmm8        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,148,189,0,0              // addps         0xbd94(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,40,196,0,0               // addps         0xc428(%rip),%xmm8        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1x_sse2
.globl _sk_bicubic_p1x_sse2
FUNCTION(_sk_bicubic_p1x_sse2)
_sk_bicubic_p1x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,114,189,0,0              // movaps        0xbd72(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,72,64                      // movups        0x40(%rax),%xmm9
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  68,15,40,21,222,195,0,0             // movaps        0xc3de(%rip),%xmm10        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,226,195,0,0             // addps         0xc3e2(%rip),%xmm10        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,222,195,0,0             // addps         0xc3de(%rip),%xmm10        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,144,128,0,0,0              // movups        %xmm10,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3x_sse2
.globl _sk_bicubic_p3x_sse2
FUNCTION(_sk_bicubic_p3x_sse2)
_sk_bicubic_p3x_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,0                             // movups        (%rax),%xmm0
  .byte  68,15,16,64,64                      // movups        0x40(%rax),%xmm8
  .byte  15,88,5,177,195,0,0                 // addps         0xc3b1(%rip),%xmm0        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,129,195,0,0              // mulps         0xc381(%rip),%xmm8        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,5,25,191,0,0               // addps         0xbf19(%rip),%xmm8        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,128,0,0,0              // movups        %xmm8,0x80(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n3y_sse2
.globl _sk_bicubic_n3y_sse2
FUNCTION(_sk_bicubic_n3y_sse2)
_sk_bicubic_n3y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,71,195,0,0                 // addps         0xc347(%rip),%xmm1        # 2c900 <_sk_overlay_sse2_8bit+0x14e4>
  .byte  68,15,40,13,255,188,0,0             // movaps        0xbcff(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  69,15,40,193                        // movaps        %xmm9,%xmm8
  .byte  69,15,89,192                        // mulps         %xmm8,%xmm8
  .byte  68,15,89,13,59,195,0,0              // mulps         0xc33b(%rip),%xmm9        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,13,211,190,0,0             // addps         0xbed3(%rip),%xmm9        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,200                        // mulps         %xmm8,%xmm9
  .byte  68,15,17,136,160,0,0,0              // movups        %xmm9,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_n1y_sse2
.globl _sk_bicubic_n1y_sse2
FUNCTION(_sk_bicubic_n1y_sse2)
_sk_bicubic_n1y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,241,194,0,0                // addps         0xc2f1(%rip),%xmm1        # 2c8f0 <_sk_overlay_sse2_8bit+0x14d4>
  .byte  68,15,40,13,185,188,0,0             // movaps        0xbcb9(%rip),%xmm9        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  69,15,92,200                        // subps         %xmm8,%xmm9
  .byte  68,15,40,5,13,195,0,0               // movaps        0xc30d(%rip),%xmm8        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,17,195,0,0               // addps         0xc311(%rip),%xmm8        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,117,188,0,0              // addps         0xbc75(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,88,5,9,195,0,0                // addps         0xc309(%rip),%xmm8        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p1y_sse2
.globl _sk_bicubic_p1y_sse2
FUNCTION(_sk_bicubic_p1y_sse2)
_sk_bicubic_p1y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,15,40,5,83,188,0,0               // movaps        0xbc53(%rip),%xmm8        # 2c2a0 <_sk_overlay_sse2_8bit+0xe84>
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,72,96                      // movups        0x60(%rax),%xmm9
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  68,15,40,21,190,194,0,0             // movaps        0xc2be(%rip),%xmm10        # 2c920 <_sk_overlay_sse2_8bit+0x1504>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,194,194,0,0             // addps         0xc2c2(%rip),%xmm10        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  69,15,88,208                        // addps         %xmm8,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,21,190,194,0,0             // addps         0xc2be(%rip),%xmm10        # 2c940 <_sk_overlay_sse2_8bit+0x1524>
  .byte  68,15,17,144,160,0,0,0              // movups        %xmm10,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_bicubic_p3y_sse2
.globl _sk_bicubic_p3y_sse2
FUNCTION(_sk_bicubic_p3y_sse2)
_sk_bicubic_p3y_sse2:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,16,72,32                         // movups        0x20(%rax),%xmm1
  .byte  68,15,16,64,96                      // movups        0x60(%rax),%xmm8
  .byte  15,88,13,144,194,0,0                // addps         0xc290(%rip),%xmm1        # 2c930 <_sk_overlay_sse2_8bit+0x1514>
  .byte  69,15,40,200                        // movaps        %xmm8,%xmm9
  .byte  69,15,89,201                        // mulps         %xmm9,%xmm9
  .byte  68,15,89,5,96,194,0,0               // mulps         0xc260(%rip),%xmm8        # 2c910 <_sk_overlay_sse2_8bit+0x14f4>
  .byte  68,15,88,5,248,189,0,0              // addps         0xbdf8(%rip),%xmm8        # 2c4b0 <_sk_overlay_sse2_8bit+0x1094>
  .byte  69,15,89,193                        // mulps         %xmm9,%xmm8
  .byte  68,15,17,128,160,0,0,0              // movups        %xmm8,0xa0(%rax)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_callback_sse2
.globl _sk_callback_sse2
FUNCTION(_sk_callback_sse2)
_sk_callback_sse2:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,72                       // sub           $0x48,%rsp
  .byte  15,41,125,144                       // movaps        %xmm7,-0x70(%rbp)
  .byte  15,41,117,160                       // movaps        %xmm6,-0x60(%rbp)
  .byte  15,41,109,176                       // movaps        %xmm5,-0x50(%rbp)
  .byte  15,41,101,192                       // movaps        %xmm4,-0x40(%rbp)
  .byte  73,137,206                          // mov           %rcx,%r14
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  73,137,253                          // mov           %rdi,%r13
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  72,137,195                          // mov           %rax,%rbx
  .byte  73,137,244                          // mov           %rsi,%r12
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,21,193                           // unpckhps      %xmm1,%xmm0
  .byte  15,21,211                           // unpckhps      %xmm3,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  102,15,20,205                       // unpcklpd      %xmm5,%xmm1
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  102,15,20,218                       // unpcklpd      %xmm2,%xmm3
  .byte  102,15,17,75,8                      // movupd        %xmm1,0x8(%rbx)
  .byte  15,18,208                           // movhlps       %xmm0,%xmm2
  .byte  15,17,107,24                        // movups        %xmm5,0x18(%rbx)
  .byte  102,15,17,91,40                     // movupd        %xmm3,0x28(%rbx)
  .byte  15,17,83,56                         // movups        %xmm2,0x38(%rbx)
  .byte  77,133,237                          // test          %r13,%r13
  .byte  190,4,0,0,0                         // mov           $0x4,%esi
  .byte  65,15,69,245                        // cmovne        %r13d,%esi
  .byte  72,137,223                          // mov           %rbx,%rdi
  .byte  255,19                              // callq         *(%rbx)
  .byte  72,139,131,136,0,0,0                // mov           0x88(%rbx),%rax
  .byte  15,16,32                            // movups        (%rax),%xmm4
  .byte  15,16,64,16                         // movups        0x10(%rax),%xmm0
  .byte  15,16,88,32                         // movups        0x20(%rax),%xmm3
  .byte  15,16,80,48                         // movups        0x30(%rax),%xmm2
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,21,224                           // unpckhps      %xmm0,%xmm4
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  76,137,230                          // mov           %r12,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,137,239                          // mov           %r13,%rdi
  .byte  76,137,250                          // mov           %r15,%rdx
  .byte  76,137,241                          // mov           %r14,%rcx
  .byte  15,40,101,192                       // movaps        -0x40(%rbp),%xmm4
  .byte  15,40,109,176                       // movaps        -0x50(%rbp),%xmm5
  .byte  15,40,117,160                       // movaps        -0x60(%rbp),%xmm6
  .byte  15,40,125,144                       // movaps        -0x70(%rbp),%xmm7
  .byte  72,131,196,72                       // add           $0x48,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_3D_sse2
.globl _sk_clut_3D_sse2
FUNCTION(_sk_clut_3D_sse2)
_sk_clut_3D_sse2:
  .byte  72,131,236,56                       // sub           $0x38,%rsp
  .byte  15,41,124,36,32                     // movaps        %xmm7,0x20(%rsp)
  .byte  15,41,116,36,16                     // movaps        %xmm6,0x10(%rsp)
  .byte  15,41,44,36                         // movaps        %xmm5,(%rsp)
  .byte  15,41,100,36,240                    // movaps        %xmm4,-0x10(%rsp)
  .byte  15,41,92,36,224                     // movaps        %xmm3,-0x20(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,68,15,112,250,0                 // pshufd        $0x0,%xmm2,%xmm15
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  68,15,91,211                        // cvtdq2ps      %xmm3,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  243,65,15,91,226                    // cvttps2dq     %xmm10,%xmm4
  .byte  102,15,127,100,36,128               // movdqa        %xmm4,-0x80(%rsp)
  .byte  68,15,41,84,36,144                  // movaps        %xmm10,-0x70(%rsp)
  .byte  102,15,112,204,245                  // pshufd        $0xf5,%xmm4,%xmm1
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,65,15,244,223                   // pmuludq       %xmm15,%xmm3
  .byte  102,68,15,112,203,232               // pshufd        $0xe8,%xmm3,%xmm9
  .byte  102,65,15,244,207                   // pmuludq       %xmm15,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,68,15,98,201                    // punpckldq     %xmm1,%xmm9
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,209,0                    // pshufd        $0x0,%xmm1,%xmm2
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  68,15,91,233                        // cvtdq2ps      %xmm1,%xmm13
  .byte  68,15,89,232                        // mulps         %xmm0,%xmm13
  .byte  243,69,15,91,229                    // cvttps2dq     %xmm13,%xmm12
  .byte  102,65,15,112,196,245               // pshufd        $0xf5,%xmm12,%xmm0
  .byte  102,65,15,111,204                   // movdqa        %xmm12,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,68,15,112,241,232               // pshufd        $0xe8,%xmm1,%xmm14
  .byte  102,68,15,112,194,245               // pshufd        $0xf5,%xmm2,%xmm8
  .byte  102,65,15,244,192                   // pmuludq       %xmm8,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,68,15,98,240                    // punpckldq     %xmm0,%xmm14
  .byte  243,15,91,197                       // cvttps2dq     %xmm5,%xmm0
  .byte  102,15,127,68,36,176                // movdqa        %xmm0,-0x50(%rsp)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,41,100,36,208                    // movaps        %xmm4,-0x30(%rsp)
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,65,15,111,198                   // movdqa        %xmm14,%xmm0
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,111,45,159,192,0,0           // movdqa        0xc09f(%rip),%xmm5        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,205                      // pmuludq       %xmm5,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,65,15,126,202                   // movd          %xmm1,%r10d
  .byte  76,139,24                           // mov           (%rax),%r11
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,13,162,185,0,0           // paddd         0xb9a2(%rip),%xmm1        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  102,15,254,5,118,185,0,0            // paddd         0xb976(%rip),%xmm0        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,40,45,139,191,0,0                // movaps        0xbf8b(%rip),%xmm5        # 2c950 <_sk_overlay_sse2_8bit+0x1534>
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,41,100,36,192                    // movaps        %xmm4,-0x40(%rsp)
  .byte  68,15,88,213                        // addps         %xmm5,%xmm10
  .byte  65,15,88,237                        // addps         %xmm13,%xmm5
  .byte  243,15,91,237                       // cvttps2dq     %xmm5,%xmm5
  .byte  102,15,244,213                      // pmuludq       %xmm5,%xmm2
  .byte  102,15,112,237,245                  // pshufd        $0xf5,%xmm5,%xmm5
  .byte  102,65,15,244,232                   // pmuludq       %xmm8,%xmm5
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,15,112,213,232                  // pshufd        $0xe8,%xmm5,%xmm2
  .byte  102,15,98,194                       // punpckldq     %xmm2,%xmm0
  .byte  102,15,127,68,36,160                // movdqa        %xmm0,-0x60(%rsp)
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,15,111,5,84,191,0,0             // movdqa        0xbf54(%rip),%xmm0        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,15,112,220,232                  // pshufd        $0xe8,%xmm4,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,254,29,91,184,0,0            // paddd         0xb85b(%rip),%xmm3        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,112,235,78                   // pshufd        $0x4e,%xmm3,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,4,131                  // movss         (%r11,%r8,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  102,15,254,21,47,184,0,0            // paddd         0xb82f(%rip),%xmm2        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  65,15,91,196                        // cvtdq2ps      %xmm12,%xmm0
  .byte  68,15,92,232                        // subps         %xmm0,%xmm13
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  65,15,89,229                        // mulps         %xmm13,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  65,15,89,221                        // mulps         %xmm13,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  243,65,15,91,194                    // cvttps2dq     %xmm10,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,65,15,244,199                   // pmuludq       %xmm15,%xmm0
  .byte  102,65,15,244,207                   // pmuludq       %xmm15,%xmm1
  .byte  102,68,15,112,224,232               // pshufd        $0xe8,%xmm0,%xmm12
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,68,15,98,224                    // punpckldq     %xmm0,%xmm12
  .byte  102,65,15,111,244                   // movdqa        %xmm12,%xmm6
  .byte  102,15,254,116,36,176               // paddd         -0x50(%rsp),%xmm6
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,65,15,254,198                   // paddd         %xmm14,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,65,15,111,232                   // movdqa        %xmm8,%xmm5
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,205                      // pmuludq       %xmm5,%xmm1
  .byte  102,68,15,111,221                   // movdqa        %xmm5,%xmm11
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,60,139                 // movss         (%r11,%r9,4),%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  68,15,20,193                        // unpcklps      %xmm1,%xmm8
  .byte  68,15,20,199                        // unpcklps      %xmm7,%xmm8
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,21,247,182,0,0        // movdqa        0xb6f7(%rip),%xmm10        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,202                   // paddd         %xmm10,%xmm1
  .byte  102,15,112,249,78                   // pshufd        $0x4e,%xmm1,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,111,45,198,182,0,0           // movdqa        0xb6c6(%rip),%xmm5        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  102,15,254,116,36,160               // paddd         -0x60(%rsp),%xmm6
  .byte  102,15,112,238,245                  // pshufd        $0xf5,%xmm6,%xmm5
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,15,244,247                      // pmuludq       %xmm7,%xmm6
  .byte  102,15,112,246,232                  // pshufd        $0xe8,%xmm6,%xmm6
  .byte  102,15,244,239                      // pmuludq       %xmm7,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,98,245                       // punpckldq     %xmm5,%xmm6
  .byte  102,15,112,238,229                  // pshufd        $0xe5,%xmm6,%xmm5
  .byte  102,65,15,126,233                   // movd          %xmm5,%r9d
  .byte  102,15,112,238,78                   // pshufd        $0x4e,%xmm6,%xmm5
  .byte  102,65,15,126,232                   // movd          %xmm5,%r8d
  .byte  102,15,112,238,231                  // pshufd        $0xe7,%xmm6,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,139                 // movss         (%r11,%r9,4),%xmm7
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,69,15,16,60,131                 // movss         (%r11,%rax,4),%xmm15
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  68,15,20,253                        // unpcklps      %xmm5,%xmm15
  .byte  68,15,20,255                        // unpcklps      %xmm7,%xmm15
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,254,234                   // paddd         %xmm10,%xmm5
  .byte  102,15,112,253,78                   // pshufd        $0x4e,%xmm5,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,147                 // movss         (%r11,%r10,4),%xmm7
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,223                        // unpcklps      %xmm7,%xmm11
  .byte  68,15,20,221                        // unpcklps      %xmm5,%xmm11
  .byte  102,15,111,45,189,181,0,0           // movdqa        0xb5bd(%rip),%xmm5        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,254,245                      // paddd         %xmm5,%xmm6
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,112,238,78                   // pshufd        $0x4e,%xmm6,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,241                   // movq          %xmm6,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,20,131                 // movss         (%r11,%rax,4),%xmm10
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  68,15,20,214                        // unpcklps      %xmm6,%xmm10
  .byte  68,15,20,213                        // unpcklps      %xmm5,%xmm10
  .byte  69,15,92,248                        // subps         %xmm8,%xmm15
  .byte  69,15,89,253                        // mulps         %xmm13,%xmm15
  .byte  69,15,88,248                        // addps         %xmm8,%xmm15
  .byte  68,15,92,217                        // subps         %xmm1,%xmm11
  .byte  69,15,89,221                        // mulps         %xmm13,%xmm11
  .byte  68,15,88,217                        // addps         %xmm1,%xmm11
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  69,15,89,213                        // mulps         %xmm13,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  15,91,68,36,128                     // cvtdq2ps      -0x80(%rsp),%xmm0
  .byte  15,40,76,36,144                     // movaps        -0x70(%rsp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,76,36,144                     // movaps        %xmm1,-0x70(%rsp)
  .byte  68,15,92,252                        // subps         %xmm4,%xmm15
  .byte  68,15,89,249                        // mulps         %xmm1,%xmm15
  .byte  68,15,88,252                        // addps         %xmm4,%xmm15
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  68,15,92,210                        // subps         %xmm2,%xmm10
  .byte  68,15,89,209                        // mulps         %xmm1,%xmm10
  .byte  68,15,88,210                        // addps         %xmm2,%xmm10
  .byte  243,15,91,68,36,192                 // cvttps2dq     -0x40(%rsp),%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,68,15,254,200                   // paddd         %xmm0,%xmm9
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,5,93,187,0,0             // movdqa        0xbb5d(%rip),%xmm0        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,217,232                  // pshufd        $0xe8,%xmm1,%xmm3
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,112,203,229                  // pshufd        $0xe5,%xmm3,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,203,78                   // pshufd        $0x4e,%xmm3,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,203,231                  // pshufd        $0xe7,%xmm3,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,5,101,180,0,0            // movdqa        0xb465(%rip),%xmm0        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  102,15,111,124,36,160               // movdqa        -0x60(%rsp),%xmm7
  .byte  102,68,15,254,207                   // paddd         %xmm7,%xmm9
  .byte  102,65,15,112,233,245               // pshufd        $0xf5,%xmm9,%xmm5
  .byte  102,68,15,244,206                   // pmuludq       %xmm6,%xmm9
  .byte  102,65,15,112,217,232               // pshufd        $0xe8,%xmm9,%xmm3
  .byte  102,15,244,238                      // pmuludq       %xmm6,%xmm5
  .byte  102,68,15,111,206                   // movdqa        %xmm6,%xmm9
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,98,221                       // punpckldq     %xmm5,%xmm3
  .byte  102,15,112,235,229                  // pshufd        $0xe5,%xmm3,%xmm5
  .byte  102,65,15,126,233                   // movd          %xmm5,%r9d
  .byte  102,15,112,235,78                   // pshufd        $0x4e,%xmm3,%xmm5
  .byte  102,65,15,126,232                   // movd          %xmm5,%r8d
  .byte  102,15,112,235,231                  // pshufd        $0xe7,%xmm3,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,139                 // movss         (%r11,%r9,4),%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  68,15,20,197                        // unpcklps      %xmm5,%xmm8
  .byte  68,15,20,198                        // unpcklps      %xmm6,%xmm8
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,254,232                      // paddd         %xmm0,%xmm5
  .byte  102,15,112,245,78                   // pshufd        $0x4e,%xmm5,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,4,131                  // movss         (%r11,%r8,4),%xmm0
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,254,29,47,179,0,0            // paddd         0xb32f(%rip),%xmm3        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,73,15,126,192                   // movq          %xmm0,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  69,15,89,197                        // mulps         %xmm13,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  65,15,89,245                        // mulps         %xmm13,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  65,15,89,237                        // mulps         %xmm13,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  102,68,15,254,100,36,128            // paddd         -0x80(%rsp),%xmm12
  .byte  102,69,15,254,244                   // paddd         %xmm12,%xmm14
  .byte  102,65,15,112,206,245               // pshufd        $0xf5,%xmm14,%xmm1
  .byte  102,65,15,111,209                   // movdqa        %xmm9,%xmm2
  .byte  102,68,15,244,242                   // pmuludq       %xmm2,%xmm14
  .byte  102,65,15,112,198,232               // pshufd        $0xe8,%xmm14,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,13,40,178,0,0            // paddd         0xb228(%rip),%xmm1        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,242                        // unpcklps      %xmm2,%xmm14
  .byte  68,15,20,241                        // unpcklps      %xmm1,%xmm14
  .byte  102,15,254,5,250,177,0,0            // paddd         0xb1fa(%rip),%xmm0        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  102,68,15,254,231                   // paddd         %xmm7,%xmm12
  .byte  102,65,15,112,196,245               // pshufd        $0xf5,%xmm12,%xmm0
  .byte  102,68,15,244,228                   // pmuludq       %xmm4,%xmm12
  .byte  102,15,244,196                      // pmuludq       %xmm4,%xmm0
  .byte  102,65,15,112,212,232               // pshufd        $0xe8,%xmm12,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,37,41,177,0,0            // movdqa        0xb129(%rip),%xmm4        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,226                      // paddd         %xmm2,%xmm4
  .byte  102,15,112,204,78                   // pshufd        $0x4e,%xmm4,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,21,249,176,0,0           // paddd         0xb0f9(%rip),%xmm2        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  65,15,89,197                        // mulps         %xmm13,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  65,15,92,206                        // subps         %xmm14,%xmm1
  .byte  65,15,89,205                        // mulps         %xmm13,%xmm1
  .byte  65,15,88,206                        // addps         %xmm14,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  65,15,89,213                        // mulps         %xmm13,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,92,192                        // subps         %xmm8,%xmm0
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,192                        // addps         %xmm8,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,91,92,36,176                     // cvtdq2ps      -0x50(%rsp),%xmm3
  .byte  15,40,100,36,208                    // movaps        -0x30(%rsp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  65,15,92,199                        // subps         %xmm15,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  65,15,88,199                        // addps         %xmm15,%xmm0
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,92,210                        // subps         %xmm10,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  15,40,100,36,240                    // movaps        -0x10(%rsp),%xmm4
  .byte  15,40,44,36                         // movaps        (%rsp),%xmm5
  .byte  15,40,116,36,16                     // movaps        0x10(%rsp),%xmm6
  .byte  15,40,124,36,32                     // movaps        0x20(%rsp),%xmm7
  .byte  72,131,196,56                       // add           $0x38,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clut_4D_sse2
.globl _sk_clut_4D_sse2
FUNCTION(_sk_clut_4D_sse2)
_sk_clut_4D_sse2:
  .byte  72,129,236,184,0,0,0                // sub           $0xb8,%rsp
  .byte  15,41,188,36,160,0,0,0              // movaps        %xmm7,0xa0(%rsp)
  .byte  15,41,180,36,144,0,0,0              // movaps        %xmm6,0x90(%rsp)
  .byte  15,41,172,36,128,0,0,0              // movaps        %xmm5,0x80(%rsp)
  .byte  15,41,100,36,112                    // movaps        %xmm4,0x70(%rsp)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  68,139,64,20                        // mov           0x14(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  102,65,15,110,216                   // movd          %r8d,%xmm3
  .byte  102,15,112,251,0                    // pshufd        $0x0,%xmm3,%xmm7
  .byte  68,139,64,16                        // mov           0x10(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,225                   // movd          %r9d,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  243,15,91,244                       // cvttps2dq     %xmm4,%xmm6
  .byte  102,15,127,116,36,224               // movdqa        %xmm6,-0x20(%rsp)
  .byte  68,15,40,204                        // movaps        %xmm4,%xmm9
  .byte  68,15,41,76,36,32                   // movaps        %xmm9,0x20(%rsp)
  .byte  102,15,112,214,245                  // pshufd        $0xf5,%xmm6,%xmm2
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,15,127,124,36,208               // movdqa        %xmm7,-0x30(%rsp)
  .byte  102,15,244,231                      // pmuludq       %xmm7,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,244,215                      // pmuludq       %xmm7,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,226                       // punpckldq     %xmm2,%xmm4
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,127,116,36,80                // movdqa        %xmm6,0x50(%rsp)
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,68,15,112,250,0                 // pshufd        $0x0,%xmm2,%xmm15
  .byte  68,139,64,12                        // mov           0xc(%rax),%r8d
  .byte  69,141,72,255                       // lea           -0x1(%r8),%r9d
  .byte  102,65,15,110,217                   // movd          %r9d,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,227                           // cvtdq2ps      %xmm3,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  243,15,91,220                       // cvttps2dq     %xmm4,%xmm3
  .byte  68,15,40,220                        // movaps        %xmm4,%xmm11
  .byte  68,15,41,92,36,144                  // movaps        %xmm11,-0x70(%rsp)
  .byte  102,15,127,92,36,192                // movdqa        %xmm3,-0x40(%rsp)
  .byte  102,15,112,203,245                  // pshufd        $0xf5,%xmm3,%xmm1
  .byte  102,65,15,244,223                   // pmuludq       %xmm15,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,65,15,112,231,245               // pshufd        $0xf5,%xmm15,%xmm4
  .byte  102,15,127,100,36,128               // movdqa        %xmm4,-0x80(%rsp)
  .byte  102,15,244,204                      // pmuludq       %xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,127,92,36,16                 // movdqa        %xmm3,0x10(%rsp)
  .byte  102,65,15,110,200                   // movd          %r8d,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  68,139,64,8                         // mov           0x8(%rax),%r8d
  .byte  65,255,200                          // dec           %r8d
  .byte  102,65,15,110,208                   // movd          %r8d,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  68,15,91,242                        // cvtdq2ps      %xmm2,%xmm14
  .byte  68,15,89,240                        // mulps         %xmm0,%xmm14
  .byte  102,15,112,193,0                    // pshufd        $0x0,%xmm1,%xmm0
  .byte  243,69,15,91,230                    // cvttps2dq     %xmm14,%xmm12
  .byte  102,65,15,111,204                   // movdqa        %xmm12,%xmm1
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,225,232                  // pshufd        $0xe8,%xmm1,%xmm4
  .byte  102,65,15,112,204,245               // pshufd        $0xf5,%xmm12,%xmm1
  .byte  102,68,15,112,232,245               // pshufd        $0xf5,%xmm0,%xmm13
  .byte  102,65,15,244,205                   // pmuludq       %xmm13,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,225                       // punpckldq     %xmm1,%xmm4
  .byte  102,15,127,100,36,160               // movdqa        %xmm4,-0x60(%rsp)
  .byte  243,15,91,213                       // cvttps2dq     %xmm5,%xmm2
  .byte  102,15,127,84,36,48                 // movdqa        %xmm2,0x30(%rsp)
  .byte  68,15,40,197                        // movaps        %xmm5,%xmm8
  .byte  68,15,41,68,36,96                   // movaps        %xmm8,0x60(%rsp)
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,254,209                      // paddd         %xmm1,%xmm2
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,254,218                      // paddd         %xmm2,%xmm3
  .byte  102,68,15,111,21,227,180,0,0        // movdqa        0xb4e3(%rip),%xmm10        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,112,235,245                  // pshufd        $0xf5,%xmm3,%xmm5
  .byte  102,65,15,244,218                   // pmuludq       %xmm10,%xmm3
  .byte  102,15,112,227,232                  // pshufd        $0xe8,%xmm3,%xmm4
  .byte  102,65,15,244,234                   // pmuludq       %xmm10,%xmm5
  .byte  102,15,112,221,232                  // pshufd        $0xe8,%xmm5,%xmm3
  .byte  102,15,98,227                       // punpckldq     %xmm3,%xmm4
  .byte  102,15,112,220,229                  // pshufd        $0xe5,%xmm4,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,220,78                   // pshufd        $0x4e,%xmm4,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,220,231                  // pshufd        $0xe7,%xmm4,%xmm3
  .byte  102,65,15,126,218                   // movd          %xmm3,%r10d
  .byte  76,139,24                           // mov           (%rax),%r11
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,52,139                 // movss         (%r11,%r9,4),%xmm6
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,254,45,228,173,0,0           // paddd         0xade4(%rip),%xmm5        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,112,245,78                   // pshufd        $0x4e,%xmm5,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,247                           // unpcklps      %xmm7,%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,254,37,184,173,0,0           // paddd         0xadb8(%rip),%xmm4        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,40,61,205,179,0,0                // movaps        0xb3cd(%rip),%xmm7        # 2c950 <_sk_overlay_sse2_8bit+0x1534>
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  68,15,41,68,36,176                  // movaps        %xmm8,-0x50(%rsp)
  .byte  68,15,88,207                        // addps         %xmm7,%xmm9
  .byte  68,15,41,76,36,64                   // movaps        %xmm9,0x40(%rsp)
  .byte  69,15,40,195                        // movaps        %xmm11,%xmm8
  .byte  68,15,88,199                        // addps         %xmm7,%xmm8
  .byte  65,15,88,254                        // addps         %xmm14,%xmm7
  .byte  243,15,91,255                       // cvttps2dq     %xmm7,%xmm7
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,255,245                  // pshufd        $0xf5,%xmm7,%xmm7
  .byte  102,65,15,244,253                   // pmuludq       %xmm13,%xmm7
  .byte  102,68,15,112,216,232               // pshufd        $0xe8,%xmm0,%xmm11
  .byte  102,15,112,199,232                  // pshufd        $0xe8,%xmm7,%xmm0
  .byte  102,68,15,98,216                    // punpckldq     %xmm0,%xmm11
  .byte  102,65,15,254,211                   // paddd         %xmm11,%xmm2
  .byte  102,68,15,127,28,36                 // movdqa        %xmm11,(%rsp)
  .byte  102,15,112,250,245                  // pshufd        $0xf5,%xmm2,%xmm7
  .byte  102,65,15,244,210                   // pmuludq       %xmm10,%xmm2
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,65,15,244,250                   // pmuludq       %xmm10,%xmm7
  .byte  102,15,112,215,232                  // pshufd        $0xe8,%xmm7,%xmm2
  .byte  102,15,98,194                       // punpckldq     %xmm2,%xmm0
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,60,139                 // movss         (%r11,%r9,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,44,131                 // movss         (%r11,%rax,4),%xmm13
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,234                        // unpcklps      %xmm2,%xmm13
  .byte  68,15,20,239                        // unpcklps      %xmm7,%xmm13
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,254,21,147,172,0,0           // paddd         0xac93(%rip),%xmm2        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,71,15,16,12,131                 // movss         (%r11,%r8,4),%xmm9
  .byte  65,15,20,209                        // unpcklps      %xmm9,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,254,5,102,172,0,0            // paddd         0xac66(%rip),%xmm0        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,248,78                   // pshufd        $0x4e,%xmm0,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,248                           // unpcklps      %xmm0,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  65,15,91,228                        // cvtdq2ps      %xmm12,%xmm4
  .byte  68,15,92,244                        // subps         %xmm4,%xmm14
  .byte  68,15,92,235                        // subps         %xmm3,%xmm13
  .byte  69,15,89,238                        // mulps         %xmm14,%xmm13
  .byte  68,15,88,235                        // addps         %xmm3,%xmm13
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  65,15,89,214                        // mulps         %xmm14,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  65,15,89,198                        // mulps         %xmm14,%xmm0
  .byte  69,15,40,206                        // movaps        %xmm14,%xmm9
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  243,65,15,91,216                    // cvttps2dq     %xmm8,%xmm3
  .byte  102,68,15,244,251                   // pmuludq       %xmm3,%xmm15
  .byte  102,15,112,219,245                  // pshufd        $0xf5,%xmm3,%xmm3
  .byte  102,15,244,92,36,128                // pmuludq       -0x80(%rsp),%xmm3
  .byte  102,65,15,112,231,232               // pshufd        $0xe8,%xmm15,%xmm4
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,227                       // punpckldq     %xmm3,%xmm4
  .byte  102,15,127,100,36,128               // movdqa        %xmm4,-0x80(%rsp)
  .byte  102,15,254,204                      // paddd         %xmm4,%xmm1
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,254,92,36,160                // paddd         -0x60(%rsp),%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,68,15,111,53,32,178,0,0         // movdqa        0xb220(%rip),%xmm14        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,65,15,244,230                   // pmuludq       %xmm14,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,65,15,126,225                   // movd          %xmm4,%r9d
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,65,15,126,224                   // movd          %xmm4,%r8d
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,36,131                 // movss         (%r11,%rax,4),%xmm12
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  68,15,20,228                        // unpcklps      %xmm4,%xmm12
  .byte  68,15,20,229                        // unpcklps      %xmm5,%xmm12
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,111,61,40,171,0,0            // movdqa        0xab28(%rip),%xmm7        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,231                      // paddd         %xmm7,%xmm4
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  102,68,15,111,5,247,170,0,0         // movdqa        0xaaf7(%rip),%xmm8        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,65,15,254,216                   // paddd         %xmm8,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  102,65,15,254,203                   // paddd         %xmm11,%xmm1
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,65,15,244,206                   // pmuludq       %xmm14,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  102,15,112,217,229                  // pshufd        $0xe5,%xmm1,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,217,231                  // pshufd        $0xe7,%xmm1,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,139                 // movss         (%r11,%r9,4),%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,69,15,16,60,131                 // movss         (%r11,%rax,4),%xmm15
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  68,15,20,251                        // unpcklps      %xmm3,%xmm15
  .byte  68,15,20,252                        // unpcklps      %xmm4,%xmm15
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,247                        // unpcklps      %xmm7,%xmm14
  .byte  68,15,20,244                        // unpcklps      %xmm4,%xmm14
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,20,131                 // movss         (%r11,%rax,4),%xmm10
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,215                        // unpcklps      %xmm7,%xmm10
  .byte  68,15,20,209                        // unpcklps      %xmm1,%xmm10
  .byte  69,15,92,252                        // subps         %xmm12,%xmm15
  .byte  68,15,41,76,36,240                  // movaps        %xmm9,-0x10(%rsp)
  .byte  69,15,89,249                        // mulps         %xmm9,%xmm15
  .byte  69,15,88,252                        // addps         %xmm12,%xmm15
  .byte  68,15,92,246                        // subps         %xmm6,%xmm14
  .byte  69,15,89,241                        // mulps         %xmm9,%xmm14
  .byte  68,15,88,246                        // addps         %xmm6,%xmm14
  .byte  68,15,92,213                        // subps         %xmm5,%xmm10
  .byte  69,15,89,209                        // mulps         %xmm9,%xmm10
  .byte  68,15,88,213                        // addps         %xmm5,%xmm10
  .byte  15,91,76,36,192                     // cvtdq2ps      -0x40(%rsp),%xmm1
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,41,92,36,144                     // movaps        %xmm3,-0x70(%rsp)
  .byte  69,15,92,253                        // subps         %xmm13,%xmm15
  .byte  68,15,89,251                        // mulps         %xmm3,%xmm15
  .byte  69,15,88,253                        // addps         %xmm13,%xmm15
  .byte  68,15,92,242                        // subps         %xmm2,%xmm14
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  68,15,88,242                        // addps         %xmm2,%xmm14
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,89,211                        // mulps         %xmm3,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  243,15,91,68,36,64                  // cvttps2dq     0x40(%rsp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,84,36,208                // movdqa        -0x30(%rsp),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,127,84,36,192                // movdqa        %xmm2,-0x40(%rsp)
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,68,15,254,92,36,48              // paddd         0x30(%rsp),%xmm11
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,15,254,68,36,16                 // paddd         0x10(%rsp),%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,108,36,160            // movdqa        -0x60(%rsp),%xmm13
  .byte  102,65,15,254,205                   // paddd         %xmm13,%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,29,94,175,0,0            // movdqa        0xaf5e(%rip),%xmm3        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,205                        // unpcklps      %xmm5,%xmm9
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,29,100,168,0,0           // movdqa        0xa864(%rip),%xmm3        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  102,69,15,111,224                   // movdqa        %xmm8,%xmm12
  .byte  102,65,15,254,204                   // paddd         %xmm12,%xmm1
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  102,15,111,36,36                    // movdqa        (%rsp),%xmm4
  .byte  102,15,254,196                      // paddd         %xmm4,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,199                        // unpcklps      %xmm7,%xmm8
  .byte  68,15,20,197                        // unpcklps      %xmm5,%xmm8
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,254,235                      // paddd         %xmm3,%xmm5
  .byte  102,15,112,253,78                   // pshufd        $0x4e,%xmm5,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  102,65,15,254,196                   // paddd         %xmm12,%xmm0
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  69,15,92,193                        // subps         %xmm9,%xmm8
  .byte  15,40,68,36,240                     // movaps        -0x10(%rsp),%xmm0
  .byte  68,15,89,192                        // mulps         %xmm0,%xmm8
  .byte  69,15,88,193                        // addps         %xmm9,%xmm8
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  68,15,40,224                        // movaps        %xmm0,%xmm12
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  102,68,15,254,92,36,128             // paddd         -0x80(%rsp),%xmm11
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,254,213                   // paddd         %xmm13,%xmm2
  .byte  102,15,112,218,245                  // pshufd        $0xf5,%xmm2,%xmm3
  .byte  102,15,111,5,28,173,0,0             // movdqa        0xad1c(%rip),%xmm0        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,112,250,232                  // pshufd        $0xe8,%xmm2,%xmm7
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,98,250                       // punpckldq     %xmm2,%xmm7
  .byte  102,15,112,215,229                  // pshufd        $0xe5,%xmm7,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,215,231                  // pshufd        $0xe7,%xmm7,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  68,15,20,203                        // unpcklps      %xmm3,%xmm9
  .byte  102,15,111,215                      // movdqa        %xmm7,%xmm2
  .byte  102,15,111,5,38,166,0,0             // movdqa        0xa626(%rip),%xmm0        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  102,68,15,111,45,245,165,0,0        // movdqa        0xa5f5(%rip),%xmm13        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,65,15,254,253                   // paddd         %xmm13,%xmm7
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,249                   // movq          %xmm7,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  102,68,15,254,220                   // paddd         %xmm4,%xmm11
  .byte  102,65,15,112,219,245               // pshufd        $0xf5,%xmm11,%xmm3
  .byte  102,15,111,37,9,172,0,0             // movdqa        0xac09(%rip),%xmm4        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,68,15,244,220                   // pmuludq       %xmm4,%xmm11
  .byte  102,65,15,112,211,232               // pshufd        $0xe8,%xmm11,%xmm2
  .byte  102,15,244,220                      // pmuludq       %xmm4,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,65,15,126,217                   // movd          %xmm3,%r9d
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,65,15,126,216                   // movd          %xmm3,%r8d
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  65,15,20,219                        // unpcklps      %xmm11,%xmm3
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  68,15,20,220                        // unpcklps      %xmm4,%xmm11
  .byte  68,15,20,219                        // unpcklps      %xmm3,%xmm11
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,254,216                      // paddd         %xmm0,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,65,15,254,213                   // paddd         %xmm13,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,44,131                 // movss         (%r11,%rax,4),%xmm13
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  68,15,20,235                        // unpcklps      %xmm3,%xmm13
  .byte  68,15,20,234                        // unpcklps      %xmm2,%xmm13
  .byte  69,15,92,217                        // subps         %xmm9,%xmm11
  .byte  69,15,89,220                        // mulps         %xmm12,%xmm11
  .byte  69,15,88,217                        // addps         %xmm9,%xmm11
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  65,15,89,196                        // mulps         %xmm12,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  68,15,92,239                        // subps         %xmm7,%xmm13
  .byte  69,15,89,236                        // mulps         %xmm12,%xmm13
  .byte  68,15,88,239                        // addps         %xmm7,%xmm13
  .byte  69,15,92,216                        // subps         %xmm8,%xmm11
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  68,15,89,219                        // mulps         %xmm3,%xmm11
  .byte  69,15,88,216                        // addps         %xmm8,%xmm11
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  68,15,92,233                        // subps         %xmm1,%xmm13
  .byte  68,15,89,235                        // mulps         %xmm3,%xmm13
  .byte  68,15,88,233                        // addps         %xmm1,%xmm13
  .byte  15,91,68,36,224                     // cvtdq2ps      -0x20(%rsp),%xmm0
  .byte  15,40,76,36,32                      // movaps        0x20(%rsp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,76,36,32                      // movaps        %xmm1,0x20(%rsp)
  .byte  69,15,92,223                        // subps         %xmm15,%xmm11
  .byte  68,15,89,217                        // mulps         %xmm1,%xmm11
  .byte  69,15,88,223                        // addps         %xmm15,%xmm11
  .byte  68,15,41,92,36,224                  // movaps        %xmm11,-0x20(%rsp)
  .byte  65,15,92,214                        // subps         %xmm14,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  65,15,88,214                        // addps         %xmm14,%xmm2
  .byte  15,41,84,36,208                     // movaps        %xmm2,-0x30(%rsp)
  .byte  69,15,92,234                        // subps         %xmm10,%xmm13
  .byte  68,15,89,233                        // mulps         %xmm1,%xmm13
  .byte  69,15,88,234                        // addps         %xmm10,%xmm13
  .byte  243,15,91,68,36,176                 // cvttps2dq     -0x50(%rsp),%xmm0
  .byte  102,15,127,68,36,176                // movdqa        %xmm0,-0x50(%rsp)
  .byte  102,15,111,76,36,80                 // movdqa        0x50(%rsp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,68,36,16                 // movdqa        0x10(%rsp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,68,15,111,84,36,160             // movdqa        -0x60(%rsp),%xmm10
  .byte  102,65,15,111,202                   // movdqa        %xmm10,%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,29,72,170,0,0            // movdqa        0xaa48(%rip),%xmm3        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  102,15,111,217                      // movdqa        %xmm1,%xmm3
  .byte  102,15,111,61,79,163,0,0            // movdqa        0xa34f(%rip),%xmm7        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  102,68,15,111,13,30,163,0,0         // movdqa        0xa31e(%rip),%xmm9        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,65,15,254,201                   // paddd         %xmm9,%xmm1
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  102,68,15,111,60,36                 // movdqa        (%rsp),%xmm15
  .byte  102,65,15,254,199                   // paddd         %xmm15,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,65,15,244,198                   // pmuludq       %xmm14,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,65,15,244,206                   // pmuludq       %xmm14,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,254,239                      // paddd         %xmm7,%xmm5
  .byte  102,15,112,245,78                   // pshufd        $0x4e,%xmm5,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,233                   // movq          %xmm5,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,65,15,254,193                   // paddd         %xmm9,%xmm0
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,4,147                  // movss         (%r11,%r10,4),%xmm0
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  69,15,40,196                        // movaps        %xmm12,%xmm8
  .byte  65,15,89,200                        // mulps         %xmm8,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  65,15,89,232                        // mulps         %xmm8,%xmm5
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  65,15,89,192                        // mulps         %xmm8,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  102,65,15,111,219                   // movdqa        %xmm11,%xmm3
  .byte  102,15,254,92,36,128                // paddd         -0x80(%rsp),%xmm3
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,65,15,254,210                   // paddd         %xmm10,%xmm2
  .byte  102,15,112,218,245                  // pshufd        $0xf5,%xmm2,%xmm3
  .byte  102,65,15,244,214                   // pmuludq       %xmm14,%xmm2
  .byte  102,15,112,226,232                  // pshufd        $0xe8,%xmm2,%xmm4
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,69,15,111,230                   // movdqa        %xmm14,%xmm12
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,98,226                       // punpckldq     %xmm2,%xmm4
  .byte  102,15,112,212,229                  // pshufd        $0xe5,%xmm4,%xmm2
  .byte  102,65,15,126,209                   // movd          %xmm2,%r9d
  .byte  102,15,112,212,78                   // pshufd        $0x4e,%xmm4,%xmm2
  .byte  102,65,15,126,208                   // movd          %xmm2,%r8d
  .byte  102,15,112,212,231                  // pshufd        $0xe7,%xmm4,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,28,139                 // movss         (%r11,%r9,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  68,15,20,246                        // unpcklps      %xmm6,%xmm14
  .byte  68,15,20,243                        // unpcklps      %xmm3,%xmm14
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,68,15,111,21,8,161,0,0          // movdqa        0xa108(%rip),%xmm10        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,218                   // paddd         %xmm10,%xmm3
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,28,147                 // movss         (%r11,%r10,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  102,65,15,254,225                   // paddd         %xmm9,%xmm4
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,73,15,126,240                   // movq          %xmm6,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,52,131                 // movss         (%r11,%rax,4),%xmm6
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  102,65,15,111,211                   // movdqa        %xmm11,%xmm2
  .byte  102,65,15,254,215                   // paddd         %xmm15,%xmm2
  .byte  102,15,112,250,245                  // pshufd        $0xf5,%xmm2,%xmm7
  .byte  102,65,15,244,212                   // pmuludq       %xmm12,%xmm2
  .byte  102,15,112,242,232                  // pshufd        $0xe8,%xmm2,%xmm6
  .byte  102,65,15,244,252                   // pmuludq       %xmm12,%xmm7
  .byte  102,15,112,255,232                  // pshufd        $0xe8,%xmm7,%xmm7
  .byte  102,15,98,247                       // punpckldq     %xmm7,%xmm6
  .byte  102,15,112,254,229                  // pshufd        $0xe5,%xmm6,%xmm7
  .byte  102,65,15,126,249                   // movd          %xmm7,%r9d
  .byte  102,15,112,254,78                   // pshufd        $0x4e,%xmm6,%xmm7
  .byte  102,65,15,126,248                   // movd          %xmm7,%r8d
  .byte  102,15,112,254,231                  // pshufd        $0xe7,%xmm6,%xmm7
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,69,15,16,36,131                 // movss         (%r11,%rax,4),%xmm12
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,231                        // unpcklps      %xmm7,%xmm12
  .byte  68,15,20,226                        // unpcklps      %xmm2,%xmm12
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,65,15,254,210                   // paddd         %xmm10,%xmm2
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,60,147                 // movss         (%r11,%r10,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,28,131                 // movss         (%r11,%rax,4),%xmm11
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  68,15,20,223                        // unpcklps      %xmm7,%xmm11
  .byte  68,15,20,218                        // unpcklps      %xmm2,%xmm11
  .byte  102,65,15,254,241                   // paddd         %xmm9,%xmm6
  .byte  102,15,112,214,78                   // pshufd        $0x4e,%xmm6,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,241                   // movq          %xmm6,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,52,147                 // movss         (%r11,%r10,4),%xmm6
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,20,131                 // movss         (%r11,%rax,4),%xmm10
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  68,15,20,214                        // unpcklps      %xmm6,%xmm10
  .byte  68,15,20,210                        // unpcklps      %xmm2,%xmm10
  .byte  69,15,92,230                        // subps         %xmm14,%xmm12
  .byte  69,15,89,224                        // mulps         %xmm8,%xmm12
  .byte  69,15,88,230                        // addps         %xmm14,%xmm12
  .byte  68,15,92,219                        // subps         %xmm3,%xmm11
  .byte  69,15,89,216                        // mulps         %xmm8,%xmm11
  .byte  68,15,88,219                        // addps         %xmm3,%xmm11
  .byte  68,15,92,212                        // subps         %xmm4,%xmm10
  .byte  69,15,89,208                        // mulps         %xmm8,%xmm10
  .byte  68,15,88,212                        // addps         %xmm4,%xmm10
  .byte  68,15,92,225                        // subps         %xmm1,%xmm12
  .byte  15,40,84,36,144                     // movaps        -0x70(%rsp),%xmm2
  .byte  68,15,89,226                        // mulps         %xmm2,%xmm12
  .byte  68,15,88,225                        // addps         %xmm1,%xmm12
  .byte  68,15,92,221                        // subps         %xmm5,%xmm11
  .byte  68,15,89,218                        // mulps         %xmm2,%xmm11
  .byte  68,15,88,221                        // addps         %xmm5,%xmm11
  .byte  68,15,92,208                        // subps         %xmm0,%xmm10
  .byte  68,15,89,210                        // mulps         %xmm2,%xmm10
  .byte  68,15,88,208                        // addps         %xmm0,%xmm10
  .byte  102,15,111,68,36,192                // movdqa        -0x40(%rsp),%xmm0
  .byte  102,15,254,68,36,176                // paddd         -0x50(%rsp),%xmm0
  .byte  102,15,111,76,36,16                 // movdqa        0x10(%rsp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,111,116,36,160               // movdqa        -0x60(%rsp),%xmm6
  .byte  102,15,254,198                      // paddd         %xmm6,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,29,123,165,0,0           // movdqa        0xa57b(%rip),%xmm3        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,195                      // pmuludq       %xmm3,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,28,131                 // movss         (%r11,%r8,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,68,15,111,5,129,158,0,0         // movdqa        0x9e81(%rip),%xmm8        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,65,15,254,200                   // paddd         %xmm8,%xmm1
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  102,65,15,254,209                   // paddd         %xmm9,%xmm2
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,73,15,126,216                   // movq          %xmm3,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,65,15,254,223                   // paddd         %xmm15,%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,65,15,244,222                   // pmuludq       %xmm14,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,65,15,244,230                   // pmuludq       %xmm14,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,65,15,126,225                   // movd          %xmm4,%r9d
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,65,15,126,224                   // movd          %xmm4,%r8d
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,139                 // movss         (%r11,%r9,4),%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,69,15,16,52,131                 // movss         (%r11,%rax,4),%xmm14
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  68,15,20,244                        // unpcklps      %xmm4,%xmm14
  .byte  68,15,20,245                        // unpcklps      %xmm5,%xmm14
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,254,224                   // paddd         %xmm8,%xmm4
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,73,15,126,232                   // movq          %xmm5,%r8
  .byte  102,73,15,126,225                   // movq          %xmm4,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,44,147                 // movss         (%r11,%r10,4),%xmm5
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,69,15,16,4,131                  // movss         (%r11,%rax,4),%xmm8
  .byte  243,67,15,16,44,131                 // movss         (%r11,%r8,4),%xmm5
  .byte  68,15,20,197                        // unpcklps      %xmm5,%xmm8
  .byte  68,15,20,196                        // unpcklps      %xmm4,%xmm8
  .byte  102,65,15,254,217                   // paddd         %xmm9,%xmm3
  .byte  102,69,15,111,249                   // movdqa        %xmm9,%xmm15
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,73,15,126,224                   // movq          %xmm4,%r8
  .byte  102,73,15,126,217                   // movq          %xmm3,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,36,147                 // movss         (%r11,%r10,4),%xmm4
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,44,131                 // movss         (%r11,%rax,4),%xmm5
  .byte  243,67,15,16,36,131                 // movss         (%r11,%r8,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  68,15,92,240                        // subps         %xmm0,%xmm14
  .byte  15,40,92,36,240                     // movaps        -0x10(%rsp),%xmm3
  .byte  68,15,89,243                        // mulps         %xmm3,%xmm14
  .byte  68,15,88,240                        // addps         %xmm0,%xmm14
  .byte  68,15,92,193                        // subps         %xmm1,%xmm8
  .byte  68,15,89,195                        // mulps         %xmm3,%xmm8
  .byte  68,15,88,193                        // addps         %xmm1,%xmm8
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  102,15,254,124,36,128               // paddd         -0x80(%rsp),%xmm7
  .byte  102,15,254,247                      // paddd         %xmm7,%xmm6
  .byte  102,15,112,206,245                  // pshufd        $0xf5,%xmm6,%xmm1
  .byte  102,15,111,21,59,163,0,0            // movdqa        0xa33b(%rip),%xmm2        # 2c960 <_sk_overlay_sse2_8bit+0x1544>
  .byte  102,15,244,242                      // pmuludq       %xmm2,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,65,15,126,201                   // movd          %xmm1,%r9d
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,65,15,126,200                   // movd          %xmm1,%r8d
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,139                 // movss         (%r11,%r9,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,69,15,16,12,131                 // movss         (%r11,%rax,4),%xmm9
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  68,15,20,201                        // unpcklps      %xmm1,%xmm9
  .byte  68,15,20,202                        // unpcklps      %xmm2,%xmm9
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,13,65,156,0,0            // paddd         0x9c41(%rip),%xmm1        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,73,15,126,208                   // movq          %xmm2,%r8
  .byte  102,73,15,126,201                   // movq          %xmm1,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,36,131                 // movss         (%r11,%rax,4),%xmm4
  .byte  243,67,15,16,20,131                 // movss         (%r11,%r8,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  102,65,15,254,199                   // paddd         %xmm15,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,193                   // movq          %xmm0,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,28,131                 // movss         (%r11,%rax,4),%xmm3
  .byte  243,67,15,16,12,131                 // movss         (%r11,%r8,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  102,68,15,111,255                   // movdqa        %xmm7,%xmm15
  .byte  102,68,15,254,60,36                 // paddd         (%rsp),%xmm15
  .byte  102,65,15,112,199,245               // pshufd        $0xf5,%xmm15,%xmm0
  .byte  102,68,15,244,254                   // pmuludq       %xmm6,%xmm15
  .byte  102,15,244,198                      // pmuludq       %xmm6,%xmm0
  .byte  102,65,15,112,215,232               // pshufd        $0xe8,%xmm15,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,65,15,126,193                   // movd          %xmm0,%r9d
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,65,15,126,192                   // movd          %xmm0,%r8d
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,12,139                 // movss         (%r11,%r9,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,65,15,16,4,131                  // movss         (%r11,%rax,4),%xmm0
  .byte  243,67,15,16,60,131                 // movss         (%r11,%r8,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,53,65,155,0,0            // movdqa        0x9b41(%rip),%xmm6        # 2c2d0 <_sk_overlay_sse2_8bit+0xeb4>
  .byte  102,15,254,242                      // paddd         %xmm2,%xmm6
  .byte  102,15,112,206,78                   // pshufd        $0x4e,%xmm6,%xmm1
  .byte  102,73,15,126,200                   // movq          %xmm1,%r8
  .byte  102,73,15,126,241                   // movq          %xmm6,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,12,147                 // movss         (%r11,%r10,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,12,131                 // movss         (%r11,%rax,4),%xmm1
  .byte  243,71,15,16,60,131                 // movss         (%r11,%r8,4),%xmm15
  .byte  65,15,20,207                        // unpcklps      %xmm15,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,21,16,155,0,0            // paddd         0x9b10(%rip),%xmm2        # 2c2f0 <_sk_overlay_sse2_8bit+0xed4>
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  102,73,15,126,248                   // movq          %xmm7,%r8
  .byte  102,73,15,126,209                   // movq          %xmm2,%r9
  .byte  77,137,194                          // mov           %r8,%r10
  .byte  73,193,234,32                       // shr           $0x20,%r10
  .byte  76,137,200                          // mov           %r9,%rax
  .byte  72,193,232,32                       // shr           $0x20,%rax
  .byte  243,65,15,16,60,131                 // movss         (%r11,%rax,4),%xmm7
  .byte  243,67,15,16,20,147                 // movss         (%r11,%r10,4),%xmm2
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  68,137,200                          // mov           %r9d,%eax
  .byte  69,137,192                          // mov           %r8d,%r8d
  .byte  243,65,15,16,20,131                 // movss         (%r11,%rax,4),%xmm2
  .byte  243,67,15,16,52,131                 // movss         (%r11,%r8,4),%xmm6
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  65,15,92,193                        // subps         %xmm9,%xmm0
  .byte  15,40,116,36,240                    // movaps        -0x10(%rsp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  65,15,88,193                        // addps         %xmm9,%xmm0
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  65,15,92,198                        // subps         %xmm14,%xmm0
  .byte  15,40,92,36,144                     // movaps        -0x70(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,198                        // addps         %xmm14,%xmm0
  .byte  65,15,92,200                        // subps         %xmm8,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,200                        // addps         %xmm8,%xmm1
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  65,15,92,196                        // subps         %xmm12,%xmm0
  .byte  15,40,92,36,32                      // movaps        0x20(%rsp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  65,15,88,196                        // addps         %xmm12,%xmm0
  .byte  65,15,92,203                        // subps         %xmm11,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  65,15,88,203                        // addps         %xmm11,%xmm1
  .byte  65,15,92,210                        // subps         %xmm10,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  65,15,88,210                        // addps         %xmm10,%xmm2
  .byte  15,91,92,36,48                      // cvtdq2ps      0x30(%rsp),%xmm3
  .byte  15,40,100,36,96                     // movaps        0x60(%rsp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,40,92,36,208                     // movaps        -0x30(%rsp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  65,15,92,213                        // subps         %xmm13,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  65,15,88,213                        // addps         %xmm13,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,29,243,153,0,0                // movaps        0x99f3(%rip),%xmm3        # 2c2c0 <_sk_overlay_sse2_8bit+0xea4>
  .byte  15,40,100,36,112                    // movaps        0x70(%rsp),%xmm4
  .byte  15,40,172,36,128,0,0,0              // movaps        0x80(%rsp),%xmm5
  .byte  15,40,180,36,144,0,0,0              // movaps        0x90(%rsp),%xmm6
  .byte  15,40,188,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm7
  .byte  72,129,196,184,0,0,0                // add           $0xb8,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_hsw_8bit
.globl _sk_start_pipeline_hsw_8bit
FUNCTION(_sk_start_pipeline_hsw_8bit)
_sk_start_pipeline_hsw_8bit:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           22976 <_sk_start_pipeline_hsw_8bit+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,16                        // lea           0x10(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  119,35                              // ja            2295c <_sk_start_pipeline_hsw_8bit+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,16                     // lea           0x10(%r12),%rdx
  .byte  73,131,196,32                       // add           $0x20,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           2293d <_sk_start_pipeline_hsw_8bit+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            2296d <_sk_start_pipeline_hsw_8bit+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           2292f <_sk_start_pipeline_hsw_8bit+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  197,248,119                         // vzeroupper
  .byte  195                                 // retq

HIDDEN _sk_just_return_hsw_8bit
.globl _sk_just_return_hsw_8bit
FUNCTION(_sk_just_return_hsw_8bit)
_sk_just_return_hsw_8bit:
  .byte  195                                 // retq

HIDDEN _sk_uniform_color_hsw_8bit
.globl _sk_uniform_color_hsw_8bit
FUNCTION(_sk_uniform_color_hsw_8bit)
_sk_uniform_color_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,64,16                // vbroadcastss  0x10(%rax),%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_hsw_8bit
.globl _sk_set_rgb_hsw_8bit
FUNCTION(_sk_set_rgb_hsw_8bit)
_sk_set_rgb_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,250,16,37,229,142,0,0           // vmovss        0x8ee5(%rip),%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  197,218,89,40                       // vmulss        (%rax),%xmm4,%xmm5
  .byte  196,97,250,44,197                   // vcvttss2si    %xmm5,%r8
  .byte  197,218,89,104,4                    // vmulss        0x4(%rax),%xmm4,%xmm5
  .byte  196,97,250,44,205                   // vcvttss2si    %xmm5,%r9
  .byte  65,193,225,8                        // shl           $0x8,%r9d
  .byte  69,9,193                            // or            %r8d,%r9d
  .byte  197,218,89,96,8                     // vmulss        0x8(%rax),%xmm4,%xmm4
  .byte  196,225,250,44,196                  // vcvttss2si    %xmm4,%rax
  .byte  193,224,16                          // shl           $0x10,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  196,226,125,88,228                  // vpbroadcastd  %xmm4,%ymm4
  .byte  197,253,111,45,130,148,0,0          // vmovdqa       0x9482(%rip),%ymm5        # 2be60 <_sk_overlay_sse2_8bit+0xa44>
  .byte  197,245,219,205                     // vpand         %ymm5,%ymm1,%ymm1
  .byte  197,253,219,197                     // vpand         %ymm5,%ymm0,%ymm0
  .byte  197,221,235,192                     // vpor          %ymm0,%ymm4,%ymm0
  .byte  197,221,235,201                     // vpor          %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_hsw_8bit
.globl _sk_premul_hsw_8bit
FUNCTION(_sk_premul_hsw_8bit)
_sk_premul_hsw_8bit:
  .byte  197,253,111,37,134,148,0,0          // vmovdqa       0x9486(%rip),%ymm4        # 2be80 <_sk_overlay_sse2_8bit+0xa64>
  .byte  196,226,125,0,236                   // vpshufb       %ymm4,%ymm0,%ymm5
  .byte  196,226,117,0,228                   // vpshufb       %ymm4,%ymm1,%ymm4
  .byte  197,253,111,53,148,148,0,0          // vmovdqa       0x9494(%rip),%ymm6        # 2bea0 <_sk_overlay_sse2_8bit+0xa84>
  .byte  197,221,235,230                     // vpor          %ymm6,%ymm4,%ymm4
  .byte  197,213,235,238                     // vpor          %ymm6,%ymm5,%ymm5
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,197                   // vpmovzxbw     %xmm5,%ymm8
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,225                     // vpmullw       %ymm1,%ymm4,%ymm4
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,181,253,239                     // vpaddw        %ymm7,%ymm9,%ymm5
  .byte  197,221,253,201                     // vpaddw        %ymm1,%ymm4,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_hsw_8bit
.globl _sk_swap_rb_hsw_8bit
FUNCTION(_sk_swap_rb_hsw_8bit)
_sk_swap_rb_hsw_8bit:
  .byte  197,253,111,37,12,148,0,0           // vmovdqa       0x940c(%rip),%ymm4        # 2bec0 <_sk_overlay_sse2_8bit+0xaa4>
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_hsw_8bit
.globl _sk_invert_hsw_8bit
FUNCTION(_sk_invert_hsw_8bit)
_sk_invert_hsw_8bit:
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,253,239,196                     // vpxor         %ymm4,%ymm0,%ymm0
  .byte  197,245,239,204                     // vpxor         %ymm4,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_8888_hsw_8bit
.globl _sk_load_8888_hsw_8bit
FUNCTION(_sk_load_8888_hsw_8bit)
_sk_load_8888_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           22aff <_sk_load_8888_hsw_8bit+0x2d>
  .byte  196,129,126,111,76,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  197,253,239,192                     // vpxor         %ymm0,%ymm0,%ymm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,228                             // ja            22afb <_sk_load_8888_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,22,1,0,0                  // lea           0x116(%rip),%r10        # 22c38 <_sk_load_8888_hsw_8bit+0x166>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,152               // vmovd         (%r8,%r11,4),%xmm0
  .byte  235,200                             // jmp           22afb <_sk_load_8888_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm0
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,125,2,196,3                 // vpblendd      $0x3,%ymm4,%ymm0,%ymm0
  .byte  235,159                             // jmp           22afb <_sk_load_8888_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,192,240                // vpblendd      $0xf0,%ymm0,%ymm4,%ymm0
  .byte  233,80,255,255,255                  // jmpq          22afb <_sk_load_8888_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,40           // vmovd         0x28(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm1
  .byte  196,131,113,34,68,152,36,1          // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm1,%xmm0
  .byte  196,227,117,2,200,15                // vpblendd      $0xf,%ymm0,%ymm1,%ymm1
  .byte  196,129,121,110,68,152,32           // vmovd         0x20(%r8,%r11,4),%xmm0
  .byte  196,227,117,2,200,1                 // vpblendd      $0x1,%ymm0,%ymm1,%ymm1
  .byte  233,20,255,255,255                  // jmpq          22af5 <_sk_load_8888_hsw_8bit+0x23>
  .byte  196,129,121,110,68,152,56           // vmovd         0x38(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,201,240                // vpblendd      $0xf0,%ymm1,%ymm4,%ymm1
  .byte  233,196,254,255,255                 // jmpq          22afb <_sk_load_8888_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  243,254                             // repz          (bad)
  .byte  255                                 // (bad)
  .byte  255,17                              // callq         *(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  251                                 // sti
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,78,255                          // decl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  58,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,36,255                          // jmpq          *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,254,255,255,151                 // mov           $0x97fffffe,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,137,255,255,255,115             // decl          0x73ffffff(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,169                 // mov           $0xa9ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_hsw_8bit
.globl _sk_load_8888_dst_hsw_8bit
FUNCTION(_sk_load_8888_dst_hsw_8bit)
_sk_load_8888_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           22ca1 <_sk_load_8888_dst_hsw_8bit+0x2d>
  .byte  196,129,126,111,92,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,228                             // ja            22c9d <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,24,1,0,0                  // lea           0x118(%rip),%r10        # 22ddc <_sk_load_8888_dst_hsw_8bit+0x168>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,20,152              // vmovd         (%r8,%r11,4),%xmm2
  .byte  235,200                             // jmp           22c9d <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,8            // vmovd         0x8(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm2
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,109,2,212,3                 // vpblendd      $0x3,%ymm4,%ymm2,%ymm2
  .byte  235,159                             // jmp           22c9d <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,24           // vmovd         0x18(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,210,240                // vpblendd      $0xf0,%ymm2,%ymm4,%ymm2
  .byte  233,80,255,255,255                  // jmpq          22c9d <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,40           // vmovd         0x28(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm3
  .byte  196,131,97,34,84,152,36,1           // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm3,%xmm2
  .byte  196,227,101,2,218,15                // vpblendd      $0xf,%ymm2,%ymm3,%ymm3
  .byte  196,129,121,110,84,152,32           // vmovd         0x20(%r8,%r11,4),%xmm2
  .byte  196,227,101,2,218,1                 // vpblendd      $0x1,%ymm2,%ymm3,%ymm3
  .byte  233,20,255,255,255                  // jmpq          22c97 <_sk_load_8888_dst_hsw_8bit+0x23>
  .byte  196,129,121,110,84,152,56           // vmovd         0x38(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,219,240                // vpblendd      $0xf0,%ymm3,%ymm4,%ymm3
  .byte  233,196,254,255,255                 // jmpq          22c9d <_sk_load_8888_dst_hsw_8bit+0x29>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  241                                 // icebp
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,15                              // decl          (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  249                                 // stc
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,96,255                          // jmpq          *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,76,255,255                      // decl          -0x1(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  56,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,34                              // jmpq          *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,254,255,255,149                 // mov           $0x95fffffe,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,135,255,255,255,113             // incl          0x71ffffff(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  189,255,255,255,167                 // mov           $0xa7ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_8888_hsw_8bit
.globl _sk_store_8888_hsw_8bit
FUNCTION(_sk_store_8888_hsw_8bit)
_sk_store_8888_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           22e45 <_sk_store_8888_hsw_8bit+0x2d>
  .byte  196,129,126,127,4,152               // vmovdqu       %ymm0,(%r8,%r11,4)
  .byte  196,129,126,127,76,152,32           // vmovdqu       %ymm1,0x20(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            22e41 <_sk_store_8888_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,176,0,0,0                 // lea           0xb0(%rip),%r10        # 22f10 <_sk_store_8888_hsw_8bit+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,126,4,152               // vmovd         %xmm0,(%r8,%r11,4)
  .byte  235,208                             // jmp           22e41 <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,131,121,22,68,152,8,2           // vpextrd       $0x2,%xmm0,0x8(%r8,%r11,4)
  .byte  196,129,121,214,4,152               // vmovq         %xmm0,(%r8,%r11,4)
  .byte  235,192                             // jmp           22e41 <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,121,22,100,152,24,2         // vpextrd       $0x2,%xmm4,0x18(%r8,%r11,4)
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,121,22,100,152,20,1         // vpextrd       $0x1,%xmm4,0x14(%r8,%r11,4)
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,129,121,126,100,152,16          // vmovd         %xmm4,0x10(%r8,%r11,4)
  .byte  196,129,122,127,4,152               // vmovdqu       %xmm0,(%r8,%r11,4)
  .byte  235,143                             // jmp           22e41 <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,131,121,22,76,152,40,2          // vpextrd       $0x2,%xmm1,0x28(%r8,%r11,4)
  .byte  196,131,121,22,76,152,36,1          // vpextrd       $0x1,%xmm1,0x24(%r8,%r11,4)
  .byte  196,129,121,126,76,152,32           // vmovd         %xmm1,0x20(%r8,%r11,4)
  .byte  196,129,126,127,4,152               // vmovdqu       %ymm0,(%r8,%r11,4)
  .byte  233,109,255,255,255                 // jmpq          22e41 <_sk_store_8888_hsw_8bit+0x29>
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,131,121,22,100,152,56,2         // vpextrd       $0x2,%xmm4,0x38(%r8,%r11,4)
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,131,121,22,100,152,52,1         // vpextrd       $0x1,%xmm4,0x34(%r8,%r11,4)
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,129,121,126,100,152,48          // vmovd         %xmm4,0x30(%r8,%r11,4)
  .byte  196,129,126,127,4,152               // vmovdqu       %ymm0,(%r8,%r11,4)
  .byte  196,129,122,127,76,152,32           // vmovdqu       %xmm1,0x20(%r8,%r11,4)
  .byte  233,50,255,255,255                  // jmpq          22e41 <_sk_store_8888_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  89                                  // pop           %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,105,255                         // ljmp          *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,97,255                          // jmpq          *-0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,154,255,255,255,141             // lcall         *-0x72000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,255                             // jg            22f25 <_sk_store_8888_hsw_8bit+0x10d>
  .byte  255                                 // (bad)
  .byte  255,113,255                         // pushq         -0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,178                 // mov           $0xb2ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,162             // ljmp          *-0x5d000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  237                                 // in            (%dx),%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_hsw_8bit
.globl _sk_load_bgra_hsw_8bit
FUNCTION(_sk_load_bgra_hsw_8bit)
_sk_load_bgra_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           22f8b <_sk_load_bgra_hsw_8bit+0x3f>
  .byte  196,129,126,111,76,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  197,253,111,37,99,143,0,0           // vmovdqa       0x8f63(%rip),%ymm4        # 2bee0 <_sk_overlay_sse2_8bit+0xac4>
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  197,253,239,192                     // vpxor         %ymm0,%ymm0,%ymm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,210                             // ja            22f75 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,22,1,0,0                  // lea           0x116(%rip),%r10        # 230c4 <_sk_load_bgra_hsw_8bit+0x178>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,4,152               // vmovd         (%r8,%r11,4),%xmm0
  .byte  235,182                             // jmp           22f75 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,8            // vmovd         0x8(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm0
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,125,2,196,3                 // vpblendd      $0x3,%ymm4,%ymm0,%ymm0
  .byte  235,141                             // jmp           22f75 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,24           // vmovd         0x18(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,192,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,125,56,196,1                // vinserti128   $0x1,%xmm4,%ymm0,%ymm0
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,192,240                // vpblendd      $0xf0,%ymm0,%ymm4,%ymm0
  .byte  233,62,255,255,255                  // jmpq          22f75 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  196,129,121,110,68,152,40           // vmovd         0x28(%r8,%r11,4),%xmm0
  .byte  196,226,121,89,192                  // vpbroadcastq  %xmm0,%xmm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,4                 // vpblendd      $0x4,%ymm0,%ymm1,%ymm1
  .byte  196,131,113,34,68,152,36,1          // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm1,%xmm0
  .byte  196,227,117,2,200,15                // vpblendd      $0xf,%ymm0,%ymm1,%ymm1
  .byte  196,129,121,110,68,152,32           // vmovd         0x20(%r8,%r11,4),%xmm0
  .byte  196,227,117,2,200,1                 // vpblendd      $0x1,%ymm0,%ymm1,%ymm1
  .byte  233,2,255,255,255                   // jmpq          22f6f <_sk_load_bgra_hsw_8bit+0x23>
  .byte  196,129,121,110,68,152,56           // vmovd         0x38(%r8,%r11,4),%xmm0
  .byte  196,226,125,89,192                  // vpbroadcastq  %xmm0,%ymm0
  .byte  197,245,239,201                     // vpxor         %ymm1,%ymm1,%ymm1
  .byte  196,227,117,2,200,64                // vpblendd      $0x40,%ymm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,131,121,34,68,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm0,%xmm0
  .byte  196,227,117,56,200,1                // vinserti128   $0x1,%xmm0,%ymm1,%ymm1
  .byte  196,129,126,111,4,152               // vmovdqu       (%r8,%r11,4),%ymm0
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,201,240                // vpblendd      $0xf0,%ymm1,%ymm4,%ymm1
  .byte  233,178,254,255,255                 // jmpq          22f75 <_sk_load_bgra_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  243,254                             // repz          (bad)
  .byte  255                                 // (bad)
  .byte  255,17                              // callq         *(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  251                                 // sti
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,78,255                          // decl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  58,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,36,255                          // jmpq          *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,171,254,255,255,151             // ljmp          *-0x68000002(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,137,255,255,255,115             // decl          0x73ffffff(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,169                 // mov           $0xa9ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_hsw_8bit
.globl _sk_load_bgra_dst_hsw_8bit
FUNCTION(_sk_load_bgra_dst_hsw_8bit)
_sk_load_bgra_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           2313f <_sk_load_bgra_dst_hsw_8bit+0x3f>
  .byte  196,129,126,111,92,152,32           // vmovdqu       0x20(%r8,%r11,4),%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  197,253,111,37,207,141,0,0          // vmovdqa       0x8dcf(%rip),%ymm4        # 2bf00 <_sk_overlay_sse2_8bit+0xae4>
  .byte  196,226,109,0,212                   // vpshufb       %ymm4,%ymm2,%ymm2
  .byte  196,226,101,0,220                   // vpshufb       %ymm4,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  197,237,239,210                     // vpxor         %ymm2,%ymm2,%ymm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,210                             // ja            23129 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,22,1,0,0                  // lea           0x116(%rip),%r10        # 23278 <_sk_load_bgra_dst_hsw_8bit+0x178>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,110,20,152              // vmovd         (%r8,%r11,4),%xmm2
  .byte  235,182                             // jmp           23129 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,8            // vmovd         0x8(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm2
  .byte  196,130,121,53,36,152               // vpmovzxdq     (%r8,%r11,4),%xmm4
  .byte  197,249,112,228,232                 // vpshufd       $0xe8,%xmm4,%xmm4
  .byte  196,227,109,2,212,3                 // vpblendd      $0x3,%ymm4,%ymm2,%ymm2
  .byte  235,141                             // jmp           23129 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,24           // vmovd         0x18(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,210,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,131,89,34,100,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm4,%xmm4
  .byte  196,227,109,56,212,1                // vinserti128   $0x1,%xmm4,%ymm2,%ymm2
  .byte  196,129,122,111,36,152              // vmovdqu       (%r8,%r11,4),%xmm4
  .byte  196,227,93,2,210,240                // vpblendd      $0xf0,%ymm2,%ymm4,%ymm2
  .byte  233,62,255,255,255                  // jmpq          23129 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  196,129,121,110,84,152,40           // vmovd         0x28(%r8,%r11,4),%xmm2
  .byte  196,226,121,89,210                  // vpbroadcastq  %xmm2,%xmm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,4                 // vpblendd      $0x4,%ymm2,%ymm3,%ymm3
  .byte  196,131,97,34,84,152,36,1           // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm3,%xmm2
  .byte  196,227,101,2,218,15                // vpblendd      $0xf,%ymm2,%ymm3,%ymm3
  .byte  196,129,121,110,84,152,32           // vmovd         0x20(%r8,%r11,4),%xmm2
  .byte  196,227,101,2,218,1                 // vpblendd      $0x1,%ymm2,%ymm3,%ymm3
  .byte  233,2,255,255,255                   // jmpq          23123 <_sk_load_bgra_dst_hsw_8bit+0x23>
  .byte  196,129,121,110,84,152,56           // vmovd         0x38(%r8,%r11,4),%xmm2
  .byte  196,226,125,89,210                  // vpbroadcastq  %xmm2,%ymm2
  .byte  197,229,239,219                     // vpxor         %ymm3,%ymm3,%ymm3
  .byte  196,227,101,2,218,64                // vpblendd      $0x40,%ymm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,227,125,57,218,1                // vextracti128  $0x1,%ymm3,%xmm2
  .byte  196,131,105,34,84,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm2,%xmm2
  .byte  196,227,101,56,218,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm3
  .byte  196,129,126,111,20,152              // vmovdqu       (%r8,%r11,4),%ymm2
  .byte  196,129,122,111,100,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm4
  .byte  196,227,93,2,219,240                // vpblendd      $0xf0,%ymm3,%ymm4,%ymm3
  .byte  233,178,254,255,255                 // jmpq          23129 <_sk_load_bgra_dst_hsw_8bit+0x29>
  .byte  144                                 // nop
  .byte  243,254                             // repz          (bad)
  .byte  255                                 // (bad)
  .byte  255,17                              // callq         *(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  251                                 // sti
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,98,255                          // jmpq          *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,78,255                          // decl          -0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  58,255                              // cmp           %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,36,255                          // jmpq          *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,171,254,255,255,151             // ljmp          *-0x68000002(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,137,255,255,255,115             // decl          0x73ffffff(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,255,255,255,169                 // mov           $0xa9ffffff,%edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_bgra_hsw_8bit
.globl _sk_store_bgra_hsw_8bit
FUNCTION(_sk_store_bgra_hsw_8bit)
_sk_store_bgra_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  197,253,111,37,77,140,0,0           // vmovdqa       0x8c4d(%rip),%ymm4        # 2bf20 <_sk_overlay_sse2_8bit+0xb04>
  .byte  196,226,117,0,236                   // vpshufb       %ymm4,%ymm1,%ymm5
  .byte  196,226,125,0,228                   // vpshufb       %ymm4,%ymm0,%ymm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           232f3 <_sk_store_bgra_hsw_8bit+0x3f>
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,126,127,108,152,32          // vmovdqu       %ymm5,0x20(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            232ef <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,178,0,0,0                 // lea           0xb2(%rip),%r10        # 233c0 <_sk_store_bgra_hsw_8bit+0x10c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,126,36,152              // vmovd         %xmm4,(%r8,%r11,4)
  .byte  235,208                             // jmp           232ef <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,131,121,22,100,152,8,2          // vpextrd       $0x2,%xmm4,0x8(%r8,%r11,4)
  .byte  196,129,121,214,36,152              // vmovq         %xmm4,(%r8,%r11,4)
  .byte  235,192                             // jmp           232ef <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,24,2         // vpextrd       $0x2,%xmm5,0x18(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,20,1         // vpextrd       $0x1,%xmm5,0x14(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,129,121,126,108,152,16          // vmovd         %xmm5,0x10(%r8,%r11,4)
  .byte  196,129,122,127,36,152              // vmovdqu       %xmm4,(%r8,%r11,4)
  .byte  235,143                             // jmp           232ef <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,131,121,22,108,152,40,2         // vpextrd       $0x2,%xmm5,0x28(%r8,%r11,4)
  .byte  196,131,121,22,108,152,36,1         // vpextrd       $0x1,%xmm5,0x24(%r8,%r11,4)
  .byte  196,129,121,126,108,152,32          // vmovd         %xmm5,0x20(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  233,109,255,255,255                 // jmpq          232ef <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,56,2         // vpextrd       $0x2,%xmm6,0x38(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,52,1         // vpextrd       $0x1,%xmm6,0x34(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,129,121,126,116,152,48          // vmovd         %xmm6,0x30(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,122,127,108,152,32          // vmovdqu       %xmm5,0x20(%r8,%r11,4)
  .byte  233,50,255,255,255                  // jmpq          232ef <_sk_store_bgra_hsw_8bit+0x3b>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  87                                  // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,103,255                         // jmpq          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,95,255                          // lcall         *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,152,255,255,255,139             // lcall         *-0x74000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  125,255                             // jge           233d5 <_sk_store_bgra_hsw_8bit+0x121>
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,183,255,255,255,176             // pushq         -0x4f000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,160             // ljmp          *-0x5f000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           233ed <_sk_store_bgra_hsw_8bit+0x139>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_hsw_8bit
.globl _sk_load_a8_hsw_8bit
FUNCTION(_sk_load_a8_hsw_8bit)
_sk_load_a8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           23437 <_sk_load_a8_hsw_8bit+0x3b>
  .byte  196,129,122,111,4,24                // vmovdqu       (%r8,%r11,1),%xmm0
  .byte  197,249,112,200,78                  // vpshufd       $0x4e,%xmm0,%xmm1
  .byte  196,226,125,49,201                  // vpmovzxbd     %xmm1,%ymm1
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  197,253,114,240,24                  // vpslld        $0x18,%ymm0,%ymm0
  .byte  197,245,114,241,24                  // vpslld        $0x18,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,207                             // ja            2341a <_sk_load_a8_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,194,0,0,0                 // lea           0xc2(%rip),%r10        # 23518 <_sk_load_a8_hsw_8bit+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,176                             // jmp           2341a <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,227,121,14,193,1                // vpblendw      $0x1,%xmm1,%xmm0,%xmm0
  .byte  235,147                             // jmp           2341a <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,102,255,255,255                 // jmpq          2341a <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,57,255,255,255                  // jmpq          2341a <_sk_load_a8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,131,113,34,76,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm1,%xmm1
  .byte  196,227,113,2,192,8                 // vpblendd      $0x8,%xmm0,%xmm1,%xmm0
  .byte  233,4,255,255,255                   // jmpq          2341a <_sk_load_a8_hsw_8bit+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  71,255                              // rex.RXB       (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,82,255                          // callq         *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,139,255,255,255,131             // decl          -0x7c000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  123,255                             // jnp           2352d <_sk_load_a8_hsw_8bit+0x131>
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,176                 // mov           $0xb0ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,156             // ljmp          *-0x63000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,201                             // dec           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_hsw_8bit
.globl _sk_load_a8_dst_hsw_8bit
FUNCTION(_sk_load_a8_dst_hsw_8bit)
_sk_load_a8_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           2358f <_sk_load_a8_dst_hsw_8bit+0x3b>
  .byte  196,129,122,111,20,24               // vmovdqu       (%r8,%r11,1),%xmm2
  .byte  197,249,112,218,78                  // vpshufd       $0x4e,%xmm2,%xmm3
  .byte  196,226,125,49,219                  // vpmovzxbd     %xmm3,%ymm3
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  197,237,114,242,24                  // vpslld        $0x18,%ymm2,%ymm2
  .byte  197,229,114,243,24                  // vpslld        $0x18,%ymm3,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,207                             // ja            23572 <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,194,0,0,0                 // lea           0xc2(%rip),%r10        # 23670 <_sk_load_a8_dst_hsw_8bit+0x11c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,208                     // vmovd         %eax,%xmm2
  .byte  235,176                             // jmp           23572 <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm2,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,216                     // vmovd         %eax,%xmm3
  .byte  196,227,105,14,211,1                // vpblendw      $0x1,%xmm3,%xmm2,%xmm2
  .byte  235,147                             // jmp           23572 <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,121,110,28,24               // vmovd         (%r8,%r11,1),%xmm3
  .byte  196,227,105,2,211,1                 // vpblendd      $0x1,%xmm3,%xmm2,%xmm2
  .byte  233,102,255,255,255                 // jmpq          23572 <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,227,97,2,210,12                 // vpblendd      $0xc,%xmm2,%xmm3,%xmm2
  .byte  233,57,255,255,255                  // jmpq          23572 <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,131,97,34,92,24,8,2             // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm3,%xmm3
  .byte  196,227,97,2,210,8                  // vpblendd      $0x8,%xmm2,%xmm3,%xmm2
  .byte  233,4,255,255,255                   // jmpq          23572 <_sk_load_a8_dst_hsw_8bit+0x1e>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  71,255                              // rex.RXB       (bad)
  .byte  255                                 // (bad)
  .byte  255,94,255                          // lcall         *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,82,255                          // callq         *-0x1(%rdx)
  .byte  255                                 // (bad)
  .byte  255,139,255,255,255,131             // decl          -0x7c000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  123,255                             // jnp           23685 <_sk_load_a8_dst_hsw_8bit+0x131>
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,176                 // mov           $0xb0ffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,156             // ljmp          *-0x63000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  221,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,201                             // dec           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_a8_hsw_8bit
.globl _sk_store_a8_hsw_8bit
FUNCTION(_sk_store_a8_hsw_8bit)
_sk_store_a8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  197,253,111,37,121,136,0,0          // vmovdqa       0x8879(%rip),%ymm4        # 2bf40 <_sk_overlay_sse2_8bit+0xb24>
  .byte  196,226,117,0,236                   // vpshufb       %ymm4,%ymm1,%ymm5
  .byte  196,227,253,0,237,232               // vpermq        $0xe8,%ymm5,%ymm5
  .byte  197,249,111,53,166,146,0,0          // vmovdqa       0x92a6(%rip),%xmm6        # 2c980 <_sk_overlay_sse2_8bit+0x1564>
  .byte  196,226,81,0,238                    // vpshufb       %xmm6,%xmm5,%xmm5
  .byte  196,226,125,0,228                   // vpshufb       %ymm4,%ymm0,%ymm4
  .byte  196,227,253,0,228,232               // vpermq        $0xe8,%ymm4,%ymm4
  .byte  196,226,89,0,230                    // vpshufb       %xmm6,%xmm4,%xmm4
  .byte  197,217,108,229                     // vpunpcklqdq   %xmm5,%xmm4,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,10                              // jne           23702 <_sk_store_a8_hsw_8bit+0x56>
  .byte  196,129,122,127,36,24               // vmovdqu       %xmm4,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,236                             // ja            236fe <_sk_store_a8_hsw_8bit+0x52>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,139,0,0,0                 // lea           0x8b(%rip),%r10        # 237a8 <_sk_store_a8_hsw_8bit+0xfc>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,131,121,20,36,24,0              // vpextrb       $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,207                             // jmp           236fe <_sk_store_a8_hsw_8bit+0x52>
  .byte  196,131,121,20,100,24,2,2           // vpextrb       $0x2,%xmm4,0x2(%r8,%r11,1)
  .byte  196,131,121,21,36,24,0              // vpextrw       $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,190                             // jmp           236fe <_sk_store_a8_hsw_8bit+0x52>
  .byte  196,131,121,20,100,24,6,6           // vpextrb       $0x6,%xmm4,0x6(%r8,%r11,1)
  .byte  196,131,121,20,100,24,5,5           // vpextrb       $0x5,%xmm4,0x5(%r8,%r11,1)
  .byte  196,131,121,20,100,24,4,4           // vpextrb       $0x4,%xmm4,0x4(%r8,%r11,1)
  .byte  196,129,121,126,36,24               // vmovd         %xmm4,(%r8,%r11,1)
  .byte  235,158                             // jmp           236fe <_sk_store_a8_hsw_8bit+0x52>
  .byte  196,131,121,20,100,24,10,10         // vpextrb       $0xa,%xmm4,0xa(%r8,%r11,1)
  .byte  196,131,121,20,100,24,9,9           // vpextrb       $0x9,%xmm4,0x9(%r8,%r11,1)
  .byte  196,131,121,20,100,24,8,8           // vpextrb       $0x8,%xmm4,0x8(%r8,%r11,1)
  .byte  235,32                              // jmp           2379a <_sk_store_a8_hsw_8bit+0xee>
  .byte  196,131,121,20,100,24,14,14         // vpextrb       $0xe,%xmm4,0xe(%r8,%r11,1)
  .byte  196,131,121,20,100,24,13,13         // vpextrb       $0xd,%xmm4,0xd(%r8,%r11,1)
  .byte  196,131,121,20,100,24,12,12         // vpextrb       $0xc,%xmm4,0xc(%r8,%r11,1)
  .byte  196,131,121,22,100,24,8,2           // vpextrd       $0x2,%xmm4,0x8(%r8,%r11,1)
  .byte  196,129,121,214,36,24               // vmovq         %xmm4,(%r8,%r11,1)
  .byte  233,89,255,255,255                  // jmpq          236fe <_sk_store_a8_hsw_8bit+0x52>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  126,255                             // jle           237a9 <_sk_store_a8_hsw_8bit+0xfd>
  .byte  255                                 // (bad)
  .byte  255,143,255,255,255,135             // decl          -0x78000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,176,255,255,255,168             // pushq         -0x57000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,160,255,255,255,152             // jmpq          *-0x67000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,242                             // push          %rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,200                             // dec           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,234                 // mov           $0xeaffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,226                             // jmpq          *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  218,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_hsw_8bit
.globl _sk_load_g8_hsw_8bit
FUNCTION(_sk_load_g8_hsw_8bit)
_sk_load_g8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,61                              // jne           23839 <_sk_load_g8_hsw_8bit+0x55>
  .byte  196,129,122,111,4,24                // vmovdqu       (%r8,%r11,1),%xmm0
  .byte  196,226,125,49,200                  // vpmovzxbd     %xmm0,%ymm1
  .byte  197,249,112,192,78                  // vpshufd       $0x4e,%xmm0,%xmm0
  .byte  196,226,125,49,192                  // vpmovzxbd     %xmm0,%ymm0
  .byte  196,226,125,88,37,210,129,0,0       // vpbroadcastd  0x81d2(%rip),%ymm4        # 2b9ec <_sk_overlay_sse2_8bit+0x5d0>
  .byte  196,226,125,64,236                  // vpmulld       %ymm4,%ymm0,%ymm5
  .byte  196,226,117,64,196                  // vpmulld       %ymm4,%ymm1,%ymm0
  .byte  196,226,125,88,13,195,129,0,0       // vpbroadcastd  0x81c3(%rip),%ymm1        # 2b9f0 <_sk_overlay_sse2_8bit+0x5d4>
  .byte  197,253,235,193                     // vpor          %ymm1,%ymm0,%ymm0
  .byte  197,213,235,201                     // vpor          %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,181                             // ja            23802 <_sk_load_g8_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,196,0,0,0                 // lea           0xc4(%rip),%r10        # 2391c <_sk_load_g8_hsw_8bit+0x138>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,192                     // vmovd         %eax,%xmm0
  .byte  235,150                             // jmp           23802 <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm0,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,200                     // vmovd         %eax,%xmm1
  .byte  196,227,121,14,193,1                // vpblendw      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,118,255,255,255                 // jmpq          23802 <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,121,110,12,24               // vmovd         (%r8,%r11,1),%xmm1
  .byte  196,227,121,2,193,1                 // vpblendd      $0x1,%xmm1,%xmm0,%xmm0
  .byte  233,73,255,255,255                  // jmpq          23802 <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,227,113,2,192,12                // vpblendd      $0xc,%xmm0,%xmm1,%xmm0
  .byte  233,28,255,255,255                  // jmpq          23802 <_sk_load_g8_hsw_8bit+0x1e>
  .byte  197,249,239,192                     // vpxor         %xmm0,%xmm0,%xmm0
  .byte  196,131,121,32,68,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,131,121,32,68,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm0,%xmm0
  .byte  196,129,122,126,12,24               // vmovq         (%r8,%r11,1),%xmm1
  .byte  196,131,113,34,76,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm1,%xmm1
  .byte  196,227,113,2,192,8                 // vpblendd      $0x8,%xmm0,%xmm1,%xmm0
  .byte  233,231,254,255,255                 // jmpq          23802 <_sk_load_g8_hsw_8bit+0x1e>
  .byte  144                                 // nop
  .byte  69,255                              // rex.RB        (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            23931 <_sk_load_g8_hsw_8bit+0x14d>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_hsw_8bit
.globl _sk_load_g8_dst_hsw_8bit
FUNCTION(_sk_load_g8_dst_hsw_8bit)
_sk_load_g8_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,61                              // jne           239ad <_sk_load_g8_dst_hsw_8bit+0x55>
  .byte  196,129,122,111,20,24               // vmovdqu       (%r8,%r11,1),%xmm2
  .byte  196,226,125,49,218                  // vpmovzxbd     %xmm2,%ymm3
  .byte  197,249,112,210,78                  // vpshufd       $0x4e,%xmm2,%xmm2
  .byte  196,226,125,49,210                  // vpmovzxbd     %xmm2,%ymm2
  .byte  196,226,125,88,37,94,128,0,0        // vpbroadcastd  0x805e(%rip),%ymm4        # 2b9ec <_sk_overlay_sse2_8bit+0x5d0>
  .byte  196,226,109,64,236                  // vpmulld       %ymm4,%ymm2,%ymm5
  .byte  196,226,101,64,212                  // vpmulld       %ymm4,%ymm3,%ymm2
  .byte  196,226,125,88,29,79,128,0,0        // vpbroadcastd  0x804f(%rip),%ymm3        # 2b9f0 <_sk_overlay_sse2_8bit+0x5d4>
  .byte  197,237,235,211                     // vpor          %ymm3,%ymm2,%ymm2
  .byte  197,213,235,219                     // vpor          %ymm3,%ymm5,%ymm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,181                             // ja            23976 <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,196,0,0,0                 // lea           0xc4(%rip),%r10        # 23a90 <_sk_load_g8_dst_hsw_8bit+0x138>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,208                     // vmovd         %eax,%xmm2
  .byte  235,150                             // jmp           23976 <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm2,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,216                     // vmovd         %eax,%xmm3
  .byte  196,227,105,14,211,1                // vpblendw      $0x1,%xmm3,%xmm2,%xmm2
  .byte  233,118,255,255,255                 // jmpq          23976 <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,121,110,28,24               // vmovd         (%r8,%r11,1),%xmm3
  .byte  196,227,105,2,211,1                 // vpblendd      $0x1,%xmm3,%xmm2,%xmm2
  .byte  233,73,255,255,255                  // jmpq          23976 <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,227,97,2,210,12                 // vpblendd      $0xc,%xmm2,%xmm3,%xmm2
  .byte  233,28,255,255,255                  // jmpq          23976 <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  197,233,239,210                     // vpxor         %xmm2,%xmm2,%xmm2
  .byte  196,131,105,32,84,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,131,105,32,84,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm2,%xmm2
  .byte  196,129,122,126,28,24               // vmovq         (%r8,%r11,1),%xmm3
  .byte  196,131,97,34,92,24,8,2             // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm3,%xmm3
  .byte  196,227,97,2,210,8                  // vpblendd      $0x8,%xmm2,%xmm3,%xmm2
  .byte  233,231,254,255,255                 // jmpq          23976 <_sk_load_g8_dst_hsw_8bit+0x1e>
  .byte  144                                 // nop
  .byte  69,255                              // rex.RB        (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            23aa5 <_sk_load_g8_dst_hsw_8bit+0x14d>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_srcover_rgba_8888_hsw_8bit
.globl _sk_srcover_rgba_8888_hsw_8bit
FUNCTION(_sk_srcover_rgba_8888_hsw_8bit)
_sk_srcover_rgba_8888_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,222,0,0,0                    // jne           23bca <_sk_srcover_rgba_8888_hsw_8bit+0xfe>
  .byte  196,1,126,111,76,152,32             // vmovdqu       0x20(%r8,%r11,4),%ymm9
  .byte  196,1,126,111,28,152                // vmovdqu       (%r8,%r11,4),%ymm11
  .byte  197,253,111,53,95,132,0,0           // vmovdqa       0x845f(%rip),%ymm6        # 2bf60 <_sk_overlay_sse2_8bit+0xb44>
  .byte  196,226,117,0,254                   // vpshufb       %ymm6,%ymm1,%ymm7
  .byte  196,226,125,0,246                   // vpshufb       %ymm6,%ymm0,%ymm6
  .byte  196,66,125,48,195                   // vpmovzxbw     %xmm11,%ymm8
  .byte  196,99,125,57,220,1                 // vextracti128  $0x1,%ymm11,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,66,125,48,209                   // vpmovzxbw     %xmm9,%ymm10
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,230                   // vpmovzxbw     %xmm6,%ymm12
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,239                   // vpmovzxbw     %xmm7,%ymm13
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,213,213,255                     // vpmullw       %ymm7,%ymm5,%ymm7
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,246                     // vpmullw       %ymm6,%ymm4,%ymm6
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,205,253,228                     // vpaddw        %ymm4,%ymm6,%ymm4
  .byte  196,193,21,253,242                  // vpaddw        %ymm10,%ymm13,%ymm6
  .byte  197,197,253,237                     // vpaddw        %ymm5,%ymm7,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,248,237                     // vpsubb        %ymm5,%ymm9,%ymm5
  .byte  197,165,248,228                     // vpsubb        %ymm4,%ymm11,%ymm4
  .byte  197,221,252,224                     // vpaddb        %ymm0,%ymm4,%ymm4
  .byte  197,213,252,233                     // vpaddb        %ymm1,%ymm5,%ymm5
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,78                              // jne           23c07 <_sk_srcover_rgba_8888_hsw_8bit+0x13b>
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,126,127,108,152,32          // vmovdqu       %ymm5,0x20(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,65,37,239,219                   // vpxor         %ymm11,%ymm11,%ymm11
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,17,255,255,255               // ja            23af9 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,237,1,0,0                 // lea           0x1ed(%rip),%r10        # 23de0 <_sk_srcover_rgba_8888_hsw_8bit+0x314>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,1,121,110,28,152                // vmovd         (%r8,%r11,4),%xmm11
  .byte  233,242,254,255,255                 // jmpq          23af9 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  119,175                             // ja            23bc6 <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,250,1,0,0                 // lea           0x1fa(%rip),%r9        # 23e1c <_sk_srcover_rgba_8888_hsw_8bit+0x350>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  196,129,121,126,36,152              // vmovd         %xmm4,(%r8,%r11,4)
  .byte  235,147                             // jmp           23bc6 <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,129,121,110,100,152,8           // vmovd         0x8(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,236                  // vpbroadcastq  %xmm4,%xmm5
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,99,53,2,221,4                   // vpblendd      $0x4,%ymm5,%ymm9,%ymm11
  .byte  196,130,121,53,52,152               // vpmovzxdq     (%r8,%r11,4),%xmm6
  .byte  197,249,112,246,232                 // vpshufd       $0xe8,%xmm6,%xmm6
  .byte  196,99,37,2,222,3                   // vpblendd      $0x3,%ymm6,%ymm11,%ymm11
  .byte  233,153,254,255,255                 // jmpq          23af9 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  196,129,121,110,100,152,24          // vmovd         0x18(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,236                  // vpbroadcastq  %xmm4,%ymm5
  .byte  196,65,53,239,201                   // vpxor         %ymm9,%ymm9,%ymm9
  .byte  196,99,53,2,221,64                  // vpblendd      $0x40,%ymm5,%ymm9,%ymm11
  .byte  196,99,125,57,222,1                 // vextracti128  $0x1,%ymm11,%xmm6
  .byte  196,131,73,34,116,152,20,1          // vpinsrd       $0x1,0x14(%r8,%r11,4),%xmm6,%xmm6
  .byte  196,99,37,56,222,1                  // vinserti128   $0x1,%xmm6,%ymm11,%ymm11
  .byte  196,99,125,57,222,1                 // vextracti128  $0x1,%ymm11,%xmm6
  .byte  196,131,73,34,116,152,16,0          // vpinsrd       $0x0,0x10(%r8,%r11,4),%xmm6,%xmm6
  .byte  196,99,37,56,222,1                  // vinserti128   $0x1,%xmm6,%ymm11,%ymm11
  .byte  196,129,122,111,52,152              // vmovdqu       (%r8,%r11,4),%xmm6
  .byte  196,67,77,2,219,240                 // vpblendd      $0xf0,%ymm11,%ymm6,%ymm11
  .byte  233,73,254,255,255                  // jmpq          23af9 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  196,129,121,110,100,152,40          // vmovd         0x28(%r8,%r11,4),%xmm4
  .byte  196,226,121,89,228                  // vpbroadcastq  %xmm4,%xmm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,99,85,2,204,4                   // vpblendd      $0x4,%ymm4,%ymm5,%ymm9
  .byte  196,131,49,34,108,152,36,1          // vpinsrd       $0x1,0x24(%r8,%r11,4),%xmm9,%xmm5
  .byte  196,99,53,2,205,15                  // vpblendd      $0xf,%ymm5,%ymm9,%ymm9
  .byte  196,129,121,110,108,152,32          // vmovd         0x20(%r8,%r11,4),%xmm5
  .byte  196,99,53,2,205,1                   // vpblendd      $0x1,%ymm5,%ymm9,%ymm9
  .byte  233,13,254,255,255                  // jmpq          23af3 <_sk_srcover_rgba_8888_hsw_8bit+0x27>
  .byte  196,129,121,110,100,152,56          // vmovd         0x38(%r8,%r11,4),%xmm4
  .byte  196,226,125,89,228                  // vpbroadcastq  %xmm4,%ymm4
  .byte  197,213,239,237                     // vpxor         %ymm5,%ymm5,%ymm5
  .byte  196,99,85,2,204,64                  // vpblendd      $0x40,%ymm4,%ymm5,%ymm9
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,131,81,34,108,152,52,1          // vpinsrd       $0x1,0x34(%r8,%r11,4),%xmm5,%xmm5
  .byte  196,99,53,56,205,1                  // vinserti128   $0x1,%xmm5,%ymm9,%ymm9
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,131,81,34,108,152,48,0          // vpinsrd       $0x0,0x30(%r8,%r11,4),%xmm5,%xmm5
  .byte  196,99,53,56,205,1                  // vinserti128   $0x1,%xmm5,%ymm9,%ymm9
  .byte  196,1,126,111,28,152                // vmovdqu       (%r8,%r11,4),%ymm11
  .byte  196,129,122,111,116,152,32          // vmovdqu       0x20(%r8,%r11,4),%xmm6
  .byte  196,67,77,2,201,240                 // vpblendd      $0xf0,%ymm9,%ymm6,%ymm9
  .byte  233,189,253,255,255                 // jmpq          23af9 <_sk_srcover_rgba_8888_hsw_8bit+0x2d>
  .byte  196,131,121,22,100,152,8,2          // vpextrd       $0x2,%xmm4,0x8(%r8,%r11,4)
  .byte  196,129,121,214,36,152              // vmovq         %xmm4,(%r8,%r11,4)
  .byte  233,119,254,255,255                 // jmpq          23bc6 <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,24,2         // vpextrd       $0x2,%xmm5,0x18(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,131,121,22,108,152,20,1         // vpextrd       $0x1,%xmm5,0x14(%r8,%r11,4)
  .byte  196,227,125,57,229,1                // vextracti128  $0x1,%ymm4,%xmm5
  .byte  196,129,121,126,108,152,16          // vmovd         %xmm5,0x10(%r8,%r11,4)
  .byte  196,129,122,127,36,152              // vmovdqu       %xmm4,(%r8,%r11,4)
  .byte  233,67,254,255,255                  // jmpq          23bc6 <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,131,121,22,108,152,40,2         // vpextrd       $0x2,%xmm5,0x28(%r8,%r11,4)
  .byte  196,131,121,22,108,152,36,1         // vpextrd       $0x1,%xmm5,0x24(%r8,%r11,4)
  .byte  196,129,121,126,108,152,32          // vmovd         %xmm5,0x20(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  233,33,254,255,255                  // jmpq          23bc6 <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,56,2         // vpextrd       $0x2,%xmm6,0x38(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,131,121,22,116,152,52,1         // vpextrd       $0x1,%xmm6,0x34(%r8,%r11,4)
  .byte  196,227,125,57,238,1                // vextracti128  $0x1,%ymm5,%xmm6
  .byte  196,129,121,126,116,152,48          // vmovd         %xmm6,0x30(%r8,%r11,4)
  .byte  196,129,126,127,36,152              // vmovdqu       %ymm4,(%r8,%r11,4)
  .byte  196,129,122,127,108,152,32          // vmovdqu       %xmm5,0x20(%r8,%r11,4)
  .byte  233,230,253,255,255                 // jmpq          23bc6 <_sk_srcover_rgba_8888_hsw_8bit+0xfa>
  .byte  28,254                              // sbb           $0xfe,%al
  .byte  255                                 // (bad)
  .byte  255,106,254                         // ljmp          *-0x2(%rdx)
  .byte  255                                 // (bad)
  .byte  255,83,254                          // callq         *-0x2(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  191,254,255,255,171                 // mov           $0xabfffffe,%edi
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,151,254,255,255,128             // callq         *-0x7f000002(%rdi)
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,19                              // callq         *(%rbx)
  .byte  253                                 // std
  .byte  255                                 // (bad)
  .byte  255,244                             // push          %rsp
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,68,255,255                      // incl          -0x1(%rdi,%rdi,8)
  .byte  255,48                              // pushq         (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,28,255                          // lcall         *(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,15                              // decl          (%rdi)
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,40                              // ljmp          *(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,32                              // jmpq          *(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,79,255                          // decl          -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,65,255                          // incl          -0x1(%rcx)
  .byte  255                                 // (bad)
  .byte  255,51                              // pushq         (%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  126,255                             // jle           23e39 <_sk_srcover_rgba_8888_hsw_8bit+0x36d>
  .byte  255                                 // (bad)
  .byte  255,119,255                         // pushq         -0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,111,255                         // ljmp          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,103,255                         // jmpq          *-0x1(%rdi)
  .byte  255                                 // (bad)
  .byte  255,178,255,255,255,165             // pushq         -0x5a000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,151,255,255,255,137             // callq         *-0x76000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_1_float_hsw_8bit
.globl _sk_scale_1_float_hsw_8bit
FUNCTION(_sk_scale_1_float_hsw_8bit)
_sk_scale_1_float_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,250,16,32                       // vmovss        (%rax),%xmm4
  .byte  197,218,89,37,34,122,0,0            // vmulss        0x7a22(%rip),%xmm4,%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  197,250,44,196                      // vcvttss2si    %xmm4,%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  196,226,125,120,228                 // vpbroadcastb  %xmm4,%ymm4
  .byte  196,226,125,48,232                  // vpmovzxbw     %xmm0,%ymm5
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,241                  // vpmovzxbw     %xmm1,%ymm6
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,219,37,229,128,0,0          // vpand         0x80e5(%rip),%ymm4,%ymm4        # 2bf80 <_sk_overlay_sse2_8bit+0xb64>
  .byte  197,221,213,249                     // vpmullw       %ymm1,%ymm4,%ymm7
  .byte  197,93,213,198                      // vpmullw       %ymm6,%ymm4,%ymm8
  .byte  197,93,213,200                      // vpmullw       %ymm0,%ymm4,%ymm9
  .byte  197,221,213,229                     // vpmullw       %ymm5,%ymm4,%ymm4
  .byte  197,221,253,229                     // vpaddw        %ymm5,%ymm4,%ymm4
  .byte  197,181,253,192                     // vpaddw        %ymm0,%ymm9,%ymm0
  .byte  197,189,253,238                     // vpaddw        %ymm6,%ymm8,%ymm5
  .byte  197,197,253,201                     // vpaddw        %ymm1,%ymm7,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_hsw_8bit
.globl _sk_scale_u8_hsw_8bit
FUNCTION(_sk_scale_u8_hsw_8bit)
_sk_scale_u8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,191,0,0,0                    // jne           23fce <_sk_scale_u8_hsw_8bit+0xdb>
  .byte  196,129,122,111,36,24               // vmovdqu       (%r8,%r11,1),%xmm4
  .byte  196,226,125,49,236                  // vpmovzxbd     %xmm4,%ymm5
  .byte  197,249,112,228,78                  // vpshufd       $0x4e,%xmm4,%xmm4
  .byte  196,226,125,49,228                  // vpmovzxbd     %xmm4,%ymm4
  .byte  197,253,111,53,116,128,0,0          // vmovdqa       0x8074(%rip),%ymm6        # 2bfa0 <_sk_overlay_sse2_8bit+0xb84>
  .byte  196,226,93,0,230                    // vpshufb       %ymm6,%ymm4,%ymm4
  .byte  196,226,85,0,238                    // vpshufb       %ymm6,%ymm5,%ymm5
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,197                   // vpmovzxbw     %xmm5,%ymm8
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,225                     // vpmullw       %ymm1,%ymm4,%ymm4
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,181,253,239                     // vpaddw        %ymm7,%ymm9,%ymm5
  .byte  197,221,253,201                     // vpaddw        %ymm1,%ymm4,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,47,255,255,255               // ja            23f15 <_sk_scale_u8_hsw_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,199,0,0,0                 // lea           0xc7(%rip),%r10        # 240b8 <_sk_scale_u8_hsw_8bit+0x1c5>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,13,255,255,255                  // jmpq          23f15 <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,227,89,14,229,1                 // vpblendw      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,237,254,255,255                 // jmpq          23f15 <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,192,254,255,255                 // jmpq          23f15 <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,147,254,255,255                 // jmpq          23f15 <_sk_scale_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,131,81,34,108,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm5,%xmm5
  .byte  196,227,81,2,228,8                  // vpblendd      $0x8,%xmm4,%xmm5,%xmm4
  .byte  233,94,254,255,255                  // jmpq          23f15 <_sk_scale_u8_hsw_8bit+0x22>
  .byte  144                                 // nop
  .byte  66,255                              // rex.X         (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            240cd <_sk_scale_u8_hsw_8bit+0x1da>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_hsw_8bit
.globl _sk_lerp_1_float_hsw_8bit
FUNCTION(_sk_lerp_1_float_hsw_8bit)
_sk_lerp_1_float_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,250,16,32                       // vmovss        (%rax),%xmm4
  .byte  197,218,89,37,134,119,0,0           // vmulss        0x7786(%rip),%xmm4,%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  197,250,44,196                      // vcvttss2si    %xmm4,%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  196,226,125,120,228                 // vpbroadcastb  %xmm4,%ymm4
  .byte  196,226,125,48,232                  // vpmovzxbw     %xmm0,%ymm5
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,241                  // vpmovzxbw     %xmm1,%ymm6
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,219,61,137,126,0,0          // vpand         0x7e89(%rip),%ymm4,%ymm7        # 2bfc0 <_sk_overlay_sse2_8bit+0xba4>
  .byte  197,69,213,193                      // vpmullw       %ymm1,%ymm7,%ymm8
  .byte  197,69,213,206                      // vpmullw       %ymm6,%ymm7,%ymm9
  .byte  197,69,213,208                      // vpmullw       %ymm0,%ymm7,%ymm10
  .byte  197,197,213,253                     // vpmullw       %ymm5,%ymm7,%ymm7
  .byte  197,197,253,237                     // vpaddw        %ymm5,%ymm7,%ymm5
  .byte  197,173,253,192                     // vpaddw        %ymm0,%ymm10,%ymm0
  .byte  197,181,253,246                     // vpaddw        %ymm6,%ymm9,%ymm6
  .byte  197,189,253,201                     // vpaddw        %ymm1,%ymm8,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,227,85,56,248,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm7
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,69,103,192                      // vpackuswb     %ymm0,%ymm7,%ymm8
  .byte  196,227,77,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm6,%ymm5
  .byte  196,227,77,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm6,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  197,213,118,237                     // vpcmpeqd      %ymm5,%ymm5,%ymm5
  .byte  197,221,239,229                     // vpxor         %ymm5,%ymm4,%ymm4
  .byte  196,226,125,48,234                  // vpmovzxbw     %xmm2,%ymm5
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,226,125,48,251                  // vpmovzxbw     %xmm3,%ymm7
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,93,213,208                      // vpmullw       %ymm0,%ymm4,%ymm10
  .byte  197,53,213,223                      // vpmullw       %ymm7,%ymm9,%ymm11
  .byte  197,221,213,230                     // vpmullw       %ymm6,%ymm4,%ymm4
  .byte  197,53,213,205                      // vpmullw       %ymm5,%ymm9,%ymm9
  .byte  197,181,253,237                     // vpaddw        %ymm5,%ymm9,%ymm5
  .byte  197,221,253,230                     // vpaddw        %ymm6,%ymm4,%ymm4
  .byte  197,165,253,247                     // vpaddw        %ymm7,%ymm11,%ymm6
  .byte  197,173,253,192                     // vpaddw        %ymm0,%ymm10,%ymm0
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,227,85,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm5,%ymm7
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,197,103,228                     // vpackuswb     %ymm4,%ymm7,%ymm4
  .byte  196,227,77,56,232,1                 // vinserti128   $0x1,%xmm0,%ymm6,%ymm5
  .byte  196,227,77,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm6,%ymm0
  .byte  197,213,103,232                     // vpackuswb     %ymm0,%ymm5,%ymm5
  .byte  196,193,93,252,192                  // vpaddb        %ymm8,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_hsw_8bit
.globl _sk_lerp_u8_hsw_8bit
FUNCTION(_sk_lerp_u8_hsw_8bit)
_sk_lerp_u8_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,106,1,0,0                    // jne           243aa <_sk_lerp_u8_hsw_8bit+0x186>
  .byte  196,129,122,111,36,24               // vmovdqu       (%r8,%r11,1),%xmm4
  .byte  196,226,125,49,236                  // vpmovzxbd     %xmm4,%ymm5
  .byte  197,249,112,228,78                  // vpshufd       $0x4e,%xmm4,%xmm4
  .byte  196,226,125,49,228                  // vpmovzxbd     %xmm4,%ymm4
  .byte  197,253,111,53,131,125,0,0          // vmovdqa       0x7d83(%rip),%ymm6        # 2bfe0 <_sk_overlay_sse2_8bit+0xbc4>
  .byte  196,98,93,0,206                     // vpshufb       %ymm6,%ymm4,%ymm9
  .byte  196,98,85,0,222                     // vpshufb       %ymm6,%ymm5,%ymm11
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,66,125,48,195                   // vpmovzxbw     %xmm11,%ymm8
  .byte  196,99,125,57,220,1                 // vextracti128  $0x1,%ymm11,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,66,125,48,209                   // vpmovzxbw     %xmm9,%ymm10
  .byte  196,99,125,57,205,1                 // vextracti128  $0x1,%ymm9,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,233                     // vpmullw       %ymm1,%ymm5,%ymm5
  .byte  197,45,213,215                      // vpmullw       %ymm7,%ymm10,%ymm10
  .byte  197,221,213,224                     // vpmullw       %ymm0,%ymm4,%ymm4
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,221,253,192                     // vpaddw        %ymm0,%ymm4,%ymm0
  .byte  197,173,253,231                     // vpaddw        %ymm7,%ymm10,%ymm4
  .byte  197,213,253,201                     // vpaddw        %ymm1,%ymm5,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,77,103,208                      // vpackuswb     %ymm0,%ymm6,%ymm10
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,181,239,236                     // vpxor         %ymm4,%ymm9,%ymm5
  .byte  197,165,239,228                     // vpxor         %ymm4,%ymm11,%ymm4
  .byte  196,226,125,48,242                  // vpmovzxbw     %xmm2,%ymm6
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,216,1                // vextracti128  $0x1,%ymm3,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  196,65,37,213,216                   // vpmullw       %ymm8,%ymm11,%ymm11
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  197,53,213,206                      // vpmullw       %ymm6,%ymm9,%ymm9
  .byte  197,181,253,246                     // vpaddw        %ymm6,%ymm9,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm5
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  196,227,77,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm6,%ymm7
  .byte  196,227,77,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm6,%ymm4
  .byte  197,197,103,228                     // vpackuswb     %ymm4,%ymm7,%ymm4
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,232                     // vpackuswb     %ymm0,%ymm6,%ymm5
  .byte  196,193,93,252,194                  // vpaddb        %ymm10,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,15                       // and           $0xf,%r9b
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,14                       // cmp           $0xe,%r9b
  .byte  15,135,132,254,255,255              // ja            24246 <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,199,0,0,0                 // lea           0xc7(%rip),%r10        # 24494 <_sk_lerp_u8_hsw_8bit+0x270>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  197,249,110,224                     // vmovd         %eax,%xmm4
  .byte  233,98,254,255,255                  // jmpq          24246 <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,2,2            // vpinsrb       $0x2,0x2(%r8,%r11,1),%xmm4,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  197,249,110,232                     // vmovd         %eax,%xmm5
  .byte  196,227,89,14,229,1                 // vpblendw      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,66,254,255,255                  // jmpq          24246 <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,6,6            // vpinsrb       $0x6,0x6(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,5,5            // vpinsrb       $0x5,0x5(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,4,4            // vpinsrb       $0x4,0x4(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,121,110,44,24               // vmovd         (%r8,%r11,1),%xmm5
  .byte  196,227,89,2,229,1                  // vpblendd      $0x1,%xmm5,%xmm4,%xmm4
  .byte  233,21,254,255,255                  // jmpq          24246 <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,10,10          // vpinsrb       $0xa,0xa(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,9,9            // vpinsrb       $0x9,0x9(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,8,8            // vpinsrb       $0x8,0x8(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,227,81,2,228,12                 // vpblendd      $0xc,%xmm4,%xmm5,%xmm4
  .byte  233,232,253,255,255                 // jmpq          24246 <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  197,217,239,228                     // vpxor         %xmm4,%xmm4,%xmm4
  .byte  196,131,89,32,100,24,14,14          // vpinsrb       $0xe,0xe(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,13,13          // vpinsrb       $0xd,0xd(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,131,89,32,100,24,12,12          // vpinsrb       $0xc,0xc(%r8,%r11,1),%xmm4,%xmm4
  .byte  196,129,122,126,44,24               // vmovq         (%r8,%r11,1),%xmm5
  .byte  196,131,81,34,108,24,8,2            // vpinsrd       $0x2,0x8(%r8,%r11,1),%xmm5,%xmm5
  .byte  196,227,81,2,228,8                  // vpblendd      $0x8,%xmm4,%xmm5,%xmm4
  .byte  233,179,253,255,255                 // jmpq          24246 <_sk_lerp_u8_hsw_8bit+0x22>
  .byte  144                                 // nop
  .byte  66,255                              // rex.X         (bad)
  .byte  255                                 // (bad)
  .byte  255,92,255,255                      // lcall         *-0x1(%rdi,%rdi,8)
  .byte  255,80,255                          // callq         *-0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255,140,255,255,255,132,255         // decl          -0x7b0001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  124,255                             // jl            244a9 <_sk_lerp_u8_hsw_8bit+0x285>
  .byte  255                                 // (bad)
  .byte  255,112,255                         // pushq         -0x1(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  185,255,255,255,177                 // mov           $0xb1ffffff,%ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,157             // ljmp          *-0x62000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,230                             // jmpq          *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_move_src_dst_hsw_8bit
.globl _sk_move_src_dst_hsw_8bit
FUNCTION(_sk_move_src_dst_hsw_8bit)
_sk_move_src_dst_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,208                      // vmovaps       %ymm0,%ymm2
  .byte  197,252,40,217                      // vmovaps       %ymm1,%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_hsw_8bit
.globl _sk_move_dst_src_hsw_8bit
FUNCTION(_sk_move_dst_src_hsw_8bit)
_sk_move_dst_src_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,40,194                      // vmovaps       %ymm2,%ymm0
  .byte  197,252,40,203                      // vmovaps       %ymm3,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_hsw_8bit
.globl _sk_black_color_hsw_8bit
FUNCTION(_sk_black_color_hsw_8bit)
_sk_black_color_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  196,226,125,24,5,253,116,0,0        // vbroadcastss  0x74fd(%rip),%ymm0        # 2b9f0 <_sk_overlay_sse2_8bit+0x5d4>
  .byte  197,252,40,200                      // vmovaps       %ymm0,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_hsw_8bit
.globl _sk_white_color_hsw_8bit
FUNCTION(_sk_white_color_hsw_8bit)
_sk_white_color_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,118,192                     // vpcmpeqd      %ymm0,%ymm0,%ymm0
  .byte  197,245,118,201                     // vpcmpeqd      %ymm1,%ymm1,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_hsw_8bit
.globl _sk_clear_hsw_8bit
FUNCTION(_sk_clear_hsw_8bit)
_sk_clear_hsw_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,87,192                      // vxorps        %ymm0,%ymm0,%ymm0
  .byte  197,244,87,201                      // vxorps        %ymm1,%ymm1,%ymm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_hsw_8bit
.globl _sk_srcatop_hsw_8bit
FUNCTION(_sk_srcatop_hsw_8bit)
_sk_srcatop_hsw_8bit:
  .byte  197,125,111,5,231,122,0,0           // vmovdqa       0x7ae7(%rip),%ymm8        # 2c000 <_sk_overlay_sse2_8bit+0xbe4>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,232                   // vpshufb       %ymm8,%ymm2,%ymm5
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,198,1                // vextracti128  $0x1,%ymm0,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,213,213,238                     // vpmullw       %ymm6,%ymm5,%ymm5
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,213,103,238                     // vpackuswb     %ymm6,%ymm5,%ymm5
  .byte  196,194,125,0,192                   // vpshufb       %ymm8,%ymm0,%ymm0
  .byte  196,194,117,0,200                   // vpshufb       %ymm8,%ymm1,%ymm1
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  197,245,239,206                     // vpxor         %ymm6,%ymm1,%ymm1
  .byte  197,253,239,198                     // vpxor         %ymm6,%ymm0,%ymm0
  .byte  196,226,125,48,242                  // vpmovzxbw     %xmm2,%ymm6
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,220,1                // vextracti128  $0x1,%ymm3,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,217                   // vpmovzxbw     %xmm1,%ymm11
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,213,201                     // vpmullw       %ymm1,%ymm4,%ymm1
  .byte  196,65,61,213,219                   // vpmullw       %ymm11,%ymm8,%ymm11
  .byte  197,197,213,192                     // vpmullw       %ymm0,%ymm7,%ymm0
  .byte  196,65,77,213,210                   // vpmullw       %ymm10,%ymm6,%ymm10
  .byte  197,173,253,246                     // vpaddw        %ymm6,%ymm10,%ymm6
  .byte  197,253,253,199                     // vpaddw        %ymm7,%ymm0,%ymm0
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  196,227,77,56,248,1                 // vinserti128   $0x1,%xmm0,%ymm6,%ymm7
  .byte  196,227,77,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm6,%ymm0
  .byte  197,197,103,192                     // vpackuswb     %ymm0,%ymm7,%ymm0
  .byte  196,227,93,56,241,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm6
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,205,103,201                     // vpackuswb     %ymm1,%ymm6,%ymm1
  .byte  196,193,125,252,193                 // vpaddb        %ymm9,%ymm0,%ymm0
  .byte  197,245,252,205                     // vpaddb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_hsw_8bit
.globl _sk_dstatop_hsw_8bit
FUNCTION(_sk_dstatop_hsw_8bit)
_sk_dstatop_hsw_8bit:
  .byte  197,125,111,5,162,121,0,0           // vmovdqa       0x79a2(%rip),%ymm8        # 2c020 <_sk_overlay_sse2_8bit+0xc04>
  .byte  196,194,117,0,224                   // vpshufb       %ymm8,%ymm1,%ymm4
  .byte  196,194,125,0,232                   // vpshufb       %ymm8,%ymm0,%ymm5
  .byte  196,98,125,48,210                   // vpmovzxbw     %xmm2,%ymm10
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,203                   // vpmovzxbw     %xmm3,%ymm9
  .byte  196,227,125,57,223,1                // vextracti128  $0x1,%ymm3,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,197,213,228                     // vpmullw       %ymm4,%ymm7,%ymm4
  .byte  196,65,53,213,228                   // vpmullw       %ymm12,%ymm9,%ymm12
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,219                   // vpmullw       %ymm11,%ymm10,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,181,103,228                     // vpackuswb     %ymm4,%ymm9,%ymm4
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,213,103,238                     // vpackuswb     %ymm6,%ymm5,%ymm5
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,194,101,0,248                   // vpshufb       %ymm8,%ymm3,%ymm7
  .byte  196,65,61,118,192                   // vpcmpeqd      %ymm8,%ymm8,%ymm8
  .byte  196,193,69,239,248                  // vpxor         %ymm8,%ymm7,%ymm7
  .byte  196,193,77,239,240                  // vpxor         %ymm8,%ymm6,%ymm6
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,214                   // vpmovzxbw     %xmm6,%ymm10
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,223                   // vpmovzxbw     %xmm7,%ymm11
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,197,213,249                     // vpmullw       %ymm1,%ymm7,%ymm7
  .byte  196,65,37,213,217                   // vpmullw       %ymm9,%ymm11,%ymm11
  .byte  197,205,213,240                     // vpmullw       %ymm0,%ymm6,%ymm6
  .byte  196,65,45,213,208                   // vpmullw       %ymm8,%ymm10,%ymm10
  .byte  196,65,45,253,192                   // vpaddw        %ymm8,%ymm10,%ymm8
  .byte  197,205,253,192                     // vpaddw        %ymm0,%ymm6,%ymm0
  .byte  196,193,37,253,241                  // vpaddw        %ymm9,%ymm11,%ymm6
  .byte  197,197,253,201                     // vpaddw        %ymm1,%ymm7,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,192,1                  // vinserti128   $0x1,%xmm0,%ymm7,%ymm8
  .byte  196,227,69,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm7,%ymm0
  .byte  197,189,103,192                     // vpackuswb     %ymm0,%ymm8,%ymm0
  .byte  196,227,77,56,249,1                 // vinserti128   $0x1,%xmm1,%ymm6,%ymm7
  .byte  196,227,77,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm6,%ymm1
  .byte  197,197,103,201                     // vpackuswb     %ymm1,%ymm7,%ymm1
  .byte  197,253,252,196                     // vpaddb        %ymm4,%ymm0,%ymm0
  .byte  197,245,252,205                     // vpaddb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_hsw_8bit
.globl _sk_srcin_hsw_8bit
FUNCTION(_sk_srcin_hsw_8bit)
_sk_srcin_hsw_8bit:
  .byte  197,253,111,37,89,120,0,0           // vmovdqa       0x7859(%rip),%ymm4        # 2c040 <_sk_overlay_sse2_8bit+0xc24>
  .byte  196,226,101,0,236                   // vpshufb       %ymm4,%ymm3,%ymm5
  .byte  196,226,109,0,228                   // vpshufb       %ymm4,%ymm2,%ymm4
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,196                   // vpmovzxbw     %xmm4,%ymm8
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,205                   // vpmovzxbw     %xmm5,%ymm9
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,233                     // vpmullw       %ymm1,%ymm5,%ymm5
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,221,213,224                     // vpmullw       %ymm0,%ymm4,%ymm4
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,221,253,192                     // vpaddw        %ymm0,%ymm4,%ymm0
  .byte  197,181,253,231                     // vpaddw        %ymm7,%ymm9,%ymm4
  .byte  197,213,253,201                     // vpaddw        %ymm1,%ymm5,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_hsw_8bit
.globl _sk_dstin_hsw_8bit
FUNCTION(_sk_dstin_hsw_8bit)
_sk_dstin_hsw_8bit:
  .byte  197,253,111,37,207,119,0,0          // vmovdqa       0x77cf(%rip),%ymm4        # 2c060 <_sk_overlay_sse2_8bit+0xc44>
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,125,48,226                  // vpmovzxbw     %xmm2,%ymm4
  .byte  196,227,125,57,213,1                // vextracti128  $0x1,%ymm2,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,226,125,48,243                  // vpmovzxbw     %xmm3,%ymm6
  .byte  196,227,125,57,223,1                // vextracti128  $0x1,%ymm3,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,197,213,201                     // vpmullw       %ymm1,%ymm7,%ymm1
  .byte  196,65,77,213,201                   // vpmullw       %ymm9,%ymm6,%ymm9
  .byte  197,213,213,192                     // vpmullw       %ymm0,%ymm5,%ymm0
  .byte  196,65,93,213,192                   // vpmullw       %ymm8,%ymm4,%ymm8
  .byte  197,189,253,228                     // vpaddw        %ymm4,%ymm8,%ymm4
  .byte  197,253,253,197                     // vpaddw        %ymm5,%ymm0,%ymm0
  .byte  197,181,253,238                     // vpaddw        %ymm6,%ymm9,%ymm5
  .byte  197,245,253,207                     // vpaddw        %ymm7,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_hsw_8bit
.globl _sk_srcout_hsw_8bit
FUNCTION(_sk_srcout_hsw_8bit)
_sk_srcout_hsw_8bit:
  .byte  197,253,111,37,67,119,0,0           // vmovdqa       0x7743(%rip),%ymm4        # 2c080 <_sk_overlay_sse2_8bit+0xc64>
  .byte  196,226,109,0,236                   // vpshufb       %ymm4,%ymm2,%ymm5
  .byte  196,226,101,0,228                   // vpshufb       %ymm4,%ymm3,%ymm4
  .byte  197,205,118,246                     // vpcmpeqd      %ymm6,%ymm6,%ymm6
  .byte  197,221,239,230                     // vpxor         %ymm6,%ymm4,%ymm4
  .byte  197,213,239,238                     // vpxor         %ymm6,%ymm5,%ymm5
  .byte  196,226,125,48,240                  // vpmovzxbw     %xmm0,%ymm6
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,249                  // vpmovzxbw     %xmm1,%ymm7
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,197                   // vpmovzxbw     %xmm5,%ymm8
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,225                     // vpmullw       %ymm1,%ymm4,%ymm4
  .byte  197,53,213,207                      // vpmullw       %ymm7,%ymm9,%ymm9
  .byte  197,213,213,232                     // vpmullw       %ymm0,%ymm5,%ymm5
  .byte  197,61,213,198                      // vpmullw       %ymm6,%ymm8,%ymm8
  .byte  197,189,253,246                     // vpaddw        %ymm6,%ymm8,%ymm6
  .byte  197,213,253,192                     // vpaddw        %ymm0,%ymm5,%ymm0
  .byte  197,181,253,239                     // vpaddw        %ymm7,%ymm9,%ymm5
  .byte  197,221,253,201                     // vpaddw        %ymm1,%ymm4,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_hsw_8bit
.globl _sk_dstout_hsw_8bit
FUNCTION(_sk_dstout_hsw_8bit)
_sk_dstout_hsw_8bit:
  .byte  197,253,111,37,173,118,0,0          // vmovdqa       0x76ad(%rip),%ymm4        # 2c0a0 <_sk_overlay_sse2_8bit+0xc84>
  .byte  196,226,125,0,196                   // vpshufb       %ymm4,%ymm0,%ymm0
  .byte  196,226,117,0,204                   // vpshufb       %ymm4,%ymm1,%ymm1
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,245,239,204                     // vpxor         %ymm4,%ymm1,%ymm1
  .byte  197,253,239,196                     // vpxor         %ymm4,%ymm0,%ymm0
  .byte  196,226,125,48,226                  // vpmovzxbw     %xmm2,%ymm4
  .byte  196,227,125,57,213,1                // vextracti128  $0x1,%ymm2,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,226,125,48,243                  // vpmovzxbw     %xmm3,%ymm6
  .byte  196,227,125,57,223,1                // vextracti128  $0x1,%ymm3,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,197,213,201                     // vpmullw       %ymm1,%ymm7,%ymm1
  .byte  196,65,77,213,201                   // vpmullw       %ymm9,%ymm6,%ymm9
  .byte  197,213,213,192                     // vpmullw       %ymm0,%ymm5,%ymm0
  .byte  196,65,93,213,192                   // vpmullw       %ymm8,%ymm4,%ymm8
  .byte  197,189,253,228                     // vpaddw        %ymm4,%ymm8,%ymm4
  .byte  197,253,253,197                     // vpaddw        %ymm5,%ymm0,%ymm0
  .byte  197,181,253,238                     // vpaddw        %ymm6,%ymm9,%ymm5
  .byte  197,245,253,207                     // vpaddw        %ymm7,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_hsw_8bit
.globl _sk_srcover_hsw_8bit
FUNCTION(_sk_srcover_hsw_8bit)
_sk_srcover_hsw_8bit:
  .byte  197,253,111,37,21,118,0,0           // vmovdqa       0x7615(%rip),%ymm4        # 2c0c0 <_sk_overlay_sse2_8bit+0xca4>
  .byte  196,226,117,0,236                   // vpshufb       %ymm4,%ymm1,%ymm5
  .byte  196,226,125,0,228                   // vpshufb       %ymm4,%ymm0,%ymm4
  .byte  196,98,125,48,202                   // vpmovzxbw     %xmm2,%ymm9
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,212                   // vpmovzxbw     %xmm4,%ymm10
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,61,213,219                   // vpmullw       %ymm11,%ymm8,%ymm11
  .byte  197,197,213,228                     // vpmullw       %ymm4,%ymm7,%ymm4
  .byte  196,65,53,213,210                   // vpmullw       %ymm10,%ymm9,%ymm10
  .byte  196,65,45,253,201                   // vpaddw        %ymm9,%ymm10,%ymm9
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,209,8                // vpsrlw        $0x8,%ymm9,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_hsw_8bit
.globl _sk_dstover_hsw_8bit
FUNCTION(_sk_dstover_hsw_8bit)
_sk_dstover_hsw_8bit:
  .byte  197,253,111,37,118,117,0,0          // vmovdqa       0x7576(%rip),%ymm4        # 2c0e0 <_sk_overlay_sse2_8bit+0xcc4>
  .byte  196,226,101,0,236                   // vpshufb       %ymm4,%ymm3,%ymm5
  .byte  196,226,109,0,228                   // vpshufb       %ymm4,%ymm2,%ymm4
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,227,125,57,199,1                // vextracti128  $0x1,%ymm0,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,193                   // vpmovzxbw     %xmm1,%ymm8
  .byte  196,227,125,57,206,1                // vextracti128  $0x1,%ymm1,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,212                   // vpmovzxbw     %xmm4,%ymm10
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,221                   // vpmovzxbw     %xmm5,%ymm11
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,238                     // vpmullw       %ymm6,%ymm5,%ymm5
  .byte  196,65,37,213,216                   // vpmullw       %ymm8,%ymm11,%ymm11
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,45,213,209                   // vpmullw       %ymm9,%ymm10,%ymm10
  .byte  196,65,45,253,201                   // vpaddw        %ymm9,%ymm10,%ymm9
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  196,193,37,253,248                  // vpaddw        %ymm8,%ymm11,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,209,8                // vpsrlw        $0x8,%ymm9,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_hsw_8bit
.globl _sk_modulate_hsw_8bit
FUNCTION(_sk_modulate_hsw_8bit)
_sk_modulate_hsw_8bit:
  .byte  196,226,125,48,224                  // vpmovzxbw     %xmm0,%ymm4
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,226,125,48,233                  // vpmovzxbw     %xmm1,%ymm5
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  196,98,125,48,202                   // vpmovzxbw     %xmm2,%ymm9
  .byte  196,227,125,57,215,1                // vextracti128  $0x1,%ymm2,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  197,205,213,241                     // vpmullw       %ymm1,%ymm6,%ymm6
  .byte  197,61,213,197                      // vpmullw       %ymm5,%ymm8,%ymm8
  .byte  197,197,213,248                     // vpmullw       %ymm0,%ymm7,%ymm7
  .byte  197,53,213,204                      // vpmullw       %ymm4,%ymm9,%ymm9
  .byte  197,181,253,228                     // vpaddw        %ymm4,%ymm9,%ymm4
  .byte  197,197,253,192                     // vpaddw        %ymm0,%ymm7,%ymm0
  .byte  197,189,253,237                     // vpaddw        %ymm5,%ymm8,%ymm5
  .byte  197,205,253,201                     // vpaddw        %ymm1,%ymm6,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,227,93,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm4,%ymm6
  .byte  196,227,93,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm4,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,85,56,225,1                 // vinserti128   $0x1,%xmm1,%ymm5,%ymm4
  .byte  196,227,85,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm5,%ymm1
  .byte  197,221,103,201                     // vpackuswb     %ymm1,%ymm4,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_hsw_8bit
.globl _sk_multiply_hsw_8bit
FUNCTION(_sk_multiply_hsw_8bit)
_sk_multiply_hsw_8bit:
  .byte  197,253,111,243                     // vmovdqa       %ymm3,%ymm6
  .byte  197,253,111,218                     // vmovdqa       %ymm2,%ymm3
  .byte  197,125,111,13,55,116,0,0           // vmovdqa       0x7437(%rip),%ymm9        # 2c100 <_sk_overlay_sse2_8bit+0xce4>
  .byte  196,194,101,0,225                   // vpshufb       %ymm9,%ymm3,%ymm4
  .byte  196,194,77,0,233                    // vpshufb       %ymm9,%ymm6,%ymm5
  .byte  196,65,45,118,210                   // vpcmpeqd      %ymm10,%ymm10,%ymm10
  .byte  196,65,85,239,194                   // vpxor         %ymm10,%ymm5,%ymm8
  .byte  196,65,93,239,218                   // vpxor         %ymm10,%ymm4,%ymm11
  .byte  196,98,125,48,232                   // vpmovzxbw     %xmm0,%ymm13
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,98,125,48,245                   // vpmovzxbw     %xmm5,%ymm14
  .byte  196,226,125,48,209                  // vpmovzxbw     %xmm1,%ymm2
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,66,125,48,227                   // vpmovzxbw     %xmm11,%ymm12
  .byte  196,99,125,57,220,1                 // vextracti128  $0x1,%ymm11,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,66,125,48,216                   // vpmovzxbw     %xmm8,%ymm11
  .byte  196,99,125,57,197,1                 // vextracti128  $0x1,%ymm8,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,213,213,239                     // vpmullw       %ymm7,%ymm5,%ymm5
  .byte  197,37,213,194                      // vpmullw       %ymm2,%ymm11,%ymm8
  .byte  196,193,93,213,230                  // vpmullw       %ymm14,%ymm4,%ymm4
  .byte  196,65,29,213,221                   // vpmullw       %ymm13,%ymm12,%ymm11
  .byte  196,65,37,253,221                   // vpaddw        %ymm13,%ymm11,%ymm11
  .byte  196,193,93,253,230                  // vpaddw        %ymm14,%ymm4,%ymm4
  .byte  197,61,253,194                      // vpaddw        %ymm2,%ymm8,%ymm8
  .byte  197,213,253,239                     // vpaddw        %ymm7,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,193,29,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm12
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,61,113,211,8                // vpsrlw        $0x8,%ymm11,%ymm8
  .byte  196,99,61,56,220,1                  // vinserti128   $0x1,%xmm4,%ymm8,%ymm11
  .byte  196,227,61,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm8,%ymm4
  .byte  197,37,103,196                      // vpackuswb     %ymm4,%ymm11,%ymm8
  .byte  196,227,29,56,229,1                 // vinserti128   $0x1,%xmm5,%ymm12,%ymm4
  .byte  196,227,29,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm12,%ymm5
  .byte  197,93,103,221                      // vpackuswb     %ymm5,%ymm4,%ymm11
  .byte  196,194,125,0,193                   // vpshufb       %ymm9,%ymm0,%ymm0
  .byte  196,194,117,0,201                   // vpshufb       %ymm9,%ymm1,%ymm1
  .byte  196,65,117,239,226                  // vpxor         %ymm10,%ymm1,%ymm12
  .byte  196,193,125,239,226                 // vpxor         %ymm10,%ymm0,%ymm4
  .byte  196,226,125,48,195                  // vpmovzxbw     %xmm3,%ymm0
  .byte  196,227,125,57,217,1                // vextracti128  $0x1,%ymm3,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,254,127,116,36,200              // vmovdqu       %ymm6,-0x38(%rsp)
  .byte  196,98,125,48,206                   // vpmovzxbw     %xmm6,%ymm9
  .byte  196,227,125,57,245,1                // vextracti128  $0x1,%ymm6,%xmm5
  .byte  196,98,125,48,213                   // vpmovzxbw     %xmm5,%ymm10
  .byte  196,226,125,48,236                  // vpmovzxbw     %xmm4,%ymm5
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,245,213,228                     // vpmullw       %ymm4,%ymm1,%ymm4
  .byte  197,253,213,237                     // vpmullw       %ymm5,%ymm0,%ymm5
  .byte  197,213,253,232                     // vpaddw        %ymm0,%ymm5,%ymm5
  .byte  197,221,253,225                     // vpaddw        %ymm1,%ymm4,%ymm4
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,99,85,56,252,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm15
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  196,194,125,48,236                  // vpmovzxbw     %xmm12,%ymm5
  .byte  196,99,125,57,230,1                 // vextracti128  $0x1,%ymm12,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  197,173,213,246                     // vpmullw       %ymm6,%ymm10,%ymm6
  .byte  197,181,213,237                     // vpmullw       %ymm5,%ymm9,%ymm5
  .byte  196,193,85,253,233                  // vpaddw        %ymm9,%ymm5,%ymm5
  .byte  196,193,77,253,242                  // vpaddw        %ymm10,%ymm6,%ymm6
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,133,103,228                     // vpackuswb     %ymm4,%ymm15,%ymm4
  .byte  196,99,85,56,230,1                  // vinserti128   $0x1,%xmm6,%ymm5,%ymm12
  .byte  196,227,85,70,238,49                // vperm2i128    $0x31,%ymm6,%ymm5,%ymm5
  .byte  197,157,103,237                     // vpackuswb     %ymm5,%ymm12,%ymm5
  .byte  196,193,85,252,235                  // vpaddb        %ymm11,%ymm5,%ymm5
  .byte  196,193,93,252,224                  // vpaddb        %ymm8,%ymm4,%ymm4
  .byte  196,193,125,213,197                 // vpmullw       %ymm13,%ymm0,%ymm0
  .byte  196,193,125,253,197                 // vpaddw        %ymm13,%ymm0,%ymm0
  .byte  196,193,117,213,206                 // vpmullw       %ymm14,%ymm1,%ymm1
  .byte  196,193,117,253,206                 // vpaddw        %ymm14,%ymm1,%ymm1
  .byte  197,181,213,242                     // vpmullw       %ymm2,%ymm9,%ymm6
  .byte  197,205,253,210                     // vpaddw        %ymm2,%ymm6,%ymm2
  .byte  197,173,213,247                     // vpmullw       %ymm7,%ymm10,%ymm6
  .byte  197,205,253,247                     // vpaddw        %ymm7,%ymm6,%ymm6
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  196,227,125,56,249,1                // vinserti128   $0x1,%xmm1,%ymm0,%ymm7
  .byte  196,227,125,70,193,49               // vperm2i128    $0x31,%ymm1,%ymm0,%ymm0
  .byte  197,245,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm1
  .byte  197,237,113,210,8                   // vpsrlw        $0x8,%ymm2,%ymm2
  .byte  197,197,103,192                     // vpackuswb     %ymm0,%ymm7,%ymm0
  .byte  196,227,109,56,241,1                // vinserti128   $0x1,%xmm1,%ymm2,%ymm6
  .byte  196,227,109,70,201,49               // vperm2i128    $0x31,%ymm1,%ymm2,%ymm1
  .byte  197,205,103,201                     // vpackuswb     %ymm1,%ymm6,%ymm1
  .byte  197,221,252,192                     // vpaddb        %ymm0,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,253,111,211                     // vmovdqa       %ymm3,%ymm2
  .byte  197,252,16,92,36,200                // vmovups       -0x38(%rsp),%ymm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_hsw_8bit
.globl _sk_screen_hsw_8bit
FUNCTION(_sk_screen_hsw_8bit)
_sk_screen_hsw_8bit:
  .byte  197,221,118,228                     // vpcmpeqd      %ymm4,%ymm4,%ymm4
  .byte  197,245,239,236                     // vpxor         %ymm4,%ymm1,%ymm5
  .byte  197,253,239,228                     // vpxor         %ymm4,%ymm0,%ymm4
  .byte  196,98,125,48,204                   // vpmovzxbw     %xmm4,%ymm9
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,226,125,48,253                  // vpmovzxbw     %xmm5,%ymm7
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  197,45,213,215                      // vpmullw       %ymm7,%ymm10,%ymm10
  .byte  197,37,213,220                      // vpmullw       %ymm4,%ymm11,%ymm11
  .byte  196,65,61,213,193                   // vpmullw       %ymm9,%ymm8,%ymm8
  .byte  196,65,61,253,193                   // vpaddw        %ymm9,%ymm8,%ymm8
  .byte  197,165,253,228                     // vpaddw        %ymm4,%ymm11,%ymm4
  .byte  197,173,253,255                     // vpaddw        %ymm7,%ymm10,%ymm7
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,221,252,192                     // vpaddb        %ymm0,%ymm4,%ymm0
  .byte  197,213,252,201                     // vpaddb        %ymm1,%ymm5,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__hsw_8bit
.globl _sk_xor__hsw_8bit
FUNCTION(_sk_xor__hsw_8bit)
_sk_xor__hsw_8bit:
  .byte  197,125,111,13,197,113,0,0          // vmovdqa       0x71c5(%rip),%ymm9        # 2c120 <_sk_overlay_sse2_8bit+0xd04>
  .byte  196,194,109,0,225                   // vpshufb       %ymm9,%ymm2,%ymm4
  .byte  196,194,101,0,249                   // vpshufb       %ymm9,%ymm3,%ymm7
  .byte  196,65,37,118,219                   // vpcmpeqd      %ymm11,%ymm11,%ymm11
  .byte  196,193,69,239,251                  // vpxor         %ymm11,%ymm7,%ymm7
  .byte  196,193,93,239,227                  // vpxor         %ymm11,%ymm4,%ymm4
  .byte  196,98,125,48,192                   // vpmovzxbw     %xmm0,%ymm8
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,209                   // vpmovzxbw     %xmm1,%ymm10
  .byte  196,227,125,57,206,1                // vextracti128  $0x1,%ymm1,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,239                   // vpmovzxbw     %xmm7,%ymm13
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,197,213,254                     // vpmullw       %ymm6,%ymm7,%ymm7
  .byte  196,65,21,213,234                   // vpmullw       %ymm10,%ymm13,%ymm13
  .byte  197,221,213,229                     // vpmullw       %ymm5,%ymm4,%ymm4
  .byte  196,65,29,213,224                   // vpmullw       %ymm8,%ymm12,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,221,253,229                     // vpaddw        %ymm5,%ymm4,%ymm4
  .byte  196,193,21,253,234                  // vpaddw        %ymm10,%ymm13,%ymm5
  .byte  197,197,253,246                     // vpaddw        %ymm6,%ymm7,%ymm6
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,61,103,212                      // vpackuswb     %ymm4,%ymm8,%ymm10
  .byte  196,227,85,56,254,1                 // vinserti128   $0x1,%xmm6,%ymm5,%ymm7
  .byte  196,227,85,70,238,49                // vperm2i128    $0x31,%ymm6,%ymm5,%ymm5
  .byte  197,197,103,253                     // vpackuswb     %ymm5,%ymm7,%ymm7
  .byte  196,194,125,0,193                   // vpshufb       %ymm9,%ymm0,%ymm0
  .byte  196,194,117,0,201                   // vpshufb       %ymm9,%ymm1,%ymm1
  .byte  196,193,117,239,203                 // vpxor         %ymm11,%ymm1,%ymm1
  .byte  196,193,125,239,195                 // vpxor         %ymm11,%ymm0,%ymm0
  .byte  196,226,125,48,234                  // vpmovzxbw     %xmm2,%ymm5
  .byte  196,227,125,57,214,1                // vextracti128  $0x1,%ymm2,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,195                   // vpmovzxbw     %xmm3,%ymm8
  .byte  196,227,125,57,220,1                // vextracti128  $0x1,%ymm3,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,227,125,57,192,1                // vextracti128  $0x1,%ymm0,%xmm0
  .byte  196,226,125,48,192                  // vpmovzxbw     %xmm0,%ymm0
  .byte  196,98,125,48,217                   // vpmovzxbw     %xmm1,%ymm11
  .byte  196,227,125,57,201,1                // vextracti128  $0x1,%ymm1,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,221,213,201                     // vpmullw       %ymm1,%ymm4,%ymm1
  .byte  196,65,61,213,219                   // vpmullw       %ymm11,%ymm8,%ymm11
  .byte  197,205,213,192                     // vpmullw       %ymm0,%ymm6,%ymm0
  .byte  196,65,85,213,201                   // vpmullw       %ymm9,%ymm5,%ymm9
  .byte  197,181,253,237                     // vpaddw        %ymm5,%ymm9,%ymm5
  .byte  197,253,253,198                     // vpaddw        %ymm6,%ymm0,%ymm0
  .byte  196,193,37,253,240                  // vpaddw        %ymm8,%ymm11,%ymm6
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  197,245,113,209,8                   // vpsrlw        $0x8,%ymm1,%ymm1
  .byte  197,221,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm4
  .byte  197,253,113,208,8                   // vpsrlw        $0x8,%ymm0,%ymm0
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,227,85,56,240,1                 // vinserti128   $0x1,%xmm0,%ymm5,%ymm6
  .byte  196,227,85,70,192,49                // vperm2i128    $0x31,%ymm0,%ymm5,%ymm0
  .byte  197,205,103,192                     // vpackuswb     %ymm0,%ymm6,%ymm0
  .byte  196,227,93,56,233,1                 // vinserti128   $0x1,%xmm1,%ymm4,%ymm5
  .byte  196,227,93,70,201,49                // vperm2i128    $0x31,%ymm1,%ymm4,%ymm1
  .byte  197,213,103,201                     // vpackuswb     %ymm1,%ymm5,%ymm1
  .byte  196,193,125,252,194                 // vpaddb        %ymm10,%ymm0,%ymm0
  .byte  197,245,252,207                     // vpaddb        %ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__hsw_8bit
.globl _sk_plus__hsw_8bit
FUNCTION(_sk_plus__hsw_8bit)
_sk_plus__hsw_8bit:
  .byte  197,253,220,194                     // vpaddusb      %ymm2,%ymm0,%ymm0
  .byte  197,245,220,203                     // vpaddusb      %ymm3,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_hsw_8bit
.globl _sk_darken_hsw_8bit
FUNCTION(_sk_darken_hsw_8bit)
_sk_darken_hsw_8bit:
  .byte  197,125,111,5,103,112,0,0           // vmovdqa       0x7067(%rip),%ymm8        # 2c140 <_sk_overlay_sse2_8bit+0xd24>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,85,103,222                      // vpackuswb     %ymm6,%ymm5,%ymm11
  .byte  196,194,117,0,232                   // vpshufb       %ymm8,%ymm1,%ymm5
  .byte  196,194,125,0,248                   // vpshufb       %ymm8,%ymm0,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,231                   // vpmovzxbw     %xmm7,%ymm12
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,237                   // vpmovzxbw     %xmm5,%ymm13
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,255                     // vpmullw       %ymm7,%ymm4,%ymm7
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,197,253,228                     // vpaddw        %ymm4,%ymm7,%ymm4
  .byte  196,193,21,253,250                  // vpaddw        %ymm10,%ymm13,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,222,244                     // vpmaxub       %ymm4,%ymm9,%ymm6
  .byte  197,165,222,253                     // vpmaxub       %ymm5,%ymm11,%ymm7
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,255                     // vpsubb        %ymm7,%ymm1,%ymm7
  .byte  197,253,248,246                     // vpsubb        %ymm6,%ymm0,%ymm6
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,88,37,172,103,0,0       // vpbroadcastd  0x67ac(%rip),%ymm4        # 2b9f4 <_sk_overlay_sse2_8bit+0x5d8>
  .byte  196,227,125,76,198,64               // vpblendvb     %ymm4,%ymm6,%ymm0,%ymm0
  .byte  196,227,117,76,207,64               // vpblendvb     %ymm4,%ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_hsw_8bit
.globl _sk_lighten_hsw_8bit
FUNCTION(_sk_lighten_hsw_8bit)
_sk_lighten_hsw_8bit:
  .byte  197,125,111,5,0,111,0,0             // vmovdqa       0x6f00(%rip),%ymm8        # 2c160 <_sk_overlay_sse2_8bit+0xd44>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,85,103,222                      // vpackuswb     %ymm6,%ymm5,%ymm11
  .byte  196,194,117,0,232                   // vpshufb       %ymm8,%ymm1,%ymm5
  .byte  196,194,125,0,248                   // vpshufb       %ymm8,%ymm0,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,231                   // vpmovzxbw     %xmm7,%ymm12
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,237                   // vpmovzxbw     %xmm5,%ymm13
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,255                     // vpmullw       %ymm7,%ymm4,%ymm7
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,197,253,228                     // vpaddw        %ymm4,%ymm7,%ymm4
  .byte  196,193,21,253,250                  // vpaddw        %ymm10,%ymm13,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,218,244                     // vpminub       %ymm4,%ymm9,%ymm6
  .byte  197,165,218,253                     // vpminub       %ymm5,%ymm11,%ymm7
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,255                     // vpsubb        %ymm7,%ymm1,%ymm7
  .byte  197,253,248,246                     // vpsubb        %ymm6,%ymm0,%ymm6
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,88,37,37,102,0,0        // vpbroadcastd  0x6625(%rip),%ymm4        # 2b9f4 <_sk_overlay_sse2_8bit+0x5d8>
  .byte  196,227,125,76,198,64               // vpblendvb     %ymm4,%ymm6,%ymm0,%ymm0
  .byte  196,227,117,76,207,64               // vpblendvb     %ymm4,%ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_hsw_8bit
.globl _sk_exclusion_hsw_8bit
FUNCTION(_sk_exclusion_hsw_8bit)
_sk_exclusion_hsw_8bit:
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,226,125,48,241                  // vpmovzxbw     %xmm1,%ymm6
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,98,125,48,220                   // vpmovzxbw     %xmm4,%ymm11
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,220,1                // vextracti128  $0x1,%ymm3,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  197,45,213,214                      // vpmullw       %ymm6,%ymm10,%ymm10
  .byte  197,37,213,221                      // vpmullw       %ymm5,%ymm11,%ymm11
  .byte  196,65,61,213,193                   // vpmullw       %ymm9,%ymm8,%ymm8
  .byte  196,65,61,253,193                   // vpaddw        %ymm9,%ymm8,%ymm8
  .byte  197,165,253,237                     // vpaddw        %ymm5,%ymm11,%ymm5
  .byte  197,173,253,246                     // vpaddw        %ymm6,%ymm10,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,197,1                  // vinserti128   $0x1,%xmm5,%ymm7,%ymm8
  .byte  196,227,69,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm7,%ymm5
  .byte  197,189,103,237                     // vpackuswb     %ymm5,%ymm8,%ymm5
  .byte  196,227,77,56,252,1                 // vinserti128   $0x1,%xmm4,%ymm6,%ymm7
  .byte  196,227,77,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm6,%ymm4
  .byte  197,197,103,228                     // vpackuswb     %ymm4,%ymm7,%ymm4
  .byte  197,253,111,53,2,109,0,0            // vmovdqa       0x6d02(%rip),%ymm6        # 2c180 <_sk_overlay_sse2_8bit+0xd64>
  .byte  197,221,219,254                     // vpand         %ymm6,%ymm4,%ymm7
  .byte  197,213,219,246                     // vpand         %ymm6,%ymm5,%ymm6
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,204                     // vpsubb        %ymm4,%ymm1,%ymm1
  .byte  197,253,248,197                     // vpsubb        %ymm5,%ymm0,%ymm0
  .byte  197,253,248,198                     // vpsubb        %ymm6,%ymm0,%ymm0
  .byte  197,245,248,207                     // vpsubb        %ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_hsw_8bit
.globl _sk_difference_hsw_8bit
FUNCTION(_sk_difference_hsw_8bit)
_sk_difference_hsw_8bit:
  .byte  197,125,111,5,246,108,0,0           // vmovdqa       0x6cf6(%rip),%ymm8        # 2c1a0 <_sk_overlay_sse2_8bit+0xd84>
  .byte  196,194,101,0,224                   // vpshufb       %ymm8,%ymm3,%ymm4
  .byte  196,194,109,0,240                   // vpshufb       %ymm8,%ymm2,%ymm6
  .byte  196,98,125,48,208                   // vpmovzxbw     %xmm0,%ymm10
  .byte  196,227,125,57,197,1                // vextracti128  $0x1,%ymm0,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  196,98,125,48,201                   // vpmovzxbw     %xmm1,%ymm9
  .byte  196,227,125,57,207,1                // vextracti128  $0x1,%ymm1,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,222                   // vpmovzxbw     %xmm6,%ymm11
  .byte  196,227,125,57,246,1                // vextracti128  $0x1,%ymm6,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,228                   // vpmovzxbw     %xmm4,%ymm12
  .byte  196,227,125,57,228,1                // vextracti128  $0x1,%ymm4,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  197,221,213,231                     // vpmullw       %ymm7,%ymm4,%ymm4
  .byte  196,65,29,213,225                   // vpmullw       %ymm9,%ymm12,%ymm12
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  196,65,37,213,218                   // vpmullw       %ymm10,%ymm11,%ymm11
  .byte  196,65,37,253,210                   // vpaddw        %ymm10,%ymm11,%ymm10
  .byte  197,205,253,237                     // vpaddw        %ymm5,%ymm6,%ymm5
  .byte  196,193,29,253,241                  // vpaddw        %ymm9,%ymm12,%ymm6
  .byte  197,221,253,231                     // vpaddw        %ymm7,%ymm4,%ymm4
  .byte  197,197,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm7
  .byte  197,205,113,214,8                   // vpsrlw        $0x8,%ymm6,%ymm6
  .byte  197,221,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm4
  .byte  196,193,85,113,210,8                // vpsrlw        $0x8,%ymm10,%ymm5
  .byte  196,99,85,56,204,1                  // vinserti128   $0x1,%xmm4,%ymm5,%ymm9
  .byte  196,227,85,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm5,%ymm4
  .byte  197,53,103,204                      // vpackuswb     %ymm4,%ymm9,%ymm9
  .byte  196,227,77,56,239,1                 // vinserti128   $0x1,%xmm7,%ymm6,%ymm5
  .byte  196,227,77,70,247,49                // vperm2i128    $0x31,%ymm7,%ymm6,%ymm6
  .byte  197,85,103,222                      // vpackuswb     %ymm6,%ymm5,%ymm11
  .byte  196,194,117,0,232                   // vpshufb       %ymm8,%ymm1,%ymm5
  .byte  196,194,125,0,248                   // vpshufb       %ymm8,%ymm0,%ymm7
  .byte  196,98,125,48,194                   // vpmovzxbw     %xmm2,%ymm8
  .byte  196,227,125,57,212,1                // vextracti128  $0x1,%ymm2,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,98,125,48,211                   // vpmovzxbw     %xmm3,%ymm10
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,231                   // vpmovzxbw     %xmm7,%ymm12
  .byte  196,227,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  196,98,125,48,237                   // vpmovzxbw     %xmm5,%ymm13
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,205,213,237                     // vpmullw       %ymm5,%ymm6,%ymm5
  .byte  196,65,45,213,237                   // vpmullw       %ymm13,%ymm10,%ymm13
  .byte  197,221,213,255                     // vpmullw       %ymm7,%ymm4,%ymm7
  .byte  196,65,61,213,228                   // vpmullw       %ymm12,%ymm8,%ymm12
  .byte  196,65,29,253,192                   // vpaddw        %ymm8,%ymm12,%ymm8
  .byte  197,197,253,228                     // vpaddw        %ymm4,%ymm7,%ymm4
  .byte  196,193,21,253,250                  // vpaddw        %ymm10,%ymm13,%ymm7
  .byte  197,213,253,238                     // vpaddw        %ymm6,%ymm5,%ymm5
  .byte  197,213,113,213,8                   // vpsrlw        $0x8,%ymm5,%ymm5
  .byte  197,205,113,215,8                   // vpsrlw        $0x8,%ymm7,%ymm6
  .byte  197,221,113,212,8                   // vpsrlw        $0x8,%ymm4,%ymm4
  .byte  196,193,69,113,208,8                // vpsrlw        $0x8,%ymm8,%ymm7
  .byte  196,99,69,56,196,1                  // vinserti128   $0x1,%xmm4,%ymm7,%ymm8
  .byte  196,227,69,70,228,49                // vperm2i128    $0x31,%ymm4,%ymm7,%ymm4
  .byte  197,189,103,228                     // vpackuswb     %ymm4,%ymm8,%ymm4
  .byte  196,227,77,56,253,1                 // vinserti128   $0x1,%xmm5,%ymm6,%ymm7
  .byte  196,227,77,70,237,49                // vperm2i128    $0x31,%ymm5,%ymm6,%ymm5
  .byte  197,197,103,237                     // vpackuswb     %ymm5,%ymm7,%ymm5
  .byte  197,181,218,228                     // vpminub       %ymm4,%ymm9,%ymm4
  .byte  197,165,218,237                     // vpminub       %ymm5,%ymm11,%ymm5
  .byte  197,253,111,53,192,107,0,0          // vmovdqa       0x6bc0(%rip),%ymm6        # 2c1c0 <_sk_overlay_sse2_8bit+0xda4>
  .byte  197,213,219,254                     // vpand         %ymm6,%ymm5,%ymm7
  .byte  197,221,219,246                     // vpand         %ymm6,%ymm4,%ymm6
  .byte  197,237,252,192                     // vpaddb        %ymm0,%ymm2,%ymm0
  .byte  197,229,252,201                     // vpaddb        %ymm1,%ymm3,%ymm1
  .byte  197,245,248,205                     // vpsubb        %ymm5,%ymm1,%ymm1
  .byte  197,253,248,196                     // vpsubb        %ymm4,%ymm0,%ymm0
  .byte  197,253,248,198                     // vpsubb        %ymm6,%ymm0,%ymm0
  .byte  197,245,248,207                     // vpsubb        %ymm7,%ymm1,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_hsw_8bit
.globl _sk_hardlight_hsw_8bit
FUNCTION(_sk_hardlight_hsw_8bit)
_sk_hardlight_hsw_8bit:
  .byte  72,129,236,152,1,0,0                // sub           $0x198,%rsp
  .byte  197,125,111,251                     // vmovdqa       %ymm3,%ymm15
  .byte  196,226,125,48,248                  // vpmovzxbw     %xmm0,%ymm7
  .byte  196,227,125,57,196,1                // vextracti128  $0x1,%ymm0,%xmm4
  .byte  196,226,125,48,244                  // vpmovzxbw     %xmm4,%ymm6
  .byte  196,226,125,48,217                  // vpmovzxbw     %xmm1,%ymm3
  .byte  196,227,125,57,204,1                // vextracti128  $0x1,%ymm1,%xmm4
  .byte  196,98,125,48,196                   // vpmovzxbw     %xmm4,%ymm8
  .byte  197,126,127,68,36,96                // vmovdqu       %ymm8,0x60(%rsp)
  .byte  197,253,111,45,131,107,0,0          // vmovdqa       0x6b83(%rip),%ymm5        # 2c1e0 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,226,125,0,229                   // vpshufb       %ymm5,%ymm0,%ymm4
  .byte  196,226,117,0,205                   // vpshufb       %ymm5,%ymm1,%ymm1
  .byte  196,227,125,57,200,1                // vextracti128  $0x1,%ymm1,%xmm0
  .byte  196,98,125,48,240                   // vpmovzxbw     %xmm0,%ymm14
  .byte  196,226,125,48,233                  // vpmovzxbw     %xmm1,%ymm5
  .byte  196,227,125,57,224,1                // vextracti128  $0x1,%ymm4,%xmm0
  .byte  196,98,125,48,200                   // vpmovzxbw     %xmm0,%ymm9
  .byte  196,98,125,48,212                   // vpmovzxbw     %xmm4,%ymm10
  .byte  197,197,253,199                     // vpaddw        %ymm7,%ymm7,%ymm0
  .byte  197,205,253,206                     // vpaddw        %ymm6,%ymm6,%ymm1
  .byte  197,101,253,227                     // vpaddw        %ymm3,%ymm3,%ymm12
  .byte  196,65,61,253,216                   // vpaddw        %ymm8,%ymm8,%ymm11
  .byte  196,66,37,58,238                    // vpminuw       %ymm14,%ymm11,%ymm13
  .byte  196,193,37,117,229                  // vpcmpeqw      %ymm13,%ymm11,%ymm4
  .byte  197,254,127,164,36,32,1,0,0         // vmovdqu       %ymm4,0x120(%rsp)
  .byte  196,98,29,58,237                    // vpminuw       %ymm5,%ymm12,%ymm13
  .byte  196,193,29,117,229                  // vpcmpeqw      %ymm13,%ymm12,%ymm4
  .byte  197,254,127,164,36,0,1,0,0          // vmovdqu       %ymm4,0x100(%rsp)
  .byte  196,66,117,58,233                   // vpminuw       %ymm9,%ymm1,%ymm13
  .byte  196,193,117,117,205                 // vpcmpeqw      %ymm13,%ymm1,%ymm1
  .byte  197,254,127,140,36,192,0,0,0        // vmovdqu       %ymm1,0xc0(%rsp)
  .byte  196,194,125,58,202                  // vpminuw       %ymm10,%ymm0,%ymm1
  .byte  197,253,117,193                     // vpcmpeqw      %ymm1,%ymm0,%ymm0
  .byte  197,254,127,132,36,128,0,0,0        // vmovdqu       %ymm0,0x80(%rsp)
  .byte  197,253,111,226                     // vmovdqa       %ymm2,%ymm4
  .byte  197,125,111,37,241,106,0,0          // vmovdqa       0x6af1(%rip),%ymm12        # 2c1e0 <_sk_overlay_sse2_8bit+0xdc4>
  .byte  196,66,93,0,196                     // vpshufb       %ymm12,%ymm4,%ymm8
  .byte  196,194,125,48,208                  // vpmovzxbw     %xmm8,%ymm2
  .byte  196,226,125,121,5,254,106,0,0       // vpbroadcastw  0x6afe(%rip),%ymm0        # 2c200 <_sk_overlay_sse2_8bit+0xde4>
  .byte  197,109,239,232                     // vpxor         %ymm0,%ymm2,%ymm13
  .byte  197,149,213,207                     // vpmullw       %ymm7,%ymm13,%ymm1
  .byte  197,254,127,140,36,224,0,0,0        // vmovdqu       %ymm1,0xe0(%rsp)
  .byte  196,226,125,48,204                  // vpmovzxbw     %xmm4,%ymm1
  .byte  197,254,127,164,36,96,1,0,0         // vmovdqu       %ymm4,0x160(%rsp)
  .byte  197,45,239,232                      // vpxor         %ymm0,%ymm10,%ymm13
  .byte  197,21,213,217                      // vpmullw       %ymm1,%ymm13,%ymm11
  .byte  197,126,127,156,36,160,0,0,0        // vmovdqu       %ymm11,0xa0(%rsp)
  .byte  197,117,213,223                     // vpmullw       %ymm7,%ymm1,%ymm11
  .byte  197,126,127,92,36,64                // vmovdqu       %ymm11,0x40(%rsp)
  .byte  197,237,249,201                     // vpsubw        %ymm1,%ymm2,%ymm1
  .byte  197,254,127,76,36,128               // vmovdqu       %ymm1,-0x80(%rsp)
  .byte  196,193,109,213,202                 // vpmullw       %ymm10,%ymm2,%ymm1
  .byte  197,254,127,76,36,224               // vmovdqu       %ymm1,-0x20(%rsp)
  .byte  197,45,249,223                      // vpsubw        %ymm7,%ymm10,%ymm11
  .byte  196,227,125,57,226,1                // vextracti128  $0x1,%ymm4,%xmm2
  .byte  196,226,125,48,210                  // vpmovzxbw     %xmm2,%ymm2
  .byte  196,99,125,57,193,1                 // vextracti128  $0x1,%ymm8,%xmm1
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,117,239,208                     // vpxor         %ymm0,%ymm1,%ymm10
  .byte  197,173,213,230                     // vpmullw       %ymm6,%ymm10,%ymm4
  .byte  197,254,127,100,36,32               // vmovdqu       %ymm4,0x20(%rsp)
  .byte  197,53,239,208                      // vpxor         %ymm0,%ymm9,%ymm10
  .byte  197,173,213,226                     // vpmullw       %ymm2,%ymm10,%ymm4
  .byte  197,254,127,36,36                   // vmovdqu       %ymm4,(%rsp)
  .byte  197,109,213,238                     // vpmullw       %ymm6,%ymm2,%ymm13
  .byte  197,245,249,226                     // vpsubw        %ymm2,%ymm1,%ymm4
  .byte  196,65,117,213,193                  // vpmullw       %ymm9,%ymm1,%ymm8
  .byte  197,181,249,246                     // vpsubw        %ymm6,%ymm9,%ymm6
  .byte  197,125,127,255                     // vmovdqa       %ymm15,%ymm7
  .byte  197,254,127,188,36,64,1,0,0         // vmovdqu       %ymm7,0x140(%rsp)
  .byte  196,66,69,0,204                     // vpshufb       %ymm12,%ymm7,%ymm9
  .byte  196,194,125,48,209                  // vpmovzxbw     %xmm9,%ymm2
  .byte  197,109,239,248                     // vpxor         %ymm0,%ymm2,%ymm15
  .byte  197,125,111,227                     // vmovdqa       %ymm3,%ymm12
  .byte  196,193,5,213,204                   // vpmullw       %ymm12,%ymm15,%ymm1
  .byte  197,254,127,76,36,192               // vmovdqu       %ymm1,-0x40(%rsp)
  .byte  196,226,125,48,207                  // vpmovzxbw     %xmm7,%ymm1
  .byte  197,85,239,248                      // vpxor         %ymm0,%ymm5,%ymm15
  .byte  197,133,213,217                     // vpmullw       %ymm1,%ymm15,%ymm3
  .byte  197,254,127,92,36,160               // vmovdqu       %ymm3,-0x60(%rsp)
  .byte  196,65,117,213,212                  // vpmullw       %ymm12,%ymm1,%ymm10
  .byte  197,237,249,217                     // vpsubw        %ymm1,%ymm2,%ymm3
  .byte  197,237,213,213                     // vpmullw       %ymm5,%ymm2,%ymm2
  .byte  196,193,85,249,236                  // vpsubw        %ymm12,%ymm5,%ymm5
  .byte  196,195,125,57,255,1                // vextracti128  $0x1,%ymm7,%xmm15
  .byte  196,66,125,48,255                   // vpmovzxbw     %xmm15,%ymm15
  .byte  196,99,125,57,207,1                 // vextracti128  $0x1,%ymm9,%xmm7
  .byte  196,226,125,48,255                  // vpmovzxbw     %xmm7,%ymm7
  .byte  197,69,239,200                      // vpxor         %ymm0,%ymm7,%ymm9
  .byte  197,254,111,76,36,96                // vmovdqu       0x60(%rsp),%ymm1
  .byte  197,53,213,225                      // vpmullw       %ymm1,%ymm9,%ymm12
  .byte  197,141,239,192                     // vpxor         %ymm0,%ymm14,%ymm0
  .byte  196,65,125,213,207                  // vpmullw       %ymm15,%ymm0,%ymm9
  .byte  197,133,213,193                     // vpmullw       %ymm1,%ymm15,%ymm0
  .byte  196,65,69,249,255                   // vpsubw        %ymm15,%ymm7,%ymm15
  .byte  196,193,69,213,254                  // vpmullw       %ymm14,%ymm7,%ymm7
  .byte  197,13,249,241                      // vpsubw        %ymm1,%ymm14,%ymm14
  .byte  196,65,5,213,246                    // vpmullw       %ymm14,%ymm15,%ymm14
  .byte  197,229,213,205                     // vpmullw       %ymm5,%ymm3,%ymm1
  .byte  197,221,213,230                     // vpmullw       %ymm6,%ymm4,%ymm4
  .byte  197,165,213,108,36,128              // vpmullw       -0x80(%rsp),%ymm11,%ymm5
  .byte  196,193,13,253,246                  // vpaddw        %ymm14,%ymm14,%ymm6
  .byte  197,197,249,246                     // vpsubw        %ymm6,%ymm7,%ymm6
  .byte  197,245,253,201                     // vpaddw        %ymm1,%ymm1,%ymm1
  .byte  197,237,249,201                     // vpsubw        %ymm1,%ymm2,%ymm1
  .byte  197,221,253,212                     // vpaddw        %ymm4,%ymm4,%ymm2
  .byte  197,189,249,210                     // vpsubw        %ymm2,%ymm8,%ymm2
  .byte  197,213,253,221                     // vpaddw        %ymm5,%ymm5,%ymm3
  .byte  197,254,111,100,36,224              // vmovdqu       -0x20(%rsp),%ymm4
  .byte  197,221,249,219                     // vpsubw        %ymm3,%ymm4,%ymm3
  .byte  197,254,111,100,36,64               // vmovdqu       0x40(%rsp),%ymm4
  .byte  197,221,253,228                     // vpaddw        %ymm4,%ymm4,%ymm4
  .byte  197,254,111,172,36,128,0,0,0        // vmovdqu       0x80(%rsp),%ymm5
  .byte  197,213,223,219                     // vpandn        %ymm3,%ymm5,%ymm3
  .byte  197,221,219,229                     // vpand         %ymm5,%ymm4,%ymm4
  .byte  197,221,235,219                     // vpor          %ymm3,%ymm4,%ymm3
  .byte  196,193,21,253,229                  // vpaddw        %ymm13,%ymm13,%ymm4
  .byte  197,254,111,172,36,192,0,0,0        // vmovdqu       0xc0(%rsp),%ymm5
  .byte  197,213,223,210                     // vpandn        %ymm2,%ymm5,%ymm2
  .byte  197,221,219,229                     // vpand         %ymm5,%ymm4,%ymm4
  .byte  197,221,235,210                     // vpor          %ymm2,%ymm4,%ymm2
  .byte  196,193,45,253,226                  // vpaddw        %ymm10,%ymm10,%ymm4
  .byte  197,254,111,172,36,0,1,0,0          // vmovdqu       0x100(%rsp),%ymm5
  .byte  197,213,223,201                     // vpandn        %ymm1,%ymm5,%ymm1
  .byte  197,221,219,229                     // vpand         %ymm5,%ymm4,%ymm4
  .byte  197,221,235,201                     // vpor          %ymm1,%ymm4,%ymm1
  .byte  197,253,253,192                     // vpaddw        %ymm0,%ymm0,%ymm0
  .byte  197,254,111,172,36,32,1,0,0         // vmovdqu       0x120(%rsp),%ymm5
  .byte  197,213,223,230                     // vpandn        %ymm6,%ymm5,%ymm4
  .byte  197,253,219,197                     // vpand         %ymm5,%ymm0,%ymm0
  .byte  197,253,235,196                     // vpor          %ymm4,%ymm0,%ymm0
  .byte  197,254,111,164,36,160,0,0,0        // vmovdqu       0xa0(%rsp),%ymm4
  .byte  197,221,253,164,36,224,0,0,0        // vpaddw        0xe0(%rsp),%ymm4,%ymm4
  .byte  197,254,111,44,36                   // vmovdqu       (%rsp),%ymm5
  .byte  197,213,253,108,36,32               // vpaddw        0x20(%rsp),%ymm5,%ymm5
  .byte  197,254,111,116,36,160              // vmovdqu       -0x60(%rsp),%ymm6
  .byte  197,205,253,116,36,192              // vpaddw        -0x40(%rsp),%ymm6,%ymm6
  .byte  196,193,53,253,252                  // vpaddw        %ymm12,%ymm9,%ymm7
  .byte  196,98,125,121,5,0,105,0,0          // vpbroadcastw  0x6900(%rip),%ymm8        # 2c202 <_sk_overlay_sse2_8bit+0xde6>
  .byte  196,193,93,253,224                  // vpaddw        %ymm8,%ymm4,%ymm4
  .byte  197,229,253,220                     // vpaddw        %ymm4,%ymm3,%ymm3
  .byte  196,193,85,253,224                  // vpaddw        %ymm8,%ymm5,%ymm4
  .byte  197,237,253,212                     // vpaddw        %ymm4,%ymm2,%ymm2
  .byte  196,193,77,253,224                  // vpaddw        %ymm8,%ymm6,%ymm4
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  196,193,69,253,224                  // vpaddw        %ymm8,%ymm7,%ymm4
  .byte  197,253,253,196                     // vpaddw        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,121,37,213,104,0,0      // vpbroadcastw  0x68d5(%rip),%ymm4        # 2c204 <_sk_overlay_sse2_8bit+0xde8>
  .byte  197,253,228,196                     // vpmulhuw      %ymm4,%ymm0,%ymm0
  .byte  197,245,228,204                     // vpmulhuw      %ymm4,%ymm1,%ymm1
  .byte  197,237,228,212                     // vpmulhuw      %ymm4,%ymm2,%ymm2
  .byte  197,237,113,210,7                   // vpsrlw        $0x7,%ymm2,%ymm2
  .byte  197,229,228,220                     // vpmulhuw      %ymm4,%ymm3,%ymm3
  .byte  197,229,113,211,7                   // vpsrlw        $0x7,%ymm3,%ymm3
  .byte  196,227,101,56,226,1                // vinserti128   $0x1,%xmm2,%ymm3,%ymm4
  .byte  196,227,101,70,210,49               // vperm2i128    $0x31,%ymm2,%ymm3,%ymm2
  .byte  197,229,113,208,7                   // vpsrlw        $0x7,%ymm0,%ymm3
  .byte  197,245,113,209,7                   // vpsrlw        $0x7,%ymm1,%ymm1
  .byte  197,221,103,194                     // vpackuswb     %ymm2,%ymm4,%ymm0
  .byte  196,227,117,56,211,1                // vinserti128   $0x1,%xmm3,%ymm1,%ymm2
  .byte  196,227,117,70,203,49               // vperm2i128    $0x31,%ymm3,%ymm1,%ymm1
  .byte  197,237,103,201                     // vpackuswb     %ymm1,%ymm2,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,148,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm2
  .byte  197,252,16,156,36,64,1,0,0          // vmovups       0x140(%rsp),%ymm3
  .byte  72,129,196,152,1,0,0                // add           $0x198,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_hsw_8bit
.globl _sk_overlay_hsw_8bit
FUNCTION(_sk_overlay_hsw_8bit)
_sk_overlay_hsw_8bit:
  .byte  72,129,236,152,1,0,0                // sub           $0x198,%rsp
  .byte  197,252,17,140,36,64,1,0,0          // vmovups       %ymm1,0x140(%rsp)
  .byte  197,253,111,45,120,104,0,0          // vmovdqa       0x6878(%rip),%ymm5        # 2c220 <_sk_overlay_sse2_8bit+0xe04>
  .byte  197,253,111,226                     // vmovdqa       %ymm2,%ymm4
  .byte  196,227,125,57,225,1                // vextracti128  $0x1,%ymm4,%xmm1
  .byte  196,98,125,48,193                   // vpmovzxbw     %xmm1,%ymm8
  .byte  197,254,127,156,36,96,1,0,0         // vmovdqu       %ymm3,0x160(%rsp)
  .byte  196,226,125,48,251                  // vpmovzxbw     %xmm3,%ymm7
  .byte  196,227,125,57,217,1                // vextracti128  $0x1,%ymm3,%xmm1
  .byte  196,98,125,48,241                   // vpmovzxbw     %xmm1,%ymm14
  .byte  196,226,93,0,205                    // vpshufb       %ymm5,%ymm4,%ymm1
  .byte  197,254,127,164,36,32,1,0,0         // vmovdqu       %ymm4,0x120(%rsp)
  .byte  196,226,101,0,221                   // vpshufb       %ymm5,%ymm3,%ymm3
  .byte  196,227,125,57,222,1                // vextracti128  $0x1,%ymm3,%xmm6
  .byte  196,226,125,48,246                  // vpmovzxbw     %xmm6,%ymm6
  .byte  196,98,125,48,203                   // vpmovzxbw     %xmm3,%ymm9
  .byte  196,227,125,57,203,1                // vextracti128  $0x1,%ymm1,%xmm3
  .byte  196,98,125,48,219                   // vpmovzxbw     %xmm3,%ymm11
  .byte  196,193,61,253,216                  // vpaddw        %ymm8,%ymm8,%ymm3
  .byte  197,69,253,231                      // vpaddw        %ymm7,%ymm7,%ymm12
  .byte  196,65,13,253,214                   // vpaddw        %ymm14,%ymm14,%ymm10
  .byte  196,98,45,58,238                    // vpminuw       %ymm6,%ymm10,%ymm13
  .byte  196,193,45,117,213                  // vpcmpeqw      %ymm13,%ymm10,%ymm2
  .byte  197,254,127,148,36,0,1,0,0          // vmovdqu       %ymm2,0x100(%rsp)
  .byte  196,66,29,58,233                    // vpminuw       %ymm9,%ymm12,%ymm13
  .byte  196,193,29,117,213                  // vpcmpeqw      %ymm13,%ymm12,%ymm2
  .byte  197,254,127,148,36,224,0,0,0        // vmovdqu       %ymm2,0xe0(%rsp)
  .byte  196,66,101,58,235                   // vpminuw       %ymm11,%ymm3,%ymm13
  .byte  196,193,101,117,213                 // vpcmpeqw      %ymm13,%ymm3,%ymm2
  .byte  197,254,127,148,36,160,0,0,0        // vmovdqu       %ymm2,0xa0(%rsp)
  .byte  196,226,125,48,212                  // vpmovzxbw     %xmm4,%ymm2
  .byte  196,226,125,48,201                  // vpmovzxbw     %xmm1,%ymm1
  .byte  197,237,253,226                     // vpaddw        %ymm2,%ymm2,%ymm4
  .byte  196,226,93,58,217                   // vpminuw       %ymm1,%ymm4,%ymm3
  .byte  197,93,117,251                      // vpcmpeqw      %ymm3,%ymm4,%ymm15
  .byte  197,253,111,216                     // vmovdqa       %ymm0,%ymm3
  .byte  196,226,125,48,227                  // vpmovzxbw     %xmm3,%ymm4
  .byte  196,226,125,121,5,210,103,0,0       // vpbroadcastw  0x67d2(%rip),%ymm0        # 2c240 <_sk_overlay_sse2_8bit+0xe24>
  .byte  197,117,239,232                     // vpxor         %ymm0,%ymm1,%ymm13
  .byte  197,21,213,212                      // vpmullw       %ymm4,%ymm13,%ymm10
  .byte  197,126,127,148,36,192,0,0,0        // vmovdqu       %ymm10,0xc0(%rsp)
  .byte  197,125,111,229                     // vmovdqa       %ymm5,%ymm12
  .byte  196,194,101,0,236                   // vpshufb       %ymm12,%ymm3,%ymm5
  .byte  197,125,111,211                     // vmovdqa       %ymm3,%ymm10
  .byte  196,226,125,48,221                  // vpmovzxbw     %xmm5,%ymm3
  .byte  197,101,239,232                     // vpxor         %ymm0,%ymm3,%ymm13
  .byte  197,21,213,234                      // vpmullw       %ymm2,%ymm13,%ymm13
  .byte  197,126,127,172,36,128,0,0,0        // vmovdqu       %ymm13,0x80(%rsp)
  .byte  197,109,213,236                     // vpmullw       %ymm4,%ymm2,%ymm13
  .byte  197,126,127,108,36,96               // vmovdqu       %ymm13,0x60(%rsp)
  .byte  197,245,249,210                     // vpsubw        %ymm2,%ymm1,%ymm2
  .byte  197,254,127,84,36,160               // vmovdqu       %ymm2,-0x60(%rsp)
  .byte  197,245,213,203                     // vpmullw       %ymm3,%ymm1,%ymm1
  .byte  197,254,127,12,36                   // vmovdqu       %ymm1,(%rsp)
  .byte  197,229,249,220                     // vpsubw        %ymm4,%ymm3,%ymm3
  .byte  196,99,125,57,212,1                 // vextracti128  $0x1,%ymm10,%xmm4
  .byte  196,226,125,48,228                  // vpmovzxbw     %xmm4,%ymm4
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,37,239,232                      // vpxor         %ymm0,%ymm11,%ymm13
  .byte  197,149,213,204                     // vpmullw       %ymm4,%ymm13,%ymm1
  .byte  197,254,127,76,36,64                // vmovdqu       %ymm1,0x40(%rsp)
  .byte  197,85,239,232                      // vpxor         %ymm0,%ymm5,%ymm13
  .byte  196,193,21,213,200                  // vpmullw       %ymm8,%ymm13,%ymm1
  .byte  197,254,127,76,36,32                // vmovdqu       %ymm1,0x20(%rsp)
  .byte  197,189,213,204                     // vpmullw       %ymm4,%ymm8,%ymm1
  .byte  197,254,127,76,36,128               // vmovdqu       %ymm1,-0x80(%rsp)
  .byte  196,65,37,249,192                   // vpsubw        %ymm8,%ymm11,%ymm8
  .byte  197,37,213,221                      // vpmullw       %ymm5,%ymm11,%ymm11
  .byte  197,213,249,228                     // vpsubw        %ymm4,%ymm5,%ymm4
  .byte  197,254,111,140,36,64,1,0,0         // vmovdqu       0x140(%rsp),%ymm1
  .byte  196,194,117,0,236                   // vpshufb       %ymm12,%ymm1,%ymm5
  .byte  196,226,125,48,209                  // vpmovzxbw     %xmm1,%ymm2
  .byte  197,125,111,225                     // vmovdqa       %ymm1,%ymm12
  .byte  197,53,239,232                      // vpxor         %ymm0,%ymm9,%ymm13
  .byte  197,149,213,202                     // vpmullw       %ymm2,%ymm13,%ymm1
  .byte  197,254,127,76,36,224               // vmovdqu       %ymm1,-0x20(%rsp)
  .byte  196,226,125,48,205                  // vpmovzxbw     %xmm5,%ymm1
  .byte  197,117,239,232                     // vpxor         %ymm0,%ymm1,%ymm13
  .byte  197,21,213,215                      // vpmullw       %ymm7,%ymm13,%ymm10
  .byte  197,126,127,84,36,192               // vmovdqu       %ymm10,-0x40(%rsp)
  .byte  197,69,213,210                      // vpmullw       %ymm2,%ymm7,%ymm10
  .byte  197,181,249,255                     // vpsubw        %ymm7,%ymm9,%ymm7
  .byte  197,53,213,201                      // vpmullw       %ymm1,%ymm9,%ymm9
  .byte  197,245,249,202                     // vpsubw        %ymm2,%ymm1,%ymm1
  .byte  196,99,125,57,226,1                 // vextracti128  $0x1,%ymm12,%xmm2
  .byte  196,226,125,48,210                  // vpmovzxbw     %xmm2,%ymm2
  .byte  196,227,125,57,237,1                // vextracti128  $0x1,%ymm5,%xmm5
  .byte  196,226,125,48,237                  // vpmovzxbw     %xmm5,%ymm5
  .byte  197,77,239,232                      // vpxor         %ymm0,%ymm6,%ymm13
  .byte  197,21,213,234                      // vpmullw       %ymm2,%ymm13,%ymm13
  .byte  197,213,239,192                     // vpxor         %ymm0,%ymm5,%ymm0
  .byte  196,65,125,213,230                  // vpmullw       %ymm14,%ymm0,%ymm12
  .byte  197,141,213,194                     // vpmullw       %ymm2,%ymm14,%ymm0
  .byte  196,65,77,249,246                   // vpsubw        %ymm14,%ymm6,%ymm14
  .byte  197,205,213,245                     // vpmullw       %ymm5,%ymm6,%ymm6
  .byte  197,213,249,210                     // vpsubw        %ymm2,%ymm5,%ymm2
  .byte  197,141,213,210                     // vpmullw       %ymm2,%ymm14,%ymm2
  .byte  197,197,213,201                     // vpmullw       %ymm1,%ymm7,%ymm1
  .byte  197,189,213,228                     // vpmullw       %ymm4,%ymm8,%ymm4
  .byte  197,229,213,92,36,160               // vpmullw       -0x60(%rsp),%ymm3,%ymm3
  .byte  197,237,253,210                     // vpaddw        %ymm2,%ymm2,%ymm2
  .byte  197,205,249,210                     // vpsubw        %ymm2,%ymm6,%ymm2
  .byte  197,245,253,201                     // vpaddw        %ymm1,%ymm1,%ymm1
  .byte  197,181,249,201                     // vpsubw        %ymm1,%ymm9,%ymm1
  .byte  197,221,253,228                     // vpaddw        %ymm4,%ymm4,%ymm4
  .byte  197,165,249,228                     // vpsubw        %ymm4,%ymm11,%ymm4
  .byte  197,229,253,219                     // vpaddw        %ymm3,%ymm3,%ymm3
  .byte  197,254,111,44,36                   // vmovdqu       (%rsp),%ymm5
  .byte  197,213,249,219                     // vpsubw        %ymm3,%ymm5,%ymm3
  .byte  197,254,111,108,36,96               // vmovdqu       0x60(%rsp),%ymm5
  .byte  197,213,253,237                     // vpaddw        %ymm5,%ymm5,%ymm5
  .byte  197,133,223,219                     // vpandn        %ymm3,%ymm15,%ymm3
  .byte  196,193,85,219,239                  // vpand         %ymm15,%ymm5,%ymm5
  .byte  197,213,235,219                     // vpor          %ymm3,%ymm5,%ymm3
  .byte  197,254,111,108,36,128              // vmovdqu       -0x80(%rsp),%ymm5
  .byte  197,213,253,237                     // vpaddw        %ymm5,%ymm5,%ymm5
  .byte  197,254,111,180,36,160,0,0,0        // vmovdqu       0xa0(%rsp),%ymm6
  .byte  197,205,223,228                     // vpandn        %ymm4,%ymm6,%ymm4
  .byte  197,213,219,238                     // vpand         %ymm6,%ymm5,%ymm5
  .byte  197,213,235,228                     // vpor          %ymm4,%ymm5,%ymm4
  .byte  196,193,45,253,234                  // vpaddw        %ymm10,%ymm10,%ymm5
  .byte  197,254,111,180,36,224,0,0,0        // vmovdqu       0xe0(%rsp),%ymm6
  .byte  197,205,223,201                     // vpandn        %ymm1,%ymm6,%ymm1
  .byte  197,213,219,238                     // vpand         %ymm6,%ymm5,%ymm5
  .byte  197,213,235,201                     // vpor          %ymm1,%ymm5,%ymm1
  .byte  197,253,253,192                     // vpaddw        %ymm0,%ymm0,%ymm0
  .byte  197,254,111,172,36,0,1,0,0          // vmovdqu       0x100(%rsp),%ymm5
  .byte  197,213,223,210                     // vpandn        %ymm2,%ymm5,%ymm2
  .byte  197,253,219,197                     // vpand         %ymm5,%ymm0,%ymm0
  .byte  197,253,235,194                     // vpor          %ymm2,%ymm0,%ymm0
  .byte  197,254,111,148,36,128,0,0,0        // vmovdqu       0x80(%rsp),%ymm2
  .byte  197,237,253,148,36,192,0,0,0        // vpaddw        0xc0(%rsp),%ymm2,%ymm2
  .byte  197,254,111,108,36,32               // vmovdqu       0x20(%rsp),%ymm5
  .byte  197,213,253,108,36,64               // vpaddw        0x40(%rsp),%ymm5,%ymm5
  .byte  197,254,111,116,36,192              // vmovdqu       -0x40(%rsp),%ymm6
  .byte  197,205,253,116,36,224              // vpaddw        -0x20(%rsp),%ymm6,%ymm6
  .byte  196,193,29,253,253                  // vpaddw        %ymm13,%ymm12,%ymm7
  .byte  196,98,125,121,5,221,101,0,0        // vpbroadcastw  0x65dd(%rip),%ymm8        # 2c242 <_sk_overlay_sse2_8bit+0xe26>
  .byte  196,193,109,253,208                 // vpaddw        %ymm8,%ymm2,%ymm2
  .byte  197,229,253,210                     // vpaddw        %ymm2,%ymm3,%ymm2
  .byte  196,193,85,253,216                  // vpaddw        %ymm8,%ymm5,%ymm3
  .byte  197,221,253,219                     // vpaddw        %ymm3,%ymm4,%ymm3
  .byte  196,193,77,253,224                  // vpaddw        %ymm8,%ymm6,%ymm4
  .byte  197,245,253,204                     // vpaddw        %ymm4,%ymm1,%ymm1
  .byte  196,193,69,253,224                  // vpaddw        %ymm8,%ymm7,%ymm4
  .byte  197,253,253,196                     // vpaddw        %ymm4,%ymm0,%ymm0
  .byte  196,226,125,121,37,178,101,0,0      // vpbroadcastw  0x65b2(%rip),%ymm4        # 2c244 <_sk_overlay_sse2_8bit+0xe28>
  .byte  197,253,228,196                     // vpmulhuw      %ymm4,%ymm0,%ymm0
  .byte  197,245,228,204                     // vpmulhuw      %ymm4,%ymm1,%ymm1
  .byte  197,229,228,220                     // vpmulhuw      %ymm4,%ymm3,%ymm3
  .byte  197,229,113,211,7                   // vpsrlw        $0x7,%ymm3,%ymm3
  .byte  197,237,228,212                     // vpmulhuw      %ymm4,%ymm2,%ymm2
  .byte  197,237,113,210,7                   // vpsrlw        $0x7,%ymm2,%ymm2
  .byte  196,227,109,56,227,1                // vinserti128   $0x1,%xmm3,%ymm2,%ymm4
  .byte  196,227,109,70,211,49               // vperm2i128    $0x31,%ymm3,%ymm2,%ymm2
  .byte  197,229,113,208,7                   // vpsrlw        $0x7,%ymm0,%ymm3
  .byte  197,245,113,209,7                   // vpsrlw        $0x7,%ymm1,%ymm1
  .byte  197,221,103,194                     // vpackuswb     %ymm2,%ymm4,%ymm0
  .byte  196,227,117,56,211,1                // vinserti128   $0x1,%xmm3,%ymm1,%ymm2
  .byte  196,227,117,70,203,49               // vperm2i128    $0x31,%ymm3,%ymm1,%ymm1
  .byte  197,237,103,201                     // vpackuswb     %ymm1,%ymm2,%ymm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  197,252,16,148,36,32,1,0,0          // vmovups       0x120(%rsp),%ymm2
  .byte  197,252,16,156,36,96,1,0,0          // vmovups       0x160(%rsp),%ymm3
  .byte  72,129,196,152,1,0,0                // add           $0x198,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_sse41_8bit
.globl _sk_start_pipeline_sse41_8bit
FUNCTION(_sk_start_pipeline_sse41_8bit)
_sk_start_pipeline_sse41_8bit:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           25d76 <_sk_start_pipeline_sse41_8bit+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            25d5c <_sk_start_pipeline_sse41_8bit+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           25d3d <_sk_start_pipeline_sse41_8bit+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            25d6d <_sk_start_pipeline_sse41_8bit+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           25d2f <_sk_start_pipeline_sse41_8bit+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse41_8bit
.globl _sk_just_return_sse41_8bit
FUNCTION(_sk_just_return_sse41_8bit)
_sk_just_return_sse41_8bit:
  .byte  195                                 // retq

HIDDEN _sk_uniform_color_sse41_8bit
.globl _sk_uniform_color_sse41_8bit
FUNCTION(_sk_uniform_color_sse41_8bit)
_sk_uniform_color_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,110,64,16                    // movd          0x10(%rax),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse41_8bit
.globl _sk_set_rgb_sse41_8bit
FUNCTION(_sk_set_rgb_sse41_8bit)
_sk_set_rgb_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,37,228,90,0,0             // movss         0x5ae4(%rip),%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  243,15,16,40                        // movss         (%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,197                    // cvttss2si     %xmm5,%r8
  .byte  243,15,16,104,4                     // movss         0x4(%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,205                    // cvttss2si     %xmm5,%r9
  .byte  65,193,225,8                        // shl           $0x8,%r9d
  .byte  69,9,193                            // or            %r8d,%r9d
  .byte  243,15,89,96,8                      // mulss         0x8(%rax),%xmm4
  .byte  243,72,15,44,196                    // cvttss2si     %xmm4,%rax
  .byte  193,224,16                          // shl           $0x10,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  102,15,111,45,169,107,0,0           // movdqa        0x6ba9(%rip),%xmm5        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,219,205                      // pand          %xmm5,%xmm1
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse41_8bit
.globl _sk_premul_sse41_8bit
FUNCTION(_sk_premul_sse41_8bit)
_sk_premul_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,149,107,0,0            // movdqa        0x6b95(%rip),%xmm0        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,56,0,248                     // pshufb        %xmm0,%xmm7
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,56,0,240                     // pshufb        %xmm0,%xmm6
  .byte  102,15,111,5,107,107,0,0            // movdqa        0x6b6b(%rip),%xmm0        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,235,240                      // por           %xmm0,%xmm6
  .byte  102,15,235,248                      // por           %xmm0,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,205                 // pmovzxbw      %xmm5,%xmm9
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,212                 // pmovzxbw      %xmm4,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse41_8bit
.globl _sk_swap_rb_sse41_8bit
FUNCTION(_sk_swap_rb_sse41_8bit)
_sk_swap_rb_sse41_8bit:
  .byte  102,15,111,37,8,107,0,0             // movdqa        0x6b08(%rip),%xmm4        # 2c9b0 <_sk_overlay_sse2_8bit+0x1594>
  .byte  102,15,56,0,196                     // pshufb        %xmm4,%xmm0
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse41_8bit
.globl _sk_invert_sse41_8bit
FUNCTION(_sk_invert_sse41_8bit)
_sk_invert_sse41_8bit:
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_8888_sse41_8bit
.globl _sk_load_8888_sse41_8bit
FUNCTION(_sk_load_8888_sse41_8bit)
_sk_load_8888_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           25ef3 <_sk_load_8888_sse41_8bit+0x2d>
  .byte  243,67,15,111,76,152,16             // movdqu        0x10(%r8,%r11,4),%xmm1
  .byte  243,67,15,111,4,152                 // movdqu        (%r8,%r11,4),%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            25eef <_sk_load_8888_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,78,0,0,0                  // lea           0x4e(%rip),%r10        # 25f64 <_sk_load_8888_sse41_8bit+0x9e>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,4,152                 // movd          (%r8,%r11,4),%xmm0
  .byte  235,200                             // jmp           25eef <_sk_load_8888_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,196,15                 // pblendw       $0xf,%xmm4,%xmm0
  .byte  235,174                             // jmp           25eef <_sk_load_8888_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  102,67,15,58,34,76,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm1
  .byte  102,67,15,58,34,76,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm1
  .byte  235,136                             // jmp           25ee9 <_sk_load_8888_sse41_8bit+0x23>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  187,255,255,255,207                 // mov           $0xcfffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,133,255,255,255,242             // incl          -0xd000001(%rbp)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,221                 // jmpq          ffffffffde025f7c <_sk_overlay_sse2_8bit+0xffffffffddffab60>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_sse41_8bit
.globl _sk_load_8888_dst_sse41_8bit
FUNCTION(_sk_load_8888_dst_sse41_8bit)
_sk_load_8888_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           25fad <_sk_load_8888_dst_sse41_8bit+0x2d>
  .byte  243,67,15,111,92,152,16             // movdqu        0x10(%r8,%r11,4),%xmm3
  .byte  243,67,15,111,20,152                // movdqu        (%r8,%r11,4),%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            25fa9 <_sk_load_8888_dst_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,76,0,0,0                  // lea           0x4c(%rip),%r10        # 2601c <_sk_load_8888_dst_sse41_8bit+0x9c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,20,152                // movd          (%r8,%r11,4),%xmm2
  .byte  235,200                             // jmp           25fa9 <_sk_load_8888_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,212,15                 // pblendw       $0xf,%xmm4,%xmm2
  .byte  235,174                             // jmp           25fa9 <_sk_load_8888_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  102,67,15,58,34,92,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,92,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm3
  .byte  235,136                             // jmp           25fa3 <_sk_load_8888_dst_sse41_8bit+0x23>
  .byte  144                                 // nop
  .byte  189,255,255,255,209                 // mov           $0xd1ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,135,255,255,255,244             // incl          -0xb000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           26031 <_sk_load_8888_dst_sse41_8bit+0xb1>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_8888_sse41_8bit
.globl _sk_store_8888_sse41_8bit
FUNCTION(_sk_store_8888_sse41_8bit)
_sk_store_8888_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           26065 <_sk_store_8888_sse41_8bit+0x2d>
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  243,67,15,127,76,152,16             // movdqu        %xmm1,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            26061 <_sk_store_8888_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,68,0,0,0                  // lea           0x44(%rip),%r10        # 260c4 <_sk_store_8888_sse41_8bit+0x8c>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,4,152                 // movd          %xmm0,(%r8,%r11,4)
  .byte  235,208                             // jmp           26061 <_sk_store_8888_sse41_8bit+0x29>
  .byte  102,67,15,58,22,68,152,8,2          // pextrd        $0x2,%xmm0,0x8(%r8,%r11,4)
  .byte  102,67,15,214,4,152                 // movq          %xmm0,(%r8,%r11,4)
  .byte  235,191                             // jmp           26061 <_sk_store_8888_sse41_8bit+0x29>
  .byte  102,67,15,58,22,76,152,24,2         // pextrd        $0x2,%xmm1,0x18(%r8,%r11,4)
  .byte  102,67,15,58,22,76,152,20,1         // pextrd        $0x1,%xmm1,0x14(%r8,%r11,4)
  .byte  102,67,15,126,76,152,16             // movd          %xmm1,0x10(%r8,%r11,4)
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  235,158                             // jmp           26061 <_sk_store_8888_sse41_8bit+0x29>
  .byte  144                                 // nop
  .byte  197,255,255                         // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,205                             // dec           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,247                             // push          %rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_sse41_8bit
.globl _sk_load_bgra_sse41_8bit
FUNCTION(_sk_load_bgra_sse41_8bit)
_sk_load_bgra_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           2611f <_sk_load_bgra_sse41_8bit+0x3f>
  .byte  243,67,15,111,76,152,16             // movdqu        0x10(%r8,%r11,4),%xmm1
  .byte  243,67,15,111,4,152                 // movdqu        (%r8,%r11,4),%xmm0
  .byte  102,15,111,37,159,104,0,0           // movdqa        0x689f(%rip),%xmm4        # 2c9b0 <_sk_overlay_sse2_8bit+0x1594>
  .byte  102,15,56,0,196                     // pshufb        %xmm4,%xmm0
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,210                             // ja            26109 <_sk_load_bgra_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,78,0,0,0                  // lea           0x4e(%rip),%r10        # 26190 <_sk_load_bgra_sse41_8bit+0xb0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,4,152                 // movd          (%r8,%r11,4),%xmm0
  .byte  235,182                             // jmp           26109 <_sk_load_bgra_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,196,15                 // pblendw       $0xf,%xmm4,%xmm0
  .byte  235,156                             // jmp           26109 <_sk_load_bgra_sse41_8bit+0x29>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  102,67,15,58,34,76,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm1
  .byte  102,67,15,58,34,76,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm1
  .byte  233,115,255,255,255                 // jmpq          26103 <_sk_load_bgra_sse41_8bit+0x23>
  .byte  187,255,255,255,207                 // mov           $0xcfffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,115,255                         // pushq         -0x1(%rbx)
  .byte  255                                 // (bad)
  .byte  255,242                             // push          %rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,221                 // jmpq          ffffffffde0261a8 <_sk_overlay_sse2_8bit+0xffffffffddffad8c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_sse41_8bit
.globl _sk_load_bgra_dst_sse41_8bit
FUNCTION(_sk_load_bgra_dst_sse41_8bit)
_sk_load_bgra_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,35                              // jne           261eb <_sk_load_bgra_dst_sse41_8bit+0x3f>
  .byte  243,67,15,111,92,152,16             // movdqu        0x10(%r8,%r11,4),%xmm3
  .byte  243,67,15,111,20,152                // movdqu        (%r8,%r11,4),%xmm2
  .byte  102,15,111,37,211,103,0,0           // movdqa        0x67d3(%rip),%xmm4        # 2c9b0 <_sk_overlay_sse2_8bit+0x1594>
  .byte  102,15,56,0,212                     // pshufb        %xmm4,%xmm2
  .byte  102,15,56,0,220                     // pshufb        %xmm4,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,210                             // ja            261d5 <_sk_load_bgra_dst_sse41_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,78,0,0,0                  // lea           0x4e(%rip),%r10        # 2625c <_sk_load_bgra_dst_sse41_8bit+0xb0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,110,20,152                // movd          (%r8,%r11,4),%xmm2
  .byte  235,182                             // jmp           261d5 <_sk_load_bgra_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,15,58,14,212,15                 // pblendw       $0xf,%xmm4,%xmm2
  .byte  235,156                             // jmp           261d5 <_sk_load_bgra_dst_sse41_8bit+0x29>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  102,67,15,58,34,92,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm3
  .byte  102,67,15,58,34,92,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm3
  .byte  233,115,255,255,255                 // jmpq          261cf <_sk_load_bgra_dst_sse41_8bit+0x23>
  .byte  187,255,255,255,207                 // mov           $0xcfffffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,195                             // inc           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,115,255                         // pushq         -0x1(%rbx)
  .byte  255                                 // (bad)
  .byte  255,242                             // push          %rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,221                 // jmpq          ffffffffde026274 <_sk_overlay_sse2_8bit+0xffffffffddffae58>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_bgra_sse41_8bit
.globl _sk_store_bgra_sse41_8bit
FUNCTION(_sk_store_bgra_sse41_8bit)
_sk_store_bgra_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,111,53,25,103,0,0            // movdqa        0x6719(%rip),%xmm6        # 2c9b0 <_sk_overlay_sse2_8bit+0x1594>
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,56,0,238                     // pshufb        %xmm6,%xmm5
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,56,0,230                     // pshufb        %xmm6,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           262bf <_sk_store_bgra_sse41_8bit+0x47>
  .byte  243,67,15,127,36,152                // movdqu        %xmm4,(%r8,%r11,4)
  .byte  243,67,15,127,108,152,16            // movdqu        %xmm5,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            262bb <_sk_store_bgra_sse41_8bit+0x43>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,70,0,0,0                  // lea           0x46(%rip),%r10        # 26320 <_sk_store_bgra_sse41_8bit+0xa8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,36,152                // movd          %xmm4,(%r8,%r11,4)
  .byte  235,208                             // jmp           262bb <_sk_store_bgra_sse41_8bit+0x43>
  .byte  102,67,15,58,22,100,152,8,2         // pextrd        $0x2,%xmm4,0x8(%r8,%r11,4)
  .byte  102,67,15,214,36,152                // movq          %xmm4,(%r8,%r11,4)
  .byte  235,191                             // jmp           262bb <_sk_store_bgra_sse41_8bit+0x43>
  .byte  102,67,15,58,22,108,152,24,2        // pextrd        $0x2,%xmm5,0x18(%r8,%r11,4)
  .byte  102,67,15,58,22,108,152,20,1        // pextrd        $0x1,%xmm5,0x14(%r8,%r11,4)
  .byte  102,67,15,126,108,152,16            // movd          %xmm5,0x10(%r8,%r11,4)
  .byte  243,67,15,127,36,152                // movdqu        %xmm4,(%r8,%r11,4)
  .byte  235,158                             // jmp           262bb <_sk_store_bgra_sse41_8bit+0x43>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  195                                 // retq
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,203                             // dec           %ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,245                             // push          %rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  238                                 // out           %al,(%dx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_sse41_8bit
.globl _sk_load_a8_sse41_8bit
FUNCTION(_sk_load_a8_sse41_8bit)
_sk_load_a8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           2637e <_sk_load_a8_sse41_8bit+0x42>
  .byte  102,67,15,56,48,12,24               // pmovzxbw      (%r8,%r11,1),%xmm1
  .byte  102,15,219,13,237,94,0,0            // pand          0x5eed(%rip),%xmm1        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,114,241,24                   // pslld         $0x18,%xmm1
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,201                             // ja            2635b <_sk_load_a8_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 26414 <_sk_load_a8_sse41_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  235,170                             // jmp           2635b <_sk_load_a8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,2                    // pinsrw        $0x2,%eax,%xmm1
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,3                  // pblendw       $0x3,%xmm0,%xmm1
  .byte  235,133                             // jmp           2635b <_sk_load_a8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,6                    // pinsrw        $0x6,%eax,%xmm1
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,200,5                    // pinsrw        $0x5,%eax,%xmm1
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,200,4                    // pinsrw        $0x4,%eax,%xmm1
  .byte  102,67,15,110,4,24                  // movd          (%r8,%r11,1),%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,15                 // pblendw       $0xf,%xmm0,%xmm1
  .byte  233,74,255,255,255                  // jmpq          2635b <_sk_load_a8_sse41_8bit+0x1f>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_sse41_8bit
.globl _sk_load_a8_dst_sse41_8bit
FUNCTION(_sk_load_a8_dst_sse41_8bit)
_sk_load_a8_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,42                              // jne           26472 <_sk_load_a8_dst_sse41_8bit+0x42>
  .byte  102,67,15,56,48,28,24               // pmovzxbw      (%r8,%r11,1),%xmm3
  .byte  102,15,219,29,249,93,0,0            // pand          0x5df9(%rip),%xmm3        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,211                    // pmovzxwd      %xmm3,%xmm2
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,114,243,24                   // pslld         $0x18,%xmm3
  .byte  102,15,114,242,24                   // pslld         $0x18,%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,201                             // ja            2644f <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 26508 <_sk_load_a8_dst_sse41_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  235,170                             // jmp           2644f <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,2                    // pinsrw        $0x2,%eax,%xmm3
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,3                  // pblendw       $0x3,%xmm2,%xmm3
  .byte  235,133                             // jmp           2644f <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,6                    // pinsrw        $0x6,%eax,%xmm3
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,216,5                    // pinsrw        $0x5,%eax,%xmm3
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,216,4                    // pinsrw        $0x4,%eax,%xmm3
  .byte  102,67,15,110,20,24                 // movd          (%r8,%r11,1),%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,15                 // pblendw       $0xf,%xmm2,%xmm3
  .byte  233,74,255,255,255                  // jmpq          2644f <_sk_load_a8_dst_sse41_8bit+0x1f>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_a8_sse41_8bit
.globl _sk_store_a8_sse41_8bit
FUNCTION(_sk_store_a8_sse41_8bit)
_sk_store_a8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,111,45,129,100,0,0           // movdqa        0x6481(%rip),%xmm5        # 2c9c0 <_sk_overlay_sse2_8bit+0x15a4>
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,56,0,245                     // pshufb        %xmm5,%xmm6
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,56,0,229                     // pshufb        %xmm5,%xmm4
  .byte  102,15,108,230                      // punpcklqdq    %xmm6,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,19                              // jne           2656d <_sk_store_a8_sse41_8bit+0x49>
  .byte  102,15,56,0,37,29,100,0,0           // pshufb        0x641d(%rip),%xmm4        # 2c980 <_sk_overlay_sse2_8bit+0x1564>
  .byte  102,67,15,214,36,24                 // movq          %xmm4,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            26569 <_sk_store_a8_sse41_8bit+0x45>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,92,0,0,0                  // lea           0x5c(%rip),%r10        # 265e4 <_sk_store_a8_sse41_8bit+0xc0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,58,20,36,24,0             // pextrb        $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,206                             // jmp           26569 <_sk_store_a8_sse41_8bit+0x45>
  .byte  102,67,15,58,20,100,24,2,4          // pextrb        $0x4,%xmm4,0x2(%r8,%r11,1)
  .byte  102,15,56,0,37,179,92,0,0           // pshufb        0x5cb3(%rip),%xmm4        # 2c260 <_sk_overlay_sse2_8bit+0xe44>
  .byte  102,67,15,58,21,36,24,0             // pextrw        $0x0,%xmm4,(%r8,%r11,1)
  .byte  235,178                             // jmp           26569 <_sk_store_a8_sse41_8bit+0x45>
  .byte  102,67,15,58,20,100,24,6,12         // pextrb        $0xc,%xmm4,0x6(%r8,%r11,1)
  .byte  102,67,15,58,20,100,24,5,10         // pextrb        $0xa,%xmm4,0x5(%r8,%r11,1)
  .byte  102,67,15,58,20,100,24,4,8          // pextrb        $0x8,%xmm4,0x4(%r8,%r11,1)
  .byte  102,15,56,0,37,149,92,0,0           // pshufb        0x5c95(%rip),%xmm4        # 2c270 <_sk_overlay_sse2_8bit+0xe54>
  .byte  102,67,15,126,36,24                 // movd          %xmm4,(%r8,%r11,1)
  .byte  235,134                             // jmp           26569 <_sk_store_a8_sse41_8bit+0x45>
  .byte  144                                 // nop
  .byte  173                                 // lods          %ds:(%rsi),%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,183,255,255,255,238             // pushq         -0x11000001(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_sse41_8bit
.globl _sk_load_g8_sse41_8bit
FUNCTION(_sk_load_g8_sse41_8bit)
_sk_load_g8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           2665a <_sk_load_g8_sse41_8bit+0x5a>
  .byte  102,67,15,56,48,12,24               // pmovzxbw      (%r8,%r11,1),%xmm1
  .byte  102,15,219,13,41,92,0,0             // pand          0x5c29(%rip),%xmm1        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,193                    // pmovzxwd      %xmm1,%xmm0
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,111,37,148,99,0,0            // movdqa        0x6394(%rip),%xmm4        # 2c9d0 <_sk_overlay_sse2_8bit+0x15b4>
  .byte  102,15,56,64,204                    // pmulld        %xmm4,%xmm1
  .byte  102,15,56,64,196                    // pmulld        %xmm4,%xmm0
  .byte  102,15,111,37,66,99,0,0             // movdqa        0x6342(%rip),%xmm4        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,177                             // ja            2661f <_sk_load_g8_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 266f0 <_sk_load_g8_sse41_8bit+0xf0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  235,146                             // jmp           2661f <_sk_load_g8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,2                    // pinsrw        $0x2,%eax,%xmm1
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,3                  // pblendw       $0x3,%xmm0,%xmm1
  .byte  233,106,255,255,255                 // jmpq          2661f <_sk_load_g8_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,196,200,6                    // pinsrw        $0x6,%eax,%xmm1
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,200,5                    // pinsrw        $0x5,%eax,%xmm1
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,200,4                    // pinsrw        $0x4,%eax,%xmm1
  .byte  102,67,15,110,4,24                  // movd          (%r8,%r11,1),%xmm0
  .byte  102,15,56,48,192                    // pmovzxbw      %xmm0,%xmm0
  .byte  102,15,58,14,200,15                 // pblendw       $0xf,%xmm0,%xmm1
  .byte  233,47,255,255,255                  // jmpq          2661f <_sk_load_g8_sse41_8bit+0x1f>
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_sse41_8bit
.globl _sk_load_g8_dst_sse41_8bit
FUNCTION(_sk_load_g8_dst_sse41_8bit)
_sk_load_g8_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,66                              // jne           26766 <_sk_load_g8_dst_sse41_8bit+0x5a>
  .byte  102,67,15,56,48,28,24               // pmovzxbw      (%r8,%r11,1),%xmm3
  .byte  102,15,219,29,29,91,0,0             // pand          0x5b1d(%rip),%xmm3        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,56,51,211                    // pmovzxwd      %xmm3,%xmm2
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,111,37,136,98,0,0            // movdqa        0x6288(%rip),%xmm4        # 2c9d0 <_sk_overlay_sse2_8bit+0x15b4>
  .byte  102,15,56,64,220                    // pmulld        %xmm4,%xmm3
  .byte  102,15,56,64,212                    // pmulld        %xmm4,%xmm2
  .byte  102,15,111,37,54,98,0,0             // movdqa        0x6236(%rip),%xmm4        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,177                             // ja            2672b <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,119,0,0,0                 // lea           0x77(%rip),%r10        # 267fc <_sk_load_g8_dst_sse41_8bit+0xf0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  235,146                             // jmp           2672b <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,2                    // pinsrw        $0x2,%eax,%xmm3
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,3                  // pblendw       $0x3,%xmm2,%xmm3
  .byte  233,106,255,255,255                 // jmpq          2672b <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,196,216,6                    // pinsrw        $0x6,%eax,%xmm3
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,216,5                    // pinsrw        $0x5,%eax,%xmm3
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,216,4                    // pinsrw        $0x4,%eax,%xmm3
  .byte  102,67,15,110,20,24                 // movd          (%r8,%r11,1),%xmm2
  .byte  102,15,56,48,210                    // pmovzxbw      %xmm2,%xmm2
  .byte  102,15,58,14,218,15                 // pblendw       $0xf,%xmm2,%xmm3
  .byte  233,47,255,255,255                  // jmpq          2672b <_sk_load_g8_dst_sse41_8bit+0x1f>
  .byte  146                                 // xchg          %eax,%edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,172,255,255,255,157,255         // ljmp          *-0x620001(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_srcover_rgba_8888_sse41_8bit
.globl _sk_srcover_rgba_8888_sse41_8bit
FUNCTION(_sk_srcover_rgba_8888_sse41_8bit)
_sk_srcover_rgba_8888_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,206,0,0,0                    // jne           26906 <_sk_srcover_rgba_8888_sse41_8bit+0xee>
  .byte  243,71,15,111,68,152,16             // movdqu        0x10(%r8,%r11,4),%xmm8
  .byte  243,71,15,111,12,152                // movdqu        (%r8,%r11,4),%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  102,15,111,37,80,97,0,0             // movdqa        0x6150(%rip),%xmm4        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,56,0,244                     // pshufb        %xmm4,%xmm6
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,56,0,252                     // pshufb        %xmm4,%xmm7
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,69,15,111,217                   // movdqa        %xmm9,%xmm11
  .byte  102,69,15,104,218                   // punpckhbw     %xmm10,%xmm11
  .byte  102,69,15,111,224                   // movdqa        %xmm8,%xmm12
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,69,15,56,48,233                 // pmovzxbw      %xmm9,%xmm13
  .byte  102,69,15,56,48,240                 // pmovzxbw      %xmm8,%xmm14
  .byte  102,15,56,48,231                    // pmovzxbw      %xmm7,%xmm4
  .byte  102,15,56,48,238                    // pmovzxbw      %xmm6,%xmm5
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,65,15,213,244                   // pmullw        %xmm12,%xmm6
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,65,15,213,229                   // pmullw        %xmm13,%xmm4
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,244                   // paddw         %xmm12,%xmm6
  .byte  102,65,15,253,229                   // paddw         %xmm13,%xmm4
  .byte  102,65,15,253,238                   // paddw         %xmm14,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  102,68,15,248,197                   // psubb         %xmm5,%xmm8
  .byte  102,68,15,248,204                   // psubb         %xmm4,%xmm9
  .byte  102,68,15,252,200                   // paddb         %xmm0,%xmm9
  .byte  102,68,15,252,193                   // paddb         %xmm1,%xmm8
  .byte  117,78                              // jne           26943 <_sk_srcover_rgba_8888_sse41_8bit+0x12b>
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  243,71,15,127,68,152,16             // movdqu        %xmm8,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,33,255,255,255               // ja            26845 <_sk_srcover_rgba_8888_sse41_8bit+0x2d>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,189,0,0,0                 // lea           0xbd(%rip),%r10        # 269ec <_sk_srcover_rgba_8888_sse41_8bit+0x1d4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,110,12,152                // movd          (%r8,%r11,4),%xmm9
  .byte  233,2,255,255,255                   // jmpq          26845 <_sk_srcover_rgba_8888_sse41_8bit+0x2d>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,175                             // ja            26902 <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,170,0,0,0                 // lea           0xaa(%rip),%r9        # 26a08 <_sk_srcover_rgba_8888_sse41_8bit+0x1f0>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,126,12,152                // movd          %xmm9,(%r8,%r11,4)
  .byte  235,147                             // jmp           26902 <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  102,67,15,110,100,152,8             // movd          0x8(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  243,67,15,126,36,152                // movq          (%r8,%r11,4),%xmm4
  .byte  102,68,15,58,14,204,15              // pblendw       $0xf,%xmm4,%xmm9
  .byte  233,183,254,255,255                 // jmpq          26845 <_sk_srcover_rgba_8888_sse41_8bit+0x2d>
  .byte  102,67,15,110,100,152,24            // movd          0x18(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,196,69                // pshufd        $0x45,%xmm4,%xmm8
  .byte  102,71,15,58,34,68,152,20,1         // pinsrd        $0x1,0x14(%r8,%r11,4),%xmm8
  .byte  102,71,15,58,34,68,152,16,0         // pinsrd        $0x0,0x10(%r8,%r11,4),%xmm8
  .byte  233,141,254,255,255                 // jmpq          2683f <_sk_srcover_rgba_8888_sse41_8bit+0x27>
  .byte  102,71,15,58,22,76,152,8,2          // pextrd        $0x2,%xmm9,0x8(%r8,%r11,4)
  .byte  102,71,15,214,12,152                // movq          %xmm9,(%r8,%r11,4)
  .byte  233,60,255,255,255                  // jmpq          26902 <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  102,71,15,58,22,68,152,24,2         // pextrd        $0x2,%xmm8,0x18(%r8,%r11,4)
  .byte  102,71,15,58,22,68,152,20,1         // pextrd        $0x1,%xmm8,0x14(%r8,%r11,4)
  .byte  102,71,15,126,68,152,16             // movd          %xmm8,0x10(%r8,%r11,4)
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  233,24,255,255,255                  // jmpq          26902 <_sk_srcover_rgba_8888_sse41_8bit+0xea>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  76,255                              // rex.WR        (bad)
  .byte  255                                 // (bad)
  .byte  255,144,255,255,255,131             // callq         *-0x7c000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,83,254                          // callq         *-0x2(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  184,255,255,255,175                 // mov           $0xafffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,162,255,255,255,95              // jmpq          *0x5fffffff(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,179,255,255,255,170             // pushq         -0x55000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,215                             // callq         *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,208                             // callq         *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190                                 // .byte         0xbe
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_1_float_sse41_8bit
.globl _sk_scale_1_float_sse41_8bit
FUNCTION(_sk_scale_1_float_sse41_8bit)
_sk_scale_1_float_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,89,5,78,78,0,0               // mulss         0x4e4e(%rip),%xmm0        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  243,15,44,192                       // cvttss2si     %xmm0,%eax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,68,15,56,48,197                 // pmovzxbw      %xmm5,%xmm8
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,68,15,56,48,204                 // pmovzxbw      %xmm4,%xmm9
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  102,15,56,0,53,126,95,0,0           // pshufb        0x5f7e(%rip),%xmm6        # 2c9e0 <_sk_overlay_sse2_8bit+0x15c4>
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,65,15,213,201                   // pmullw        %xmm9,%xmm1
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,15,213,245                      // pmullw        %xmm5,%xmm6
  .byte  102,15,253,245                      // paddw         %xmm5,%xmm6
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,201                   // paddw         %xmm9,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse41_8bit
.globl _sk_scale_u8_sse41_8bit
FUNCTION(_sk_scale_u8_sse41_8bit)
_sk_scale_u8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,160,0,0,0                    // jne           26b6e <_sk_scale_u8_sse41_8bit+0xbc>
  .byte  102,67,15,56,48,52,24               // pmovzxbw      (%r8,%r11,1),%xmm6
  .byte  102,15,219,53,115,87,0,0            // pand          0x5773(%rip),%xmm6        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,56,0,61,1,95,0,0             // pshufb        0x5f01(%rip),%xmm7        # 2c9f0 <_sk_overlay_sse2_8bit+0x15d4>
  .byte  102,15,56,0,53,8,95,0,0             // pshufb        0x5f08(%rip),%xmm6        # 2ca00 <_sk_overlay_sse2_8bit+0x15e4>
  .byte  102,68,15,56,48,200                 // pmovzxbw      %xmm0,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,56,48,209                 // pmovzxbw      %xmm1,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,56,48,230                    // pmovzxbw      %xmm6,%xmm4
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,56,48,239                    // pmovzxbw      %xmm7,%xmm5
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,79,255,255,255               // ja            26ad5 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,123,0,0,0                 // lea           0x7b(%rip),%r10        # 26c0c <_sk_scale_u8_sse41_8bit+0x15a>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  233,45,255,255,255                  // jmpq          26ad5 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,196,240,2                    // pinsrw        $0x2,%eax,%xmm6
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,56,48,228                    // pmovzxbw      %xmm4,%xmm4
  .byte  102,15,58,14,244,3                  // pblendw       $0x3,%xmm4,%xmm6
  .byte  233,5,255,255,255                   // jmpq          26ad5 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,15,196,240,6                    // pinsrw        $0x6,%eax,%xmm6
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,240,5                    // pinsrw        $0x5,%eax,%xmm6
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,240,4                    // pinsrw        $0x4,%eax,%xmm6
  .byte  102,67,15,110,36,24                 // movd          (%r8,%r11,1),%xmm4
  .byte  102,15,56,48,228                    // pmovzxbw      %xmm4,%xmm4
  .byte  102,15,58,14,244,15                 // pblendw       $0xf,%xmm4,%xmm6
  .byte  233,202,254,255,255                 // jmpq          26ad5 <_sk_scale_u8_sse41_8bit+0x23>
  .byte  144                                 // nop
  .byte  142,255                             // mov           %edi,%?
  .byte  255                                 // (bad)
  .byte  255,171,255,255,255,156             // ljmp          *-0x63000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  233,255,255,255,222                 // jmpq          ffffffffdf026c1c <_sk_overlay_sse2_8bit+0xffffffffdeffb800>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,211                             // callq         *%rbx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,196                             // inc           %esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_sse41_8bit
.globl _sk_lerp_1_float_sse41_8bit
FUNCTION(_sk_lerp_1_float_sse41_8bit)
_sk_lerp_1_float_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,32                        // movss         (%rax),%xmm4
  .byte  243,15,89,37,82,76,0,0              // mulss         0x4c52(%rip),%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  243,15,44,196                       // cvttss2si     %xmm4,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,252,0                    // pshuflw       $0x0,%xmm4,%xmm7
  .byte  102,68,15,112,199,80                // pshufd        $0x50,%xmm7,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,68,15,56,48,208                 // pmovzxbw      %xmm0,%xmm10
  .byte  102,65,15,104,193                   // punpckhbw     %xmm9,%xmm0
  .byte  102,68,15,56,48,217                 // pmovzxbw      %xmm1,%xmm11
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,56,0,61,159,93,0,0           // pshufb        0x5d9f(%rip),%xmm7        # 2ca10 <_sk_overlay_sse2_8bit+0x15f4>
  .byte  102,68,15,111,231                   // movdqa        %xmm7,%xmm12
  .byte  102,69,15,213,227                   // pmullw        %xmm11,%xmm12
  .byte  102,68,15,111,239                   // movdqa        %xmm7,%xmm13
  .byte  102,69,15,213,234                   // pmullw        %xmm10,%xmm13
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,69,15,253,234                   // paddw         %xmm10,%xmm13
  .byte  102,69,15,253,227                   // paddw         %xmm11,%xmm12
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,68,15,103,239                   // packuswb      %xmm7,%xmm13
  .byte  102,68,15,103,230                   // packuswb      %xmm6,%xmm12
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,65,15,239,248                   // pxor          %xmm8,%xmm7
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,68,15,56,48,211                 // pmovzxbw      %xmm3,%xmm10
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,213,236                      // pmullw        %xmm4,%xmm5
  .byte  102,15,213,254                      // pmullw        %xmm6,%xmm7
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,253,254                      // paddw         %xmm6,%xmm7
  .byte  102,15,253,236                      // paddw         %xmm4,%xmm5
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  102,65,15,252,197                   // paddb         %xmm13,%xmm0
  .byte  102,65,15,252,204                   // paddb         %xmm12,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse41_8bit
.globl _sk_lerp_u8_sse41_8bit
FUNCTION(_sk_lerp_u8_sse41_8bit)
_sk_lerp_u8_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,46,1,0,0                     // jne           26e94 <_sk_lerp_u8_sse41_8bit+0x14a>
  .byte  102,67,15,56,48,60,24               // pmovzxbw      (%r8,%r11,1),%xmm7
  .byte  102,15,219,61,219,84,0,0            // pand          0x54db(%rip),%xmm7        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,56,0,53,105,92,0,0           // pshufb        0x5c69(%rip),%xmm6        # 2c9f0 <_sk_overlay_sse2_8bit+0x15d4>
  .byte  102,15,56,0,61,112,92,0,0           // pshufb        0x5c70(%rip),%xmm7        # 2ca00 <_sk_overlay_sse2_8bit+0x15e4>
  .byte  102,68,15,56,48,200                 // pmovzxbw      %xmm0,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,56,48,209                 // pmovzxbw      %xmm1,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,231                 // pmovzxbw      %xmm7,%xmm12
  .byte  102,68,15,56,48,222                 // pmovzxbw      %xmm6,%xmm11
  .byte  102,15,213,233                      // pmullw        %xmm1,%xmm5
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,69,15,213,218                   // pmullw        %xmm10,%xmm11
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,253,224                      // paddw         %xmm0,%xmm4
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,69,15,253,218                   // paddw         %xmm10,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,68,15,103,228                   // packuswb      %xmm4,%xmm12
  .byte  102,68,15,103,221                   // packuswb      %xmm5,%xmm11
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,211                 // pmovzxbw      %xmm3,%xmm10
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,65,15,252,196                   // paddb         %xmm12,%xmm0
  .byte  102,65,15,252,203                   // paddb         %xmm11,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,193,254,255,255              // ja            26d6d <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,125,0,0,0                 // lea           0x7d(%rip),%r10        # 26f34 <_sk_lerp_u8_sse41_8bit+0x1ea>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,248                      // movd          %eax,%xmm7
  .byte  233,159,254,255,255                 // jmpq          26d6d <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,196,248,2                    // pinsrw        $0x2,%eax,%xmm7
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,56,48,237                    // pmovzxbw      %xmm5,%xmm5
  .byte  102,15,58,14,253,3                  // pblendw       $0x3,%xmm5,%xmm7
  .byte  233,119,254,255,255                 // jmpq          26d6d <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,196,248,6                    // pinsrw        $0x6,%eax,%xmm7
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,248,5                    // pinsrw        $0x5,%eax,%xmm7
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,248,4                    // pinsrw        $0x4,%eax,%xmm7
  .byte  102,67,15,110,44,24                 // movd          (%r8,%r11,1),%xmm5
  .byte  102,15,56,48,237                    // pmovzxbw      %xmm5,%xmm5
  .byte  102,15,58,14,253,15                 // pblendw       $0xf,%xmm5,%xmm7
  .byte  233,60,254,255,255                  // jmpq          26d6d <_sk_lerp_u8_sse41_8bit+0x23>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  140,255                             // mov           %?,%edi
  .byte  255                                 // (bad)
  .byte  255,169,255,255,255,154             // ljmp          *-0x65000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  220,255                             // fdivr         %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,209                             // callq         *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_move_src_dst_sse41_8bit
.globl _sk_move_src_dst_sse41_8bit
FUNCTION(_sk_move_src_dst_sse41_8bit)
_sk_move_src_dst_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse41_8bit
.globl _sk_move_dst_src_sse41_8bit
FUNCTION(_sk_move_dst_src_sse41_8bit)
_sk_move_dst_src_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse41_8bit
.globl _sk_black_color_sse41_8bit
FUNCTION(_sk_black_color_sse41_8bit)
_sk_black_color_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,35,90,0,0                   // movaps        0x5a23(%rip),%xmm0        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse41_8bit
.globl _sk_white_color_sse41_8bit
FUNCTION(_sk_white_color_sse41_8bit)
_sk_white_color_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse41_8bit
.globl _sk_clear_sse41_8bit
FUNCTION(_sk_clear_sse41_8bit)
_sk_clear_sse41_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse41_8bit
.globl _sk_srcatop_sse41_8bit
FUNCTION(_sk_srcatop_sse41_8bit)
_sk_srcatop_sse41_8bit:
  .byte  102,68,15,111,21,15,90,0,0          // movdqa        0x5a0f(%rip),%xmm10        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,195                 // pmovzxbw      %xmm3,%xmm8
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,56,0,234                  // pshufb        %xmm10,%xmm5
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,56,0,226                  // pshufb        %xmm10,%xmm4
  .byte  102,69,15,239,237                   // pxor          %xmm13,%xmm13
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,65,15,104,253                   // punpckhbw     %xmm13,%xmm7
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,69,15,104,245                   // punpckhbw     %xmm13,%xmm14
  .byte  102,15,56,48,244                    // pmovzxbw      %xmm4,%xmm6
  .byte  102,65,15,104,229                   // punpckhbw     %xmm13,%xmm4
  .byte  102,15,213,231                      // pmullw        %xmm7,%xmm4
  .byte  102,15,253,231                      // paddw         %xmm7,%xmm4
  .byte  102,15,56,48,253                    // pmovzxbw      %xmm5,%xmm7
  .byte  102,65,15,104,237                   // punpckhbw     %xmm13,%xmm5
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,65,15,253,238                   // paddw         %xmm14,%xmm5
  .byte  102,68,15,56,48,240                 // pmovzxbw      %xmm0,%xmm14
  .byte  102,65,15,213,246                   // pmullw        %xmm14,%xmm6
  .byte  102,65,15,253,246                   // paddw         %xmm14,%xmm6
  .byte  102,68,15,56,48,241                 // pmovzxbw      %xmm1,%xmm14
  .byte  102,65,15,213,254                   // pmullw        %xmm14,%xmm7
  .byte  102,65,15,253,254                   // paddw         %xmm14,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,65,15,56,0,194                  // pshufb        %xmm10,%xmm0
  .byte  102,65,15,56,0,202                  // pshufb        %xmm10,%xmm1
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,69,15,104,229                   // punpckhbw     %xmm13,%xmm12
  .byte  102,69,15,104,221                   // punpckhbw     %xmm13,%xmm11
  .byte  102,15,56,48,224                    // pmovzxbw      %xmm0,%xmm4
  .byte  102,15,56,48,233                    // pmovzxbw      %xmm1,%xmm5
  .byte  102,65,15,104,197                   // punpckhbw     %xmm13,%xmm0
  .byte  102,65,15,104,205                   // punpckhbw     %xmm13,%xmm1
  .byte  102,65,15,213,203                   // pmullw        %xmm11,%xmm1
  .byte  102,65,15,213,196                   // pmullw        %xmm12,%xmm0
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,253,196                   // paddw         %xmm12,%xmm0
  .byte  102,65,15,253,203                   // paddw         %xmm11,%xmm1
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  102,15,252,230                      // paddb         %xmm6,%xmm4
  .byte  102,15,252,239                      // paddb         %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse41_8bit
.globl _sk_dstatop_sse41_8bit
FUNCTION(_sk_dstatop_sse41_8bit)
_sk_dstatop_sse41_8bit:
  .byte  102,68,15,111,29,212,88,0,0         // movdqa        0x58d4(%rip),%xmm11        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,69,15,56,0,235                  // pshufb        %xmm11,%xmm13
  .byte  102,68,15,111,248                   // movdqa        %xmm0,%xmm15
  .byte  102,69,15,56,0,251                  // pshufb        %xmm11,%xmm15
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,226                 // pmovzxbw      %xmm2,%xmm12
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,243                 // pmovzxbw      %xmm3,%xmm14
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,69,15,56,48,215                 // pmovzxbw      %xmm15,%xmm10
  .byte  102,69,15,104,248                   // punpckhbw     %xmm8,%xmm15
  .byte  102,68,15,213,253                   // pmullw        %xmm5,%xmm15
  .byte  102,68,15,253,253                   // paddw         %xmm5,%xmm15
  .byte  102,69,15,56,48,205                 // pmovzxbw      %xmm13,%xmm9
  .byte  102,69,15,104,232                   // punpckhbw     %xmm8,%xmm13
  .byte  102,68,15,213,236                   // pmullw        %xmm4,%xmm13
  .byte  102,68,15,253,236                   // paddw         %xmm4,%xmm13
  .byte  102,69,15,213,206                   // pmullw        %xmm14,%xmm9
  .byte  102,69,15,213,212                   // pmullw        %xmm12,%xmm10
  .byte  102,69,15,253,212                   // paddw         %xmm12,%xmm10
  .byte  102,69,15,253,206                   // paddw         %xmm14,%xmm9
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,69,15,103,215                   // packuswb      %xmm15,%xmm10
  .byte  102,69,15,103,205                   // packuswb      %xmm13,%xmm9
  .byte  102,65,15,56,0,243                  // pshufb        %xmm11,%xmm6
  .byte  102,65,15,56,0,251                  // pshufb        %xmm11,%xmm7
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,239,244                      // pxor          %xmm4,%xmm6
  .byte  102,68,15,56,48,216                 // pmovzxbw      %xmm0,%xmm11
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,56,48,225                 // pmovzxbw      %xmm1,%xmm12
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,56,48,230                    // pmovzxbw      %xmm6,%xmm4
  .byte  102,15,56,48,239                    // pmovzxbw      %xmm7,%xmm5
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,65,15,213,236                   // pmullw        %xmm12,%xmm5
  .byte  102,65,15,213,227                   // pmullw        %xmm11,%xmm4
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  102,65,15,252,226                   // paddb         %xmm10,%xmm4
  .byte  102,65,15,252,233                   // paddb         %xmm9,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse41_8bit
.globl _sk_srcin_sse41_8bit
FUNCTION(_sk_srcin_sse41_8bit)
_sk_srcin_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,139,87,0,0             // movdqa        0x578b(%rip),%xmm0        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,56,0,240                     // pshufb        %xmm0,%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,56,0,248                     // pshufb        %xmm0,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,205                 // pmovzxbw      %xmm5,%xmm9
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,212                 // pmovzxbw      %xmm4,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse41_8bit
.globl _sk_dstin_sse41_8bit
FUNCTION(_sk_dstin_sse41_8bit)
_sk_dstin_sse41_8bit:
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,250,86,0,0             // movdqa        0x56fa(%rip),%xmm0        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,56,0,200                     // pshufb        %xmm0,%xmm1
  .byte  102,15,56,0,232                     // pshufb        %xmm0,%xmm5
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,15,56,48,197                    // pmovzxbw      %xmm5,%xmm0
  .byte  102,15,56,48,225                    // pmovzxbw      %xmm1,%xmm4
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,104,202                   // punpckhbw     %xmm10,%xmm1
  .byte  102,15,213,206                      // pmullw        %xmm6,%xmm1
  .byte  102,15,213,239                      // pmullw        %xmm7,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,253,239                      // paddw         %xmm7,%xmm5
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,103,225                      // packuswb      %xmm1,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse41_8bit
.globl _sk_srcout_sse41_8bit
FUNCTION(_sk_srcout_sse41_8bit)
_sk_srcout_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,5,97,86,0,0              // movdqa        0x5661(%rip),%xmm0        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,56,0,248                     // pshufb        %xmm0,%xmm7
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,56,0,240                     // pshufb        %xmm0,%xmm6
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,205                 // pmovzxbw      %xmm5,%xmm9
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,56,48,212                 // pmovzxbw      %xmm4,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,56,48,206                    // pmovzxbw      %xmm6,%xmm1
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse41_8bit
.globl _sk_dstout_sse41_8bit
FUNCTION(_sk_dstout_sse41_8bit)
_sk_dstout_sse41_8bit:
  .byte  102,15,111,37,200,85,0,0            // movdqa        0x55c8(%rip),%xmm4        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,56,0,196                     // pshufb        %xmm4,%xmm0
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,15,56,48,224                    // pmovzxbw      %xmm0,%xmm4
  .byte  102,15,56,48,233                    // pmovzxbw      %xmm1,%xmm5
  .byte  102,65,15,104,194                   // punpckhbw     %xmm10,%xmm0
  .byte  102,65,15,104,202                   // punpckhbw     %xmm10,%xmm1
  .byte  102,15,213,206                      // pmullw        %xmm6,%xmm1
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse41_8bit
.globl _sk_srcover_sse41_8bit
FUNCTION(_sk_srcover_sse41_8bit)
_sk_srcover_sse41_8bit:
  .byte  102,15,111,53,39,85,0,0             // movdqa        0x5527(%rip),%xmm6        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,68,15,56,0,222                  // pshufb        %xmm6,%xmm11
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,56,0,238                     // pshufb        %xmm6,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,56,48,211                 // pmovzxbw      %xmm3,%xmm10
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,56,48,229                    // pmovzxbw      %xmm5,%xmm4
  .byte  102,65,15,56,48,243                 // pmovzxbw      %xmm11,%xmm6
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,68,15,213,223                   // pmullw        %xmm7,%xmm11
  .byte  102,65,15,213,236                   // pmullw        %xmm12,%xmm5
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,68,15,253,223                   // paddw         %xmm7,%xmm11
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,65,15,253,242                   // paddw         %xmm10,%xmm6
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,229                      // packuswb      %xmm5,%xmm4
  .byte  102,65,15,103,243                   // packuswb      %xmm11,%xmm6
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse41_8bit
.globl _sk_dstover_sse41_8bit
FUNCTION(_sk_dstover_sse41_8bit)
_sk_dstover_sse41_8bit:
  .byte  102,68,15,111,5,119,84,0,0          // movdqa        0x5477(%rip),%xmm8        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,68,15,56,48,201                 // pmovzxbw      %xmm1,%xmm9
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,56,0,248                  // pshufb        %xmm8,%xmm7
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,68,15,56,48,216                 // pmovzxbw      %xmm0,%xmm11
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,232                  // pshufb        %xmm8,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,15,56,48,245                    // pmovzxbw      %xmm5,%xmm6
  .byte  102,15,56,48,231                    // pmovzxbw      %xmm7,%xmm4
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,213,250                   // pmullw        %xmm10,%xmm7
  .byte  102,65,15,213,236                   // pmullw        %xmm12,%xmm5
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,213,243                   // pmullw        %xmm11,%xmm6
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,65,15,253,250                   // paddw         %xmm10,%xmm7
  .byte  102,65,15,253,243                   // paddw         %xmm11,%xmm6
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,248,204                      // psubb         %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse41_8bit
.globl _sk_modulate_sse41_8bit
FUNCTION(_sk_modulate_sse41_8bit)
_sk_modulate_sse41_8bit:
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,56,48,197                 // pmovzxbw      %xmm5,%xmm8
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,68,15,56,48,204                 // pmovzxbw      %xmm4,%xmm9
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,15,56,48,194                    // pmovzxbw      %xmm2,%xmm0
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,15,56,48,203                    // pmovzxbw      %xmm3,%xmm1
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,242                   // punpckhbw     %xmm10,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,65,15,213,201                   // pmullw        %xmm9,%xmm1
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,253,192                   // paddw         %xmm8,%xmm0
  .byte  102,65,15,253,201                   // paddw         %xmm9,%xmm1
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse41_8bit
.globl _sk_multiply_sse41_8bit
FUNCTION(_sk_multiply_sse41_8bit)
_sk_multiply_sse41_8bit:
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,111,53,53,83,0,0          // movdqa        0x5335(%rip),%xmm14        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,195                   // movdqa        %xmm3,%xmm8
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,56,0,238                  // pshufb        %xmm14,%xmm5
  .byte  102,65,15,111,250                   // movdqa        %xmm10,%xmm7
  .byte  102,65,15,56,0,254                  // pshufb        %xmm14,%xmm7
  .byte  102,69,15,118,255                   // pcmpeqd       %xmm15,%xmm15
  .byte  102,65,15,239,255                   // pxor          %xmm15,%xmm7
  .byte  102,65,15,239,239                   // pxor          %xmm15,%xmm5
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,68,15,104,236                   // punpckhbw     %xmm4,%xmm13
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,68,15,104,228                   // punpckhbw     %xmm4,%xmm12
  .byte  102,68,15,56,48,217                 // pmovzxbw      %xmm1,%xmm11
  .byte  102,68,15,56,48,202                 // pmovzxbw      %xmm2,%xmm9
  .byte  102,15,56,48,245                    // pmovzxbw      %xmm5,%xmm6
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  102,65,15,213,237                   // pmullw        %xmm13,%xmm5
  .byte  102,65,15,213,243                   // pmullw        %xmm11,%xmm6
  .byte  102,65,15,253,237                   // paddw         %xmm13,%xmm5
  .byte  102,65,15,253,243                   // paddw         %xmm11,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,56,48,199                    // pmovzxbw      %xmm7,%xmm0
  .byte  102,15,104,252                      // punpckhbw     %xmm4,%xmm7
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,65,15,111,234                   // movdqa        %xmm10,%xmm5
  .byte  102,65,15,56,0,206                  // pshufb        %xmm14,%xmm1
  .byte  102,65,15,56,0,214                  // pshufb        %xmm14,%xmm2
  .byte  102,65,15,239,215                   // pxor          %xmm15,%xmm2
  .byte  102,65,15,239,207                   // pxor          %xmm15,%xmm1
  .byte  102,68,15,104,196                   // punpckhbw     %xmm4,%xmm8
  .byte  102,68,15,104,212                   // punpckhbw     %xmm4,%xmm10
  .byte  102,15,56,48,249                    // pmovzxbw      %xmm1,%xmm7
  .byte  102,68,15,56,48,242                 // pmovzxbw      %xmm2,%xmm14
  .byte  102,15,104,204                      // punpckhbw     %xmm4,%xmm1
  .byte  102,15,104,212                      // punpckhbw     %xmm4,%xmm2
  .byte  102,68,15,111,251                   // movdqa        %xmm3,%xmm15
  .byte  102,65,15,56,48,231                 // pmovzxbw      %xmm15,%xmm4
  .byte  102,65,15,213,200                   // pmullw        %xmm8,%xmm1
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,65,15,253,200                   // paddw         %xmm8,%xmm1
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,249                      // packuswb      %xmm1,%xmm7
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,56,48,235                    // pmovzxbw      %xmm3,%xmm5
  .byte  102,65,15,213,210                   // pmullw        %xmm10,%xmm2
  .byte  102,68,15,213,245                   // pmullw        %xmm5,%xmm14
  .byte  102,65,15,253,210                   // paddw         %xmm10,%xmm2
  .byte  102,68,15,253,245                   // paddw         %xmm5,%xmm14
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,65,15,113,214,8                 // psrlw         $0x8,%xmm14
  .byte  102,68,15,103,242                   // packuswb      %xmm2,%xmm14
  .byte  102,68,15,252,240                   // paddb         %xmm0,%xmm14
  .byte  102,15,252,254                      // paddb         %xmm6,%xmm7
  .byte  102,69,15,213,197                   // pmullw        %xmm13,%xmm8
  .byte  102,69,15,253,197                   // paddw         %xmm13,%xmm8
  .byte  102,69,15,213,212                   // pmullw        %xmm12,%xmm10
  .byte  102,69,15,253,212                   // paddw         %xmm12,%xmm10
  .byte  102,65,15,213,227                   // pmullw        %xmm11,%xmm4
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,224                   // packuswb      %xmm8,%xmm4
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,103,234                   // packuswb      %xmm10,%xmm5
  .byte  102,15,252,231                      // paddb         %xmm7,%xmm4
  .byte  102,65,15,252,238                   // paddb         %xmm14,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,215                   // movdqa        %xmm15,%xmm2
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse41_8bit
.globl _sk_screen_sse41_8bit
FUNCTION(_sk_screen_sse41_8bit)
_sk_screen_sse41_8bit:
  .byte  102,69,15,118,228                   // pcmpeqd       %xmm12,%xmm12
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,239,220                   // pxor          %xmm12,%xmm11
  .byte  102,68,15,239,224                   // pxor          %xmm0,%xmm12
  .byte  102,69,15,56,48,204                 // pmovzxbw      %xmm12,%xmm9
  .byte  102,69,15,56,48,195                 // pmovzxbw      %xmm11,%xmm8
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,69,15,104,218                   // punpckhbw     %xmm10,%xmm11
  .byte  102,15,56,48,242                    // pmovzxbw      %xmm2,%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,15,56,48,235                    // pmovzxbw      %xmm3,%xmm5
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,65,15,213,227                   // pmullw        %xmm11,%xmm4
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,247                      // packuswb      %xmm7,%xmm6
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,15,252,205                      // paddb         %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse41_8bit
.globl _sk_xor__sse41_8bit
FUNCTION(_sk_xor__sse41_8bit)
_sk_xor__sse41_8bit:
  .byte  102,68,15,111,21,243,80,0,0         // movdqa        0x50f3(%rip),%xmm10        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,226                   // movdqa        %xmm2,%xmm12
  .byte  102,68,15,56,48,194                 // pmovzxbw      %xmm2,%xmm8
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,234                  // pshufb        %xmm10,%xmm5
  .byte  102,68,15,111,235                   // movdqa        %xmm3,%xmm13
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,56,0,226                  // pshufb        %xmm10,%xmm4
  .byte  102,69,15,118,219                   // pcmpeqd       %xmm11,%xmm11
  .byte  102,65,15,239,227                   // pxor          %xmm11,%xmm4
  .byte  102,65,15,239,235                   // pxor          %xmm11,%xmm5
  .byte  102,69,15,239,246                   // pxor          %xmm14,%xmm14
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,65,15,104,254                   // punpckhbw     %xmm14,%xmm7
  .byte  102,68,15,111,249                   // movdqa        %xmm1,%xmm15
  .byte  102,69,15,104,254                   // punpckhbw     %xmm14,%xmm15
  .byte  102,15,56,48,245                    // pmovzxbw      %xmm5,%xmm6
  .byte  102,65,15,104,238                   // punpckhbw     %xmm14,%xmm5
  .byte  102,15,213,239                      // pmullw        %xmm7,%xmm5
  .byte  102,15,253,239                      // paddw         %xmm7,%xmm5
  .byte  102,15,56,48,252                    // pmovzxbw      %xmm4,%xmm7
  .byte  102,65,15,104,230                   // punpckhbw     %xmm14,%xmm4
  .byte  102,65,15,213,231                   // pmullw        %xmm15,%xmm4
  .byte  102,65,15,253,231                   // paddw         %xmm15,%xmm4
  .byte  102,68,15,56,48,248                 // pmovzxbw      %xmm0,%xmm15
  .byte  102,65,15,213,247                   // pmullw        %xmm15,%xmm6
  .byte  102,65,15,253,247                   // paddw         %xmm15,%xmm6
  .byte  102,68,15,56,48,249                 // pmovzxbw      %xmm1,%xmm15
  .byte  102,65,15,213,255                   // pmullw        %xmm15,%xmm7
  .byte  102,65,15,253,255                   // paddw         %xmm15,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,65,15,56,0,194                  // pshufb        %xmm10,%xmm0
  .byte  102,65,15,56,0,202                  // pshufb        %xmm10,%xmm1
  .byte  102,65,15,239,203                   // pxor          %xmm11,%xmm1
  .byte  102,65,15,239,195                   // pxor          %xmm11,%xmm0
  .byte  102,69,15,104,230                   // punpckhbw     %xmm14,%xmm12
  .byte  102,69,15,104,238                   // punpckhbw     %xmm14,%xmm13
  .byte  102,15,56,48,224                    // pmovzxbw      %xmm0,%xmm4
  .byte  102,15,56,48,233                    // pmovzxbw      %xmm1,%xmm5
  .byte  102,65,15,104,198                   // punpckhbw     %xmm14,%xmm0
  .byte  102,65,15,104,206                   // punpckhbw     %xmm14,%xmm1
  .byte  102,65,15,213,205                   // pmullw        %xmm13,%xmm1
  .byte  102,65,15,213,196                   // pmullw        %xmm12,%xmm0
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,65,15,253,196                   // paddw         %xmm12,%xmm0
  .byte  102,65,15,253,205                   // paddw         %xmm13,%xmm1
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,224                      // packuswb      %xmm0,%xmm4
  .byte  102,15,103,233                      // packuswb      %xmm1,%xmm5
  .byte  102,15,252,230                      // paddb         %xmm6,%xmm4
  .byte  102,15,252,239                      // paddb         %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse41_8bit
.globl _sk_plus__sse41_8bit
FUNCTION(_sk_plus__sse41_8bit)
_sk_plus__sse41_8bit:
  .byte  102,15,220,194                      // paddusb       %xmm2,%xmm0
  .byte  102,15,220,203                      // paddusb       %xmm3,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse41_8bit
.globl _sk_darken_sse41_8bit
FUNCTION(_sk_darken_sse41_8bit)
_sk_darken_sse41_8bit:
  .byte  102,68,15,111,240                   // movdqa        %xmm0,%xmm14
  .byte  102,68,15,111,5,154,79,0,0          // movdqa        0x4f9a(%rip),%xmm8        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,56,0,240                  // pshufb        %xmm8,%xmm6
  .byte  102,68,15,111,234                   // movdqa        %xmm2,%xmm13
  .byte  102,68,15,56,48,210                 // pmovzxbw      %xmm2,%xmm10
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,232                  // pshufb        %xmm8,%xmm5
  .byte  102,69,15,239,228                   // pxor          %xmm12,%xmm12
  .byte  102,65,15,104,196                   // punpckhbw     %xmm12,%xmm0
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,56,48,254                 // pmovzxbw      %xmm14,%xmm15
  .byte  102,15,56,48,253                    // pmovzxbw      %xmm5,%xmm7
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,56,48,198                    // pmovzxbw      %xmm6,%xmm0
  .byte  102,65,15,104,244                   // punpckhbw     %xmm12,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,68,15,252,242                   // paddb         %xmm2,%xmm14
  .byte  102,65,15,213,255                   // pmullw        %xmm15,%xmm7
  .byte  102,65,15,253,255                   // paddw         %xmm15,%xmm7
  .byte  102,68,15,56,48,249                 // pmovzxbw      %xmm1,%xmm15
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,65,15,253,199                   // paddw         %xmm15,%xmm0
  .byte  102,68,15,111,249                   // movdqa        %xmm1,%xmm15
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,69,15,56,0,248                  // pshufb        %xmm8,%xmm15
  .byte  102,65,15,56,0,224                  // pshufb        %xmm8,%xmm4
  .byte  102,69,15,104,236                   // punpckhbw     %xmm12,%xmm13
  .byte  102,69,15,104,220                   // punpckhbw     %xmm12,%xmm11
  .byte  102,15,56,48,236                    // pmovzxbw      %xmm4,%xmm5
  .byte  102,65,15,56,48,247                 // pmovzxbw      %xmm15,%xmm6
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,104,252                   // punpckhbw     %xmm12,%xmm15
  .byte  102,69,15,213,251                   // pmullw        %xmm11,%xmm15
  .byte  102,65,15,213,229                   // pmullw        %xmm13,%xmm4
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,253,229                   // paddw         %xmm13,%xmm4
  .byte  102,69,15,253,251                   // paddw         %xmm11,%xmm15
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,65,15,103,247                   // packuswb      %xmm15,%xmm6
  .byte  102,15,222,253                      // pmaxub        %xmm5,%xmm7
  .byte  102,15,222,198                      // pmaxub        %xmm6,%xmm0
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,248,192                   // psubb         %xmm0,%xmm8
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,248,231                      // psubb         %xmm7,%xmm4
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  102,68,15,248,245                   // psubb         %xmm5,%xmm14
  .byte  15,40,5,206,78,0,0                  // movaps        0x4ece(%rip),%xmm0        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,68,15,56,16,244                 // pblendvb      %xmm0,%xmm4,%xmm14
  .byte  102,65,15,56,16,200                 // pblendvb      %xmm0,%xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,198                   // movdqa        %xmm14,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse41_8bit
.globl _sk_lighten_sse41_8bit
FUNCTION(_sk_lighten_sse41_8bit)
_sk_lighten_sse41_8bit:
  .byte  102,68,15,111,240                   // movdqa        %xmm0,%xmm14
  .byte  102,68,15,111,5,43,78,0,0           // movdqa        0x4e2b(%rip),%xmm8        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,56,0,240                  // pshufb        %xmm8,%xmm6
  .byte  102,68,15,111,234                   // movdqa        %xmm2,%xmm13
  .byte  102,68,15,56,48,210                 // pmovzxbw      %xmm2,%xmm10
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,56,0,232                  // pshufb        %xmm8,%xmm5
  .byte  102,69,15,239,228                   // pxor          %xmm12,%xmm12
  .byte  102,65,15,104,196                   // punpckhbw     %xmm12,%xmm0
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,56,48,254                 // pmovzxbw      %xmm14,%xmm15
  .byte  102,15,56,48,253                    // pmovzxbw      %xmm5,%xmm7
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,56,48,198                    // pmovzxbw      %xmm6,%xmm0
  .byte  102,65,15,104,244                   // punpckhbw     %xmm12,%xmm6
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,15,253,244                      // paddw         %xmm4,%xmm6
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,68,15,252,242                   // paddb         %xmm2,%xmm14
  .byte  102,65,15,213,255                   // pmullw        %xmm15,%xmm7
  .byte  102,65,15,253,255                   // paddw         %xmm15,%xmm7
  .byte  102,68,15,56,48,249                 // pmovzxbw      %xmm1,%xmm15
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,65,15,253,199                   // paddw         %xmm15,%xmm0
  .byte  102,68,15,111,249                   // movdqa        %xmm1,%xmm15
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,69,15,56,0,248                  // pshufb        %xmm8,%xmm15
  .byte  102,65,15,56,0,224                  // pshufb        %xmm8,%xmm4
  .byte  102,69,15,104,236                   // punpckhbw     %xmm12,%xmm13
  .byte  102,69,15,104,220                   // punpckhbw     %xmm12,%xmm11
  .byte  102,15,56,48,236                    // pmovzxbw      %xmm4,%xmm5
  .byte  102,65,15,56,48,247                 // pmovzxbw      %xmm15,%xmm6
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,69,15,104,252                   // punpckhbw     %xmm12,%xmm15
  .byte  102,69,15,213,251                   // pmullw        %xmm11,%xmm15
  .byte  102,65,15,213,229                   // pmullw        %xmm13,%xmm4
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,253,229                   // paddw         %xmm13,%xmm4
  .byte  102,69,15,253,251                   // paddw         %xmm11,%xmm15
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,65,15,103,247                   // packuswb      %xmm15,%xmm6
  .byte  102,15,218,253                      // pminub        %xmm5,%xmm7
  .byte  102,15,218,198                      // pminub        %xmm6,%xmm0
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,248,192                   // psubb         %xmm0,%xmm8
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,248,231                      // psubb         %xmm7,%xmm4
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  102,68,15,248,245                   // psubb         %xmm5,%xmm14
  .byte  15,40,5,95,77,0,0                   // movaps        0x4d5f(%rip),%xmm0        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,68,15,56,16,244                 // pblendvb      %xmm0,%xmm4,%xmm14
  .byte  102,65,15,56,16,200                 // pblendvb      %xmm0,%xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,198                   // movdqa        %xmm14,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse41_8bit
.globl _sk_exclusion_sse41_8bit
FUNCTION(_sk_exclusion_sse41_8bit)
_sk_exclusion_sse41_8bit:
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,216                   // movdqa        %xmm0,%xmm11
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,56,48,200                 // pmovzxbw      %xmm0,%xmm9
  .byte  102,68,15,56,48,209                 // pmovzxbw      %xmm1,%xmm10
  .byte  102,15,56,48,250                    // pmovzxbw      %xmm2,%xmm7
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,15,56,48,227                    // pmovzxbw      %xmm3,%xmm4
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,213,244                   // pmullw        %xmm12,%xmm6
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,213,226                   // pmullw        %xmm10,%xmm4
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,65,15,253,244                   // paddw         %xmm12,%xmm6
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,111,45,181,76,0,0            // movdqa        0x4cb5(%rip),%xmm5        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,15,248,204                      // psubb         %xmm4,%xmm1
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  102,15,219,239                      // pand          %xmm7,%xmm5
  .byte  102,15,248,199                      // psubb         %xmm7,%xmm0
  .byte  102,15,248,197                      // psubb         %xmm5,%xmm0
  .byte  102,15,248,204                      // psubb         %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse41_8bit
.globl _sk_difference_sse41_8bit
FUNCTION(_sk_difference_sse41_8bit)
_sk_difference_sse41_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,15,111,13,12,76,0,0             // movdqa        0x4c0c(%rip),%xmm1        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,56,48,203                 // pmovzxbw      %xmm3,%xmm9
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,56,0,241                     // pshufb        %xmm1,%xmm6
  .byte  102,68,15,111,234                   // movdqa        %xmm2,%xmm13
  .byte  102,68,15,56,48,210                 // pmovzxbw      %xmm2,%xmm10
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,56,0,225                     // pshufb        %xmm1,%xmm4
  .byte  102,69,15,239,228                   // pxor          %xmm12,%xmm12
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  102,65,15,104,204                   // punpckhbw     %xmm12,%xmm1
  .byte  102,68,15,56,48,248                 // pmovzxbw      %xmm0,%xmm15
  .byte  102,68,15,56,48,244                 // pmovzxbw      %xmm4,%xmm14
  .byte  102,65,15,104,228                   // punpckhbw     %xmm12,%xmm4
  .byte  102,15,213,229                      // pmullw        %xmm5,%xmm4
  .byte  102,15,253,229                      // paddw         %xmm5,%xmm4
  .byte  102,15,56,48,254                    // pmovzxbw      %xmm6,%xmm7
  .byte  102,65,15,104,244                   // punpckhbw     %xmm12,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,69,15,213,247                   // pmullw        %xmm15,%xmm14
  .byte  102,69,15,253,247                   // paddw         %xmm15,%xmm14
  .byte  102,65,15,56,48,200                 // pmovzxbw      %xmm8,%xmm1
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  102,68,15,252,195                   // paddb         %xmm3,%xmm8
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,214,8                 // psrlw         $0x8,%xmm14
  .byte  102,68,15,103,244                   // packuswb      %xmm4,%xmm14
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,254                      // packuswb      %xmm6,%xmm7
  .byte  102,15,111,37,81,75,0,0             // movdqa        0x4b51(%rip),%xmm4        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,15,56,0,204                     // pshufb        %xmm4,%xmm1
  .byte  102,15,56,0,236                     // pshufb        %xmm4,%xmm5
  .byte  102,69,15,104,236                   // punpckhbw     %xmm12,%xmm13
  .byte  102,69,15,104,220                   // punpckhbw     %xmm12,%xmm11
  .byte  102,15,56,48,229                    // pmovzxbw      %xmm5,%xmm4
  .byte  102,15,56,48,241                    // pmovzxbw      %xmm1,%xmm6
  .byte  102,65,15,104,236                   // punpckhbw     %xmm12,%xmm5
  .byte  102,65,15,104,204                   // punpckhbw     %xmm12,%xmm1
  .byte  102,65,15,213,203                   // pmullw        %xmm11,%xmm1
  .byte  102,65,15,213,237                   // pmullw        %xmm13,%xmm5
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,213,226                   // pmullw        %xmm10,%xmm4
  .byte  102,65,15,253,237                   // paddw         %xmm13,%xmm5
  .byte  102,65,15,253,203                   // paddw         %xmm11,%xmm1
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,229                      // packuswb      %xmm5,%xmm4
  .byte  102,15,103,241                      // packuswb      %xmm1,%xmm6
  .byte  102,65,15,218,230                   // pminub        %xmm14,%xmm4
  .byte  102,15,218,247                      // pminub        %xmm7,%xmm6
  .byte  102,15,111,13,84,75,0,0             // movdqa        0x4b54(%rip),%xmm1        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,68,15,248,198                   // psubb         %xmm6,%xmm8
  .byte  102,15,219,241                      // pand          %xmm1,%xmm6
  .byte  102,15,219,204                      // pand          %xmm4,%xmm1
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,193                      // psubb         %xmm1,%xmm0
  .byte  102,68,15,248,198                   // psubb         %xmm6,%xmm8
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,65,15,111,200                   // movdqa        %xmm8,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse41_8bit
.globl _sk_hardlight_sse41_8bit
FUNCTION(_sk_hardlight_sse41_8bit)
_sk_hardlight_sse41_8bit:
  .byte  72,129,236,152,0,0,0                // sub           $0x98,%rsp
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,68,15,111,233                   // movdqa        %xmm1,%xmm13
  .byte  102,68,15,111,240                   // movdqa        %xmm0,%xmm14
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,65,15,111,230                   // movdqa        %xmm14,%xmm4
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,65,15,111,253                   // movdqa        %xmm13,%xmm7
  .byte  102,15,104,248                      // punpckhbw     %xmm0,%xmm7
  .byte  102,65,15,56,48,206                 // pmovzxbw      %xmm14,%xmm1
  .byte  102,15,127,76,36,128                // movdqa        %xmm1,-0x80(%rsp)
  .byte  102,69,15,56,48,221                 // pmovzxbw      %xmm13,%xmm11
  .byte  102,68,15,127,92,36,48              // movdqa        %xmm11,0x30(%rsp)
  .byte  102,15,111,13,100,74,0,0            // movdqa        0x4a64(%rip),%xmm1        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,56,0,241                  // pshufb        %xmm1,%xmm14
  .byte  102,68,15,56,0,233                  // pshufb        %xmm1,%xmm13
  .byte  102,69,15,56,48,197                 // pmovzxbw      %xmm13,%xmm8
  .byte  102,68,15,104,232                   // punpckhbw     %xmm0,%xmm13
  .byte  102,69,15,56,48,254                 // pmovzxbw      %xmm14,%xmm15
  .byte  102,68,15,104,240                   // punpckhbw     %xmm0,%xmm14
  .byte  102,15,127,84,36,208                // movdqa        %xmm2,-0x30(%rsp)
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,68,15,127,84,36,224             // movdqa        %xmm10,-0x20(%rsp)
  .byte  102,65,15,111,210                   // movdqa        %xmm10,%xmm2
  .byte  102,68,15,104,208                   // punpckhbw     %xmm0,%xmm10
  .byte  102,15,56,0,241                     // pshufb        %xmm1,%xmm6
  .byte  102,15,56,0,209                     // pshufb        %xmm1,%xmm2
  .byte  102,15,56,48,202                    // pmovzxbw      %xmm2,%xmm1
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,15,104,208                      // punpckhbw     %xmm0,%xmm2
  .byte  102,15,127,84,36,192                // movdqa        %xmm2,-0x40(%rsp)
  .byte  102,15,56,48,214                    // pmovzxbw      %xmm6,%xmm2
  .byte  102,15,127,84,36,176                // movdqa        %xmm2,-0x50(%rsp)
  .byte  102,15,104,240                      // punpckhbw     %xmm0,%xmm6
  .byte  102,68,15,111,206                   // movdqa        %xmm6,%xmm9
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,56,58,213                 // pminuw        %xmm13,%xmm2
  .byte  102,15,117,208                      // pcmpeqw       %xmm0,%xmm2
  .byte  102,15,127,84,36,112                // movdqa        %xmm2,0x70(%rsp)
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,56,58,214                 // pminuw        %xmm14,%xmm2
  .byte  102,15,117,208                      // pcmpeqw       %xmm0,%xmm2
  .byte  102,15,127,84,36,80                 // movdqa        %xmm2,0x50(%rsp)
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,65,15,111,216                   // movdqa        %xmm8,%xmm3
  .byte  102,15,127,92,36,240                // movdqa        %xmm3,-0x10(%rsp)
  .byte  102,15,56,58,211                    // pminuw        %xmm3,%xmm2
  .byte  102,15,117,208                      // pcmpeqw       %xmm0,%xmm2
  .byte  102,15,127,148,36,128,0,0,0         // movdqa        %xmm2,0x80(%rsp)
  .byte  102,15,111,68,36,128                // movdqa        -0x80(%rsp),%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,56,58,247                 // pminuw        %xmm15,%xmm6
  .byte  102,15,117,240                      // pcmpeqw       %xmm0,%xmm6
  .byte  102,15,127,116,36,64                // movdqa        %xmm6,0x40(%rsp)
  .byte  102,15,111,53,20,66,0,0             // movdqa        0x4214(%rip),%xmm6        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,127,68,36,96                 // movdqa        %xmm0,0x60(%rsp)
  .byte  102,69,15,111,222                   // movdqa        %xmm14,%xmm11
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,68,15,213,221                   // pmullw        %xmm5,%xmm11
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,68,15,249,205                   // psubw         %xmm5,%xmm9
  .byte  102,68,15,127,12,36                 // movdqa        %xmm9,(%rsp)
  .byte  102,68,15,111,205                   // movdqa        %xmm5,%xmm9
  .byte  102,68,15,213,204                   // pmullw        %xmm4,%xmm9
  .byte  102,65,15,213,198                   // pmullw        %xmm14,%xmm0
  .byte  102,15,127,68,36,16                 // movdqa        %xmm0,0x10(%rsp)
  .byte  102,68,15,249,244                   // psubw         %xmm4,%xmm14
  .byte  102,15,111,108,36,176               // movdqa        -0x50(%rsp),%xmm5
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,127,68,36,160                // movdqa        %xmm0,-0x60(%rsp)
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,239,214                      // pxor          %xmm6,%xmm2
  .byte  102,15,111,100,36,192               // movdqa        -0x40(%rsp),%xmm4
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,213,193                      // pmullw        %xmm1,%xmm0
  .byte  102,15,127,68,36,32                 // movdqa        %xmm0,0x20(%rsp)
  .byte  102,65,15,111,199                   // movdqa        %xmm15,%xmm0
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,68,15,239,198                   // pxor          %xmm6,%xmm8
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,239,254                      // pxor          %xmm6,%xmm7
  .byte  102,65,15,239,245                   // pxor          %xmm13,%xmm6
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,68,15,111,252                   // movdqa        %xmm4,%xmm15
  .byte  102,65,15,249,226                   // psubw         %xmm10,%xmm4
  .byte  102,15,127,100,36,192               // movdqa        %xmm4,-0x40(%rsp)
  .byte  102,65,15,111,226                   // movdqa        %xmm10,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,69,15,213,253                   // pmullw        %xmm13,%xmm15
  .byte  102,68,15,249,233                   // psubw         %xmm1,%xmm13
  .byte  102,15,111,92,36,128                // movdqa        -0x80(%rsp),%xmm3
  .byte  102,15,111,76,36,160                // movdqa        -0x60(%rsp),%xmm1
  .byte  102,15,213,203                      // pmullw        %xmm3,%xmm1
  .byte  102,15,127,76,36,160                // movdqa        %xmm1,-0x60(%rsp)
  .byte  102,15,56,48,76,36,208              // pmovzxbw      -0x30(%rsp),%xmm1
  .byte  102,68,15,213,193                   // pmullw        %xmm1,%xmm8
  .byte  102,68,15,111,229                   // movdqa        %xmm5,%xmm12
  .byte  102,15,249,233                      // psubw         %xmm1,%xmm5
  .byte  102,15,127,108,36,176               // movdqa        %xmm5,-0x50(%rsp)
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,68,15,213,224                   // pmullw        %xmm0,%xmm12
  .byte  102,65,15,249,194                   // psubw         %xmm10,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,92,36,48                 // movdqa        0x30(%rsp),%xmm3
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,127,84,36,128                // movdqa        %xmm2,-0x80(%rsp)
  .byte  102,15,56,48,84,36,224              // pmovzxbw      -0x20(%rsp),%xmm2
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,15,111,68,36,144                // movdqa        -0x70(%rsp),%xmm0
  .byte  102,68,15,111,208                   // movdqa        %xmm0,%xmm10
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,127,68,36,144                // movdqa        %xmm0,-0x70(%rsp)
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,15,111,68,36,240                // movdqa        -0x10(%rsp),%xmm0
  .byte  102,68,15,213,208                   // pmullw        %xmm0,%xmm10
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,68,15,213,108,36,192            // pmullw        -0x40(%rsp),%xmm13
  .byte  102,68,15,213,52,36                 // pmullw        (%rsp),%xmm14
  .byte  102,15,213,68,36,144                // pmullw        -0x70(%rsp),%xmm0
  .byte  102,15,213,76,36,176                // pmullw        -0x50(%rsp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,208                   // psubw         %xmm0,%xmm10
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,68,15,249,225                   // psubw         %xmm1,%xmm12
  .byte  102,69,15,253,237                   // paddw         %xmm13,%xmm13
  .byte  102,69,15,249,253                   // psubw         %xmm13,%xmm15
  .byte  102,69,15,253,246                   // paddw         %xmm14,%xmm14
  .byte  102,15,111,76,36,16                 // movdqa        0x10(%rsp),%xmm1
  .byte  102,65,15,249,206                   // psubw         %xmm14,%xmm1
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,15,111,68,36,80                 // movdqa        0x50(%rsp),%xmm0
  .byte  102,68,15,219,200                   // pand          %xmm0,%xmm9
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,65,15,235,193                   // por           %xmm9,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,68,36,112                // movdqa        0x70(%rsp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,65,15,223,199                   // pandn         %xmm15,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,253,237                      // paddw         %xmm5,%xmm5
  .byte  102,15,111,68,36,64                 // movdqa        0x40(%rsp),%xmm0
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  102,65,15,223,196                   // pandn         %xmm12,%xmm0
  .byte  102,15,235,197                      // por           %xmm5,%xmm0
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,132,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm0
  .byte  102,15,219,208                      // pand          %xmm0,%xmm2
  .byte  102,65,15,223,194                   // pandn         %xmm10,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,68,15,253,92,36,96              // paddw         0x60(%rsp),%xmm11
  .byte  102,15,253,116,36,32                // paddw         0x20(%rsp),%xmm6
  .byte  102,68,15,253,68,36,160             // paddw         -0x60(%rsp),%xmm8
  .byte  102,15,253,124,36,128               // paddw         -0x80(%rsp),%xmm7
  .byte  102,15,111,5,196,71,0,0             // movdqa        0x47c4(%rip),%xmm0        # 2ca30 <_sk_overlay_sse2_8bit+0x1614>
  .byte  102,68,15,253,216                   // paddw         %xmm0,%xmm11
  .byte  102,68,15,253,219                   // paddw         %xmm3,%xmm11
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,68,15,253,192                   // paddw         %xmm0,%xmm8
  .byte  102,68,15,253,196                   // paddw         %xmm4,%xmm8
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,15,253,250                      // paddw         %xmm2,%xmm7
  .byte  102,15,111,5,168,71,0,0             // movdqa        0x47a8(%rip),%xmm0        # 2ca40 <_sk_overlay_sse2_8bit+0x1624>
  .byte  102,15,228,240                      // pmulhuw       %xmm0,%xmm6
  .byte  102,68,15,228,216                   // pmulhuw       %xmm0,%xmm11
  .byte  102,15,228,248                      // pmulhuw       %xmm0,%xmm7
  .byte  102,68,15,228,192                   // pmulhuw       %xmm0,%xmm8
  .byte  102,65,15,113,211,7                 // psrlw         $0x7,%xmm11
  .byte  102,65,15,113,208,7                 // psrlw         $0x7,%xmm8
  .byte  102,69,15,103,195                   // packuswb      %xmm11,%xmm8
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,215,7                    // psrlw         $0x7,%xmm7
  .byte  102,15,103,254                      // packuswb      %xmm6,%xmm7
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,84,36,208                     // movaps        -0x30(%rsp),%xmm2
  .byte  15,40,92,36,224                     // movaps        -0x20(%rsp),%xmm3
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  72,129,196,152,0,0,0                // add           $0x98,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse41_8bit
.globl _sk_overlay_sse41_8bit
FUNCTION(_sk_overlay_sse41_8bit)
_sk_overlay_sse41_8bit:
  .byte  72,129,236,200,0,0,0                // sub           $0xc8,%rsp
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,68,15,111,248                   // movdqa        %xmm0,%xmm15
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,65,15,111,231                   // movdqa        %xmm15,%xmm4
  .byte  102,15,104,224                      // punpckhbw     %xmm0,%xmm4
  .byte  102,69,15,111,230                   // movdqa        %xmm14,%xmm12
  .byte  102,68,15,104,224                   // punpckhbw     %xmm0,%xmm12
  .byte  102,65,15,56,48,207                 // pmovzxbw      %xmm15,%xmm1
  .byte  102,15,127,76,36,128                // movdqa        %xmm1,-0x80(%rsp)
  .byte  102,65,15,56,48,206                 // pmovzxbw      %xmm14,%xmm1
  .byte  102,15,127,140,36,144,0,0,0         // movdqa        %xmm1,0x90(%rsp)
  .byte  102,15,111,13,110,70,0,0            // movdqa        0x466e(%rip),%xmm1        # 2c9a0 <_sk_overlay_sse2_8bit+0x1584>
  .byte  102,68,15,56,0,249                  // pshufb        %xmm1,%xmm15
  .byte  102,68,15,56,0,241                  // pshufb        %xmm1,%xmm14
  .byte  102,65,15,56,48,238                 // pmovzxbw      %xmm14,%xmm5
  .byte  102,15,127,108,36,160               // movdqa        %xmm5,-0x60(%rsp)
  .byte  102,68,15,104,240                   // punpckhbw     %xmm0,%xmm14
  .byte  102,65,15,56,48,239                 // pmovzxbw      %xmm15,%xmm5
  .byte  102,15,127,172,36,128,0,0,0         // movdqa        %xmm5,0x80(%rsp)
  .byte  102,68,15,104,248                   // punpckhbw     %xmm0,%xmm15
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,68,15,127,156,36,160,0,0,0      // movdqa        %xmm11,0xa0(%rsp)
  .byte  102,15,104,232                      // punpckhbw     %xmm0,%xmm5
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,127,156,36,176,0,0,0         // movdqa        %xmm3,0xb0(%rsp)
  .byte  102,15,104,208                      // punpckhbw     %xmm0,%xmm2
  .byte  102,15,56,0,241                     // pshufb        %xmm1,%xmm6
  .byte  102,15,56,0,249                     // pshufb        %xmm1,%xmm7
  .byte  102,15,56,48,207                    // pmovzxbw      %xmm7,%xmm1
  .byte  102,15,104,248                      // punpckhbw     %xmm0,%xmm7
  .byte  102,68,15,56,48,238                 // pmovzxbw      %xmm6,%xmm13
  .byte  102,15,104,240                      // punpckhbw     %xmm0,%xmm6
  .byte  102,68,15,111,206                   // movdqa        %xmm6,%xmm9
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,56,58,247                    // pminuw        %xmm7,%xmm6
  .byte  102,15,117,240                      // pcmpeqw       %xmm0,%xmm6
  .byte  102,15,127,116,36,80                // movdqa        %xmm6,0x50(%rsp)
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,56,58,241                 // pminuw        %xmm9,%xmm6
  .byte  102,15,117,240                      // pcmpeqw       %xmm0,%xmm6
  .byte  102,15,127,116,36,64                // movdqa        %xmm6,0x40(%rsp)
  .byte  102,15,56,48,195                    // pmovzxbw      %xmm3,%xmm0
  .byte  102,15,127,68,36,16                 // movdqa        %xmm0,0x10(%rsp)
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,56,58,217                    // pminuw        %xmm1,%xmm3
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,15,117,216                      // pcmpeqw       %xmm0,%xmm3
  .byte  102,15,127,92,36,96                 // movdqa        %xmm3,0x60(%rsp)
  .byte  102,65,15,56,48,195                 // pmovzxbw      %xmm11,%xmm0
  .byte  102,15,127,68,36,224                // movdqa        %xmm0,-0x20(%rsp)
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,65,15,56,58,221                 // pminuw        %xmm13,%xmm3
  .byte  102,15,117,216                      // pcmpeqw       %xmm0,%xmm3
  .byte  102,15,127,92,36,48                 // movdqa        %xmm3,0x30(%rsp)
  .byte  102,15,111,53,16,62,0,0             // movdqa        0x3e10(%rip),%xmm6        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,127,68,36,112                // movdqa        %xmm0,0x70(%rsp)
  .byte  102,69,15,111,223                   // movdqa        %xmm15,%xmm11
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,68,15,213,221                   // pmullw        %xmm5,%xmm11
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,68,15,249,205                   // psubw         %xmm5,%xmm9
  .byte  102,68,15,127,76,36,208             // movdqa        %xmm9,-0x30(%rsp)
  .byte  102,68,15,111,205                   // movdqa        %xmm5,%xmm9
  .byte  102,68,15,213,204                   // pmullw        %xmm4,%xmm9
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,15,127,68,36,240                // movdqa        %xmm0,-0x10(%rsp)
  .byte  102,68,15,249,252                   // psubw         %xmm4,%xmm15
  .byte  102,65,15,111,197                   // movdqa        %xmm13,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,239,206                      // pxor          %xmm6,%xmm1
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,65,15,111,252                   // movdqa        %xmm12,%xmm7
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,127,68,36,32                 // movdqa        %xmm0,0x20(%rsp)
  .byte  102,15,111,132,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm0
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,68,15,239,198                   // pxor          %xmm6,%xmm8
  .byte  102,15,111,108,36,160               // movdqa        -0x60(%rsp),%xmm5
  .byte  102,15,239,238                      // pxor          %xmm6,%xmm5
  .byte  102,65,15,239,246                   // pxor          %xmm14,%xmm6
  .byte  102,15,213,242                      // pmullw        %xmm2,%xmm6
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,15,249,202                      // psubw         %xmm2,%xmm1
  .byte  102,15,127,76,36,192                // movdqa        %xmm1,-0x40(%rsp)
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,213,231                      // pmullw        %xmm7,%xmm4
  .byte  102,69,15,213,230                   // pmullw        %xmm14,%xmm12
  .byte  102,68,15,249,247                   // psubw         %xmm7,%xmm14
  .byte  102,15,111,76,36,128                // movdqa        -0x80(%rsp),%xmm1
  .byte  102,15,213,217                      // pmullw        %xmm1,%xmm3
  .byte  102,15,127,28,36                    // movdqa        %xmm3,(%rsp)
  .byte  102,15,111,84,36,224                // movdqa        -0x20(%rsp),%xmm2
  .byte  102,68,15,213,194                   // pmullw        %xmm2,%xmm8
  .byte  102,65,15,111,221                   // movdqa        %xmm13,%xmm3
  .byte  102,15,249,218                      // psubw         %xmm2,%xmm3
  .byte  102,15,127,92,36,176                // movdqa        %xmm3,-0x50(%rsp)
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,213,217                      // pmullw        %xmm1,%xmm3
  .byte  102,68,15,213,232                   // pmullw        %xmm0,%xmm13
  .byte  102,15,249,193                      // psubw         %xmm1,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,148,36,144,0,0,0         // movdqa        0x90(%rsp),%xmm2
  .byte  102,68,15,213,210                   // pmullw        %xmm2,%xmm10
  .byte  102,68,15,127,84,36,128             // movdqa        %xmm10,-0x80(%rsp)
  .byte  102,15,111,68,36,16                 // movdqa        0x10(%rsp),%xmm0
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,111,124,36,144               // movdqa        -0x70(%rsp),%xmm7
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,15,249,248                      // psubw         %xmm0,%xmm7
  .byte  102,15,127,124,36,144               // movdqa        %xmm7,-0x70(%rsp)
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,15,111,68,36,160                // movdqa        -0x60(%rsp),%xmm0
  .byte  102,68,15,213,208                   // pmullw        %xmm0,%xmm10
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,68,15,213,116,36,192            // pmullw        -0x40(%rsp),%xmm14
  .byte  102,68,15,213,124,36,208            // pmullw        -0x30(%rsp),%xmm15
  .byte  102,15,213,68,36,144                // pmullw        -0x70(%rsp),%xmm0
  .byte  102,15,213,76,36,176                // pmullw        -0x50(%rsp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,208                   // psubw         %xmm0,%xmm10
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,68,15,249,233                   // psubw         %xmm1,%xmm13
  .byte  102,69,15,253,246                   // paddw         %xmm14,%xmm14
  .byte  102,69,15,249,230                   // psubw         %xmm14,%xmm12
  .byte  102,69,15,253,255                   // paddw         %xmm15,%xmm15
  .byte  102,15,111,76,36,240                // movdqa        -0x10(%rsp),%xmm1
  .byte  102,65,15,249,207                   // psubw         %xmm15,%xmm1
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,15,111,68,36,64                 // movdqa        0x40(%rsp),%xmm0
  .byte  102,68,15,219,200                   // pand          %xmm0,%xmm9
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,65,15,235,193                   // por           %xmm9,%xmm0
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,68,36,80                 // movdqa        0x50(%rsp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,65,15,223,196                   // pandn         %xmm12,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,253,219                      // paddw         %xmm3,%xmm3
  .byte  102,15,111,68,36,48                 // movdqa        0x30(%rsp),%xmm0
  .byte  102,15,219,216                      // pand          %xmm0,%xmm3
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,15,111,68,36,96                 // movdqa        0x60(%rsp),%xmm0
  .byte  102,15,219,248                      // pand          %xmm0,%xmm7
  .byte  102,65,15,223,194                   // pandn         %xmm10,%xmm0
  .byte  102,15,235,199                      // por           %xmm7,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,68,15,253,92,36,112             // paddw         0x70(%rsp),%xmm11
  .byte  102,15,253,116,36,32                // paddw         0x20(%rsp),%xmm6
  .byte  102,68,15,253,4,36                  // paddw         (%rsp),%xmm8
  .byte  102,15,253,108,36,128               // paddw         -0x80(%rsp),%xmm5
  .byte  102,15,111,5,204,67,0,0             // movdqa        0x43cc(%rip),%xmm0        # 2ca30 <_sk_overlay_sse2_8bit+0x1614>
  .byte  102,68,15,253,216                   // paddw         %xmm0,%xmm11
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,68,15,253,192                   // paddw         %xmm0,%xmm8
  .byte  102,68,15,253,195                   // paddw         %xmm3,%xmm8
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,111,5,176,67,0,0             // movdqa        0x43b0(%rip),%xmm0        # 2ca40 <_sk_overlay_sse2_8bit+0x1624>
  .byte  102,15,228,240                      // pmulhuw       %xmm0,%xmm6
  .byte  102,68,15,228,216                   // pmulhuw       %xmm0,%xmm11
  .byte  102,15,228,232                      // pmulhuw       %xmm0,%xmm5
  .byte  102,68,15,228,192                   // pmulhuw       %xmm0,%xmm8
  .byte  102,65,15,113,211,7                 // psrlw         $0x7,%xmm11
  .byte  102,65,15,113,208,7                 // psrlw         $0x7,%xmm8
  .byte  102,69,15,103,195                   // packuswb      %xmm11,%xmm8
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,148,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm2
  .byte  15,40,156,36,176,0,0,0              // movaps        0xb0(%rsp),%xmm3
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  72,129,196,200,0,0,0                // add           $0xc8,%rsp
  .byte  255,224                             // jmpq          *%rax
  .byte  144                                 // nop
  .byte  144                                 // nop
  .byte  144                                 // nop

HIDDEN _sk_start_pipeline_sse2_8bit
.globl _sk_start_pipeline_sse2_8bit
FUNCTION(_sk_start_pipeline_sse2_8bit)
_sk_start_pipeline_sse2_8bit:
  .byte  85                                  // push          %rbp
  .byte  72,137,229                          // mov           %rsp,%rbp
  .byte  65,87                               // push          %r15
  .byte  65,86                               // push          %r14
  .byte  65,85                               // push          %r13
  .byte  65,84                               // push          %r12
  .byte  83                                  // push          %rbx
  .byte  72,131,236,24                       // sub           $0x18,%rsp
  .byte  73,137,215                          // mov           %rdx,%r15
  .byte  72,137,243                          // mov           %rsi,%rbx
  .byte  72,137,125,208                      // mov           %rdi,-0x30(%rbp)
  .byte  76,137,198                          // mov           %r8,%rsi
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  73,137,197                          // mov           %rax,%r13
  .byte  73,137,246                          // mov           %rsi,%r14
  .byte  72,137,77,192                       // mov           %rcx,-0x40(%rbp)
  .byte  72,57,203                           // cmp           %rcx,%rbx
  .byte  115,83                              // jae           2876a <_sk_start_pipeline_sse2_8bit+0x82>
  .byte  72,139,69,208                       // mov           -0x30(%rbp),%rax
  .byte  72,141,64,8                         // lea           0x8(%rax),%rax
  .byte  72,137,69,200                       // mov           %rax,-0x38(%rbp)
  .byte  76,57,125,200                       // cmp           %r15,-0x38(%rbp)
  .byte  72,139,85,208                       // mov           -0x30(%rbp),%rdx
  .byte  119,35                              // ja            28750 <_sk_start_pipeline_sse2_8bit+0x68>
  .byte  76,139,101,208                      // mov           -0x30(%rbp),%r12
  .byte  49,255                              // xor           %edi,%edi
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  76,137,226                          // mov           %r12,%rdx
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  73,141,84,36,8                      // lea           0x8(%r12),%rdx
  .byte  73,131,196,16                       // add           $0x10,%r12
  .byte  77,57,252                           // cmp           %r15,%r12
  .byte  73,137,212                          // mov           %rdx,%r12
  .byte  118,225                             // jbe           28731 <_sk_start_pipeline_sse2_8bit+0x49>
  .byte  76,137,255                          // mov           %r15,%rdi
  .byte  72,41,215                           // sub           %rdx,%rdi
  .byte  116,9                               // je            28761 <_sk_start_pipeline_sse2_8bit+0x79>
  .byte  76,137,246                          // mov           %r14,%rsi
  .byte  72,137,217                          // mov           %rbx,%rcx
  .byte  65,255,213                          // callq         *%r13
  .byte  72,255,195                          // inc           %rbx
  .byte  72,59,93,192                        // cmp           -0x40(%rbp),%rbx
  .byte  117,185                             // jne           28723 <_sk_start_pipeline_sse2_8bit+0x3b>
  .byte  72,131,196,24                       // add           $0x18,%rsp
  .byte  91                                  // pop           %rbx
  .byte  65,92                               // pop           %r12
  .byte  65,93                               // pop           %r13
  .byte  65,94                               // pop           %r14
  .byte  65,95                               // pop           %r15
  .byte  93                                  // pop           %rbp
  .byte  195                                 // retq

HIDDEN _sk_just_return_sse2_8bit
.globl _sk_just_return_sse2_8bit
FUNCTION(_sk_just_return_sse2_8bit)
_sk_just_return_sse2_8bit:
  .byte  195                                 // retq

HIDDEN _sk_uniform_color_sse2_8bit
.globl _sk_uniform_color_sse2_8bit
FUNCTION(_sk_uniform_color_sse2_8bit)
_sk_uniform_color_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,110,64,16                    // movd          0x10(%rax),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_set_rgb_sse2_8bit
.globl _sk_set_rgb_sse2_8bit
FUNCTION(_sk_set_rgb_sse2_8bit)
_sk_set_rgb_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,37,240,48,0,0             // movss         0x30f0(%rip),%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  243,15,16,40                        // movss         (%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,197                    // cvttss2si     %xmm5,%r8
  .byte  243,15,16,104,4                     // movss         0x4(%rax),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  243,76,15,44,205                    // cvttss2si     %xmm5,%r9
  .byte  65,193,225,8                        // shl           $0x8,%r9d
  .byte  69,9,193                            // or            %r8d,%r9d
  .byte  243,15,89,96,8                      // mulss         0x8(%rax),%xmm4
  .byte  243,72,15,44,196                    // cvttss2si     %xmm4,%rax
  .byte  193,224,16                          // shl           $0x10,%eax
  .byte  68,9,200                            // or            %r9d,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  102,15,111,45,181,65,0,0            // movdqa        0x41b5(%rip),%xmm5        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,219,205                      // pand          %xmm5,%xmm1
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_premul_sse2_8bit
.globl _sk_premul_sse2_8bit
FUNCTION(_sk_premul_sse2_8bit)
_sk_premul_sse2_8bit:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,65,15,112,192,231               // pshuflw       $0xe7,%xmm8,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,111,5,89,65,0,0              // movdqa        0x4159(%rip),%xmm0        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,235,248                      // por           %xmm0,%xmm7
  .byte  102,15,235,240                      // por           %xmm0,%xmm6
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,65,15,96,225                    // punpcklbw     %xmm9,%xmm4
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,68,15,213,213                   // pmullw        %xmm5,%xmm10
  .byte  102,65,15,213,240                   // pmullw        %xmm8,%xmm6
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,65,15,253,240                   // paddw         %xmm8,%xmm6
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_swap_rb_sse2_8bit
.globl _sk_swap_rb_sse2_8bit
FUNCTION(_sk_swap_rb_sse2_8bit)
_sk_swap_rb_sse2_8bit:
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  242,15,112,192,198                  // pshuflw       $0xc6,%xmm0,%xmm0
  .byte  243,15,112,192,198                  // pshufhw       $0xc6,%xmm0,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  242,15,112,201,198                  // pshuflw       $0xc6,%xmm1,%xmm1
  .byte  243,15,112,201,198                  // pshufhw       $0xc6,%xmm1,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_invert_sse2_8bit
.globl _sk_invert_sse2_8bit
FUNCTION(_sk_invert_sse2_8bit)
_sk_invert_sse2_8bit:
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_load_8888_sse2_8bit
.globl _sk_load_8888_sse2_8bit
FUNCTION(_sk_load_8888_sse2_8bit)
_sk_load_8888_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,16                              // jne           28952 <_sk_load_8888_sse2_8bit+0x2c>
  .byte  67,15,16,76,152,16                  // movups        0x10(%r8,%r11,4),%xmm1
  .byte  102,67,15,16,4,152                  // movupd        (%r8,%r11,4),%xmm0
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            2894e <_sk_load_8888_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,83,0,0,0                  // lea           0x53(%rip),%r10        # 289c8 <_sk_load_8888_sse2_8bit+0xa2>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  235,200                             // jmp           2894e <_sk_load_8888_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  102,67,15,18,4,152                  // movlpd        (%r8,%r11,4),%xmm0
  .byte  235,180                             // jmp           2894e <_sk_load_8888_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  243,67,15,16,68,152,20              // movss         0x14(%r8,%r11,4),%xmm0
  .byte  15,198,193,0                        // shufps        $0x0,%xmm1,%xmm0
  .byte  15,198,193,226                      // shufps        $0xe2,%xmm1,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  243,67,15,16,68,152,16              // movss         0x10(%r8,%r11,4),%xmm0
  .byte  243,15,16,200                       // movss         %xmm0,%xmm1
  .byte  235,131                             // jmp           28948 <_sk_load_8888_sse2_8bit+0x22>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  182,255                             // mov           $0xff,%dh
  .byte  255                                 // (bad)
  .byte  255,202                             // dec           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  190,255,255,255,128                 // mov           $0x80ffffff,%esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_8888_dst_sse2_8bit
.globl _sk_load_8888_dst_sse2_8bit
FUNCTION(_sk_load_8888_dst_sse2_8bit)
_sk_load_8888_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,16                              // jne           28a10 <_sk_load_8888_dst_sse2_8bit+0x2c>
  .byte  67,15,16,92,152,16                  // movups        0x10(%r8,%r11,4),%xmm3
  .byte  102,67,15,16,20,152                 // movupd        (%r8,%r11,4),%xmm2
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,228                             // ja            28a0c <_sk_load_8888_dst_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,81,0,0,0                  // lea           0x51(%rip),%r10        # 28a84 <_sk_load_8888_dst_sse2_8bit+0xa0>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  235,200                             // jmp           28a0c <_sk_load_8888_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,67,15,18,20,152                 // movlpd        (%r8,%r11,4),%xmm2
  .byte  235,180                             // jmp           28a0c <_sk_load_8888_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  243,67,15,16,84,152,20              // movss         0x14(%r8,%r11,4),%xmm2
  .byte  15,198,211,0                        // shufps        $0x0,%xmm3,%xmm2
  .byte  15,198,211,226                      // shufps        $0xe2,%xmm3,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  243,67,15,16,84,152,16              // movss         0x10(%r8,%r11,4),%xmm2
  .byte  243,15,16,218                       // movss         %xmm2,%xmm3
  .byte  235,131                             // jmp           28a06 <_sk_load_8888_dst_sse2_8bit+0x22>
  .byte  144                                 // nop
  .byte  184,255,255,255,204                 // mov           $0xccffffff,%eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,192                             // inc           %eax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,130,255,255,255,242             // incl          -0xd000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_8888_sse2_8bit
.globl _sk_store_8888_sse2_8bit
FUNCTION(_sk_store_8888_sse2_8bit)
_sk_store_8888_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           28acd <_sk_store_8888_sse2_8bit+0x2d>
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  243,67,15,127,76,152,16             // movdqu        %xmm1,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            28ac9 <_sk_store_8888_sse2_8bit+0x29>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,76,0,0,0                  // lea           0x4c(%rip),%r10        # 28b34 <_sk_store_8888_sse2_8bit+0x94>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,4,152                 // movd          %xmm0,(%r8,%r11,4)
  .byte  235,208                             // jmp           28ac9 <_sk_store_8888_sse2_8bit+0x29>
  .byte  102,15,112,224,78                   // pshufd        $0x4e,%xmm0,%xmm4
  .byte  102,67,15,126,100,152,8             // movd          %xmm4,0x8(%r8,%r11,4)
  .byte  102,67,15,214,4,152                 // movq          %xmm0,(%r8,%r11,4)
  .byte  235,188                             // jmp           28ac9 <_sk_store_8888_sse2_8bit+0x29>
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,67,15,126,100,152,24            // movd          %xmm4,0x18(%r8,%r11,4)
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,67,15,126,100,152,20            // movd          %xmm4,0x14(%r8,%r11,4)
  .byte  102,67,15,126,76,152,16             // movd          %xmm1,0x10(%r8,%r11,4)
  .byte  243,67,15,127,4,152                 // movdqu        %xmm0,(%r8,%r11,4)
  .byte  235,149                             // jmp           28ac9 <_sk_store_8888_sse2_8bit+0x29>
  .byte  189,255,255,255,209                 // mov           $0xd1ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  248                                 // clc
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,241                             // push          %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  217,255                             // fcos
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_sse2_8bit
.globl _sk_load_bgra_sse2_8bit
FUNCTION(_sk_load_bgra_sse2_8bit)
_sk_load_bgra_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,92                              // jne           28bc8 <_sk_load_bgra_sse2_8bit+0x78>
  .byte  67,15,16,76,152,16                  // movups        0x10(%r8,%r11,4),%xmm1
  .byte  102,67,15,16,4,152                  // movupd        (%r8,%r11,4),%xmm0
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,40,232                       // movapd        %xmm0,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  242,15,112,192,198                  // pshuflw       $0xc6,%xmm0,%xmm0
  .byte  243,15,112,192,198                  // pshufhw       $0xc6,%xmm0,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  242,15,112,201,198                  // pshuflw       $0xc6,%xmm1,%xmm1
  .byte  243,15,112,201,198                  // pshufhw       $0xc6,%xmm1,%xmm1
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,152                             // ja            28b78 <_sk_load_bgra_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,89,0,0,0                  // lea           0x59(%rip),%r10        # 28c44 <_sk_load_bgra_sse2_8bit+0xf4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,4,152                  // movss         (%r8,%r11,4),%xmm0
  .byte  233,121,255,255,255                 // jmpq          28b78 <_sk_load_bgra_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,8              // movd          0x8(%r8,%r11,4),%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  102,67,15,18,4,152                  // movlpd        (%r8,%r11,4),%xmm0
  .byte  233,98,255,255,255                  // jmpq          28b78 <_sk_load_bgra_sse2_8bit+0x28>
  .byte  102,67,15,110,68,152,24             // movd          0x18(%r8,%r11,4),%xmm0
  .byte  102,15,112,200,69                   // pshufd        $0x45,%xmm0,%xmm1
  .byte  243,67,15,16,68,152,20              // movss         0x14(%r8,%r11,4),%xmm0
  .byte  15,198,193,0                        // shufps        $0x0,%xmm1,%xmm0
  .byte  15,198,193,226                      // shufps        $0xe2,%xmm1,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  243,67,15,16,68,152,16              // movss         0x10(%r8,%r11,4),%xmm0
  .byte  243,15,16,200                       // movss         %xmm0,%xmm1
  .byte  233,46,255,255,255                  // jmpq          28b72 <_sk_load_bgra_sse2_8bit+0x22>
  .byte  176,255                             // mov           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,255,255,255,46                  // mov           $0x2effffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_bgra_dst_sse2_8bit
.globl _sk_load_bgra_dst_sse2_8bit
FUNCTION(_sk_load_bgra_dst_sse2_8bit)
_sk_load_bgra_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,92                              // jne           28cd8 <_sk_load_bgra_dst_sse2_8bit+0x78>
  .byte  67,15,16,92,152,16                  // movups        0x10(%r8,%r11,4),%xmm3
  .byte  102,67,15,16,20,152                 // movupd        (%r8,%r11,4),%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,40,234                       // movapd        %xmm2,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  242,15,112,210,198                  // pshuflw       $0xc6,%xmm2,%xmm2
  .byte  243,15,112,210,198                  // pshufhw       $0xc6,%xmm2,%xmm2
  .byte  102,15,103,213                      // packuswb      %xmm5,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,104,236                      // punpckhbw     %xmm4,%xmm5
  .byte  242,15,112,237,198                  // pshuflw       $0xc6,%xmm5,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  242,15,112,219,198                  // pshuflw       $0xc6,%xmm3,%xmm3
  .byte  243,15,112,219,198                  // pshufhw       $0xc6,%xmm3,%xmm3
  .byte  102,15,103,221                      // packuswb      %xmm5,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,152                             // ja            28c88 <_sk_load_bgra_dst_sse2_8bit+0x28>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,89,0,0,0                  // lea           0x59(%rip),%r10        # 28d54 <_sk_load_bgra_dst_sse2_8bit+0xf4>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,67,15,16,20,152                 // movss         (%r8,%r11,4),%xmm2
  .byte  233,121,255,255,255                 // jmpq          28c88 <_sk_load_bgra_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,8              // movd          0x8(%r8,%r11,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,67,15,18,20,152                 // movlpd        (%r8,%r11,4),%xmm2
  .byte  233,98,255,255,255                  // jmpq          28c88 <_sk_load_bgra_dst_sse2_8bit+0x28>
  .byte  102,67,15,110,84,152,24             // movd          0x18(%r8,%r11,4),%xmm2
  .byte  102,15,112,218,69                   // pshufd        $0x45,%xmm2,%xmm3
  .byte  243,67,15,16,84,152,20              // movss         0x14(%r8,%r11,4),%xmm2
  .byte  15,198,211,0                        // shufps        $0x0,%xmm3,%xmm2
  .byte  15,198,211,226                      // shufps        $0xe2,%xmm3,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  243,67,15,16,84,152,16              // movss         0x10(%r8,%r11,4),%xmm2
  .byte  243,15,16,218                       // movss         %xmm2,%xmm3
  .byte  233,46,255,255,255                  // jmpq          28c82 <_sk_load_bgra_dst_sse2_8bit+0x22>
  .byte  176,255                             // mov           $0xff,%al
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  187,255,255,255,46                  // mov           $0x2effffff,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,240                             // push          %rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  222,255                             // fdivrp        %st,%st(7)
  .byte  255                                 // (bad)
  .byte  255,210                             // callq         *%rdx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_bgra_sse2_8bit
.globl _sk_store_bgra_sse2_8bit
FUNCTION(_sk_store_bgra_sse2_8bit)
_sk_store_bgra_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,104,229                      // punpckhbw     %xmm5,%xmm4
  .byte  242,15,112,228,198                  // pshuflw       $0xc6,%xmm4,%xmm4
  .byte  243,15,112,244,198                  // pshufhw       $0xc6,%xmm4,%xmm6
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  242,15,112,228,198                  // pshuflw       $0xc6,%xmm4,%xmm4
  .byte  243,15,112,228,198                  // pshufhw       $0xc6,%xmm4,%xmm4
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,104,245                      // punpckhbw     %xmm5,%xmm6
  .byte  242,15,112,246,198                  // pshuflw       $0xc6,%xmm6,%xmm6
  .byte  243,15,112,246,198                  // pshufhw       $0xc6,%xmm6,%xmm6
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,96,253                       // punpcklbw     %xmm5,%xmm7
  .byte  242,15,112,239,198                  // pshuflw       $0xc6,%xmm7,%xmm5
  .byte  243,15,112,237,198                  // pshufhw       $0xc6,%xmm5,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,17                              // jne           28df1 <_sk_store_bgra_sse2_8bit+0x81>
  .byte  243,67,15,127,44,152                // movdqu        %xmm5,(%r8,%r11,4)
  .byte  243,67,15,127,100,152,16            // movdqu        %xmm4,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            28ded <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,76,0,0,0                  // lea           0x4c(%rip),%r10        # 28e58 <_sk_store_bgra_sse2_8bit+0xe8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,67,15,126,44,152                // movd          %xmm5,(%r8,%r11,4)
  .byte  235,208                             // jmp           28ded <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  102,15,112,229,78                   // pshufd        $0x4e,%xmm5,%xmm4
  .byte  102,67,15,126,100,152,8             // movd          %xmm4,0x8(%r8,%r11,4)
  .byte  102,67,15,214,44,152                // movq          %xmm5,(%r8,%r11,4)
  .byte  235,188                             // jmp           28ded <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,67,15,126,116,152,24            // movd          %xmm6,0x18(%r8,%r11,4)
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,67,15,126,116,152,20            // movd          %xmm6,0x14(%r8,%r11,4)
  .byte  102,67,15,126,100,152,16            // movd          %xmm4,0x10(%r8,%r11,4)
  .byte  243,67,15,127,44,152                // movdqu        %xmm5,(%r8,%r11,4)
  .byte  235,149                             // jmp           28ded <_sk_store_bgra_sse2_8bit+0x7d>
  .byte  189,255,255,255,209                 // mov           $0xd1ffffff,%ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  248                                 // clc
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,241                             // push          %rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,229                             // jmpq          *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  217,255                             // fcos
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_sse2_8bit
.globl _sk_load_a8_sse2_8bit
FUNCTION(_sk_load_a8_sse2_8bit)
_sk_load_a8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,48                              // jne           28ebc <_sk_load_a8_sse2_8bit+0x48>
  .byte  243,67,15,126,4,24                  // movq          (%r8,%r11,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,219,5,178,51,0,0             // pand          0x33b2(%rip),%xmm0        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,105,204                      // punpckhwd     %xmm4,%xmm1
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,114,241,24                   // pslld         $0x18,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,198                             // ja            28e96 <_sk_load_a8_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,113,0,0,0                 // lea           0x71(%rip),%r10        # 28f4c <_sk_load_a8_sse2_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  235,167                             // jmp           28e96 <_sk_load_a8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,2                    // pinsrw        $0x2,%eax,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  243,15,16,193                       // movss         %xmm1,%xmm0
  .byte  235,133                             // jmp           28e96 <_sk_load_a8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,6                    // pinsrw        $0x6,%eax,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,192,5                    // pinsrw        $0x5,%eax,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,192,4                    // pinsrw        $0x4,%eax,%xmm0
  .byte  102,67,15,110,12,24                 // movd          (%r8,%r11,1),%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  233,77,255,255,255                  // jmpq          28e96 <_sk_load_a8_sse2_8bit+0x22>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  152                                 // cwtl
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,178,255,255,255,163             // pushq         -0x5c000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_a8_dst_sse2_8bit
.globl _sk_load_a8_dst_sse2_8bit
FUNCTION(_sk_load_a8_dst_sse2_8bit)
_sk_load_a8_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,48                              // jne           28fb0 <_sk_load_a8_dst_sse2_8bit+0x48>
  .byte  243,67,15,126,20,24                 // movq          (%r8,%r11,1),%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,219,21,190,50,0,0            // pand          0x32be(%rip),%xmm2        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,105,220                      // punpckhwd     %xmm4,%xmm3
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  102,15,114,242,24                   // pslld         $0x18,%xmm2
  .byte  102,15,114,243,24                   // pslld         $0x18,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,198                             // ja            28f8a <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,113,0,0,0                 // lea           0x71(%rip),%r10        # 29040 <_sk_load_a8_dst_sse2_8bit+0xd8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  235,167                             // jmp           28f8a <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,2                    // pinsrw        $0x2,%eax,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  235,133                             // jmp           28f8a <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,6                    // pinsrw        $0x6,%eax,%xmm2
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,208,5                    // pinsrw        $0x5,%eax,%xmm2
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,208,4                    // pinsrw        $0x4,%eax,%xmm2
  .byte  102,67,15,110,28,24                 // movd          (%r8,%r11,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,211                       // movsd         %xmm3,%xmm2
  .byte  233,77,255,255,255                  // jmpq          28f8a <_sk_load_a8_dst_sse2_8bit+0x22>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  152                                 // cwtl
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,178,255,255,255,163             // pushq         -0x5c000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  234                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  223,255                             // (bad)
  .byte  255                                 // (bad)
  .byte  255,212                             // callq         *%rsp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,197                             // inc           %ebp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_store_a8_sse2_8bit
.globl _sk_store_a8_sse2_8bit
FUNCTION(_sk_store_a8_sse2_8bit)
_sk_store_a8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,114,213,24                   // psrld         $0x18,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,229                      // packssdw      %xmm5,%xmm4
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,22                              // jne           290b4 <_sk_store_a8_sse2_8bit+0x58>
  .byte  102,15,219,37,170,49,0,0            // pand          0x31aa(%rip),%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,67,15,214,36,24                 // movq          %xmm4,(%r8,%r11,1)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,236                             // ja            290b0 <_sk_store_a8_sse2_8bit+0x54>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,133,0,0,0                 // lea           0x85(%rip),%r10        # 29154 <_sk_store_a8_sse2_8bit+0xf8>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,15,127,100,36,232               // movdqa        %xmm4,-0x18(%rsp)
  .byte  138,68,36,232                       // mov           -0x18(%rsp),%al
  .byte  67,136,4,24                         // mov           %al,(%r8,%r11,1)
  .byte  235,200                             // jmp           290b0 <_sk_store_a8_sse2_8bit+0x54>
  .byte  102,15,127,100,36,216               // movdqa        %xmm4,-0x28(%rsp)
  .byte  138,68,36,220                       // mov           -0x24(%rsp),%al
  .byte  67,136,68,24,2                      // mov           %al,0x2(%r8,%r11,1)
  .byte  102,15,219,37,81,49,0,0             // pand          0x3151(%rip),%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,67,137,4,24                     // mov           %ax,(%r8,%r11,1)
  .byte  235,162                             // jmp           290b0 <_sk_store_a8_sse2_8bit+0x54>
  .byte  102,15,127,100,36,200               // movdqa        %xmm4,-0x38(%rsp)
  .byte  138,68,36,212                       // mov           -0x2c(%rsp),%al
  .byte  67,136,68,24,6                      // mov           %al,0x6(%r8,%r11,1)
  .byte  102,15,127,100,36,184               // movdqa        %xmm4,-0x48(%rsp)
  .byte  138,68,36,194                       // mov           -0x3e(%rsp),%al
  .byte  67,136,68,24,5                      // mov           %al,0x5(%r8,%r11,1)
  .byte  102,15,127,100,36,168               // movdqa        %xmm4,-0x58(%rsp)
  .byte  138,68,36,176                       // mov           -0x50(%rsp),%al
  .byte  67,136,68,24,4                      // mov           %al,0x4(%r8,%r11,1)
  .byte  102,15,219,37,13,49,0,0             // pand          0x310d(%rip),%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,67,15,126,36,24                 // movd          %xmm4,(%r8,%r11,1)
  .byte  233,94,255,255,255                  // jmpq          290b0 <_sk_store_a8_sse2_8bit+0x54>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  132,255                             // test          %bh,%bh
  .byte  255                                 // (bad)
  .byte  255,163,255,255,255,148             // jmpq          *-0x6b000001(%rbx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,231                             // jmpq          *%rdi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  216,255                             // fdivr         %st(7),%st
  .byte  255                                 // (bad)
  .byte  255,201                             // dec           %ecx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  186                                 // .byte         0xba
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_sse2_8bit
.globl _sk_load_g8_sse2_8bit
FUNCTION(_sk_load_g8_sse2_8bit)
_sk_load_g8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,116                             // jne           291fc <_sk_load_g8_sse2_8bit+0x8c>
  .byte  243,67,15,126,4,24                  // movq          (%r8,%r11,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,219,5,182,48,0,0             // pand          0x30b6(%rip),%xmm0        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,97,225                       // punpcklwd     %xmm1,%xmm4
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,45,30,56,0,0             // movdqa        0x381e(%rip),%xmm5        # 2c9d0 <_sk_overlay_sse2_8bit+0x15b4>
  .byte  102,15,112,240,245                  // pshufd        $0xf5,%xmm0,%xmm6
  .byte  102,15,244,197                      // pmuludq       %xmm5,%xmm0
  .byte  102,15,112,200,232                  // pshufd        $0xe8,%xmm0,%xmm1
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,98,200                       // punpckldq     %xmm0,%xmm1
  .byte  102,15,112,244,245                  // pshufd        $0xf5,%xmm4,%xmm6
  .byte  102,15,244,229                      // pmuludq       %xmm5,%xmm4
  .byte  102,15,112,196,232                  // pshufd        $0xe8,%xmm4,%xmm0
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,230,232                  // pshufd        $0xe8,%xmm6,%xmm4
  .byte  102,15,98,196                       // punpckldq     %xmm4,%xmm0
  .byte  102,15,111,37,160,55,0,0            // movdqa        0x37a0(%rip),%xmm4        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,235,204                      // por           %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,130                             // ja            29192 <_sk_load_g8_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,117,0,0,0                 // lea           0x75(%rip),%r10        # 29290 <_sk_load_g8_sse2_8bit+0x120>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,192                      // movd          %eax,%xmm0
  .byte  233,96,255,255,255                  // jmpq          29192 <_sk_load_g8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,2                    // pinsrw        $0x2,%eax,%xmm0
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,200                      // movd          %eax,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  243,15,16,193                       // movss         %xmm1,%xmm0
  .byte  233,59,255,255,255                  // jmpq          29192 <_sk_load_g8_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,196,192,6                    // pinsrw        $0x6,%eax,%xmm0
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,192,5                    // pinsrw        $0x5,%eax,%xmm0
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,192,4                    // pinsrw        $0x4,%eax,%xmm0
  .byte  102,67,15,110,12,24                 // movd          (%r8,%r11,1),%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  233,3,255,255,255                   // jmpq          29192 <_sk_load_g8_sse2_8bit+0x22>
  .byte  144                                 // nop
  .byte  148                                 // xchg          %eax,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,177,255,255,255,162             // pushq         -0x5d000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,225                             // jmpq          *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_load_g8_dst_sse2_8bit
.globl _sk_load_g8_dst_sse2_8bit
FUNCTION(_sk_load_g8_dst_sse2_8bit)
_sk_load_g8_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  117,116                             // jne           29338 <_sk_load_g8_dst_sse2_8bit+0x8c>
  .byte  243,67,15,126,20,24                 // movq          (%r8,%r11,1),%xmm2
  .byte  102,15,96,208                       // punpcklbw     %xmm0,%xmm2
  .byte  102,15,219,21,122,47,0,0            // pand          0x2f7a(%rip),%xmm2        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,97,227                       // punpcklwd     %xmm3,%xmm4
  .byte  102,15,105,211                      // punpckhwd     %xmm3,%xmm2
  .byte  102,15,111,45,226,54,0,0            // movdqa        0x36e2(%rip),%xmm5        # 2c9d0 <_sk_overlay_sse2_8bit+0x15b4>
  .byte  102,15,112,242,245                  // pshufd        $0xf5,%xmm2,%xmm6
  .byte  102,15,244,213                      // pmuludq       %xmm5,%xmm2
  .byte  102,15,112,218,232                  // pshufd        $0xe8,%xmm2,%xmm3
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,214,232                  // pshufd        $0xe8,%xmm6,%xmm2
  .byte  102,15,98,218                       // punpckldq     %xmm2,%xmm3
  .byte  102,15,112,244,245                  // pshufd        $0xf5,%xmm4,%xmm6
  .byte  102,15,244,229                      // pmuludq       %xmm5,%xmm4
  .byte  102,15,112,212,232                  // pshufd        $0xe8,%xmm4,%xmm2
  .byte  102,15,244,245                      // pmuludq       %xmm5,%xmm6
  .byte  102,15,112,230,232                  // pshufd        $0xe8,%xmm6,%xmm4
  .byte  102,15,98,212                       // punpckldq     %xmm4,%xmm2
  .byte  102,15,111,37,100,54,0,0            // movdqa        0x3664(%rip),%xmm4        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,130                             // ja            292ce <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,117,0,0,0                 // lea           0x75(%rip),%r10        # 293cc <_sk_load_g8_dst_sse2_8bit+0x120>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,208                      // movd          %eax,%xmm2
  .byte  233,96,255,255,255                  // jmpq          292ce <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,2                    // pinsrw        $0x2,%eax,%xmm2
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,216                      // movd          %eax,%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  243,15,16,211                       // movss         %xmm3,%xmm2
  .byte  233,59,255,255,255                  // jmpq          292ce <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,196,208,6                    // pinsrw        $0x6,%eax,%xmm2
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,208,5                    // pinsrw        $0x5,%eax,%xmm2
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,208,4                    // pinsrw        $0x4,%eax,%xmm2
  .byte  102,67,15,110,28,24                 // movd          (%r8,%r11,1),%xmm3
  .byte  102,15,96,216                       // punpcklbw     %xmm0,%xmm3
  .byte  242,15,16,211                       // movsd         %xmm3,%xmm2
  .byte  233,3,255,255,255                   // jmpq          292ce <_sk_load_g8_dst_sse2_8bit+0x22>
  .byte  144                                 // nop
  .byte  148                                 // xchg          %eax,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,177,255,255,255,162             // pushq         -0x5d000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,225                             // jmpq          *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_srcover_rgba_8888_sse2_8bit
.globl _sk_srcover_rgba_8888_sse2_8bit
FUNCTION(_sk_srcover_rgba_8888_sse2_8bit)
_sk_srcover_rgba_8888_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  73,193,224,2                        // shl           $0x2,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,253,0,0,0                    // jne           29505 <_sk_srcover_rgba_8888_sse2_8bit+0x11d>
  .byte  71,15,16,68,152,16                  // movups        0x10(%r8,%r11,4),%xmm8
  .byte  102,71,15,16,12,152                 // movupd        (%r8,%r11,4),%xmm9
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,236,95                   // pshufhw       $0x5f,%xmm4,%xmm5
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,69,15,40,217                    // movapd        %xmm9,%xmm11
  .byte  102,69,15,96,218                    // punpcklbw     %xmm10,%xmm11
  .byte  102,69,15,40,225                    // movapd        %xmm9,%xmm12
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,69,15,111,232                   // movdqa        %xmm8,%xmm13
  .byte  102,69,15,96,234                    // punpcklbw     %xmm10,%xmm13
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,69,15,104,242                   // punpckhbw     %xmm10,%xmm14
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,65,15,96,250                    // punpcklbw     %xmm10,%xmm7
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,65,15,96,242                    // punpcklbw     %xmm10,%xmm6
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,65,15,213,245                   // pmullw        %xmm13,%xmm6
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,65,15,253,245                   // paddw         %xmm13,%xmm6
  .byte  102,65,15,253,238                   // paddw         %xmm14,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,68,15,248,198                   // psubb         %xmm6,%xmm8
  .byte  102,68,15,248,207                   // psubb         %xmm7,%xmm9
  .byte  102,68,15,252,200                   // paddb         %xmm0,%xmm9
  .byte  102,68,15,252,193                   // paddb         %xmm1,%xmm8
  .byte  117,78                              // jne           29542 <_sk_srcover_rgba_8888_sse2_8bit+0x15a>
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  243,71,15,127,68,152,16             // movdqu        %xmm8,0x10(%r8,%r11,4)
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,241,254,255,255              // ja            29414 <_sk_srcover_rgba_8888_sse2_8bit+0x2c>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,210,0,0,0                 // lea           0xd2(%rip),%r10        # 29600 <_sk_srcover_rgba_8888_sse2_8bit+0x218>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  243,71,15,16,12,152                 // movss         (%r8,%r11,4),%xmm9
  .byte  233,210,254,255,255                 // jmpq          29414 <_sk_srcover_rgba_8888_sse2_8bit+0x2c>
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  119,175                             // ja            29501 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  65,15,182,193                       // movzbl        %r9b,%eax
  .byte  76,141,13,191,0,0,0                 // lea           0xbf(%rip),%r9        # 2961c <_sk_srcover_rgba_8888_sse2_8bit+0x234>
  .byte  73,99,4,129                         // movslq        (%r9,%rax,4),%rax
  .byte  76,1,200                            // add           %r9,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  102,71,15,126,12,152                // movd          %xmm9,(%r8,%r11,4)
  .byte  235,147                             // jmp           29501 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  102,67,15,110,100,152,8             // movd          0x8(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,204,69                // pshufd        $0x45,%xmm4,%xmm9
  .byte  102,71,15,18,12,152                 // movlpd        (%r8,%r11,4),%xmm9
  .byte  233,142,254,255,255                 // jmpq          29414 <_sk_srcover_rgba_8888_sse2_8bit+0x2c>
  .byte  102,67,15,110,100,152,24            // movd          0x18(%r8,%r11,4),%xmm4
  .byte  102,68,15,112,196,69                // pshufd        $0x45,%xmm4,%xmm8
  .byte  243,67,15,16,100,152,20             // movss         0x14(%r8,%r11,4),%xmm4
  .byte  65,15,198,224,0                     // shufps        $0x0,%xmm8,%xmm4
  .byte  65,15,198,224,226                   // shufps        $0xe2,%xmm8,%xmm4
  .byte  68,15,40,196                        // movaps        %xmm4,%xmm8
  .byte  243,67,15,16,100,152,16             // movss         0x10(%r8,%r11,4),%xmm4
  .byte  243,68,15,16,196                    // movss         %xmm4,%xmm8
  .byte  233,85,254,255,255                  // jmpq          2940e <_sk_srcover_rgba_8888_sse2_8bit+0x26>
  .byte  102,65,15,112,225,78                // pshufd        $0x4e,%xmm9,%xmm4
  .byte  102,67,15,126,100,152,8             // movd          %xmm4,0x8(%r8,%r11,4)
  .byte  102,71,15,214,12,152                // movq          %xmm9,(%r8,%r11,4)
  .byte  233,48,255,255,255                  // jmpq          29501 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  102,65,15,112,224,78                // pshufd        $0x4e,%xmm8,%xmm4
  .byte  102,67,15,126,100,152,24            // movd          %xmm4,0x18(%r8,%r11,4)
  .byte  102,65,15,112,224,229               // pshufd        $0xe5,%xmm8,%xmm4
  .byte  102,67,15,126,100,152,20            // movd          %xmm4,0x14(%r8,%r11,4)
  .byte  102,71,15,126,68,152,16             // movd          %xmm8,0x10(%r8,%r11,4)
  .byte  243,71,15,127,12,152                // movdqu        %xmm9,(%r8,%r11,4)
  .byte  233,4,255,255,255                   // jmpq          29501 <_sk_srcover_rgba_8888_sse2_8bit+0x119>
  .byte  15,31,0                             // nopl          (%rax)
  .byte  55                                  // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  123,255                             // jnp           29605 <_sk_srcover_rgba_8888_sse2_8bit+0x21d>
  .byte  255                                 // (bad)
  .byte  255,110,255                         // ljmp          *-0x1(%rsi)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  254                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,168,255,255,255,147             // ljmp          *-0x6c000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,134,255,255,255,74              // incl          0x4affffff(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,170,255,255,255,157             // ljmp          *-0x62000001(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,207                             // dec           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,194                             // inc           %edx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff
  .byte  181,255                             // mov           $0xff,%ch
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_scale_1_float_sse2_8bit
.globl _sk_scale_1_float_sse2_8bit
FUNCTION(_sk_scale_1_float_sse2_8bit)
_sk_scale_1_float_sse2_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,0                         // movss         (%rax),%xmm0
  .byte  243,15,89,5,56,34,0,0               // mulss         0x2238(%rip),%xmm0        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  243,15,44,192                       // cvttss2si     %xmm0,%eax
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,68,15,104,206                   // punpckhbw     %xmm6,%xmm9
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,68,15,104,198                   // punpckhbw     %xmm6,%xmm8
  .byte  102,15,110,240                      // movd          %eax,%xmm6
  .byte  102,15,96,246                       // punpcklbw     %xmm6,%xmm6
  .byte  242,15,112,246,0                    // pshuflw       $0x0,%xmm6,%xmm6
  .byte  102,15,112,246,80                   // pshufd        $0x50,%xmm6,%xmm6
  .byte  102,15,219,53,199,43,0,0            // pand          0x2bc7(%rip),%xmm6        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,65,15,213,248                   // pmullw        %xmm8,%xmm7
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,198                      // paddw         %xmm6,%xmm0
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,253,204                      // paddw         %xmm4,%xmm1
  .byte  102,65,15,253,248                   // paddw         %xmm8,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_scale_u8_sse2_8bit
.globl _sk_scale_u8_sse2_8bit
FUNCTION(_sk_scale_u8_sse2_8bit)
_sk_scale_u8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,239,0,0,0                    // jne           297e4 <_sk_scale_u8_sse2_8bit+0x10b>
  .byte  243,67,15,126,36,24                 // movq          (%r8,%r11,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,219,37,73,43,0,0             // pand          0x2b49(%rip),%xmm4        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,65,15,105,232                   // punpckhwd     %xmm8,%xmm5
  .byte  102,65,15,97,224                    // punpcklwd     %xmm8,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,114,245,24                   // pslld         $0x18,%xmm5
  .byte  242,15,112,237,231                  // pshuflw       $0xe7,%xmm5,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,245,95                   // pshufhw       $0x5f,%xmm5,%xmm6
  .byte  242,15,112,228,231                  // pshuflw       $0xe7,%xmm4,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,3,255,255,255                // ja            296ff <_sk_scale_u8_sse2_8bit+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,117,0,0,0                 // lea           0x75(%rip),%r10        # 2987c <_sk_scale_u8_sse2_8bit+0x1a3>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  233,225,254,255,255                 // jmpq          296ff <_sk_scale_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,196,224,2                    // pinsrw        $0x2,%eax,%xmm4
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  243,15,16,229                       // movss         %xmm5,%xmm4
  .byte  233,188,254,255,255                 // jmpq          296ff <_sk_scale_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,196,224,6                    // pinsrw        $0x6,%eax,%xmm4
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,224,5                    // pinsrw        $0x5,%eax,%xmm4
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,224,4                    // pinsrw        $0x4,%eax,%xmm4
  .byte  102,67,15,110,44,24                 // movd          (%r8,%r11,1),%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,132,254,255,255                 // jmpq          296ff <_sk_scale_u8_sse2_8bit+0x26>
  .byte  144                                 // nop
  .byte  148                                 // xchg          %eax,%esp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,177,255,255,255,162             // pushq         -0x5d000001(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  236                                 // in            (%dx),%al
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,225                             // jmpq          *%rcx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,214                             // callq         *%rsi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,199                             // inc           %edi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_lerp_1_float_sse2_8bit
.globl _sk_lerp_1_float_sse2_8bit
FUNCTION(_sk_lerp_1_float_sse2_8bit)
_sk_lerp_1_float_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  243,15,16,32                        // movss         (%rax),%xmm4
  .byte  243,15,89,37,226,31,0,0             // mulss         0x1fe2(%rip),%xmm4        # 2b888 <_sk_overlay_sse2_8bit+0x46c>
  .byte  243,15,44,196                       // cvttss2si     %xmm4,%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,0                    // pshuflw       $0x0,%xmm4,%xmm4
  .byte  102,68,15,112,196,80                // pshufd        $0x50,%xmm4,%xmm8
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,65,15,96,249                    // punpcklbw     %xmm9,%xmm7
  .byte  102,65,15,104,193                   // punpckhbw     %xmm9,%xmm0
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,217                    // punpcklbw     %xmm9,%xmm11
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,53,105,41,0,0            // movdqa        0x2969(%rip),%xmm6        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,65,15,219,240                   // pand          %xmm8,%xmm6
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,68,15,111,214                   // movdqa        %xmm6,%xmm10
  .byte  102,69,15,213,211                   // pmullw        %xmm11,%xmm10
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,213,247                      // pmullw        %xmm7,%xmm6
  .byte  102,15,253,247                      // paddw         %xmm7,%xmm6
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,69,15,253,211                   // paddw         %xmm11,%xmm10
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,68,15,103,212                   // packuswb      %xmm4,%xmm10
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,65,15,239,248                   // pxor          %xmm8,%xmm7
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,69,15,104,217                   // punpckhbw     %xmm9,%xmm11
  .byte  102,68,15,111,195                   // movdqa        %xmm3,%xmm8
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,225                    // punpcklbw     %xmm9,%xmm12
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,65,15,213,204                   // pmullw        %xmm12,%xmm1
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,15,213,197                      // pmullw        %xmm5,%xmm0
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,204                      // packuswb      %xmm4,%xmm1
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,65,15,252,202                   // paddb         %xmm10,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lerp_u8_sse2_8bit
.globl _sk_lerp_u8_sse2_8bit
FUNCTION(_sk_lerp_u8_sse2_8bit)
_sk_lerp_u8_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  76,99,72,8                          // movslq        0x8(%rax),%r9
  .byte  76,99,193                           // movslq        %ecx,%r8
  .byte  77,15,175,193                       // imul          %r9,%r8
  .byte  76,3,0                              // add           (%rax),%r8
  .byte  76,99,218                           // movslq        %edx,%r11
  .byte  72,133,255                          // test          %rdi,%rdi
  .byte  15,133,141,1,0,0                    // jne           29b77 <_sk_lerp_u8_sse2_8bit+0x1a9>
  .byte  243,67,15,126,44,24                 // movq          (%r8,%r11,1),%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,219,45,84,40,0,0             // pand          0x2854(%rip),%xmm5        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,65,15,105,224                   // punpckhwd     %xmm8,%xmm4
  .byte  102,65,15,97,232                    // punpcklwd     %xmm8,%xmm5
  .byte  102,15,114,245,24                   // pslld         $0x18,%xmm5
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  242,15,112,228,231                  // pshuflw       $0xe7,%xmm4,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  242,15,112,237,231                  // pshuflw       $0xe7,%xmm5,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,68,15,111,223                   // movdqa        %xmm7,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,111,230                   // movdqa        %xmm6,%xmm12
  .byte  102,69,15,96,224                    // punpcklbw     %xmm8,%xmm12
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,213,225                      // pmullw        %xmm1,%xmm4
  .byte  102,69,15,213,226                   // pmullw        %xmm10,%xmm12
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,69,15,213,217                   // pmullw        %xmm9,%xmm11
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,69,15,253,226                   // paddw         %xmm10,%xmm12
  .byte  102,15,253,225                      // paddw         %xmm1,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,68,15,103,221                   // packuswb      %xmm5,%xmm11
  .byte  102,68,15,103,228                   // packuswb      %xmm4,%xmm12
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,65,15,96,192                    // punpcklbw     %xmm8,%xmm0
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,65,15,96,200                    // punpcklbw     %xmm8,%xmm1
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,65,15,213,201                   // pmullw        %xmm9,%xmm1
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,15,213,196                      // pmullw        %xmm4,%xmm0
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,65,15,253,201                   // paddw         %xmm9,%xmm1
  .byte  102,65,15,253,242                   // paddw         %xmm10,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,65,15,252,195                   // paddb         %xmm11,%xmm0
  .byte  102,65,15,252,204                   // paddb         %xmm12,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  65,137,249                          // mov           %edi,%r9d
  .byte  65,128,225,7                        // and           $0x7,%r9b
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  65,254,201                          // dec           %r9b
  .byte  65,128,249,6                        // cmp           $0x6,%r9b
  .byte  15,135,101,254,255,255              // ja            299f4 <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  69,15,182,201                       // movzbl        %r9b,%r9d
  .byte  76,141,21,118,0,0,0                 // lea           0x76(%rip),%r10        # 29c10 <_sk_lerp_u8_sse2_8bit+0x242>
  .byte  75,99,4,138                         // movslq        (%r10,%r9,4),%rax
  .byte  76,1,208                            // add           %r10,%rax
  .byte  255,224                             // jmpq          *%rax
  .byte  67,15,182,4,24                      // movzbl        (%r8,%r11,1),%eax
  .byte  102,15,110,232                      // movd          %eax,%xmm5
  .byte  233,67,254,255,255                  // jmpq          299f4 <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,2                   // movzbl        0x2(%r8,%r11,1),%eax
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,196,232,2                    // pinsrw        $0x2,%eax,%xmm5
  .byte  67,15,183,4,24                      // movzwl        (%r8,%r11,1),%eax
  .byte  102,15,110,224                      // movd          %eax,%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  243,15,16,236                       // movss         %xmm4,%xmm5
  .byte  233,30,254,255,255                  // jmpq          299f4 <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  67,15,182,68,24,6                   // movzbl        0x6(%r8,%r11,1),%eax
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,15,196,232,6                    // pinsrw        $0x6,%eax,%xmm5
  .byte  67,15,182,68,24,5                   // movzbl        0x5(%r8,%r11,1),%eax
  .byte  102,15,196,232,5                    // pinsrw        $0x5,%eax,%xmm5
  .byte  67,15,182,68,24,4                   // movzbl        0x4(%r8,%r11,1),%eax
  .byte  102,15,196,232,4                    // pinsrw        $0x4,%eax,%xmm5
  .byte  102,67,15,110,36,24                 // movd          (%r8,%r11,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  242,15,16,236                       // movsd         %xmm4,%xmm5
  .byte  233,230,253,255,255                 // jmpq          299f4 <_sk_lerp_u8_sse2_8bit+0x26>
  .byte  102,144                             // xchg          %ax,%ax
  .byte  147                                 // xchg          %eax,%ebx
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,176,255,255,255,161             // pushq         -0x5e000001(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  235,255                             // jmp           29c1d <_sk_lerp_u8_sse2_8bit+0x24f>
  .byte  255                                 // (bad)
  .byte  255,224                             // jmpq          *%rax
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,213                             // callq         *%rbp
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,198                             // inc           %esi
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // .byte         0xff

HIDDEN _sk_move_src_dst_sse2_8bit
.globl _sk_move_src_dst_sse2_8bit
FUNCTION(_sk_move_src_dst_sse2_8bit)
_sk_move_src_dst_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_move_dst_src_sse2_8bit
.globl _sk_move_dst_src_sse2_8bit
FUNCTION(_sk_move_dst_src_sse2_8bit)
_sk_move_dst_src_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_black_color_sse2_8bit
.globl _sk_black_color_sse2_8bit
FUNCTION(_sk_black_color_sse2_8bit)
_sk_black_color_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,5,71,45,0,0                   // movaps        0x2d47(%rip),%xmm0        # 2c990 <_sk_overlay_sse2_8bit+0x1574>
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_white_color_sse2_8bit
.globl _sk_white_color_sse2_8bit
FUNCTION(_sk_white_color_sse2_8bit)
_sk_white_color_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_clear_sse2_8bit
.globl _sk_clear_sse2_8bit
FUNCTION(_sk_clear_sse2_8bit)
_sk_clear_sse2_8bit:
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcatop_sse2_8bit
.globl _sk_srcatop_sse2_8bit
FUNCTION(_sk_srcatop_sse2_8bit)
_sk_srcatop_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,220,95                // pshufhw       $0x5f,%xmm4,%xmm11
  .byte  242,15,112,226,231                  // pshuflw       $0xe7,%xmm2,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,68,15,112,208,231               // pshuflw       $0xe7,%xmm0,%xmm10
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  242,68,15,112,225,231               // pshuflw       $0xe7,%xmm1,%xmm12
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,65,15,96,241                    // punpcklbw     %xmm9,%xmm6
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,65,15,111,235                   // movdqa        %xmm11,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,69,15,104,217                   // punpckhbw     %xmm9,%xmm11
  .byte  102,68,15,213,223                   // pmullw        %xmm7,%xmm11
  .byte  102,15,213,233                      // pmullw        %xmm1,%xmm5
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,68,15,253,223                   // paddw         %xmm7,%xmm11
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,65,15,103,235                   // packuswb      %xmm11,%xmm5
  .byte  243,65,15,112,194,231               // pshufhw       $0xe7,%xmm10,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  243,65,15,112,196,231               // pshufhw       $0xe7,%xmm12,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,239,224                      // pxor          %xmm0,%xmm4
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,68,15,111,210                   // movdqa        %xmm2,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,225                    // punpcklbw     %xmm9,%xmm12
  .byte  102,69,15,104,217                   // punpckhbw     %xmm9,%xmm11
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,213,204                   // pmullw        %xmm12,%xmm1
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,65,15,213,194                   // pmullw        %xmm10,%xmm0
  .byte  102,65,15,253,194                   // paddw         %xmm10,%xmm0
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,103,207                      // packuswb      %xmm7,%xmm1
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,15,252,205                      // paddb         %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstatop_sse2_8bit
.globl _sk_dstatop_sse2_8bit
FUNCTION(_sk_dstatop_sse2_8bit)
_sk_dstatop_sse2_8bit:
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,210                   // movdqa        %xmm2,%xmm10
  .byte  242,68,15,112,218,231               // pshuflw       $0xe7,%xmm2,%xmm11
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,68,15,111,205                   // movdqa        %xmm5,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,213,207                   // pmullw        %xmm7,%xmm9
  .byte  102,68,15,253,207                   // paddw         %xmm7,%xmm9
  .byte  242,68,15,112,227,231               // pshuflw       $0xe7,%xmm3,%xmm12
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,68,15,111,212                   // movdqa        %xmm4,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,68,15,213,215                   // pmullw        %xmm7,%xmm10
  .byte  102,68,15,253,215                   // paddw         %xmm7,%xmm10
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,113,209,8                 // psrlw         $0x8,%xmm9
  .byte  102,68,15,103,205                   // packuswb      %xmm5,%xmm9
  .byte  102,68,15,103,212                   // packuswb      %xmm4,%xmm10
  .byte  243,65,15,112,227,231               // pshufhw       $0xe7,%xmm11,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,252,95                   // pshufhw       $0x5f,%xmm4,%xmm7
  .byte  243,65,15,112,228,231               // pshufhw       $0xe7,%xmm12,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,244,95                   // pshufhw       $0x5f,%xmm4,%xmm6
  .byte  102,15,118,228                      // pcmpeqd       %xmm4,%xmm4
  .byte  102,15,239,244                      // pxor          %xmm4,%xmm6
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,65,15,104,192                   // punpckhbw     %xmm8,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,65,15,104,200                   // punpckhbw     %xmm8,%xmm1
  .byte  102,68,15,111,223                   // movdqa        %xmm7,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,230                   // movdqa        %xmm6,%xmm12
  .byte  102,69,15,96,224                    // punpcklbw     %xmm8,%xmm12
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,68,15,213,229                   // pmullw        %xmm5,%xmm12
  .byte  102,15,213,248                      // pmullw        %xmm0,%xmm7
  .byte  102,68,15,213,220                   // pmullw        %xmm4,%xmm11
  .byte  102,65,15,253,227                   // paddw         %xmm11,%xmm4
  .byte  102,15,253,248                      // paddw         %xmm0,%xmm7
  .byte  102,65,15,253,236                   // paddw         %xmm12,%xmm5
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,103,231                      // packuswb      %xmm7,%xmm4
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  102,65,15,252,225                   // paddb         %xmm9,%xmm4
  .byte  102,65,15,252,234                   // paddb         %xmm10,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcin_sse2_8bit
.globl _sk_srcin_sse2_8bit
FUNCTION(_sk_srcin_sse2_8bit)
_sk_srcin_sse2_8bit:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,65,15,96,225                    // punpcklbw     %xmm9,%xmm4
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,68,15,111,214                   // movdqa        %xmm6,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,68,15,213,212                   // pmullw        %xmm4,%xmm10
  .byte  102,65,15,213,248                   // pmullw        %xmm8,%xmm7
  .byte  102,15,213,232                      // pmullw        %xmm0,%xmm5
  .byte  102,15,253,197                      // paddw         %xmm5,%xmm0
  .byte  102,65,15,253,248                   // paddw         %xmm8,%xmm7
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,230                      // packuswb      %xmm6,%xmm4
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstin_sse2_8bit
.globl _sk_dstin_sse2_8bit
FUNCTION(_sk_dstin_sse2_8bit)
_sk_dstin_sse2_8bit:
  .byte  242,15,112,201,231                  // pshuflw       $0xe7,%xmm1,%xmm1
  .byte  243,15,112,201,231                  // pshufhw       $0xe7,%xmm1,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,225,95                   // pshufhw       $0x5f,%xmm1,%xmm4
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,68,15,104,198                   // punpckhbw     %xmm6,%xmm8
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,68,15,96,214                    // punpcklbw     %xmm6,%xmm10
  .byte  102,68,15,104,206                   // punpckhbw     %xmm6,%xmm9
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,65,15,213,225                   // pmullw        %xmm9,%xmm4
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,65,15,253,225                   // paddw         %xmm9,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,197                      // packuswb      %xmm5,%xmm0
  .byte  102,15,103,204                      // packuswb      %xmm4,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcout_sse2_8bit
.globl _sk_srcout_sse2_8bit
FUNCTION(_sk_srcout_sse2_8bit)
_sk_srcout_sse2_8bit:
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  242,15,112,194,231                  // pshuflw       $0xe7,%xmm2,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,248,95                   // pshufhw       $0x5f,%xmm0,%xmm7
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,65,15,96,193                    // punpcklbw     %xmm9,%xmm0
  .byte  102,69,15,104,193                   // punpckhbw     %xmm9,%xmm8
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,201                   // punpckhbw     %xmm9,%xmm1
  .byte  102,15,111,230                      // movdqa        %xmm6,%xmm4
  .byte  102,65,15,96,225                    // punpcklbw     %xmm9,%xmm4
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,209                    // punpcklbw     %xmm9,%xmm10
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,68,15,213,213                   // pmullw        %xmm5,%xmm10
  .byte  102,65,15,213,240                   // pmullw        %xmm8,%xmm6
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,65,15,253,240                   // paddw         %xmm8,%xmm6
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,198                      // packuswb      %xmm6,%xmm0
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstout_sse2_8bit
.globl _sk_dstout_sse2_8bit
FUNCTION(_sk_dstout_sse2_8bit)
_sk_dstout_sse2_8bit:
  .byte  242,15,112,192,231                  // pshuflw       $0xe7,%xmm0,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,239,224                      // pxor          %xmm0,%xmm4
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,96,254                       // punpcklbw     %xmm6,%xmm7
  .byte  102,68,15,104,198                   // punpckhbw     %xmm6,%xmm8
  .byte  102,68,15,111,203                   // movdqa        %xmm3,%xmm9
  .byte  102,68,15,111,211                   // movdqa        %xmm3,%xmm10
  .byte  102,68,15,96,214                    // punpcklbw     %xmm6,%xmm10
  .byte  102,68,15,104,206                   // punpckhbw     %xmm6,%xmm9
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,96,198                       // punpcklbw     %xmm6,%xmm0
  .byte  102,15,104,230                      // punpckhbw     %xmm6,%xmm4
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,96,206                       // punpcklbw     %xmm6,%xmm1
  .byte  102,15,104,238                      // punpckhbw     %xmm6,%xmm5
  .byte  102,65,15,213,233                   // pmullw        %xmm9,%xmm5
  .byte  102,65,15,213,202                   // pmullw        %xmm10,%xmm1
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,15,213,199                      // pmullw        %xmm7,%xmm0
  .byte  102,15,253,199                      // paddw         %xmm7,%xmm0
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,202                   // paddw         %xmm10,%xmm1
  .byte  102,65,15,253,233                   // paddw         %xmm9,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_srcover_sse2_8bit
.globl _sk_srcover_sse2_8bit
FUNCTION(_sk_srcover_sse2_8bit)
_sk_srcover_sse2_8bit:
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,212,95                // pshufhw       $0x5f,%xmm4,%xmm10
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,68,15,112,221,95                // pshufhw       $0x5f,%xmm5,%xmm11
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,65,15,111,235                   // movdqa        %xmm11,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,65,15,111,250                   // movdqa        %xmm10,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,69,15,213,212                   // pmullw        %xmm12,%xmm10
  .byte  102,15,213,252                      // pmullw        %xmm4,%xmm7
  .byte  102,69,15,213,217                   // pmullw        %xmm9,%xmm11
  .byte  102,15,213,238                      // pmullw        %xmm6,%xmm5
  .byte  102,15,253,238                      // paddw         %xmm6,%xmm5
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,15,253,252                      // paddw         %xmm4,%xmm7
  .byte  102,69,15,253,212                   // paddw         %xmm12,%xmm10
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,65,15,103,235                   // packuswb      %xmm11,%xmm5
  .byte  102,65,15,103,250                   // packuswb      %xmm10,%xmm7
  .byte  102,15,248,197                      // psubb         %xmm5,%xmm0
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_dstover_sse2_8bit
.globl _sk_dstover_sse2_8bit
FUNCTION(_sk_dstover_sse2_8bit)
_sk_dstover_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,208                   // movdqa        %xmm0,%xmm10
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,15,111,245                      // movdqa        %xmm5,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,65,15,104,232                   // punpckhbw     %xmm8,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,65,15,213,251                   // pmullw        %xmm11,%xmm7
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,65,15,253,251                   // paddw         %xmm11,%xmm7
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,245                      // packuswb      %xmm5,%xmm6
  .byte  102,15,103,252                      // packuswb      %xmm4,%xmm7
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_modulate_sse2_8bit
.globl _sk_modulate_sse2_8bit
FUNCTION(_sk_modulate_sse2_8bit)
_sk_modulate_sse2_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,65,15,96,194                    // punpcklbw     %xmm10,%xmm0
  .byte  102,69,15,104,202                   // punpckhbw     %xmm10,%xmm9
  .byte  102,65,15,96,202                    // punpcklbw     %xmm10,%xmm1
  .byte  102,69,15,104,194                   // punpckhbw     %xmm10,%xmm8
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,65,15,96,226                    // punpcklbw     %xmm10,%xmm4
  .byte  102,65,15,104,250                   // punpckhbw     %xmm10,%xmm7
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,65,15,96,242                    // punpcklbw     %xmm10,%xmm6
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,213,232                   // pmullw        %xmm8,%xmm5
  .byte  102,15,213,241                      // pmullw        %xmm1,%xmm6
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,253,196                      // paddw         %xmm4,%xmm0
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,15,253,206                      // paddw         %xmm6,%xmm1
  .byte  102,65,15,253,232                   // paddw         %xmm8,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,199                      // packuswb      %xmm7,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_multiply_sse2_8bit
.globl _sk_multiply_sse2_8bit
FUNCTION(_sk_multiply_sse2_8bit)
_sk_multiply_sse2_8bit:
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  242,15,112,211,231                  // pshuflw       $0xe7,%xmm3,%xmm2
  .byte  243,15,112,210,231                  // pshufhw       $0xe7,%xmm2,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,250,95                   // pshufhw       $0x5f,%xmm2,%xmm7
  .byte  242,65,15,112,214,231               // pshuflw       $0xe7,%xmm14,%xmm2
  .byte  243,15,112,210,231                  // pshufhw       $0xe7,%xmm2,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,96,210                       // punpcklbw     %xmm2,%xmm2
  .byte  242,15,112,210,95                   // pshuflw       $0x5f,%xmm2,%xmm2
  .byte  243,15,112,234,95                   // pshufhw       $0x5f,%xmm2,%xmm5
  .byte  102,69,15,118,192                   // pcmpeqd       %xmm8,%xmm8
  .byte  102,65,15,239,232                   // pxor          %xmm8,%xmm5
  .byte  102,65,15,239,248                   // pxor          %xmm8,%xmm7
  .byte  102,69,15,239,237                   // pxor          %xmm13,%xmm13
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  242,15,112,208,231                  // pshuflw       $0xe7,%xmm0,%xmm2
  .byte  102,68,15,111,216                   // movdqa        %xmm0,%xmm11
  .byte  102,69,15,96,221                    // punpcklbw     %xmm13,%xmm11
  .byte  102,69,15,104,205                   // punpckhbw     %xmm13,%xmm9
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  242,15,112,241,231                  // pshuflw       $0xe7,%xmm1,%xmm6
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,96,229                    // punpcklbw     %xmm13,%xmm12
  .byte  102,69,15,104,213                   // punpckhbw     %xmm13,%xmm10
  .byte  102,68,15,111,255                   // movdqa        %xmm7,%xmm15
  .byte  102,69,15,96,253                    // punpcklbw     %xmm13,%xmm15
  .byte  102,65,15,104,253                   // punpckhbw     %xmm13,%xmm7
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,65,15,96,229                    // punpcklbw     %xmm13,%xmm4
  .byte  102,65,15,104,237                   // punpckhbw     %xmm13,%xmm5
  .byte  102,65,15,213,234                   // pmullw        %xmm10,%xmm5
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,69,15,213,251                   // pmullw        %xmm11,%xmm15
  .byte  102,69,15,253,251                   // paddw         %xmm11,%xmm15
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,65,15,253,234                   // paddw         %xmm10,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,215,8                 // psrlw         $0x8,%xmm15
  .byte  102,68,15,103,255                   // packuswb      %xmm7,%xmm15
  .byte  102,15,103,229                      // packuswb      %xmm5,%xmm4
  .byte  243,15,112,194,231                  // pshufhw       $0xe7,%xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,192,95                   // pshufhw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,206,231                  // pshufhw       $0xe7,%xmm6,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,96,201                       // punpcklbw     %xmm1,%xmm1
  .byte  242,15,112,201,95                   // pshuflw       $0x5f,%xmm1,%xmm1
  .byte  243,15,112,241,95                   // pshufhw       $0x5f,%xmm1,%xmm6
  .byte  102,65,15,239,240                   // pxor          %xmm8,%xmm6
  .byte  102,65,15,239,192                   // pxor          %xmm8,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,237                    // punpcklbw     %xmm13,%xmm5
  .byte  102,65,15,104,213                   // punpckhbw     %xmm13,%xmm2
  .byte  102,65,15,111,206                   // movdqa        %xmm14,%xmm1
  .byte  102,15,127,76,36,232                // movdqa        %xmm1,-0x18(%rsp)
  .byte  102,15,111,249                      // movdqa        %xmm1,%xmm7
  .byte  102,65,15,96,253                    // punpcklbw     %xmm13,%xmm7
  .byte  102,69,15,104,245                   // punpckhbw     %xmm13,%xmm14
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,69,15,96,197                    // punpcklbw     %xmm13,%xmm8
  .byte  102,65,15,104,197                   // punpckhbw     %xmm13,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,65,15,96,205                    // punpcklbw     %xmm13,%xmm1
  .byte  102,65,15,104,245                   // punpckhbw     %xmm13,%xmm6
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,68,15,213,197                   // pmullw        %xmm5,%xmm8
  .byte  102,68,15,253,197                   // paddw         %xmm5,%xmm8
  .byte  102,15,253,194                      // paddw         %xmm2,%xmm0
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,65,15,113,208,8                 // psrlw         $0x8,%xmm8
  .byte  102,68,15,103,192                   // packuswb      %xmm0,%xmm8
  .byte  102,65,15,213,246                   // pmullw        %xmm14,%xmm6
  .byte  102,15,213,207                      // pmullw        %xmm7,%xmm1
  .byte  102,15,253,207                      // paddw         %xmm7,%xmm1
  .byte  102,65,15,253,246                   // paddw         %xmm14,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,15,252,204                      // paddb         %xmm4,%xmm1
  .byte  102,69,15,252,199                   // paddb         %xmm15,%xmm8
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,65,15,213,209                   // pmullw        %xmm9,%xmm2
  .byte  102,65,15,253,209                   // paddw         %xmm9,%xmm2
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,69,15,213,242                   // pmullw        %xmm10,%xmm14
  .byte  102,69,15,253,242                   // paddw         %xmm10,%xmm14
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,234                      // packuswb      %xmm2,%xmm5
  .byte  102,65,15,113,214,8                 // psrlw         $0x8,%xmm14
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,103,254                   // packuswb      %xmm14,%xmm7
  .byte  102,68,15,252,197                   // paddb         %xmm5,%xmm8
  .byte  102,15,252,207                      // paddb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  15,40,92,36,232                     // movaps        -0x18(%rsp),%xmm3
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_screen_sse2_8bit
.globl _sk_screen_sse2_8bit
FUNCTION(_sk_screen_sse2_8bit)
_sk_screen_sse2_8bit:
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  102,15,118,255                      // pcmpeqd       %xmm7,%xmm7
  .byte  102,69,15,111,208                   // movdqa        %xmm8,%xmm10
  .byte  102,68,15,239,215                   // pxor          %xmm7,%xmm10
  .byte  102,15,239,248                      // pxor          %xmm0,%xmm7
  .byte  102,69,15,239,201                   // pxor          %xmm9,%xmm9
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,65,15,96,233                    // punpcklbw     %xmm9,%xmm5
  .byte  102,65,15,104,249                   // punpckhbw     %xmm9,%xmm7
  .byte  102,65,15,111,202                   // movdqa        %xmm10,%xmm1
  .byte  102,65,15,96,201                    // punpcklbw     %xmm9,%xmm1
  .byte  102,69,15,104,209                   // punpckhbw     %xmm9,%xmm10
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,68,15,111,218                   // movdqa        %xmm2,%xmm11
  .byte  102,69,15,96,217                    // punpcklbw     %xmm9,%xmm11
  .byte  102,65,15,104,225                   // punpckhbw     %xmm9,%xmm4
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,225                    // punpcklbw     %xmm9,%xmm12
  .byte  102,65,15,104,241                   // punpckhbw     %xmm9,%xmm6
  .byte  102,65,15,213,242                   // pmullw        %xmm10,%xmm6
  .byte  102,68,15,213,225                   // pmullw        %xmm1,%xmm12
  .byte  102,15,213,231                      // pmullw        %xmm7,%xmm4
  .byte  102,68,15,213,221                   // pmullw        %xmm5,%xmm11
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,15,253,231                      // paddw         %xmm7,%xmm4
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,242                   // paddw         %xmm10,%xmm6
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,103,236                      // packuswb      %xmm4,%xmm5
  .byte  102,15,103,206                      // packuswb      %xmm6,%xmm1
  .byte  102,15,252,197                      // paddb         %xmm5,%xmm0
  .byte  102,65,15,252,200                   // paddb         %xmm8,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_xor__sse2_8bit
.globl _sk_xor__sse2_8bit
FUNCTION(_sk_xor__sse2_8bit)
_sk_xor__sse2_8bit:
  .byte  242,15,112,226,231                  // pshuflw       $0xe7,%xmm2,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  242,15,112,235,231                  // pshuflw       $0xe7,%xmm3,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,237,95                   // pshufhw       $0x5f,%xmm5,%xmm5
  .byte  102,69,15,118,192                   // pcmpeqd       %xmm8,%xmm8
  .byte  102,65,15,239,232                   // pxor          %xmm8,%xmm5
  .byte  102,69,15,239,224                   // pxor          %xmm8,%xmm12
  .byte  102,69,15,239,210                   // pxor          %xmm10,%xmm10
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  242,68,15,112,216,231               // pshuflw       $0xe7,%xmm0,%xmm11
  .byte  102,65,15,96,194                    // punpcklbw     %xmm10,%xmm0
  .byte  102,69,15,104,202                   // punpckhbw     %xmm10,%xmm9
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  242,68,15,112,233,231               // pshuflw       $0xe7,%xmm1,%xmm13
  .byte  102,65,15,96,202                    // punpcklbw     %xmm10,%xmm1
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,65,15,111,244                   // movdqa        %xmm12,%xmm6
  .byte  102,65,15,96,242                    // punpcklbw     %xmm10,%xmm6
  .byte  102,69,15,104,226                   // punpckhbw     %xmm10,%xmm12
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,65,15,96,250                    // punpcklbw     %xmm10,%xmm7
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,15,213,236                      // pmullw        %xmm4,%xmm5
  .byte  102,15,213,249                      // pmullw        %xmm1,%xmm7
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,213,240                      // pmullw        %xmm0,%xmm6
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,15,253,249                      // paddw         %xmm1,%xmm7
  .byte  102,15,253,236                      // paddw         %xmm4,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,65,15,103,244                   // packuswb      %xmm12,%xmm6
  .byte  102,15,103,253                      // packuswb      %xmm5,%xmm7
  .byte  243,65,15,112,195,231               // pshufhw       $0xe7,%xmm11,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  243,65,15,112,197,231               // pshufhw       $0xe7,%xmm13,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  102,65,15,239,232                   // pxor          %xmm8,%xmm5
  .byte  102,65,15,239,224                   // pxor          %xmm8,%xmm4
  .byte  102,68,15,111,194                   // movdqa        %xmm2,%xmm8
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,69,15,96,202                    // punpcklbw     %xmm10,%xmm9
  .byte  102,69,15,104,194                   // punpckhbw     %xmm10,%xmm8
  .byte  102,68,15,111,219                   // movdqa        %xmm3,%xmm11
  .byte  102,68,15,111,227                   // movdqa        %xmm3,%xmm12
  .byte  102,69,15,96,226                    // punpcklbw     %xmm10,%xmm12
  .byte  102,69,15,104,218                   // punpckhbw     %xmm10,%xmm11
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,65,15,96,194                    // punpcklbw     %xmm10,%xmm0
  .byte  102,65,15,104,226                   // punpckhbw     %xmm10,%xmm4
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,65,15,96,202                    // punpcklbw     %xmm10,%xmm1
  .byte  102,65,15,104,234                   // punpckhbw     %xmm10,%xmm5
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,213,204                   // pmullw        %xmm12,%xmm1
  .byte  102,65,15,213,224                   // pmullw        %xmm8,%xmm4
  .byte  102,65,15,213,193                   // pmullw        %xmm9,%xmm0
  .byte  102,65,15,253,193                   // paddw         %xmm9,%xmm0
  .byte  102,65,15,253,224                   // paddw         %xmm8,%xmm4
  .byte  102,65,15,253,204                   // paddw         %xmm12,%xmm1
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,208,8                    // psrlw         $0x8,%xmm0
  .byte  102,15,103,196                      // packuswb      %xmm4,%xmm0
  .byte  102,15,103,205                      // packuswb      %xmm5,%xmm1
  .byte  102,15,252,198                      // paddb         %xmm6,%xmm0
  .byte  102,15,252,207                      // paddb         %xmm7,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_plus__sse2_8bit
.globl _sk_plus__sse2_8bit
FUNCTION(_sk_plus__sse2_8bit)
_sk_plus__sse2_8bit:
  .byte  102,15,220,194                      // paddusb       %xmm2,%xmm0
  .byte  102,15,220,203                      // paddusb       %xmm3,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_darken_sse2_8bit
.globl _sk_darken_sse2_8bit
FUNCTION(_sk_darken_sse2_8bit)
_sk_darken_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,236                   // movdqa        %xmm4,%xmm13
  .byte  102,69,15,96,232                    // punpcklbw     %xmm8,%xmm13
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,69,15,213,235                   // pmullw        %xmm11,%xmm13
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,68,15,213,214                   // pmullw        %xmm6,%xmm10
  .byte  102,68,15,253,214                   // paddw         %xmm6,%xmm10
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,69,15,253,235                   // paddw         %xmm11,%xmm13
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,68,15,103,215                   // packuswb      %xmm7,%xmm10
  .byte  102,68,15,103,236                   // packuswb      %xmm4,%xmm13
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,220,95                // pshufhw       $0x5f,%xmm4,%xmm11
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,240                   // punpckhbw     %xmm8,%xmm14
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,69,15,213,222                   // pmullw        %xmm14,%xmm11
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,69,15,253,222                   // paddw         %xmm14,%xmm11
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,228                   // packuswb      %xmm12,%xmm4
  .byte  102,65,15,103,251                   // packuswb      %xmm11,%xmm7
  .byte  102,68,15,222,212                   // pmaxub        %xmm4,%xmm10
  .byte  102,68,15,222,239                   // pmaxub        %xmm7,%xmm13
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,65,15,248,245                   // psubb         %xmm13,%xmm6
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,248,234                   // psubb         %xmm10,%xmm5
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,111,37,215,30,0,0            // movdqa        0x1ed7(%rip),%xmm4        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,223,248                      // pandn         %xmm0,%xmm7
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,219,244                      // pand          %xmm4,%xmm6
  .byte  102,15,223,225                      // pandn         %xmm1,%xmm4
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_lighten_sse2_8bit
.globl _sk_lighten_sse2_8bit
FUNCTION(_sk_lighten_sse2_8bit)
_sk_lighten_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,236                   // movdqa        %xmm4,%xmm13
  .byte  102,69,15,96,232                    // punpcklbw     %xmm8,%xmm13
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,69,15,213,235                   // pmullw        %xmm11,%xmm13
  .byte  102,65,15,213,249                   // pmullw        %xmm9,%xmm7
  .byte  102,68,15,213,214                   // pmullw        %xmm6,%xmm10
  .byte  102,68,15,253,214                   // paddw         %xmm6,%xmm10
  .byte  102,65,15,253,249                   // paddw         %xmm9,%xmm7
  .byte  102,69,15,253,235                   // paddw         %xmm11,%xmm13
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,68,15,103,215                   // packuswb      %xmm7,%xmm10
  .byte  102,68,15,103,236                   // packuswb      %xmm4,%xmm13
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,220,95                // pshufhw       $0x5f,%xmm4,%xmm11
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,240                   // punpckhbw     %xmm8,%xmm14
  .byte  102,65,15,111,228                   // movdqa        %xmm12,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,65,15,111,251                   // movdqa        %xmm11,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,216                   // punpckhbw     %xmm8,%xmm11
  .byte  102,69,15,213,222                   // pmullw        %xmm14,%xmm11
  .byte  102,15,213,253                      // pmullw        %xmm5,%xmm7
  .byte  102,69,15,213,225                   // pmullw        %xmm9,%xmm12
  .byte  102,15,213,230                      // pmullw        %xmm6,%xmm4
  .byte  102,15,253,230                      // paddw         %xmm6,%xmm4
  .byte  102,69,15,253,225                   // paddw         %xmm9,%xmm12
  .byte  102,15,253,253                      // paddw         %xmm5,%xmm7
  .byte  102,69,15,253,222                   // paddw         %xmm14,%xmm11
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,228                   // packuswb      %xmm12,%xmm4
  .byte  102,65,15,103,251                   // packuswb      %xmm11,%xmm7
  .byte  102,68,15,218,212                   // pminub        %xmm4,%xmm10
  .byte  102,68,15,218,239                   // pminub        %xmm7,%xmm13
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,65,15,248,245                   // psubb         %xmm13,%xmm6
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,248,234                   // psubb         %xmm10,%xmm5
  .byte  102,15,248,207                      // psubb         %xmm7,%xmm1
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,111,37,235,28,0,0            // movdqa        0x1ceb(%rip),%xmm4        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,111,252                      // movdqa        %xmm4,%xmm7
  .byte  102,15,223,248                      // pandn         %xmm0,%xmm7
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  102,15,219,244                      // pand          %xmm4,%xmm6
  .byte  102,15,223,225                      // pandn         %xmm1,%xmm4
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_exclusion_sse2_8bit
.globl _sk_exclusion_sse2_8bit
FUNCTION(_sk_exclusion_sse2_8bit)
_sk_exclusion_sse2_8bit:
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,208                   // movdqa        %xmm0,%xmm10
  .byte  102,69,15,104,208                   // punpckhbw     %xmm8,%xmm10
  .byte  102,68,15,111,217                   // movdqa        %xmm1,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,65,15,213,252                   // pmullw        %xmm12,%xmm7
  .byte  102,65,15,213,235                   // pmullw        %xmm11,%xmm5
  .byte  102,65,15,213,226                   // pmullw        %xmm10,%xmm4
  .byte  102,65,15,213,241                   // pmullw        %xmm9,%xmm6
  .byte  102,65,15,253,241                   // paddw         %xmm9,%xmm6
  .byte  102,65,15,253,226                   // paddw         %xmm10,%xmm4
  .byte  102,65,15,253,235                   // paddw         %xmm11,%xmm5
  .byte  102,65,15,253,252                   // paddw         %xmm12,%xmm7
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,103,244                      // packuswb      %xmm4,%xmm6
  .byte  102,15,103,239                      // packuswb      %xmm7,%xmm5
  .byte  102,15,111,37,30,28,0,0             // movdqa        0x1c1e(%rip),%xmm4        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,15,248,205                      // psubb         %xmm5,%xmm1
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  102,15,248,198                      // psubb         %xmm6,%xmm0
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,205                      // psubb         %xmm5,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_difference_sse2_8bit
.globl _sk_difference_sse2_8bit
FUNCTION(_sk_difference_sse2_8bit)
_sk_difference_sse2_8bit:
  .byte  242,15,112,227,231                  // pshuflw       $0xe7,%xmm3,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,15,112,228,95                   // pshufhw       $0x5f,%xmm4,%xmm4
  .byte  242,15,112,234,231                  // pshuflw       $0xe7,%xmm2,%xmm5
  .byte  243,15,112,237,231                  // pshufhw       $0xe7,%xmm5,%xmm5
  .byte  102,15,112,237,232                  // pshufd        $0xe8,%xmm5,%xmm5
  .byte  102,15,96,237                       // punpcklbw     %xmm5,%xmm5
  .byte  242,15,112,237,95                   // pshuflw       $0x5f,%xmm5,%xmm5
  .byte  243,15,112,253,95                   // pshufhw       $0x5f,%xmm5,%xmm7
  .byte  102,69,15,239,192                   // pxor          %xmm8,%xmm8
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,65,15,104,240                   // punpckhbw     %xmm8,%xmm6
  .byte  102,68,15,111,201                   // movdqa        %xmm1,%xmm9
  .byte  102,69,15,96,200                    // punpcklbw     %xmm8,%xmm9
  .byte  102,68,15,111,225                   // movdqa        %xmm1,%xmm12
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,68,15,111,215                   // movdqa        %xmm7,%xmm10
  .byte  102,69,15,96,208                    // punpcklbw     %xmm8,%xmm10
  .byte  102,65,15,104,248                   // punpckhbw     %xmm8,%xmm7
  .byte  102,68,15,111,220                   // movdqa        %xmm4,%xmm11
  .byte  102,69,15,96,216                    // punpcklbw     %xmm8,%xmm11
  .byte  102,65,15,104,224                   // punpckhbw     %xmm8,%xmm4
  .byte  102,65,15,213,228                   // pmullw        %xmm12,%xmm4
  .byte  102,69,15,213,217                   // pmullw        %xmm9,%xmm11
  .byte  102,15,213,254                      // pmullw        %xmm6,%xmm7
  .byte  102,68,15,213,213                   // pmullw        %xmm5,%xmm10
  .byte  102,68,15,253,213                   // paddw         %xmm5,%xmm10
  .byte  102,15,253,254                      // paddw         %xmm6,%xmm7
  .byte  102,69,15,253,217                   // paddw         %xmm9,%xmm11
  .byte  102,65,15,253,228                   // paddw         %xmm12,%xmm4
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,113,211,8                 // psrlw         $0x8,%xmm11
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,65,15,113,210,8                 // psrlw         $0x8,%xmm10
  .byte  102,68,15,103,215                   // packuswb      %xmm7,%xmm10
  .byte  102,68,15,103,220                   // packuswb      %xmm4,%xmm11
  .byte  242,15,112,225,231                  // pshuflw       $0xe7,%xmm1,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,228,95                // pshufhw       $0x5f,%xmm4,%xmm12
  .byte  242,15,112,224,231                  // pshuflw       $0xe7,%xmm0,%xmm4
  .byte  243,15,112,228,231                  // pshufhw       $0xe7,%xmm4,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,96,228                       // punpcklbw     %xmm4,%xmm4
  .byte  242,15,112,228,95                   // pshuflw       $0x5f,%xmm4,%xmm4
  .byte  243,68,15,112,236,95                // pshufhw       $0x5f,%xmm4,%xmm13
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,15,252,194                      // paddb         %xmm2,%xmm0
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,65,15,96,232                    // punpcklbw     %xmm8,%xmm5
  .byte  102,69,15,104,200                   // punpckhbw     %xmm8,%xmm9
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,15,252,203                      // paddb         %xmm3,%xmm1
  .byte  102,15,111,251                      // movdqa        %xmm3,%xmm7
  .byte  102,65,15,96,248                    // punpcklbw     %xmm8,%xmm7
  .byte  102,69,15,104,240                   // punpckhbw     %xmm8,%xmm14
  .byte  102,65,15,111,229                   // movdqa        %xmm13,%xmm4
  .byte  102,65,15,96,224                    // punpcklbw     %xmm8,%xmm4
  .byte  102,69,15,104,232                   // punpckhbw     %xmm8,%xmm13
  .byte  102,65,15,111,244                   // movdqa        %xmm12,%xmm6
  .byte  102,65,15,96,240                    // punpcklbw     %xmm8,%xmm6
  .byte  102,69,15,104,224                   // punpckhbw     %xmm8,%xmm12
  .byte  102,69,15,213,230                   // pmullw        %xmm14,%xmm12
  .byte  102,15,213,247                      // pmullw        %xmm7,%xmm6
  .byte  102,69,15,213,233                   // pmullw        %xmm9,%xmm13
  .byte  102,15,213,229                      // pmullw        %xmm5,%xmm4
  .byte  102,15,253,229                      // paddw         %xmm5,%xmm4
  .byte  102,69,15,253,233                   // paddw         %xmm9,%xmm13
  .byte  102,15,253,247                      // paddw         %xmm7,%xmm6
  .byte  102,69,15,253,230                   // paddw         %xmm14,%xmm12
  .byte  102,65,15,113,212,8                 // psrlw         $0x8,%xmm12
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,65,15,113,213,8                 // psrlw         $0x8,%xmm13
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,65,15,103,229                   // packuswb      %xmm13,%xmm4
  .byte  102,65,15,103,244                   // packuswb      %xmm12,%xmm6
  .byte  102,65,15,218,226                   // pminub        %xmm10,%xmm4
  .byte  102,65,15,218,243                   // pminub        %xmm11,%xmm6
  .byte  102,15,111,45,91,26,0,0             // movdqa        0x1a5b(%rip),%xmm5        # 2ca20 <_sk_overlay_sse2_8bit+0x1604>
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,248,196                      // psubb         %xmm4,%xmm0
  .byte  102,15,248,197                      // psubb         %xmm5,%xmm0
  .byte  102,15,248,206                      // psubb         %xmm6,%xmm1
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_hardlight_sse2_8bit
.globl _sk_hardlight_sse2_8bit
FUNCTION(_sk_hardlight_sse2_8bit)
_sk_hardlight_sse2_8bit:
  .byte  72,129,236,184,0,0,0                // sub           $0xb8,%rsp
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  102,69,15,111,240                   // movdqa        %xmm8,%xmm14
  .byte  102,68,15,96,245                    // punpcklbw     %xmm5,%xmm14
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,96,197                       // punpcklbw     %xmm5,%xmm0
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  242,65,15,112,192,231               // pshuflw       $0xe7,%xmm8,%xmm0
  .byte  102,68,15,104,197                   // punpckhbw     %xmm5,%xmm8
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,224,95                   // pshufhw       $0x5f,%xmm0,%xmm4
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,192                // movdqa        %xmm1,-0x40(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,68,15,112,224,95                // pshufhw       $0x5f,%xmm0,%xmm12
  .byte  102,65,15,111,252                   // movdqa        %xmm12,%xmm7
  .byte  102,15,104,253                      // punpckhbw     %xmm5,%xmm7
  .byte  102,15,127,124,36,48                // movdqa        %xmm7,0x30(%rsp)
  .byte  102,68,15,96,229                    // punpcklbw     %xmm5,%xmm12
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,104,197                      // punpckhbw     %xmm5,%xmm0
  .byte  102,15,127,68,36,160                // movdqa        %xmm0,-0x60(%rsp)
  .byte  102,15,96,229                       // punpcklbw     %xmm5,%xmm4
  .byte  102,68,15,127,188,36,160,0,0,0      // movdqa        %xmm15,0xa0(%rsp)
  .byte  102,65,15,111,207                   // movdqa        %xmm15,%xmm1
  .byte  242,65,15,112,199,231               // pshuflw       $0xe7,%xmm15,%xmm0
  .byte  102,68,15,96,253                    // punpcklbw     %xmm5,%xmm15
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,15,127,156,36,144,0,0,0         // movdqa        %xmm3,0x90(%rsp)
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,96,205                       // punpcklbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,128                // movdqa        %xmm1,-0x80(%rsp)
  .byte  102,15,104,213                      // punpckhbw     %xmm5,%xmm2
  .byte  102,15,127,148,36,128,0,0,0         // movdqa        %xmm2,0x80(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,240,95                   // pshufhw       $0x5f,%xmm0,%xmm6
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,68,15,112,232,95                // pshufhw       $0x5f,%xmm0,%xmm13
  .byte  102,65,15,111,205                   // movdqa        %xmm13,%xmm1
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,127,76,36,176                // movdqa        %xmm1,-0x50(%rsp)
  .byte  102,68,15,96,237                    // punpcklbw     %xmm5,%xmm13
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,104,205                      // punpckhbw     %xmm5,%xmm1
  .byte  102,15,96,245                       // punpcklbw     %xmm5,%xmm6
  .byte  102,69,15,111,214                   // movdqa        %xmm14,%xmm10
  .byte  102,69,15,253,210                   // paddw         %xmm10,%xmm10
  .byte  102,65,15,111,192                   // movdqa        %xmm8,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,65,15,111,217                   // movdqa        %xmm9,%xmm3
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,15,111,84,36,192                // movdqa        -0x40(%rsp),%xmm2
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,217,215                      // psubusw       %xmm7,%xmm2
  .byte  102,15,117,213                      // pcmpeqw       %xmm5,%xmm2
  .byte  102,15,127,84,36,112                // movdqa        %xmm2,0x70(%rsp)
  .byte  102,69,15,217,204                   // psubusw       %xmm12,%xmm9
  .byte  102,68,15,117,205                   // pcmpeqw       %xmm5,%xmm9
  .byte  102,15,111,84,36,160                // movdqa        -0x60(%rsp),%xmm2
  .byte  102,15,217,194                      // psubusw       %xmm2,%xmm0
  .byte  102,15,117,197                      // pcmpeqw       %xmm5,%xmm0
  .byte  102,15,127,68,36,64                 // movdqa        %xmm0,0x40(%rsp)
  .byte  102,68,15,111,220                   // movdqa        %xmm4,%xmm11
  .byte  102,69,15,217,211                   // psubusw       %xmm11,%xmm10
  .byte  102,68,15,117,213                   // pcmpeqw       %xmm5,%xmm10
  .byte  102,15,111,45,198,16,0,0            // movdqa        0x10c6(%rip),%xmm5        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,65,15,213,198                   // pmullw        %xmm14,%xmm0
  .byte  102,15,127,68,36,96                 // movdqa        %xmm0,0x60(%rsp)
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,15,127,68,36,80                 // movdqa        %xmm0,0x50(%rsp)
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,65,15,249,247                   // psubw         %xmm15,%xmm6
  .byte  102,15,127,52,36                    // movdqa        %xmm6,(%rsp)
  .byte  102,65,15,111,255                   // movdqa        %xmm15,%xmm7
  .byte  102,65,15,213,254                   // pmullw        %xmm14,%xmm7
  .byte  102,65,15,213,195                   // pmullw        %xmm11,%xmm0
  .byte  102,15,127,68,36,16                 // movdqa        %xmm0,0x10(%rsp)
  .byte  102,69,15,249,222                   // psubw         %xmm14,%xmm11
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,65,15,213,192                   // pmullw        %xmm8,%xmm0
  .byte  102,15,127,68,36,32                 // movdqa        %xmm0,0x20(%rsp)
  .byte  102,68,15,111,250                   // movdqa        %xmm2,%xmm15
  .byte  102,68,15,239,253                   // pxor          %xmm5,%xmm15
  .byte  102,15,111,116,36,144               // movdqa        -0x70(%rsp),%xmm6
  .byte  102,68,15,213,254                   // pmullw        %xmm6,%xmm15
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,249,206                      // psubw         %xmm6,%xmm1
  .byte  102,15,127,76,36,224                // movdqa        %xmm1,-0x20(%rsp)
  .byte  102,65,15,213,240                   // pmullw        %xmm8,%xmm6
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,68,36,240                // movdqa        %xmm0,-0x10(%rsp)
  .byte  102,65,15,249,208                   // psubw         %xmm8,%xmm2
  .byte  102,15,127,84,36,160                // movdqa        %xmm2,-0x60(%rsp)
  .byte  102,65,15,111,197                   // movdqa        %xmm13,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,239,205                      // pxor          %xmm5,%xmm1
  .byte  102,15,213,203                      // pmullw        %xmm3,%xmm1
  .byte  102,15,127,76,36,144                // movdqa        %xmm1,-0x70(%rsp)
  .byte  102,69,15,111,196                   // movdqa        %xmm12,%xmm8
  .byte  102,68,15,239,197                   // pxor          %xmm5,%xmm8
  .byte  102,15,111,100,36,128               // movdqa        -0x80(%rsp),%xmm4
  .byte  102,68,15,213,196                   // pmullw        %xmm4,%xmm8
  .byte  102,68,15,111,232                   // movdqa        %xmm0,%xmm13
  .byte  102,15,249,196                      // psubw         %xmm4,%xmm0
  .byte  102,15,127,68,36,208                // movdqa        %xmm0,-0x30(%rsp)
  .byte  102,15,213,227                      // pmullw        %xmm3,%xmm4
  .byte  102,69,15,213,236                   // pmullw        %xmm12,%xmm13
  .byte  102,68,15,249,227                   // psubw         %xmm3,%xmm12
  .byte  102,15,111,76,36,176                // movdqa        -0x50(%rsp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,197                      // pxor          %xmm5,%xmm0
  .byte  102,15,111,92,36,192                // movdqa        -0x40(%rsp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,15,111,68,36,48                 // movdqa        0x30(%rsp),%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,111,148,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm2
  .byte  102,15,213,234                      // pmullw        %xmm2,%xmm5
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,15,249,202                      // psubw         %xmm2,%xmm1
  .byte  102,15,127,76,36,176                // movdqa        %xmm1,-0x50(%rsp)
  .byte  102,15,213,211                      // pmullw        %xmm3,%xmm2
  .byte  102,68,15,213,240                   // pmullw        %xmm0,%xmm14
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,15,213,68,36,176                // pmullw        -0x50(%rsp),%xmm0
  .byte  102,68,15,213,100,36,208            // pmullw        -0x30(%rsp),%xmm12
  .byte  102,15,111,76,36,160                // movdqa        -0x60(%rsp),%xmm1
  .byte  102,15,213,76,36,224                // pmullw        -0x20(%rsp),%xmm1
  .byte  102,68,15,213,28,36                 // pmullw        (%rsp),%xmm11
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,240                   // psubw         %xmm0,%xmm14
  .byte  102,69,15,253,228                   // paddw         %xmm12,%xmm12
  .byte  102,69,15,249,236                   // psubw         %xmm12,%xmm13
  .byte  102,15,253,201                      // paddw         %xmm1,%xmm1
  .byte  102,15,111,92,36,240                // movdqa        -0x10(%rsp),%xmm3
  .byte  102,15,249,217                      // psubw         %xmm1,%xmm3
  .byte  102,69,15,253,219                   // paddw         %xmm11,%xmm11
  .byte  102,15,111,68,36,16                 // movdqa        0x10(%rsp),%xmm0
  .byte  102,65,15,249,195                   // psubw         %xmm11,%xmm0
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,65,15,219,250                   // pand          %xmm10,%xmm7
  .byte  102,68,15,223,208                   // pandn         %xmm0,%xmm10
  .byte  102,68,15,235,215                   // por           %xmm7,%xmm10
  .byte  102,15,253,246                      // paddw         %xmm6,%xmm6
  .byte  102,15,111,68,36,64                 // movdqa        0x40(%rsp),%xmm0
  .byte  102,15,219,240                      // pand          %xmm0,%xmm6
  .byte  102,15,223,195                      // pandn         %xmm3,%xmm0
  .byte  102,15,235,198                      // por           %xmm6,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,65,15,219,225                   // pand          %xmm9,%xmm4
  .byte  102,69,15,223,205                   // pandn         %xmm13,%xmm9
  .byte  102,68,15,235,204                   // por           %xmm4,%xmm9
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,15,111,68,36,112                // movdqa        0x70(%rsp),%xmm0
  .byte  102,15,219,208                      // pand          %xmm0,%xmm2
  .byte  102,65,15,223,198                   // pandn         %xmm14,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,84,36,80                 // movdqa        0x50(%rsp),%xmm2
  .byte  102,15,253,84,36,96                 // paddw         0x60(%rsp),%xmm2
  .byte  102,68,15,253,124,36,32             // paddw         0x20(%rsp),%xmm15
  .byte  102,68,15,253,68,36,144             // paddw         -0x70(%rsp),%xmm8
  .byte  102,15,253,108,36,128               // paddw         -0x80(%rsp),%xmm5
  .byte  102,15,111,5,154,22,0,0             // movdqa        0x169a(%rip),%xmm0        # 2ca30 <_sk_overlay_sse2_8bit+0x1614>
  .byte  102,15,253,208                      // paddw         %xmm0,%xmm2
  .byte  102,68,15,253,210                   // paddw         %xmm2,%xmm10
  .byte  102,68,15,253,248                   // paddw         %xmm0,%xmm15
  .byte  102,68,15,253,251                   // paddw         %xmm3,%xmm15
  .byte  102,68,15,253,192                   // paddw         %xmm0,%xmm8
  .byte  102,69,15,253,200                   // paddw         %xmm8,%xmm9
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,253,233                      // paddw         %xmm1,%xmm5
  .byte  102,15,111,5,125,22,0,0             // movdqa        0x167d(%rip),%xmm0        # 2ca40 <_sk_overlay_sse2_8bit+0x1624>
  .byte  102,15,228,232                      // pmulhuw       %xmm0,%xmm5
  .byte  102,68,15,228,200                   // pmulhuw       %xmm0,%xmm9
  .byte  102,68,15,228,248                   // pmulhuw       %xmm0,%xmm15
  .byte  102,68,15,228,208                   // pmulhuw       %xmm0,%xmm10
  .byte  102,65,15,113,215,7                 // psrlw         $0x7,%xmm15
  .byte  102,65,15,113,210,7                 // psrlw         $0x7,%xmm10
  .byte  102,69,15,103,215                   // packuswb      %xmm15,%xmm10
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,65,15,113,209,7                 // psrlw         $0x7,%xmm9
  .byte  102,68,15,103,205                   // packuswb      %xmm5,%xmm9
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,148,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm2
  .byte  15,40,156,36,144,0,0,0              // movaps        0x90(%rsp),%xmm3
  .byte  102,65,15,111,194                   // movdqa        %xmm10,%xmm0
  .byte  102,65,15,111,201                   // movdqa        %xmm9,%xmm1
  .byte  72,129,196,184,0,0,0                // add           $0xb8,%rsp
  .byte  255,224                             // jmpq          *%rax

HIDDEN _sk_overlay_sse2_8bit
.globl _sk_overlay_sse2_8bit
FUNCTION(_sk_overlay_sse2_8bit)
_sk_overlay_sse2_8bit:
  .byte  72,129,236,200,0,0,0                // sub           $0xc8,%rsp
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,68,15,111,248                   // movdqa        %xmm0,%xmm15
  .byte  102,68,15,96,252                    // punpcklbw     %xmm4,%xmm15
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,96,236                       // punpcklbw     %xmm4,%xmm5
  .byte  102,15,127,108,36,144               // movdqa        %xmm5,-0x70(%rsp)
  .byte  242,15,112,232,231                  // pshuflw       $0xe7,%xmm0,%xmm5
  .byte  102,15,104,196                      // punpckhbw     %xmm4,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  243,15,112,197,231                  // pshufhw       $0xe7,%xmm5,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,232,95                   // pshufhw       $0x5f,%xmm0,%xmm5
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  102,15,104,204                      // punpckhbw     %xmm4,%xmm1
  .byte  102,15,127,140,36,144,0,0,0         // movdqa        %xmm1,0x90(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,200,95                   // pshufhw       $0x5f,%xmm0,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,104,196                      // punpckhbw     %xmm4,%xmm0
  .byte  102,15,127,132,36,128,0,0,0         // movdqa        %xmm0,0x80(%rsp)
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,15,127,76,36,96                 // movdqa        %xmm1,0x60(%rsp)
  .byte  102,68,15,111,221                   // movdqa        %xmm5,%xmm11
  .byte  102,68,15,104,220                   // punpckhbw     %xmm4,%xmm11
  .byte  102,15,96,236                       // punpcklbw     %xmm4,%xmm5
  .byte  102,68,15,111,213                   // movdqa        %xmm5,%xmm10
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,127,140,36,176,0,0,0         // movdqa        %xmm1,0xb0(%rsp)
  .byte  102,68,15,111,193                   // movdqa        %xmm1,%xmm8
  .byte  242,15,112,193,231                  // pshuflw       $0xe7,%xmm1,%xmm0
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,68,15,104,196                   // punpckhbw     %xmm4,%xmm8
  .byte  102,15,127,156,36,160,0,0,0         // movdqa        %xmm3,0xa0(%rsp)
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,68,15,111,243                   // movdqa        %xmm3,%xmm14
  .byte  102,68,15,96,244                    // punpcklbw     %xmm4,%xmm14
  .byte  102,15,104,212                      // punpckhbw     %xmm4,%xmm2
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,127,116,36,16                // movdqa        %xmm6,0x10(%rsp)
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,208,95                   // pshufhw       $0x5f,%xmm0,%xmm2
  .byte  242,15,112,195,231                  // pshuflw       $0xe7,%xmm3,%xmm0
  .byte  243,15,112,192,231                  // pshufhw       $0xe7,%xmm0,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  242,15,112,192,95                   // pshuflw       $0x5f,%xmm0,%xmm0
  .byte  243,15,112,216,95                   // pshufhw       $0x5f,%xmm0,%xmm3
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,104,196                      // punpckhbw     %xmm4,%xmm0
  .byte  102,15,127,4,36                     // movdqa        %xmm0,(%rsp)
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  102,68,15,111,202                   // movdqa        %xmm2,%xmm9
  .byte  102,68,15,104,204                   // punpckhbw     %xmm4,%xmm9
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,253,237                      // paddw         %xmm5,%xmm5
  .byte  102,65,15,111,248                   // movdqa        %xmm8,%xmm7
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,69,15,111,238                   // movdqa        %xmm14,%xmm13
  .byte  102,69,15,253,237                   // paddw         %xmm13,%xmm13
  .byte  102,15,253,246                      // paddw         %xmm6,%xmm6
  .byte  102,15,217,240                      // psubusw       %xmm0,%xmm6
  .byte  102,15,117,244                      // pcmpeqw       %xmm4,%xmm6
  .byte  102,15,127,116,36,112               // movdqa        %xmm6,0x70(%rsp)
  .byte  102,68,15,217,235                   // psubusw       %xmm3,%xmm13
  .byte  102,68,15,117,236                   // pcmpeqw       %xmm4,%xmm13
  .byte  102,68,15,127,108,36,80             // movdqa        %xmm13,0x50(%rsp)
  .byte  102,65,15,217,249                   // psubusw       %xmm9,%xmm7
  .byte  102,15,117,252                      // pcmpeqw       %xmm4,%xmm7
  .byte  102,15,127,124,36,48                // movdqa        %xmm7,0x30(%rsp)
  .byte  102,15,217,234                      // psubusw       %xmm2,%xmm5
  .byte  102,15,117,236                      // pcmpeqw       %xmm4,%xmm5
  .byte  102,15,127,108,36,32                // movdqa        %xmm5,0x20(%rsp)
  .byte  102,15,111,53,150,12,0,0            // movdqa        0xc96(%rip),%xmm6        # 2c250 <_sk_overlay_sse2_8bit+0xe34>
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,65,15,213,199                   // pmullw        %xmm15,%xmm0
  .byte  102,15,127,68,36,64                 // movdqa        %xmm0,0x40(%rsp)
  .byte  102,65,15,111,194                   // movdqa        %xmm10,%xmm0
  .byte  102,68,15,111,224                   // movdqa        %xmm0,%xmm12
  .byte  102,68,15,239,230                   // pxor          %xmm6,%xmm12
  .byte  102,68,15,213,225                   // pmullw        %xmm1,%xmm12
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,249,209                      // psubw         %xmm1,%xmm2
  .byte  102,15,127,84,36,208                // movdqa        %xmm2,-0x30(%rsp)
  .byte  102,68,15,111,209                   // movdqa        %xmm1,%xmm10
  .byte  102,69,15,213,215                   // pmullw        %xmm15,%xmm10
  .byte  102,15,213,224                      // pmullw        %xmm0,%xmm4
  .byte  102,15,127,100,36,224               // movdqa        %xmm4,-0x20(%rsp)
  .byte  102,65,15,249,199                   // psubw         %xmm15,%xmm0
  .byte  102,15,127,68,36,176                // movdqa        %xmm0,-0x50(%rsp)
  .byte  102,65,15,111,193                   // movdqa        %xmm9,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,84,36,128                // movdqa        -0x80(%rsp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,68,36,240                // movdqa        %xmm0,-0x10(%rsp)
  .byte  102,65,15,111,195                   // movdqa        %xmm11,%xmm0
  .byte  102,68,15,239,222                   // pxor          %xmm6,%xmm11
  .byte  102,69,15,213,216                   // pmullw        %xmm8,%xmm11
  .byte  102,69,15,111,249                   // movdqa        %xmm9,%xmm15
  .byte  102,69,15,249,200                   // psubw         %xmm8,%xmm9
  .byte  102,68,15,127,76,36,192             // movdqa        %xmm9,-0x40(%rsp)
  .byte  102,68,15,213,194                   // pmullw        %xmm2,%xmm8
  .byte  102,68,15,213,248                   // pmullw        %xmm0,%xmm15
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,68,15,111,200                   // movdqa        %xmm0,%xmm9
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,84,36,144                // movdqa        -0x70(%rsp),%xmm2
  .byte  102,15,213,194                      // pmullw        %xmm2,%xmm0
  .byte  102,15,127,68,36,128                // movdqa        %xmm0,-0x80(%rsp)
  .byte  102,15,111,68,36,96                 // movdqa        0x60(%rsp),%xmm0
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,239,238                      // pxor          %xmm6,%xmm5
  .byte  102,65,15,213,238                   // pmullw        %xmm14,%xmm5
  .byte  102,68,15,111,235                   // movdqa        %xmm3,%xmm13
  .byte  102,65,15,249,222                   // psubw         %xmm14,%xmm3
  .byte  102,15,127,92,36,160                // movdqa        %xmm3,-0x60(%rsp)
  .byte  102,65,15,111,254                   // movdqa        %xmm14,%xmm7
  .byte  102,15,213,250                      // pmullw        %xmm2,%xmm7
  .byte  102,68,15,213,232                   // pmullw        %xmm0,%xmm13
  .byte  102,15,249,194                      // psubw         %xmm2,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,111,12,36                    // movdqa        (%rsp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,239,198                      // pxor          %xmm6,%xmm0
  .byte  102,15,111,156,36,144,0,0,0         // movdqa        0x90(%rsp),%xmm3
  .byte  102,15,213,195                      // pmullw        %xmm3,%xmm0
  .byte  102,15,127,68,36,144                // movdqa        %xmm0,-0x70(%rsp)
  .byte  102,15,111,132,36,128,0,0,0         // movdqa        0x80(%rsp),%xmm0
  .byte  102,15,239,240                      // pxor          %xmm0,%xmm6
  .byte  102,15,111,100,36,16                // movdqa        0x10(%rsp),%xmm4
  .byte  102,15,213,244                      // pmullw        %xmm4,%xmm6
  .byte  102,68,15,111,241                   // movdqa        %xmm1,%xmm14
  .byte  102,15,249,204                      // psubw         %xmm4,%xmm1
  .byte  102,15,213,227                      // pmullw        %xmm3,%xmm4
  .byte  102,68,15,213,240                   // pmullw        %xmm0,%xmm14
  .byte  102,15,249,195                      // psubw         %xmm3,%xmm0
  .byte  102,15,213,193                      // pmullw        %xmm1,%xmm0
  .byte  102,15,213,84,36,160                // pmullw        -0x60(%rsp),%xmm2
  .byte  102,68,15,213,76,36,192             // pmullw        -0x40(%rsp),%xmm9
  .byte  102,15,111,76,36,176                // movdqa        -0x50(%rsp),%xmm1
  .byte  102,15,213,76,36,208                // pmullw        -0x30(%rsp),%xmm1
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,68,15,249,240                   // psubw         %xmm0,%xmm14
  .byte  102,15,253,210                      // paddw         %xmm2,%xmm2
  .byte  102,68,15,249,234                   // psubw         %xmm2,%xmm13
  .byte  102,69,15,253,201                   // paddw         %xmm9,%xmm9
  .byte  102,69,15,249,249                   // psubw         %xmm9,%xmm15
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,253,192                      // paddw         %xmm0,%xmm0
  .byte  102,15,111,76,36,224                // movdqa        -0x20(%rsp),%xmm1
  .byte  102,15,249,200                      // psubw         %xmm0,%xmm1
  .byte  102,69,15,253,210                   // paddw         %xmm10,%xmm10
  .byte  102,15,111,68,36,32                 // movdqa        0x20(%rsp),%xmm0
  .byte  102,68,15,219,208                   // pand          %xmm0,%xmm10
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,65,15,235,194                   // por           %xmm10,%xmm0
  .byte  102,15,111,216                      // movdqa        %xmm0,%xmm3
  .byte  102,69,15,253,192                   // paddw         %xmm8,%xmm8
  .byte  102,15,111,68,36,48                 // movdqa        0x30(%rsp),%xmm0
  .byte  102,68,15,219,192                   // pand          %xmm0,%xmm8
  .byte  102,65,15,223,199                   // pandn         %xmm15,%xmm0
  .byte  102,65,15,235,192                   // por           %xmm8,%xmm0
  .byte  102,68,15,111,192                   // movdqa        %xmm0,%xmm8
  .byte  102,15,253,255                      // paddw         %xmm7,%xmm7
  .byte  102,15,111,68,36,80                 // movdqa        0x50(%rsp),%xmm0
  .byte  102,15,219,248                      // pand          %xmm0,%xmm7
  .byte  102,65,15,223,197                   // pandn         %xmm13,%xmm0
  .byte  102,15,235,199                      // por           %xmm7,%xmm0
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,253,228                      // paddw         %xmm4,%xmm4
  .byte  102,15,111,68,36,112                // movdqa        0x70(%rsp),%xmm0
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,65,15,223,198                   // pandn         %xmm14,%xmm0
  .byte  102,15,235,196                      // por           %xmm4,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,68,15,253,100,36,64             // paddw         0x40(%rsp),%xmm12
  .byte  102,68,15,253,92,36,240             // paddw         -0x10(%rsp),%xmm11
  .byte  102,15,253,108,36,128               // paddw         -0x80(%rsp),%xmm5
  .byte  102,15,253,116,36,144               // paddw         -0x70(%rsp),%xmm6
  .byte  102,15,111,5,89,18,0,0              // movdqa        0x1259(%rip),%xmm0        # 2ca30 <_sk_overlay_sse2_8bit+0x1614>
  .byte  102,68,15,253,224                   // paddw         %xmm0,%xmm12
  .byte  102,68,15,253,227                   // paddw         %xmm3,%xmm12
  .byte  102,68,15,253,216                   // paddw         %xmm0,%xmm11
  .byte  102,69,15,253,216                   // paddw         %xmm8,%xmm11
  .byte  102,15,253,232                      // paddw         %xmm0,%xmm5
  .byte  102,15,253,234                      // paddw         %xmm2,%xmm5
  .byte  102,15,253,240                      // paddw         %xmm0,%xmm6
  .byte  102,15,253,241                      // paddw         %xmm1,%xmm6
  .byte  102,15,111,5,61,18,0,0              // movdqa        0x123d(%rip),%xmm0        # 2ca40 <_sk_overlay_sse2_8bit+0x1624>
  .byte  102,15,228,240                      // pmulhuw       %xmm0,%xmm6
  .byte  102,15,228,232                      // pmulhuw       %xmm0,%xmm5
  .byte  102,68,15,228,216                   // pmulhuw       %xmm0,%xmm11
  .byte  102,68,15,228,224                   // pmulhuw       %xmm0,%xmm12
  .byte  102,65,15,113,211,7                 // psrlw         $0x7,%xmm11
  .byte  102,65,15,113,212,7                 // psrlw         $0x7,%xmm12
  .byte  102,69,15,103,227                   // packuswb      %xmm11,%xmm12
  .byte  102,15,113,214,7                    // psrlw         $0x7,%xmm6
  .byte  102,15,113,213,7                    // psrlw         $0x7,%xmm5
  .byte  102,15,103,238                      // packuswb      %xmm6,%xmm5
  .byte  72,173                              // lods          %ds:(%rsi),%rax
  .byte  15,40,148,36,176,0,0,0              // movaps        0xb0(%rsp),%xmm2
  .byte  15,40,156,36,160,0,0,0              // movaps        0xa0(%rsp),%xmm3
  .byte  102,65,15,111,196                   // movdqa        %xmm12,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  72,129,196,200,0,0,0                // add           $0xc8,%rsp
  .byte  255,224                             // jmpq          *%rax

BALIGN4
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,1                            // cmpb          $0x1,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  252                                 // cld
  .byte  190,0,0,128,191                     // mov           $0xbf800000,%esi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2b8bc <.literal4+0x64>
  .byte  154                                 // (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,61,10,23,63,174                  // ds            cmp $0xae3f170a,%eax
  .byte  71,225,61                           // rex.RXB       loope 2b8c5 <.literal4+0x6d>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2b8cf <.literal4+0x77>
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,92,143,50,63             // sbbl          $0x3f,0x328f5c3d(%rsi)
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,97                               // rex.RXB       (bad)
  .byte  61,82,184,78,65                     // cmp           $0x414eb852,%eax
  .byte  186,159,98,60,57                    // mov           $0x393c629f,%edx
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  32,187,109,165,144,63               // and           %bh,0x3f90a56d(%rbx)
  .byte  252                                 // cld
  .byte  191,16,62,168,177                   // mov           $0xb1a83e10,%edi
  .byte  152                                 // cwtl
  .byte  59,0                                // cmp           (%rax),%eax
  .byte  0,192                               // add           %al,%al
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,64,0                              // add           %al,0x0(%rax)
  .byte  0,128,64,171,170,42                 // add           %al,0x2aaaab40(%rax)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  190,129,128,128,59                  // mov           $0x3b808081,%esi
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  224,7                               // loopne        2b8e5 <.literal4+0x8d>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  31                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,8                                 // add           %cl,(%rax)
  .byte  33,4,61,128,0,128,55                // and           %eax,0x37800080(,%rdi,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,52,255                            // add           %dh,(%rdi,%rdi,8)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2b8f8 <.literal4+0xa0>
  .byte  119,115                             // ja            2b96d <.literal4+0x115>
  .byte  248                                 // clc
  .byte  194,117,191                         // retq          $0xbf75
  .byte  191,63,249,68,180                   // mov           $0xb444f93f,%edi
  .byte  62,163,233,220,63,81,140,242,66,141 // movabs        %eax,%ds:0x8d42f28c513fdce9
  .byte  188,190,63,248,245                  // mov           $0xf5f83fbe,%esp
  .byte  154                                 // (bad)
  .byte  64,254                              // rex           (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  0,75,0                              // add           %cl,0x0(%rbx)
  .byte  0,200                               // add           %cl,%al
  .byte  66,0,0                              // rex.X         add %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,65,203,61                       // addb          $0x3d,-0x35(%rcx)
  .byte  13,60,111,18,3                      // or            $0x3126f3c,%eax
  .byte  59,10                               // cmp           (%rdx),%ecx
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  163,59,194,24,17,60,203,61,13       // movabs        %eax,0xd3dcb3c1118c23b
  .byte  190,80,128,3,62                     // mov           $0x3e038050,%esi
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2b983 <.literal4+0x12b>
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  124,66                              // jl            2b992 <.literal4+0x13a>
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,55,0,15                 // mov           %ecx,0xf003788(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,57,240,0                // mov           %ecx,0xf03988(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,59,15,0                 // mov           %ecx,0xf3b88(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,61,0,0                  // mov           %ecx,0x3d88(%rax)
  .byte  112,65                              // jo            2b9b5 <.literal4+0x15d>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2b9bf <.literal4+0x167>
  .byte  208                                 // (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,89                               // ds            pop %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  152                                 // cwtl
  .byte  221,147,61,18,120,57                // fstl          0x3978123d(%rbx)
  .byte  64,45,16,17,192,32                  // rex           sub $0x20c01110,%eax
  .byte  148                                 // xchg          %eax,%esp
  .byte  90                                  // pop           %rdx
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,0,24                             // add           %bl,%ds:(%rax)
  .byte  161,57,111,43,231,187,159,215,202   // movabs        0xcad79fbbe72b6f39,%eax
  .byte  60,212                              // cmp           $0xd4,%al
  .byte  100,84                              // fs            push %rsp
  .byte  189,169,240,34,62                   // mov           $0x3e22f0a9,%ebp
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,62,0                            // cmpb          $0x0,(%rsi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,0,0                             // rolb          $0x0,(%rax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,0,0                             // addb          $0x0,(%rax)
  .byte  0,191,0,0,192,191                   // add           %bh,-0x40400000(%rdi)
  .byte  114,28                              // jb            2b9de <.literal4+0x186>
  .byte  199                                 // (bad)
  .byte  62,0,0                              // add           %al,%ds:(%rax)
  .byte  192,63,85                           // sarb          $0x55,(%rdi)
  .byte  85                                  // push          %rbp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,57,142,99,61                    // mov           $0x3d638e39,%edi
  .byte  114,249                             // jb            2b9cb <.literal4+0x173>
  .byte  127,63                              // jg            2ba13 <_sk_overlay_sse2_8bit+0x5f7>
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,0,0,4                       // add           %al,0x4000000(%rax)
  .byte  0,128,0,0,0,56                      // add           %al,0x38000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,56,0                            // cmpb          $0x0,(%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,1                               // incl          (%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)

BALIGN32
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,0                            // cmpb          $0x0,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  64                                  // rex
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  160,64,0,0,192,64,0,0,224           // movabs        0xe0000040c0000040,%al
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,0                                 // add           %eax,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  5,0,0,0,6                           // add           $0x6000000,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02ba68 <_sk_overlay_sse2_8bit+0xa00064c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202ba70 <_sk_overlay_sse2_8bit+0x12000654>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02ba78 <_sk_overlay_sse2_8bit+0x1a00065c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302ba80 <_sk_overlay_sse2_8bit+0x3000664>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bac8 <_sk_overlay_sse2_8bit+0xa0006ac>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bad0 <_sk_overlay_sse2_8bit+0x120006b4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bad8 <_sk_overlay_sse2_8bit+0x1a0006bc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bae0 <_sk_overlay_sse2_8bit+0x30006c4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bb28 <_sk_overlay_sse2_8bit+0xa00070c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bb30 <_sk_overlay_sse2_8bit+0x12000714>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bb38 <_sk_overlay_sse2_8bit+0x1a00071c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bb40 <_sk_overlay_sse2_8bit+0x3000724>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bb88 <_sk_overlay_sse2_8bit+0xa00076c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bb90 <_sk_overlay_sse2_8bit+0x12000774>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bb98 <_sk_overlay_sse2_8bit+0x1a00077c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bba0 <_sk_overlay_sse2_8bit+0x3000784>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bbe8 <_sk_overlay_sse2_8bit+0xa0007cc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bbf0 <_sk_overlay_sse2_8bit+0x120007d4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bbf8 <_sk_overlay_sse2_8bit+0x1a0007dc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bc00 <_sk_overlay_sse2_8bit+0x30007e4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bc48 <_sk_overlay_sse2_8bit+0xa00082c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bc50 <_sk_overlay_sse2_8bit+0x12000834>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bc58 <_sk_overlay_sse2_8bit+0x1a00083c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bc60 <_sk_overlay_sse2_8bit+0x3000844>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bca8 <_sk_overlay_sse2_8bit+0xa00088c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bcb0 <_sk_overlay_sse2_8bit+0x12000894>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bcb8 <_sk_overlay_sse2_8bit+0x1a00089c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bcc0 <_sk_overlay_sse2_8bit+0x30008a4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02bd08 <_sk_overlay_sse2_8bit+0xa0008ec>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,17               // decl          0x11ffffff(%rip)        # 1202bd10 <_sk_overlay_sse2_8bit+0x120008f4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,21,255,255,255,25               // callq         *0x19ffffff(%rip)        # 1a02bd18 <_sk_overlay_sse2_8bit+0x1a0008fc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,29,255,255,255,2                // lcall         *0x2ffffff(%rip)        # 302bd20 <_sk_overlay_sse2_8bit+0x3000904>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,18                              // callq         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,22                              // callq         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,26                              // lcall         *(%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,30                              // lcall         *(%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,63,0,0,0                      // add           %al,0x3f(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  64                                  // rex
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  160,64,0,0,192,64,0,0,224           // movabs        0xe0000040c0000040,%al
  .byte  64,255,0                            // rex           incl (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,0,0                              // sldt          (%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  2,1                                 // add           (%rcx),%al
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,2,1                        // or            $0x1020f0c,%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,3,255                      // or            $0xff030f0c,%eax
  .byte  7                                   // (bad)
  .byte  255,11                              // decl          (%rbx)
  .byte  255,15                              // decl          (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,19                              // callq         *(%rbx)
  .byte  255,23                              // callq         *(%rdi)
  .byte  255,27                              // lcall         *(%rbx)
  .byte  255,31                              // lcall         *(%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,3                               // incl          (%rbx)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,7                                 // add           (%rdi),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,4                               // add           %al,(%rsp,%rax,1)
  .byte  4,4                                 // add           $0x4,%al
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  12,12                               // or            $0xc,%al
  .byte  12,12                               // or            $0xc,%al
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  20,20                               // adc           $0x14,%al
  .byte  20,20                               // adc           $0x14,%al
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,4                                 // add           $0x4,%al
  .byte  4,4                                 // add           $0x4,%al
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  12,12                               // or            $0xc,%al
  .byte  12,12                               // or            $0xc,%al
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  16,16                               // adc           %dl,(%rax)
  .byte  20,20                               // adc           $0x14,%al
  .byte  20,20                               // adc           $0x14,%al
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  24,24                               // sbb           %bl,(%rax)
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  28,28                               // sbb           $0x1c,%al
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  0,127,0                             // add           %bh,0x0(%rdi)
  .byte  129,128,0,0,0,0,0,0,0,0             // addl          $0x0,0x0(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,3,3                              // lsl           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,255                              // (bad)
  .byte  0,127,0                             // add           %bh,0x0(%rdi)
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80

BALIGN16
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,2                                 // add           %al,(%rdx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,2                                 // add           %al,(%rdx)
  .byte  4,6                                 // add           $0x6,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,0                                 // add           %eax,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  5,0,0,0,6                           // add           $0x6000000,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,7                                 // add           %al,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,63                                // add           %bh,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,0                            // cmpb          $0x0,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  64                                  // rex
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  128,63,0                            // cmpb          $0x0,(%rdi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%rax)
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,63,1                            // cmpb          $0x1,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,0                                 // add           (%rax),%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%rax,%rax,1)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,191,0,0,128,191,0               // cmpb          $0x0,-0x40800000(%rdi)
  .byte  0,128,191,0,0,128                   // add           %al,-0x7fffff41(%rax)
  .byte  191,0,0,224,64                      // mov           $0x40e00000,%edi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2c378 <.literal16+0x128>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2c37c <.literal16+0x12c>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,64                              // loopne        2c380 <.literal16+0x130>
  .byte  154                                 // (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154                              // ds            (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154                              // ds            (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154                              // ds            (bad)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,61,10,23,63,61                   // ds            cmp $0x3d3f170a,%eax
  .byte  10,23                               // or            (%rdi),%dl
  .byte  63                                  // (bad)
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%rdi),%dl
  .byte  63                                  // (bad)
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2c3a1 <.literal16+0x151>
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2c3a5 <.literal16+0x155>
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2c3a9 <.literal16+0x159>
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,225,61                           // rex.RXB       loope 2c3ad <.literal16+0x15d>
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  1,255                               // add           %edi,%edi
  .byte  255                                 // (bad)
  .byte  255,5,255,255,255,9                 // incl          0x9ffffff(%rip)        # a02c388 <_sk_overlay_sse2_8bit+0xa000f6c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,13,255,255,255,2                // decl          0x2ffffff(%rip)        # 302c390 <_sk_overlay_sse2_8bit+0x3000f74>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,6                               // incl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,10                              // decl          (%rdx)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,14                              // decl          (%rsi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,127,67                            // add           %bh,0x43(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2c3eb <.literal16+0x19b>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2c3ef <.literal16+0x19f>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  127,67                              // jg            2c3f3 <.literal16+0x1a3>
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%rsi)
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%rsi)
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  92                                  // pop           %rsp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%rdi),%bh
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%rbx),%edi
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,97                               // rex.RXB       (bad)
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  174                                 // scas          %es:(%rdi),%al
  .byte  71,97                               // rex.RXB       (bad)
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  82                                  // push          %rdx
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // rex.WRX
  .byte  65,82                               // push          %r10
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // rex.WRX
  .byte  65,57,215                           // cmp           %edx,%r15d
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%rbx)
  .byte  57,215                              // cmp           %edx,%edi
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%rbx)
  .byte  186,159,98,60,186                   // mov           $0xba3c629f,%edx
  .byte  159                                 // lahf
  .byte  98                                  // (bad)
  .byte  60,186                              // cmp           $0xba,%al
  .byte  159                                 // lahf
  .byte  98                                  // (bad)
  .byte  60,186                              // cmp           $0xba,%al
  .byte  159                                 // lahf
  .byte  98                                  // (bad)
  .byte  60,109                              // cmp           $0x6d,%al
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  109                                 // insl          (%dx),%es:(%rdi)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  109                                 // insl          (%dx),%es:(%rdi)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  109                                 // insl          (%dx),%es:(%rdi)
  .byte  165                                 // movsl         %ds:(%rsi),%es:(%rdi)
  .byte  144                                 // nop
  .byte  63                                  // (bad)
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%rsi)
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%rsi)
  .byte  168,177                             // test          $0xb1,%al
  .byte  152                                 // cwtl
  .byte  59,168,177,152,59,168               // cmp           -0x57c4674f(%rax),%ebp
  .byte  177,152                             // mov           $0x98,%cl
  .byte  59,168,177,152,59,0                 // cmp           0x3b98b1(%rax),%ebp
  .byte  0,192                               // add           %al,%al
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%rax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%rax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%rax)
  .byte  0,64,0                              // add           %al,0x0(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  0,64,0                              // add           %al,0x0(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  64,0,0                              // add           %al,(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%rax)
  .byte  128,64,171,170                      // addb          $0xaa,-0x55(%rax)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,62                               // sub           (%rsi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  62,171                              // ds            stos %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  42,63                               // sub           (%rdi),%bh
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  170                                 // stos          %al,%es:(%rdi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%rax)
  .byte  128,59,129                          // cmpb          $0x81,(%rbx)
  .byte  128,128,59,0,248,0,0                // addb          $0x0,0xf8003b(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  132,55                              // test          %dh,(%rdi)
  .byte  224,7                               // loopne        2c4f9 <.literal16+0x2a9>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,7                               // loopne        2c4fd <.literal16+0x2ad>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,7                               // loopne        2c501 <.literal16+0x2b1>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  224,7                               // loopne        2c505 <.literal16+0x2b5>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  33,8                                // and           %ecx,(%rax)
  .byte  2,58                                // add           (%rdx),%bh
  .byte  31                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,31                                // add           %bl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,31                                // add           %bl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,31                                // add           %bl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,8                                 // add           %cl,(%rax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%rdi,1)
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%rcx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  8,255                               // or            %bh,%bh
  .byte  10,255                              // or            %bh,%bh
  .byte  12,255                              // or            $0xff,%al
  .byte  14                                  // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,128,55,128                  // add           %al,-0x7fc88000(%rax)
  .byte  0,128,55,128,0,128                  // add           %al,-0x7fff7fc9(%rax)
  .byte  55                                  // (bad)
  .byte  128,0,128                           // addb          $0x80,(%rax)
  .byte  55                                  // (bad)
  .byte  8,128,10,128,12,128                 // or            %al,-0x7ff37ff6(%rax)
  .byte  14                                  // (bad)
  .byte  128,0,0                             // addb          $0x0,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,52,0                              // add           %dh,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2c584 <.literal16+0x334>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2c588 <.literal16+0x338>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2c58c <.literal16+0x33c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            2c590 <.literal16+0x340>
  .byte  119,115                             // ja            2c605 <.literal16+0x3b5>
  .byte  248                                 // clc
  .byte  194,119,115                         // retq          $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // retq          $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // retq          $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // retq          $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // (bad)
  .byte  117,191                             // jne           2c569 <.literal16+0x319>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // (bad)
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  249                                 // stc
  .byte  68,180,62                           // rex.R         mov $0x3e,%spl
  .byte  163,233,220,63,163,233,220,63,163   // movabs        %eax,0xa33fdce9a33fdce9
  .byte  233,220,63,163,233                  // jmpq          ffffffffe9a605aa <_sk_overlay_sse2_8bit+0xffffffffe9a3518e>
  .byte  220,63                              // fdivrl        (%rdi)
  .byte  81                                  // push          %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,81                               // rex.X         push %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,81                               // rex.X         push %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,81                               // rex.X         push %rcx
  .byte  140,242                             // mov           %?,%edx
  .byte  66,141,188,190,63,141,188,190       // lea           -0x414372c1(%rsi,%r15,4),%edi
  .byte  63                                  // (bad)
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%rsi,%rdi,4),%edi
  .byte  63                                  // (bad)
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,248                              // rex           clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,248                              // rex           clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,248                              // rex           clc
  .byte  245                                 // cmc
  .byte  154                                 // (bad)
  .byte  64,254                              // rex           (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,254                              // rex.B         (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,254                              // rex.B         (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,254                              // rex.B         (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  0,75,0                              // add           %cl,0x0(%rbx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  75,0,0                              // rex.WXB       add %al,(%r8)
  .byte  0,75,0                              // add           %cl,0x0(%rbx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  75,0,0                              // rex.WXB       add %al,(%r8)
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  200,66,0,0                          // enterq        $0x42,$0x0
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%rcx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%rcx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%rcx)
  .byte  128,65,203,61                       // addb          $0x3d,-0x35(%rcx)
  .byte  13,60,203,61,13                     // or            $0xd3dcb3c,%eax
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,60,203,61                     // cmp           $0x3dcb3c0d,%eax
  .byte  13,60,111,18,3                      // or            $0x3126f3c,%eax
  .byte  59,111,18                           // cmp           0x12(%rdi),%ebp
  .byte  3,59                                // add           (%rbx),%edi
  .byte  111                                 // outsl         %ds:(%rsi),(%dx)
  .byte  18,3                                // adc           (%rbx),%al
  .byte  59,111,18                           // cmp           0x12(%rdi),%ebp
  .byte  3,59                                // add           (%rbx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  163,59,10,215,163,59,10,215,163     // movabs        %eax,0xa3d70a3ba3d70a3b
  .byte  59,10                               // cmp           (%rdx),%ecx
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  163,59,194,24,17,60,194,24,17       // movabs        %eax,0x1118c23c1118c23b
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%rcx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%rcx)
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,190,203,61                    // cmp           $0x3dcbbe0d,%eax
  .byte  13,190,203,61,13                    // or            $0xd3dcbbe,%eax
  .byte  190,203,61,13,190                   // mov           $0xbe0d3dcb,%esi
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  80                                  // push          %rax
  .byte  128,3,62                            // addb          $0x3e,(%rbx)
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2c6f3 <.literal16+0x4a3>
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2c6f7 <.literal16+0x4a7>
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2c6fb <.literal16+0x4ab>
  .byte  31                                  // (bad)
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  118,63                              // jbe           2c6ff <.literal16+0x4af>
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,248                               // add           %bh,%al
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  248                                 // clc
  .byte  65,0,0                              // add           %al,(%r8)
  .byte  124,66                              // jl            2c736 <.literal16+0x4e6>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  124,66                              // jl            2c73a <.literal16+0x4ea>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  124,66                              // jl            2c73e <.literal16+0x4ee>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  124,66                              // jl            2c742 <.literal16+0x4f2>
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%rax)
  .byte  136,55                              // mov           %dh,(%rdi)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%rax)
  .byte  136,55                              // mov           %dh,(%rdi)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%rax)
  .byte  136,57                              // mov           %bh,(%rcx)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%rax)
  .byte  136,57                              // mov           %bh,(%rcx)
  .byte  240,0,0                             // lock          add %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,137,136,136,59,137                // add           %cl,-0x76c47778(%rcx)
  .byte  136,136,59,137,136,136              // mov           %cl,-0x777776c5(%rax)
  .byte  59,137,136,136,59,15                // cmp           0xf3b8888(%rcx),%ecx
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,15                                // add           %cl,(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,137,136,136,61,137                // add           %cl,-0x76c27778(%rcx)
  .byte  136,136,61,137,136,136              // mov           %cl,-0x777776c3(%rax)
  .byte  61,137,136,136,61                   // cmp           $0x3d888889,%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2c7c5 <.literal16+0x575>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2c7c9 <.literal16+0x579>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2c7cd <.literal16+0x57d>
  .byte  0,0                                 // add           %al,(%rax)
  .byte  112,65                              // jo            2c7d1 <.literal16+0x581>
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,0,0                             // addb          $0x0,(%rax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,128,0,0,128,56                    // add           %al,0x38800000(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,56,0                            // cmpb          $0x0,(%rax)
  .byte  0,128,56,0,0,128                    // add           %al,-0x7fffffc8(%rax)
  .byte  56,0                                // cmp           %al,(%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  64,254                              // rex           (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  127,71                              // jg            2c83b <.literal16+0x5eb>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2c83f <.literal16+0x5ef>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2c843 <.literal16+0x5f3>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            2c847 <.literal16+0x5f7>
  .byte  208                                 // (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,89                               // ds            pop %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  89                                  // pop           %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  89                                  // pop           %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  89                                  // pop           %rcx
  .byte  23                                  // (bad)
  .byte  55                                  // (bad)
  .byte  63                                  // (bad)
  .byte  152                                 // cwtl
  .byte  221,147,61,152,221,147              // fstl          -0x6c2267c3(%rbx)
  .byte  61,152,221,147,61                   // cmp           $0x3d93dd98,%eax
  .byte  152                                 // cwtl
  .byte  221,147,61,45,16,17                 // fstl          0x11102d3d(%rbx)
  .byte  192,45,16,17,192,45,16              // shrb          $0x10,0x2dc01110(%rip)        # 2dc2d94a <_sk_overlay_sse2_8bit+0x2dc0252e>
  .byte  17,192                              // adc           %eax,%eax
  .byte  45,16,17,192,18                     // sub           $0x12c01110,%eax
  .byte  120,57                              // js            2c87c <.literal16+0x62c>
  .byte  64,18,120,57                        // adc           0x39(%rax),%dil
  .byte  64,18,120,57                        // adc           0x39(%rax),%dil
  .byte  64,18,120,57                        // adc           0x39(%rax),%dil
  .byte  64,32,148,90,62,32,148,90           // and           %dl,0x5a94203e(%rdx,%rbx,2)
  .byte  62,32,148,90,62,32,148,90           // and           %dl,%ds:0x5a94203e(%rdx,%rbx,2)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // (bad)
  .byte  62,0,24                             // add           %bl,%ds:(%rax)
  .byte  161,57,0,24,161,57,0,24,161         // movabs        0xa1180039a1180039,%eax
  .byte  57,0                                // cmp           %eax,(%rax)
  .byte  24,161,57,111,43,231                // sbb           %ah,-0x18d490c7(%rcx)
  .byte  187,111,43,231,187                  // mov           $0xbbe72b6f,%ebx
  .byte  111                                 // outsl         %ds:(%rsi),(%dx)
  .byte  43,231                              // sub           %edi,%esp
  .byte  187,111,43,231,187                  // mov           $0xbbe72b6f,%ebx
  .byte  159                                 // lahf
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%rbx)
  .byte  202,60,212                          // lret          $0xd43c
  .byte  100,84                              // fs            push %rsp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  212                                 // (bad)
  .byte  100,84                              // fs            push %rsp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%rsi),%bh
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%rsi),%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,62,0                            // cmpb          $0x0,(%rsi)
  .byte  0,128,62,0,0,128                    // add           %al,-0x7fffffc2(%rax)
  .byte  62,0,0                              // add           %al,%ds:(%rax)
  .byte  128,62,0                            // cmpb          $0x0,(%rsi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,0,0                             // rolb          $0x0,(%rax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,128,192,0,0,128                   // add           %al,-0x7fffff40(%rax)
  .byte  192,0,0                             // rolb          $0x0,(%rax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  191,0,0,0,191                       // mov           $0xbf000000,%edi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%rdi)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,191,0,0,192,191,0               // sarb          $0x0,-0x40400000(%rdi)
  .byte  0,192                               // add           %al,%al
  .byte  191,0,0,192,191                     // mov           $0xbfc00000,%edi
  .byte  114,28                              // jb            2c92e <.literal16+0x6de>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         2c932 <.literal16+0x6e2>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         2c936 <.literal16+0x6e6>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         2c93a <.literal16+0x6ea>
  .byte  199                                 // (bad)
  .byte  62,85                               // ds            push %rbp
  .byte  85                                  // push          %rbp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %rbp
  .byte  85                                  // push          %rbp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  192,63,0                            // sarb          $0x0,(%rdi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // (bad)
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%rsi)
  .byte  99,61,57,142,99,61                  // movslq        0x3d638e39(%rip),%edi        # 3d665785 <_sk_overlay_sse2_8bit+0x3d63a369>
  .byte  57,142,99,61,114,249                // cmp           %ecx,-0x68dc29d(%rsi)
  .byte  127,63                              // jg            2c993 <.literal16+0x743>
  .byte  114,249                             // jb            2c94f <.literal16+0x6ff>
  .byte  127,63                              // jg            2c997 <.literal16+0x747>
  .byte  114,249                             // jb            2c953 <.literal16+0x703>
  .byte  127,63                              // jg            2c99b <.literal16+0x74b>
  .byte  114,249                             // jb            2c957 <.literal16+0x707>
  .byte  127,63                              // jg            2c99f <.literal16+0x74f>
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  3,0                                 // add           (%rax),%eax
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  128,0,4                             // addb          $0x4,(%rax)
  .byte  0,128,0,4,0,128                     // add           %al,-0x7ffffc00(%rax)
  .byte  0,4,0                               // add           %al,(%rax,%rax,1)
  .byte  128,0,2                             // addb          $0x2,(%rax)
  .byte  4,6                                 // add           $0x6,%al
  .byte  8,10                                // or            %cl,(%rdx)
  .byte  12,14                               // or            $0xe,%al
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,255                               // add           %bh,%bh
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  3,3                                 // add           (%rbx),%eax
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  7                                   // (bad)
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  11,11                               // or            (%rbx),%ecx
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15                                  // (bad)
  .byte  15,2,1                              // lar           (%rcx),%eax
  .byte  0,3                                 // add           %al,(%rbx)
  .byte  6                                   // (bad)
  .byte  5,4,7,10,9                          // add           $0x90a0704,%eax
  .byte  8,11                                // or            %cl,(%rbx)
  .byte  14                                  // (bad)
  .byte  13,12,15,3,255                      // or            $0xff030f0c,%eax
  .byte  7                                   // (bad)
  .byte  255,11                              // decl          (%rbx)
  .byte  255,15                              // decl          (%rdi)
  .byte  255,11                              // decl          (%rbx)
  .byte  255,15                              // decl          (%rdi)
  .byte  255,15                              // decl          (%rdi)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,1                               // incl          (%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,1                                 // add           %al,(%rcx)
  .byte  1,1                                 // add           %eax,(%rcx)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,0                               // incl          (%rax)
  .byte  255,8                               // decl          (%rax)
  .byte  8,8                                 // or            %cl,(%rax)
  .byte  8,10                                // or            %cl,(%rdx)
  .byte  10,10                               // or            (%rdx),%cl
  .byte  10,12,12                            // or            (%rsp,%rcx,1),%cl
  .byte  12,12                               // or            $0xc,%al
  .byte  14                                  // (bad)
  .byte  14                                  // (bad)
  .byte  14                                  // (bad)
  .byte  14                                  // (bad)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  0,0                                 // add           %al,(%rax)
  .byte  2,2                                 // add           (%rdx),%al
  .byte  2,2                                 // add           (%rdx),%al
  .byte  4,4                                 // add           $0x4,%al
  .byte  4,4                                 // add           $0x4,%al
  .byte  6                                   // (bad)
  .byte  6                                   // (bad)
  .byte  6                                   // (bad)
  .byte  6                                   // (bad)
  .byte  0,128,2,128,4,128                   // add           %al,-0x7ffb7ffe(%rax)
  .byte  6                                   // (bad)
  .byte  128,4,128,5                         // addb          $0x5,(%rax,%rax,4)
  .byte  128,6,128                           // addb          $0x80,(%rsi)
  .byte  7                                   // (bad)
  .byte  128,255,255                         // cmp           $0xff,%bh
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  255,0                               // incl          (%rax)
  .byte  127,0                               // jg            2ca32 <.literal16+0x7e2>
  .byte  127,0                               // jg            2ca34 <.literal16+0x7e4>
  .byte  127,0                               // jg            2ca36 <.literal16+0x7e6>
  .byte  127,0                               // jg            2ca38 <.literal16+0x7e8>
  .byte  127,0                               // jg            2ca3a <.literal16+0x7ea>
  .byte  127,0                               // jg            2ca3c <.literal16+0x7ec>
  .byte  127,0                               // jg            2ca3e <.literal16+0x7ee>
  .byte  127,0                               // jg            2ca40 <.literal16+0x7f0>
  .byte  129,128,129,128,129,128,129,128,129,128// addl          $0x80818081,-0x7f7e7f7f(%rax)
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
  .byte  129                                 // .byte         0x81
  .byte  128                                 // .byte         0x80
#elif defined(__i386__)
BALIGN32

HIDDEN _sk_start_pipeline_sse2
.globl _sk_start_pipeline_sse2
FUNCTION(_sk_start_pipeline_sse2)
_sk_start_pipeline_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,92                          // sub           $0x5c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  59,69,20                            // cmp           0x14(%ebp),%eax
  .byte  115,112                             // jae           81 <_sk_start_pipeline_sse2+0x81>
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,117,24                          // mov           0x18(%ebp),%esi
  .byte  139,62                              // mov           (%esi),%edi
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  141,73,4                            // lea           0x4(%ecx),%ecx
  .byte  137,77,240                          // mov           %ecx,-0x10(%ebp)
  .byte  57,85,240                           // cmp           %edx,-0x10(%ebp)
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  137,77,152                          // mov           %ecx,-0x68(%ebp)
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  137,69,156                          // mov           %eax,-0x64(%ebp)
  .byte  199,69,160,0,0,0,0                  // movl          $0x0,-0x60(%ebp)
  .byte  137,200                             // mov           %ecx,%eax
  .byte  141,93,152                          // lea           -0x68(%ebp),%ebx
  .byte  119,29                              // ja            5f <_sk_start_pipeline_sse2+0x5f>
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  86                                  // push          %esi
  .byte  83                                  // push          %ebx
  .byte  255,215                             // call          *%edi
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  139,77,152                          // mov           -0x68(%ebp),%ecx
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  137,69,152                          // mov           %eax,-0x68(%ebp)
  .byte  131,193,8                           // add           $0x8,%ecx
  .byte  57,209                              // cmp           %edx,%ecx
  .byte  118,227                             // jbe           42 <_sk_start_pipeline_sse2+0x42>
  .byte  137,209                             // mov           %edx,%ecx
  .byte  41,193                              // sub           %eax,%ecx
  .byte  116,19                              // je            78 <_sk_start_pipeline_sse2+0x78>
  .byte  137,77,160                          // mov           %ecx,-0x60(%ebp)
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  86                                  // push          %esi
  .byte  141,69,152                          // lea           -0x68(%ebp),%eax
  .byte  80                                  // push          %eax
  .byte  255,215                             // call          *%edi
  .byte  139,85,16                           // mov           0x10(%ebp),%edx
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  139,69,236                          // mov           -0x14(%ebp),%eax
  .byte  64                                  // inc           %eax
  .byte  59,69,20                            // cmp           0x14(%ebp),%eax
  .byte  117,164                             // jne           25 <_sk_start_pipeline_sse2+0x25>
  .byte  131,196,92                          // add           $0x5c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_just_return_sse2
.globl _sk_just_return_sse2
FUNCTION(_sk_just_return_sse2)
_sk_just_return_sse2:
  .byte  195                                 // ret

HIDDEN _sk_seed_shader_sse2
.globl _sk_seed_shader_sse2
FUNCTION(_sk_seed_shader_sse2)
_sk_seed_shader_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          94 <_sk_seed_shader_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  102,15,110,2                        // movd          (%edx),%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,144,92,146,0,0                // movaps        0x925c(%eax),%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,88,128,108,146,0,0               // addps         0x926c(%eax),%xmm0
  .byte  102,15,110,74,4                     // movd          0x4(%edx),%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  141,113,4                           // lea           0x4(%ecx),%esi
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,41,82,64                         // movaps        %xmm2,0x40(%edx)
  .byte  15,41,82,48                         // movaps        %xmm2,0x30(%edx)
  .byte  15,41,82,32                         // movaps        %xmm2,0x20(%edx)
  .byte  15,41,82,16                         // movaps        %xmm2,0x10(%edx)
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,144,124,146,0,0               // movaps        0x927c(%eax),%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  86                                  // push          %esi
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dither_sse2
.globl _sk_dither_sse2
FUNCTION(_sk_dither_sse2)
_sk_dither_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  131,236,36                          // sub           $0x24,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          10f <_sk_dither_sse2+0x1a>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  102,15,110,32                       // movd          (%eax),%xmm4
  .byte  102,15,112,236,0                    // pshufd        $0x0,%xmm4,%xmm5
  .byte  102,15,254,169,17,146,0,0           // paddd         0x9211(%ecx),%xmm5
  .byte  102,15,110,96,4                     // movd          0x4(%eax),%xmm4
  .byte  102,15,112,252,0                    // pshufd        $0x0,%xmm4,%xmm7
  .byte  102,15,239,253                      // pxor          %xmm5,%xmm7
  .byte  102,15,111,177,33,146,0,0           // movdqa        0x9221(%ecx),%xmm6
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,219,206                      // pand          %xmm6,%xmm1
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  102,15,111,129,65,146,0,0           // movdqa        0x9241(%ecx),%xmm0
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,219,224                      // pand          %xmm0,%xmm4
  .byte  102,15,219,197                      // pand          %xmm5,%xmm0
  .byte  102,15,219,185,49,146,0,0           // pand          0x9231(%ecx),%xmm7
  .byte  102,15,219,169,49,146,0,0           // pand          0x9231(%ecx),%xmm5
  .byte  102,15,114,246,4                    // pslld         $0x4,%xmm6
  .byte  102,15,254,192                      // paddd         %xmm0,%xmm0
  .byte  102,15,235,198                      // por           %xmm6,%xmm0
  .byte  102,15,114,213,2                    // psrld         $0x2,%xmm5
  .byte  102,15,235,197                      // por           %xmm5,%xmm0
  .byte  102,15,114,241,5                    // pslld         $0x5,%xmm1
  .byte  102,15,114,244,2                    // pslld         $0x2,%xmm4
  .byte  102,15,235,225                      // por           %xmm1,%xmm4
  .byte  102,15,235,224                      // por           %xmm0,%xmm4
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  102,15,114,215,1                    // psrld         $0x1,%xmm7
  .byte  102,15,235,231                      // por           %xmm7,%xmm4
  .byte  15,91,196                           // cvtdq2ps      %xmm4,%xmm0
  .byte  15,89,129,81,146,0,0                // mulps         0x9251(%ecx),%xmm0
  .byte  15,88,129,97,146,0,0                // addps         0x9261(%ecx),%xmm0
  .byte  243,15,16,14                        // movss         (%esi),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,88,77,232                        // addps         -0x18(%ebp),%xmm1
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,93,208                           // minps         %xmm0,%xmm2
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  15,95,234                           // maxps         %xmm2,%xmm5
  .byte  15,93,216                           // minps         %xmm0,%xmm3
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,227                           // maxps         %xmm3,%xmm4
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,95,209                           // maxps         %xmm1,%xmm2
  .byte  141,74,8                            // lea           0x8(%edx),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  81                                  // push          %ecx
  .byte  80                                  // push          %eax
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,52                          // add           $0x34,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_uniform_color_sse2
.globl _sk_uniform_color_sse2
FUNCTION(_sk_uniform_color_sse2)
_sk_uniform_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_black_color_sse2
.globl _sk_black_color_sse2
FUNCTION(_sk_black_color_sse2)
_sk_black_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          24b <_sk_black_color_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,152,53,145,0,0                // movaps        0x9135(%eax),%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_white_color_sse2
.globl _sk_white_color_sse2
FUNCTION(_sk_white_color_sse2)
_sk_white_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          27b <_sk_white_color_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,128,21,145,0,0                // movaps        0x9115(%eax),%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_rgba_sse2
.globl _sk_load_rgba_sse2
FUNCTION(_sk_load_rgba_sse2)
_sk_load_rgba_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,16,1                             // movups        (%ecx),%xmm0
  .byte  15,16,73,16                         // movups        0x10(%ecx),%xmm1
  .byte  15,16,81,32                         // movups        0x20(%ecx),%xmm2
  .byte  15,16,89,48                         // movups        0x30(%ecx),%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_rgba_sse2
.globl _sk_store_rgba_sse2
FUNCTION(_sk_store_rgba_sse2)
_sk_store_rgba_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  15,17,2                             // movups        %xmm0,(%edx)
  .byte  15,17,74,16                         // movups        %xmm1,0x10(%edx)
  .byte  15,17,82,32                         // movups        %xmm2,0x20(%edx)
  .byte  15,17,90,48                         // movups        %xmm3,0x30(%edx)
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clear_sse2
.globl _sk_clear_sse2
FUNCTION(_sk_clear_sse2)
_sk_clear_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcatop_sse2
.globl _sk_srcatop_sse2
FUNCTION(_sk_srcatop_sse2)
_sk_srcatop_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          32a <_sk_srcatop_sse2+0xb>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,97,64                         // movaps        0x40(%ecx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,170,118,144,0,0               // movaps        0x9076(%edx),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,40,113,16                        // movaps        0x10(%ecx),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,40,113,48                        // movaps        0x30(%ecx),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstatop_sse2
.globl _sk_dstatop_sse2
FUNCTION(_sk_dstatop_sse2)
_sk_dstatop_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          389 <_sk_dstatop_sse2+0xb>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,40,113,16                        // movaps        0x10(%ecx),%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,162,39,144,0,0                // movaps        0x9027(%edx),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,113,48                        // movaps        0x30(%ecx),%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcin_sse2
.globl _sk_srcin_sse2
FUNCTION(_sk_srcin_sse2)
_sk_srcin_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,97,64                         // movaps        0x40(%ecx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstin_sse2
.globl _sk_dstin_sse2
FUNCTION(_sk_dstin_sse2)
_sk_dstin_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,65,16                         // movaps        0x10(%ecx),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,40,73,32                         // movaps        0x20(%ecx),%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,81,48                         // movaps        0x30(%ecx),%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,89,89,64                         // mulps         0x40(%ecx),%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcout_sse2
.globl _sk_srcout_sse2
FUNCTION(_sk_srcout_sse2)
_sk_srcout_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          44a <_sk_srcout_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,160,118,143,0,0               // movaps        0x8f76(%eax),%xmm4
  .byte  15,92,98,64                         // subps         0x40(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstout_sse2
.globl _sk_dstout_sse2
FUNCTION(_sk_dstout_sse2)
_sk_dstout_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          482 <_sk_dstout_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,160,78,143,0,0                // movaps        0x8f4e(%eax),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,66,16                         // movaps        0x10(%edx),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,74,32                         // movaps        0x20(%edx),%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,82,48                         // movaps        0x30(%edx),%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,98,64                         // mulps         0x40(%edx),%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcover_sse2
.globl _sk_srcover_sse2
FUNCTION(_sk_srcover_sse2)
_sk_srcover_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          4c9 <_sk_srcover_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,160,23,143,0,0                // movaps        0x8f17(%eax),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,106,16                        // movaps        0x10(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,40,106,32                        // movaps        0x20(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,40,106,48                        // movaps        0x30(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,89,98,64                         // mulps         0x40(%edx),%xmm4
  .byte  15,88,220                           // addps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_dstover_sse2
.globl _sk_dstover_sse2
FUNCTION(_sk_dstover_sse2)
_sk_dstover_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          519 <_sk_dstover_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,106,64                        // movaps        0x40(%edx),%xmm5
  .byte  15,40,160,215,142,0,0               // movaps        0x8ed7(%eax),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,66,16                         // addps         0x10(%edx),%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,74,32                         // addps         0x20(%edx),%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,82,48                         // addps         0x30(%edx),%xmm2
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_modulate_sse2
.globl _sk_modulate_sse2
FUNCTION(_sk_modulate_sse2)
_sk_modulate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,89,65,16                         // mulps         0x10(%ecx),%xmm0
  .byte  15,89,73,32                         // mulps         0x20(%ecx),%xmm1
  .byte  15,89,81,48                         // mulps         0x30(%ecx),%xmm2
  .byte  15,89,89,64                         // mulps         0x40(%ecx),%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_multiply_sse2
.globl _sk_multiply_sse2
FUNCTION(_sk_multiply_sse2)
_sk_multiply_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,85,216                        // movaps        %xmm2,-0x28(%ebp)
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  232,0,0,0,0                         // call          598 <_sk_multiply_sse2+0x12>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,80,64                         // movaps        0x40(%eax),%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,40,129,104,142,0,0               // movaps        0x8e68(%ecx),%xmm0
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,40,80,16                         // movaps        0x10(%eax),%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,40,96,32                         // movaps        0x20(%eax),%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,250                           // addps         %xmm2,%xmm7
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,96,48                         // movaps        0x30(%eax),%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_plus__sse2
.globl _sk_plus__sse2
FUNCTION(_sk_plus__sse2)
_sk_plus__sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          63e <_sk_plus__sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,88,66,16                         // addps         0x10(%edx),%xmm0
  .byte  15,40,160,210,141,0,0               // movaps        0x8dd2(%eax),%xmm4
  .byte  15,93,196                           // minps         %xmm4,%xmm0
  .byte  15,88,74,32                         // addps         0x20(%edx),%xmm1
  .byte  15,93,204                           // minps         %xmm4,%xmm1
  .byte  15,88,82,48                         // addps         0x30(%edx),%xmm2
  .byte  15,93,212                           // minps         %xmm4,%xmm2
  .byte  15,88,90,64                         // addps         0x40(%edx),%xmm3
  .byte  15,93,220                           // minps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_screen_sse2
.globl _sk_screen_sse2
FUNCTION(_sk_screen_sse2)
_sk_screen_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,92,238                           // subps         %xmm6,%xmm5
  .byte  15,40,65,48                         // movaps        0x30(%ecx),%xmm0
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,40,65,64                         // movaps        0x40(%ecx),%xmm0
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xor__sse2
.globl _sk_xor__sse2
FUNCTION(_sk_xor__sse2)
_sk_xor__sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  232,0,0,0,0                         // call          6ec <_sk_xor__sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,40,154,52,141,0,0                // movaps        0x8d34(%edx),%xmm3
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,40,121,16                        // movaps        0x10(%ecx),%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,40,121,48                        // movaps        0x30(%ecx),%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_darken_sse2
.globl _sk_darken_sse2
FUNCTION(_sk_darken_sse2)
_sk_darken_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          754 <_sk_darken_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,113,64                        // movaps        0x40(%ecx),%xmm6
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,95,229                           // maxps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,95,207                           // maxps         %xmm7,%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,40,73,48                         // movaps        0x30(%ecx),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,95,209                           // maxps         %xmm1,%xmm2
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,40,138,220,140,0,0               // movaps        0x8cdc(%edx),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lighten_sse2
.globl _sk_lighten_sse2
FUNCTION(_sk_lighten_sse2)
_sk_lighten_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          7d4 <_sk_lighten_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,113,64                        // movaps        0x40(%ecx),%xmm6
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,93,229                           // minps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,93,207                           // minps         %xmm7,%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,40,73,48                         // movaps        0x30(%ecx),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,93,209                           // minps         %xmm1,%xmm2
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,40,138,108,140,0,0               // movaps        0x8c6c(%edx),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_difference_sse2
.globl _sk_difference_sse2
FUNCTION(_sk_difference_sse2)
_sk_difference_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          857 <_sk_difference_sse2+0x11>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,40,113,16                        // movaps        0x10(%ecx),%xmm6
  .byte  15,40,121,32                        // movaps        0x20(%ecx),%xmm7
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,113,48                        // movaps        0x30(%ecx),%xmm6
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,88,226                           // addps         %xmm2,%xmm4
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,93,214                           // minps         %xmm6,%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,40,146,249,139,0,0               // movaps        0x8bf9(%edx),%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_exclusion_sse2
.globl _sk_exclusion_sse2
FUNCTION(_sk_exclusion_sse2)
_sk_exclusion_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          8dd <_sk_exclusion_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  15,40,73,48                         // movaps        0x30(%ecx),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,40,138,131,139,0,0               // movaps        0x8b83(%edx),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,73,64                         // mulps         0x40(%ecx),%xmm1
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_colorburn_sse2
.globl _sk_colorburn_sse2
FUNCTION(_sk_colorburn_sse2)
_sk_colorburn_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          95c <_sk_colorburn_sse2+0x19>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,64                         // movaps        0x40(%eax),%xmm1
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,41,109,232                       // movaps        %xmm5,-0x18(%ebp)
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,83,244                           // rcpps         %xmm4,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,93,198                           // minps         %xmm6,%xmm0
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,40,177,20,139,0,0                // movaps        0x8b14(%ecx),%xmm6
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,239                           // addps         %xmm7,%xmm5
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,40,117,232                       // movaps        -0x18(%ebp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,194,231,0                        // cmpeqps       %xmm7,%xmm4
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,194,193,0                        // cmpeqps       %xmm1,%xmm0
  .byte  15,84,216                           // andps         %xmm0,%xmm3
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,86,195                           // orps          %xmm3,%xmm0
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  15,40,96,32                         // movaps        0x20(%eax),%xmm4
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,109,216                       // movaps        -0x28(%ebp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,83,218                           // rcpps         %xmm2,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,40,117,200                       // movaps        -0x38(%ebp),%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,40,69,184                        // movaps        -0x48(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,194,215,0                        // cmpeqps       %xmm7,%xmm2
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,84,194                           // andps         %xmm2,%xmm0
  .byte  15,85,211                           // andnps        %xmm3,%xmm2
  .byte  15,86,208                           // orps          %xmm0,%xmm2
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,194,233,0                        // cmpeqps       %xmm1,%xmm5
  .byte  15,84,245                           // andps         %xmm5,%xmm6
  .byte  15,85,234                           // andnps        %xmm2,%xmm5
  .byte  15,86,238                           // orps          %xmm6,%xmm5
  .byte  15,40,69,168                        // movaps        -0x58(%ebp),%xmm0
  .byte  15,40,117,200                       // movaps        -0x38(%ebp),%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,41,117,200                       // movaps        %xmm6,-0x38(%ebp)
  .byte  15,194,248,0                        // cmpeqps       %xmm0,%xmm7
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,40,80,48                         // movaps        0x30(%eax),%xmm2
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,89,69,216                        // mulps         -0x28(%ebp),%xmm0
  .byte  15,83,219                           // rcpps         %xmm3,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,93,227                           // minps         %xmm3,%xmm4
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,69,184                        // movaps        -0x48(%ebp),%xmm0
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,194,209,0                        // cmpeqps       %xmm1,%xmm2
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,77,200                        // addps         -0x38(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,84,247                           // andps         %xmm7,%xmm6
  .byte  15,85,249                           // andnps        %xmm1,%xmm7
  .byte  15,86,254                           // orps          %xmm6,%xmm7
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  15,85,215                           // andnps        %xmm7,%xmm2
  .byte  15,86,211                           // orps          %xmm3,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,88,93,184                        // addps         -0x48(%ebp),%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_colordodge_sse2
.globl _sk_colordodge_sse2
FUNCTION(_sk_colordodge_sse2)
_sk_colordodge_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          ae5 <_sk_colordodge_sse2+0x16>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,16                         // movaps        0x10(%eax),%xmm1
  .byte  15,40,145,155,137,0,0               // movaps        0x899b(%ecx),%xmm2
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,41,85,184                        // movaps        %xmm2,-0x48(%ebp)
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,83,219                           // rcpps         %xmm3,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,40,104,64                        // movaps        0x40(%eax),%xmm5
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,41,101,200                       // movaps        %xmm4,-0x38(%ebp)
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,194,230,0                        // cmpeqps       %xmm6,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,40,125,216                       // movaps        -0x28(%ebp),%xmm7
  .byte  15,194,248,0                        // cmpeqps       %xmm0,%xmm7
  .byte  15,84,223                           // andps         %xmm7,%xmm3
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,86,251                           // orps          %xmm3,%xmm7
  .byte  15,41,125,216                       // movaps        %xmm7,-0x28(%ebp)
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,83,228                           // rcpps         %xmm4,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,93,204                           // minps         %xmm4,%xmm1
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,194,198,0                        // cmpeqps       %xmm6,%xmm0
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,194,217,0                        // cmpeqps       %xmm1,%xmm3
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  15,85,216                           // andnps        %xmm0,%xmm3
  .byte  15,86,220                           // orps          %xmm4,%xmm3
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,194,200,0                        // cmpeqps       %xmm0,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,40,125,168                       // movaps        -0x58(%ebp),%xmm7
  .byte  15,92,231                           // subps         %xmm7,%xmm4
  .byte  15,83,228                           // rcpps         %xmm4,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,40,125,200                       // movaps        -0x38(%ebp),%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,194,198,0                        // cmpeqps       %xmm6,%xmm0
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  15,88,239                           // addps         %xmm7,%xmm5
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,85,197                           // andnps        %xmm5,%xmm0
  .byte  15,86,196                           // orps          %xmm4,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,215                           // orps          %xmm7,%xmm2
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hardlight_sse2
.globl _sk_hardlight_sse2
FUNCTION(_sk_hardlight_sse2)
_sk_hardlight_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          c46 <_sk_hardlight_sse2+0x16>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,64                         // movaps        0x40(%eax),%xmm1
  .byte  15,40,145,74,136,0,0                // movaps        0x884a(%ecx),%xmm2
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,40,88,16                         // movaps        0x10(%eax),%xmm3
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,41,85,216                        // movaps        %xmm2,-0x28(%ebp)
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,41,125,184                       // movaps        %xmm7,-0x48(%ebp)
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,194,230,2                        // cmpleps       %xmm6,%xmm4
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  15,85,231                           // andnps        %xmm7,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,88,32                         // movaps        0x20(%eax),%xmm3
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,40,85,184                        // movaps        -0x48(%ebp),%xmm2
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,206,2                        // cmpleps       %xmm6,%xmm1
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,84,217                           // andps         %xmm1,%xmm3
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,86,203                           // orps          %xmm3,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,40,125,168                       // movaps        -0x58(%ebp),%xmm7
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,40,80,48                         // movaps        0x30(%eax),%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,194,238,2                        // cmpleps       %xmm6,%xmm5
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,84,213                           // andps         %xmm5,%xmm2
  .byte  15,85,239                           // andnps        %xmm7,%xmm5
  .byte  15,86,234                           // orps          %xmm2,%xmm5
  .byte  15,88,109,232                       // addps         -0x18(%ebp),%xmm5
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_overlay_sse2
.globl _sk_overlay_sse2
FUNCTION(_sk_overlay_sse2)
_sk_overlay_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,104                         // sub           $0x68,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,41,85,152                        // movaps        %xmm2,-0x68(%ebp)
  .byte  15,41,77,168                        // movaps        %xmm1,-0x58(%ebp)
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  232,0,0,0,0                         // call          d91 <_sk_overlay_sse2+0x1a>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,80,64                         // movaps        0x40(%eax),%xmm2
  .byte  15,40,161,15,135,0,0                // movaps        0x870f(%ecx),%xmm4
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,41,101,200                       // movaps        %xmm4,-0x38(%ebp)
  .byte  15,40,64,16                         // movaps        0x10(%eax),%xmm0
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,41,109,184                       // movaps        %xmm5,-0x48(%ebp)
  .byte  15,88,228                           // addps         %xmm4,%xmm4
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,194,202,2                        // cmpleps       %xmm2,%xmm1
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,69,168                        // movaps        -0x58(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,40,88,32                         // movaps        0x20(%eax),%xmm3
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,194,239,2                        // cmpleps       %xmm7,%xmm5
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,84,221                           // andps         %xmm5,%xmm3
  .byte  15,85,233                           // andnps        %xmm1,%xmm5
  .byte  15,86,235                           // orps          %xmm3,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,40,93,152                        // movaps        -0x68(%ebp),%xmm3
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,72,48                         // movaps        0x30(%eax),%xmm1
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,194,247,2                        // cmpleps       %xmm7,%xmm6
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  15,88,227                           // addps         %xmm3,%xmm4
  .byte  15,92,223                           // subps         %xmm7,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,84,206                           // andps         %xmm6,%xmm1
  .byte  15,85,247                           // andnps        %xmm7,%xmm6
  .byte  15,86,241                           // orps          %xmm1,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,120                         // add           $0x78,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_softlight_sse2
.globl _sk_softlight_sse2
FUNCTION(_sk_softlight_sse2)
_sk_softlight_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,0,0,0                   // sub           $0xb8,%esp
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,41,149,88,255,255,255            // movaps        %xmm2,-0xa8(%ebp)
  .byte  15,41,77,136                        // movaps        %xmm1,-0x78(%ebp)
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,88,64                         // movaps        0x40(%eax),%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,194,195,1                        // cmpltps       %xmm3,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,94,211                           // divps         %xmm3,%xmm2
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  232,0,0,0,0                         // call          f21 <_sk_softlight_sse2+0x52>
  .byte  89                                  // pop           %ecx
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,137,159,133,0,0               // movaps        0x859f(%ecx),%xmm1
  .byte  15,41,141,104,255,255,255           // movaps        %xmm1,-0x98(%ebp)
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,185,143,133,0,0               // movaps        0x858f(%ecx),%xmm7
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,82,242                           // rsqrtps       %xmm2,%xmm6
  .byte  15,83,206                           // rcpps         %xmm6,%xmm1
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,161,175,133,0,0               // movaps        0x85af(%ecx),%xmm4
  .byte  15,41,101,152                       // movaps        %xmm4,-0x68(%ebp)
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,194,198,2                        // cmpleps       %xmm6,%xmm0
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,41,141,120,255,255,255           // movaps        %xmm1,-0x88(%ebp)
  .byte  15,40,117,216                       // movaps        -0x28(%ebp),%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,194,211,2                        // cmpleps       %xmm3,%xmm2
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,215                           // orps          %xmm7,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,41,149,72,255,255,255            // movaps        %xmm2,-0xb8(%ebp)
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,94,101,184                       // divps         -0x48(%ebp),%xmm4
  .byte  15,84,101,200                       // andps         -0x38(%ebp),%xmm4
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,88,201                           // addps         %xmm1,%xmm1
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,89,219                           // mulps         %xmm3,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,88,141,104,255,255,255           // addps         -0x98(%ebp),%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,82,220                           // rsqrtps       %xmm4,%xmm3
  .byte  15,83,235                           // rcpps         %xmm3,%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,89,101,152                       // mulps         -0x68(%ebp),%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,93,136                        // movaps        -0x78(%ebp),%xmm3
  .byte  15,88,219                           // addps         %xmm3,%xmm3
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,40,117,216                       // movaps        -0x28(%ebp),%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,194,69,184,2                     // cmpleps       -0x48(%ebp),%xmm0
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,85,197                           // andnps        %xmm5,%xmm0
  .byte  15,86,196                           // orps          %xmm4,%xmm0
  .byte  15,40,101,184                       // movaps        -0x48(%ebp),%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,109,168                       // movaps        -0x58(%ebp),%xmm5
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,40,77,136                        // movaps        -0x78(%ebp),%xmm1
  .byte  15,89,141,120,255,255,255           // mulps         -0x88(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,194,221,2                        // cmpleps       %xmm5,%xmm3
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,84,251                           // andps         %xmm3,%xmm7
  .byte  15,85,216                           // andnps        %xmm0,%xmm3
  .byte  15,86,223                           // orps          %xmm7,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,94,252                           // divps         %xmm4,%xmm7
  .byte  15,84,125,200                       // andps         -0x38(%ebp),%xmm7
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,173,104,255,255,255           // movaps        -0x98(%ebp),%xmm5
  .byte  15,88,239                           // addps         %xmm7,%xmm5
  .byte  15,40,101,152                       // movaps        -0x68(%ebp),%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,82,207                           // rsqrtps       %xmm7,%xmm1
  .byte  15,83,201                           // rcpps         %xmm1,%xmm1
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,41,77,200                        // movaps        %xmm1,-0x38(%ebp)
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,88,255                           // addps         %xmm7,%xmm7
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,89,210                           // mulps         %xmm2,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,173,88,255,255,255            // movaps        -0xa8(%ebp),%xmm5
  .byte  15,88,237                           // addps         %xmm5,%xmm5
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,40,101,216                       // movaps        -0x28(%ebp),%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,88,192                           // addps         %xmm0,%xmm0
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,194,199,2                        // cmpleps       %xmm7,%xmm0
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,69,200                        // andnps        -0x38(%ebp),%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,40,141,88,255,255,255            // movaps        -0xa8(%ebp),%xmm1
  .byte  15,89,141,120,255,255,255           // mulps         -0x88(%ebp),%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,194,234,2                        // cmpleps       %xmm2,%xmm5
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,84,213                           // andps         %xmm5,%xmm2
  .byte  15,85,232                           // andnps        %xmm0,%xmm5
  .byte  15,86,234                           // orps          %xmm2,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,133,72,255,255,255            // movaps        -0xb8(%ebp),%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,200,0,0,0                   // add           $0xc8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hue_sse2
.globl _sk_hue_sse2
FUNCTION(_sk_hue_sse2)
_sk_hue_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,0,0,0                   // sub           $0xb8,%esp
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,16                         // movaps        0x10(%eax),%xmm1
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,41,69,136                        // movaps        %xmm0,-0x78(%ebp)
  .byte  15,40,88,48                         // movaps        0x30(%eax),%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,95,211                           // maxps         %xmm3,%xmm2
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,41,77,152                        // movaps        %xmm1,-0x68(%ebp)
  .byte  15,95,226                           // maxps         %xmm2,%xmm4
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,101,168                       // movaps        %xmm4,-0x58(%ebp)
  .byte  232,0,0,0,0                         // call          11e2 <_sk_hue_sse2+0x4f>
  .byte  89                                  // pop           %ecx
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,40,72,64                         // movaps        0x40(%eax),%xmm1
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,40,169,46,131,0,0                // movaps        0x832e(%ecx),%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,41,181,104,255,255,255           // movaps        %xmm6,-0x98(%ebp)
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,41,173,88,255,255,255            // movaps        %xmm5,-0xa8(%ebp)
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,41,85,184                        // movaps        %xmm2,-0x48(%ebp)
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,93,249                           // minps         %xmm1,%xmm7
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  15,92,231                           // subps         %xmm7,%xmm4
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,77,168                        // movaps        -0x58(%ebp),%xmm1
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,41,173,120,255,255,255           // movaps        %xmm5,-0x88(%ebp)
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,153,254,130,0,0               // movaps        0x82fe(%ecx),%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,117,152                       // movaps        -0x68(%ebp),%xmm6
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,40,153,14,131,0,0                // movaps        0x830e(%ecx),%xmm3
  .byte  15,40,109,136                       // movaps        -0x78(%ebp),%xmm5
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,40,137,46,131,0,0                // movaps        0x832e(%ecx),%xmm1
  .byte  15,92,77,184                        // subps         -0x48(%ebp),%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,41,117,152                       // movaps        %xmm6,-0x68(%ebp)
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,41,109,136                       // movaps        %xmm5,-0x78(%ebp)
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,41,117,168                       // movaps        %xmm6,-0x58(%ebp)
  .byte  15,40,169,30,131,0,0                // movaps        0x831e(%ecx),%xmm5
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,94,212                           // divps         %xmm4,%xmm2
  .byte  15,40,181,120,255,255,255           // movaps        -0x88(%ebp),%xmm6
  .byte  15,94,244                           // divps         %xmm4,%xmm6
  .byte  15,94,196                           // divps         %xmm4,%xmm0
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,194,231,4                        // cmpneqps      %xmm7,%xmm4
  .byte  15,84,212                           // andps         %xmm4,%xmm2
  .byte  15,84,244                           // andps         %xmm4,%xmm6
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,69,232                        // mulps         -0x18(%ebp),%xmm0
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,89,77,184                        // mulps         -0x48(%ebp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,93,193                           // minps         %xmm1,%xmm0
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,93,224                           // minps         %xmm0,%xmm4
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,95,248                           // maxps         %xmm0,%xmm7
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,89,222                           // mulps         %xmm6,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,94,227                           // divps         %xmm3,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,93,216                        // addps         -0x28(%ebp),%xmm3
  .byte  15,92,218                           // subps         %xmm2,%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,41,85,216                        // movaps        %xmm2,-0x28(%ebp)
  .byte  15,194,215,1                        // cmpltps       %xmm7,%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  15,94,231                           // divps         %xmm7,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,86,101,200                       // orps          -0x38(%ebp),%xmm4
  .byte  15,41,101,200                       // movaps        %xmm4,-0x38(%ebp)
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,94,93,232                        // divps         -0x18(%ebp),%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,85,227                           // andnps        %xmm3,%xmm4
  .byte  15,84,240                           // andps         %xmm0,%xmm6
  .byte  15,86,244                           // orps          %xmm4,%xmm6
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,40,117,216                       // movaps        -0x28(%ebp),%xmm6
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,94,231                           // divps         %xmm7,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,94,93,232                        // divps         -0x18(%ebp),%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,195                           // andnps        %xmm3,%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,84,194                           // andps         %xmm2,%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,95,209                           // maxps         %xmm1,%xmm2
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,40,157,72,255,255,255            // movaps        -0xb8(%ebp),%xmm3
  .byte  15,88,93,152                        // addps         -0x68(%ebp),%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,141,104,255,255,255           // movaps        -0x98(%ebp),%xmm1
  .byte  15,88,77,136                        // addps         -0x78(%ebp),%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,88,149,88,255,255,255            // addps         -0xa8(%ebp),%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,200,0,0,0                   // add           $0xc8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_saturation_sse2
.globl _sk_saturation_sse2
FUNCTION(_sk_saturation_sse2)
_sk_saturation_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,216,0,0,0                   // sub           $0xd8,%esp
  .byte  15,41,149,40,255,255,255            // movaps        %xmm2,-0xd8(%ebp)
  .byte  15,41,141,56,255,255,255            // movaps        %xmm1,-0xc8(%ebp)
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,112,16                        // movaps        0x10(%eax),%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,95,226                           // maxps         %xmm2,%xmm4
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,95,236                           // maxps         %xmm4,%xmm5
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,93,226                           // minps         %xmm2,%xmm4
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,93,212                           // minps         %xmm4,%xmm2
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,92,234                           // subps         %xmm2,%xmm5
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,120,48                        // movaps        0x30(%eax),%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,93,207                           // minps         %xmm7,%xmm1
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,93,209                           // minps         %xmm1,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,95,207                           // maxps         %xmm7,%xmm1
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,92,218                           // subps         %xmm2,%xmm3
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,40,64,64                         // movaps        0x40(%eax),%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,41,77,168                        // movaps        %xmm1,-0x58(%ebp)
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  232,0,0,0,0                         // call          1536 <_sk_saturation_sse2+0xb0>
  .byte  89                                  // pop           %ecx
  .byte  15,40,153,234,127,0,0               // movaps        0x7fea(%ecx),%xmm3
  .byte  15,41,157,88,255,255,255            // movaps        %xmm3,-0xa8(%ebp)
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,40,153,250,127,0,0               // movaps        0x7ffa(%ecx),%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,40,129,26,128,0,0                // movaps        0x801a(%ecx),%xmm0
  .byte  15,41,133,104,255,255,255           // movaps        %xmm0,-0x98(%ebp)
  .byte  15,92,69,216                        // subps         -0x28(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,41,77,184                        // movaps        %xmm1,-0x48(%ebp)
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,41,117,136                       // movaps        %xmm6,-0x78(%ebp)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,41,141,120,255,255,255           // movaps        %xmm1,-0x88(%ebp)
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,129,10,128,0,0                // movaps        0x800a(%ecx),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,40,109,168                       // movaps        -0x58(%ebp),%xmm5
  .byte  15,94,236                           // divps         %xmm4,%xmm5
  .byte  15,94,212                           // divps         %xmm4,%xmm2
  .byte  15,94,252                           // divps         %xmm4,%xmm7
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,194,227,4                        // cmpneqps      %xmm3,%xmm4
  .byte  15,84,236                           // andps         %xmm4,%xmm5
  .byte  15,84,212                           // andps         %xmm4,%xmm2
  .byte  15,84,231                           // andps         %xmm7,%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,40,165,88,255,255,255            // movaps        -0xa8(%ebp),%xmm4
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,89,125,232                       // mulps         -0x18(%ebp),%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,77,216                        // mulps         -0x28(%ebp),%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,93,217                           // minps         %xmm1,%xmm3
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,93,251                           // minps         %xmm3,%xmm7
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,95,217                           // maxps         %xmm1,%xmm3
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,95,243                           // maxps         %xmm3,%xmm6
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,88,220                           // addps         %xmm4,%xmm3
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,194,223,2                        // cmpleps       %xmm7,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,94,250                           // divps         %xmm2,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,85,215                           // andnps        %xmm7,%xmm2
  .byte  15,84,235                           // andps         %xmm3,%xmm5
  .byte  15,86,234                           // orps          %xmm2,%xmm5
  .byte  15,40,125,152                       // movaps        -0x68(%ebp),%xmm7
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,101,216                       // movaps        -0x28(%ebp),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,194,214,1                        // cmpltps       %xmm6,%xmm2
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,94,238                           // divps         %xmm6,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,234                           // andps         %xmm2,%xmm5
  .byte  15,86,236                           // orps          %xmm4,%xmm5
  .byte  15,41,109,168                       // movaps        %xmm5,-0x58(%ebp)
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,94,101,232                       // divps         -0x18(%ebp),%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,85,236                           // andnps        %xmm4,%xmm5
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  15,86,229                           // orps          %xmm5,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,85,236                           // andnps        %xmm4,%xmm5
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,94,230                           // divps         %xmm6,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,86,229                           // orps          %xmm5,%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,94,101,232                       // divps         -0x18(%ebp),%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,84,203                           // andps         %xmm3,%xmm1
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,85,203                           // andnps        %xmm3,%xmm1
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  15,94,222                           // divps         %xmm6,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,40,77,168                        // movaps        -0x58(%ebp),%xmm1
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,95,232                           // maxps         %xmm0,%xmm5
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,40,165,104,255,255,255           // movaps        -0x98(%ebp),%xmm4
  .byte  15,92,101,152                       // subps         -0x68(%ebp),%xmm4
  .byte  15,40,133,72,255,255,255            // movaps        -0xb8(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,69,184                        // addps         -0x48(%ebp),%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,40,141,56,255,255,255            // movaps        -0xc8(%ebp),%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,77,136                        // addps         -0x78(%ebp),%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,89,165,40,255,255,255            // mulps         -0xd8(%ebp),%xmm4
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,232,0,0,0                   // add           $0xe8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_color_sse2
.globl _sk_color_sse2
FUNCTION(_sk_color_sse2)
_sk_color_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,200,0,0,0                   // sub           $0xc8,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,41,85,152                        // movaps        %xmm2,-0x68(%ebp)
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,41,165,104,255,255,255           // movaps        %xmm4,-0x98(%ebp)
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,41,173,120,255,255,255           // movaps        %xmm5,-0x88(%ebp)
  .byte  232,0,0,0,0                         // call          1791 <_sk_color_sse2+0x2a>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,80,16                         // movaps        0x10(%eax),%xmm2
  .byte  15,40,72,32                         // movaps        0x20(%eax),%xmm1
  .byte  15,40,177,207,125,0,0               // movaps        0x7dcf(%ecx),%xmm6
  .byte  15,41,117,216                       // movaps        %xmm6,-0x28(%ebp)
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,153,223,125,0,0               // movaps        0x7ddf(%ecx),%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,40,129,255,125,0,0               // movaps        0x7dff(%ecx),%xmm0
  .byte  15,41,69,168                        // movaps        %xmm0,-0x58(%ebp)
  .byte  15,92,69,200                        // subps         -0x38(%ebp),%xmm0
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,41,149,56,255,255,255            // movaps        %xmm2,-0xc8(%ebp)
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,41,141,88,255,255,255            // movaps        %xmm1,-0xa8(%ebp)
  .byte  15,40,80,48                         // movaps        0x30(%eax),%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,40,137,239,125,0,0               // movaps        0x7def(%ecx),%xmm1
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,40,88,64                         // movaps        0x40(%eax),%xmm3
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,109,216                       // mulps         -0x28(%ebp),%xmm5
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,125,184                       // mulps         -0x48(%ebp),%xmm7
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,40,109,168                       // movaps        -0x58(%ebp),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,41,109,168                       // movaps        %xmm5,-0x58(%ebp)
  .byte  15,40,109,200                       // movaps        -0x38(%ebp),%xmm5
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  15,41,109,200                       // movaps        %xmm5,-0x38(%ebp)
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,109,152                       // mulps         -0x68(%ebp),%xmm5
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,93,218                           // minps         %xmm2,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,93,227                           // minps         %xmm3,%xmm4
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,95,218                           // maxps         %xmm2,%xmm3
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,95,235                           // maxps         %xmm3,%xmm5
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,194,252,2                        // cmpleps       %xmm4,%xmm7
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,227                           // divps         %xmm3,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  15,85,220                           // andnps        %xmm4,%xmm3
  .byte  15,84,199                           // andps         %xmm7,%xmm0
  .byte  15,86,195                           // orps          %xmm3,%xmm0
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,194,229,1                        // cmpltps       %xmm5,%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,85,216                           // andnps        %xmm0,%xmm3
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,41,109,136                       // movaps        %xmm5,-0x78(%ebp)
  .byte  15,94,197                           // divps         %xmm5,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,86,69,232                        // orps          -0x18(%ebp),%xmm0
  .byte  15,40,222                           // movaps        %xmm6,%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,94,93,184                        // divps         -0x48(%ebp),%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  15,40,109,232                       // movaps        -0x18(%ebp),%xmm5
  .byte  15,85,235                           // andnps        %xmm3,%xmm5
  .byte  15,41,109,232                       // movaps        %xmm5,-0x18(%ebp)
  .byte  15,84,247                           // andps         %xmm7,%xmm6
  .byte  15,86,117,232                       // orps          -0x18(%ebp),%xmm6
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,85,222                           // andnps        %xmm6,%xmm3
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,89,117,216                       // mulps         -0x28(%ebp),%xmm6
  .byte  15,40,109,136                       // movaps        -0x78(%ebp),%xmm5
  .byte  15,94,245                           // divps         %xmm5,%xmm6
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  15,84,244                           // andps         %xmm4,%xmm6
  .byte  15,86,243                           // orps          %xmm3,%xmm6
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,94,93,184                        // divps         -0x48(%ebp),%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,84,215                           // andps         %xmm7,%xmm2
  .byte  15,85,251                           // andnps        %xmm3,%xmm7
  .byte  15,86,250                           // orps          %xmm2,%xmm7
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  15,85,215                           // andnps        %xmm7,%xmm2
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,89,125,216                       // mulps         -0x28(%ebp),%xmm7
  .byte  15,94,253                           // divps         %xmm5,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  15,84,252                           // andps         %xmm4,%xmm7
  .byte  15,86,250                           // orps          %xmm2,%xmm7
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,95,241                           // maxps         %xmm1,%xmm6
  .byte  15,95,249                           // maxps         %xmm1,%xmm7
  .byte  15,40,141,120,255,255,255           // movaps        -0x88(%ebp),%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,141,56,255,255,255            // addps         -0xc8(%ebp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,141,104,255,255,255           // movaps        -0x98(%ebp),%xmm1
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,88,141,88,255,255,255            // addps         -0xa8(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,85,152                        // movaps        -0x68(%ebp),%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,149,72,255,255,255            // addps         -0xb8(%ebp),%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,216,0,0,0                   // add           $0xd8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_luminosity_sse2
.globl _sk_luminosity_sse2
FUNCTION(_sk_luminosity_sse2)
_sk_luminosity_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,184,0,0,0                   // sub           $0xb8,%esp
  .byte  15,40,242                           // movaps        %xmm2,%xmm6
  .byte  232,0,0,0,0                         // call          19f4 <_sk_luminosity_sse2+0x11>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,161,172,123,0,0               // movaps        0x7bac(%ecx),%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,40,161,188,123,0,0               // movaps        0x7bbc(%ecx),%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,40,80,64                         // movaps        0x40(%eax),%xmm2
  .byte  15,41,85,184                        // movaps        %xmm2,-0x48(%ebp)
  .byte  15,40,161,220,123,0,0               // movaps        0x7bdc(%ecx),%xmm4
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,41,141,88,255,255,255            // movaps        %xmm1,-0xa8(%ebp)
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,41,189,104,255,255,255           // movaps        %xmm7,-0x98(%ebp)
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,137,204,123,0,0               // movaps        0x7bcc(%ecx),%xmm1
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,41,109,136                       // movaps        %xmm5,-0x78(%ebp)
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,40,112,32                        // movaps        0x20(%eax),%xmm6
  .byte  15,41,117,152                       // movaps        %xmm6,-0x68(%ebp)
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,69,232                        // mulps         -0x18(%ebp),%xmm0
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,125,216                       // mulps         -0x28(%ebp),%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,40,69,136                        // movaps        -0x78(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,41,69,136                        // movaps        %xmm0,-0x78(%ebp)
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,41,165,120,255,255,255           // movaps        %xmm4,-0x88(%ebp)
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,93,224                           // minps         %xmm0,%xmm4
  .byte  15,40,198                           // movaps        %xmm6,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,95,248                           // maxps         %xmm0,%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,125,216                       // movaps        -0x28(%ebp),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,194,196,2                        // cmpleps       %xmm4,%xmm0
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,41,125,216                       // movaps        %xmm7,-0x28(%ebp)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,231                           // divps         %xmm7,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,86,239                           // orps          %xmm7,%xmm5
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,40,231                           // movaps        %xmm7,%xmm4
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,223                           // addps         %xmm7,%xmm3
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,40,125,200                       // movaps        -0x38(%ebp),%xmm7
  .byte  15,194,223,1                        // cmpltps       %xmm7,%xmm3
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,41,101,184                       // movaps        %xmm4,-0x48(%ebp)
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,40,101,232                       // movaps        -0x18(%ebp),%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,101,232                       // movaps        %xmm4,-0x18(%ebp)
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  15,94,239                           // divps         %xmm7,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,84,235                           // andps         %xmm3,%xmm5
  .byte  15,86,109,184                       // orps          -0x48(%ebp),%xmm5
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,101,216                       // divps         -0x28(%ebp),%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,40,248                           // movaps        %xmm0,%xmm7
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,84,240                           // andps         %xmm0,%xmm6
  .byte  15,86,247                           // orps          %xmm7,%xmm6
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,85,230                           // andnps        %xmm6,%xmm4
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,94,117,200                       // divps         -0x38(%ebp),%xmm6
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  15,84,243                           // andps         %xmm3,%xmm6
  .byte  15,86,244                           // orps          %xmm4,%xmm6
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,94,101,216                       // divps         -0x28(%ebp),%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,84,208                           // andps         %xmm0,%xmm2
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,94,69,200                        // divps         -0x38(%ebp),%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,86,194                           // orps          %xmm2,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,95,233                           // maxps         %xmm1,%xmm5
  .byte  15,95,241                           // maxps         %xmm1,%xmm6
  .byte  15,95,193                           // maxps         %xmm1,%xmm0
  .byte  15,40,157,72,255,255,255            // movaps        -0xb8(%ebp),%xmm3
  .byte  15,88,93,136                        // addps         -0x78(%ebp),%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,40,141,88,255,255,255            // movaps        -0xa8(%ebp),%xmm1
  .byte  15,88,77,152                        // addps         -0x68(%ebp),%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,88,149,104,255,255,255           // addps         -0x98(%ebp),%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  129,196,200,0,0,0                   // add           $0xc8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_srcover_rgba_8888_sse2
.globl _sk_srcover_rgba_8888_sse2
FUNCTION(_sk_srcover_rgba_8888_sse2)
_sk_srcover_rgba_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  102,15,127,85,200                   // movdqa        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  232,0,0,0,0                         // call          1c5f <_sk_srcover_rgba_8888_sse2+0x17>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,133,224,0,0,0                    // jne           1d61 <_sk_srcover_rgba_8888_sse2+0x119>
  .byte  243,15,111,20,178                   // movdqu        (%edx,%esi,4),%xmm2
  .byte  102,15,111,167,129,121,0,0          // movdqa        0x7981(%edi),%xmm4
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  102,15,111,242                      // movdqa        %xmm2,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,219,244                      // pand          %xmm4,%xmm6
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,114,215,16                   // psrld         $0x10,%xmm7
  .byte  102,15,219,252                      // pand          %xmm4,%xmm7
  .byte  15,91,229                           // cvtdq2ps      %xmm5,%xmm4
  .byte  15,41,97,16                         // movaps        %xmm4,0x10(%ecx)
  .byte  15,40,175,145,121,0,0               // movaps        0x7991(%edi),%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,40,143,161,121,0,0               // movaps        0x79a1(%edi),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,41,113,32                        // movaps        %xmm6,0x20(%ecx)
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,41,121,48                        // movaps        %xmm7,0x30(%ecx)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,88,248                           // addps         %xmm0,%xmm7
  .byte  102,15,114,210,24                   // psrld         $0x18,%xmm2
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,41,65,64                         // movaps        %xmm0,0x40(%ecx)
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,235                           // addps         %xmm3,%xmm5
  .byte  102,15,91,196                       // cvtps2dq      %xmm4,%xmm0
  .byte  102,15,91,206                       // cvtps2dq      %xmm6,%xmm1
  .byte  102,15,114,241,8                    // pslld         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,91,215                       // cvtps2dq      %xmm7,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,91,197                       // cvtps2dq      %xmm5,%xmm0
  .byte  102,15,114,240,24                   // pslld         $0x18,%xmm0
  .byte  102,15,235,194                      // por           %xmm2,%xmm0
  .byte  102,15,235,193                      // por           %xmm1,%xmm0
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,95                              // jne           1d9c <_sk_srcover_rgba_8888_sse2+0x154>
  .byte  243,15,127,4,178                    // movdqu        %xmm0,(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,221                           // movaps        %xmm5,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  137,216                             // mov           %ebx,%eax
  .byte  136,69,243                          // mov           %al,-0xd(%ebp)
  .byte  128,101,243,3                       // andb          $0x3,-0xd(%ebp)
  .byte  128,125,243,1                       // cmpb          $0x1,-0xd(%ebp)
  .byte  116,80                              // je            1dc0 <_sk_srcover_rgba_8888_sse2+0x178>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  128,125,243,2                       // cmpb          $0x2,-0xd(%ebp)
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  116,21                              // je            1d92 <_sk_srcover_rgba_8888_sse2+0x14a>
  .byte  128,125,243,3                       // cmpb          $0x3,-0xd(%ebp)
  .byte  15,133,255,254,255,255              // jne           1c86 <_sk_srcover_rgba_8888_sse2+0x3e>
  .byte  102,15,110,84,178,8                 // movd          0x8(%edx,%esi,4),%xmm2
  .byte  102,15,112,210,69                   // pshufd        $0x45,%xmm2,%xmm2
  .byte  102,15,18,20,178                    // movlpd        (%edx,%esi,4),%xmm2
  .byte  233,234,254,255,255                 // jmp           1c86 <_sk_srcover_rgba_8888_sse2+0x3e>
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,41                              // je            1dcd <_sk_srcover_rgba_8888_sse2+0x185>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            1db9 <_sk_srcover_rgba_8888_sse2+0x171>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,148                             // jne           1d42 <_sk_srcover_rgba_8888_sse2+0xfa>
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,76,178,8                 // movd          %xmm1,0x8(%edx,%esi,4)
  .byte  102,15,214,4,178                    // movq          %xmm0,(%edx,%esi,4)
  .byte  235,130                             // jmp           1d42 <_sk_srcover_rgba_8888_sse2+0xfa>
  .byte  102,15,110,20,178                   // movd          (%edx,%esi,4),%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  233,185,254,255,255                 // jmp           1c86 <_sk_srcover_rgba_8888_sse2+0x3e>
  .byte  102,15,126,4,178                    // movd          %xmm0,(%edx,%esi,4)
  .byte  233,107,255,255,255                 // jmp           1d42 <_sk_srcover_rgba_8888_sse2+0xfa>

HIDDEN _sk_clamp_0_sse2
.globl _sk_clamp_0_sse2
FUNCTION(_sk_clamp_0_sse2)
_sk_clamp_0_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,196                           // maxps         %xmm4,%xmm0
  .byte  15,95,204                           // maxps         %xmm4,%xmm1
  .byte  15,95,212                           // maxps         %xmm4,%xmm2
  .byte  15,95,220                           // maxps         %xmm4,%xmm3
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_1_sse2
.globl _sk_clamp_1_sse2
FUNCTION(_sk_clamp_1_sse2)
_sk_clamp_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1e0b <_sk_clamp_1_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,40,160,5,120,0,0                 // movaps        0x7805(%eax),%xmm4
  .byte  15,93,196                           // minps         %xmm4,%xmm0
  .byte  15,93,204                           // minps         %xmm4,%xmm1
  .byte  15,93,212                           // minps         %xmm4,%xmm2
  .byte  15,93,220                           // minps         %xmm4,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_a_sse2
.globl _sk_clamp_a_sse2
FUNCTION(_sk_clamp_a_sse2)
_sk_clamp_a_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1e3e <_sk_clamp_a_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,93,152,226,119,0,0               // minps         0x77e2(%eax),%xmm3
  .byte  15,93,195                           // minps         %xmm3,%xmm0
  .byte  15,93,203                           // minps         %xmm3,%xmm1
  .byte  15,93,211                           // minps         %xmm3,%xmm2
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_a_dst_sse2
.globl _sk_clamp_a_dst_sse2
FUNCTION(_sk_clamp_a_dst_sse2)
_sk_clamp_a_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1e6e <_sk_clamp_a_dst_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  15,40,98,64                         // movaps        0x40(%edx),%xmm4
  .byte  15,93,160,194,119,0,0               // minps         0x77c2(%eax),%xmm4
  .byte  15,41,98,64                         // movaps        %xmm4,0x40(%edx)
  .byte  15,40,106,16                        // movaps        0x10(%edx),%xmm5
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,41,106,16                        // movaps        %xmm5,0x10(%edx)
  .byte  15,40,106,32                        // movaps        0x20(%edx),%xmm5
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,41,106,32                        // movaps        %xmm5,0x20(%edx)
  .byte  15,40,106,48                        // movaps        0x30(%edx),%xmm5
  .byte  15,93,236                           // minps         %xmm4,%xmm5
  .byte  15,41,106,48                        // movaps        %xmm5,0x30(%edx)
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  82                                  // push          %edx
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_set_rgb_sse2
.globl _sk_set_rgb_sse2
FUNCTION(_sk_set_rgb_sse2)
_sk_set_rgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_swap_rb_sse2
.globl _sk_swap_rb_sse2
FUNCTION(_sk_swap_rb_sse2)
_sk_swap_rb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_invert_sse2
.globl _sk_invert_sse2
FUNCTION(_sk_invert_sse2)
_sk_invert_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          1f19 <_sk_invert_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,40,160,39,119,0,0                // movaps        0x7727(%eax),%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,92,250                           // subps         %xmm2,%xmm7
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_move_src_dst_sse2
.globl _sk_move_src_dst_sse2
FUNCTION(_sk_move_src_dst_sse2)
_sk_move_src_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,41,65,16                         // movaps        %xmm0,0x10(%ecx)
  .byte  15,41,73,32                         // movaps        %xmm1,0x20(%ecx)
  .byte  15,41,81,48                         // movaps        %xmm2,0x30(%ecx)
  .byte  15,41,89,64                         // movaps        %xmm3,0x40(%ecx)
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_move_dst_src_sse2
.globl _sk_move_dst_src_sse2
FUNCTION(_sk_move_dst_src_sse2)
_sk_move_dst_src_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,65,16                         // movaps        0x10(%ecx),%xmm0
  .byte  15,40,73,32                         // movaps        0x20(%ecx),%xmm1
  .byte  15,40,81,48                         // movaps        0x30(%ecx),%xmm2
  .byte  15,40,89,64                         // movaps        0x40(%ecx),%xmm3
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_premul_sse2
.globl _sk_premul_sse2
FUNCTION(_sk_premul_sse2)
_sk_premul_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_premul_dst_sse2
.globl _sk_premul_dst_sse2
FUNCTION(_sk_premul_dst_sse2)
_sk_premul_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  15,40,97,64                         // movaps        0x40(%ecx),%xmm4
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  15,40,105,32                        // movaps        0x20(%ecx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  15,89,97,48                         // mulps         0x30(%ecx),%xmm4
  .byte  15,41,97,48                         // movaps        %xmm4,0x30(%ecx)
  .byte  141,80,4                            // lea           0x4(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_unpremul_sse2
.globl _sk_unpremul_sse2
FUNCTION(_sk_unpremul_sse2)
_sk_unpremul_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          2017 <_sk_unpremul_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,40,168,57,118,0,0                // movaps        0x7639(%eax),%xmm5
  .byte  15,94,235                           // divps         %xmm3,%xmm5
  .byte  15,194,227,4                        // cmpneqps      %xmm3,%xmm4
  .byte  15,84,229                           // andps         %xmm5,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_from_srgb_sse2
.globl _sk_from_srgb_sse2
FUNCTION(_sk_from_srgb_sse2)
_sk_from_srgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          2061 <_sk_from_srgb_sse2+0x18>
  .byte  88                                  // pop           %eax
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,201                           // mulps         %xmm1,%xmm1
  .byte  15,40,160,15,118,0,0                // movaps        0x760f(%eax),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,176,31,118,0,0                // movaps        0x761f(%eax),%xmm6
  .byte  15,41,117,216                       // movaps        %xmm6,-0x28(%ebp)
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,176,255,117,0,0               // movaps        0x75ff(%eax),%xmm6
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,184,47,118,0,0                // movaps        0x762f(%eax),%xmm7
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,184,63,118,0,0                // movaps        0x763f(%eax),%xmm7
  .byte  15,194,215,1                        // cmpltps       %xmm7,%xmm2
  .byte  15,84,202                           // andps         %xmm2,%xmm1
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,77,216                        // addps         -0x28(%ebp),%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,77,232                        // addps         -0x18(%ebp),%xmm1
  .byte  15,194,223,1                        // cmpltps       %xmm7,%xmm3
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,85,217                           // andnps        %xmm1,%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,101,216                       // addps         -0x28(%ebp),%xmm4
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,232                       // addps         -0x18(%ebp),%xmm4
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,194,239,1                        // cmpltps       %xmm7,%xmm5
  .byte  15,84,245                           // andps         %xmm5,%xmm6
  .byte  15,85,236                           // andnps        %xmm4,%xmm5
  .byte  15,86,238                           // orps          %xmm6,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,213                           // movaps        %xmm5,%xmm2
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_from_srgb_dst_sse2
.globl _sk_from_srgb_dst_sse2
FUNCTION(_sk_from_srgb_dst_sse2)
_sk_from_srgb_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,72                          // sub           $0x48,%esp
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          213c <_sk_from_srgb_dst_sse2+0x1b>
  .byte  89                                  // pop           %ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  15,40,72,16                         // movaps        0x10(%eax),%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,40,161,132,117,0,0               // movaps        0x7584(%ecx),%xmm4
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,40,177,148,117,0,0               // movaps        0x7594(%ecx),%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,169,116,117,0,0               // movaps        0x7574(%ecx),%xmm5
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,40,185,164,117,0,0               // movaps        0x75a4(%ecx),%xmm7
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,153,180,117,0,0               // movaps        0x75b4(%ecx),%xmm3
  .byte  15,194,203,1                        // cmpltps       %xmm3,%xmm1
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  15,85,200                           // andnps        %xmm0,%xmm1
  .byte  15,86,202                           // orps          %xmm2,%xmm1
  .byte  15,41,72,16                         // movaps        %xmm1,0x10(%eax)
  .byte  15,40,64,32                         // movaps        0x20(%eax),%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,201                           // mulps         %xmm1,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,194,195,1                        // cmpltps       %xmm3,%xmm0
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,194                           // andnps        %xmm2,%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,41,64,32                         // movaps        %xmm0,0x20(%eax)
  .byte  15,40,64,48                         // movaps        0x30(%eax),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,201                           // mulps         %xmm1,%xmm1
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,194,195,1                        // cmpltps       %xmm3,%xmm0
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,86,197                           // orps          %xmm5,%xmm0
  .byte  15,41,64,48                         // movaps        %xmm0,0x30(%eax)
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,40,85,200                        // movaps        -0x38(%ebp),%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,88                          // add           $0x58,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_to_srgb_sse2
.globl _sk_to_srgb_sse2
FUNCTION(_sk_to_srgb_sse2)
_sk_to_srgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,72                          // sub           $0x48,%esp
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          2227 <_sk_to_srgb_sse2+0x18>
  .byte  88                                  // pop           %eax
  .byte  15,82,218                           // rsqrtps       %xmm2,%xmm3
  .byte  15,40,160,233,116,0,0               // movaps        0x74e9(%eax),%xmm4
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,40,128,249,116,0,0               // movaps        0x74f9(%eax),%xmm0
  .byte  15,41,69,232                        // movaps        %xmm0,-0x18(%ebp)
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,40,128,9,117,0,0                 // movaps        0x7509(%eax),%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,40,128,25,117,0,0                // movaps        0x7519(%eax),%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,83,195                           // rcpps         %xmm3,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,40,168,217,116,0,0               // movaps        0x74d9(%eax),%xmm5
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,152,41,117,0,0                // movaps        0x7529(%eax),%xmm3
  .byte  15,194,211,1                        // cmpltps       %xmm3,%xmm2
  .byte  15,84,202                           // andps         %xmm2,%xmm1
  .byte  15,85,208                           // andnps        %xmm0,%xmm2
  .byte  15,86,209                           // orps          %xmm1,%xmm2
  .byte  15,82,198                           // rsqrtps       %xmm6,%xmm0
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,77,232                        // addps         -0x18(%ebp),%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,77,200                        // addps         -0x38(%ebp),%xmm1
  .byte  15,88,69,216                        // addps         -0x28(%ebp),%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,194,243,1                        // cmpltps       %xmm3,%xmm6
  .byte  15,84,206                           // andps         %xmm6,%xmm1
  .byte  15,85,240                           // andnps        %xmm0,%xmm6
  .byte  15,86,241                           // orps          %xmm1,%xmm6
  .byte  15,82,199                           // rsqrtps       %xmm7,%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,232                       // addps         -0x18(%ebp),%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,200                       // addps         -0x38(%ebp),%xmm4
  .byte  15,88,69,216                        // addps         -0x28(%ebp),%xmm0
  .byte  15,83,192                           // rcpps         %xmm0,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,194,251,1                        // cmpltps       %xmm3,%xmm7
  .byte  15,84,239                           // andps         %xmm7,%xmm5
  .byte  15,85,248                           // andnps        %xmm0,%xmm7
  .byte  15,86,253                           // orps          %xmm5,%xmm7
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,206                           // movaps        %xmm6,%xmm1
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,88                          // add           $0x58,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_rgb_to_hsl_sse2
.globl _sk_rgb_to_hsl_sse2
FUNCTION(_sk_rgb_to_hsl_sse2)
_sk_rgb_to_hsl_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,56                          // sub           $0x38,%esp
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,249                           // movaps        %xmm1,%xmm7
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  232,0,0,0,0                         // call          231e <_sk_rgb_to_hsl_sse2+0x15>
  .byte  88                                  // pop           %eax
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,95,194                           // maxps         %xmm2,%xmm0
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,93,194                           // minps         %xmm2,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,93,200                           // minps         %xmm0,%xmm1
  .byte  15,41,77,232                        // movaps        %xmm1,-0x18(%ebp)
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,40,136,66,116,0,0                // movaps        0x7442(%eax),%xmm1
  .byte  15,94,200                           // divps         %xmm0,%xmm1
  .byte  15,40,199                           // movaps        %xmm7,%xmm0
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,239                           // movaps        %xmm7,%xmm5
  .byte  15,194,234,1                        // cmpltps       %xmm2,%xmm5
  .byte  15,84,168,82,116,0,0                // andps         0x7452(%eax),%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,194,196,0                        // cmpeqps       %xmm4,%xmm0
  .byte  15,40,243                           // movaps        %xmm3,%xmm6
  .byte  15,194,247,0                        // cmpeqps       %xmm7,%xmm6
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,92,231                           // subps         %xmm7,%xmm4
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,40,136,98,116,0,0                // movaps        0x7462(%eax),%xmm1
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,88,160,114,116,0,0               // addps         0x7472(%eax),%xmm4
  .byte  15,84,214                           // andps         %xmm6,%xmm2
  .byte  15,85,244                           // andnps        %xmm4,%xmm6
  .byte  15,86,242                           // orps          %xmm2,%xmm6
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,85,198                           // andnps        %xmm6,%xmm0
  .byte  15,86,197                           // orps          %xmm5,%xmm0
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,194,226,4                        // cmpneqps      %xmm2,%xmm4
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,40,168,146,116,0,0               // movaps        0x7492(%eax),%xmm5
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,194,234,1                        // cmpltps       %xmm2,%xmm5
  .byte  15,84,205                           // andps         %xmm5,%xmm1
  .byte  15,85,235                           // andnps        %xmm3,%xmm5
  .byte  15,86,233                           // orps          %xmm1,%xmm5
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,94,205                           // divps         %xmm5,%xmm1
  .byte  15,89,128,130,116,0,0               // mulps         0x7482(%eax),%xmm0
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,84,204                           // andps         %xmm4,%xmm1
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,200                        // movaps        -0x38(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,72                          // add           $0x48,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_hsl_to_rgb_sse2
.globl _sk_hsl_to_rgb_sse2
FUNCTION(_sk_hsl_to_rgb_sse2)
_sk_hsl_to_rgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  129,236,200,0,0,0                   // sub           $0xc8,%esp
  .byte  15,41,157,56,255,255,255            // movaps        %xmm3,-0xc8(%ebp)
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  232,0,0,0,0                         // call          2419 <_sk_hsl_to_rgb_sse2+0x19>
  .byte  88                                  // pop           %eax
  .byte  15,40,160,167,115,0,0               // movaps        0x73a7(%eax),%xmm4
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  15,41,165,104,255,255,255           // movaps        %xmm4,-0x98(%ebp)
  .byte  15,194,218,2                        // cmpleps       %xmm2,%xmm3
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,194,233,0                        // cmpeqps       %xmm1,%xmm5
  .byte  15,41,109,232                       // movaps        %xmm5,-0x18(%ebp)
  .byte  15,89,202                           // mulps         %xmm2,%xmm1
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,84,243                           // andps         %xmm3,%xmm6
  .byte  15,85,217                           // andnps        %xmm1,%xmm3
  .byte  15,86,222                           // orps          %xmm6,%xmm3
  .byte  15,40,168,183,115,0,0               // movaps        0x73b7(%eax),%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  243,15,91,205                       // cvttps2dq     %xmm5,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,193,1                        // cmpltps       %xmm1,%xmm0
  .byte  15,40,176,199,115,0,0               // movaps        0x73c7(%eax),%xmm6
  .byte  15,41,117,136                       // movaps        %xmm6,-0x78(%ebp)
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,41,149,72,255,255,255            // movaps        %xmm2,-0xb8(%ebp)
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,88,210                           // addps         %xmm2,%xmm2
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,40,184,215,115,0,0               // movaps        0x73d7(%eax),%xmm7
  .byte  15,41,189,88,255,255,255            // movaps        %xmm7,-0xa8(%ebp)
  .byte  15,194,253,2                        // cmpleps       %xmm5,%xmm7
  .byte  15,92,218                           // subps         %xmm2,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  15,194,205,2                        // cmpleps       %xmm5,%xmm1
  .byte  15,40,160,7,116,0,0                 // movaps        0x7407(%eax),%xmm4
  .byte  15,41,165,120,255,255,255           // movaps        %xmm4,-0x88(%ebp)
  .byte  15,194,229,2                        // cmpleps       %xmm5,%xmm4
  .byte  15,40,176,231,115,0,0               // movaps        0x73e7(%eax),%xmm6
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  15,40,128,247,115,0,0               // movaps        0x73f7(%eax),%xmm0
  .byte  15,41,69,168                        // movaps        %xmm0,-0x58(%ebp)
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,84,223                           // andps         %xmm7,%xmm3
  .byte  15,85,248                           // andnps        %xmm0,%xmm7
  .byte  15,86,251                           // orps          %xmm3,%xmm7
  .byte  15,84,249                           // andps         %xmm1,%xmm7
  .byte  15,85,77,216                        // andnps        -0x28(%ebp),%xmm1
  .byte  15,86,207                           // orps          %xmm7,%xmm1
  .byte  15,40,125,200                       // movaps        -0x38(%ebp),%xmm7
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,84,204                           // andps         %xmm4,%xmm1
  .byte  15,85,229                           // andnps        %xmm5,%xmm4
  .byte  15,86,225                           // orps          %xmm1,%xmm4
  .byte  15,40,69,232                        // movaps        -0x18(%ebp),%xmm0
  .byte  15,85,196                           // andnps        %xmm4,%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  243,15,91,195                       // cvttps2dq     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,194,200,1                        // cmpltps       %xmm0,%xmm1
  .byte  15,84,136,199,115,0,0               // andps         0x73c7(%eax),%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,40,128,215,115,0,0               // movaps        0x73d7(%eax),%xmm0
  .byte  15,194,193,2                        // cmpleps       %xmm1,%xmm0
  .byte  15,40,152,167,115,0,0               // movaps        0x73a7(%eax),%xmm3
  .byte  15,194,217,2                        // cmpleps       %xmm1,%xmm3
  .byte  15,40,160,7,116,0,0                 // movaps        0x7407(%eax),%xmm4
  .byte  15,194,225,2                        // cmpleps       %xmm1,%xmm4
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,40,168,247,115,0,0               // movaps        0x73f7(%eax),%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,88,234                           // addps         %xmm2,%xmm5
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,84,248                           // andps         %xmm0,%xmm7
  .byte  15,85,197                           // andnps        %xmm5,%xmm0
  .byte  15,86,199                           // orps          %xmm7,%xmm0
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,85,93,216                        // andnps        -0x28(%ebp),%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  15,40,109,200                       // movaps        -0x38(%ebp),%xmm5
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  15,86,227                           // orps          %xmm3,%xmm4
  .byte  15,40,125,232                       // movaps        -0x18(%ebp),%xmm7
  .byte  15,85,252                           // andnps        %xmm4,%xmm7
  .byte  15,40,93,184                        // movaps        -0x48(%ebp),%xmm3
  .byte  15,88,152,23,116,0,0                // addps         0x7417(%eax),%xmm3
  .byte  243,15,91,195                       // cvttps2dq     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,194,200,1                        // cmpltps       %xmm0,%xmm1
  .byte  15,84,77,136                        // andps         -0x78(%ebp),%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,40,77,168                        // movaps        -0x58(%ebp),%xmm1
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,226                           // addps         %xmm2,%xmm4
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,40,141,88,255,255,255            // movaps        -0xa8(%ebp),%xmm1
  .byte  15,194,203,2                        // cmpleps       %xmm3,%xmm1
  .byte  15,84,209                           // andps         %xmm1,%xmm2
  .byte  15,85,204                           // andnps        %xmm4,%xmm1
  .byte  15,86,202                           // orps          %xmm2,%xmm1
  .byte  15,40,133,104,255,255,255           // movaps        -0x98(%ebp),%xmm0
  .byte  15,194,195,2                        // cmpleps       %xmm3,%xmm0
  .byte  15,84,200                           // andps         %xmm0,%xmm1
  .byte  15,85,69,216                        // andnps        -0x28(%ebp),%xmm0
  .byte  15,86,193                           // orps          %xmm1,%xmm0
  .byte  15,40,141,120,255,255,255           // movaps        -0x88(%ebp),%xmm1
  .byte  15,194,203,2                        // cmpleps       %xmm3,%xmm1
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,206                           // andnps        %xmm6,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,157,72,255,255,255            // movaps        -0xb8(%ebp),%xmm3
  .byte  15,40,77,232                        // movaps        -0x18(%ebp),%xmm1
  .byte  15,84,217                           // andps         %xmm1,%xmm3
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,86,195                           // orps          %xmm3,%xmm0
  .byte  15,86,251                           // orps          %xmm3,%xmm7
  .byte  15,86,217                           // orps          %xmm1,%xmm3
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,207                           // movaps        %xmm7,%xmm1
  .byte  15,40,157,56,255,255,255            // movaps        -0xc8(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  129,196,216,0,0,0                   // add           $0xd8,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_scale_1_float_sse2
.globl _sk_scale_1_float_sse2
FUNCTION(_sk_scale_1_float_sse2)
_sk_scale_1_float_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,33                        // movss         (%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_scale_u8_sse2
.globl _sk_scale_u8_sse2
FUNCTION(_sk_scale_u8_sse2)
_sk_scale_u8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          2693 <_sk_scale_u8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,65                              // jne           26ef <_sk_scale_u8_sse2+0x6a>
  .byte  102,15,110,36,62                    // movd          (%esi,%edi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,173,113,0,0          // pand          0x71ad(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,189,113,0,0               // mulps         0x71bd(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            2729 <_sk_scale_u8_sse2+0xa4>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            2713 <_sk_scale_u8_sse2+0x8e>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,182                             // jne           26bb <_sk_scale_u8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,146                             // jmp           26bb <_sk_scale_u8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  235,136                             // jmp           26bb <_sk_scale_u8_sse2+0x36>

HIDDEN _sk_scale_565_sse2
.globl _sk_scale_565_sse2
FUNCTION(_sk_scale_565_sse2)
_sk_scale_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,41,77,216                        // movaps        %xmm1,-0x28(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          274d <_sk_scale_565_sse2+0x1a>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,157,0,0,0                    // jne           280b <_sk_scale_565_sse2+0xd8>
  .byte  243,15,126,52,126                   // movq          (%esi,%edi,2),%xmm6
  .byte  102,15,97,240                       // punpcklwd     %xmm0,%xmm6
  .byte  102,15,111,162,19,113,0,0           // movdqa        0x7113(%edx),%xmm4
  .byte  102,15,219,230                      // pand          %xmm6,%xmm4
  .byte  15,91,212                           // cvtdq2ps      %xmm4,%xmm2
  .byte  15,89,146,35,113,0,0                // mulps         0x7123(%edx),%xmm2
  .byte  102,15,111,170,51,113,0,0           // movdqa        0x7133(%edx),%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,67,113,0,0                // mulps         0x7143(%edx),%xmm5
  .byte  102,15,219,178,83,113,0,0           // pand          0x7153(%edx),%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,178,99,113,0,0                // mulps         0x7163(%edx),%xmm6
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,93,254                           // minps         %xmm6,%xmm7
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,93,231                           // minps         %xmm7,%xmm4
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,95,254                           // maxps         %xmm6,%xmm7
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,95,199                           // maxps         %xmm7,%xmm0
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,194,121,64,1                     // cmpltps       0x40(%ecx),%xmm7
  .byte  15,84,231                           // andps         %xmm7,%xmm4
  .byte  15,85,248                           // andnps        %xmm0,%xmm7
  .byte  15,86,252                           // orps          %xmm4,%xmm7
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,89,109,216                       // mulps         -0x28(%ebp),%xmm5
  .byte  15,89,117,200                       // mulps         -0x38(%ebp),%xmm6
  .byte  15,89,251                           // mulps         %xmm3,%xmm7
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,214                           // movaps        %xmm6,%xmm2
  .byte  15,40,223                           // movaps        %xmm7,%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            2845 <_sk_scale_565_sse2+0x112>
  .byte  102,15,239,246                      // pxor          %xmm6,%xmm6
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,23                              // je            2833 <_sk_scale_565_sse2+0x100>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,82,255,255,255               // jne           2777 <_sk_scale_565_sse2+0x44>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,244,69                   // pshufd        $0x45,%xmm4,%xmm6
  .byte  102,15,110,36,126                   // movd          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,244                       // movsd         %xmm4,%xmm6
  .byte  233,50,255,255,255                  // jmp           2777 <_sk_scale_565_sse2+0x44>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,246                      // movd          %esi,%xmm6
  .byte  233,37,255,255,255                  // jmp           2777 <_sk_scale_565_sse2+0x44>

HIDDEN _sk_lerp_1_float_sse2
.globl _sk_lerp_1_float_sse2
FUNCTION(_sk_lerp_1_float_sse2)
_sk_lerp_1_float_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,16,34                        // movss         (%edx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,40,104,16                        // movaps        0x10(%eax),%xmm5
  .byte  15,40,112,32                        // movaps        0x20(%eax),%xmm6
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,104,48                        // movaps        0x30(%eax),%xmm5
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,104,64                        // movaps        0x40(%eax),%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lerp_u8_sse2
.globl _sk_lerp_u8_sse2
FUNCTION(_sk_lerp_u8_sse2)
_sk_lerp_u8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          28ba <_sk_lerp_u8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,102                             // jne           293b <_sk_lerp_u8_sse2+0x8f>
  .byte  102,15,110,36,62                    // movd          (%esi,%edi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,6,112,0,0            // pand          0x7006(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,22,112,0,0                // mulps         0x7016(%edx),%xmm4
  .byte  15,40,105,16                        // movaps        0x10(%ecx),%xmm5
  .byte  15,40,113,32                        // movaps        0x20(%ecx),%xmm6
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,105,48                        // movaps        0x30(%ecx),%xmm5
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,40,105,64                        // movaps        0x40(%ecx),%xmm5
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,53                              // je            2978 <_sk_lerp_u8_sse2+0xcc>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            295f <_sk_lerp_u8_sse2+0xb3>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,145                             // jne           28e2 <_sk_lerp_u8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,106,255,255,255                 // jmp           28e2 <_sk_lerp_u8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  233,93,255,255,255                  // jmp           28e2 <_sk_lerp_u8_sse2+0x36>

HIDDEN _sk_lerp_565_sse2
.globl _sk_lerp_565_sse2
FUNCTION(_sk_lerp_565_sse2)
_sk_lerp_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,108                         // sub           $0x6c,%esp
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  15,41,85,136                        // movaps        %xmm2,-0x78(%ebp)
  .byte  15,41,77,152                        // movaps        %xmm1,-0x68(%ebp)
  .byte  102,15,127,69,184                   // movdqa        %xmm0,-0x48(%ebp)
  .byte  232,0,0,0,0                         // call          29a4 <_sk_lerp_565_sse2+0x1f>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,211,0,0,0                    // jne           2a98 <_sk_lerp_565_sse2+0x113>
  .byte  243,15,126,44,126                   // movq          (%esi,%edi,2),%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  102,15,111,162,60,111,0,0           // movdqa        0x6f3c(%edx),%xmm4
  .byte  102,15,219,229                      // pand          %xmm5,%xmm4
  .byte  15,91,204                           // cvtdq2ps      %xmm4,%xmm1
  .byte  15,89,138,76,111,0,0                // mulps         0x6f4c(%edx),%xmm1
  .byte  102,15,111,178,92,111,0,0           // movdqa        0x6f5c(%edx),%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,178,108,111,0,0               // mulps         0x6f6c(%edx),%xmm6
  .byte  102,15,219,170,124,111,0,0          // pand          0x6f7c(%edx),%xmm5
  .byte  15,91,213                           // cvtdq2ps      %xmm5,%xmm2
  .byte  15,89,146,140,111,0,0               // mulps         0x6f8c(%edx),%xmm2
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,40,65,32                         // movaps        0x20(%ecx),%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  15,40,101,152                       // movaps        -0x68(%ebp),%xmm4
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  15,93,243                           // minps         %xmm3,%xmm6
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,65,16                         // movaps        0x10(%ecx),%xmm0
  .byte  15,40,109,184                       // movaps        -0x48(%ebp),%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  15,40,113,64                        // movaps        0x40(%ecx),%xmm6
  .byte  15,95,251                           // maxps         %xmm3,%xmm7
  .byte  15,95,215                           // maxps         %xmm7,%xmm2
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,40,251                           // movaps        %xmm3,%xmm7
  .byte  15,194,254,1                        // cmpltps       %xmm6,%xmm7
  .byte  15,84,207                           // andps         %xmm7,%xmm1
  .byte  15,85,250                           // andnps        %xmm2,%xmm7
  .byte  15,86,249                           // orps          %xmm1,%xmm7
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,88,101,216                       // addps         -0x28(%ebp),%xmm4
  .byte  15,40,65,48                         // movaps        0x30(%ecx),%xmm0
  .byte  15,40,85,136                        // movaps        -0x78(%ebp),%xmm2
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,89,85,200                        // mulps         -0x38(%ebp),%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,92,222                           // subps         %xmm6,%xmm3
  .byte  15,89,223                           // mulps         %xmm7,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,124                         // add           $0x7c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            2ad2 <_sk_lerp_565_sse2+0x14d>
  .byte  102,15,239,237                      // pxor          %xmm5,%xmm5
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,23                              // je            2ac0 <_sk_lerp_565_sse2+0x13b>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,28,255,255,255               // jne           29ce <_sk_lerp_565_sse2+0x49>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,236,69                   // pshufd        $0x45,%xmm4,%xmm5
  .byte  102,15,110,36,126                   // movd          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  242,15,16,236                       // movsd         %xmm4,%xmm5
  .byte  233,252,254,255,255                 // jmp           29ce <_sk_lerp_565_sse2+0x49>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  233,239,254,255,255                 // jmp           29ce <_sk_lerp_565_sse2+0x49>

HIDDEN _sk_load_tables_sse2
.globl _sk_load_tables_sse2
FUNCTION(_sk_load_tables_sse2)
_sk_load_tables_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          2aed <_sk_load_tables_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,117,12                          // mov           0xc(%ebp),%esi
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  133,192                             // test          %eax,%eax
  .byte  139,54                              // mov           (%esi),%esi
  .byte  139,30                              // mov           (%esi),%ebx
  .byte  15,133,19,1,0,0                     // jne           2c18 <_sk_load_tables_sse2+0x139>
  .byte  243,15,111,28,187                   // movdqu        (%ebx,%edi,4),%xmm3
  .byte  102,15,111,146,83,110,0,0           // movdqa        0x6e53(%edx),%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,224,231                  // pshufd        $0xe7,%xmm0,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  139,126,4                           // mov           0x4(%esi),%edi
  .byte  243,15,16,36,135                    // movss         (%edi,%eax,4),%xmm4
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,16,44,135                    // movss         (%edi,%eax,4),%xmm5
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  243,15,16,4,135                     // movss         (%edi,%eax,4),%xmm0
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,16,12,135                    // movss         (%edi,%eax,4),%xmm1
  .byte  139,70,8                            // mov           0x8(%esi),%eax
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,112,241,231                  // pshufd        $0xe7,%xmm1,%xmm6
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  243,15,16,52,184                    // movss         (%eax,%edi,4),%xmm6
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,184                    // movss         (%eax,%edi,4),%xmm4
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,249,78                   // pshufd        $0x4e,%xmm1,%xmm7
  .byte  243,15,16,12,184                    // movss         (%eax,%edi,4),%xmm1
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  243,15,16,60,184                    // movss         (%eax,%edi,4),%xmm7
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  139,70,12                           // mov           0xc(%esi),%eax
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,234                      // pand          %xmm2,%xmm5
  .byte  102,15,112,213,229                  // pshufd        $0xe5,%xmm5,%xmm2
  .byte  102,15,112,245,231                  // pshufd        $0xe7,%xmm5,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  243,15,16,52,176                    // movss         (%eax,%esi,4),%xmm6
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  243,15,16,60,176                    // movss         (%eax,%esi,4),%xmm7
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,237,78                   // pshufd        $0x4e,%xmm5,%xmm5
  .byte  243,15,16,20,176                    // movss         (%eax,%esi,4),%xmm2
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  243,15,16,44,176                    // movss         (%eax,%esi,4),%xmm5
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,154,99,110,0,0                // mulps         0x6e63(%edx),%xmm3
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  137,194                             // mov           %eax,%edx
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  36,3                                // and           $0x3,%al
  .byte  60,1                                // cmp           $0x1,%al
  .byte  116,37                              // je            2c43 <_sk_load_tables_sse2+0x164>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  60,2                                // cmp           $0x2,%al
  .byte  116,19                              // je            2c39 <_sk_load_tables_sse2+0x15a>
  .byte  60,3                                // cmp           $0x3,%al
  .byte  15,133,220,254,255,255              // jne           2b0a <_sk_load_tables_sse2+0x2b>
  .byte  102,15,110,68,187,8                 // movd          0x8(%ebx,%edi,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,18,28,187                    // movlpd        (%ebx,%edi,4),%xmm3
  .byte  233,199,254,255,255                 // jmp           2b0a <_sk_load_tables_sse2+0x2b>
  .byte  102,15,110,28,187                   // movd          (%ebx,%edi,4),%xmm3
  .byte  233,189,254,255,255                 // jmp           2b0a <_sk_load_tables_sse2+0x2b>

HIDDEN _sk_load_tables_u16_be_sse2
.globl _sk_load_tables_u16_be_sse2
FUNCTION(_sk_load_tables_u16_be_sse2)
_sk_load_tables_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  232,0,0,0,0                         // call          2c5b <_sk_load_tables_u16_be_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,24                              // mov           (%eax),%ebx
  .byte  139,64,8                            // mov           0x8(%eax),%eax
  .byte  193,227,2                           // shl           $0x2,%ebx
  .byte  133,192                             // test          %eax,%eax
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,15                              // mov           (%edi),%ecx
  .byte  190,255,0,255,0                     // mov           $0xff00ff,%esi
  .byte  15,133,166,1,0,0                    // jne           2e21 <_sk_load_tables_u16_be_sse2+0x1d4>
  .byte  102,15,16,4,89                      // movupd        (%ecx,%ebx,2),%xmm0
  .byte  243,15,111,76,89,16                 // movdqu        0x10(%ecx,%ebx,2),%xmm1
  .byte  102,15,40,216                       // movapd        %xmm0,%xmm3
  .byte  102,15,97,217                       // punpcklwd     %xmm1,%xmm3
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,105,216                      // punpckhwd     %xmm0,%xmm3
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,112,202,78                   // pshufd        $0x4e,%xmm2,%xmm1
  .byte  102,15,112,234,231                  // pshufd        $0xe7,%xmm2,%xmm5
  .byte  33,241                              // and           %esi,%ecx
  .byte  137,77,216                          // mov           %ecx,-0x28(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,220                          // mov           %eax,-0x24(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,97,194                       // punpcklwd     %xmm2,%xmm0
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,15,112,240,231                  // pshufd        $0xe7,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  139,79,4                            // mov           0x4(%edi),%ecx
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,248,78                   // pshufd        $0x4e,%xmm0,%xmm7
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  139,79,8                            // mov           0x8(%edi),%ecx
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,228                          // mov           %eax,-0x1c(%ebp)
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,203,229                  // pshufd        $0xe5,%xmm3,%xmm1
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,224                          // mov           %eax,-0x20(%ebp)
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,97,236                       // punpcklwd     %xmm4,%xmm5
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,36,153                    // movss         (%ecx,%ebx,4),%xmm4
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,52,153                    // movss         (%ecx,%ebx,4),%xmm6
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  243,15,16,12,153                    // movss         (%ecx,%ebx,4),%xmm1
  .byte  102,15,112,237,78                   // pshufd        $0x4e,%xmm5,%xmm5
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  243,15,16,44,153                    // movss         (%ecx,%ebx,4),%xmm5
  .byte  102,15,126,217                      // movd          %xmm3,%ecx
  .byte  139,127,12                          // mov           0xc(%edi),%edi
  .byte  33,241                              // and           %esi,%ecx
  .byte  137,77,232                          // mov           %ecx,-0x18(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,112,234,231                  // pshufd        $0xe7,%xmm2,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,44,135                    // movss         (%edi,%eax,4),%xmm5
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,36,135                    // movss         (%edi,%eax,4),%xmm4
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  243,15,16,20,135                    // movss         (%edi,%eax,4),%xmm2
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,15,16,52,135                    // movss         (%edi,%eax,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  102,15,112,219,78                   // pshufd        $0x4e,%xmm3,%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,113,244,8                    // psllw         $0x8,%xmm4
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,220                      // por           %xmm4,%xmm3
  .byte  102,15,126,93,208                   // movd          %xmm3,-0x30(%ebp)
  .byte  102,15,112,219,229                  // pshufd        $0xe5,%xmm3,%xmm3
  .byte  102,15,126,93,212                   // movd          %xmm3,-0x2c(%ebp)
  .byte  243,15,126,93,208                   // movq          -0x30(%ebp),%xmm3
  .byte  102,15,97,223                       // punpcklwd     %xmm7,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,154,5,109,0,0                 // mulps         0x6d05(%edx),%xmm3
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  137,193                             // mov           %eax,%ecx
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,89                      // movsd         (%ecx,%ebx,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,248,1                           // cmp           $0x1,%eax
  .byte  15,132,83,254,255,255               // je            2c86 <_sk_load_tables_u16_be_sse2+0x39>
  .byte  102,15,22,68,89,8                   // movhpd        0x8(%ecx,%ebx,2),%xmm0
  .byte  131,248,3                           // cmp           $0x3,%eax
  .byte  15,130,68,254,255,255               // jb            2c86 <_sk_load_tables_u16_be_sse2+0x39>
  .byte  243,15,126,76,89,16                 // movq          0x10(%ecx,%ebx,2),%xmm1
  .byte  233,57,254,255,255                  // jmp           2c86 <_sk_load_tables_u16_be_sse2+0x39>

HIDDEN _sk_load_tables_rgb_u16_be_sse2
.globl _sk_load_tables_rgb_u16_be_sse2
FUNCTION(_sk_load_tables_rgb_u16_be_sse2)
_sk_load_tables_rgb_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,28                          // sub           $0x1c,%esp
  .byte  232,0,0,0,0                         // call          2e5b <_sk_load_tables_rgb_u16_be_sse2+0xe>
  .byte  88                                  // pop           %eax
  .byte  137,69,240                          // mov           %eax,-0x10(%ebp)
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,85,8                            // mov           0x8(%ebp),%edx
  .byte  139,74,8                            // mov           0x8(%edx),%ecx
  .byte  107,26,3                            // imul          $0x3,(%edx),%ebx
  .byte  133,201                             // test          %ecx,%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,7                               // mov           (%edi),%eax
  .byte  190,255,0,255,0                     // mov           $0xff00ff,%esi
  .byte  15,133,141,1,0,0                    // jne           3009 <_sk_load_tables_rgb_u16_be_sse2+0x1bc>
  .byte  243,15,111,12,88                    // movdqu        (%eax,%ebx,2),%xmm1
  .byte  243,15,111,92,88,8                  // movdqu        0x8(%eax,%ebx,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,115,218,6                    // psrldq        $0x6,%xmm2
  .byte  102,15,97,203                       // punpcklwd     %xmm3,%xmm1
  .byte  102,15,97,194                       // punpcklwd     %xmm2,%xmm0
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,15,105,200                      // punpckhwd     %xmm0,%xmm1
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,112,196,229                  // pshufd        $0xe5,%xmm4,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  33,241                              // and           %esi,%ecx
  .byte  137,77,216                          // mov           %ecx,-0x28(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,220                          // mov           %eax,-0x24(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  102,15,97,194                       // punpcklwd     %xmm2,%xmm0
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,112,216,229                  // pshufd        $0xe5,%xmm0,%xmm3
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  139,79,4                            // mov           0x4(%edi),%ecx
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  243,15,16,28,129                    // movss         (%ecx,%eax,4),%xmm3
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,44,129                    // movss         (%ecx,%eax,4),%xmm5
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  139,79,8                            // mov           0x8(%edi),%ecx
  .byte  33,240                              // and           %esi,%eax
  .byte  137,69,224                          // mov           %eax,-0x20(%ebp)
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  33,243                              // and           %esi,%ebx
  .byte  137,93,228                          // mov           %ebx,-0x1c(%ebp)
  .byte  243,15,126,101,224                  // movq          -0x20(%ebp),%xmm4
  .byte  102,15,97,231                       // punpcklwd     %xmm7,%xmm4
  .byte  102,15,112,252,231                  // pshufd        $0xe7,%xmm4,%xmm7
  .byte  102,15,126,251                      // movd          %xmm7,%ebx
  .byte  243,15,16,60,153                    // movss         (%ecx,%ebx,4),%xmm7
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  102,15,112,204,229                  // pshufd        $0xe5,%xmm4,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  243,15,16,4,145                     // movss         (%ecx,%edx,4),%xmm0
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  102,15,112,228,78                   // pshufd        $0x4e,%xmm4,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  139,79,12                           // mov           0xc(%edi),%ecx
  .byte  33,243                              // and           %esi,%ebx
  .byte  137,93,232                          // mov           %ebx,-0x18(%ebp)
  .byte  33,240                              // and           %esi,%eax
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  137,69,236                          // mov           %eax,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  102,15,97,213                       // punpcklwd     %xmm5,%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,112,242,231                  // pshufd        $0xe7,%xmm2,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,44,129                    // movss         (%ecx,%eax,4),%xmm5
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,250,78                   // pshufd        $0x4e,%xmm2,%xmm7
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  137,193                             // mov           %eax,%ecx
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,85,240                          // mov           -0x10(%ebp),%edx
  .byte  15,40,162,21,107,0,0                // movaps        0x6b15(%edx),%xmm4
  .byte  15,40,195                           // movaps        %xmm3,%xmm0
  .byte  15,40,220                           // movaps        %xmm4,%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,44                          // add           $0x2c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,110,12,88                    // movd          (%eax,%ebx,2),%xmm1
  .byte  102,15,196,76,88,4,2                // pinsrw        $0x2,0x4(%eax,%ebx,2),%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  131,249,1                           // cmp           $0x1,%ecx
  .byte  117,13                              // jne           302b <_sk_load_tables_rgb_u16_be_sse2+0x1de>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,115,254,255,255                 // jmp           2e9e <_sk_load_tables_rgb_u16_be_sse2+0x51>
  .byte  102,15,110,68,88,6                  // movd          0x6(%eax,%ebx,2),%xmm0
  .byte  102,15,196,68,88,10,2               // pinsrw        $0x2,0xa(%eax,%ebx,2),%xmm0
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  131,249,3                           // cmp           $0x3,%ecx
  .byte  114,18                              // jb            3053 <_sk_load_tables_rgb_u16_be_sse2+0x206>
  .byte  102,15,110,92,88,12                 // movd          0xc(%eax,%ebx,2),%xmm3
  .byte  102,15,196,92,88,16,2               // pinsrw        $0x2,0x10(%eax,%ebx,2),%xmm3
  .byte  233,75,254,255,255                  // jmp           2e9e <_sk_load_tables_rgb_u16_be_sse2+0x51>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,66,254,255,255                  // jmp           2e9e <_sk_load_tables_rgb_u16_be_sse2+0x51>

HIDDEN _sk_byte_tables_sse2
.globl _sk_byte_tables_sse2
FUNCTION(_sk_byte_tables_sse2)
_sk_byte_tables_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          306a <_sk_byte_tables_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,40,162,22,105,0,0                // movaps        0x6916(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  15,182,28,31                        // movzbl        (%edi,%ebx,1),%ebx
  .byte  193,227,8                           // shl           $0x8,%ebx
  .byte  9,243                               // or            %esi,%ebx
  .byte  102,15,112,232,229                  // pshufd        $0xe5,%xmm0,%xmm5
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  15,182,4,7                          // movzbl        (%edi,%eax,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,240                               // or            %esi,%eax
  .byte  102,15,196,192,0                    // pinsrw        $0x0,%eax,%xmm0
  .byte  139,65,4                            // mov           0x4(%ecx),%eax
  .byte  102,15,196,195,1                    // pinsrw        $0x1,%ebx,%xmm0
  .byte  15,40,170,38,105,0,0                // movaps        0x6926(%edx),%xmm5
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,241,231                  // pshufd        $0xe7,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  15,182,52,48                        // movzbl        (%eax,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,201,229                  // pshufd        $0xe5,%xmm1,%xmm1
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  15,182,4,56                         // movzbl        (%eax,%edi,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,208                               // or            %edx,%eax
  .byte  102,15,196,200,0                    // pinsrw        $0x0,%eax,%xmm1
  .byte  102,15,196,206,1                    // pinsrw        $0x1,%esi,%xmm1
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,242,231                  // pshufd        $0xe7,%xmm2,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  15,182,52,48                        // movzbl        (%eax,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,210,229                  // pshufd        $0xe5,%xmm2,%xmm2
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  15,182,4,56                         // movzbl        (%eax,%edi,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,208                               // or            %edx,%eax
  .byte  102,15,196,208,0                    // pinsrw        $0x0,%eax,%xmm2
  .byte  102,15,196,214,1                    // pinsrw        $0x1,%esi,%xmm2
  .byte  139,65,12                           // mov           0xc(%ecx),%eax
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  102,15,91,219                       // cvtps2dq      %xmm3,%xmm3
  .byte  102,15,126,217                      // movd          %xmm3,%ecx
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  15,182,20,16                        // movzbl        (%eax,%edx,1),%edx
  .byte  15,182,52,48                        // movzbl        (%eax,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  15,182,12,8                         // movzbl        (%eax,%ecx,1),%ecx
  .byte  15,182,4,16                         // movzbl        (%eax,%edx,1),%eax
  .byte  193,224,8                           // shl           $0x8,%eax
  .byte  9,200                               // or            %ecx,%eax
  .byte  102,15,196,216,0                    // pinsrw        $0x0,%eax,%xmm3
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,15,97,204                       // punpcklwd     %xmm4,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  102,15,196,222,1                    // pinsrw        $0x1,%esi,%xmm3
  .byte  102,15,96,220                       // punpcklbw     %xmm4,%xmm3
  .byte  102,15,97,220                       // punpcklwd     %xmm4,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_byte_tables_rgb_sse2
.globl _sk_byte_tables_rgb_sse2
FUNCTION(_sk_byte_tables_rgb_sse2)
_sk_byte_tables_rgb_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,81,12                           // mov           0xc(%ecx),%edx
  .byte  74                                  // dec           %edx
  .byte  102,15,110,226                      // movd          %edx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  102,15,112,232,78                   // pshufd        $0x4e,%xmm0,%xmm5
  .byte  102,15,126,234                      // movd          %xmm5,%edx
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,112,192,229                  // pshufd        $0xe5,%xmm0,%xmm0
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  15,182,60,31                        // movzbl        (%edi,%ebx,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,215                               // or            %edx,%edi
  .byte  232,0,0,0,0                         // call          326a <_sk_byte_tables_rgb_sse2+0x65>
  .byte  90                                  // pop           %edx
  .byte  102,15,196,199,0                    // pinsrw        $0x0,%edi,%xmm0
  .byte  139,121,4                           // mov           0x4(%ecx),%edi
  .byte  102,15,196,198,1                    // pinsrw        $0x1,%esi,%xmm0
  .byte  15,40,170,54,103,0,0                // movaps        0x6736(%edx),%xmm5
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,112,241,231                  // pshufd        $0xe7,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  193,230,8                           // shl           $0x8,%esi
  .byte  9,214                               // or            %edx,%esi
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,201,229                  // pshufd        $0xe5,%xmm1,%xmm1
  .byte  15,182,20,23                        // movzbl        (%edi,%edx,1),%edx
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  15,182,60,31                        // movzbl        (%edi,%ebx,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,215                               // or            %edx,%edi
  .byte  102,15,196,207,0                    // pinsrw        $0x0,%edi,%xmm1
  .byte  102,15,196,206,1                    // pinsrw        $0x1,%esi,%xmm1
  .byte  139,73,8                            // mov           0x8(%ecx),%ecx
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,91,210                       // cvtps2dq      %xmm2,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  15,182,52,49                        // movzbl        (%ecx,%esi,1),%esi
  .byte  15,182,60,57                        // movzbl        (%ecx,%edi,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  15,182,20,17                        // movzbl        (%ecx,%edx,1),%edx
  .byte  15,182,12,49                        // movzbl        (%ecx,%esi,1),%ecx
  .byte  193,225,8                           // shl           $0x8,%ecx
  .byte  9,209                               // or            %edx,%ecx
  .byte  102,15,196,209,0                    // pinsrw        $0x0,%ecx,%xmm2
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,96,196                       // punpcklbw     %xmm4,%xmm0
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  102,15,96,204                       // punpcklbw     %xmm4,%xmm1
  .byte  102,15,97,204                       // punpcklwd     %xmm4,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  102,15,196,215,1                    // pinsrw        $0x1,%edi,%xmm2
  .byte  102,15,96,212                       // punpcklbw     %xmm4,%xmm2
  .byte  102,15,97,212                       // punpcklwd     %xmm4,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_r_sse2
.globl _sk_table_r_sse2
FUNCTION(_sk_table_r_sse2)
_sk_table_r_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  102,15,91,196                       // cvtps2dq      %xmm4,%xmm0
  .byte  102,15,112,224,229                  // pshufd        $0xe5,%xmm0,%xmm4
  .byte  102,15,112,232,231                  // pshufd        $0xe7,%xmm0,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  243,15,16,4,138                     // movss         (%edx,%ecx,4),%xmm0
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_g_sse2
.globl _sk_table_g_sse2
FUNCTION(_sk_table_g_sse2)
_sk_table_g_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  102,15,91,204                       // cvtps2dq      %xmm4,%xmm1
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,112,233,231                  // pshufd        $0xe7,%xmm1,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  243,15,16,12,138                    // movss         (%edx,%ecx,4),%xmm1
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_b_sse2
.globl _sk_table_b_sse2
FUNCTION(_sk_table_b_sse2)
_sk_table_b_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  102,15,91,212                       // cvtps2dq      %xmm4,%xmm2
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,112,234,231                  // pshufd        $0xe7,%xmm2,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  243,15,16,20,138                    // movss         (%edx,%ecx,4),%xmm2
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_table_a_sse2
.globl _sk_table_a_sse2
FUNCTION(_sk_table_a_sse2)
_sk_table_a_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,73,4                            // mov           0x4(%ecx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,225                      // movd          %ecx,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,220                       // cvtps2dq      %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,112,235,231                  // pshufd        $0xe7,%xmm3,%xmm5
  .byte  102,15,126,233                      // movd          %xmm5,%ecx
  .byte  243,15,16,44,138                    // movss         (%edx,%ecx,4),%xmm5
  .byte  102,15,126,225                      // movd          %xmm4,%ecx
  .byte  243,15,16,36,138                    // movss         (%edx,%ecx,4),%xmm4
  .byte  102,15,126,217                      // movd          %xmm3,%ecx
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  243,15,16,28,138                    // movss         (%edx,%ecx,4),%xmm3
  .byte  102,15,126,241                      // movd          %xmm6,%ecx
  .byte  243,15,16,52,138                    // movss         (%edx,%ecx,4),%xmm6
  .byte  15,20,229                           // unpcklps      %xmm5,%xmm4
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_r_sse2
.globl _sk_parametric_r_sse2
FUNCTION(_sk_parametric_r_sse2)
_sk_parametric_r_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          3539 <_sk_parametric_r_sse2+0x18>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,194,205,2                        // cmpleps       %xmm5,%xmm1
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,119,100,0,0               // mulps         0x6477(%edx),%xmm5
  .byte  15,84,178,135,100,0,0               // andps         0x6487(%edx),%xmm6
  .byte  15,86,178,151,100,0,0               // orps          0x6497(%edx),%xmm6
  .byte  15,88,170,167,100,0,0               // addps         0x64a7(%edx),%xmm5
  .byte  15,40,186,183,100,0,0               // movaps        0x64b7(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,199,100,0,0               // addps         0x64c7(%edx),%xmm6
  .byte  15,40,186,215,100,0,0               // movaps        0x64d7(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,231,100,0,0               // movaps        0x64e7(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,247,100,0,0               // addps         0x64f7(%edx),%xmm5
  .byte  15,40,186,7,101,0,0                 // movaps        0x6507(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,23,101,0,0                // movaps        0x6517(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,39,101,0,0                // movaps        0x6527(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,55,101,0,0                // mulps         0x6537(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,225                           // andps         %xmm1,%xmm4
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,204                           // orps          %xmm4,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_g_sse2
.globl _sk_parametric_g_sse2
FUNCTION(_sk_parametric_g_sse2)
_sk_parametric_g_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          3670 <_sk_parametric_g_sse2+0x15>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,194,205,2                        // cmpleps       %xmm5,%xmm1
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,16,100,0,0                // mulps         0x6410(%edx),%xmm5
  .byte  15,84,178,32,100,0,0                // andps         0x6420(%edx),%xmm6
  .byte  15,86,178,48,100,0,0                // orps          0x6430(%edx),%xmm6
  .byte  15,88,170,64,100,0,0                // addps         0x6440(%edx),%xmm5
  .byte  15,40,186,80,100,0,0                // movaps        0x6450(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,96,100,0,0                // addps         0x6460(%edx),%xmm6
  .byte  15,40,186,112,100,0,0               // movaps        0x6470(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,128,100,0,0               // movaps        0x6480(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,144,100,0,0               // addps         0x6490(%edx),%xmm5
  .byte  15,40,186,160,100,0,0               // movaps        0x64a0(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,176,100,0,0               // movaps        0x64b0(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,192,100,0,0               // movaps        0x64c0(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,208,100,0,0               // mulps         0x64d0(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,225                           // andps         %xmm1,%xmm4
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,204                           // orps          %xmm4,%xmm1
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,200                           // maxps         %xmm0,%xmm1
  .byte  15,93,206                           // minps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_b_sse2
.globl _sk_parametric_b_sse2
FUNCTION(_sk_parametric_b_sse2)
_sk_parametric_b_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          37a4 <_sk_parametric_b_sse2+0x15>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,194,213,2                        // cmpleps       %xmm5,%xmm2
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,172,99,0,0                // mulps         0x63ac(%edx),%xmm5
  .byte  15,84,178,188,99,0,0                // andps         0x63bc(%edx),%xmm6
  .byte  15,86,178,204,99,0,0                // orps          0x63cc(%edx),%xmm6
  .byte  15,88,170,220,99,0,0                // addps         0x63dc(%edx),%xmm5
  .byte  15,40,186,236,99,0,0                // movaps        0x63ec(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,252,99,0,0                // addps         0x63fc(%edx),%xmm6
  .byte  15,40,186,12,100,0,0                // movaps        0x640c(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,28,100,0,0                // movaps        0x641c(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,44,100,0,0                // addps         0x642c(%edx),%xmm5
  .byte  15,40,186,60,100,0,0                // movaps        0x643c(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,76,100,0,0                // movaps        0x644c(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,92,100,0,0                // movaps        0x645c(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,108,100,0,0               // mulps         0x646c(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,85,213                           // andnps        %xmm5,%xmm2
  .byte  15,86,212                           // orps          %xmm4,%xmm2
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,208                           // maxps         %xmm0,%xmm2
  .byte  15,93,214                           // minps         %xmm6,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_parametric_a_sse2
.globl _sk_parametric_a_sse2
FUNCTION(_sk_parametric_a_sse2)
_sk_parametric_a_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          38d8 <_sk_parametric_a_sse2+0x15>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,16                    // movss         0x10(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,194,221,2                        // cmpleps       %xmm5,%xmm3
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  243,15,16,105,8                     // movss         0x8(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,170,72,99,0,0                 // mulps         0x6348(%edx),%xmm5
  .byte  15,84,178,88,99,0,0                 // andps         0x6358(%edx),%xmm6
  .byte  15,86,178,104,99,0,0                // orps          0x6368(%edx),%xmm6
  .byte  15,88,170,120,99,0,0                // addps         0x6378(%edx),%xmm5
  .byte  15,40,186,136,99,0,0                // movaps        0x6388(%edx),%xmm7
  .byte  15,89,254                           // mulps         %xmm6,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,88,178,152,99,0,0                // addps         0x6398(%edx),%xmm6
  .byte  15,40,186,168,99,0,0                // movaps        0x63a8(%edx),%xmm7
  .byte  15,94,254                           // divps         %xmm6,%xmm7
  .byte  243,15,16,49                        // movss         (%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,254                           // cvtdq2ps      %xmm6,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,194,199,1                        // cmpltps       %xmm7,%xmm0
  .byte  15,40,178,184,99,0,0                // movaps        0x63b8(%edx),%xmm6
  .byte  15,84,198                           // andps         %xmm6,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,88,170,200,99,0,0                // addps         0x63c8(%edx),%xmm5
  .byte  15,40,186,216,99,0,0                // movaps        0x63d8(%edx),%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,92,239                           // subps         %xmm7,%xmm5
  .byte  15,40,186,232,99,0,0                // movaps        0x63e8(%edx),%xmm7
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,40,130,248,99,0,0                // movaps        0x63f8(%edx),%xmm0
  .byte  15,94,199                           // divps         %xmm7,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,89,130,8,100,0,0                 // mulps         0x6408(%edx),%xmm0
  .byte  102,15,91,192                       // cvtps2dq      %xmm0,%xmm0
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,84,227                           // andps         %xmm3,%xmm4
  .byte  15,85,221                           // andnps        %xmm5,%xmm3
  .byte  15,86,220                           // orps          %xmm4,%xmm3
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,216                           // maxps         %xmm0,%xmm3
  .byte  15,93,222                           // minps         %xmm6,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_gamma_sse2
.globl _sk_gamma_sse2
FUNCTION(_sk_gamma_sse2)
_sk_gamma_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,40                          // sub           $0x28,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  232,0,0,0,0                         // call          3a09 <_sk_gamma_sse2+0x12>
  .byte  88                                  // pop           %eax
  .byte  15,91,195                           // cvtdq2ps      %xmm3,%xmm0
  .byte  15,89,128,231,98,0,0                // mulps         0x62e7(%eax),%xmm0
  .byte  15,84,152,247,98,0,0                // andps         0x62f7(%eax),%xmm3
  .byte  15,86,152,7,99,0,0                  // orps          0x6307(%eax),%xmm3
  .byte  15,88,128,23,99,0,0                 // addps         0x6317(%eax),%xmm0
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,89,160,39,99,0,0                 // mulps         0x6327(%eax),%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,88,152,55,99,0,0                 // addps         0x6337(%eax),%xmm3
  .byte  15,40,160,71,99,0,0                 // movaps        0x6347(%eax),%xmm4
  .byte  15,94,227                           // divps         %xmm3,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,16,58                        // movss         (%edx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,41,125,232                       // movaps        %xmm7,-0x18(%ebp)
  .byte  243,15,91,216                       // cvttps2dq     %xmm0,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,194,227,1                        // cmpltps       %xmm3,%xmm4
  .byte  15,84,160,87,99,0,0                 // andps         0x6357(%eax),%xmm4
  .byte  15,92,220                           // subps         %xmm4,%xmm3
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,88,128,103,99,0,0                // addps         0x6367(%eax),%xmm0
  .byte  15,40,176,135,99,0,0                // movaps        0x6387(%eax),%xmm6
  .byte  15,92,244                           // subps         %xmm4,%xmm6
  .byte  15,40,168,119,99,0,0                // movaps        0x6377(%eax),%xmm5
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,152,151,99,0,0                // movaps        0x6397(%eax),%xmm3
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,94,230                           // divps         %xmm6,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,91,193                           // cvtdq2ps      %xmm1,%xmm0
  .byte  15,89,128,231,98,0,0                // mulps         0x62e7(%eax),%xmm0
  .byte  15,84,136,247,98,0,0                // andps         0x62f7(%eax),%xmm1
  .byte  15,86,136,7,99,0,0                  // orps          0x6307(%eax),%xmm1
  .byte  15,88,128,23,99,0,0                 // addps         0x6317(%eax),%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,176,39,99,0,0                 // mulps         0x6327(%eax),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,88,136,55,99,0,0                 // addps         0x6337(%eax),%xmm1
  .byte  15,40,176,71,99,0,0                 // movaps        0x6347(%eax),%xmm6
  .byte  15,94,241                           // divps         %xmm1,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  243,15,91,200                       // cvttps2dq     %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,241,1                        // cmpltps       %xmm1,%xmm6
  .byte  15,84,176,87,99,0,0                 // andps         0x6357(%eax),%xmm6
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,92,241                           // subps         %xmm1,%xmm6
  .byte  15,88,128,103,99,0,0                // addps         0x6367(%eax),%xmm0
  .byte  15,40,184,135,99,0,0                // movaps        0x6387(%eax),%xmm7
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,94,207                           // divps         %xmm7,%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,91,194                           // cvtdq2ps      %xmm2,%xmm0
  .byte  15,89,128,231,98,0,0                // mulps         0x62e7(%eax),%xmm0
  .byte  15,84,144,247,98,0,0                // andps         0x62f7(%eax),%xmm2
  .byte  15,86,144,7,99,0,0                  // orps          0x6307(%eax),%xmm2
  .byte  15,88,128,23,99,0,0                 // addps         0x6317(%eax),%xmm0
  .byte  15,40,176,39,99,0,0                 // movaps        0x6327(%eax),%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,88,144,55,99,0,0                 // addps         0x6337(%eax),%xmm2
  .byte  15,40,176,71,99,0,0                 // movaps        0x6347(%eax),%xmm6
  .byte  15,94,242                           // divps         %xmm2,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,89,69,232                        // mulps         -0x18(%ebp),%xmm0
  .byte  243,15,91,208                       // cvttps2dq     %xmm0,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,242,1                        // cmpltps       %xmm2,%xmm6
  .byte  15,84,176,87,99,0,0                 // andps         0x6357(%eax),%xmm6
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,88,128,103,99,0,0                // addps         0x6367(%eax),%xmm0
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,40,144,135,99,0,0                // movaps        0x6387(%eax),%xmm2
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,94,218                           // divps         %xmm2,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,40,128,167,99,0,0                // movaps        0x63a7(%eax),%xmm0
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  102,15,91,196                       // cvtps2dq      %xmm4,%xmm0
  .byte  102,15,91,201                       // cvtps2dq      %xmm1,%xmm1
  .byte  102,15,91,211                       // cvtps2dq      %xmm3,%xmm2
  .byte  141,65,8                            // lea           0x8(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,56                          // add           $0x38,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_lab_to_xyz_sse2
.globl _sk_lab_to_xyz_sse2
FUNCTION(_sk_lab_to_xyz_sse2)
_sk_lab_to_xyz_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  232,0,0,0,0                         // call          3bf1 <_sk_lab_to_xyz_sse2+0x15>
  .byte  88                                  // pop           %eax
  .byte  15,89,144,207,97,0,0                // mulps         0x61cf(%eax),%xmm2
  .byte  15,40,160,223,97,0,0                // movaps        0x61df(%eax),%xmm4
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,40,168,239,97,0,0                // movaps        0x61ef(%eax),%xmm5
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,88,144,255,97,0,0                // addps         0x61ff(%eax),%xmm2
  .byte  15,89,144,15,98,0,0                 // mulps         0x620f(%eax),%xmm2
  .byte  15,89,136,31,98,0,0                 // mulps         0x621f(%eax),%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,89,152,47,98,0,0                 // mulps         0x622f(%eax),%xmm3
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,92,235                           // subps         %xmm3,%xmm5
  .byte  15,40,193                           // movaps        %xmm1,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,40,152,63,98,0,0                 // movaps        0x623f(%eax),%xmm3
  .byte  15,40,227                           // movaps        %xmm3,%xmm4
  .byte  15,194,224,1                        // cmpltps       %xmm0,%xmm4
  .byte  15,40,176,79,98,0,0                 // movaps        0x624f(%eax),%xmm6
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,40,184,95,98,0,0                 // movaps        0x625f(%eax),%xmm7
  .byte  15,89,207                           // mulps         %xmm7,%xmm1
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,85,225                           // andnps        %xmm1,%xmm4
  .byte  15,86,224                           // orps          %xmm0,%xmm4
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,194,200,1                        // cmpltps       %xmm0,%xmm1
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,89,215                           // mulps         %xmm7,%xmm2
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,202                           // andnps        %xmm2,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,194,216,1                        // cmpltps       %xmm0,%xmm3
  .byte  15,84,195                           // andps         %xmm3,%xmm0
  .byte  15,85,221                           // andnps        %xmm5,%xmm3
  .byte  15,86,216                           // orps          %xmm0,%xmm3
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,89,160,111,98,0,0                // mulps         0x626f(%eax),%xmm4
  .byte  15,89,152,127,98,0,0                // mulps         0x627f(%eax),%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_a8_sse2
.globl _sk_load_a8_sse2
FUNCTION(_sk_load_a8_sse2)
_sk_load_a8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          3ce1 <_sk_load_a8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,60                              // jne           3d38 <_sk_load_a8_sse2+0x65>
  .byte  102,15,110,4,62                     // movd          (%esi,%edi,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,130,159,97,0,0           // pand          0x619f(%edx),%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,154,175,97,0,0                // mulps         0x61af(%edx),%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,87,201                       // xorpd         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            3d72 <_sk_load_a8_sse2+0x9f>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            3d5c <_sk_load_a8_sse2+0x89>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,187                             // jne           3d09 <_sk_load_a8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,206                      // movd          %esi,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,151                             // jmp           3d09 <_sk_load_a8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,198                      // movd          %esi,%xmm0
  .byte  235,141                             // jmp           3d09 <_sk_load_a8_sse2+0x36>

HIDDEN _sk_load_a8_dst_sse2
.globl _sk_load_a8_dst_sse2
FUNCTION(_sk_load_a8_dst_sse2)
_sk_load_a8_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,121,4                        // imul          0x4(%ecx),%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  102,15,127,97,48                    // movdqa        %xmm4,0x30(%ecx)
  .byte  102,15,127,97,32                    // movdqa        %xmm4,0x20(%ecx)
  .byte  102,15,127,97,16                    // movdqa        %xmm4,0x10(%ecx)
  .byte  133,219                             // test          %ebx,%ebx
  .byte  232,0,0,0,0                         // call          3db5 <_sk_load_a8_dst_sse2+0x39>
  .byte  90                                  // pop           %edx
  .byte  117,54                              // jne           3dee <_sk_load_a8_dst_sse2+0x72>
  .byte  102,15,110,36,55                    // movd          (%edi,%esi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,235,96,0,0           // pand          0x60eb(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,251,96,0,0                // mulps         0x60fb(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            3e24 <_sk_load_a8_dst_sse2+0xa8>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            3e0e <_sk_load_a8_dst_sse2+0x92>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,197                             // jne           3dc5 <_sk_load_a8_dst_sse2+0x49>
  .byte  15,182,92,55,2                      // movzbl        0x2(%edi,%esi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,55                        // movzwl        (%edi,%esi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,161                             // jmp           3dc5 <_sk_load_a8_dst_sse2+0x49>
  .byte  15,182,52,55                        // movzbl        (%edi,%esi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  235,151                             // jmp           3dc5 <_sk_load_a8_dst_sse2+0x49>

HIDDEN _sk_gather_a8_sse2
.globl _sk_gather_a8_sse2
FUNCTION(_sk_gather_a8_sse2)
_sk_gather_a8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  15,182,52,50                        // movzbl        (%edx,%esi,1),%esi
  .byte  15,182,60,58                        // movzbl        (%edx,%edi,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  15,182,12,10                        // movzbl        (%edx,%ecx,1),%ecx
  .byte  15,182,20,50                        // movzbl        (%edx,%esi,1),%edx
  .byte  193,226,8                           // shl           $0x8,%edx
  .byte  9,202                               // or            %ecx,%edx
  .byte  102,15,196,194,0                    // pinsrw        $0x0,%edx,%xmm0
  .byte  102,15,196,199,1                    // pinsrw        $0x1,%edi,%xmm0
  .byte  232,0,0,0,0                         // call          3eb3 <_sk_gather_a8_sse2+0x85>
  .byte  89                                  // pop           %ecx
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,216                           // cvtdq2ps      %xmm0,%xmm3
  .byte  15,89,153,13,96,0,0                 // mulps         0x600d(%ecx),%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_a8_sse2
.globl _sk_store_a8_sse2
FUNCTION(_sk_store_a8_sse2)
_sk_store_a8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  232,0,0,0,0                         // call          3ef7 <_sk_store_a8_sse2+0xe>
  .byte  94                                  // pop           %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,87,4                            // mov           0x4(%edi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  3,23                                // add           (%edi),%edx
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,166,217,95,0,0                // movaps        0x5fd9(%esi),%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,26                              // jne           3f4c <_sk_store_a8_sse2+0x63>
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  137,52,58                           // mov           %esi,(%edx,%edi,1)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,57                              // je            3f95 <_sk_store_a8_sse2+0xac>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,17                              // je            3f72 <_sk_store_a8_sse2+0x89>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,211                             // jne           3f39 <_sk_store_a8_sse2+0x50>
  .byte  102,15,127,101,200                  // movdqa        %xmm4,-0x38(%ebp)
  .byte  138,93,208                          // mov           -0x30(%ebp),%bl
  .byte  136,92,58,2                         // mov           %bl,0x2(%edx,%edi,1)
  .byte  102,15,112,228,212                  // pshufd        $0xd4,%xmm4,%xmm4
  .byte  102,15,219,166,233,95,0,0           // pand          0x5fe9(%esi),%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,103,228                      // packuswb      %xmm4,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,137,52,58                       // mov           %si,(%edx,%edi,1)
  .byte  235,164                             // jmp           3f39 <_sk_store_a8_sse2+0x50>
  .byte  102,15,127,101,216                  // movdqa        %xmm4,-0x28(%ebp)
  .byte  138,93,216                          // mov           -0x28(%ebp),%bl
  .byte  136,28,58                           // mov           %bl,(%edx,%edi,1)
  .byte  235,151                             // jmp           3f39 <_sk_store_a8_sse2+0x50>

HIDDEN _sk_load_g8_sse2
.globl _sk_load_g8_sse2
FUNCTION(_sk_load_g8_sse2)
_sk_load_g8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          3fb0 <_sk_load_g8_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,63                              // jne           400a <_sk_load_g8_sse2+0x68>
  .byte  102,15,110,4,62                     // movd          (%esi,%edi,1),%xmm0
  .byte  102,15,96,192                       // punpcklbw     %xmm0,%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  102,15,219,130,64,95,0,0            // pand          0x5f40(%edx),%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,80,95,0,0                 // mulps         0x5f50(%edx),%xmm0
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,96,95,0,0                 // movaps        0x5f60(%edx),%xmm3
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            4044 <_sk_load_g8_sse2+0xa2>
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            402e <_sk_load_g8_sse2+0x8c>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,184                             // jne           3fd8 <_sk_load_g8_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,192,69                   // pshufd        $0x45,%xmm0,%xmm0
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,206                      // movd          %esi,%xmm1
  .byte  102,15,96,200                       // punpcklbw     %xmm0,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  242,15,16,193                       // movsd         %xmm1,%xmm0
  .byte  235,148                             // jmp           3fd8 <_sk_load_g8_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,198                      // movd          %esi,%xmm0
  .byte  235,138                             // jmp           3fd8 <_sk_load_g8_sse2+0x36>

HIDDEN _sk_load_g8_dst_sse2
.globl _sk_load_g8_dst_sse2
FUNCTION(_sk_load_g8_dst_sse2)
_sk_load_g8_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          405c <_sk_load_g8_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,73                              // jne           40c0 <_sk_load_g8_dst_sse2+0x72>
  .byte  102,15,110,36,62                    // movd          (%esi,%edi,1),%xmm4
  .byte  102,15,96,224                       // punpcklbw     %xmm0,%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,219,162,196,94,0,0           // pand          0x5ec4(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,212,94,0,0                // mulps         0x5ed4(%edx),%xmm4
  .byte  15,41,97,48                         // movaps        %xmm4,0x30(%ecx)
  .byte  15,41,97,32                         // movaps        %xmm4,0x20(%ecx)
  .byte  15,41,97,16                         // movaps        %xmm4,0x10(%ecx)
  .byte  15,40,162,228,94,0,0                // movaps        0x5ee4(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            40fa <_sk_load_g8_dst_sse2+0xac>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            40e4 <_sk_load_g8_dst_sse2+0x96>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,174                             // jne           4084 <_sk_load_g8_dst_sse2+0x36>
  .byte  15,182,92,62,2                      // movzbl        0x2(%esi,%edi,1),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  15,183,52,62                        // movzwl        (%esi,%edi,1),%esi
  .byte  102,15,110,238                      // movd          %esi,%xmm5
  .byte  102,15,96,232                       // punpcklbw     %xmm0,%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  235,138                             // jmp           4084 <_sk_load_g8_dst_sse2+0x36>
  .byte  15,182,52,62                        // movzbl        (%esi,%edi,1),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  235,128                             // jmp           4084 <_sk_load_g8_dst_sse2+0x36>

HIDDEN _sk_gather_g8_sse2
.globl _sk_gather_g8_sse2
FUNCTION(_sk_gather_g8_sse2)
_sk_gather_g8_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  15,182,52,50                        // movzbl        (%edx,%esi,1),%esi
  .byte  15,182,60,58                        // movzbl        (%edx,%edi,1),%edi
  .byte  193,231,8                           // shl           $0x8,%edi
  .byte  9,247                               // or            %esi,%edi
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  15,182,12,10                        // movzbl        (%edx,%ecx,1),%ecx
  .byte  15,182,20,50                        // movzbl        (%edx,%esi,1),%edx
  .byte  193,226,8                           // shl           $0x8,%edx
  .byte  9,202                               // or            %ecx,%edx
  .byte  102,15,196,194,0                    // pinsrw        $0x0,%edx,%xmm0
  .byte  232,0,0,0,0                         // call          4184 <_sk_gather_g8_sse2+0x80>
  .byte  89                                  // pop           %ecx
  .byte  102,15,196,199,1                    // pinsrw        $0x1,%edi,%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,96,193                       // punpcklbw     %xmm1,%xmm0
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,129,204,93,0,0                // mulps         0x5dcc(%ecx),%xmm0
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,153,220,93,0,0                // movaps        0x5ddc(%ecx),%xmm3
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  82                                  // push          %edx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_load_565_sse2
.globl _sk_load_565_sse2
FUNCTION(_sk_load_565_sse2)
_sk_load_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          41cf <_sk_load_565_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,97                              // jne           424d <_sk_load_565_sse2+0x8c>
  .byte  243,15,126,20,126                   // movq          (%esi,%edi,2),%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,130,161,93,0,0           // movdqa        0x5da1(%edx),%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,177,93,0,0                // mulps         0x5db1(%edx),%xmm0
  .byte  102,15,111,138,193,93,0,0           // movdqa        0x5dc1(%edx),%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,138,209,93,0,0                // mulps         0x5dd1(%edx),%xmm1
  .byte  102,15,219,146,225,93,0,0           // pand          0x5de1(%edx),%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,146,241,93,0,0                // mulps         0x5df1(%edx),%xmm2
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,1,94,0,0                  // movaps        0x5e01(%edx),%xmm3
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            4283 <_sk_load_565_sse2+0xc2>
  .byte  102,15,239,210                      // pxor          %xmm2,%xmm2
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            4271 <_sk_load_565_sse2+0xb0>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,146                             // jne           41f5 <_sk_load_565_sse2+0x34>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,208,69                   // pshufd        $0x45,%xmm0,%xmm2
  .byte  102,15,110,4,126                    // movd          (%esi,%edi,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,208                       // movsd         %xmm0,%xmm2
  .byte  233,114,255,255,255                 // jmp           41f5 <_sk_load_565_sse2+0x34>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,214                      // movd          %esi,%xmm2
  .byte  233,101,255,255,255                 // jmp           41f5 <_sk_load_565_sse2+0x34>

HIDDEN _sk_load_565_dst_sse2
.globl _sk_load_565_dst_sse2
FUNCTION(_sk_load_565_dst_sse2)
_sk_load_565_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          429e <_sk_load_565_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,113                             // jne           432c <_sk_load_565_dst_sse2+0x9c>
  .byte  243,15,126,36,126                   // movq          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,111,170,66,93,0,0            // movdqa        0x5d42(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,82,93,0,0                 // mulps         0x5d52(%edx),%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  102,15,111,170,98,93,0,0            // movdqa        0x5d62(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,114,93,0,0                // mulps         0x5d72(%edx),%xmm5
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  102,15,219,162,130,93,0,0           // pand          0x5d82(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,146,93,0,0                // mulps         0x5d92(%edx),%xmm4
  .byte  15,41,97,48                         // movaps        %xmm4,0x30(%ecx)
  .byte  15,40,162,162,93,0,0                // movaps        0x5da2(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            4362 <_sk_load_565_dst_sse2+0xd2>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            4350 <_sk_load_565_dst_sse2+0xc0>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,130                             // jne           42c4 <_sk_load_565_dst_sse2+0x34>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,110,44,126                   // movd          (%esi,%edi,2),%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,98,255,255,255                  // jmp           42c4 <_sk_load_565_dst_sse2+0x34>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  233,85,255,255,255                  // jmp           42c4 <_sk_load_565_dst_sse2+0x34>

HIDDEN _sk_gather_565_sse2
.globl _sk_gather_565_sse2
FUNCTION(_sk_gather_565_sse2)
_sk_gather_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,196,20,74,0                  // pinsrw        $0x0,(%edx,%ecx,2),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,196,20,74,1                  // pinsrw        $0x1,(%edx,%ecx,2),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  102,15,196,209,2                    // pinsrw        $0x2,%ecx,%xmm2
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  232,0,0,0,0                         // call          43ea <_sk_gather_565_sse2+0x7b>
  .byte  90                                  // pop           %edx
  .byte  102,15,196,209,3                    // pinsrw        $0x3,%ecx,%xmm2
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,111,130,102,92,0,0           // movdqa        0x5c66(%edx),%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,118,92,0,0                // mulps         0x5c76(%edx),%xmm0
  .byte  102,15,111,138,134,92,0,0           // movdqa        0x5c86(%edx),%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,138,150,92,0,0                // mulps         0x5c96(%edx),%xmm1
  .byte  102,15,219,146,166,92,0,0           // pand          0x5ca6(%edx),%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,146,182,92,0,0                // mulps         0x5cb6(%edx),%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,198,92,0,0                // movaps        0x5cc6(%edx),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_565_sse2
.globl _sk_store_565_sse2
FUNCTION(_sk_store_565_sse2)
_sk_store_565_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          445d <_sk_store_565_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  1,210                               // add           %edx,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,99,92,0,0                 // movaps        0x5c63(%edi),%xmm4
  .byte  15,40,175,115,92,0,0                // movaps        0x5c73(%edi),%xmm5
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,11                   // pslld         $0xb,%xmm6
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,5                    // pslld         $0x5,%xmm5
  .byte  102,15,235,238                      // por           %xmm6,%xmm5
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,86,229                       // orpd          %xmm5,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,126,101,232                  // movd          %xmm4,-0x18(%ebp)
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,109,236                  // movd          %xmm5,-0x14(%ebp)
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,34                              // jne           44f1 <_sk_store_565_sse2+0xa2>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  137,60,114                          // mov           %edi,(%edx,%esi,2)
  .byte  137,92,114,4                        // mov           %ebx,0x4(%edx,%esi,2)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  243,15,126,101,232                  // movq          -0x18(%ebp),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,37                              // je            4527 <_sk_store_565_sse2+0xd8>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,15                              // je            4516 <_sk_store_565_sse2+0xc7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,210                             // jne           44de <_sk_store_565_sse2+0x8f>
  .byte  102,15,197,252,4                    // pextrw        $0x4,%xmm4,%edi
  .byte  102,137,124,114,4                   // mov           %di,0x4(%edx,%esi,2)
  .byte  102,15,112,228,212                  // pshufd        $0xd4,%xmm4,%xmm4
  .byte  242,15,112,228,232                  // pshuflw       $0xe8,%xmm4,%xmm4
  .byte  102,15,126,36,114                   // movd          %xmm4,(%edx,%esi,2)
  .byte  235,183                             // jmp           44de <_sk_store_565_sse2+0x8f>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,137,60,114                      // mov           %di,(%edx,%esi,2)
  .byte  235,173                             // jmp           44de <_sk_store_565_sse2+0x8f>

HIDDEN _sk_load_4444_sse2
.globl _sk_load_4444_sse2
FUNCTION(_sk_load_4444_sse2)
_sk_load_4444_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          453f <_sk_load_4444_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,112                             // jne           45cc <_sk_load_4444_sse2+0x9b>
  .byte  243,15,126,28,126                   // movq          (%esi,%edi,2),%xmm3
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,130,161,91,0,0           // movdqa        0x5ba1(%edx),%xmm0
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,130,177,91,0,0                // mulps         0x5bb1(%edx),%xmm0
  .byte  102,15,111,138,193,91,0,0           // movdqa        0x5bc1(%edx),%xmm1
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,138,209,91,0,0                // mulps         0x5bd1(%edx),%xmm1
  .byte  102,15,111,146,225,91,0,0           // movdqa        0x5be1(%edx),%xmm2
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,146,241,91,0,0                // mulps         0x5bf1(%edx),%xmm2
  .byte  102,15,219,154,1,92,0,0             // pand          0x5c01(%edx),%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,154,17,92,0,0                 // mulps         0x5c11(%edx),%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,46                              // je            4602 <_sk_load_4444_sse2+0xd1>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,19                              // je            45f0 <_sk_load_4444_sse2+0xbf>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,131                             // jne           4565 <_sk_load_4444_sse2+0x34>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,195                      // movd          %ebx,%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,110,4,126                    // movd          (%esi,%edi,2),%xmm0
  .byte  102,15,97,192                       // punpcklwd     %xmm0,%xmm0
  .byte  242,15,16,216                       // movsd         %xmm0,%xmm3
  .byte  233,99,255,255,255                  // jmp           4565 <_sk_load_4444_sse2+0x34>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,222                      // movd          %esi,%xmm3
  .byte  233,86,255,255,255                  // jmp           4565 <_sk_load_4444_sse2+0x34>

HIDDEN _sk_load_4444_dst_sse2
.globl _sk_load_4444_dst_sse2
FUNCTION(_sk_load_4444_dst_sse2)
_sk_load_4444_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          461d <_sk_load_4444_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,128,0,0,0                    // jne           46be <_sk_load_4444_dst_sse2+0xaf>
  .byte  243,15,126,36,126                   // movq          (%esi,%edi,2),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  102,15,111,170,67,91,0,0            // movdqa        0x5b43(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,83,91,0,0                 // mulps         0x5b53(%edx),%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  102,15,111,170,99,91,0,0            // movdqa        0x5b63(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,115,91,0,0                // mulps         0x5b73(%edx),%xmm5
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  102,15,111,170,131,91,0,0           // movdqa        0x5b83(%edx),%xmm5
  .byte  102,15,219,236                      // pand          %xmm4,%xmm5
  .byte  15,91,237                           // cvtdq2ps      %xmm5,%xmm5
  .byte  15,89,170,147,91,0,0                // mulps         0x5b93(%edx),%xmm5
  .byte  15,41,105,48                        // movaps        %xmm5,0x30(%ecx)
  .byte  102,15,219,162,163,91,0,0           // pand          0x5ba3(%edx),%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,162,179,91,0,0                // mulps         0x5bb3(%edx),%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,50                              // je            46f8 <_sk_load_4444_dst_sse2+0xe9>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,23                              // je            46e6 <_sk_load_4444_dst_sse2+0xd7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,111,255,255,255              // jne           4647 <_sk_load_4444_dst_sse2+0x38>
  .byte  15,183,92,126,4                     // movzwl        0x4(%esi,%edi,2),%ebx
  .byte  102,15,110,227                      // movd          %ebx,%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,110,44,126                   // movd          (%esi,%edi,2),%xmm5
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  242,15,16,229                       // movsd         %xmm5,%xmm4
  .byte  233,79,255,255,255                  // jmp           4647 <_sk_load_4444_dst_sse2+0x38>
  .byte  15,183,52,126                       // movzwl        (%esi,%edi,2),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  233,66,255,255,255                  // jmp           4647 <_sk_load_4444_dst_sse2+0x38>

HIDDEN _sk_gather_4444_sse2
.globl _sk_gather_4444_sse2
FUNCTION(_sk_gather_4444_sse2)
_sk_gather_4444_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,196,28,74,0                  // pinsrw        $0x0,(%edx,%ecx,2),%xmm3
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,196,28,74,1                  // pinsrw        $0x1,(%edx,%ecx,2),%xmm3
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  102,15,196,217,2                    // pinsrw        $0x2,%ecx,%xmm3
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  15,183,12,74                        // movzwl        (%edx,%ecx,2),%ecx
  .byte  102,15,196,217,3                    // pinsrw        $0x3,%ecx,%xmm3
  .byte  232,0,0,0,0                         // call          4785 <_sk_gather_4444_sse2+0x80>
  .byte  89                                  // pop           %ecx
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,111,129,91,90,0,0            // movdqa        0x5a5b(%ecx),%xmm0
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,129,107,90,0,0                // mulps         0x5a6b(%ecx),%xmm0
  .byte  102,15,111,137,123,90,0,0           // movdqa        0x5a7b(%ecx),%xmm1
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,137,139,90,0,0                // mulps         0x5a8b(%ecx),%xmm1
  .byte  102,15,111,145,155,90,0,0           // movdqa        0x5a9b(%ecx),%xmm2
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,145,171,90,0,0                // mulps         0x5aab(%ecx),%xmm2
  .byte  102,15,219,153,187,90,0,0           // pand          0x5abb(%ecx),%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,153,203,90,0,0                // mulps         0x5acb(%ecx),%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_4444_sse2
.globl _sk_store_4444_sse2
FUNCTION(_sk_store_4444_sse2)
_sk_store_4444_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4802 <_sk_store_4444_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  1,210                               // add           %edx,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,94,90,0,0                 // movaps        0x5a5e(%edi),%xmm4
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,12                   // pslld         $0xc,%xmm5
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,4                    // pslld         $0x4,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,86,229                       // orpd          %xmm5,%xmm4
  .byte  102,15,86,230                       // orpd          %xmm6,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,126,101,232                  // movd          %xmm4,-0x18(%ebp)
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,109,236                  // movd          %xmm5,-0x14(%ebp)
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,34                              // jne           48a5 <_sk_store_4444_sse2+0xb1>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  137,60,114                          // mov           %edi,(%edx,%esi,2)
  .byte  137,92,114,4                        // mov           %ebx,0x4(%edx,%esi,2)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  243,15,126,101,232                  // movq          -0x18(%ebp),%xmm4
  .byte  102,15,97,224                       // punpcklwd     %xmm0,%xmm4
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,37                              // je            48db <_sk_store_4444_sse2+0xe7>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,15                              // je            48ca <_sk_store_4444_sse2+0xd6>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,210                             // jne           4892 <_sk_store_4444_sse2+0x9e>
  .byte  102,15,197,252,4                    // pextrw        $0x4,%xmm4,%edi
  .byte  102,137,124,114,4                   // mov           %di,0x4(%edx,%esi,2)
  .byte  102,15,112,228,212                  // pshufd        $0xd4,%xmm4,%xmm4
  .byte  242,15,112,228,232                  // pshuflw       $0xe8,%xmm4,%xmm4
  .byte  102,15,126,36,114                   // movd          %xmm4,(%edx,%esi,2)
  .byte  235,183                             // jmp           4892 <_sk_store_4444_sse2+0x9e>
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,137,60,114                      // mov           %di,(%edx,%esi,2)
  .byte  235,173                             // jmp           4892 <_sk_store_4444_sse2+0x9e>

HIDDEN _sk_load_8888_sse2
.globl _sk_load_8888_sse2
FUNCTION(_sk_load_8888_sse2)
_sk_load_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          48f3 <_sk_load_8888_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,102                             // jne           4977 <_sk_load_8888_sse2+0x92>
  .byte  243,15,111,28,190                   // movdqu        (%esi,%edi,4),%xmm3
  .byte  102,15,111,146,125,89,0,0           // movdqa        0x597d(%edx),%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,162,141,89,0,0                // movaps        0x598d(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,234                      // pand          %xmm2,%xmm5
  .byte  15,91,213                           // cvtdq2ps      %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,35                              // je            49a2 <_sk_load_8888_sse2+0xbd>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4998 <_sk_load_8888_sse2+0xb3>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,137                             // jne           4916 <_sk_load_8888_sse2+0x31>
  .byte  102,15,110,68,190,8                 // movd          0x8(%esi,%edi,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,18,28,190                    // movlpd        (%esi,%edi,4),%xmm3
  .byte  233,116,255,255,255                 // jmp           4916 <_sk_load_8888_sse2+0x31>
  .byte  102,15,110,28,190                   // movd          (%esi,%edi,4),%xmm3
  .byte  233,106,255,255,255                 // jmp           4916 <_sk_load_8888_sse2+0x31>

HIDDEN _sk_load_8888_dst_sse2
.globl _sk_load_8888_dst_sse2
FUNCTION(_sk_load_8888_dst_sse2)
_sk_load_8888_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          49ba <_sk_load_8888_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,118                             // jne           4a4e <_sk_load_8888_dst_sse2+0xa2>
  .byte  243,15,111,36,190                   // movdqu        (%esi,%edi,4),%xmm4
  .byte  102,15,111,170,214,88,0,0           // movdqa        0x58d6(%edx),%xmm5
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,186,230,88,0,0                // movaps        0x58e6(%edx),%xmm7
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,16                        // movaps        %xmm6,0x10(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,32                        // movaps        %xmm6,0x20(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,16                   // psrld         $0x10,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,41,105,48                        // movaps        %xmm5,0x30(%ecx)
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,39                              // je            4a7d <_sk_load_8888_dst_sse2+0xd1>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,20                              // je            4a73 <_sk_load_8888_dst_sse2+0xc7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,117,255,255,255              // jne           49dd <_sk_load_8888_dst_sse2+0x31>
  .byte  102,15,110,100,190,8                // movd          0x8(%esi,%edi,4),%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,18,36,190                    // movlpd        (%esi,%edi,4),%xmm4
  .byte  233,96,255,255,255                  // jmp           49dd <_sk_load_8888_dst_sse2+0x31>
  .byte  102,15,110,36,190                   // movd          (%esi,%edi,4),%xmm4
  .byte  233,86,255,255,255                  // jmp           49dd <_sk_load_8888_dst_sse2+0x31>

HIDDEN _sk_gather_8888_sse2
.globl _sk_gather_8888_sse2
FUNCTION(_sk_gather_8888_sse2)
_sk_gather_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,110,20,138                   // movd          (%edx,%ecx,4),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,110,12,138                   // movd          (%edx,%ecx,4),%xmm1
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,15,110,28,138                   // movd          (%edx,%ecx,4),%xmm3
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,110,4,138                    // movd          (%edx,%ecx,4),%xmm0
  .byte  232,0,0,0,0                         // call          4afd <_sk_gather_8888_sse2+0x76>
  .byte  89                                  // pop           %ecx
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,111,145,179,87,0,0           // movdqa        0x57b3(%ecx),%xmm2
  .byte  102,15,111,195                      // movdqa        %xmm3,%xmm0
  .byte  102,15,219,194                      // pand          %xmm2,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,161,195,87,0,0                // movaps        0x57c3(%ecx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,202                      // pand          %xmm2,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,234                      // pand          %xmm2,%xmm5
  .byte  15,91,213                           // cvtdq2ps      %xmm5,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_8888_sse2
.globl _sk_store_8888_sse2
FUNCTION(_sk_store_8888_sse2)
_sk_store_8888_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4b78 <_sk_store_8888_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,88,87,0,0                 // movaps        0x5758(%edi),%xmm4
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,24                              // jne           4bf5 <_sk_store_8888_sse2+0x8b>
  .byte  243,15,127,36,178                   // movdqu        %xmm4,(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,28                              // je            4c19 <_sk_store_8888_sse2+0xaf>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4c12 <_sk_store_8888_sse2+0xa8>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,219                             // jne           4be2 <_sk_store_8888_sse2+0x78>
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,108,178,8                // movd          %xmm5,0x8(%edx,%esi,4)
  .byte  102,15,214,36,178                   // movq          %xmm4,(%edx,%esi,4)
  .byte  235,201                             // jmp           4be2 <_sk_store_8888_sse2+0x78>
  .byte  102,15,126,36,178                   // movd          %xmm4,(%edx,%esi,4)
  .byte  235,194                             // jmp           4be2 <_sk_store_8888_sse2+0x78>

HIDDEN _sk_load_bgra_sse2
.globl _sk_load_bgra_sse2
FUNCTION(_sk_load_bgra_sse2)
_sk_load_bgra_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4c2e <_sk_load_bgra_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,102                             // jne           4cb2 <_sk_load_bgra_sse2+0x92>
  .byte  243,15,111,28,190                   // movdqu        (%esi,%edi,4),%xmm3
  .byte  102,15,111,130,178,86,0,0           // movdqa        0x56b2(%edx),%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  15,40,162,194,86,0,0                // movaps        0x56c2(%edx),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  15,91,197                           // cvtdq2ps      %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,35                              // je            4cdd <_sk_load_bgra_sse2+0xbd>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4cd3 <_sk_load_bgra_sse2+0xb3>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,137                             // jne           4c51 <_sk_load_bgra_sse2+0x31>
  .byte  102,15,110,68,190,8                 // movd          0x8(%esi,%edi,4),%xmm0
  .byte  102,15,112,216,69                   // pshufd        $0x45,%xmm0,%xmm3
  .byte  102,15,18,28,190                    // movlpd        (%esi,%edi,4),%xmm3
  .byte  233,116,255,255,255                 // jmp           4c51 <_sk_load_bgra_sse2+0x31>
  .byte  102,15,110,28,190                   // movd          (%esi,%edi,4),%xmm3
  .byte  233,106,255,255,255                 // jmp           4c51 <_sk_load_bgra_sse2+0x31>

HIDDEN _sk_load_bgra_dst_sse2
.globl _sk_load_bgra_dst_sse2
FUNCTION(_sk_load_bgra_dst_sse2)
_sk_load_bgra_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4cf5 <_sk_load_bgra_dst_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  117,118                             // jne           4d89 <_sk_load_bgra_dst_sse2+0xa2>
  .byte  243,15,111,36,190                   // movdqu        (%esi,%edi,4),%xmm4
  .byte  102,15,111,170,11,86,0,0            // movdqa        0x560b(%edx),%xmm5
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,186,27,86,0,0                 // movaps        0x561b(%edx),%xmm7
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,48                        // movaps        %xmm6,0x30(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,8                    // psrld         $0x8,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,89,247                           // mulps         %xmm7,%xmm6
  .byte  15,41,113,32                        // movaps        %xmm6,0x20(%ecx)
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,114,214,16                   // psrld         $0x10,%xmm6
  .byte  102,15,219,245                      // pand          %xmm5,%xmm6
  .byte  15,91,238                           // cvtdq2ps      %xmm6,%xmm5
  .byte  15,89,239                           // mulps         %xmm7,%xmm5
  .byte  15,41,105,16                        // movaps        %xmm5,0x10(%ecx)
  .byte  102,15,114,212,24                   // psrld         $0x18,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,231                           // mulps         %xmm7,%xmm4
  .byte  15,41,97,64                         // movaps        %xmm4,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,39                              // je            4db8 <_sk_load_bgra_dst_sse2+0xd1>
  .byte  102,15,239,228                      // pxor          %xmm4,%xmm4
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,20                              // je            4dae <_sk_load_bgra_dst_sse2+0xc7>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  15,133,117,255,255,255              // jne           4d18 <_sk_load_bgra_dst_sse2+0x31>
  .byte  102,15,110,100,190,8                // movd          0x8(%esi,%edi,4),%xmm4
  .byte  102,15,112,228,69                   // pshufd        $0x45,%xmm4,%xmm4
  .byte  102,15,18,36,190                    // movlpd        (%esi,%edi,4),%xmm4
  .byte  233,96,255,255,255                  // jmp           4d18 <_sk_load_bgra_dst_sse2+0x31>
  .byte  102,15,110,36,190                   // movd          (%esi,%edi,4),%xmm4
  .byte  233,86,255,255,255                  // jmp           4d18 <_sk_load_bgra_dst_sse2+0x31>

HIDDEN _sk_gather_bgra_sse2
.globl _sk_gather_bgra_sse2
FUNCTION(_sk_gather_bgra_sse2)
_sk_gather_bgra_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,81,4                     // movd          0x4(%ecx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,209                      // movd          %xmm2,%ecx
  .byte  102,15,110,20,138                   // movd          (%edx,%ecx,4),%xmm2
  .byte  102,15,126,201                      // movd          %xmm1,%ecx
  .byte  102,15,110,12,138                   // movd          (%edx,%ecx,4),%xmm1
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,15,110,28,138                   // movd          (%edx,%ecx,4),%xmm3
  .byte  102,15,126,193                      // movd          %xmm0,%ecx
  .byte  102,15,110,4,138                    // movd          (%edx,%ecx,4),%xmm0
  .byte  232,0,0,0,0                         // call          4e38 <_sk_gather_bgra_sse2+0x76>
  .byte  89                                  // pop           %ecx
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,111,129,232,84,0,0           // movdqa        0x54e8(%ecx),%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,209                           // cvtdq2ps      %xmm1,%xmm2
  .byte  15,40,161,248,84,0,0                // movaps        0x54f8(%ecx),%xmm4
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,114,209,8                    // psrld         $0x8,%xmm1
  .byte  102,15,219,200                      // pand          %xmm0,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,235                      // movdqa        %xmm3,%xmm5
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,219,232                      // pand          %xmm0,%xmm5
  .byte  15,91,197                           // cvtdq2ps      %xmm5,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,114,211,24                   // psrld         $0x18,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_bgra_sse2
.globl _sk_store_bgra_sse2
FUNCTION(_sk_store_bgra_sse2)
_sk_store_bgra_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  232,0,0,0,0                         // call          4eb3 <_sk_store_bgra_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  15,40,167,141,84,0,0                // movaps        0x548d(%edi),%xmm4
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,244                           // mulps         %xmm4,%xmm6
  .byte  102,15,91,246                       // cvtps2dq      %xmm6,%xmm6
  .byte  102,15,114,246,8                    // pslld         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,24                   // pslld         $0x18,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  102,15,235,230                      // por           %xmm6,%xmm4
  .byte  133,219                             // test          %ebx,%ebx
  .byte  117,24                              // jne           4f30 <_sk_store_bgra_sse2+0x8b>
  .byte  243,15,127,36,178                   // movdqu        %xmm4,(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  128,227,3                           // and           $0x3,%bl
  .byte  128,251,1                           // cmp           $0x1,%bl
  .byte  116,28                              // je            4f54 <_sk_store_bgra_sse2+0xaf>
  .byte  128,251,2                           // cmp           $0x2,%bl
  .byte  116,16                              // je            4f4d <_sk_store_bgra_sse2+0xa8>
  .byte  128,251,3                           // cmp           $0x3,%bl
  .byte  117,219                             // jne           4f1d <_sk_store_bgra_sse2+0x78>
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,108,178,8                // movd          %xmm5,0x8(%edx,%esi,4)
  .byte  102,15,214,36,178                   // movq          %xmm4,(%edx,%esi,4)
  .byte  235,201                             // jmp           4f1d <_sk_store_bgra_sse2+0x78>
  .byte  102,15,126,36,178                   // movd          %xmm4,(%edx,%esi,4)
  .byte  235,194                             // jmp           4f1d <_sk_store_bgra_sse2+0x78>

HIDDEN _sk_load_f16_sse2
.globl _sk_load_f16_sse2
FUNCTION(_sk_load_f16_sse2)
_sk_load_f16_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,92                          // sub           $0x5c,%esp
  .byte  232,0,0,0,0                         // call          4f69 <_sk_load_f16_sse2+0xe>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,3                           // shl           $0x3,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,160,1,0,0                    // jne           512b <_sk_load_f16_sse2+0x1d0>
  .byte  102,15,16,4,254                     // movupd        (%esi,%edi,8),%xmm0
  .byte  243,15,111,76,254,16                // movdqu        0x10(%esi,%edi,8),%xmm1
  .byte  102,15,40,216                       // movapd        %xmm0,%xmm3
  .byte  102,15,97,217                       // punpcklwd     %xmm1,%xmm3
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,97,208                       // punpcklwd     %xmm0,%xmm2
  .byte  102,15,105,216                      // punpckhwd     %xmm0,%xmm3
  .byte  102,15,126,85,208                   // movd          %xmm2,-0x30(%ebp)
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,69,212                   // movd          %xmm0,-0x2c(%ebp)
  .byte  243,15,126,77,208                   // movq          -0x30(%ebp),%xmm1
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,69,220                   // movd          %xmm0,-0x24(%ebp)
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,69,216                   // movd          %xmm0,-0x28(%ebp)
  .byte  243,15,126,125,216                  // movq          -0x28(%ebp),%xmm7
  .byte  102,15,126,93,224                   // movd          %xmm3,-0x20(%ebp)
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,69,228                   // movd          %xmm0,-0x1c(%ebp)
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,69,236                   // movd          %xmm0,-0x14(%ebp)
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,69,232                   // movd          %xmm0,-0x18(%ebp)
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,111,154,231,83,0,0           // movdqa        0x53e7(%edx),%xmm3
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,127,125,152                  // movdqa        %xmm7,-0x68(%ebp)
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,114,246,13                   // pslld         $0xd,%xmm6
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,219,251                      // pand          %xmm3,%xmm7
  .byte  102,15,239,239                      // pxor          %xmm7,%xmm5
  .byte  102,15,127,109,168                  // movdqa        %xmm5,-0x58(%ebp)
  .byte  102,15,114,247,16                   // pslld         $0x10,%xmm7
  .byte  102,15,114,245,13                   // pslld         $0xd,%xmm5
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  243,15,126,125,232                  // movq          -0x18(%ebp),%xmm7
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,219,223                      // pand          %xmm7,%xmm3
  .byte  102,15,239,251                      // pxor          %xmm3,%xmm7
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,114,240,13                   // pslld         $0xd,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,111,154,247,83,0,0           // movdqa        0x53f7(%edx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,254,243                      // paddd         %xmm3,%xmm6
  .byte  102,15,254,235                      // paddd         %xmm3,%xmm5
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,111,154,7,84,0,0             // movdqa        0x5407(%edx),%xmm3
  .byte  102,15,127,93,184                   // movdqa        %xmm3,-0x48(%ebp)
  .byte  102,15,239,203                      // pxor          %xmm3,%xmm1
  .byte  102,15,111,154,23,84,0,0            // movdqa        0x5417(%edx),%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,102,225                      // pcmpgtd       %xmm1,%xmm4
  .byte  102,15,223,226                      // pandn         %xmm2,%xmm4
  .byte  102,15,111,85,152                   // movdqa        -0x68(%ebp),%xmm2
  .byte  102,15,239,85,184                   // pxor          -0x48(%ebp),%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,102,202                      // pcmpgtd       %xmm2,%xmm1
  .byte  102,15,223,206                      // pandn         %xmm6,%xmm1
  .byte  102,15,111,117,168                  // movdqa        -0x58(%ebp),%xmm6
  .byte  102,15,239,117,184                  // pxor          -0x48(%ebp),%xmm6
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,102,214                      // pcmpgtd       %xmm6,%xmm2
  .byte  102,15,223,213                      // pandn         %xmm5,%xmm2
  .byte  102,15,239,125,184                  // pxor          -0x48(%ebp),%xmm7
  .byte  102,15,102,223                      // pcmpgtd       %xmm7,%xmm3
  .byte  102,15,223,216                      // pandn         %xmm0,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,108                         // add           $0x6c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,254                     // movsd         (%esi,%edi,8),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,251,1                           // cmp           $0x1,%ebx
  .byte  15,132,89,254,255,255               // je            4f96 <_sk_load_f16_sse2+0x3b>
  .byte  102,15,22,68,254,8                  // movhpd        0x8(%esi,%edi,8),%xmm0
  .byte  131,251,3                           // cmp           $0x3,%ebx
  .byte  15,130,74,254,255,255               // jb            4f96 <_sk_load_f16_sse2+0x3b>
  .byte  243,15,126,76,254,16                // movq          0x10(%esi,%edi,8),%xmm1
  .byte  233,63,254,255,255                  // jmp           4f96 <_sk_load_f16_sse2+0x3b>

HIDDEN _sk_load_f16_dst_sse2
.globl _sk_load_f16_dst_sse2
FUNCTION(_sk_load_f16_dst_sse2)
_sk_load_f16_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  129,236,140,0,0,0                   // sub           $0x8c,%esp
  .byte  15,41,157,104,255,255,255           // movaps        %xmm3,-0x98(%ebp)
  .byte  15,41,149,120,255,255,255           // movaps        %xmm2,-0x88(%ebp)
  .byte  102,15,127,77,136                   // movdqa        %xmm1,-0x78(%ebp)
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  232,0,0,0,0                         // call          517f <_sk_load_f16_dst_sse2+0x28>
  .byte  90                                  // pop           %edx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,3                           // shl           $0x3,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  133,219                             // test          %ebx,%ebx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  15,133,206,1,0,0                    // jne           536f <_sk_load_f16_dst_sse2+0x218>
  .byte  102,15,16,4,254                     // movupd        (%esi,%edi,8),%xmm0
  .byte  243,15,111,76,254,16                // movdqu        0x10(%esi,%edi,8),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  102,15,97,216                       // punpcklwd     %xmm0,%xmm3
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,126,93,208                   // movd          %xmm3,-0x30(%ebp)
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,69,212                   // movd          %xmm0,-0x2c(%ebp)
  .byte  243,15,126,101,208                  // movq          -0x30(%ebp),%xmm4
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,69,220                   // movd          %xmm0,-0x24(%ebp)
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,69,216                   // movd          %xmm0,-0x28(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,126,85,224                   // movd          %xmm2,-0x20(%ebp)
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,93,228                   // movd          %xmm3,-0x1c(%ebp)
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,93,236                   // movd          %xmm3,-0x14(%ebp)
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,97,225                       // punpcklwd     %xmm1,%xmm4
  .byte  102,15,111,154,17,82,0,0            // movdqa        0x5211(%edx),%xmm3
  .byte  102,15,111,212                      // movdqa        %xmm4,%xmm2
  .byte  102,15,219,211                      // pand          %xmm3,%xmm2
  .byte  102,15,239,226                      // pxor          %xmm2,%xmm4
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,202                      // por           %xmm2,%xmm1
  .byte  102,15,111,146,49,82,0,0            // movdqa        0x5231(%edx),%xmm2
  .byte  102,15,127,85,168                   // movdqa        %xmm2,-0x58(%ebp)
  .byte  102,15,239,226                      // pxor          %xmm2,%xmm4
  .byte  102,15,111,178,65,82,0,0            // movdqa        0x5241(%edx),%xmm6
  .byte  102,15,111,254                      // movdqa        %xmm6,%xmm7
  .byte  102,15,102,252                      // pcmpgtd       %xmm4,%xmm7
  .byte  102,15,111,146,33,82,0,0            // movdqa        0x5221(%edx),%xmm2
  .byte  102,15,127,85,184                   // movdqa        %xmm2,-0x48(%ebp)
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,223,249                      // pandn         %xmm1,%xmm7
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  102,15,127,121,16                   // movdqa        %xmm7,0x10(%ecx)
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,219,203                      // pand          %xmm3,%xmm1
  .byte  102,15,239,193                      // pxor          %xmm1,%xmm0
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,114,247,13                   // pslld         $0xd,%xmm7
  .byte  102,15,235,249                      // por           %xmm1,%xmm7
  .byte  102,15,111,101,168                  // movdqa        -0x58(%ebp),%xmm4
  .byte  102,15,239,196                      // pxor          %xmm4,%xmm0
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,102,200                      // pcmpgtd       %xmm0,%xmm1
  .byte  102,15,254,125,184                  // paddd         -0x48(%ebp),%xmm7
  .byte  102,15,223,207                      // pandn         %xmm7,%xmm1
  .byte  102,15,127,73,32                    // movdqa        %xmm1,0x20(%ecx)
  .byte  102,15,239,255                      // pxor          %xmm7,%xmm7
  .byte  102,15,97,239                       // punpcklwd     %xmm7,%xmm5
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,219,195                      // pand          %xmm3,%xmm0
  .byte  102,15,239,232                      // pxor          %xmm0,%xmm5
  .byte  102,15,114,240,16                   // pslld         $0x10,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,114,241,13                   // pslld         $0xd,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,239,236                      // pxor          %xmm4,%xmm5
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,102,197                      // pcmpgtd       %xmm5,%xmm0
  .byte  102,15,111,109,184                  // movdqa        -0x48(%ebp),%xmm5
  .byte  102,15,254,205                      // paddd         %xmm5,%xmm1
  .byte  102,15,223,193                      // pandn         %xmm1,%xmm0
  .byte  102,15,127,65,48                    // movdqa        %xmm0,0x30(%ecx)
  .byte  102,15,97,215                       // punpcklwd     %xmm7,%xmm2
  .byte  102,15,219,218                      // pand          %xmm2,%xmm3
  .byte  102,15,239,211                      // pxor          %xmm3,%xmm2
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,114,240,13                   // pslld         $0xd,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  102,15,239,212                      // pxor          %xmm4,%xmm2
  .byte  102,15,102,242                      // pcmpgtd       %xmm2,%xmm6
  .byte  102,15,223,240                      // pandn         %xmm0,%xmm6
  .byte  102,15,127,113,64                   // movdqa        %xmm6,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,40,77,136                        // movaps        -0x78(%ebp),%xmm1
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,40,157,104,255,255,255           // movaps        -0x98(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  129,196,156,0,0,0                   // add           $0x9c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,254                     // movsd         (%esi,%edi,8),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,251,1                           // cmp           $0x1,%ebx
  .byte  15,132,43,254,255,255               // je            51ac <_sk_load_f16_dst_sse2+0x55>
  .byte  102,15,22,68,254,8                  // movhpd        0x8(%esi,%edi,8),%xmm0
  .byte  131,251,3                           // cmp           $0x3,%ebx
  .byte  15,130,28,254,255,255               // jb            51ac <_sk_load_f16_dst_sse2+0x55>
  .byte  243,15,126,76,254,16                // movq          0x10(%esi,%edi,8),%xmm1
  .byte  233,17,254,255,255                  // jmp           51ac <_sk_load_f16_dst_sse2+0x55>

HIDDEN _sk_gather_f16_sse2
.globl _sk_gather_f16_sse2
FUNCTION(_sk_gather_f16_sse2)
_sk_gather_f16_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,88                          // sub           $0x58,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,10                              // mov           (%edx),%ecx
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,110,82,4                     // movd          0x4(%edx),%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,218                      // pmuludq       %xmm2,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,203                       // punpckldq     %xmm3,%xmm1
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,110,84,209,4                 // movd          0x4(%ecx,%edx,8),%xmm2
  .byte  102,15,110,28,209                   // movd          (%ecx,%edx,8),%xmm3
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,110,76,209,4                 // movd          0x4(%ecx,%edx,8),%xmm1
  .byte  102,15,110,36,209                   // movd          (%ecx,%edx,8),%xmm4
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,112,192,229                  // pshufd        $0xe5,%xmm0,%xmm0
  .byte  102,15,110,108,209,4                // movd          0x4(%ecx,%edx,8),%xmm5
  .byte  102,15,110,52,209                   // movd          (%ecx,%edx,8),%xmm6
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,110,68,209,4                 // movd          0x4(%ecx,%edx,8),%xmm0
  .byte  102,15,110,60,209                   // movd          (%ecx,%edx,8),%xmm7
  .byte  232,0,0,0,0                         // call          5429 <_sk_gather_f16_sse2+0x8e>
  .byte  89                                  // pop           %ecx
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,98,227                       // punpckldq     %xmm3,%xmm4
  .byte  102,15,98,225                       // punpckldq     %xmm1,%xmm4
  .byte  102,15,98,232                       // punpckldq     %xmm0,%xmm5
  .byte  102,15,98,247                       // punpckldq     %xmm7,%xmm6
  .byte  102,15,98,245                       // punpckldq     %xmm5,%xmm6
  .byte  102,15,111,198                      // movdqa        %xmm6,%xmm0
  .byte  102,15,97,196                       // punpcklwd     %xmm4,%xmm0
  .byte  102,15,105,244                      // punpckhwd     %xmm4,%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,97,214                       // punpcklwd     %xmm6,%xmm2
  .byte  102,15,105,198                      // punpckhwd     %xmm6,%xmm0
  .byte  102,15,126,85,224                   // movd          %xmm2,-0x20(%ebp)
  .byte  102,15,112,202,229                  // pshufd        $0xe5,%xmm2,%xmm1
  .byte  102,15,126,77,228                   // movd          %xmm1,-0x1c(%ebp)
  .byte  243,15,126,77,224                   // movq          -0x20(%ebp),%xmm1
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,93,236                   // movd          %xmm3,-0x14(%ebp)
  .byte  102,15,112,210,78                   // pshufd        $0x4e,%xmm2,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  243,15,126,125,232                  // movq          -0x18(%ebp),%xmm7
  .byte  102,15,126,69,240                   // movd          %xmm0,-0x10(%ebp)
  .byte  102,15,112,216,229                  // pshufd        $0xe5,%xmm0,%xmm3
  .byte  102,15,126,93,244                   // movd          %xmm3,-0xc(%ebp)
  .byte  243,15,126,109,240                  // movq          -0x10(%ebp),%xmm5
  .byte  102,15,112,216,231                  // pshufd        $0xe7,%xmm0,%xmm3
  .byte  102,15,126,93,252                   // movd          %xmm3,-0x4(%ebp)
  .byte  102,15,112,192,78                   // pshufd        $0x4e,%xmm0,%xmm0
  .byte  102,15,126,69,248                   // movd          %xmm0,-0x8(%ebp)
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,111,153,167,79,0,0           // movdqa        0x4fa7(%ecx),%xmm3
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,204                      // pxor          %xmm4,%xmm1
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,114,242,13                   // pslld         $0xd,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,111,231                      // movdqa        %xmm7,%xmm4
  .byte  102,15,219,227                      // pand          %xmm3,%xmm4
  .byte  102,15,239,252                      // pxor          %xmm4,%xmm7
  .byte  102,15,127,125,168                  // movdqa        %xmm7,-0x58(%ebp)
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,111,247                      // movdqa        %xmm7,%xmm6
  .byte  102,15,114,246,13                   // pslld         $0xd,%xmm6
  .byte  102,15,235,244                      // por           %xmm4,%xmm6
  .byte  102,15,97,232                       // punpcklwd     %xmm0,%xmm5
  .byte  102,15,111,253                      // movdqa        %xmm5,%xmm7
  .byte  102,15,219,251                      // pand          %xmm3,%xmm7
  .byte  102,15,239,239                      // pxor          %xmm7,%xmm5
  .byte  102,15,127,109,184                  // movdqa        %xmm5,-0x48(%ebp)
  .byte  102,15,114,247,16                   // pslld         $0x10,%xmm7
  .byte  102,15,114,245,13                   // pslld         $0xd,%xmm5
  .byte  102,15,235,239                      // por           %xmm7,%xmm5
  .byte  243,15,126,125,248                  // movq          -0x8(%ebp),%xmm7
  .byte  102,15,97,248                       // punpcklwd     %xmm0,%xmm7
  .byte  102,15,219,223                      // pand          %xmm7,%xmm3
  .byte  102,15,239,251                      // pxor          %xmm3,%xmm7
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,114,240,13                   // pslld         $0xd,%xmm0
  .byte  102,15,235,195                      // por           %xmm3,%xmm0
  .byte  102,15,111,153,183,79,0,0           // movdqa        0x4fb7(%ecx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,254,243                      // paddd         %xmm3,%xmm6
  .byte  102,15,254,235                      // paddd         %xmm3,%xmm5
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,111,153,199,79,0,0           // movdqa        0x4fc7(%ecx),%xmm3
  .byte  102,15,127,93,200                   // movdqa        %xmm3,-0x38(%ebp)
  .byte  102,15,239,203                      // pxor          %xmm3,%xmm1
  .byte  102,15,111,153,215,79,0,0           // movdqa        0x4fd7(%ecx),%xmm3
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,102,225                      // pcmpgtd       %xmm1,%xmm4
  .byte  102,15,223,226                      // pandn         %xmm2,%xmm4
  .byte  102,15,111,85,168                   // movdqa        -0x58(%ebp),%xmm2
  .byte  102,15,239,85,200                   // pxor          -0x38(%ebp),%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,102,202                      // pcmpgtd       %xmm2,%xmm1
  .byte  102,15,223,206                      // pandn         %xmm6,%xmm1
  .byte  102,15,111,117,184                  // movdqa        -0x48(%ebp),%xmm6
  .byte  102,15,239,117,200                  // pxor          -0x38(%ebp),%xmm6
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,102,214                      // pcmpgtd       %xmm6,%xmm2
  .byte  102,15,223,213                      // pandn         %xmm5,%xmm2
  .byte  102,15,239,125,200                  // pxor          -0x38(%ebp),%xmm7
  .byte  102,15,102,223                      // pcmpgtd       %xmm7,%xmm3
  .byte  102,15,223,216                      // pandn         %xmm0,%xmm3
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,104                         // add           $0x68,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_store_f16_sse2
.globl _sk_store_f16_sse2
FUNCTION(_sk_store_f16_sse2)
_sk_store_f16_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,80                          // sub           $0x50,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  102,15,111,218                      // movdqa        %xmm2,%xmm3
  .byte  232,0,0,0,0                         // call          55ec <_sk_store_f16_sse2+0x15>
  .byte  88                                  // pop           %eax
  .byte  102,15,111,176,36,78,0,0            // movdqa        0x4e24(%eax),%xmm6
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,219,214                      // pand          %xmm6,%xmm2
  .byte  102,15,127,69,200                   // movdqa        %xmm0,-0x38(%ebp)
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,239,234                      // pxor          %xmm2,%xmm5
  .byte  102,15,111,160,52,78,0,0            // movdqa        0x4e34(%eax),%xmm4
  .byte  102,15,114,210,16                   // psrld         $0x10,%xmm2
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,102,197                      // pcmpgtd       %xmm5,%xmm0
  .byte  102,15,114,213,13                   // psrld         $0xd,%xmm5
  .byte  102,15,111,184,68,78,0,0            // movdqa        0x4e44(%eax),%xmm7
  .byte  102,15,254,215                      // paddd         %xmm7,%xmm2
  .byte  102,15,127,125,232                  // movdqa        %xmm7,-0x18(%ebp)
  .byte  102,15,254,213                      // paddd         %xmm5,%xmm2
  .byte  102,15,114,242,16                   // pslld         $0x10,%xmm2
  .byte  102,15,114,226,16                   // psrad         $0x10,%xmm2
  .byte  102,15,223,194                      // pandn         %xmm2,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,219,238                      // pand          %xmm6,%xmm5
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,239,205                      // pxor          %xmm5,%xmm1
  .byte  102,15,114,213,16                   // psrld         $0x10,%xmm5
  .byte  102,15,111,212                      // movdqa        %xmm4,%xmm2
  .byte  102,15,102,209                      // pcmpgtd       %xmm1,%xmm2
  .byte  102,15,114,209,13                   // psrld         $0xd,%xmm1
  .byte  102,15,254,239                      // paddd         %xmm7,%xmm5
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,223,213                      // pandn         %xmm5,%xmm2
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,219,206                      // pand          %xmm6,%xmm1
  .byte  102,15,127,93,168                   // movdqa        %xmm3,-0x58(%ebp)
  .byte  102,15,239,217                      // pxor          %xmm1,%xmm3
  .byte  102,15,114,209,16                   // psrld         $0x10,%xmm1
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,102,235                      // pcmpgtd       %xmm3,%xmm5
  .byte  102,15,114,211,13                   // psrld         $0xd,%xmm3
  .byte  102,15,254,77,232                   // paddd         -0x18(%ebp),%xmm1
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  102,15,111,93,216                   // movdqa        -0x28(%ebp),%xmm3
  .byte  102,15,114,241,16                   // pslld         $0x10,%xmm1
  .byte  102,15,114,225,16                   // psrad         $0x10,%xmm1
  .byte  102,15,223,233                      // pandn         %xmm1,%xmm5
  .byte  102,15,219,243                      // pand          %xmm3,%xmm6
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,239,206                      // pxor          %xmm6,%xmm1
  .byte  102,15,114,214,16                   // psrld         $0x10,%xmm6
  .byte  102,15,254,117,232                  // paddd         -0x18(%ebp),%xmm6
  .byte  102,15,102,225                      // pcmpgtd       %xmm1,%xmm4
  .byte  102,15,114,209,13                   // psrld         $0xd,%xmm1
  .byte  102,15,254,241                      // paddd         %xmm1,%xmm6
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,114,246,16                   // pslld         $0x10,%xmm6
  .byte  102,15,114,230,16                   // psrad         $0x10,%xmm6
  .byte  102,15,223,230                      // pandn         %xmm6,%xmm4
  .byte  102,15,107,201                      // packssdw      %xmm1,%xmm1
  .byte  102,15,107,210                      // packssdw      %xmm2,%xmm2
  .byte  102,15,97,202                       // punpcklwd     %xmm2,%xmm1
  .byte  102,15,107,237                      // packssdw      %xmm5,%xmm5
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,97,236                       // punpcklwd     %xmm4,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  193,230,3                           // shl           $0x3,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  133,255                             // test          %edi,%edi
  .byte  117,53                              // jne           575e <_sk_store_f16_sse2+0x187>
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,98,197                       // punpckldq     %xmm5,%xmm0
  .byte  243,15,127,4,214                    // movdqu        %xmm0,(%esi,%edx,8)
  .byte  102,15,106,205                      // punpckhdq     %xmm5,%xmm1
  .byte  243,15,127,76,214,16                // movdqu        %xmm1,0x10(%esi,%edx,8)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,40,77,184                        // movaps        -0x48(%ebp),%xmm1
  .byte  15,40,85,168                        // movaps        -0x58(%ebp),%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,96                          // add           $0x60,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,98,213                       // punpckldq     %xmm5,%xmm2
  .byte  102,15,214,20,214                   // movq          %xmm2,(%esi,%edx,8)
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  116,208                             // je            5740 <_sk_store_f16_sse2+0x169>
  .byte  102,15,23,84,214,8                  // movhpd        %xmm2,0x8(%esi,%edx,8)
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,197                             // jb            5740 <_sk_store_f16_sse2+0x169>
  .byte  102,15,106,205                      // punpckhdq     %xmm5,%xmm1
  .byte  102,15,214,76,214,16                // movq          %xmm1,0x10(%esi,%edx,8)
  .byte  235,185                             // jmp           5740 <_sk_store_f16_sse2+0x169>

HIDDEN _sk_load_u16_be_sse2
.globl _sk_load_u16_be_sse2
FUNCTION(_sk_load_u16_be_sse2)
_sk_load_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,44                          // sub           $0x2c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,122,4                           // mov           0x4(%edx),%edi
  .byte  15,175,121,4                        // imul          0x4(%ecx),%edi
  .byte  1,255                               // add           %edi,%edi
  .byte  3,58                                // add           (%edx),%edi
  .byte  139,89,8                            // mov           0x8(%ecx),%ebx
  .byte  193,230,2                           // shl           $0x2,%esi
  .byte  133,219                             // test          %ebx,%ebx
  .byte  232,0,0,0,0                         // call          57b2 <_sk_load_u16_be_sse2+0x2b>
  .byte  90                                  // pop           %edx
  .byte  15,133,11,1,0,0                     // jne           58c4 <_sk_load_u16_be_sse2+0x13d>
  .byte  102,15,16,4,119                     // movupd        (%edi,%esi,2),%xmm0
  .byte  243,15,111,76,119,16                // movdqu        0x10(%edi,%esi,2),%xmm1
  .byte  102,15,40,208                       // movapd        %xmm0,%xmm2
  .byte  102,15,97,209                       // punpcklwd     %xmm1,%xmm2
  .byte  102,15,105,193                      // punpckhwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,126,77,216                   // movd          %xmm1,-0x28(%ebp)
  .byte  102,15,112,193,229                  // pshufd        $0xe5,%xmm1,%xmm0
  .byte  102,15,126,69,220                   // movd          %xmm0,-0x24(%ebp)
  .byte  243,15,126,69,216                   // movq          -0x28(%ebp),%xmm0
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,97,195                       // punpcklwd     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,162,142,76,0,0                // movaps        0x4c8e(%edx),%xmm4
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,235,233                      // por           %xmm1,%xmm5
  .byte  102,15,126,109,208                  // movd          %xmm5,-0x30(%ebp)
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,77,212                   // movd          %xmm1,-0x2c(%ebp)
  .byte  243,15,126,77,208                   // movq          -0x30(%ebp),%xmm1
  .byte  102,15,97,203                       // punpcklwd     %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,213                      // por           %xmm5,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  102,15,112,210,229                  // pshufd        $0xe5,%xmm2,%xmm2
  .byte  102,15,126,85,236                   // movd          %xmm2,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,113,214,8                    // psrlw         $0x8,%xmm6
  .byte  102,15,235,245                      // por           %xmm5,%xmm6
  .byte  102,15,126,117,224                  // movd          %xmm6,-0x20(%ebp)
  .byte  102,15,112,238,229                  // pshufd        $0xe5,%xmm6,%xmm5
  .byte  102,15,126,109,228                  // movd          %xmm5,-0x1c(%ebp)
  .byte  243,15,126,109,224                  // movq          -0x20(%ebp),%xmm5
  .byte  102,15,97,235                       // punpcklwd     %xmm3,%xmm5
  .byte  15,91,221                           // cvtdq2ps      %xmm5,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,60                          // add           $0x3c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  242,15,16,4,119                     // movsd         (%edi,%esi,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,251,1                           // cmp           $0x1,%ebx
  .byte  15,132,238,254,255,255              // je            57c4 <_sk_load_u16_be_sse2+0x3d>
  .byte  102,15,22,68,119,8                  // movhpd        0x8(%edi,%esi,2),%xmm0
  .byte  131,251,3                           // cmp           $0x3,%ebx
  .byte  15,130,223,254,255,255              // jb            57c4 <_sk_load_u16_be_sse2+0x3d>
  .byte  243,15,126,76,119,16                // movq          0x10(%edi,%esi,2),%xmm1
  .byte  233,212,254,255,255                 // jmp           57c4 <_sk_load_u16_be_sse2+0x3d>

HIDDEN _sk_load_rgb_u16_be_sse2
.globl _sk_load_rgb_u16_be_sse2
FUNCTION(_sk_load_rgb_u16_be_sse2)
_sk_load_rgb_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,28                          // sub           $0x1c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,114,4                           // mov           0x4(%edx),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,50                                // add           (%edx),%esi
  .byte  107,25,3                            // imul          $0x3,(%ecx),%ebx
  .byte  133,255                             // test          %edi,%edi
  .byte  232,0,0,0,0                         // call          5919 <_sk_load_rgb_u16_be_sse2+0x29>
  .byte  90                                  // pop           %edx
  .byte  15,133,240,0,0,0                    // jne           5a10 <_sk_load_rgb_u16_be_sse2+0x120>
  .byte  243,15,111,20,94                    // movdqu        (%esi,%ebx,2),%xmm2
  .byte  243,15,111,92,94,8                  // movdqu        0x8(%esi,%ebx,2),%xmm3
  .byte  102,15,115,219,4                    // psrldq        $0x4,%xmm3
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,115,216,6                    // psrldq        $0x6,%xmm0
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,115,217,6                    // psrldq        $0x6,%xmm1
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  102,15,97,193                       // punpcklwd     %xmm1,%xmm0
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,97,200                       // punpcklwd     %xmm0,%xmm1
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,15,105,208                      // punpckhwd     %xmm0,%xmm2
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,113,240,8                    // psllw         $0x8,%xmm0
  .byte  102,15,113,209,8                    // psrlw         $0x8,%xmm1
  .byte  102,15,235,200                      // por           %xmm0,%xmm1
  .byte  102,15,126,77,224                   // movd          %xmm1,-0x20(%ebp)
  .byte  102,15,112,193,229                  // pshufd        $0xe5,%xmm1,%xmm0
  .byte  102,15,126,69,228                   // movd          %xmm0,-0x1c(%ebp)
  .byte  243,15,126,69,224                   // movq          -0x20(%ebp),%xmm0
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,97,195                       // punpcklwd     %xmm3,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,40,170,55,75,0,0                 // movaps        0x4b37(%edx),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,113,241,8                    // psllw         $0x8,%xmm1
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,235,225                      // por           %xmm1,%xmm4
  .byte  102,15,126,101,216                  // movd          %xmm4,-0x28(%ebp)
  .byte  102,15,112,204,229                  // pshufd        $0xe5,%xmm4,%xmm1
  .byte  102,15,126,77,220                   // movd          %xmm1,-0x24(%ebp)
  .byte  243,15,126,77,216                   // movq          -0x28(%ebp),%xmm1
  .byte  102,15,97,203                       // punpcklwd     %xmm3,%xmm1
  .byte  15,91,201                           // cvtdq2ps      %xmm1,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  102,15,111,226                      // movdqa        %xmm2,%xmm4
  .byte  102,15,113,244,8                    // psllw         $0x8,%xmm4
  .byte  102,15,113,210,8                    // psrlw         $0x8,%xmm2
  .byte  102,15,235,212                      // por           %xmm4,%xmm2
  .byte  102,15,126,85,232                   // movd          %xmm2,-0x18(%ebp)
  .byte  102,15,112,210,229                  // pshufd        $0xe5,%xmm2,%xmm2
  .byte  102,15,126,85,236                   // movd          %xmm2,-0x14(%ebp)
  .byte  243,15,126,85,232                   // movq          -0x18(%ebp),%xmm2
  .byte  102,15,97,211                       // punpcklwd     %xmm3,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  141,112,8                           // lea           0x8(%eax),%esi
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,154,71,75,0,0                 // movaps        0x4b47(%edx),%xmm3
  .byte  86                                  // push          %esi
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,44                          // add           $0x2c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,110,20,94                    // movd          (%esi,%ebx,2),%xmm2
  .byte  102,15,196,84,94,4,2                // pinsrw        $0x2,0x4(%esi,%ebx,2),%xmm2
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  117,13                              // jne           5a32 <_sk_load_rgb_u16_be_sse2+0x142>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  102,15,239,192                      // pxor          %xmm0,%xmm0
  .byte  233,16,255,255,255                  // jmp           5942 <_sk_load_rgb_u16_be_sse2+0x52>
  .byte  102,15,110,68,94,6                  // movd          0x6(%esi,%ebx,2),%xmm0
  .byte  102,15,196,68,94,10,2               // pinsrw        $0x2,0xa(%esi,%ebx,2),%xmm0
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,18                              // jb            5a5a <_sk_load_rgb_u16_be_sse2+0x16a>
  .byte  102,15,110,92,94,12                 // movd          0xc(%esi,%ebx,2),%xmm3
  .byte  102,15,196,92,94,16,2               // pinsrw        $0x2,0x10(%esi,%ebx,2),%xmm3
  .byte  233,232,254,255,255                 // jmp           5942 <_sk_load_rgb_u16_be_sse2+0x52>
  .byte  102,15,239,219                      // pxor          %xmm3,%xmm3
  .byte  233,223,254,255,255                 // jmp           5942 <_sk_load_rgb_u16_be_sse2+0x52>

HIDDEN _sk_store_u16_be_sse2
.globl _sk_store_u16_be_sse2
FUNCTION(_sk_store_u16_be_sse2)
_sk_store_u16_be_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,16                          // sub           $0x10,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  232,0,0,0,0                         // call          5a74 <_sk_store_u16_be_sse2+0x11>
  .byte  88                                  // pop           %eax
  .byte  15,40,176,252,73,0,0                // movaps        0x49fc(%eax),%xmm6
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,89,230                           // mulps         %xmm6,%xmm4
  .byte  102,15,91,228                       // cvtps2dq      %xmm4,%xmm4
  .byte  102,15,114,244,16                   // pslld         $0x10,%xmm4
  .byte  102,15,114,228,16                   // psrad         $0x10,%xmm4
  .byte  102,15,107,228                      // packssdw      %xmm4,%xmm4
  .byte  102,15,111,236                      // movdqa        %xmm4,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,113,212,8                    // psrlw         $0x8,%xmm4
  .byte  102,15,235,229                      // por           %xmm5,%xmm4
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  102,15,91,253                       // cvtps2dq      %xmm5,%xmm7
  .byte  102,15,114,247,16                   // pslld         $0x10,%xmm7
  .byte  102,15,114,231,16                   // psrad         $0x10,%xmm7
  .byte  102,15,107,255                      // packssdw      %xmm7,%xmm7
  .byte  102,15,111,239                      // movdqa        %xmm7,%xmm5
  .byte  102,15,113,245,8                    // psllw         $0x8,%xmm5
  .byte  102,15,113,215,8                    // psrlw         $0x8,%xmm7
  .byte  102,15,235,253                      // por           %xmm5,%xmm7
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,89,238                           // mulps         %xmm6,%xmm5
  .byte  102,15,91,237                       // cvtps2dq      %xmm5,%xmm5
  .byte  102,15,114,245,16                   // pslld         $0x10,%xmm5
  .byte  102,15,114,229,16                   // psrad         $0x10,%xmm5
  .byte  102,15,107,237                      // packssdw      %xmm5,%xmm5
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,113,243,8                    // psllw         $0x8,%xmm3
  .byte  102,15,113,213,8                    // psrlw         $0x8,%xmm5
  .byte  102,15,235,235                      // por           %xmm3,%xmm5
  .byte  15,89,117,232                       // mulps         -0x18(%ebp),%xmm6
  .byte  102,15,91,222                       // cvtps2dq      %xmm6,%xmm3
  .byte  102,15,114,243,16                   // pslld         $0x10,%xmm3
  .byte  102,15,114,227,16                   // psrad         $0x10,%xmm3
  .byte  102,15,107,219                      // packssdw      %xmm3,%xmm3
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,113,246,8                    // psllw         $0x8,%xmm6
  .byte  102,15,113,211,8                    // psrlw         $0x8,%xmm3
  .byte  102,15,235,222                      // por           %xmm6,%xmm3
  .byte  102,15,97,231                       // punpcklwd     %xmm7,%xmm4
  .byte  102,15,97,235                       // punpcklwd     %xmm3,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  139,56                              // mov           (%eax),%edi
  .byte  139,119,4                           // mov           0x4(%edi),%esi
  .byte  15,175,113,4                        // imul          0x4(%ecx),%esi
  .byte  1,246                               // add           %esi,%esi
  .byte  3,55                                // add           (%edi),%esi
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  133,255                             // test          %edi,%edi
  .byte  117,45                              // jne           5b76 <_sk_store_u16_be_sse2+0x113>
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,98,221                       // punpckldq     %xmm5,%xmm3
  .byte  243,15,127,28,86                    // movdqu        %xmm3,(%esi,%edx,2)
  .byte  102,15,106,229                      // punpckhdq     %xmm5,%xmm4
  .byte  243,15,127,100,86,16                // movdqu        %xmm4,0x10(%esi,%edx,2)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,32                          // add           $0x20,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,98,245                       // punpckldq     %xmm5,%xmm6
  .byte  102,15,214,52,86                    // movq          %xmm6,(%esi,%edx,2)
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  116,216                             // je            5b60 <_sk_store_u16_be_sse2+0xfd>
  .byte  102,15,23,116,86,8                  // movhpd        %xmm6,0x8(%esi,%edx,2)
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,205                             // jb            5b60 <_sk_store_u16_be_sse2+0xfd>
  .byte  102,15,106,229                      // punpckhdq     %xmm5,%xmm4
  .byte  102,15,214,100,86,16                // movq          %xmm4,0x10(%esi,%edx,2)
  .byte  235,193                             // jmp           5b60 <_sk_store_u16_be_sse2+0xfd>

HIDDEN _sk_load_f32_sse2
.globl _sk_load_f32_sse2
FUNCTION(_sk_load_f32_sse2)
_sk_load_f32_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  141,52,189,0,0,0,0                  // lea           0x0(,%edi,4),%esi
  .byte  193,231,4                           // shl           $0x4,%edi
  .byte  15,16,36,23                         // movups        (%edi,%edx,1),%xmm4
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  133,255                             // test          %edi,%edi
  .byte  117,71                              // jne           5c16 <_sk_load_f32_sse2+0x77>
  .byte  15,16,84,178,16                     // movups        0x10(%edx,%esi,4),%xmm2
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  15,16,68,178,48                     // movups        0x30(%edx,%esi,4),%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,21,226                           // unpckhps      %xmm2,%xmm4
  .byte  15,21,216                           // unpckhps      %xmm0,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  117,8                               // jne           5c26 <_sk_load_f32_sse2+0x87>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  235,184                             // jmp           5bde <_sk_load_f32_sse2+0x3f>
  .byte  15,16,84,178,16                     // movups        0x10(%edx,%esi,4),%xmm2
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,7                               // jb            5c37 <_sk_load_f32_sse2+0x98>
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  235,167                             // jmp           5bde <_sk_load_f32_sse2+0x3f>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,162                             // jmp           5bde <_sk_load_f32_sse2+0x3f>

HIDDEN _sk_load_f32_dst_sse2
.globl _sk_load_f32_dst_sse2
FUNCTION(_sk_load_f32_dst_sse2)
_sk_load_f32_dst_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,32                          // sub           $0x20,%esp
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,41,85,232                        // movaps        %xmm2,-0x18(%ebp)
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,57                              // mov           (%ecx),%edi
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  141,52,189,0,0,0,0                  // lea           0x0(,%edi,4),%esi
  .byte  193,231,4                           // shl           $0x4,%edi
  .byte  15,16,52,23                         // movups        (%edi,%edx,1),%xmm6
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  133,255                             // test          %edi,%edi
  .byte  117,97                              // jne           5cd8 <_sk_load_f32_dst_sse2+0x9c>
  .byte  15,16,124,178,16                    // movups        0x10(%edx,%esi,4),%xmm7
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  15,16,84,178,48                     // movups        0x30(%edx,%esi,4),%xmm2
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,40,235                           // movaps        %xmm3,%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,21,247                           // unpckhps      %xmm7,%xmm6
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,213                       // unpcklpd      %xmm5,%xmm2
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,230                           // movaps        %xmm6,%xmm4
  .byte  102,15,20,227                       // unpcklpd      %xmm3,%xmm4
  .byte  15,18,222                           // movhlps       %xmm6,%xmm3
  .byte  102,15,41,81,16                     // movapd        %xmm2,0x10(%ecx)
  .byte  15,41,105,32                        // movaps        %xmm5,0x20(%ecx)
  .byte  102,15,41,97,48                     // movapd        %xmm4,0x30(%ecx)
  .byte  15,41,89,64                         // movaps        %xmm3,0x40(%ecx)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,85,232                        // movaps        -0x18(%ebp),%xmm2
  .byte  15,40,93,216                        // movaps        -0x28(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,48                          // add           $0x30,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  117,8                               // jne           5ce8 <_sk_load_f32_dst_sse2+0xac>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  235,158                             // jmp           5c86 <_sk_load_f32_dst_sse2+0x4a>
  .byte  15,16,124,178,16                    // movups        0x10(%edx,%esi,4),%xmm7
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,7                               // jb            5cf9 <_sk_load_f32_dst_sse2+0xbd>
  .byte  15,16,92,178,32                     // movups        0x20(%edx,%esi,4),%xmm3
  .byte  235,141                             // jmp           5c86 <_sk_load_f32_dst_sse2+0x4a>
  .byte  15,87,219                           // xorps         %xmm3,%xmm3
  .byte  235,136                             // jmp           5c86 <_sk_load_f32_dst_sse2+0x4a>

HIDDEN _sk_store_f32_sse2
.globl _sk_store_f32_sse2
FUNCTION(_sk_store_f32_sse2)
_sk_store_f32_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,25                              // mov           (%ecx),%ebx
  .byte  139,48                              // mov           (%eax),%esi
  .byte  139,86,4                            // mov           0x4(%esi),%edx
  .byte  15,175,81,4                         // imul          0x4(%ecx),%edx
  .byte  193,226,2                           // shl           $0x2,%edx
  .byte  3,22                                // add           (%esi),%edx
  .byte  141,52,157,0,0,0,0                  // lea           0x0(,%ebx,4),%esi
  .byte  193,227,4                           // shl           $0x4,%ebx
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  15,40,226                           // movaps        %xmm2,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  102,15,20,244                       // unpcklpd      %xmm4,%xmm6
  .byte  139,121,8                           // mov           0x8(%ecx),%edi
  .byte  102,15,17,52,19                     // movupd        %xmm6,(%ebx,%edx,1)
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,21,241                           // unpckhps      %xmm1,%xmm6
  .byte  15,40,250                           // movaps        %xmm2,%xmm7
  .byte  15,21,251                           // unpckhps      %xmm3,%xmm7
  .byte  15,18,229                           // movhlps       %xmm5,%xmm4
  .byte  15,40,238                           // movaps        %xmm6,%xmm5
  .byte  102,15,20,239                       // unpcklpd      %xmm7,%xmm5
  .byte  133,255                             // test          %edi,%edi
  .byte  117,40                              // jne           5d84 <_sk_store_f32_sse2+0x86>
  .byte  102,15,21,247                       // unpckhpd      %xmm7,%xmm6
  .byte  15,17,100,178,16                    // movups        %xmm4,0x10(%edx,%esi,4)
  .byte  102,15,17,108,178,32                // movupd        %xmm5,0x20(%edx,%esi,4)
  .byte  102,15,17,116,178,48                // movupd        %xmm6,0x30(%edx,%esi,4)
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret
  .byte  131,255,1                           // cmp           $0x1,%edi
  .byte  116,232                             // je            5d71 <_sk_store_f32_sse2+0x73>
  .byte  15,17,100,178,16                    // movups        %xmm4,0x10(%edx,%esi,4)
  .byte  131,255,3                           // cmp           $0x3,%edi
  .byte  114,222                             // jb            5d71 <_sk_store_f32_sse2+0x73>
  .byte  102,15,17,108,178,32                // movupd        %xmm5,0x20(%edx,%esi,4)
  .byte  235,214                             // jmp           5d71 <_sk_store_f32_sse2+0x73>

HIDDEN _sk_clamp_x_sse2
.globl _sk_clamp_x_sse2
FUNCTION(_sk_clamp_x_sse2)
_sk_clamp_x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,224                           // maxps         %xmm0,%xmm4
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,232                      // paddd         %xmm0,%xmm5
  .byte  15,93,229                           // minps         %xmm5,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_y_sse2
.globl _sk_clamp_y_sse2
FUNCTION(_sk_clamp_y_sse2)
_sk_clamp_y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  243,15,16,9                         // movss         (%ecx),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  15,93,229                           // minps         %xmm5,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_repeat_x_sse2
.globl _sk_repeat_x_sse2
FUNCTION(_sk_repeat_x_sse2)
_sk_repeat_x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5e18 <_sk_repeat_x_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  243,15,91,230                       // cvttps2dq     %xmm6,%xmm4
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,104,70,0,0                // andps         0x4668(%ecx),%xmm6
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,95,224                           // maxps         %xmm0,%xmm4
  .byte  102,15,118,192                      // pcmpeqd       %xmm0,%xmm0
  .byte  102,15,254,197                      // paddd         %xmm5,%xmm0
  .byte  15,93,224                           // minps         %xmm0,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_repeat_y_sse2
.globl _sk_repeat_y_sse2
FUNCTION(_sk_repeat_y_sse2)
_sk_repeat_y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5e7e <_sk_repeat_y_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  243,15,91,230                       // cvttps2dq     %xmm6,%xmm4
  .byte  15,91,252                           // cvtdq2ps      %xmm4,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,18,70,0,0                 // andps         0x4612(%ecx),%xmm6
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,95,225                           // maxps         %xmm1,%xmm4
  .byte  102,15,118,201                      // pcmpeqd       %xmm1,%xmm1
  .byte  102,15,254,205                      // paddd         %xmm5,%xmm1
  .byte  15,93,225                           // minps         %xmm1,%xmm4
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mirror_x_sse2
.globl _sk_mirror_x_sse2
FUNCTION(_sk_mirror_x_sse2)
_sk_mirror_x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5ee4 <_sk_mirror_x_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  243,15,89,177,60,75,0,0             // mulss         0x4b3c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  243,15,91,254                       // cvttps2dq     %xmm6,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,188,69,0,0                // andps         0x45bc(%ecx),%xmm6
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  243,15,88,237                       // addss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,95,197                           // maxps         %xmm5,%xmm0
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,236                      // paddd         %xmm4,%xmm5
  .byte  15,93,197                           // minps         %xmm5,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mirror_y_sse2
.globl _sk_mirror_y_sse2
FUNCTION(_sk_mirror_y_sse2)
_sk_mirror_y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5f69 <_sk_mirror_y_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,42                        // movss         (%edx),%xmm5
  .byte  243,15,16,114,4                     // movss         0x4(%edx),%xmm6
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  243,15,89,177,187,74,0,0            // mulss         0x4abb(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  243,15,91,254                       // cvttps2dq     %xmm6,%xmm7
  .byte  15,91,255                           // cvtdq2ps      %xmm7,%xmm7
  .byte  15,194,247,1                        // cmpltps       %xmm7,%xmm6
  .byte  15,84,177,71,69,0,0                 // andps         0x4547(%ecx),%xmm6
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  243,15,88,237                       // addss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,253                           // mulps         %xmm5,%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,84,233                           // andps         %xmm1,%xmm5
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,95,205                           // maxps         %xmm5,%xmm1
  .byte  102,15,118,237                      // pcmpeqd       %xmm5,%xmm5
  .byte  102,15,254,236                      // paddd         %xmm4,%xmm5
  .byte  15,93,205                           // minps         %xmm5,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clamp_x_1_sse2
.globl _sk_clamp_x_1_sse2
FUNCTION(_sk_clamp_x_1_sse2)
_sk_clamp_x_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          5fee <_sk_clamp_x_1_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,95,224                           // maxps         %xmm0,%xmm4
  .byte  15,93,160,210,68,0,0                // minps         0x44d2(%eax),%xmm4
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_repeat_x_1_sse2
.globl _sk_repeat_x_1_sse2
FUNCTION(_sk_repeat_x_1_sse2)
_sk_repeat_x_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          601e <_sk_repeat_x_1_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  243,15,91,224                       // cvttps2dq     %xmm0,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,194,236,1                        // cmpltps       %xmm4,%xmm5
  .byte  15,84,168,178,68,0,0                // andps         0x44b2(%eax),%xmm5
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mirror_x_1_sse2
.globl _sk_mirror_x_1_sse2
FUNCTION(_sk_mirror_x_1_sse2)
_sk_mirror_x_1_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          6059 <_sk_mirror_x_1_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,40,161,135,68,0,0                // movaps        0x4487(%ecx),%xmm4
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,40,169,151,68,0,0                // movaps        0x4497(%ecx),%xmm5
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,194,238,1                        // cmpltps       %xmm6,%xmm5
  .byte  15,84,169,167,68,0,0                // andps         0x44a7(%ecx),%xmm5
  .byte  15,87,255                           // xorps         %xmm7,%xmm7
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  15,88,246                           // addps         %xmm6,%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,92,248                           // subps         %xmm0,%xmm7
  .byte  15,84,199                           // andps         %xmm7,%xmm0
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_luminance_to_alpha_sse2
.globl _sk_luminance_to_alpha_sse2
FUNCTION(_sk_luminance_to_alpha_sse2)
_sk_luminance_to_alpha_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  232,0,0,0,0                         // call          60b7 <_sk_luminance_to_alpha_sse2+0xe>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,89,128,89,68,0,0                 // mulps         0x4459(%eax),%xmm0
  .byte  15,89,136,105,68,0,0                // mulps         0x4469(%eax),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,89,152,121,68,0,0                // mulps         0x4479(%eax),%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,87,192                           // xorps         %xmm0,%xmm0
  .byte  15,87,201                           // xorps         %xmm1,%xmm1
  .byte  15,87,210                           // xorps         %xmm2,%xmm2
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_translate_sse2
.globl _sk_matrix_translate_sse2
FUNCTION(_sk_matrix_translate_sse2)
_sk_matrix_translate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,33                        // movss         (%ecx),%xmm4
  .byte  243,15,16,105,4                     // movss         0x4(%ecx),%xmm5
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_scale_translate_sse2
.globl _sk_matrix_scale_translate_sse2
FUNCTION(_sk_matrix_scale_translate_sse2)
_sk_matrix_scale_translate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,97,8                      // movss         0x8(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  243,15,16,41                        // movss         (%ecx),%xmm5
  .byte  243,15,16,113,4                     // movss         0x4(%ecx),%xmm6
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  243,15,16,97,12                     // movss         0xc(%ecx),%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_2x3_sse2
.globl _sk_matrix_2x3_sse2
FUNCTION(_sk_matrix_2x3_sse2)
_sk_matrix_2x3_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,113,8                     // movss         0x8(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,16                    // movss         0x10(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,113,12                    // movss         0xc(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,20                    // movss         0x14(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_3x4_sse2
.globl _sk_matrix_3x4_sse2
FUNCTION(_sk_matrix_3x4_sse2)
_sk_matrix_3x4_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,105,24                    // movss         0x18(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,113,36                    // movss         0x24(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,12                    // movss         0xc(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  243,15,16,105,28                    // movss         0x1c(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,113,40                    // movss         0x28(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,16                    // movss         0x10(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  243,15,16,105,4                     // movss         0x4(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,32                    // movss         0x20(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,242                           // mulps         %xmm2,%xmm6
  .byte  243,15,16,81,44                     // movss         0x2c(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  243,15,16,121,20                    // movss         0x14(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_4x5_sse2
.globl _sk_matrix_4x5_sse2
FUNCTION(_sk_matrix_4x5_sse2)
_sk_matrix_4x5_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  137,77,252                          // mov           %ecx,-0x4(%ebp)
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,33                        // movss         (%ecx),%xmm4
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  243,15,16,113,48                    // movss         0x30(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,64                    // movss         0x40(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,32                    // movss         0x20(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,16                    // movss         0x10(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,113,52                    // movss         0x34(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,68                    // movss         0x44(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,36                    // movss         0x24(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,20                    // movss         0x14(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  243,15,16,113,56                    // movss         0x38(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,72                    // movss         0x48(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,40                    // movss         0x28(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,24                    // movss         0x18(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  243,15,16,121,8                     // movss         0x8(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  243,15,16,113,60                    // movss         0x3c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,243                           // mulps         %xmm3,%xmm6
  .byte  243,15,16,89,76                     // movss         0x4c(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,88,243                           // addps         %xmm3,%xmm6
  .byte  243,15,16,89,44                     // movss         0x2c(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,218                           // mulps         %xmm2,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  243,15,16,81,28                     // movss         0x1c(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,218                           // addps         %xmm2,%xmm3
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,215                           // movaps        %xmm7,%xmm2
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_4x3_sse2
.globl _sk_matrix_4x3_sse2
FUNCTION(_sk_matrix_4x3_sse2)
_sk_matrix_4x3_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,81,16                     // movss         0x10(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,32                     // movss         0x20(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,20                     // movss         0x14(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,36                     // movss         0x24(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,24                     // movss         0x18(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,15,16,113,40                    // movss         0x28(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,15,16,113,28                    // movss         0x1c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,121,44                    // movss         0x2c(%ecx),%xmm7
  .byte  15,198,255,0                        // shufps        $0x0,%xmm7,%xmm7
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,222                           // addps         %xmm6,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_matrix_perspective_sse2
.globl _sk_matrix_perspective_sse2
FUNCTION(_sk_matrix_perspective_sse2)
_sk_matrix_perspective_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,105,4                     // movss         0x4(%ecx),%xmm5
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  243,15,16,113,8                     // movss         0x8(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  243,15,16,113,16                    // movss         0x10(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  243,15,16,105,20                    // movss         0x14(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,245                           // addps         %xmm5,%xmm6
  .byte  243,15,16,105,12                    // movss         0xc(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,88,238                           // addps         %xmm6,%xmm5
  .byte  243,15,16,113,28                    // movss         0x1c(%ecx),%xmm6
  .byte  15,198,246,0                        // shufps        $0x0,%xmm6,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  243,15,16,73,32                     // movss         0x20(%ecx),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,88,241                           // addps         %xmm1,%xmm6
  .byte  243,15,16,73,24                     // movss         0x18(%ecx),%xmm1
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,83,201                           // rcpps         %xmm1,%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_evenly_spaced_gradient_sse2
.globl _sk_evenly_spaced_gradient_sse2
FUNCTION(_sk_evenly_spaced_gradient_sse2)
_sk_evenly_spaced_gradient_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  15,41,69,184                        // movaps        %xmm0,-0x48(%ebp)
  .byte  232,0,0,0,0                         // call          6554 <_sk_evenly_spaced_gradient_sse2+0x12>
  .byte  90                                  // pop           %edx
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  137,69,240                          // mov           %eax,-0x10(%ebp)
  .byte  139,9                               // mov           (%ecx),%ecx
  .byte  139,49                              // mov           (%ecx),%esi
  .byte  139,65,4                            // mov           0x4(%ecx),%eax
  .byte  78                                  // dec           %esi
  .byte  102,15,110,206                      // movd          %esi,%xmm1
  .byte  102,15,112,201,0                    // pshufd        $0x0,%xmm1,%xmm1
  .byte  102,15,111,146,236,63,0,0           // movdqa        0x3fec(%edx),%xmm2
  .byte  102,15,219,209                      // pand          %xmm1,%xmm2
  .byte  102,15,235,146,252,63,0,0           // por           0x3ffc(%edx),%xmm2
  .byte  102,15,114,209,16                   // psrld         $0x10,%xmm1
  .byte  102,15,235,138,12,64,0,0            // por           0x400c(%edx),%xmm1
  .byte  15,88,138,28,64,0,0                 // addps         0x401c(%edx),%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  243,15,91,201                       // cvttps2dq     %xmm1,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,112,217,231                  // pshufd        $0xe7,%xmm1,%xmm3
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  243,15,16,28,184                    // movss         (%eax,%edi,4),%xmm3
  .byte  243,15,16,52,144                    // movss         (%eax,%edx,4),%xmm6
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,36,176                    // movss         (%eax,%esi,4),%xmm4
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,12,152                    // movss         (%eax,%ebx,4),%xmm1
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  139,65,20                           // mov           0x14(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  243,15,16,4,176                     // movss         (%eax,%esi,4),%xmm0
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,52,144                    // movss         (%eax,%edx,4),%xmm6
  .byte  243,15,16,12,176                    // movss         (%eax,%esi,4),%xmm1
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  139,65,24                           // mov           0x18(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  243,15,16,4,176                     // movss         (%eax,%esi,4),%xmm0
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  139,65,12                           // mov           0xc(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,20,176                    // movss         (%eax,%esi,4),%xmm2
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  139,65,28                           // mov           0x1c(%ecx),%eax
  .byte  243,15,16,60,184                    // movss         (%eax,%edi,4),%xmm7
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  243,15,16,60,176                    // movss         (%eax,%esi,4),%xmm7
  .byte  243,15,16,44,152                    // movss         (%eax,%ebx,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  139,65,16                           // mov           0x10(%ecx),%eax
  .byte  243,15,16,28,184                    // movss         (%eax,%edi,4),%xmm3
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,4,152                     // movss         (%eax,%ebx,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  139,65,32                           // mov           0x20(%ecx),%eax
  .byte  243,15,16,4,184                     // movss         (%eax,%edi,4),%xmm0
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  243,15,16,4,176                     // movss         (%eax,%esi,4),%xmm0
  .byte  243,15,16,52,152                    // movss         (%eax,%ebx,4),%xmm6
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,40,109,184                       // movaps        -0x48(%ebp),%xmm5
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,101,200                       // addps         -0x38(%ebp),%xmm4
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,77,216                        // addps         -0x28(%ebp),%xmm1
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,221                           // mulps         %xmm5,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  141,74,8                            // lea           0x8(%edx),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  80                                  // push          %eax
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_gauss_a_to_rgba_sse2
.globl _sk_gauss_a_to_rgba_sse2
FUNCTION(_sk_gauss_a_to_rgba_sse2)
_sk_gauss_a_to_rgba_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          670a <_sk_gauss_a_to_rgba_sse2+0xb>
  .byte  88                                  // pop           %eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  15,40,128,118,62,0,0                // movaps        0x3e76(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,134,62,0,0                // addps         0x3e86(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,150,62,0,0                // addps         0x3e96(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,166,62,0,0                // addps         0x3ea6(%eax),%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,128,182,62,0,0                // addps         0x3eb6(%eax),%xmm0
  .byte  141,65,4                            // lea           0x4(%ecx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  15,40,208                           // movaps        %xmm0,%xmm2
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  80                                  // push          %eax
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,17                              // call          *(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_gradient_sse2
.globl _sk_gradient_sse2
FUNCTION(_sk_gradient_sse2)
_sk_gradient_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,60                          // sub           $0x3c,%esp
  .byte  232,0,0,0,0                         // call          6765 <_sk_gradient_sse2+0xe>
  .byte  95                                  // pop           %edi
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  141,81,4                            // lea           0x4(%ecx),%edx
  .byte  137,85,240                          // mov           %edx,-0x10(%ebp)
  .byte  139,9                               // mov           (%ecx),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  131,250,2                           // cmp           $0x2,%edx
  .byte  114,43                              // jb            67a7 <_sk_gradient_sse2+0x50>
  .byte  139,113,36                          // mov           0x24(%ecx),%esi
  .byte  74                                  // dec           %edx
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  102,15,239,201                      // pxor          %xmm1,%xmm1
  .byte  15,40,151,107,62,0,0                // movaps        0x3e6b(%edi),%xmm2
  .byte  243,15,16,30                        // movss         (%esi),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,194,216,2                        // cmpleps       %xmm0,%xmm3
  .byte  15,84,218                           // andps         %xmm2,%xmm3
  .byte  102,15,254,203                      // paddd         %xmm3,%xmm1
  .byte  131,198,4                           // add           $0x4,%esi
  .byte  74                                  // dec           %edx
  .byte  117,231                             // jne           678e <_sk_gradient_sse2+0x37>
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  139,65,4                            // mov           0x4(%ecx),%eax
  .byte  243,15,16,12,184                    // movss         (%eax,%edi,4),%xmm1
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,36,144                    // movss         (%eax,%edx,4),%xmm4
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,152                    // movss         (%eax,%ebx,4),%xmm2
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  139,65,20                           // mov           0x14(%ecx),%eax
  .byte  243,15,16,12,184                    // movss         (%eax,%edi,4),%xmm1
  .byte  243,15,16,52,176                    // movss         (%eax,%esi,4),%xmm6
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,41,101,184                       // movaps        %xmm4,-0x48(%ebp)
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  139,65,8                            // mov           0x8(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,12,144                    // movss         (%eax,%edx,4),%xmm1
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  15,41,109,200                       // movaps        %xmm5,-0x38(%ebp)
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  139,65,24                           // mov           0x18(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  243,15,16,36,144                    // movss         (%eax,%edx,4),%xmm4
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,41,101,216                       // movaps        %xmm4,-0x28(%ebp)
  .byte  139,65,12                           // mov           0xc(%ecx),%eax
  .byte  243,15,16,20,184                    // movss         (%eax,%edi,4),%xmm2
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,20,144                    // movss         (%eax,%edx,4),%xmm2
  .byte  243,15,16,60,152                    // movss         (%eax,%ebx,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  139,65,28                           // mov           0x1c(%ecx),%eax
  .byte  243,15,16,60,184                    // movss         (%eax,%edi,4),%xmm7
  .byte  243,15,16,28,176                    // movss         (%eax,%esi,4),%xmm3
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  243,15,16,60,144                    // movss         (%eax,%edx,4),%xmm7
  .byte  243,15,16,44,152                    // movss         (%eax,%ebx,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  139,65,16                           // mov           0x10(%ecx),%eax
  .byte  243,15,16,28,184                    // movss         (%eax,%edi,4),%xmm3
  .byte  243,15,16,44,176                    // movss         (%eax,%esi,4),%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  243,15,16,28,144                    // movss         (%eax,%edx,4),%xmm3
  .byte  243,15,16,52,152                    // movss         (%eax,%ebx,4),%xmm6
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  139,65,32                           // mov           0x20(%ecx),%eax
  .byte  243,15,16,44,184                    // movss         (%eax,%edi,4),%xmm5
  .byte  243,15,16,52,176                    // movss         (%eax,%esi,4),%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  243,15,16,44,144                    // movss         (%eax,%edx,4),%xmm5
  .byte  243,15,16,36,152                    // movss         (%eax,%ebx,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  15,40,101,184                       // movaps        -0x48(%ebp),%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,101,200                       // addps         -0x38(%ebp),%xmm4
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,77,216                        // addps         -0x28(%ebp),%xmm1
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  139,69,240                          // mov           -0x10(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,76                          // add           $0x4c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_evenly_spaced_2_stop_gradient_sse2
.globl _sk_evenly_spaced_2_stop_gradient_sse2
FUNCTION(_sk_evenly_spaced_2_stop_gradient_sse2)
_sk_evenly_spaced_2_stop_gradient_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,1                         // movss         (%ecx),%xmm0
  .byte  243,15,16,73,4                      // movss         0x4(%ecx),%xmm1
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  243,15,16,81,16                     // movss         0x10(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,198,201,0                        // shufps        $0x0,%xmm1,%xmm1
  .byte  243,15,16,81,20                     // movss         0x14(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  243,15,16,81,8                      // movss         0x8(%ecx),%xmm2
  .byte  15,198,210,0                        // shufps        $0x0,%xmm2,%xmm2
  .byte  243,15,16,89,24                     // movss         0x18(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  243,15,16,89,12                     // movss         0xc(%ecx),%xmm3
  .byte  15,198,219,0                        // shufps        $0x0,%xmm3,%xmm3
  .byte  243,15,16,105,28                    // movss         0x1c(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_unit_angle_sse2
.globl _sk_xy_to_unit_angle_sse2
FUNCTION(_sk_xy_to_unit_angle_sse2)
_sk_xy_to_unit_angle_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  15,40,209                           // movaps        %xmm1,%xmm2
  .byte  15,40,200                           // movaps        %xmm0,%xmm1
  .byte  232,0,0,0,0                         // call          69a1 <_sk_xy_to_unit_angle_sse2+0x18>
  .byte  88                                  // pop           %eax
  .byte  15,87,237                           // xorps         %xmm5,%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,84,233                           // andps         %xmm1,%xmm5
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,84,226                           // andps         %xmm2,%xmm4
  .byte  15,40,245                           // movaps        %xmm5,%xmm6
  .byte  15,93,244                           // minps         %xmm4,%xmm6
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,95,252                           // maxps         %xmm4,%xmm7
  .byte  15,94,247                           // divps         %xmm7,%xmm6
  .byte  15,40,254                           // movaps        %xmm6,%xmm7
  .byte  15,89,255                           // mulps         %xmm7,%xmm7
  .byte  15,40,128,63,60,0,0                 // movaps        0x3c3f(%eax),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,128,79,60,0,0                 // addps         0x3c4f(%eax),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,128,95,60,0,0                 // addps         0x3c5f(%eax),%xmm0
  .byte  15,89,199                           // mulps         %xmm7,%xmm0
  .byte  15,88,128,111,60,0,0                // addps         0x3c6f(%eax),%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,194,236,1                        // cmpltps       %xmm4,%xmm5
  .byte  15,40,176,127,60,0,0                // movaps        0x3c7f(%eax),%xmm6
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,84,245                           // andps         %xmm5,%xmm6
  .byte  15,85,232                           // andnps        %xmm0,%xmm5
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,86,238                           // orps          %xmm6,%xmm5
  .byte  15,194,204,1                        // cmpltps       %xmm4,%xmm1
  .byte  15,40,128,143,60,0,0                // movaps        0x3c8f(%eax),%xmm0
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,84,193                           // andps         %xmm1,%xmm0
  .byte  15,85,205                           // andnps        %xmm5,%xmm1
  .byte  15,86,200                           // orps          %xmm0,%xmm1
  .byte  15,40,194                           // movaps        %xmm2,%xmm0
  .byte  15,194,196,1                        // cmpltps       %xmm4,%xmm0
  .byte  15,40,168,159,60,0,0                // movaps        0x3c9f(%eax),%xmm5
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,84,232                           // andps         %xmm0,%xmm5
  .byte  15,85,193                           // andnps        %xmm1,%xmm0
  .byte  15,86,197                           // orps          %xmm5,%xmm0
  .byte  15,194,224,7                        // cmpordps      %xmm0,%xmm4
  .byte  15,84,224                           // andps         %xmm0,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,196                           // movaps        %xmm4,%xmm0
  .byte  15,40,202                           // movaps        %xmm2,%xmm1
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_radius_sse2
.globl _sk_xy_to_radius_sse2
FUNCTION(_sk_xy_to_radius_sse2)
_sk_xy_to_radius_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,225                           // movaps        %xmm1,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,81,196                           // sqrtps        %xmm4,%xmm0
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,16                              // call          *(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_2pt_conical_quadratic_max_sse2
.globl _sk_xy_to_2pt_conical_quadratic_max_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_max_sse2)
_sk_xy_to_2pt_conical_quadratic_max_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,40                    // movss         0x28(%ecx),%xmm5
  .byte  243,15,16,97,44                     // movss         0x2c(%ecx),%xmm4
  .byte  243,15,89,229                       // mulss         %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  232,0,0,0,0                         // call          6abe <_sk_xy_to_2pt_conical_quadratic_max_sse2+0x31>
  .byte  90                                  // pop           %edx
  .byte  243,15,89,237                       // mulss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  243,15,16,65,32                     // movss         0x20(%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,89,162,146,59,0,0                // mulps         0x3b92(%edx),%xmm4
  .byte  15,89,130,162,59,0,0                // mulps         0x3ba2(%edx),%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,81,237                           // sqrtps        %xmm5,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,162,178,59,0,0                // xorps         0x3bb2(%edx),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  243,15,16,105,36                    // movss         0x24(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,170,194,59,0,0                // mulps         0x3bc2(%edx),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,95,196                           // maxps         %xmm4,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_2pt_conical_quadratic_min_sse2
.globl _sk_xy_to_2pt_conical_quadratic_min_sse2
FUNCTION(_sk_xy_to_2pt_conical_quadratic_min_sse2)
_sk_xy_to_2pt_conical_quadratic_min_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  243,15,16,105,40                    // movss         0x28(%ecx),%xmm5
  .byte  243,15,16,97,44                     // movss         0x2c(%ecx),%xmm4
  .byte  243,15,89,229                       // mulss         %xmm5,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  232,0,0,0,0                         // call          6b5c <_sk_xy_to_2pt_conical_quadratic_min_sse2+0x31>
  .byte  90                                  // pop           %edx
  .byte  243,15,89,237                       // mulss         %xmm5,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,92,245                           // subps         %xmm5,%xmm6
  .byte  243,15,16,65,32                     // movss         0x20(%ecx),%xmm0
  .byte  15,198,192,0                        // shufps        $0x0,%xmm0,%xmm0
  .byte  15,89,162,52,59,0,0                 // mulps         0x3b34(%edx),%xmm4
  .byte  15,89,130,68,59,0,0                 // mulps         0x3b44(%edx),%xmm0
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,81,237                           // sqrtps        %xmm5,%xmm5
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,162,84,59,0,0                 // xorps         0x3b54(%edx),%xmm4
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  243,15,16,105,36                    // movss         0x24(%ecx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,89,170,100,59,0,0                // mulps         0x3b64(%edx),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,93,196                           // minps         %xmm4,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_xy_to_2pt_conical_linear_sse2
.globl _sk_xy_to_2pt_conical_linear_sse2
FUNCTION(_sk_xy_to_2pt_conical_linear_sse2)
_sk_xy_to_2pt_conical_linear_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  232,0,0,0,0                         // call          6bd4 <_sk_xy_to_2pt_conical_linear_sse2+0xb>
  .byte  89                                  // pop           %ecx
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,16                              // mov           (%eax),%edx
  .byte  243,15,16,98,40                     // movss         0x28(%edx),%xmm4
  .byte  243,15,16,106,44                    // movss         0x2c(%edx),%xmm5
  .byte  243,15,89,236                       // mulss         %xmm4,%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,89,169,252,58,0,0                // mulps         0x3afc(%ecx),%xmm5
  .byte  15,89,192                           // mulps         %xmm0,%xmm0
  .byte  15,40,241                           // movaps        %xmm1,%xmm6
  .byte  15,89,246                           // mulps         %xmm6,%xmm6
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  243,15,89,228                       // mulss         %xmm4,%xmm4
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,87,129,12,59,0,0                 // xorps         0x3b0c(%ecx),%xmm0
  .byte  15,94,197                           // divps         %xmm5,%xmm0
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_mask_2pt_conical_degenerates_sse2
.globl _sk_mask_2pt_conical_degenerates_sse2
FUNCTION(_sk_mask_2pt_conical_degenerates_sse2)
_sk_mask_2pt_conical_degenerates_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  243,15,16,98,40                     // movss         0x28(%edx),%xmm4
  .byte  243,15,16,106,44                    // movss         0x2c(%edx),%xmm5
  .byte  15,198,237,0                        // shufps        $0x0,%xmm5,%xmm5
  .byte  15,198,228,0                        // shufps        $0x0,%xmm4,%xmm4
  .byte  15,89,232                           // mulps         %xmm0,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,87,228                           // xorps         %xmm4,%xmm4
  .byte  15,40,240                           // movaps        %xmm0,%xmm6
  .byte  15,194,244,7                        // cmpordps      %xmm4,%xmm6
  .byte  15,194,229,2                        // cmpleps       %xmm5,%xmm4
  .byte  15,84,230                           // andps         %xmm6,%xmm4
  .byte  15,17,34                            // movups        %xmm4,(%edx)
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_apply_vector_mask_sse2
.globl _sk_apply_vector_mask_sse2
FUNCTION(_sk_apply_vector_mask_sse2)
_sk_apply_vector_mask_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,16,33                            // movups        (%ecx),%xmm4
  .byte  15,84,196                           // andps         %xmm4,%xmm0
  .byte  15,84,204                           // andps         %xmm4,%xmm1
  .byte  15,84,212                           // andps         %xmm4,%xmm2
  .byte  15,84,220                           // andps         %xmm4,%xmm3
  .byte  141,72,8                            // lea           0x8(%eax),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  255,117,8                           // pushl         0x8(%ebp)
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_save_xy_sse2
.globl _sk_save_xy_sse2
FUNCTION(_sk_save_xy_sse2)
_sk_save_xy_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,24                          // sub           $0x18,%esp
  .byte  15,41,93,232                        // movaps        %xmm3,-0x18(%ebp)
  .byte  15,40,218                           // movaps        %xmm2,%xmm3
  .byte  232,0,0,0,0                         // call          6cb1 <_sk_save_xy_sse2+0x12>
  .byte  88                                  // pop           %eax
  .byte  15,40,160,63,58,0,0                 // movaps        0x3a3f(%eax),%xmm4
  .byte  15,40,232                           // movaps        %xmm0,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  243,15,91,245                       // cvttps2dq     %xmm5,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,253                           // movaps        %xmm5,%xmm7
  .byte  15,194,254,1                        // cmpltps       %xmm6,%xmm7
  .byte  15,40,144,79,58,0,0                 // movaps        0x3a4f(%eax),%xmm2
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,92,238                           // subps         %xmm6,%xmm5
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  243,15,91,244                       // cvttps2dq     %xmm4,%xmm6
  .byte  15,91,246                           // cvtdq2ps      %xmm6,%xmm6
  .byte  15,40,252                           // movaps        %xmm4,%xmm7
  .byte  15,194,254,1                        // cmpltps       %xmm6,%xmm7
  .byte  15,84,250                           // andps         %xmm2,%xmm7
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  15,17,1                             // movups        %xmm0,(%ecx)
  .byte  15,17,73,32                         // movups        %xmm1,0x20(%ecx)
  .byte  15,17,105,64                        // movups        %xmm5,0x40(%ecx)
  .byte  15,17,97,96                         // movups        %xmm4,0x60(%ecx)
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  141,80,8                            // lea           0x8(%eax),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,211                           // movaps        %xmm3,%xmm2
  .byte  15,40,93,232                        // movaps        -0x18(%ebp),%xmm3
  .byte  82                                  // push          %edx
  .byte  81                                  // push          %ecx
  .byte  255,80,4                            // call          *0x4(%eax)
  .byte  131,196,40                          // add           $0x28,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_accumulate_sse2
.globl _sk_accumulate_sse2
FUNCTION(_sk_accumulate_sse2)
_sk_accumulate_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,77,12                           // mov           0xc(%ebp),%ecx
  .byte  139,17                              // mov           (%ecx),%edx
  .byte  15,16,162,128,0,0,0                 // movups        0x80(%edx),%xmm4
  .byte  15,16,170,160,0,0,0                 // movups        0xa0(%edx),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,96,16                         // addps         0x10(%eax),%xmm4
  .byte  15,41,96,16                         // movaps        %xmm4,0x10(%eax)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,96,32                         // addps         0x20(%eax),%xmm4
  .byte  15,41,96,32                         // movaps        %xmm4,0x20(%eax)
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,88,96,48                         // addps         0x30(%eax),%xmm4
  .byte  15,41,96,48                         // movaps        %xmm4,0x30(%eax)
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,104,64                        // addps         0x40(%eax),%xmm5
  .byte  15,41,104,64                        // movaps        %xmm5,0x40(%eax)
  .byte  141,81,8                            // lea           0x8(%ecx),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,81,4                            // call          *0x4(%ecx)
  .byte  131,196,24                          // add           $0x18,%esp
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_nx_sse2
.globl _sk_bilinear_nx_sse2
FUNCTION(_sk_bilinear_nx_sse2)
_sk_bilinear_nx_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6d93 <_sk_bilinear_nx_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,125,57,0,0                // addps         0x397d(%eax),%xmm0
  .byte  15,40,168,141,57,0,0                // movaps        0x398d(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,17,174,128,0,0,0                 // movups        %xmm5,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_px_sse2
.globl _sk_bilinear_px_sse2
FUNCTION(_sk_bilinear_px_sse2)
_sk_bilinear_px_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6dd6 <_sk_bilinear_px_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,90,57,0,0                 // addps         0x395a(%eax),%xmm0
  .byte  15,17,166,128,0,0,0                 // movups        %xmm4,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_ny_sse2
.globl _sk_bilinear_ny_sse2
FUNCTION(_sk_bilinear_ny_sse2)
_sk_bilinear_ny_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6e0f <_sk_bilinear_ny_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,49,57,0,0                 // addps         0x3931(%eax),%xmm1
  .byte  15,40,168,65,57,0,0                 // movaps        0x3941(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,17,174,160,0,0,0                 // movups        %xmm5,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bilinear_py_sse2
.globl _sk_bilinear_py_sse2
FUNCTION(_sk_bilinear_py_sse2)
_sk_bilinear_py_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6e53 <_sk_bilinear_py_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,13,57,0,0                 // addps         0x390d(%eax),%xmm1
  .byte  15,17,166,160,0,0,0                 // movups        %xmm4,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n3x_sse2
.globl _sk_bicubic_n3x_sse2
FUNCTION(_sk_bicubic_n3x_sse2)
_sk_bicubic_n3x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6e8d <_sk_bicubic_n3x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,227,56,0,0                // addps         0x38e3(%eax),%xmm0
  .byte  15,40,168,243,56,0,0                // movaps        0x38f3(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,89,168,3,57,0,0                  // mulps         0x3903(%eax),%xmm5
  .byte  15,88,168,19,57,0,0                 // addps         0x3913(%eax),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,17,174,128,0,0,0                 // movups        %xmm5,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n1x_sse2
.globl _sk_bicubic_n1x_sse2
FUNCTION(_sk_bicubic_n1x_sse2)
_sk_bicubic_n1x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6ee7 <_sk_bicubic_n1x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,201,56,0,0                // addps         0x38c9(%eax),%xmm0
  .byte  15,40,168,217,56,0,0                // movaps        0x38d9(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,160,233,56,0,0                // movaps        0x38e9(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,249,56,0,0                // addps         0x38f9(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,9,57,0,0                  // addps         0x3909(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,25,57,0,0                 // addps         0x3919(%eax),%xmm4
  .byte  15,17,166,128,0,0,0                 // movups        %xmm4,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p1x_sse2
.globl _sk_bicubic_p1x_sse2
FUNCTION(_sk_bicubic_p1x_sse2)
_sk_bicubic_p1x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6f4f <_sk_bicubic_p1x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,40,160,193,56,0,0                // movaps        0x38c1(%eax),%xmm4
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,110,64                        // movups        0x40(%esi),%xmm5
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,40,176,209,56,0,0                // movaps        0x38d1(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,225,56,0,0                // addps         0x38e1(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,241,56,0,0                // addps         0x38f1(%eax),%xmm6
  .byte  15,17,182,128,0,0,0                 // movups        %xmm6,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p3x_sse2
.globl _sk_bicubic_p3x_sse2
FUNCTION(_sk_bicubic_p3x_sse2)
_sk_bicubic_p3x_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6fac <_sk_bicubic_p3x_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,6                             // movups        (%esi),%xmm0
  .byte  15,16,102,64                        // movups        0x40(%esi),%xmm4
  .byte  15,88,128,164,56,0,0                // addps         0x38a4(%eax),%xmm0
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,89,160,180,56,0,0                // mulps         0x38b4(%eax),%xmm4
  .byte  15,88,160,196,56,0,0                // addps         0x38c4(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,17,166,128,0,0,0                 // movups        %xmm4,0x80(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n3y_sse2
.globl _sk_bicubic_n3y_sse2
FUNCTION(_sk_bicubic_n3y_sse2)
_sk_bicubic_n3y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          6ffc <_sk_bicubic_n3y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,132,56,0,0                // addps         0x3884(%eax),%xmm1
  .byte  15,40,168,148,56,0,0                // movaps        0x3894(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,89,228                           // mulps         %xmm4,%xmm4
  .byte  15,89,168,164,56,0,0                // mulps         0x38a4(%eax),%xmm5
  .byte  15,88,168,180,56,0,0                // addps         0x38b4(%eax),%xmm5
  .byte  15,89,236                           // mulps         %xmm4,%xmm5
  .byte  15,17,174,160,0,0,0                 // movups        %xmm5,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_n1y_sse2
.globl _sk_bicubic_n1y_sse2
FUNCTION(_sk_bicubic_n1y_sse2)
_sk_bicubic_n1y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          7057 <_sk_bicubic_n1y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,105,56,0,0                // addps         0x3869(%eax),%xmm1
  .byte  15,40,168,121,56,0,0                // movaps        0x3879(%eax),%xmm5
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,40,160,137,56,0,0                // movaps        0x3889(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,153,56,0,0                // addps         0x3899(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,169,56,0,0                // addps         0x38a9(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,88,160,185,56,0,0                // addps         0x38b9(%eax),%xmm4
  .byte  15,17,166,160,0,0,0                 // movups        %xmm4,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p1y_sse2
.globl _sk_bicubic_p1y_sse2
FUNCTION(_sk_bicubic_p1y_sse2)
_sk_bicubic_p1y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          70c0 <_sk_bicubic_p1y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,40,160,96,56,0,0                 // movaps        0x3860(%eax),%xmm4
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,110,96                        // movups        0x60(%esi),%xmm5
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,176,112,56,0,0                // movaps        0x3870(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,128,56,0,0                // addps         0x3880(%eax),%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,244                           // addps         %xmm4,%xmm6
  .byte  15,89,245                           // mulps         %xmm5,%xmm6
  .byte  15,88,176,144,56,0,0                // addps         0x3890(%eax),%xmm6
  .byte  15,17,182,160,0,0,0                 // movups        %xmm6,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_bicubic_p3y_sse2
.globl _sk_bicubic_p3y_sse2
FUNCTION(_sk_bicubic_p3y_sse2)
_sk_bicubic_p3y_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  86                                  // push          %esi
  .byte  80                                  // push          %eax
  .byte  232,0,0,0,0                         // call          711e <_sk_bicubic_p3y_sse2+0xa>
  .byte  88                                  // pop           %eax
  .byte  139,77,8                            // mov           0x8(%ebp),%ecx
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  139,50                              // mov           (%edx),%esi
  .byte  15,16,78,32                         // movups        0x20(%esi),%xmm1
  .byte  15,16,102,96                        // movups        0x60(%esi),%xmm4
  .byte  15,88,136,66,56,0,0                 // addps         0x3842(%eax),%xmm1
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,89,237                           // mulps         %xmm5,%xmm5
  .byte  15,89,160,82,56,0,0                 // mulps         0x3852(%eax),%xmm4
  .byte  15,88,160,98,56,0,0                 // addps         0x3862(%eax),%xmm4
  .byte  15,89,229                           // mulps         %xmm5,%xmm4
  .byte  15,17,166,160,0,0,0                 // movups        %xmm4,0xa0(%esi)
  .byte  141,66,8                            // lea           0x8(%edx),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  81                                  // push          %ecx
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  131,196,20                          // add           $0x14,%esp
  .byte  94                                  // pop           %esi
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_callback_sse2
.globl _sk_callback_sse2
FUNCTION(_sk_callback_sse2)
_sk_callback_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  131,236,12                          // sub           $0xc,%esp
  .byte  139,117,12                          // mov           0xc(%ebp),%esi
  .byte  139,125,8                           // mov           0x8(%ebp),%edi
  .byte  139,71,8                            // mov           0x8(%edi),%eax
  .byte  139,30                              // mov           (%esi),%ebx
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,40,234                           // movaps        %xmm2,%xmm5
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,21,193                           // unpckhps      %xmm1,%xmm0
  .byte  15,21,211                           // unpckhps      %xmm3,%xmm2
  .byte  15,40,204                           // movaps        %xmm4,%xmm1
  .byte  102,15,20,205                       // unpcklpd      %xmm5,%xmm1
  .byte  15,18,236                           // movhlps       %xmm4,%xmm5
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  102,15,20,218                       // unpcklpd      %xmm2,%xmm3
  .byte  102,15,17,75,4                      // movupd        %xmm1,0x4(%ebx)
  .byte  15,18,208                           // movhlps       %xmm0,%xmm2
  .byte  15,17,107,20                        // movups        %xmm5,0x14(%ebx)
  .byte  102,15,17,91,36                     // movupd        %xmm3,0x24(%ebx)
  .byte  15,17,83,52                         // movups        %xmm2,0x34(%ebx)
  .byte  133,192                             // test          %eax,%eax
  .byte  185,4,0,0,0                         // mov           $0x4,%ecx
  .byte  15,69,200                           // cmovne        %eax,%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  81                                  // push          %ecx
  .byte  83                                  // push          %ebx
  .byte  255,19                              // call          *(%ebx)
  .byte  131,196,16                          // add           $0x10,%esp
  .byte  139,131,132,0,0,0                   // mov           0x84(%ebx),%eax
  .byte  15,16,32                            // movups        (%eax),%xmm4
  .byte  15,16,64,16                         // movups        0x10(%eax),%xmm0
  .byte  15,16,88,32                         // movups        0x20(%eax),%xmm3
  .byte  15,16,80,48                         // movups        0x30(%eax),%xmm2
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,40,203                           // movaps        %xmm3,%xmm1
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,21,224                           // unpckhps      %xmm0,%xmm4
  .byte  15,21,218                           // unpckhps      %xmm2,%xmm3
  .byte  15,40,197                           // movaps        %xmm5,%xmm0
  .byte  102,15,20,193                       // unpcklpd      %xmm1,%xmm0
  .byte  15,18,205                           // movhlps       %xmm5,%xmm1
  .byte  15,40,212                           // movaps        %xmm4,%xmm2
  .byte  102,15,20,211                       // unpcklpd      %xmm3,%xmm2
  .byte  15,18,220                           // movhlps       %xmm4,%xmm3
  .byte  141,70,8                            // lea           0x8(%esi),%eax
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  80                                  // push          %eax
  .byte  87                                  // push          %edi
  .byte  255,86,4                            // call          *0x4(%esi)
  .byte  131,196,28                          // add           $0x1c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clut_3D_sse2
.globl _sk_clut_3D_sse2
FUNCTION(_sk_clut_3D_sse2)
_sk_clut_3D_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  129,236,44,1,0,0                    // sub           $0x12c,%esp
  .byte  15,41,157,200,254,255,255           // movaps        %xmm3,-0x138(%ebp)
  .byte  15,40,216                           // movaps        %xmm0,%xmm3
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  137,141,4,255,255,255               // mov           %ecx,-0xfc(%ebp)
  .byte  139,8                               // mov           (%eax),%ecx
  .byte  139,81,12                           // mov           0xc(%ecx),%edx
  .byte  141,114,255                         // lea           -0x1(%edx),%esi
  .byte  102,15,110,198                      // movd          %esi,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,40,224                           // movaps        %xmm0,%xmm4
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,240,0                    // pshufd        $0x0,%xmm0,%xmm6
  .byte  102,15,127,117,136                  // movdqa        %xmm6,-0x78(%ebp)
  .byte  139,81,8                            // mov           0x8(%ecx),%edx
  .byte  141,114,255                         // lea           -0x1(%edx),%esi
  .byte  102,15,110,214                      // movd          %esi,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,41,149,56,255,255,255            // movaps        %xmm2,-0xc8(%ebp)
  .byte  243,15,91,234                       // cvttps2dq     %xmm2,%xmm5
  .byte  102,15,127,173,8,255,255,255        // movdqa        %xmm5,-0xf8(%ebp)
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,244,206                      // pmuludq       %xmm6,%xmm1
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,205,245                  // pshufd        $0xf5,%xmm5,%xmm1
  .byte  102,15,244,206                      // pmuludq       %xmm6,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,209                       // punpckldq     %xmm1,%xmm2
  .byte  102,15,127,149,24,255,255,255       // movdqa        %xmm2,-0xe8(%ebp)
  .byte  102,15,110,202                      // movd          %edx,%xmm1
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  139,81,4                            // mov           0x4(%ecx),%edx
  .byte  74                                  // dec           %edx
  .byte  102,15,110,194                      // movd          %edx,%xmm0
  .byte  102,15,112,192,0                    // pshufd        $0x0,%xmm0,%xmm0
  .byte  15,91,192                           // cvtdq2ps      %xmm0,%xmm0
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  102,15,112,217,0                    // pshufd        $0x0,%xmm1,%xmm3
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,127,69,152                   // movdqa        %xmm0,-0x68(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,233,232                  // pshufd        $0xe8,%xmm1,%xmm5
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,112,195,245                  // pshufd        $0xf5,%xmm3,%xmm0
  .byte  102,15,127,133,120,255,255,255      // movdqa        %xmm0,-0x88(%ebp)
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,233                       // punpckldq     %xmm1,%xmm5
  .byte  102,15,127,173,104,255,255,255      // movdqa        %xmm5,-0x98(%ebp)
  .byte  232,0,0,0,0                         // call          7312 <_sk_clut_3D_sse2+0xff>
  .byte  90                                  // pop           %edx
  .byte  243,15,91,196                       // cvttps2dq     %xmm4,%xmm0
  .byte  102,15,127,133,232,254,255,255      // movdqa        %xmm0,-0x118(%ebp)
  .byte  15,40,244                           // movaps        %xmm4,%xmm6
  .byte  15,41,181,216,254,255,255           // movaps        %xmm6,-0x128(%ebp)
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,111,205                      // movdqa        %xmm5,%xmm1
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,111,130,142,54,0,0           // movdqa        0x368e(%edx),%xmm0
  .byte  102,15,127,133,88,255,255,255       // movdqa        %xmm0,-0xa8(%ebp)
  .byte  102,15,112,225,245                  // pshufd        $0xf5,%xmm1,%xmm4
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,204                       // punpckldq     %xmm4,%xmm1
  .byte  102,15,112,225,229                  // pshufd        $0xe5,%xmm1,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,225,78                   // pshufd        $0x4e,%xmm1,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,225,231                  // pshufd        $0xe7,%xmm1,%xmm4
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  139,9                               // mov           (%ecx),%ecx
  .byte  243,15,16,36,153                    // movss         (%ecx,%ebx,4),%xmm4
  .byte  243,15,16,60,177                    // movss         (%ecx,%esi,4),%xmm7
  .byte  15,20,252                           // unpcklps      %xmm4,%xmm7
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,41,69,168                        // movaps        %xmm0,-0x58(%ebp)
  .byte  102,15,111,130,158,54,0,0           // movdqa        0x369e(%edx),%xmm0
  .byte  102,15,127,133,72,255,255,255       // movdqa        %xmm0,-0xb8(%ebp)
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,254,224                      // paddd         %xmm0,%xmm4
  .byte  102,15,112,252,229                  // pshufd        $0xe5,%xmm4,%xmm7
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,112,252,78                   // pshufd        $0x4e,%xmm4,%xmm7
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  243,15,16,60,153                    // movss         (%ecx,%ebx,4),%xmm7
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  15,20,252                           // unpcklps      %xmm4,%xmm7
  .byte  15,20,248                           // unpcklps      %xmm0,%xmm7
  .byte  102,15,111,130,174,54,0,0           // movdqa        0x36ae(%edx),%xmm0
  .byte  102,15,127,69,216                   // movdqa        %xmm0,-0x28(%ebp)
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,112,193,229                  // pshufd        $0xe5,%xmm1,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,193,78                   // pshufd        $0x4e,%xmm1,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,193,231                  // pshufd        $0xe7,%xmm1,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,153                     // movss         (%ecx,%ebx,4),%xmm0
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  243,15,16,44,185                    // movss         (%ecx,%edi,4),%xmm5
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,40,130,126,54,0,0                // movaps        0x367e(%edx),%xmm0
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,41,117,184                       // movaps        %xmm6,-0x48(%ebp)
  .byte  15,40,141,56,255,255,255            // movaps        -0xc8(%ebp),%xmm1
  .byte  15,88,200                           // addps         %xmm0,%xmm1
  .byte  15,41,141,40,255,255,255            // movaps        %xmm1,-0xd8(%ebp)
  .byte  15,88,69,200                        // addps         -0x38(%ebp),%xmm0
  .byte  243,15,91,192                       // cvttps2dq     %xmm0,%xmm0
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,192,245                  // pshufd        $0xf5,%xmm0,%xmm0
  .byte  102,15,244,133,120,255,255,255      // pmuludq       -0x88(%ebp),%xmm0
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,127,157,120,255,255,255      // movdqa        %xmm3,-0x88(%ebp)
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,218,245                  // pshufd        $0xf5,%xmm2,%xmm3
  .byte  102,15,111,141,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm1
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,15,244,217                      // pmuludq       %xmm1,%xmm3
  .byte  102,15,112,211,232                  // pshufd        $0xe8,%xmm3,%xmm2
  .byte  102,15,98,194                       // punpckldq     %xmm2,%xmm0
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,112,208,231                  // pshufd        $0xe7,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  243,15,16,20,145                    // movss         (%ecx,%edx,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,111,208                      // movdqa        %xmm0,%xmm2
  .byte  102,15,254,149,72,255,255,255       // paddd         -0xb8(%ebp),%xmm2
  .byte  102,15,112,242,229                  // pshufd        $0xe5,%xmm2,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,185                    // movss         (%ecx,%edi,4),%xmm2
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,254,69,216                   // paddd         -0x28(%ebp),%xmm0
  .byte  102,15,112,224,229                  // pshufd        $0xe5,%xmm0,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,224,78                   // pshufd        $0x4e,%xmm0,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,185                     // movss         (%ecx,%edi,4),%xmm0
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  243,15,16,28,177                    // movss         (%ecx,%esi,4),%xmm3
  .byte  243,15,16,52,145                    // movss         (%ecx,%edx,4),%xmm6
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  15,20,220                           // unpcklps      %xmm4,%xmm3
  .byte  15,91,101,152                       // cvtdq2ps      -0x68(%ebp),%xmm4
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,41,69,200                        // movaps        %xmm0,-0x38(%ebp)
  .byte  15,40,101,168                       // movaps        -0x58(%ebp),%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,41,77,152                        // movaps        %xmm1,-0x68(%ebp)
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  243,15,91,141,40,255,255,255        // cvttps2dq     -0xd8(%ebp),%xmm1
  .byte  102,15,112,225,245                  // pshufd        $0xf5,%xmm1,%xmm4
  .byte  102,15,111,69,136                   // movdqa        -0x78(%ebp),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,112,204,232                  // pshufd        $0xe8,%xmm4,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,127,69,136                   // movdqa        %xmm0,-0x78(%ebp)
  .byte  102,15,111,248                      // movdqa        %xmm0,%xmm7
  .byte  102,15,254,189,232,254,255,255      // paddd         -0x118(%ebp),%xmm7
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,254,141,104,255,255,255      // paddd         -0x98(%ebp),%xmm1
  .byte  102,15,112,225,245                  // pshufd        $0xf5,%xmm1,%xmm4
  .byte  102,15,111,133,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,233,232                  // pshufd        $0xe8,%xmm1,%xmm5
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,204,232                  // pshufd        $0xe8,%xmm4,%xmm1
  .byte  102,15,98,233                       // punpckldq     %xmm1,%xmm5
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,205,78                   // pshufd        $0x4e,%xmm5,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  243,15,16,52,145                    // movss         (%ecx,%edx,4),%xmm6
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,41,141,40,255,255,255            // movaps        %xmm1,-0xd8(%ebp)
  .byte  102,15,111,229                      // movdqa        %xmm5,%xmm4
  .byte  102,15,111,149,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm2
  .byte  102,15,254,226                      // paddd         %xmm2,%xmm4
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  243,15,16,36,177                    // movss         (%ecx,%esi,4),%xmm4
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,225                           // unpcklps      %xmm1,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  102,15,254,109,216                  // paddd         -0x28(%ebp),%xmm5
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,205,78                   // pshufd        $0x4e,%xmm5,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,44,177                    // movss         (%ecx,%esi,4),%xmm5
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,254,189,120,255,255,255      // paddd         -0x88(%ebp),%xmm7
  .byte  102,15,112,207,245                  // pshufd        $0xf5,%xmm7,%xmm1
  .byte  102,15,244,248                      // pmuludq       %xmm0,%xmm7
  .byte  102,15,112,255,232                  // pshufd        $0xe8,%xmm7,%xmm7
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,249                       // punpckldq     %xmm1,%xmm7
  .byte  102,15,112,207,229                  // pshufd        $0xe5,%xmm7,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,207,78                   // pshufd        $0x4e,%xmm7,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,207,231                  // pshufd        $0xe7,%xmm7,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  102,15,111,207                      // movdqa        %xmm7,%xmm1
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,112,241,229                  // pshufd        $0xe5,%xmm1,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,254,125,216                  // paddd         -0x28(%ebp),%xmm7
  .byte  102,15,112,207,229                  // pshufd        $0xe5,%xmm7,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,207,78                   // pshufd        $0x4e,%xmm7,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,112,207,231                  // pshufd        $0xe7,%xmm7,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,60,177                    // movss         (%ecx,%esi,4),%xmm7
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  15,40,181,40,255,255,255            // movaps        -0xd8(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,92,253                           // subps         %xmm5,%xmm7
  .byte  15,89,249                           // mulps         %xmm1,%xmm7
  .byte  15,88,253                           // addps         %xmm5,%xmm7
  .byte  15,91,141,8,255,255,255             // cvtdq2ps      -0xf8(%ebp),%xmm1
  .byte  15,40,165,56,255,255,255            // movaps        -0xc8(%ebp),%xmm4
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,165,56,255,255,255            // movaps        %xmm4,-0xc8(%ebp)
  .byte  15,40,77,152                        // movaps        -0x68(%ebp),%xmm1
  .byte  15,92,193                           // subps         %xmm1,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,193                           // addps         %xmm1,%xmm0
  .byte  15,41,69,152                        // movaps        %xmm0,-0x68(%ebp)
  .byte  15,40,69,168                        // movaps        -0x58(%ebp),%xmm0
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,41,85,168                        // movaps        %xmm2,-0x58(%ebp)
  .byte  15,92,251                           // subps         %xmm3,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,251                           // addps         %xmm3,%xmm7
  .byte  15,41,189,8,255,255,255             // movaps        %xmm7,-0xf8(%ebp)
  .byte  243,15,91,77,184                    // cvttps2dq     -0x48(%ebp),%xmm1
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,111,133,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,111,141,104,255,255,255      // movdqa        -0x98(%ebp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,240                      // movdqa        %xmm0,%xmm6
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,133,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,217,232                  // pshufd        $0xe8,%xmm1,%xmm3
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,112,202,232                  // pshufd        $0xe8,%xmm2,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,112,203,229                  // pshufd        $0xe5,%xmm3,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,203,78                   // pshufd        $0x4e,%xmm3,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,203,231                  // pshufd        $0xe7,%xmm3,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,252                           // unpcklps      %xmm4,%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  102,15,111,211                      // movdqa        %xmm3,%xmm2
  .byte  102,15,111,133,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm0
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,112,226,229                  // pshufd        $0xe5,%xmm2,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,226,78                   // pshufd        $0x4e,%xmm2,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,185                    // movss         (%ecx,%edi,4),%xmm2
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,44,145                    // movss         (%ecx,%edx,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  102,15,254,93,216                   // paddd         -0x28(%ebp),%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  243,15,16,28,185                    // movss         (%ecx,%edi,4),%xmm3
  .byte  243,15,16,36,129                    // movss         (%ecx,%eax,4),%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  243,15,16,44,177                    // movss         (%ecx,%esi,4),%xmm5
  .byte  243,15,16,28,145                    // movss         (%ecx,%edx,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,111,222                      // movdqa        %xmm6,%xmm3
  .byte  102,15,254,157,120,255,255,255      // paddd         -0x88(%ebp),%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,15,111,141,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm1
  .byte  102,15,244,217                      // pmuludq       %xmm1,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,225                      // pmuludq       %xmm1,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,226                      // movd          %xmm4,%edx
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  243,15,16,36,177                    // movss         (%ecx,%esi,4),%xmm4
  .byte  243,15,16,52,129                    // movss         (%ecx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,254,224                      // paddd         %xmm0,%xmm4
  .byte  102,15,112,244,229                  // pshufd        $0xe5,%xmm4,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,244,78                   // pshufd        $0x4e,%xmm4,%xmm6
  .byte  102,15,126,242                      // movd          %xmm6,%edx
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,185                    // movss         (%ecx,%edi,4),%xmm4
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  243,15,16,52,177                    // movss         (%ecx,%esi,4),%xmm6
  .byte  243,15,16,36,145                    // movss         (%ecx,%edx,4),%xmm4
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  102,15,254,93,216                   // paddd         -0x28(%ebp),%xmm3
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,185                     // movss         (%ecx,%edi,4),%xmm0
  .byte  243,15,16,28,129                    // movss         (%ecx,%eax,4),%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,15,16,36,177                    // movss         (%ecx,%esi,4),%xmm4
  .byte  243,15,16,4,145                     // movss         (%ecx,%edx,4),%xmm0
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,141,24,255,255,255            // movaps        %xmm1,-0xe8(%ebp)
  .byte  15,92,242                           // subps         %xmm2,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,242                           // addps         %xmm2,%xmm6
  .byte  15,92,229                           // subps         %xmm5,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,229                           // addps         %xmm5,%xmm4
  .byte  102,15,111,77,136                   // movdqa        -0x78(%ebp),%xmm1
  .byte  102,15,254,77,184                   // paddd         -0x48(%ebp),%xmm1
  .byte  102,15,127,77,136                   // movdqa        %xmm1,-0x78(%ebp)
  .byte  102,15,111,133,104,255,255,255      // movdqa        -0x98(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,189,88,255,255,255       // movdqa        -0xa8(%ebp),%xmm7
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,28,129                    // movss         (%ecx,%eax,4),%xmm3
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,157,104,255,255,255           // movaps        %xmm3,-0x98(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,173,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm5
  .byte  102,15,254,205                      // paddd         %xmm5,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,210                      // movd          %xmm2,%edx
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,20,129                    // movss         (%ecx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,15,16,28,177                    // movss         (%ecx,%esi,4),%xmm3
  .byte  243,15,16,12,145                    // movss         (%ecx,%edx,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,93,184                        // movaps        %xmm3,-0x48(%ebp)
  .byte  102,15,254,69,216                   // paddd         -0x28(%ebp),%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,185                     // movss         (%ecx,%edi,4),%xmm0
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,28,177                    // movss         (%ecx,%esi,4),%xmm3
  .byte  243,15,16,4,145                     // movss         (%ecx,%edx,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,111,77,136                   // movdqa        -0x78(%ebp),%xmm1
  .byte  102,15,254,141,120,255,255,255      // paddd         -0x88(%ebp),%xmm1
  .byte  102,15,112,193,245                  // pshufd        $0xf5,%xmm1,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,194                      // movd          %xmm0,%edx
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  243,15,16,4,177                     // movss         (%ecx,%esi,4),%xmm0
  .byte  243,15,16,12,129                    // movss         (%ecx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,129                     // movss         (%ecx,%eax,4),%xmm0
  .byte  243,15,16,60,145                    // movss         (%ecx,%edx,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,254,234                      // paddd         %xmm2,%xmm5
  .byte  102,15,112,205,229                  // pshufd        $0xe5,%xmm5,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,205,78                   // pshufd        $0x4e,%xmm5,%xmm1
  .byte  102,15,126,202                      // movd          %xmm1,%edx
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,205,231                  // pshufd        $0xe7,%xmm5,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,185                    // movss         (%ecx,%edi,4),%xmm1
  .byte  243,15,16,60,129                    // movss         (%ecx,%eax,4),%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  243,15,16,12,177                    // movss         (%ecx,%esi,4),%xmm1
  .byte  243,15,16,44,145                    // movss         (%ecx,%edx,4),%xmm5
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,85,216                   // paddd         -0x28(%ebp),%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,15,126,234                      // movd          %xmm5,%edx
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,185                    // movss         (%ecx,%edi,4),%xmm2
  .byte  243,15,16,44,129                    // movss         (%ecx,%eax,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  243,15,16,20,177                    // movss         (%ecx,%esi,4),%xmm2
  .byte  243,15,16,60,145                    // movss         (%ecx,%edx,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,40,189,104,255,255,255           // movaps        -0x98(%ebp),%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,109,200                       // movaps        -0x38(%ebp),%xmm5
  .byte  15,89,197                           // mulps         %xmm5,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,125,184                       // movaps        -0x48(%ebp),%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,89,205                           // mulps         %xmm5,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,213                           // mulps         %xmm5,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,40,173,24,255,255,255            // movaps        -0xe8(%ebp),%xmm5
  .byte  15,92,197                           // subps         %xmm5,%xmm0
  .byte  15,40,157,56,255,255,255            // movaps        -0xc8(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,197                           // addps         %xmm5,%xmm0
  .byte  15,92,206                           // subps         %xmm6,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,206                           // addps         %xmm6,%xmm1
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,91,157,232,254,255,255           // cvtdq2ps      -0x118(%ebp),%xmm3
  .byte  15,40,165,216,254,255,255           // movaps        -0x128(%ebp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,93,152                        // movaps        -0x68(%ebp),%xmm3
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,40,93,168                        // movaps        -0x58(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,157,8,255,255,255             // movaps        -0xf8(%ebp),%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,85,12                           // mov           0xc(%ebp),%edx
  .byte  141,74,8                            // lea           0x8(%edx),%ecx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,157,200,254,255,255           // movaps        -0x138(%ebp),%xmm3
  .byte  81                                  // push          %ecx
  .byte  80                                  // push          %eax
  .byte  255,82,4                            // call          *0x4(%edx)
  .byte  129,196,60,1,0,0                    // add           $0x13c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

HIDDEN _sk_clut_4D_sse2
.globl _sk_clut_4D_sse2
FUNCTION(_sk_clut_4D_sse2)
_sk_clut_4D_sse2:
  .byte  85                                  // push          %ebp
  .byte  137,229                             // mov           %esp,%ebp
  .byte  83                                  // push          %ebx
  .byte  87                                  // push          %edi
  .byte  86                                  // push          %esi
  .byte  129,236,124,1,0,0                   // sub           $0x17c,%esp
  .byte  139,69,12                           // mov           0xc(%ebp),%eax
  .byte  141,72,4                            // lea           0x4(%eax),%ecx
  .byte  137,141,212,254,255,255             // mov           %ecx,-0x12c(%ebp)
  .byte  139,16                              // mov           (%eax),%edx
  .byte  139,74,16                           // mov           0x10(%edx),%ecx
  .byte  141,113,255                         // lea           -0x1(%ecx),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,40,236                           // movaps        %xmm4,%xmm5
  .byte  102,15,110,217                      // movd          %ecx,%xmm3
  .byte  102,15,112,251,0                    // pshufd        $0x0,%xmm3,%xmm7
  .byte  102,15,127,189,248,254,255,255      // movdqa        %xmm7,-0x108(%ebp)
  .byte  139,74,12                           // mov           0xc(%edx),%ecx
  .byte  141,113,255                         // lea           -0x1(%ecx),%esi
  .byte  102,15,110,230                      // movd          %esi,%xmm4
  .byte  102,15,112,228,0                    // pshufd        $0x0,%xmm4,%xmm4
  .byte  15,91,228                           // cvtdq2ps      %xmm4,%xmm4
  .byte  15,89,226                           // mulps         %xmm2,%xmm4
  .byte  15,41,165,232,254,255,255           // movaps        %xmm4,-0x118(%ebp)
  .byte  243,15,91,244                       // cvttps2dq     %xmm4,%xmm6
  .byte  102,15,127,181,216,254,255,255      // movdqa        %xmm6,-0x128(%ebp)
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,244,215                      // pmuludq       %xmm7,%xmm2
  .byte  102,15,112,226,232                  // pshufd        $0xe8,%xmm2,%xmm4
  .byte  102,15,112,214,245                  // pshufd        $0xf5,%xmm6,%xmm2
  .byte  102,15,244,215                      // pmuludq       %xmm7,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,226                       // punpckldq     %xmm2,%xmm4
  .byte  102,15,111,244                      // movdqa        %xmm4,%xmm6
  .byte  102,15,127,181,56,255,255,255       // movdqa        %xmm6,-0xc8(%ebp)
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  139,74,8                            // mov           0x8(%edx),%ecx
  .byte  141,113,255                         // lea           -0x1(%ecx),%esi
  .byte  102,15,110,222                      // movd          %esi,%xmm3
  .byte  102,15,112,219,0                    // pshufd        $0x0,%xmm3,%xmm3
  .byte  15,91,219                           // cvtdq2ps      %xmm3,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,41,157,40,255,255,255            // movaps        %xmm3,-0xd8(%ebp)
  .byte  102,15,112,250,0                    // pshufd        $0x0,%xmm2,%xmm7
  .byte  102,15,127,189,104,255,255,255      // movdqa        %xmm7,-0x98(%ebp)
  .byte  243,15,91,227                       // cvttps2dq     %xmm3,%xmm4
  .byte  102,15,127,165,8,255,255,255        // movdqa        %xmm4,-0xf8(%ebp)
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,217,232                  // pshufd        $0xe8,%xmm1,%xmm3
  .byte  102,15,112,204,245                  // pshufd        $0xf5,%xmm4,%xmm1
  .byte  102,15,112,231,245                  // pshufd        $0xf5,%xmm7,%xmm4
  .byte  102,15,127,165,88,255,255,255       // movdqa        %xmm4,-0xa8(%ebp)
  .byte  102,15,244,204                      // pmuludq       %xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,217                       // punpckldq     %xmm1,%xmm3
  .byte  102,15,127,157,72,255,255,255       // movdqa        %xmm3,-0xb8(%ebp)
  .byte  102,15,110,201                      // movd          %ecx,%xmm1
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  139,74,4                            // mov           0x4(%edx),%ecx
  .byte  73                                  // dec           %ecx
  .byte  102,15,110,209                      // movd          %ecx,%xmm2
  .byte  102,15,112,210,0                    // pshufd        $0x0,%xmm2,%xmm2
  .byte  15,91,210                           // cvtdq2ps      %xmm2,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,41,85,152                        // movaps        %xmm2,-0x68(%ebp)
  .byte  102,15,112,193,0                    // pshufd        $0x0,%xmm1,%xmm0
  .byte  243,15,91,226                       // cvttps2dq     %xmm2,%xmm4
  .byte  102,15,127,101,200                  // movdqa        %xmm4,-0x38(%ebp)
  .byte  102,15,111,204                      // movdqa        %xmm4,%xmm1
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,204,245                  // pshufd        $0xf5,%xmm4,%xmm1
  .byte  102,15,112,224,245                  // pshufd        $0xf5,%xmm0,%xmm4
  .byte  102,15,127,101,184                  // movdqa        %xmm4,-0x48(%ebp)
  .byte  102,15,244,204                      // pmuludq       %xmm4,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,209                       // punpckldq     %xmm1,%xmm2
  .byte  102,15,127,85,168                   // movdqa        %xmm2,-0x58(%ebp)
  .byte  232,0,0,0,0                         // call          7e88 <_sk_clut_4D_sse2+0x179>
  .byte  89                                  // pop           %ecx
  .byte  15,40,229                           // movaps        %xmm5,%xmm4
  .byte  15,41,165,120,254,255,255           // movaps        %xmm4,-0x188(%ebp)
  .byte  243,15,91,204                       // cvttps2dq     %xmm4,%xmm1
  .byte  102,15,127,141,184,254,255,255      // movdqa        %xmm1,-0x148(%ebp)
  .byte  102,15,111,238                      // movdqa        %xmm6,%xmm5
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  102,15,127,173,24,255,255,255       // movdqa        %xmm5,-0xe8(%ebp)
  .byte  102,15,111,243                      // movdqa        %xmm3,%xmm6
  .byte  102,15,254,245                      // paddd         %xmm5,%xmm6
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,15,111,153,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm3
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,211                      // pmuludq       %xmm3,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  139,18                              // mov           (%edx),%edx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  102,15,111,153,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm3
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,15,126,239                      // movd          %xmm5,%edi
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,41,149,136,254,255,255           // movaps        %xmm2,-0x178(%ebp)
  .byte  102,15,254,137,120,43,0,0           // paddd         0x2b78(%ecx),%xmm1
  .byte  102,15,112,233,229                  // pshufd        $0xe5,%xmm1,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,233,78                   // pshufd        $0x4e,%xmm1,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,44,130                    // movss         (%edx,%eax,4),%xmm5
  .byte  15,20,233                           // unpcklps      %xmm1,%xmm5
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  15,41,141,152,254,255,255           // movaps        %xmm1,-0x168(%ebp)
  .byte  15,40,185,72,43,0,0                 // movaps        0x2b48(%ecx),%xmm7
  .byte  15,88,231                           // addps         %xmm7,%xmm4
  .byte  15,41,165,120,255,255,255           // movaps        %xmm4,-0x88(%ebp)
  .byte  15,40,141,232,254,255,255           // movaps        -0x118(%ebp),%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,77,136                        // movaps        %xmm1,-0x78(%ebp)
  .byte  15,40,141,40,255,255,255            // movaps        -0xd8(%ebp),%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,41,141,168,254,255,255           // movaps        %xmm1,-0x158(%ebp)
  .byte  15,40,101,152                       // movaps        -0x68(%ebp),%xmm4
  .byte  15,88,252                           // addps         %xmm4,%xmm7
  .byte  243,15,91,255                       // cvttps2dq     %xmm7,%xmm7
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,255,245                  // pshufd        $0xf5,%xmm7,%xmm7
  .byte  102,15,244,125,184                  // pmuludq       -0x48(%ebp),%xmm7
  .byte  102,15,112,200,232                  // pshufd        $0xe8,%xmm0,%xmm1
  .byte  102,15,112,199,232                  // pshufd        $0xe8,%xmm7,%xmm0
  .byte  102,15,98,200                       // punpckldq     %xmm0,%xmm1
  .byte  102,15,127,77,184                   // movdqa        %xmm1,-0x48(%ebp)
  .byte  102,15,254,241                      // paddd         %xmm1,%xmm6
  .byte  102,15,112,254,245                  // pshufd        $0xf5,%xmm6,%xmm7
  .byte  102,15,111,137,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm1
  .byte  102,15,244,241                      // pmuludq       %xmm1,%xmm6
  .byte  102,15,112,198,232                  // pshufd        $0xe8,%xmm6,%xmm0
  .byte  102,15,244,249                      // pmuludq       %xmm1,%xmm7
  .byte  102,15,112,247,232                  // pshufd        $0xe8,%xmm7,%xmm6
  .byte  102,15,98,198                       // punpckldq     %xmm6,%xmm0
  .byte  102,15,112,240,229                  // pshufd        $0xe5,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,112,240,231                  // pshufd        $0xe7,%xmm0,%xmm6
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,213                           // unpcklps      %xmm5,%xmm2
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  102,15,111,232                      // movdqa        %xmm0,%xmm5
  .byte  102,15,111,203                      // movdqa        %xmm3,%xmm1
  .byte  102,15,254,233                      // paddd         %xmm1,%xmm5
  .byte  102,15,112,253,229                  // pshufd        $0xe5,%xmm5,%xmm7
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  102,15,112,253,78                   // pshufd        $0x4e,%xmm5,%xmm7
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,126,239                      // movd          %xmm5,%edi
  .byte  102,15,112,237,231                  // pshufd        $0xe7,%xmm5,%xmm5
  .byte  102,15,126,235                      // movd          %xmm5,%ebx
  .byte  243,15,16,44,154                    // movss         (%edx,%ebx,4),%xmm5
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,205                           // unpcklps      %xmm5,%xmm1
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,221                           // unpcklps      %xmm5,%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,111,177,120,43,0,0           // movdqa        0x2b78(%ecx),%xmm6
  .byte  102,15,254,198                      // paddd         %xmm6,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,253                           // unpcklps      %xmm5,%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  15,91,77,200                        // cvtdq2ps      -0x38(%ebp),%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,41,101,152                       // movaps        %xmm4,-0x68(%ebp)
  .byte  15,40,77,216                        // movaps        -0x28(%ebp),%xmm1
  .byte  15,92,209                           // subps         %xmm1,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,209                           // addps         %xmm1,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  15,40,141,136,254,255,255           // movaps        -0x178(%ebp),%xmm1
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,220                           // mulps         %xmm4,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,41,93,216                        // movaps        %xmm3,-0x28(%ebp)
  .byte  15,40,141,152,254,255,255           // movaps        -0x168(%ebp),%xmm1
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,89,252                           // mulps         %xmm4,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  243,15,91,141,168,254,255,255       // cvttps2dq     -0x158(%ebp),%xmm1
  .byte  102,15,111,133,104,255,255,255      // movdqa        -0x98(%ebp),%xmm0
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,201,245                  // pshufd        $0xf5,%xmm1,%xmm1
  .byte  102,15,244,141,88,255,255,255       // pmuludq       -0xa8(%ebp),%xmm1
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,127,133,88,255,255,255       // movdqa        %xmm0,-0xa8(%ebp)
  .byte  102,15,111,149,24,255,255,255       // movdqa        -0xe8(%ebp),%xmm2
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,254,77,168                   // paddd         -0x58(%ebp),%xmm1
  .byte  102,15,112,209,245                  // pshufd        $0xf5,%xmm1,%xmm2
  .byte  102,15,111,129,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm0
  .byte  102,15,244,200                      // pmuludq       %xmm0,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,244,208                      // pmuludq       %xmm0,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,202                       // punpckldq     %xmm2,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,209,231                  // pshufd        $0xe7,%xmm1,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,133,104,255,255,255           // movaps        %xmm0,-0x98(%ebp)
  .byte  102,15,111,209                      // movdqa        %xmm1,%xmm2
  .byte  102,15,111,129,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm0
  .byte  102,15,254,208                      // paddd         %xmm0,%xmm2
  .byte  102,15,111,224                      // movdqa        %xmm0,%xmm4
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,41,133,24,255,255,255            // movaps        %xmm0,-0xe8(%ebp)
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,254,69,184                   // paddd         -0x48(%ebp),%xmm0
  .byte  102,15,112,216,245                  // pshufd        $0xf5,%xmm0,%xmm3
  .byte  102,15,111,137,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm1
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,217                      // pmuludq       %xmm1,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,98,211                       // punpckldq     %xmm3,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,112,218,231                  // pshufd        $0xe7,%xmm2,%xmm3
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,44,130                    // movss         (%edx,%eax,4),%xmm5
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,235                           // unpcklps      %xmm3,%xmm5
  .byte  15,20,232                           // unpcklps      %xmm0,%xmm5
  .byte  102,15,111,194                      // movdqa        %xmm2,%xmm0
  .byte  102,15,254,196                      // paddd         %xmm4,%xmm0
  .byte  102,15,112,216,229                  // pshufd        $0xe5,%xmm0,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,216,78                   // pshufd        $0x4e,%xmm0,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  102,15,111,153,120,43,0,0           // movdqa        0x2b78(%ecx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  15,40,205                           // movaps        %xmm5,%xmm1
  .byte  15,40,173,104,255,255,255           // movaps        -0x98(%ebp),%xmm5
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,40,233                           // movaps        %xmm1,%xmm5
  .byte  15,40,141,24,255,255,255            // movaps        -0xe8(%ebp),%xmm1
  .byte  15,92,225                           // subps         %xmm1,%xmm4
  .byte  15,89,224                           // mulps         %xmm0,%xmm4
  .byte  15,88,225                           // addps         %xmm1,%xmm4
  .byte  15,92,214                           // subps         %xmm6,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,214                           // addps         %xmm6,%xmm2
  .byte  15,91,133,8,255,255,255             // cvtdq2ps      -0xf8(%ebp),%xmm0
  .byte  15,40,141,40,255,255,255            // movaps        -0xd8(%ebp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,141,40,255,255,255            // movaps        %xmm1,-0xd8(%ebp)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,92,232                           // subps         %xmm0,%xmm5
  .byte  15,89,233                           // mulps         %xmm1,%xmm5
  .byte  15,88,232                           // addps         %xmm0,%xmm5
  .byte  15,41,173,8,255,255,255             // movaps        %xmm5,-0xf8(%ebp)
  .byte  15,40,69,216                        // movaps        -0x28(%ebp),%xmm0
  .byte  15,92,224                           // subps         %xmm0,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,224                           // addps         %xmm0,%xmm4
  .byte  15,41,165,104,255,255,255           // movaps        %xmm4,-0x98(%ebp)
  .byte  15,92,215                           // subps         %xmm7,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,215                           // addps         %xmm7,%xmm2
  .byte  15,41,85,200                        // movaps        %xmm2,-0x38(%ebp)
  .byte  243,15,91,69,136                    // cvttps2dq     -0x78(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,149,248,254,255,255      // movdqa        -0x108(%ebp),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,127,149,248,254,255,255      // movdqa        %xmm2,-0x108(%ebp)
  .byte  102,15,254,149,184,254,255,255      // paddd         -0x148(%ebp),%xmm2
  .byte  102,15,127,85,216                   // movdqa        %xmm2,-0x28(%ebp)
  .byte  102,15,111,234                      // movdqa        %xmm2,%xmm5
  .byte  102,15,254,173,72,255,255,255       // paddd         -0xb8(%ebp),%xmm5
  .byte  102,15,111,197                      // movdqa        %xmm5,%xmm0
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,145,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  243,15,16,12,178                    // movss         (%edx,%esi,4),%xmm1
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,41,85,136                        // movaps        %xmm2,-0x78(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,111,145,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm2
  .byte  102,15,254,202                      // paddd         %xmm2,%xmm1
  .byte  102,15,112,241,229                  // pshufd        $0xe5,%xmm1,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,112,240,229                  // pshufd        $0xe5,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,254,109,184                  // paddd         -0x48(%ebp),%xmm5
  .byte  102,15,112,245,245                  // pshufd        $0xf5,%xmm5,%xmm6
  .byte  102,15,111,129,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm0
  .byte  102,15,244,232                      // pmuludq       %xmm0,%xmm5
  .byte  102,15,112,253,232                  // pshufd        $0xe8,%xmm5,%xmm7
  .byte  102,15,244,240                      // pmuludq       %xmm0,%xmm6
  .byte  102,15,112,238,232                  // pshufd        $0xe8,%xmm6,%xmm5
  .byte  102,15,98,253                       // punpckldq     %xmm5,%xmm7
  .byte  102,15,112,239,229                  // pshufd        $0xe5,%xmm7,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,239,78                   // pshufd        $0x4e,%xmm7,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,112,239,231                  // pshufd        $0xe7,%xmm7,%xmm5
  .byte  102,15,126,239                      // movd          %xmm5,%edi
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,245                           // unpcklps      %xmm5,%xmm6
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  102,15,111,223                      // movdqa        %xmm7,%xmm3
  .byte  102,15,254,218                      // paddd         %xmm2,%xmm3
  .byte  102,15,112,243,229                  // pshufd        $0xe5,%xmm3,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,243,78                   // pshufd        $0x4e,%xmm3,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,111,153,120,43,0,0           // movdqa        0x2b78(%ecx),%xmm3
  .byte  102,15,254,251                      // paddd         %xmm3,%xmm7
  .byte  102,15,112,215,229                  // pshufd        $0xe5,%xmm7,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  102,15,112,215,231                  // pshufd        $0xe7,%xmm7,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  15,20,254                           // unpcklps      %xmm6,%xmm7
  .byte  15,40,117,136                       // movaps        -0x78(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,85,152                        // movaps        -0x68(%ebp),%xmm2
  .byte  15,89,194                           // mulps         %xmm2,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,41,69,136                        // movaps        %xmm0,-0x78(%ebp)
  .byte  15,92,236                           // subps         %xmm4,%xmm5
  .byte  15,89,234                           // mulps         %xmm2,%xmm5
  .byte  15,88,236                           // addps         %xmm4,%xmm5
  .byte  15,92,249                           // subps         %xmm1,%xmm7
  .byte  15,89,250                           // mulps         %xmm2,%xmm7
  .byte  15,88,249                           // addps         %xmm1,%xmm7
  .byte  102,15,111,77,216                   // movdqa        -0x28(%ebp),%xmm1
  .byte  102,15,254,141,88,255,255,255       // paddd         -0xa8(%ebp),%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,111,225                      // movdqa        %xmm1,%xmm4
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,177,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm6
  .byte  102,15,244,198                      // pmuludq       %xmm6,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,206                      // pmuludq       %xmm6,%xmm1
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,52,178                    // movss         (%edx,%esi,4),%xmm6
  .byte  15,20,198                           // unpcklps      %xmm6,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,254,137,104,43,0,0           // paddd         0x2b68(%ecx),%xmm1
  .byte  102,15,112,241,229                  // pshufd        $0xe5,%xmm1,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,241,78                   // pshufd        $0x4e,%xmm1,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,241                           // unpcklps      %xmm1,%xmm6
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,41,141,24,255,255,255            // movaps        %xmm1,-0xe8(%ebp)
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,222                           // unpcklps      %xmm6,%xmm3
  .byte  102,15,111,212                      // movdqa        %xmm4,%xmm2
  .byte  102,15,254,85,184                   // paddd         -0x48(%ebp),%xmm2
  .byte  102,15,112,194,245                  // pshufd        $0xf5,%xmm2,%xmm0
  .byte  102,15,111,137,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm1
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,226,232                  // pshufd        $0xe8,%xmm2,%xmm4
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,224                       // punpckldq     %xmm0,%xmm4
  .byte  102,15,112,196,229                  // pshufd        $0xe5,%xmm4,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,196,78                   // pshufd        $0x4e,%xmm4,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,196,231                  // pshufd        $0xe7,%xmm4,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  102,15,111,196                      // movdqa        %xmm4,%xmm0
  .byte  102,15,254,129,104,43,0,0           // paddd         0x2b68(%ecx),%xmm0
  .byte  102,15,112,240,229                  // pshufd        $0xe5,%xmm0,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,240,78                   // pshufd        $0x4e,%xmm0,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  102,15,254,161,120,43,0,0           // paddd         0x2b78(%ecx),%xmm4
  .byte  102,15,112,196,229                  // pshufd        $0xe5,%xmm4,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,196,78                   // pshufd        $0x4e,%xmm4,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,196,231                  // pshufd        $0xe7,%xmm4,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,36,130                    // movss         (%edx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,240                           // unpcklps      %xmm0,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  15,40,101,216                       // movaps        -0x28(%ebp),%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,165,24,255,255,255            // movaps        -0xe8(%ebp),%xmm4
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,92,243                           // subps         %xmm3,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,243                           // addps         %xmm3,%xmm6
  .byte  15,40,93,136                        // movaps        -0x78(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,40,133,40,255,255,255            // movaps        -0xd8(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,217                           // movaps        %xmm1,%xmm3
  .byte  15,92,213                           // subps         %xmm5,%xmm2
  .byte  15,89,208                           // mulps         %xmm0,%xmm2
  .byte  15,88,213                           // addps         %xmm5,%xmm2
  .byte  15,92,247                           // subps         %xmm7,%xmm6
  .byte  15,89,240                           // mulps         %xmm0,%xmm6
  .byte  15,88,247                           // addps         %xmm7,%xmm6
  .byte  15,91,133,216,254,255,255           // cvtdq2ps      -0x128(%ebp),%xmm0
  .byte  15,40,141,232,254,255,255           // movaps        -0x118(%ebp),%xmm1
  .byte  15,92,200                           // subps         %xmm0,%xmm1
  .byte  15,41,141,232,254,255,255           // movaps        %xmm1,-0x118(%ebp)
  .byte  15,40,133,8,255,255,255             // movaps        -0xf8(%ebp),%xmm0
  .byte  15,92,216                           // subps         %xmm0,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,216                           // addps         %xmm0,%xmm3
  .byte  15,41,157,8,255,255,255             // movaps        %xmm3,-0xf8(%ebp)
  .byte  15,40,133,104,255,255,255           // movaps        -0x98(%ebp),%xmm0
  .byte  15,92,208                           // subps         %xmm0,%xmm2
  .byte  15,89,209                           // mulps         %xmm1,%xmm2
  .byte  15,88,208                           // addps         %xmm0,%xmm2
  .byte  15,41,149,104,255,255,255           // movaps        %xmm2,-0x98(%ebp)
  .byte  15,40,69,200                        // movaps        -0x38(%ebp),%xmm0
  .byte  15,92,240                           // subps         %xmm0,%xmm6
  .byte  15,89,241                           // mulps         %xmm1,%xmm6
  .byte  15,88,240                           // addps         %xmm0,%xmm6
  .byte  15,41,181,216,254,255,255           // movaps        %xmm6,-0x128(%ebp)
  .byte  243,15,91,141,120,255,255,255       // cvttps2dq     -0x88(%ebp),%xmm1
  .byte  102,15,127,77,136                   // movdqa        %xmm1,-0x78(%ebp)
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,127,133,56,255,255,255       // movdqa        %xmm0,-0xc8(%ebp)
  .byte  102,15,111,141,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,112,224,245                  // pshufd        $0xf5,%xmm0,%xmm4
  .byte  102,15,111,145,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,112,216,232                  // pshufd        $0xe8,%xmm0,%xmm3
  .byte  102,15,244,226                      // pmuludq       %xmm2,%xmm4
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,112,196,232                  // pshufd        $0xe8,%xmm4,%xmm0
  .byte  102,15,98,216                       // punpckldq     %xmm0,%xmm3
  .byte  102,15,112,195,229                  // pshufd        $0xe5,%xmm3,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,195,78                   // pshufd        $0x4e,%xmm3,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,195,231                  // pshufd        $0xe7,%xmm3,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,36,130                    // movss         (%edx,%eax,4),%xmm4
  .byte  15,20,224                           // unpcklps      %xmm0,%xmm4
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,41,133,120,255,255,255           // movaps        %xmm0,-0x88(%ebp)
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,111,145,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm2
  .byte  102,15,254,226                      // paddd         %xmm2,%xmm4
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  243,15,16,36,154                    // movss         (%edx,%ebx,4),%xmm4
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,254,153,120,43,0,0           // paddd         0x2b78(%ecx),%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,36,130                    // movss         (%edx,%eax,4),%xmm4
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  102,15,254,77,184                   // paddd         -0x48(%ebp),%xmm1
  .byte  102,15,112,217,245                  // pshufd        $0xf5,%xmm1,%xmm3
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,112,225,232                  // pshufd        $0xe8,%xmm1,%xmm4
  .byte  102,15,244,223                      // pmuludq       %xmm7,%xmm3
  .byte  102,15,112,203,232                  // pshufd        $0xe8,%xmm3,%xmm1
  .byte  102,15,98,225                       // punpckldq     %xmm1,%xmm4
  .byte  102,15,112,204,229                  // pshufd        $0xe5,%xmm4,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,204,78                   // pshufd        $0x4e,%xmm4,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,204,231                  // pshufd        $0xe7,%xmm4,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  102,15,111,220                      // movdqa        %xmm4,%xmm3
  .byte  102,15,254,218                      // paddd         %xmm2,%xmm3
  .byte  102,15,112,251,229                  // pshufd        $0xe5,%xmm3,%xmm7
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  102,15,112,251,78                   // pshufd        $0x4e,%xmm3,%xmm7
  .byte  102,15,126,254                      // movd          %xmm7,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,251                           // unpcklps      %xmm3,%xmm7
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,20,223                           // unpcklps      %xmm7,%xmm3
  .byte  102,15,254,161,120,43,0,0           // paddd         0x2b78(%ecx),%xmm4
  .byte  102,15,112,212,229                  // pshufd        $0xe5,%xmm4,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,212,78                   // pshufd        $0x4e,%xmm4,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,212,231                  // pshufd        $0xe7,%xmm4,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,226                           // unpcklps      %xmm2,%xmm4
  .byte  15,20,231                           // unpcklps      %xmm7,%xmm4
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,92,194                           // subps         %xmm2,%xmm0
  .byte  15,40,77,152                        // movaps        -0x68(%ebp),%xmm1
  .byte  15,89,193                           // mulps         %xmm1,%xmm0
  .byte  15,88,194                           // addps         %xmm2,%xmm0
  .byte  15,41,133,120,255,255,255           // movaps        %xmm0,-0x88(%ebp)
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,217                           // mulps         %xmm1,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,41,93,200                        // movaps        %xmm3,-0x38(%ebp)
  .byte  15,92,230                           // subps         %xmm6,%xmm4
  .byte  15,89,225                           // mulps         %xmm1,%xmm4
  .byte  15,88,230                           // addps         %xmm6,%xmm4
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,254,133,88,255,255,255       // paddd         -0xa8(%ebp),%xmm0
  .byte  102,15,127,133,56,255,255,255       // movdqa        %xmm0,-0xc8(%ebp)
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,208,245                  // pshufd        $0xf5,%xmm0,%xmm2
  .byte  102,15,111,137,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm1
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,240,232                  // pshufd        $0xe8,%xmm0,%xmm6
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,194,232                  // pshufd        $0xe8,%xmm2,%xmm0
  .byte  102,15,98,240                       // punpckldq     %xmm0,%xmm6
  .byte  102,15,112,198,229                  // pshufd        $0xe5,%xmm6,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,198,78                   // pshufd        $0x4e,%xmm6,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,198,231                  // pshufd        $0xe7,%xmm6,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,44,178                    // movss         (%edx,%esi,4),%xmm5
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  15,41,69,216                        // movaps        %xmm0,-0x28(%ebp)
  .byte  102,15,111,214                      // movdqa        %xmm6,%xmm2
  .byte  102,15,111,153,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm3
  .byte  102,15,254,211                      // paddd         %xmm3,%xmm2
  .byte  102,15,112,234,229                  // pshufd        $0xe5,%xmm2,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,234,78                   // pshufd        $0x4e,%xmm2,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,234                           // unpcklps      %xmm2,%xmm5
  .byte  15,20,239                           // unpcklps      %xmm7,%xmm5
  .byte  102,15,254,177,120,43,0,0           // paddd         0x2b78(%ecx),%xmm6
  .byte  102,15,112,214,229                  // pshufd        $0xe5,%xmm6,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,214,78                   // pshufd        $0x4e,%xmm6,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  102,15,112,214,231                  // pshufd        $0xe7,%xmm6,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  243,15,16,52,186                    // movss         (%edx,%edi,4),%xmm6
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  15,20,247                           // unpcklps      %xmm7,%xmm6
  .byte  102,15,111,133,56,255,255,255       // movdqa        -0xc8(%ebp),%xmm0
  .byte  102,15,254,69,184                   // paddd         -0x48(%ebp),%xmm0
  .byte  102,15,112,208,245                  // pshufd        $0xf5,%xmm0,%xmm2
  .byte  102,15,244,193                      // pmuludq       %xmm1,%xmm0
  .byte  102,15,112,248,232                  // pshufd        $0xe8,%xmm0,%xmm7
  .byte  102,15,244,209                      // pmuludq       %xmm1,%xmm2
  .byte  102,15,112,210,232                  // pshufd        $0xe8,%xmm2,%xmm2
  .byte  102,15,98,250                       // punpckldq     %xmm2,%xmm7
  .byte  102,15,112,215,229                  // pshufd        $0xe5,%xmm7,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,215,78                   // pshufd        $0x4e,%xmm7,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,112,215,231                  // pshufd        $0xe7,%xmm7,%xmm2
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  15,20,194                           // unpcklps      %xmm2,%xmm0
  .byte  102,15,126,248                      // movd          %xmm7,%eax
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  243,15,16,20,178                    // movss         (%edx,%esi,4),%xmm2
  .byte  15,20,202                           // unpcklps      %xmm2,%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,111,199                      // movdqa        %xmm7,%xmm0
  .byte  102,15,254,195                      // paddd         %xmm3,%xmm0
  .byte  102,15,112,208,229                  // pshufd        $0xe5,%xmm0,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,208,78                   // pshufd        $0x4e,%xmm0,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  102,15,254,185,120,43,0,0           // paddd         0x2b78(%ecx),%xmm7
  .byte  102,15,112,199,229                  // pshufd        $0xe5,%xmm7,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,199,78                   // pshufd        $0x4e,%xmm7,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,126,255                      // movd          %xmm7,%edi
  .byte  102,15,112,199,231                  // pshufd        $0xe7,%xmm7,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,208                           // unpcklps      %xmm0,%xmm2
  .byte  243,15,16,60,186                    // movss         (%edx,%edi,4),%xmm7
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,248                           // unpcklps      %xmm0,%xmm7
  .byte  15,20,250                           // unpcklps      %xmm2,%xmm7
  .byte  15,40,85,216                        // movaps        -0x28(%ebp),%xmm2
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,69,152                        // movaps        -0x68(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,92,221                           // subps         %xmm5,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,221                           // addps         %xmm5,%xmm3
  .byte  15,92,254                           // subps         %xmm6,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,254                           // addps         %xmm6,%xmm7
  .byte  15,40,149,120,255,255,255           // movaps        -0x88(%ebp),%xmm2
  .byte  15,92,202                           // subps         %xmm2,%xmm1
  .byte  15,40,133,40,255,255,255            // movaps        -0xd8(%ebp),%xmm0
  .byte  15,89,200                           // mulps         %xmm0,%xmm1
  .byte  15,88,202                           // addps         %xmm2,%xmm1
  .byte  15,41,141,56,255,255,255            // movaps        %xmm1,-0xc8(%ebp)
  .byte  15,40,77,200                        // movaps        -0x38(%ebp),%xmm1
  .byte  15,92,217                           // subps         %xmm1,%xmm3
  .byte  15,89,216                           // mulps         %xmm0,%xmm3
  .byte  15,88,217                           // addps         %xmm1,%xmm3
  .byte  15,41,157,120,255,255,255           // movaps        %xmm3,-0x88(%ebp)
  .byte  15,92,252                           // subps         %xmm4,%xmm7
  .byte  15,89,248                           // mulps         %xmm0,%xmm7
  .byte  15,88,252                           // addps         %xmm4,%xmm7
  .byte  15,41,125,200                       // movaps        %xmm7,-0x38(%ebp)
  .byte  102,15,111,133,248,254,255,255      // movdqa        -0x108(%ebp),%xmm0
  .byte  102,15,254,69,136                   // paddd         -0x78(%ebp),%xmm0
  .byte  102,15,127,133,248,254,255,255      // movdqa        %xmm0,-0x108(%ebp)
  .byte  102,15,111,141,72,255,255,255       // movdqa        -0xb8(%ebp),%xmm1
  .byte  102,15,254,200                      // paddd         %xmm0,%xmm1
  .byte  102,15,111,193                      // movdqa        %xmm1,%xmm0
  .byte  102,15,111,233                      // movdqa        %xmm1,%xmm5
  .byte  102,15,254,69,168                   // paddd         -0x58(%ebp),%xmm0
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,153,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm3
  .byte  102,15,244,195                      // pmuludq       %xmm3,%xmm0
  .byte  102,15,112,208,232                  // pshufd        $0xe8,%xmm0,%xmm2
  .byte  102,15,244,203                      // pmuludq       %xmm3,%xmm1
  .byte  102,15,112,193,232                  // pshufd        $0xe8,%xmm1,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,195                           // unpcklps      %xmm3,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  102,15,111,202                      // movdqa        %xmm2,%xmm1
  .byte  102,15,111,177,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm6
  .byte  102,15,254,206                      // paddd         %xmm6,%xmm1
  .byte  102,15,112,217,229                  // pshufd        $0xe5,%xmm1,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,217,78                   // pshufd        $0x4e,%xmm1,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,204                           // unpcklps      %xmm4,%xmm1
  .byte  15,20,203                           // unpcklps      %xmm3,%xmm1
  .byte  102,15,111,185,120,43,0,0           // movdqa        0x2b78(%ecx),%xmm7
  .byte  102,15,254,215                      // paddd         %xmm7,%xmm2
  .byte  102,15,112,218,229                  // pshufd        $0xe5,%xmm2,%xmm3
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  102,15,112,218,78                   // pshufd        $0x4e,%xmm2,%xmm3
  .byte  102,15,126,222                      // movd          %xmm3,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,212                           // unpcklps      %xmm4,%xmm2
  .byte  15,20,211                           // unpcklps      %xmm3,%xmm2
  .byte  102,15,111,221                      // movdqa        %xmm5,%xmm3
  .byte  102,15,254,93,184                   // paddd         -0x48(%ebp),%xmm3
  .byte  102,15,112,227,245                  // pshufd        $0xf5,%xmm3,%xmm4
  .byte  102,15,111,129,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm0
  .byte  102,15,244,216                      // pmuludq       %xmm0,%xmm3
  .byte  102,15,112,219,232                  // pshufd        $0xe8,%xmm3,%xmm3
  .byte  102,15,244,224                      // pmuludq       %xmm0,%xmm4
  .byte  102,15,112,228,232                  // pshufd        $0xe8,%xmm4,%xmm4
  .byte  102,15,98,220                       // punpckldq     %xmm4,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,112,227,231                  // pshufd        $0xe7,%xmm3,%xmm4
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,44,130                    // movss         (%edx,%eax,4),%xmm5
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  102,15,126,216                      // movd          %xmm3,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,196                           // unpcklps      %xmm4,%xmm0
  .byte  15,20,197                           // unpcklps      %xmm5,%xmm0
  .byte  102,15,111,227                      // movdqa        %xmm3,%xmm4
  .byte  102,15,254,230                      // paddd         %xmm6,%xmm4
  .byte  102,15,112,236,229                  // pshufd        $0xe5,%xmm4,%xmm5
  .byte  102,15,126,232                      // movd          %xmm5,%eax
  .byte  102,15,112,236,78                   // pshufd        $0x4e,%xmm4,%xmm5
  .byte  102,15,126,238                      // movd          %xmm5,%esi
  .byte  102,15,126,231                      // movd          %xmm4,%edi
  .byte  102,15,112,228,231                  // pshufd        $0xe7,%xmm4,%xmm4
  .byte  102,15,126,227                      // movd          %xmm4,%ebx
  .byte  243,15,16,36,154                    // movss         (%edx,%ebx,4),%xmm4
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,244                           // unpcklps      %xmm4,%xmm6
  .byte  243,15,16,44,186                    // movss         (%edx,%edi,4),%xmm5
  .byte  243,15,16,36,178                    // movss         (%edx,%esi,4),%xmm4
  .byte  15,20,236                           // unpcklps      %xmm4,%xmm5
  .byte  15,20,238                           // unpcklps      %xmm6,%xmm5
  .byte  102,15,254,223                      // paddd         %xmm7,%xmm3
  .byte  102,15,112,227,229                  // pshufd        $0xe5,%xmm3,%xmm4
  .byte  102,15,126,224                      // movd          %xmm4,%eax
  .byte  102,15,112,227,78                   // pshufd        $0x4e,%xmm3,%xmm4
  .byte  102,15,126,230                      // movd          %xmm4,%esi
  .byte  102,15,126,223                      // movd          %xmm3,%edi
  .byte  102,15,112,219,231                  // pshufd        $0xe7,%xmm3,%xmm3
  .byte  102,15,126,219                      // movd          %xmm3,%ebx
  .byte  243,15,16,28,154                    // movss         (%edx,%ebx,4),%xmm3
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,243                           // unpcklps      %xmm3,%xmm6
  .byte  243,15,16,36,186                    // movss         (%edx,%edi,4),%xmm4
  .byte  243,15,16,28,178                    // movss         (%edx,%esi,4),%xmm3
  .byte  15,20,227                           // unpcklps      %xmm3,%xmm4
  .byte  15,20,230                           // unpcklps      %xmm6,%xmm4
  .byte  15,40,181,72,255,255,255            // movaps        -0xb8(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,93,152                        // movaps        -0x68(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,41,133,72,255,255,255            // movaps        %xmm0,-0xb8(%ebp)
  .byte  15,92,233                           // subps         %xmm1,%xmm5
  .byte  15,89,235                           // mulps         %xmm3,%xmm5
  .byte  15,88,233                           // addps         %xmm1,%xmm5
  .byte  15,92,226                           // subps         %xmm2,%xmm4
  .byte  15,89,227                           // mulps         %xmm3,%xmm4
  .byte  15,88,226                           // addps         %xmm2,%xmm4
  .byte  102,15,111,141,248,254,255,255      // movdqa        -0x108(%ebp),%xmm1
  .byte  102,15,254,141,88,255,255,255       // paddd         -0xa8(%ebp),%xmm1
  .byte  102,15,111,69,168                   // movdqa        -0x58(%ebp),%xmm0
  .byte  102,15,254,193                      // paddd         %xmm1,%xmm0
  .byte  102,15,111,241                      // movdqa        %xmm1,%xmm6
  .byte  102,15,112,200,245                  // pshufd        $0xf5,%xmm0,%xmm1
  .byte  102,15,111,145,88,43,0,0            // movdqa        0x2b58(%ecx),%xmm2
  .byte  102,15,244,194                      // pmuludq       %xmm2,%xmm0
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,244,202                      // pmuludq       %xmm2,%xmm1
  .byte  102,15,111,250                      // movdqa        %xmm2,%xmm7
  .byte  102,15,112,201,232                  // pshufd        $0xe8,%xmm1,%xmm1
  .byte  102,15,98,193                       // punpckldq     %xmm1,%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,112,200,231                  // pshufd        $0xe7,%xmm0,%xmm1
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  243,15,16,28,130                    // movss         (%edx,%eax,4),%xmm3
  .byte  243,15,16,12,178                    // movss         (%edx,%esi,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,93,168                        // movaps        %xmm3,-0x58(%ebp)
  .byte  102,15,111,200                      // movdqa        %xmm0,%xmm1
  .byte  102,15,254,137,104,43,0,0           // paddd         0x2b68(%ecx),%xmm1
  .byte  102,15,112,209,229                  // pshufd        $0xe5,%xmm1,%xmm2
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  102,15,112,209,78                   // pshufd        $0x4e,%xmm1,%xmm2
  .byte  102,15,126,214                      // movd          %xmm2,%esi
  .byte  102,15,126,207                      // movd          %xmm1,%edi
  .byte  102,15,112,201,231                  // pshufd        $0xe7,%xmm1,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,20,130                    // movss         (%edx,%eax,4),%xmm2
  .byte  15,20,209                           // unpcklps      %xmm1,%xmm2
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,12,178                    // movss         (%edx,%esi,4),%xmm1
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  15,20,218                           // unpcklps      %xmm2,%xmm3
  .byte  15,41,157,88,255,255,255            // movaps        %xmm3,-0xa8(%ebp)
  .byte  102,15,254,129,120,43,0,0           // paddd         0x2b78(%ecx),%xmm0
  .byte  102,15,112,200,229                  // pshufd        $0xe5,%xmm0,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,200,78                   // pshufd        $0x4e,%xmm0,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  102,15,112,192,231                  // pshufd        $0xe7,%xmm0,%xmm0
  .byte  102,15,126,195                      // movd          %xmm0,%ebx
  .byte  243,15,16,4,154                     // movss         (%edx,%ebx,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  243,15,16,28,186                    // movss         (%edx,%edi,4),%xmm3
  .byte  243,15,16,4,178                     // movss         (%edx,%esi,4),%xmm0
  .byte  15,20,216                           // unpcklps      %xmm0,%xmm3
  .byte  15,20,217                           // unpcklps      %xmm1,%xmm3
  .byte  102,15,111,206                      // movdqa        %xmm6,%xmm1
  .byte  102,15,254,77,184                   // paddd         -0x48(%ebp),%xmm1
  .byte  102,15,112,193,245                  // pshufd        $0xf5,%xmm1,%xmm0
  .byte  102,15,244,207                      // pmuludq       %xmm7,%xmm1
  .byte  102,15,244,199                      // pmuludq       %xmm7,%xmm0
  .byte  102,15,112,209,232                  // pshufd        $0xe8,%xmm1,%xmm2
  .byte  102,15,112,192,232                  // pshufd        $0xe8,%xmm0,%xmm0
  .byte  102,15,98,208                       // punpckldq     %xmm0,%xmm2
  .byte  102,15,112,194,229                  // pshufd        $0xe5,%xmm2,%xmm0
  .byte  102,15,126,192                      // movd          %xmm0,%eax
  .byte  102,15,112,194,78                   // pshufd        $0x4e,%xmm2,%xmm0
  .byte  102,15,126,198                      // movd          %xmm0,%esi
  .byte  102,15,112,194,231                  // pshufd        $0xe7,%xmm2,%xmm0
  .byte  102,15,126,199                      // movd          %xmm0,%edi
  .byte  243,15,16,4,186                     // movss         (%edx,%edi,4),%xmm0
  .byte  243,15,16,12,130                    // movss         (%edx,%eax,4),%xmm1
  .byte  15,20,200                           // unpcklps      %xmm0,%xmm1
  .byte  102,15,126,208                      // movd          %xmm2,%eax
  .byte  243,15,16,4,130                     // movss         (%edx,%eax,4),%xmm0
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,199                           // unpcklps      %xmm7,%xmm0
  .byte  15,20,193                           // unpcklps      %xmm1,%xmm0
  .byte  102,15,111,177,104,43,0,0           // movdqa        0x2b68(%ecx),%xmm6
  .byte  102,15,254,242                      // paddd         %xmm2,%xmm6
  .byte  102,15,112,206,229                  // pshufd        $0xe5,%xmm6,%xmm1
  .byte  102,15,126,200                      // movd          %xmm1,%eax
  .byte  102,15,112,206,78                   // pshufd        $0x4e,%xmm6,%xmm1
  .byte  102,15,126,206                      // movd          %xmm1,%esi
  .byte  102,15,126,247                      // movd          %xmm6,%edi
  .byte  102,15,112,206,231                  // pshufd        $0xe7,%xmm6,%xmm1
  .byte  102,15,126,203                      // movd          %xmm1,%ebx
  .byte  243,15,16,12,154                    // movss         (%edx,%ebx,4),%xmm1
  .byte  243,15,16,60,130                    // movss         (%edx,%eax,4),%xmm7
  .byte  15,20,249                           // unpcklps      %xmm1,%xmm7
  .byte  243,15,16,12,186                    // movss         (%edx,%edi,4),%xmm1
  .byte  243,15,16,52,178                    // movss         (%edx,%esi,4),%xmm6
  .byte  15,20,206                           // unpcklps      %xmm6,%xmm1
  .byte  15,20,207                           // unpcklps      %xmm7,%xmm1
  .byte  102,15,254,145,120,43,0,0           // paddd         0x2b78(%ecx),%xmm2
  .byte  102,15,112,242,229                  // pshufd        $0xe5,%xmm2,%xmm6
  .byte  102,15,126,240                      // movd          %xmm6,%eax
  .byte  102,15,112,242,78                   // pshufd        $0x4e,%xmm2,%xmm6
  .byte  102,15,126,246                      // movd          %xmm6,%esi
  .byte  102,15,126,215                      // movd          %xmm2,%edi
  .byte  102,15,112,210,231                  // pshufd        $0xe7,%xmm2,%xmm2
  .byte  102,15,126,211                      // movd          %xmm2,%ebx
  .byte  243,15,16,20,154                    // movss         (%edx,%ebx,4),%xmm2
  .byte  243,15,16,52,130                    // movss         (%edx,%eax,4),%xmm6
  .byte  15,20,242                           // unpcklps      %xmm2,%xmm6
  .byte  243,15,16,20,186                    // movss         (%edx,%edi,4),%xmm2
  .byte  243,15,16,60,178                    // movss         (%edx,%esi,4),%xmm7
  .byte  15,20,215                           // unpcklps      %xmm7,%xmm2
  .byte  15,20,214                           // unpcklps      %xmm6,%xmm2
  .byte  15,40,125,168                       // movaps        -0x58(%ebp),%xmm7
  .byte  15,92,199                           // subps         %xmm7,%xmm0
  .byte  15,40,117,152                       // movaps        -0x68(%ebp),%xmm6
  .byte  15,89,198                           // mulps         %xmm6,%xmm0
  .byte  15,88,199                           // addps         %xmm7,%xmm0
  .byte  15,40,189,88,255,255,255            // movaps        -0xa8(%ebp),%xmm7
  .byte  15,92,207                           // subps         %xmm7,%xmm1
  .byte  15,89,206                           // mulps         %xmm6,%xmm1
  .byte  15,88,207                           // addps         %xmm7,%xmm1
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,214                           // mulps         %xmm6,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  15,40,181,72,255,255,255            // movaps        -0xb8(%ebp),%xmm6
  .byte  15,92,198                           // subps         %xmm6,%xmm0
  .byte  15,40,157,40,255,255,255            // movaps        -0xd8(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,198                           // addps         %xmm6,%xmm0
  .byte  15,92,205                           // subps         %xmm5,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,205                           // addps         %xmm5,%xmm1
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,40,165,56,255,255,255            // movaps        -0xc8(%ebp),%xmm4
  .byte  15,92,196                           // subps         %xmm4,%xmm0
  .byte  15,40,157,232,254,255,255           // movaps        -0x118(%ebp),%xmm3
  .byte  15,89,195                           // mulps         %xmm3,%xmm0
  .byte  15,88,196                           // addps         %xmm4,%xmm0
  .byte  15,40,165,120,255,255,255           // movaps        -0x88(%ebp),%xmm4
  .byte  15,92,204                           // subps         %xmm4,%xmm1
  .byte  15,89,203                           // mulps         %xmm3,%xmm1
  .byte  15,88,204                           // addps         %xmm4,%xmm1
  .byte  15,40,101,200                       // movaps        -0x38(%ebp),%xmm4
  .byte  15,92,212                           // subps         %xmm4,%xmm2
  .byte  15,89,211                           // mulps         %xmm3,%xmm2
  .byte  15,88,212                           // addps         %xmm4,%xmm2
  .byte  15,91,157,184,254,255,255           // cvtdq2ps      -0x148(%ebp),%xmm3
  .byte  15,40,165,120,254,255,255           // movaps        -0x188(%ebp),%xmm4
  .byte  15,92,227                           // subps         %xmm3,%xmm4
  .byte  15,40,157,8,255,255,255             // movaps        -0xf8(%ebp),%xmm3
  .byte  15,92,195                           // subps         %xmm3,%xmm0
  .byte  15,89,196                           // mulps         %xmm4,%xmm0
  .byte  15,88,195                           // addps         %xmm3,%xmm0
  .byte  15,40,157,104,255,255,255           // movaps        -0x98(%ebp),%xmm3
  .byte  15,92,203                           // subps         %xmm3,%xmm1
  .byte  15,89,204                           // mulps         %xmm4,%xmm1
  .byte  15,88,203                           // addps         %xmm3,%xmm1
  .byte  15,40,157,216,254,255,255           // movaps        -0x128(%ebp),%xmm3
  .byte  15,92,211                           // subps         %xmm3,%xmm2
  .byte  15,89,212                           // mulps         %xmm4,%xmm2
  .byte  15,88,211                           // addps         %xmm3,%xmm2
  .byte  139,69,8                            // mov           0x8(%ebp),%eax
  .byte  139,117,12                          // mov           0xc(%ebp),%esi
  .byte  141,86,8                            // lea           0x8(%esi),%edx
  .byte  131,236,8                           // sub           $0x8,%esp
  .byte  15,40,153,136,43,0,0                // movaps        0x2b88(%ecx),%xmm3
  .byte  82                                  // push          %edx
  .byte  80                                  // push          %eax
  .byte  255,86,4                            // call          *0x4(%esi)
  .byte  129,196,140,1,0,0                   // add           $0x18c,%esp
  .byte  94                                  // pop           %esi
  .byte  95                                  // pop           %edi
  .byte  91                                  // pop           %ebx
  .byte  93                                  // pop           %ebp
  .byte  195                                 // ret

BALIGN16
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  64                                  // inc           %eax
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,2                                 // add           %al,(%edx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,3                                 // add           %al,(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  4,0                                 // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  128,60,0,0                          // cmpb          $0x0,(%eax,%eax,1)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  252                                 // cld
  .byte  190,0,0,252,190                     // mov           $0xbefc0000,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  191,0,0,128,191                     // mov           $0xbf800000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,191,0,0,128,191,0               // cmpb          $0x0,-0x40800000(%edi)
  .byte  0,224                               // add           %ah,%al
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,64                              // loopne        9518 <.literal16+0x228>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,64                              // loopne        951c <.literal16+0x22c>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,64                              // loopne        9520 <.literal16+0x230>
  .byte  154,153,153,62,154,153,153          // lcall         $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,61,10,23,63,61                   // ds            cmp $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9541 <.literal16+0x251>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9545 <.literal16+0x255>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9549 <.literal16+0x259>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         954d <.literal16+0x25d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,154                          // cmpb          $0x9a,(%edi)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,61,10,23          // ds            lcall $0x170a,$0x3d3e9999
  .byte  63                                  // aas
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  61,10,23,63,174                     // cmp           $0xae3f170a,%eax
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9581 <.literal16+0x291>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9585 <.literal16+0x295>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9589 <.literal16+0x299>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         958d <.literal16+0x29d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,154                          // cmpb          $0x9a,(%edi)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,61,10,23          // ds            lcall $0x170a,$0x3d3e9999
  .byte  63                                  // aas
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  61,10,23,63,174                     // cmp           $0xae3f170a,%eax
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         95c1 <.literal16+0x2d1>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         95c5 <.literal16+0x2d5>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         95c9 <.literal16+0x2d9>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         95cd <.literal16+0x2dd>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,154                          // cmpb          $0x9a,(%edi)
  .byte  153                                 // cltd
  .byte  153                                 // cltd
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,61,10,23          // ds            lcall $0x170a,$0x3d3e9999
  .byte  63                                  // aas
  .byte  61,10,23,63,61                      // cmp           $0x3d3f170a,%eax
  .byte  10,23                               // or            (%edi),%dl
  .byte  63                                  // aas
  .byte  61,10,23,63,174                     // cmp           $0xae3f170a,%eax
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9601 <.literal16+0x311>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9605 <.literal16+0x315>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         9609 <.literal16+0x319>
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  225,61                              // loope         960d <.literal16+0x31d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,255                          // cmpb          $0xff,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,127                    // add           %al,0x7f00003f(%eax)
  .byte  67                                  // inc           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            964b <.literal16+0x35b>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            964f <.literal16+0x35f>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9653 <.literal16+0x363>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,145,131,158                // add           %al,-0x617c6ec1(%eax)
  .byte  61,145,131,158,61                   // cmp           $0x3d9e8391,%eax
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%esi)
  .byte  154,153,153,62,154,153,153          // lcall         $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,92                               // ds            pop %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  97                                  // popa
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  97                                  // popa
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%esi)
  .byte  145                                 // xchg          %eax,%ecx
  .byte  131,158,61,145,131,158,61           // sbbl          $0x3d,-0x617c6ec3(%esi)
  .byte  154,153,153,62,154,153,153          // lcall         $0x9999,$0x9a3e9999
  .byte  62,154,153,153,62,154,153,153       // ds            lcall $0x9999,$0x9a3e9999
  .byte  62,92                               // ds            pop %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  92                                  // pop           %esp
  .byte  143                                 // (bad)
  .byte  50,63                               // xor           (%edi),%bh
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  35,59                               // and           (%ebx),%edi
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  97                                  // popa
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  174                                 // scas          %es:(%edi),%al
  .byte  71                                  // inc           %edi
  .byte  97                                  // popa
  .byte  61,174,71,97,61                     // cmp           $0x3d6147ae,%eax
  .byte  82                                  // push          %edx
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // dec           %esi
  .byte  65                                  // inc           %ecx
  .byte  82                                  // push          %edx
  .byte  184,78,65,82,184                    // mov           $0xb852414e,%eax
  .byte  78                                  // dec           %esi
  .byte  65                                  // inc           %ecx
  .byte  57,215                              // cmp           %edx,%edi
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%ebx)
  .byte  57,215                              // cmp           %edx,%edi
  .byte  32,187,57,215,32,187                // and           %bh,-0x44df28c7(%ebx)
  .byte  186,159,98,60,186                   // mov           $0xba3c629f,%edx
  .byte  159                                 // lahf
  .byte  98,60,186                           // bound         %edi,(%edx,%edi,4)
  .byte  159                                 // lahf
  .byte  98,60,186                           // bound         %edi,(%edx,%edi,4)
  .byte  159                                 // lahf
  .byte  98,60,109,165,144,63,109            // bound         %edi,0x6d3f90a5(,%ebp,2)
  .byte  165                                 // movsl         %ds:(%esi),%es:(%edi)
  .byte  144                                 // nop
  .byte  63                                  // aas
  .byte  109                                 // insl          (%dx),%es:(%edi)
  .byte  165                                 // movsl         %ds:(%esi),%es:(%edi)
  .byte  144                                 // nop
  .byte  63                                  // aas
  .byte  109                                 // insl          (%dx),%es:(%edi)
  .byte  165                                 // movsl         %ds:(%esi),%es:(%edi)
  .byte  144                                 // nop
  .byte  63                                  // aas
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%esi)
  .byte  252                                 // cld
  .byte  191,16,62,252,191                   // mov           $0xbffc3e10,%edi
  .byte  16,62                               // adc           %bh,(%esi)
  .byte  168,177                             // test          $0xb1,%al
  .byte  152                                 // cwtl
  .byte  59,168,177,152,59,168               // cmp           -0x57c4674f(%eax),%ebp
  .byte  177,152                             // mov           $0x98,%cl
  .byte  59,168,177,152,59,0                 // cmp           0x3b98b1(%eax),%ebp
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,192                    // add           %al,-0x3fffffc1(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  0,64,0                              // add           %al,0x0(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,64,0                              // add           %al,0x0(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  64                                  // inc           %eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,171,170                      // addb          $0xaa,-0x55(%eax)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  62,0,0                              // add           %al,%ds:(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,171                          // cmpb          $0xab,(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,63                               // sub           (%edi),%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  192,64,0,0                          // rolb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,0,0                          // addb          $0x0,0x0(%eax)
  .byte  128,64,171,170                      // addb          $0xaa,-0x55(%eax)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  42,62                               // sub           (%esi),%bh
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,248,0,0                // addb          $0x0,0xf8003b(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  224,7                               // loopne        9889 <.literal16+0x599>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        988d <.literal16+0x59d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9891 <.literal16+0x5a1>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9895 <.literal16+0x5a5>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  31                                  // pop           %ds
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,8                                 // add           %cl,(%eax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%edi,1)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,248,0,0                // addb          $0x0,0xf8003b(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  224,7                               // loopne        9909 <.literal16+0x619>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        990d <.literal16+0x61d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9911 <.literal16+0x621>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9915 <.literal16+0x625>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  31                                  // pop           %ds
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,8                                 // add           %cl,(%eax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%edi,1)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,128,0,128,55             // addb          $0x37,-0x7fff7fc5(%eax)
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,127,67                            // add           %bh,0x43(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            99cb <.literal16+0x6db>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            99cf <.literal16+0x6df>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            99d3 <.literal16+0x6e3>
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,129,128,128,59           // addb          $0x3b,-0x7f7f7ec5(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,0                            // cmpb          $0x0,(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            99c4 <.literal16+0x6d4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            99c8 <.literal16+0x6d8>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            99cc <.literal16+0x6dc>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            99d0 <.literal16+0x6e0>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  119,115                             // ja            9a55 <.literal16+0x765>
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // ret           $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  117,191                             // jne           99b9 <.literal16+0x6c9>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  163,233,220,63,163                  // mov           %eax,0xa33fdce9
  .byte  233,220,63,163,233                  // jmp           e9a3d9f6 <_sk_clut_4D_sse2+0xe9a35ce7>
  .byte  220,63                              // fdivrl        (%edi)
  .byte  163,233,220,63,0                    // mov           %eax,0x3fdce9
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,81,140,242                 // add           %al,-0xd73aec1(%eax)
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,248           // lcall         $0xf840,$0x9af5f840
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,254           // lcall         $0xfe40,$0x9af5f840
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,52,0                              // add           %dh,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9a94 <.literal16+0x7a4>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9a98 <.literal16+0x7a8>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9a9c <.literal16+0x7ac>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9aa0 <.literal16+0x7b0>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  119,115                             // ja            9b25 <.literal16+0x835>
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // ret           $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  117,191                             // jne           9a89 <.literal16+0x799>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  163,233,220,63,163                  // mov           %eax,0xa33fdce9
  .byte  233,220,63,163,233                  // jmp           e9a3dac6 <_sk_clut_4D_sse2+0xe9a35db7>
  .byte  220,63                              // fdivrl        (%edi)
  .byte  163,233,220,63,0                    // mov           %eax,0x3fdce9
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,81,140,242                 // add           %al,-0xd73aec1(%eax)
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,248           // lcall         $0xf840,$0x9af5f840
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,254           // lcall         $0xfe40,$0x9af5f840
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,52,0                              // add           %dh,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9b64 <.literal16+0x874>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9b68 <.literal16+0x878>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9b6c <.literal16+0x87c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9b70 <.literal16+0x880>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  119,115                             // ja            9bf5 <.literal16+0x905>
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // ret           $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  117,191                             // jne           9b59 <.literal16+0x869>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  163,233,220,63,163                  // mov           %eax,0xa33fdce9
  .byte  233,220,63,163,233                  // jmp           e9a3db96 <_sk_clut_4D_sse2+0xe9a35e87>
  .byte  220,63                              // fdivrl        (%edi)
  .byte  163,233,220,63,0                    // mov           %eax,0x3fdce9
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,81,140,242                 // add           %al,-0xd73aec1(%eax)
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,248           // lcall         $0xf840,$0x9af5f840
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,254           // lcall         $0xfe40,$0x9af5f840
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,52,0                              // add           %dh,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9c34 <.literal16+0x944>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9c38 <.literal16+0x948>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9c3c <.literal16+0x94c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9c40 <.literal16+0x950>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  119,115                             // ja            9cc5 <.literal16+0x9d5>
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // ret           $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  117,191                             // jne           9c29 <.literal16+0x939>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  163,233,220,63,163                  // mov           %eax,0xa33fdce9
  .byte  233,220,63,163,233                  // jmp           e9a3dc66 <_sk_clut_4D_sse2+0xe9a35f57>
  .byte  220,63                              // fdivrl        (%edi)
  .byte  163,233,220,63,0                    // mov           %eax,0x3fdce9
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,81,140,242                 // add           %al,-0xd73aec1(%eax)
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,248           // lcall         $0xf840,$0x9af5f840
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,254           // lcall         $0xfe40,$0x9af5f840
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,52,0                              // add           %dh,(%eax,%eax,1)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,0                                // xor           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  52,255                              // xor           $0xff,%al
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9d04 <.literal16+0xa14>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9d08 <.literal16+0xa18>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9d0c <.literal16+0xa1c>
  .byte  255                                 // (bad)
  .byte  255                                 // (bad)
  .byte  127,0                               // jg            9d10 <.literal16+0xa20>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  119,115                             // ja            9d95 <.literal16+0xaa5>
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,119,115                         // ret           $0x7377
  .byte  248                                 // clc
  .byte  194,117,191                         // ret           $0xbf75
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  117,191                             // jne           9cf9 <.literal16+0xa09>
  .byte  191,63,117,191,191                  // mov           $0xbfbf753f,%edi
  .byte  63                                  // aas
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  249                                 // stc
  .byte  68                                  // inc           %esp
  .byte  180,62                              // mov           $0x3e,%ah
  .byte  163,233,220,63,163                  // mov           %eax,0xa33fdce9
  .byte  233,220,63,163,233                  // jmp           e9a3dd36 <_sk_clut_4D_sse2+0xe9a36027>
  .byte  220,63                              // fdivrl        (%edi)
  .byte  163,233,220,63,0                    // mov           %eax,0x3fdce9
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,81,140,242                 // add           %al,-0xd73aec1(%eax)
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  81                                  // push          %ecx
  .byte  140,242                             // mov           %?,%edx
  .byte  66                                  // inc           %edx
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  141,188,190,63,141,188,190          // lea           -0x414372c1(%esi,%edi,4),%edi
  .byte  63                                  // aas
  .byte  248                                 // clc
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,248           // lcall         $0xf840,$0x9af5f840
  .byte  245                                 // cmc
  .byte  154,64,248,245,154,64,254           // lcall         $0xfe40,$0x9af5f840
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  254                                 // (bad)
  .byte  210,221                             // rcr           %cl,%ch
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  200,66,0,0                          // enter         $0x42,$0x0
  .byte  127,67                              // jg            9e17 <.literal16+0xb27>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9e1b <.literal16+0xb2b>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9e1f <.literal16+0xb2f>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9e23 <.literal16+0xb33>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,195                               // add           %al,%bl
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%ecx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%ecx)
  .byte  128,65,0,0                          // addb          $0x0,0x0(%ecx)
  .byte  128,65,203,61                       // addb          $0x3d,-0x35(%ecx)
  .byte  13,60,203,61,13                     // or            $0xd3dcb3c,%eax
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,60,203,61                     // cmp           $0x3dcb3c0d,%eax
  .byte  13,60,111,18,3                      // or            $0x3126f3c,%eax
  .byte  59,111,18                           // cmp           0x12(%edi),%ebp
  .byte  3,59                                // add           (%ebx),%edi
  .byte  111                                 // outsl         %ds:(%esi),(%dx)
  .byte  18,3                                // adc           (%ebx),%al
  .byte  59,111,18                           // cmp           0x12(%edi),%ebp
  .byte  3,59                                // add           (%ebx),%edi
  .byte  10,215                              // or            %bh,%dl
  .byte  163,59,10,215,163                   // mov           %eax,0xa3d70a3b
  .byte  59,10                               // cmp           (%edx),%ecx
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  163,59,10,215,163                   // mov           %eax,0xa3d70a3b
  .byte  59,194                              // cmp           %edx,%eax
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,194                              // cmp           $0xc2,%al
  .byte  24,17                               // sbb           %dl,(%ecx)
  .byte  60,203                              // cmp           $0xcb,%al
  .byte  61,13,190,203,61                    // cmp           $0x3dcbbe0d,%eax
  .byte  13,190,203,61,13                    // or            $0xd3dcbbe,%eax
  .byte  190,203,61,13,190                   // mov           $0xbe0d3dcb,%esi
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  80                                  // push          %eax
  .byte  128,3,62                            // addb          $0x3e,(%ebx)
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           9ea3 <.literal16+0xbb3>
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           9ea7 <.literal16+0xbb7>
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           9eab <.literal16+0xbbb>
  .byte  31                                  // pop           %ds
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  118,63                              // jbe           9eaf <.literal16+0xbbf>
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  246,64,83,63                        // testb         $0x3f,0x53(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,255,0,0,0                // addb          $0x0,0xff3b(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,129,128,128,59           // addb          $0x3b,-0x7f7f7ec5(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,0                            // cmpb          $0x0,(%ebx)
  .byte  0,127,67                            // add           %bh,0x43(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9f1b <.literal16+0xc2b>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9f1f <.literal16+0xc2f>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            9f23 <.literal16+0xc33>
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,0,128,63               // addb          $0x3f,-0x7fffffc5(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,0,128,63               // addb          $0x3f,-0x7fffffc5(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,0,128,63               // addb          $0x3f,-0x7fffffc5(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  224,7                               // loopne        9f99 <.literal16+0xca9>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9f9d <.literal16+0xcad>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9fa1 <.literal16+0xcb1>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        9fa5 <.literal16+0xcb5>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  31                                  // pop           %ds
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,8                                 // add           %cl,(%eax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%edi,1)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  224,7                               // loopne        a009 <.literal16+0xd19>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        a00d <.literal16+0xd1d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        a011 <.literal16+0xd21>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        a015 <.literal16+0xd25>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  31                                  // pop           %ds
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,8                                 // add           %cl,(%eax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%edi,1)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  248                                 // clc
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,248                               // add           %bh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  132,55                              // test          %dh,(%edi)
  .byte  224,7                               // loopne        a079 <.literal16+0xd89>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        a07d <.literal16+0xd8d>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        a081 <.literal16+0xd91>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  224,7                               // loopne        a085 <.literal16+0xd95>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  33,8                                // and           %ecx,(%eax)
  .byte  2,58                                // add           (%edx),%bh
  .byte  31                                  // pop           %ds
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,31                                // add           %bl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,8                                 // add           %cl,(%eax)
  .byte  33,4,61,8,33,4,61                   // and           %eax,0x3d042108(,%edi,1)
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  8,33                                // or            %ah,(%ecx)
  .byte  4,61                                // add           $0x3d,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,248                               // add           %bh,%al
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  248                                 // clc
  .byte  65                                  // inc           %ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            a116 <.literal16+0xe26>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            a11a <.literal16+0xe2a>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            a11e <.literal16+0xe2e>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  124,66                              // jl            a122 <.literal16+0xe32>
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  240,0,0                             // lock          add %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,59,137                // add           %cl,-0x76c47778(%ecx)
  .byte  136,136,59,137,136,136              // mov           %cl,-0x777776c5(%eax)
  .byte  59,137,136,136,59,15                // cmp           0xf3b8888(%ecx),%ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,61,137                // add           %cl,-0x76c27778(%ecx)
  .byte  136,136,61,137,136,136              // mov           %cl,-0x777776c3(%eax)
  .byte  61,137,136,136,61                   // cmp           $0x3d888889,%eax
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  240,0,0                             // lock          add %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,59,137                // add           %cl,-0x76c47778(%ecx)
  .byte  136,136,59,137,136,136              // mov           %cl,-0x777776c5(%eax)
  .byte  59,137,136,136,59,15                // cmp           0xf3b8888(%ecx),%ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,61,137                // add           %cl,-0x76c27778(%ecx)
  .byte  136,136,61,137,136,136              // mov           %cl,-0x777776c3(%eax)
  .byte  61,137,136,136,61                   // cmp           $0x3d888889,%eax
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  137,136,136,55,137,136              // mov           %ecx,-0x7776c878(%eax)
  .byte  136,55                              // mov           %dh,(%edi)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  137,136,136,57,137,136              // mov           %ecx,-0x7776c678(%eax)
  .byte  136,57                              // mov           %bh,(%ecx)
  .byte  240,0,0                             // lock          add %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,240                               // add           %dh,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,59,137                // add           %cl,-0x76c47778(%ecx)
  .byte  136,136,59,137,136,136              // mov           %cl,-0x777776c5(%eax)
  .byte  59,137,136,136,59,15                // cmp           0xf3b8888(%ecx),%ecx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,15                                // add           %cl,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,137,136,136,61,137                // add           %cl,-0x76c27778(%ecx)
  .byte  136,136,61,137,136,136              // mov           %cl,-0x777776c3(%eax)
  .byte  61,137,136,136,61                   // cmp           $0x3d888889,%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            a2a5 <.literal16+0xfb5>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            a2a9 <.literal16+0xfb9>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            a2ad <.literal16+0xfbd>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  112,65                              // jo            a2b1 <.literal16+0xfc1>
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,255,0,0,0                // addb          $0x0,0xff3b(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,255,0,0,0                // addb          $0x0,0xff3b(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,0,127,67               // addb          $0x43,0x7f00003b(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            a31b <.literal16+0x102b>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            a31f <.literal16+0x102f>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            a323 <.literal16+0x1033>
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,255,0,0,0                // addb          $0x0,0xff3b(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,255,0,0,0                // addb          $0x0,0xff3b(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  129,128,128,59,129,128,128,59,129,128// addl          $0x80813b80,-0x7f7ec480(%eax)
  .byte  128,59,129                          // cmpb          $0x81,(%ebx)
  .byte  128,128,59,0,0,127,67               // addb          $0x43,0x7f00003b(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            a38b <.literal16+0x109b>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            a38f <.literal16+0x109f>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  127,67                              // jg            a393 <.literal16+0x10a3>
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,4                             // addb          $0x4,(%eax)
  .byte  0,128,0,4,0,128                     // add           %al,-0x7ffffc00(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,0                       // add           %al,0x0(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,4                             // addb          $0x4,(%eax)
  .byte  0,128,0,4,0,128                     // add           %al,-0x7ffffc00(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,0                       // add           %al,0x0(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,56                                // add           %bh,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,4                             // addb          $0x4,(%eax)
  .byte  0,128,0,4,0,128                     // add           %al,-0x7ffffc00(%eax)
  .byte  0,4,0                               // add           %al,(%eax,%eax,1)
  .byte  128,0,0                             // addb          $0x0,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,56,0                            // cmpb          $0x0,(%eax)
  .byte  0,128,56,0,0,128                    // add           %al,-0x7fffffc8(%eax)
  .byte  56,0                                // cmp           %al,(%eax)
  .byte  0,128,56,0,64,254                   // add           %al,-0x1bfffc8(%eax)
  .byte  255,0                               // incl          (%eax)
  .byte  64                                  // inc           %eax
  .byte  254                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  64                                  // inc           %eax
  .byte  254                                 // (bad)
  .byte  255,0                               // incl          (%eax)
  .byte  64                                  // inc           %eax
  .byte  254                                 // (bad)
  .byte  255,128,0,128,55,128                // incl          -0x7fc88000(%eax)
  .byte  0,128,55,128,0,128                  // add           %al,-0x7fff7fc9(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  128,0,128                           // addb          $0x80,(%eax)
  .byte  55                                  // aaa
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  255                                 // (bad)
  .byte  127,71                              // jg            a4bb <.literal16+0x11cb>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            a4bf <.literal16+0x11cf>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            a4c3 <.literal16+0x11d3>
  .byte  0,255                               // add           %bh,%bh
  .byte  127,71                              // jg            a4c7 <.literal16+0x11d7>
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,191,0,0,128,191,0               // cmpb          $0x0,-0x40800000(%edi)
  .byte  0,128,191,0,0,128                   // add           %al,-0x7fffff41(%eax)
  .byte  191,0,0,0,63                        // mov           $0x3f000000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,208                          // cmpb          $0xd0,(%edi)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,208                              // ds            (bad)
  .byte  179,89                              // mov           $0x59,%bl
  .byte  62,89                               // ds            pop %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  89                                  // pop           %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  89                                  // pop           %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  89                                  // pop           %ecx
  .byte  23                                  // pop           %ss
  .byte  55                                  // aaa
  .byte  63                                  // aas
  .byte  152                                 // cwtl
  .byte  221,147,61,152,221,147              // fstl          -0x6c2267c3(%ebx)
  .byte  61,152,221,147,61                   // cmp           $0x3d93dd98,%eax
  .byte  152                                 // cwtl
  .byte  221,147,61,255,255,0                // fstl          0xffff3d(%ebx)
  .byte  0,255                               // add           %bh,%bh
  .byte  255,0                               // incl          (%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  255,0                               // incl          (%eax)
  .byte  0,255                               // add           %bh,%bh
  .byte  255,0                               // incl          (%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  75                                  // dec           %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,75,0                              // add           %cl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  83                                  // push          %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,83,0                              // add           %dl,0x0(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  83                                  // push          %ebx
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,83,128                            // add           %dl,-0x80(%ebx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  211,128,0,0,211,128                 // roll          %cl,-0x7f2d0000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  211,128,0,0,211,45                  // roll          %cl,0x2dd30000(%eax)
  .byte  16,17                               // adc           %dl,(%ecx)
  .byte  192,45,16,17,192,45,16              // shrb          $0x10,0x2dc01110
  .byte  17,192                              // adc           %eax,%eax
  .byte  45,16,17,192,18                     // sub           $0x12c01110,%eax
  .byte  120,57                              // js            a5cc <.literal16+0x12dc>
  .byte  64                                  // inc           %eax
  .byte  18,120,57                           // adc           0x39(%eax),%bh
  .byte  64                                  // inc           %eax
  .byte  18,120,57                           // adc           0x39(%eax),%bh
  .byte  64                                  // inc           %eax
  .byte  18,120,57                           // adc           0x39(%eax),%bh
  .byte  64                                  // inc           %eax
  .byte  32,148,90,62,32,148,90              // and           %dl,0x5a94203e(%edx,%ebx,2)
  .byte  62,32,148,90,62,32,148,90           // and           %dl,%ds:0x5a94203e(%edx,%ebx,2)
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,4,157                            // ds            add $0x9d,%al
  .byte  30                                  // push          %ds
  .byte  62,0,24                             // add           %bl,%ds:(%eax)
  .byte  161,57,0,24,161                     // mov           0xa1180039,%eax
  .byte  57,0                                // cmp           %eax,(%eax)
  .byte  24,161,57,0,24,161                  // sbb           %ah,-0x5ee7ffc7(%ecx)
  .byte  57,1                                // cmp           %eax,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,1                                 // add           %al,(%ecx)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,111,43                            // add           %ch,0x2b(%edi)
  .byte  231,187                             // out           %eax,$0xbb
  .byte  111                                 // outsl         %ds:(%esi),(%dx)
  .byte  43,231                              // sub           %edi,%esp
  .byte  187,111,43,231,187                  // mov           $0xbbe72b6f,%ebx
  .byte  111                                 // outsl         %ds:(%esi),(%dx)
  .byte  43,231                              // sub           %edi,%esp
  .byte  187,159,215,202,60                  // mov           $0x3ccad79f,%ebx
  .byte  159                                 // lahf
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  202,60,159                          // lret          $0x9f3c
  .byte  215                                 // xlat          %ds:(%ebx)
  .byte  202,60,212                          // lret          $0xd43c
  .byte  100,84                              // fs            push %esp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  212,100                             // aam           $0x64
  .byte  84                                  // push          %esp
  .byte  189,212,100,84,189                  // mov           $0xbd5464d4,%ebp
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%esi),%bh
  .byte  169,240,34,62,169                   // test          $0xa93e22f0,%eax
  .byte  240,34,62                           // lock          and (%esi),%bh
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,62,0                            // cmpb          $0x0,(%esi)
  .byte  0,128,62,0,0,128                    // add           %al,-0x7fffffc2(%eax)
  .byte  62,0,0                              // add           %al,%ds:(%eax)
  .byte  128,62,0                            // cmpb          $0x0,(%esi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,0,0                             // rolb          $0x0,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,128,192,0,0,128                   // add           %al,-0x7fffff40(%eax)
  .byte  192,0,0                             // rolb          $0x0,(%eax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,0,0                             // addb          $0x0,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,63                      // add           %al,0x3f000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,128,192,0,0,128                   // add           %al,-0x7fffff40(%eax)
  .byte  192,0,0                             // rolb          $0x0,(%eax)
  .byte  128,192,0                           // add           $0x0,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,0,0                             // addb          $0x0,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,63                      // add           %al,0x3f000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,192                               // add           %al,%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,128,0,0,0,128                     // add           %al,-0x80000000(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  191,0,0,0,191                       // mov           $0xbf000000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,191,0,0,192,191,0               // sarb          $0x0,-0x40400000(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  191,0,0,192,191                     // mov           $0xbfc00000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,114                          // cmpb          $0x72,(%edi)
  .byte  28,199                              // sbb           $0xc7,%al
  .byte  62,114,28                           // jb,pt         a7b2 <.literal16+0x14c2>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a7b6 <.literal16+0x14c6>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a7ba <.literal16+0x14ca>
  .byte  199                                 // (bad)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,85                           // cmpb          $0x55,(%edi)
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%esi)
  .byte  99,61,57,142,99,61                  // arpl          %di,0x3d638e39
  .byte  57,142,99,61,0,0                    // cmp           %ecx,0x3d63(%esi)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%esi)
  .byte  99,61,57,142,99,61                  // arpl          %di,0x3d638e39
  .byte  57,142,99,61,0,0                    // cmp           %ecx,0x3d63(%esi)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  114,28                              // jb            a87e <.literal16+0x158e>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a882 <.literal16+0x1592>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a886 <.literal16+0x1596>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a88a <.literal16+0x159a>
  .byte  199                                 // (bad)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,191,0,0,192,191,0               // sarb          $0x0,-0x40400000(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  191,0,0,192,191                     // mov           $0xbfc00000,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,114                          // cmpb          $0x72,(%edi)
  .byte  28,199                              // sbb           $0xc7,%al
  .byte  62,114,28                           // jb,pt         a8c2 <.literal16+0x15d2>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a8c6 <.literal16+0x15d6>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a8ca <.literal16+0x15da>
  .byte  199                                 // (bad)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,191,0,0,0,191                     // add           %bh,-0x41000000(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,85                           // cmpb          $0x55,(%edi)
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%esi)
  .byte  99,61,57,142,99,61                  // arpl          %di,0x3d638e39
  .byte  57,142,99,61,0,0                    // cmp           %ecx,0x3d63(%esi)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  85                                  // push          %ebp
  .byte  85                                  // push          %ebp
  .byte  149                                 // xchg          %eax,%ebp
  .byte  191,85,85,149,191                   // mov           $0xbf955555,%edi
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  57,142,99,61,57,142                 // cmp           %ecx,-0x71c6c29d(%esi)
  .byte  99,61,57,142,99,61                  // arpl          %di,0x3d638e39
  .byte  57,142,99,61,0,0                    // cmp           %ecx,0x3d63(%esi)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  192,63,0                            // sarb          $0x0,(%edi)
  .byte  0,192                               // add           %al,%al
  .byte  63                                  // aas
  .byte  114,28                              // jb            a98e <.literal16+0x169e>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a992 <.literal16+0x16a2>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a996 <.literal16+0x16a6>
  .byte  199                                 // (bad)
  .byte  62,114,28                           // jb,pt         a99a <.literal16+0x16aa>
  .byte  199                                 // (bad)
  .byte  62,171                              // ds            stos %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  171                                 // stos          %eax,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  170                                 // stos          %al,%es:(%edi)
  .byte  190,171,170,170,190                 // mov           $0xbeaaaaab,%esi
  .byte  114,249                             // jb            a98b <.literal16+0x169b>
  .byte  127,63                              // jg            a9d3 <.literal16+0x16e3>
  .byte  114,249                             // jb            a98f <.literal16+0x169f>
  .byte  127,63                              // jg            a9d7 <.literal16+0x16e7>
  .byte  114,249                             // jb            a993 <.literal16+0x16a3>
  .byte  127,63                              // jg            a9db <.literal16+0x16eb>
  .byte  114,249                             // jb            a997 <.literal16+0x16a7>
  .byte  127,63                              // jg            a9df <.literal16+0x16ef>
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  114,249                             // jb            a9cb <.literal16+0x16db>
  .byte  127,63                              // jg            aa13 <.literal16+0x1723>
  .byte  114,249                             // jb            a9cf <.literal16+0x16df>
  .byte  127,63                              // jg            aa17 <.literal16+0x1727>
  .byte  114,249                             // jb            a9d3 <.literal16+0x16e3>
  .byte  127,63                              // jg            aa1b <.literal16+0x172b>
  .byte  114,249                             // jb            a9d7 <.literal16+0x16e7>
  .byte  127,63                              // jg            aa1f <.literal16+0x172f>
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  3,0                                 // add           (%eax),%eax
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  1,0                                 // add           %eax,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  2,0                                 // add           (%eax),%al
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128,63,0                            // cmpb          $0x0,(%edi)
  .byte  0,128,63,0,0,128                    // add           %al,-0x7fffffc1(%eax)
  .byte  63                                  // aas
  .byte  0,0                                 // add           %al,(%eax)
  .byte  128                                 // .byte         0x80
  .byte  63                                  // aas

BALIGN4
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
  .byte  0,0                                 // add           %al,(%eax)
  .byte  0,63                                // add           %bh,(%edi)
#endif
